--
-- PostgreSQL database dump
--

-- Dumped from database version 9.6.3
-- Dumped by pg_dump version 9.6.3
 

SET statement_timeout = 0;
SET lock_timeout = 0;
SET idle_in_transaction_session_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SET check_function_bodies = false;
SET client_min_messages = warning;
SET row_security = off;

 
--

CREATE SCHEMA opti;


SET search_path = public, pg_catalog;

--
 

CREATE FUNCTION sqr(double precision) RETURNS double precision
    LANGUAGE sql IMMUTABLE STRICT
    AS $_$
select sqrt( $1 )  ;
$_$;


SET search_path = opti, pg_catalog;

SET default_tablespace = '';

SET default_with_oids = false;

 --

CREATE TABLE parm_int (
    item_ix integer NOT NULL,
    fname character(16),
    pname character(10),
    minimum double precision,
    maximum double precision,
    ival double precision,
    step double precision,
    aval double precision,
    selection character(50),
    alias character(15),
    error double precision,
    r_2 double precision,
    r_3 double precision,
    r_4 double precision,
    r_5 double precision,
    r_6 double precision
);
 
--

CREATE SEQUENCE parm_int_item_ix_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;

 --

ALTER SEQUENCE parm_int_item_ix_seq OWNED BY parm_int.item_ix;

--
 
CREATE TABLE selmix (
    m_ix integer
);
 

SET search_path = public, pg_catalog;

--

CREATE TABLE cdy_cldat (
    datum timestamp without time zone,
    nied double precision,
    ltem double precision,
    sonn double precision,
    glob integer,
    wstat character varying(255),
    widx character varying(8)
);

--

CREATE TABLE cdy_msdat (
    key integer NOT NULL,
    fname character varying(25),
    snr integer,
    utlg integer,
    datum timestamp without time zone,
    m_ix integer,
    s0 integer,
    s1 integer,
    m_wert double precision,
    korrektur character varying(1),
    ix character varying(50),
    s_wert double precision DEFAULT 0
);

--

CREATE INDEX cdysim ON cdy_msdat USING btree (ix);

--

CREATE TABLE cdy_mvdat (
    key integer NOT NULL,
    fname character varying(255),
    snr integer,
    utlg integer,
    datum timestamp without time zone,
    m_ix integer,
    s0 integer,
    s1 integer,
    m_wert double precision,
    variation double precision,
    anzahl integer,
    s_wert double precision,
    korrektur character varying(1)
);

--

CREATE TABLE cdy_prop (
    item_ix integer,
    propname character varying(20),
    shrtname character varying(10),
	  pgroup character varying(20),
    format character varying(10),
    typ character varying(2),
    propunit character varying(10),
    adptbl boolean
);
 
--

CREATE VIEW cdy_evaldat AS
 SELECT v.key AS meas_id,
    s.fname,
    s.snr,
    s.utlg,
    s.m_ix,
    s.datum,
    p.shrtname,
    p.propname,
    p.typ,
    p.propunit,
    s.s0,
    s.s1,
    s.s_wert,
    v.m_wert
   FROM cdy_msdat s,
    cdy_mvdat v,
    cdy_prop p
  WHERE (((s.korrektur)::text = 'N'::text) AND (p.item_ix = s.m_ix) AND (s.snr = v.snr) AND (s.utlg = v.utlg) AND ((s.fname)::text = (v.fname)::text) AND (s.datum = v.datum) AND (s.m_ix = v.m_ix) AND ((s.korrektur)::text = (v.korrektur)::text) AND (s.s0 = v.s0) AND (s.s1 = v.s1));

--

CREATE TABLE cdy_fxdat (
    fname character varying(255) NOT NULL,
    sbez character varying(255),
    snr double precision NOT NULL,
    utlg double precision NOT NULL,
    geobreite double precision,
    standort character varying(255),
    wetter character varying(255),
    statusanf double precision,
    statusend double precision,
    startdat timestamp without time zone,
    stopdat timestamp without time zone,
    immission double precision,
    ltem double precision,
    nied double precision,
    crep double precision,
    nlevel double precision,
    nfk0 double precision,
    reslst integer,
    obslst integer,
    useobsvt boolean ,
    constraint cdy_fxdat_pkey PRIMARY KEY (fname,snr,utlg)
);

--

CREATE TABLE cdy_gsdat (
    id integer,
    range character varying(5),
    area double precision,
    fname character varying(5),
    plot character varying(25),
    climate character varying(3),
    soil character varying(10),
    r_faktor double precision,
    patch character varying(10),
    value double precision
);

--

CREATE TABLE cdy_hrzn (
    item_ix integer,
    name character varying(25),
    hydromorph boolean,
    pv double precision,
    ct double precision,
    trd double precision,
    pwp double precision,
    fkap double precision,
    lambda double precision,
    hkap double precision,
    ton double precision,
    schluff double precision,
    fat double precision,
    kdeg double precision,
    stone_cont double precision,
    cip double precision,
    relrootres double precision,
    kf double precision,
    active boolean,
    mi double precision,
    me double precision,
    ma double precision
);

--

CREATE TABLE cdy_madat (
    key integer NOT NULL,
    fname character varying(5),
    snr integer,
    utlg integer,
    datum timestamp without time zone,
    macode integer,
    wert1 integer,
    wert2 double precision,
    origwert double precision,
    rein character varying(1)
);

--

CREATE SEQUENCE cdy_madat_key_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;

--

ALTER SEQUENCE cdy_madat_key_seq OWNED BY cdy_madat.key;

--

CREATE TABLE cdy_mgdat (
    key integer NOT NULL,
    fname character varying(25),
    patch integer,
    datum timestamp without time zone,
    m_ix integer,
    s0 integer,
    s1 integer,
    m_wert double precision,
    korrektur character varying(1),
    ix character varying(50),
    s_wert double precision DEFAULT 0
);

--

CREATE SEQUENCE cdy_mgdat_key_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;

--

ALTER SEQUENCE cdy_mgdat_key_seq OWNED BY cdy_mgdat.key;

--

CREATE TABLE cdy_mhdat (
    key integer NOT NULL,
    fname character varying(25),
    snr integer,
    utlg integer,
    datum timestamp without time zone,
    m_ix integer,
    s0 integer,
    s1 integer,
    m_wert double precision,
    korrektur character varying(1),
    ix character varying(50) NOT NULL,
    s_wert double precision DEFAULT 0
);

--

CREATE SEQUENCE cdy_mhdat_key_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;

--

ALTER SEQUENCE cdy_mhdat_key_seq OWNED BY cdy_mhdat.key;
--

CREATE SEQUENCE cdy_msdat_key_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;

--

ALTER SEQUENCE cdy_msdat_key_seq OWNED BY cdy_msdat.key;
 
--

CREATE SEQUENCE cdy_mvdat_key_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;
 
--

ALTER SEQUENCE cdy_mvdat_key_seq OWNED BY cdy_mvdat.key;

--

CREATE TABLE cdyaktion (
    action character(30),
    action_id integer DEFAULT 0 NOT NULL,
    unit_intensity character varying(50),
    def_intensity character varying(50),
    def_addval character varying
);



INSERT INTO cdyaktion ("action",action_id,unit_intensity,def_intensity,def_addval) VALUES ('mineral N fertilizer          ',4,'kg N/ha','N-Input','NH4-content');
INSERT INTO cdyaktion ("action",action_id,unit_intensity,def_intensity,def_addval) VALUES ('emergence                     ',1,'dt/ha','yield goal','N-uptake');
INSERT INTO cdyaktion ("action",action_id,unit_intensity,def_intensity,def_addval) VALUES ('harvest, crop res. removed    ',2,'dt/ha','yield (main)','N-uptake');
INSERT INTO cdyaktion ("action",action_id,unit_intensity,def_intensity,def_addval) VALUES ('organic manure                ',3,'dtFM/ha','OM-amount','C-input');
INSERT INTO cdyaktion ("action",action_id,unit_intensity,def_intensity,def_addval) VALUES ('harvest, crop res. ploughed   ',9,'dt/ha','yield (main)','N-uptake');
INSERT INTO cdyaktion ("action",action_id,unit_intensity,def_intensity,def_addval) VALUES ('(sowing)                      ',12,'dt/ha','yield goal','N-uptake');
INSERT INTO cdyaktion ("action",action_id,unit_intensity,def_intensity,def_addval) VALUES ('ploughing up (fallowing)      ',0,'cm','till. depth','dm');
INSERT INTO cdyaktion ("action",action_id,unit_intensity,def_intensity,def_addval) VALUES ('soil tillage                  ',5,'cm','till. depth','dm');
INSERT INTO cdyaktion ("action",action_id,unit_intensity,def_intensity,def_addval) VALUES ('irrigation                    ',7,'mm','water amount','mm');
INSERT INTO cdyaktion ("action",action_id,unit_intensity,def_intensity,def_addval) VALUES ('pesticide app.                ',8,'kg/ha','amount','not used');
INSERT INTO cdyaktion ("action",action_id,unit_intensity,def_intensity,def_addval) VALUES ('cutting grassland             ',6,'dt/ha','yield','*');
INSERT INTO cdyaktion ("action",action_id,unit_intensity,def_intensity,def_addval) VALUES ('start grazing (pasture)       ',10,'GV','cattle units','*');
INSERT INTO cdyaktion ("action",action_id,unit_intensity,def_intensity,def_addval) VALUES ('removal from pasture          ',11,'GV','cattle units','*');




--

CREATE TABLE cdylives (
    item_ix integer DEFAULT 0 NOT NULL,
    name character varying(25),
    c_inp double precision DEFAULT 0,
    od_id integer DEFAULT 0,
    n_upt double precision DEFAULT 0,
    source character varying(80)
);

--

CREATE TABLE cdymindg (
    item_ix integer,
    name character varying(25),
    ammanteil double precision,
    source character varying(80)
);

--

CREATE TABLE cdyopspa (
    item_ix integer,
    sba_id integer,
    name character varying(25),
    crop_ix integer,
    od boolean,
    k double precision,
    eta double precision,
    cnr double precision,
    cnr_alt double precision,
    ts_gehalt double precision,
    c_geh_ts double precision,
    mor double precision,
    source character varying(80)
);
 
--

CREATE TABLE cdypflan (
    item_ix integer,
    n_gehalt double precision,
    name_engl character varying(25),
    name_de character varying(50),
    name character varying(25),
    name_lat character varying(25),
    art integer,
    modell character varying(10),
    transk double precision,
    algo integer,
    steil double precision,
    vegdau double precision,
    nbok double precision,
    lnub double precision,
    wtmax integer,
    wwg double precision,
    dbhmax integer,
    bhmax integer,
    matanf integer,
    tempanf integer,
    bgmax double precision,
    dbgmax integer,
    cewr double precision,
    fewr double precision,
    czep double precision DEFAULT 0.25,
    zetb double precision DEFAULT 0,
    ewr_ix integer DEFAULT 0,
    grd_ix integer DEFAULT 0,
    tk_min double precision DEFAULT 0,
    ts1 double precision DEFAULT 0,
    ts2 double precision DEFAULT 0,
    sba_id integer DEFAULT 0,
    hi double precision DEFAULT 0,
    kop_ix integer DEFAULT 0,
    dm_nat double precision,
    source character varying(80)
);



--

CREATE TABLE cdy_prop_lst (
    item_ix integer NOT NULL,
    sname character varying(20)
);

--

CREATE SEQUENCE cdy_prop_lst_item_ix_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;

--

ALTER SEQUENCE cdy_prop_lst_item_ix_seq OWNED BY cdy_prop_lst.item_ix;

--

CREATE TABLE cdy_prop_sel (
    item_ix integer NOT NULL,
    sch_ix integer,
    intervall integer,
    m_ix integer,
    s0 integer,
    s1 integer,
    start timestamp without time zone,
    enddat timestamp without time zone
);

--

CREATE SEQUENCE cdy_prop_sel_item_ix_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;

--

ALTER SEQUENCE cdy_prop_sel_item_ix_seq OWNED BY cdy_prop_sel.item_ix;
 
--

CREATE TABLE cdy_rslt (
    item_ix integer NOT NULL,
    resultnr double precision,
    resultat character varying(50),
    auswahl character varying(1),
    flen double precision,
    "dec" double precision,
    i_type smallint DEFAULT 0,
    unit character varying(50),
    remark character varying(255)
);


--
 
--

CREATE SEQUENCE cdy_rslt_item_ix_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;
 
--

ALTER SEQUENCE cdy_rslt_item_ix_seq OWNED BY cdy_rslt.item_ix;
 
--

CREATE TABLE cdy_sldat (
    key integer NOT NULL,
    fname character varying(255),
    datum timestamp without time zone,
    ts_gehalt double precision,
    nt_gehalt double precision,
    ct_gehalt double precision,
    stx integer DEFAULT 0,
    rec_nr integer DEFAULT 0,
    ops_id integer DEFAULT 0
);

--

CREATE SEQUENCE cdy_sldat_key_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;
 
--

ALTER SEQUENCE cdy_sldat_key_seq OWNED BY cdy_sldat.key;
 
--

CREATE TABLE cdyacrdp (
    item_ix integer,
    pname character varying(6),
    dvi double precision,
    pval double precision
);
 
--

CREATE TABLE cdyacrdviprm (
    item_ix integer,
    pname character varying(6),
    dvi double precision,
    pval double precision
);
 
--

CREATE TABLE cdyacrop (
    item_ix integer,
    alpha double precision,
    beta double precision,
    sigma double precision,
    t_upl double precision,
    t_lol double precision,
    t_opt double precision,
    n_saat double precision,
    c_saat double precision,
    ncr_bm double precision,
    ref_ts double precision,
    senescence double precision,
    sp_lf_ar double precision,
    gr_resp double precision,
    m double precision,
    b double precision
);
 
--
 /*
CREATE TABLE cdyagchm (
    item_ix double precision,
    name character varying(25),
    index double precision,
    h double precision,
    difair double precision,
    volgre double precision,
    dec_coef double precision,
    temperatur double precision,
    koc double precision,
    frn double precision,
    source character varying(80)
);
  */
--

CREATE TABLE cdyaparm (
    item_ix double precision DEFAULT 0,
    name character varying(50),
    parmsatz character varying(5),
    czep double precision,
    xsi double precision,
    nunb double precision,
    tbed double precision,
    tunb double precision,
    zetu double precision,
    zetb double precision,
    k_mulch double precision DEFAULT 0,
    k_aos double precision,
    k_akt double precision,
    k_stab double precision,
    k_deni double precision,
    maxdeni double precision,
    cnr_obs double precision,
    disp_kf double precision,
    dng_eff double precision,
    bt_modell smallint DEFAULT 0,
    n_im_som double precision DEFAULT 0,
    n_im_bew double precision DEFAULT 0
);

--

CREATE TABLE cdybtprm (
    p_name character varying(4),
    version smallint DEFAULT 0,
    value double precision DEFAULT 0,
    model character varying(15)
);

--

CREATE TABLE cdycl2pr (
    class_item integer,
    prop_item integer
);

--

CREATE TABLE cdydevpa (
    item_ix integer DEFAULT 0 NOT NULL,
    name character varying(50),
    inflation_pressure double precision DEFAULT 0,
    wheel_load double precision DEFAULT 0,
    working_width double precision DEFAULT 0,
    wheel_width double precision DEFAULT 0,
    permanent_traffic_lanes boolean,
    wheel_tracked_area double precision DEFAULT 0,
    associated_action integer DEFAULT 0 ,
        source character varying(80)
);


 
--
 /*
CREATE TABLE cdyforst (
    item_ix integer DEFAULT 0 NOT NULL,
    name character varying(50),
    decf_id integer DEFAULT 0,
    decf_item integer DEFAULT 0,
    conf_id integer DEFAULT 0,
    conf_item integer DEFAULT 0
);
   */
--
 
CREATE TABLE cdyirrgdev (
    item_ix integer,
    name character(20),
    effect double precision ,
        source character varying(80)
);

--
/*
CREATE TABLE cdykfprm (
    item_ix integer DEFAULT 0 NOT NULL,
    name character varying(10),
    pheno_a double precision,
    maiwuchs double precision,
    pheno_e double precision,
    izepmax double precision,
    relwuti double precision,
    t_min double precision,
    ontkrit double precision,
    d_onto double precision,
    wk_max double precision,
    n_uptake double precision DEFAULT 0,
    streufall double precision,
    streu_id double precision
);

--

CREATE TABLE cdylwprm (
    item_ix integer DEFAULT 0 NOT NULL,
    name character varying(10),
    pheno_a double precision,
    pheno_e double precision,
    izepmax double precision,
    relwuti double precision,
    t_min double precision,
    ontkrit double precision,
    d_onto double precision,
    wk_max double precision,
    n_uptake double precision DEFAULT 0,
    streufall double precision,
    streu_id double precision,
    xw double precision,
    xs double precision
);
  */
--

CREATE TABLE cdyprclass (
    item_ix integer NOT NULL,
    classname character varying(20)
);

--

CREATE SEQUENCE cdyprclass_item_ix_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;

--
 
ALTER SEQUENCE cdyprclass_item_ix_seq OWNED BY cdyprclass.item_ix;

--
 
CREATE TABLE cdy_rslt_lst (
    item_ix integer NOT NULL,
    listname character varying(20),
    res_out integer
);

--

CREATE SEQUENCE cdy_rslt_lst_item_ix_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;

--

ALTER SEQUENCE cdy_rslt_lst_item_ix_seq OWNED BY cdy_rslt_lst.item_ix;

--

CREATE TABLE cdy_rslt_sel (
    item_ix integer NOT NULL,
    list_ix integer,
    resultnr integer
);

--

CREATE SEQUENCE cdy_rslt_sel_item_ix_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;

--

ALTER SEQUENCE cdy_rslt_sel_item_ix_seq OWNED BY cdy_rslt_sel.item_ix;

--

CREATE TABLE cdyssdpa (
    item_ix integer NOT NULL,
    pset character varying(25),
    f_bioturb double precision,
    calc_roll_over boolean ,
        source character varying(80)
);


--
 

CREATE TABLE cdytilldev (
    item_ix integer DEFAULT 0 NOT NULL,
    name character varying(50),
    effect double precision DEFAULT 0,
    source character varying(255)
);

--
 /*
CREATE TABLE cdyzfprm (
    item_ix integer DEFAULT 0 NOT NULL,
    name character varying(15),
    variante character varying(1),
    k_str double precision,
    k_tot double precision,
    t_min double precision,
    t_kil double precision,
    snow_krit double precision,
    t_kil_snow double precision,
    cewr double precision,
    fewr double precision,
    n_gehalt_t double precision,
    ops_spross character varying(15)
);

--
 
CREATE TABLE dummyclass (
    item_ix integer NOT NULL,
    classname character varying(20)
);

 --

CREATE SEQUENCE dummyclass_item_ix_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
 

ALTER SEQUENCE dummyclass_item_ix_seq OWNED BY dummyclass.item_ix;

--
 
CREATE VIEW mnmt_missng_agch AS
 SELECT l.fname,
    l.snr,
    l.utlg,
    l.wert1,
    l.name
   FROM ( SELECT DISTINCT m.fname,
            m.snr,
            m.utlg,
            m.wert1,
            cdyagchm.name
           FROM (( SELECT cdy_madat.fname,
                    cdy_madat.snr,
                    cdy_madat.utlg,
                    cdy_madat.wert1
                   FROM cdy_madat
                  WHERE (cdy_madat.macode = 8)) m
             LEFT JOIN cdyagchm ON (((m.wert1)::double precision = cdyagchm.item_ix)))) l
  WHERE (l.name IS NULL);
       */
--

CREATE VIEW mnmt_missng_crops AS
 SELECT l.fname,
    l.snr,
    l.utlg,
    l.wert1,
    l.name
   FROM ( SELECT DISTINCT m.fname,
            m.snr,
            m.utlg,
            m.wert1,
            cdypflan.name
           FROM (( SELECT cdy_madat.fname,
                    cdy_madat.snr,
                    cdy_madat.utlg,
                    cdy_madat.wert1
                   FROM cdy_madat
                  WHERE (cdy_madat.macode = ANY (ARRAY[1, 2, 9, 12]))) m
             LEFT JOIN cdypflan ON ((m.wert1 = cdypflan.item_ix)))) l
  WHERE (l.name IS NULL);

--

CREATE VIEW mnmt_missng_irdv AS
 SELECT l.fname,
    l.snr,
    l.utlg,
    l.wert1,
    l.name
   FROM ( SELECT DISTINCT m.fname,
            m.snr,
            m.utlg,
            m.wert1,
            cdyirrgdev.name
           FROM (( SELECT cdy_madat.fname,
                    cdy_madat.snr,
                    cdy_madat.utlg,
                    cdy_madat.wert1
                   FROM cdy_madat
                  WHERE (cdy_madat.macode = 7)) m
             LEFT JOIN cdyirrgdev ON ((m.wert1 = cdyirrgdev.item_ix)))) l
  WHERE (l.name IS NULL);

--

CREATE VIEW mnmt_missng_lvst AS
 SELECT l.fname,
    l.snr,
    l.utlg,
    l.wert1,
    l.name
   FROM ( SELECT DISTINCT m.fname,
            m.snr,
            m.utlg,
            m.wert1,
            cdylives.name
           FROM (( SELECT cdy_madat.fname,
                    cdy_madat.snr,
                    cdy_madat.utlg,
                    cdy_madat.wert1
                   FROM cdy_madat
                  WHERE (cdy_madat.macode = ANY (ARRAY[10, 11]))) m
             LEFT JOIN cdylives ON ((m.wert1 = cdylives.item_ix)))) l
  WHERE (l.name IS NULL);

--

CREATE VIEW mnmt_missng_mindg AS
 SELECT l.fname,
    l.snr,
    l.utlg,
    l.wert1,
    l.name
   FROM ( SELECT DISTINCT m.fname,
            m.snr,
            m.utlg,
            m.wert1,
            cdymindg.name
           FROM (( SELECT cdy_madat.fname,
                    cdy_madat.snr,
                    cdy_madat.utlg,
                    cdy_madat.wert1
                   FROM cdy_madat
                  WHERE (cdy_madat.macode = 4)) m
             LEFT JOIN cdymindg ON ((m.wert1 = cdymindg.item_ix)))) l
  WHERE (l.name IS NULL);

--

CREATE VIEW mnmt_missng_oram AS
 SELECT l.fname,
    l.snr,
    l.utlg,
    l.wert1,
    l.name
   FROM ( SELECT DISTINCT m.fname,
            m.snr,
            m.utlg,
            m.wert1,
            cdyopspa.name
           FROM (( SELECT cdy_madat.fname,
                    cdy_madat.snr,
                    cdy_madat.utlg,
                    cdy_madat.wert1
                   FROM cdy_madat
                  WHERE (cdy_madat.macode = 3)) m
             LEFT JOIN cdyopspa ON ((m.wert1 = cdyopspa.item_ix)))) l
  WHERE (l.name IS NULL);

--

CREATE VIEW  crop_missing_opspa  AS
SELECT 'ewr'::text AS col,
    p.name AS crop,
    p.ewr_ix AS idx,
    o.name AS om
   FROM cdypflan p
     LEFT JOIN cdyopspa o ON p.ewr_ix = o.item_ix
  WHERE o.name IS NULL
UNION
 SELECT 'kop'::text AS col,
    p.name AS crop,
    p.kop_ix AS idx,
    o.name AS om
   FROM cdypflan p
     LEFT JOIN cdyopspa o ON p.kop_ix = o.item_ix
  WHERE NOT p.kop_ix IS NULL AND o.name IS NULL
UNION
 SELECT 'grd'::text AS col,
    p.name AS crop,
    p.grd_ix AS idx,
    o.name AS om
   FROM cdypflan p
     LEFT JOIN cdyopspa o ON p.grd_ix = o.item_ix
  WHERE NOT p.grd_ix IS NULL AND o.name IS NULL;


--

CREATE VIEW mnmt_missng_tidev AS
 SELECT l.fname,
    l.snr,
    l.utlg,
    l.wert1,
    l.name
   FROM ( SELECT DISTINCT m.fname,
            m.snr,
            m.utlg,
            m.wert1,
            cdytilldev.name
           FROM (( SELECT cdy_madat.fname,
                    cdy_madat.snr,
                    cdy_madat.utlg,
                    cdy_madat.wert1
                   FROM cdy_madat
                  WHERE (cdy_madat.macode = ANY (ARRAY[0, 5]))) m
             LEFT JOIN cdytilldev ON ((m.wert1 = cdytilldev.item_ix)))) l
  WHERE (l.name IS NULL);

--
 
CREATE VIEW mnmtmissng_link AS
 SELECT mnmt_missng_crops.fname,
    ((mnmt_missng_crops.snr * 10) + mnmt_missng_crops.utlg) AS plot,
    mnmt_missng_crops.wert1 AS item_ix,
    'crop'::text AS obj
   FROM mnmt_missng_crops
UNION
 SELECT mnmt_missng_oram.fname,
    ((mnmt_missng_oram.snr * 10) + mnmt_missng_oram.utlg) AS plot,
    mnmt_missng_oram.wert1 AS item_ix,
    'oram'::text AS obj
   FROM mnmt_missng_oram
UNION
 SELECT mnmt_missng_mindg.fname,
    ((mnmt_missng_mindg.snr * 10) + mnmt_missng_mindg.utlg) AS plot,
    mnmt_missng_mindg.wert1 AS item_ix,
    'mndg'::text AS obj
   FROM mnmt_missng_mindg
UNION
 SELECT mnmt_missng_tidev.fname,
    ((mnmt_missng_tidev.snr * 10) + mnmt_missng_tidev.utlg) AS plot,
    mnmt_missng_tidev.wert1 AS item_ix,
    'tidv'::text AS obj
   FROM mnmt_missng_tidev
UNION
 SELECT mnmt_missng_lvst.fname,
    ((mnmt_missng_lvst.snr * 10) + mnmt_missng_lvst.utlg) AS plot,
    mnmt_missng_lvst.wert1 AS item_ix,
    'lvst'::text AS obj
   FROM mnmt_missng_lvst
UNION
 SELECT mnmt_missng_irdv.fname,
    ((mnmt_missng_irdv.snr * 10) + mnmt_missng_irdv.utlg) AS plot,
    mnmt_missng_irdv.wert1 AS item_ix,
    'irdv'::text AS obj
   FROM mnmt_missng_irdv;
   
 --

CREATE VIEW cdy_objects AS
 SELECT 1 AS macode,
    cdyaktion.action,
    cdypflan.name,
    btrim("left"((cdypflan.name)::text, 25)) AS item,
    cdypflan.item_ix,
    cdyaktion.unit_intensity,
    cdyaktion.def_intensity,
    cdyaktion.def_addval,
    ((100000 * 1) + cdypflan.item_ix) AS ix
   FROM cdypflan,
    cdyaktion
  WHERE (cdyaktion.action_id = 1)
UNION
 SELECT 12 AS macode,
    cdyaktion.action,
    cdypflan.name,
    btrim("left"((cdypflan.name)::text, 25)) AS item,
    cdypflan.item_ix,
    cdyaktion.unit_intensity,
    cdyaktion.def_intensity,
    cdyaktion.def_addval,
    ((100000 * 12) + cdypflan.item_ix) AS ix
   FROM cdypflan,
    cdyaktion
  WHERE (cdyaktion.action_id = 12)
UNION
 SELECT 2 AS macode,
    cdyaktion.action,
    cdypflan.name,
    btrim("left"((cdypflan.name)::text, 25)) AS item,
    cdypflan.item_ix,
    cdyaktion.unit_intensity,
    cdyaktion.def_intensity,
    cdyaktion.def_addval,
    ((100000 * 2) + cdypflan.item_ix) AS ix
   FROM cdypflan,
    cdyaktion
  WHERE (cdyaktion.action_id = 2)
UNION
 SELECT 3 AS macode,
    cdyaktion.action,
    cdyopspa.name,
    btrim("left"((cdyopspa.name)::text, 25)) AS item,
    cdyopspa.item_ix,
    cdyaktion.unit_intensity,
    cdyaktion.def_intensity,
    cdyaktion.def_addval,
    ((100000 * 3) + cdyopspa.item_ix) AS ix
   FROM cdyopspa,
    cdyaktion
  WHERE ((cdyaktion.action_id = 3) AND cdyopspa.od)
UNION
 SELECT 4 AS macode,
    cdyaktion.action,
    cdymindg.name,
    btrim("left"((cdymindg.name)::text, 25)) AS item,
    cdymindg.item_ix,
    cdyaktion.unit_intensity,
    cdyaktion.def_intensity,
    cdyaktion.def_addval,
    ((100000 * 4) + cdymindg.item_ix) AS ix
   FROM cdymindg,
    cdyaktion
  WHERE (cdyaktion.action_id = 4)
UNION
 SELECT 5 AS macode,
    'tillage'::character varying AS action,
    'ploughing'::character varying AS name,
    'ploughing'::text AS item,
    0 AS item_ix,
    cdyaktion.unit_intensity,
    cdyaktion.def_intensity,
    cdyaktion.def_addval,
    ((100000 * 5) + 0) AS ix
   FROM cdyaktion
  WHERE (cdyaktion.action_id = 5)
UNION
 SELECT 5 AS macode,
    'tillage'::character varying AS action,
    cdytilldev.name,
    btrim("left"(cdytilldev.name::text, 25)) AS item,
    cdytilldev.item_ix,
    cdyaktion.unit_intensity,
    cdyaktion.def_intensity,
    cdyaktion.def_addval,
    100000 * 5 + cdytilldev.item_ix AS ix
   FROM cdyaktion,
    cdytilldev
  WHERE cdyaktion.action_id = 5 AND cdytilldev.item_ix > 0
UNION
 SELECT 0 AS macode,
    'ploughing up'::character varying AS action,
    cdytilldev.name,
    btrim("left"(cdytilldev.name::text, 25)) AS item,
    cdytilldev.item_ix,
    cdyaktion.unit_intensity,
    cdyaktion.def_intensity,
    cdyaktion.def_addval,
    100000 * 20 + cdytilldev.item_ix AS ix
   FROM cdyaktion,
    cdytilldev
  WHERE cdyaktion.action_id = 5 AND cdytilldev.item_ix > 0
UNION
 SELECT 6 AS macode,
    'cutting'::character varying AS action,
    'unknown'::character varying AS name,
    '?'::text AS item,
    0 AS item_ix,
    cdyaktion.unit_intensity,
    cdyaktion.def_intensity,
    cdyaktion.def_addval,
    ((100000 * 6) + 0) AS ix
   FROM cdyaktion
  WHERE (cdyaktion.action_id = 6)
UNION
 SELECT 7 AS macode,
    'irrigation'::character varying AS action,
    'unknown'::character varying AS name,
    '?'::text AS item,
    0 AS item_ix,
    cdyaktion.unit_intensity,
    cdyaktion.def_intensity,
    cdyaktion.def_addval,
    ((100000 * 7) + 0) AS ix
   FROM cdyaktion
  WHERE (cdyaktion.action_id = 7)
UNION
 SELECT 9 AS macode,
    cdyaktion.action,
    cdypflan.name,
    btrim("left"((cdypflan.name)::text, 25)) AS item,
    cdypflan.item_ix,
    cdyaktion.unit_intensity,
    cdyaktion.def_intensity,
    cdyaktion.def_addval,
    ((100000 * 9) + cdypflan.item_ix) AS ix
   FROM cdypflan,
    cdyaktion
  WHERE (cdyaktion.action_id = 9)
UNION
 SELECT 10 AS macode,
    cdyaktion.action,
    cdylives.name,
    btrim("left"((cdylives.name)::text, 25)) AS item,
    cdylives.item_ix,
    cdyaktion.unit_intensity,
    cdyaktion.def_intensity,
    cdyaktion.def_addval,
    ((100000 * 10) + cdylives.item_ix) AS ix
   FROM cdylives,
    cdyaktion
  WHERE (cdyaktion.action_id = 10)
UNION
 SELECT 11 AS macode,
    cdyaktion.action,
    cdylives.name,
    btrim("left"((cdylives.name)::text, 25)) AS item,
    cdylives.item_ix,
    cdyaktion.unit_intensity,
    cdyaktion.def_intensity,
    cdyaktion.def_addval,
    ((100000 * 11) + cdylives.item_ix) AS ix
   FROM cdylives,
    cdyaktion
  WHERE (cdyaktion.action_id = 11)
  ORDER BY 8;  
  
--
 
CREATE TABLE parm_int (
    item_ix integer NOT NULL,
    fname character(25),
    pname character(25),
    minimum double precision,
    maximum double precision,
    ival double precision,
    step double precision,
    aval double precision,
    selection character(50),
    alias character(15),
    error double precision
);

--

CREATE SEQUENCE parm_int_item_ix_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;

--
 

ALTER SEQUENCE parm_int_item_ix_seq OWNED BY parm_int.item_ix;

--

CREATE TABLE profile (
    profil character varying(25),
    depth double precision,
    horiz_name character varying(25)
);

--
  
CREATE TABLE tmphrzn (
    name character varying(25),
    clay double precision,
    silt double precision,
    fat double precision,
    bd double precision,
    pd double precision,
    pv double precision,
    fc double precision,
    pwp double precision,
    cip double precision,
    ks double precision
);


SET search_path = opti, pg_catalog;

--

ALTER TABLE ONLY parm_int ALTER COLUMN item_ix SET DEFAULT nextval('parm_int_item_ix_seq'::regclass);


SET search_path = public, pg_catalog;

--

ALTER TABLE ONLY cdy_madat ALTER COLUMN key SET DEFAULT nextval('cdy_madat_key_seq'::regclass);

--

ALTER TABLE ONLY cdy_mgdat ALTER COLUMN key SET DEFAULT nextval('cdy_mgdat_key_seq'::regclass);

--

ALTER TABLE ONLY cdy_mhdat ALTER COLUMN key SET DEFAULT nextval('cdy_mhdat_key_seq'::regclass);

--

ALTER TABLE ONLY cdy_msdat ALTER COLUMN key SET DEFAULT nextval('cdy_msdat_key_seq'::regclass);

--

ALTER TABLE ONLY cdy_mvdat ALTER COLUMN key SET DEFAULT nextval('cdy_mvdat_key_seq'::regclass);

--

ALTER TABLE ONLY cdy_prop_lst ALTER COLUMN item_ix SET DEFAULT nextval('cdy_prop_lst_item_ix_seq'::regclass);

--

ALTER TABLE ONLY cdy_prop_sel ALTER COLUMN item_ix SET DEFAULT nextval('cdy_prop_sel_item_ix_seq'::regclass);

--

ALTER TABLE ONLY cdy_rslt ALTER COLUMN item_ix SET DEFAULT nextval('cdy_rslt_item_ix_seq'::regclass);

--

ALTER TABLE ONLY cdy_sldat ALTER COLUMN key SET DEFAULT nextval('cdy_sldat_key_seq'::regclass);

--

ALTER TABLE ONLY cdyprclass ALTER COLUMN item_ix SET DEFAULT nextval('cdyprclass_item_ix_seq'::regclass);

--

ALTER TABLE ONLY cdy_rslt_lst ALTER COLUMN item_ix SET DEFAULT nextval('cdy_rslt_lst_item_ix_seq'::regclass);

--

ALTER TABLE ONLY cdy_rslt_sel ALTER COLUMN item_ix SET DEFAULT nextval('cdy_rslt_sel_item_ix_seq'::regclass);

--

ALTER TABLE ONLY dummyclass ALTER COLUMN item_ix SET DEFAULT nextval('dummyclass_item_ix_seq'::regclass);

--

ALTER TABLE ONLY parm_int ALTER COLUMN item_ix SET DEFAULT nextval('parm_int_item_ix_seq'::regclass);

--
 
SET search_path = opti, pg_catalog;

 