CREATE TABLE cdy_mvdat (
    key integer NOT NULL,
    fname character varying(255),
    first character varying(1),
    snr integer,
    utlg integer,
    datum timestamp without time zone,
    m_ix integer,
    s0 integer,
    s1 integer,
    m_wert double precision,
    variation double precision,
    anzahl integer,
    s_wert double precision,
    korrektur character varying(1)
);

CREATE TABLE cdy_fxdat (
    fname character varying(255) NOT NULL,
    sbez character varying(255),
    snr double precision NOT NULL,
    utlg double precision NOT NULL,
    geobreite double precision,
    standort character varying(255),
    wetter character varying(255),
    statusanf double precision,
    statusend double precision,
    startdat timestamp without time zone,
    stopdat timestamp without time zone,
    immission double precision,
    ltem double precision,
    nied double precision,
    crep double precision,
    nlevel double precision,
    nfk0 double precision,
    reslst integer,
    obslst integer,
    useobsvt boolean
);

CREATE TABLE cdy_hrzn (
    item_ix integer,
    name character varying(10),
    hydromorph boolean,
    pv double precision,
    ct double precision,
    trd double precision,
    pwp double precision,
    fkap double precision,
    lambda double precision,
    hkap double precision,
    ton double precision,
    schluff double precision,
    fat double precision,
    kdeg double precision,
    stone_cont double precision,
    cip double precision,
    relrootres double precision,
    kf double precision,
    active boolean,
    mi double precision,
    me double precision,
    ma double precision
);

CREATE TABLE cdy_madat (
    key integer,
    fname character varying(5),
    snr integer,
    utlg integer,
    datum timestamp without time zone,
    macode integer,
    wert1 integer,
    wert2 double precision,
    origwert double precision,
    rein character varying(1)
);


CREATE TABLE cdypflan (
    item_ix integer,
    n_gehalt double precision,
    name_engl character varying(25),
    name_de character varying(50),
    name character varying(25),
    name_lat character varying(25),
    art integer,
    modell character varying(10),
    transk double precision,
    algo integer,
    steil double precision,
    vegdau double precision,
    nbok double precision,
    lnub double precision,
    wtmax integer,
    wwg double precision,
    dbhmax integer,
    bhmax integer,
    matanf integer,
    tempanf integer,
    bgmax double precision,
    dbgmax integer,
    cewr double precision,
    fewr double precision,
    czep double precision DEFAULT 0.25,
    zetb double precision DEFAULT 0,
    ewr_ix integer DEFAULT 0,
    grd_ix integer DEFAULT 0,
    tk_min double precision DEFAULT 0,
    ts1 double precision DEFAULT 0,
    ts2 double precision DEFAULT 0,
    sba_id integer DEFAULT 0,
    hi double precision DEFAULT 0,
    kop_ix integer DEFAULT 0,
    source character varying(80),
    dm_nat double precision
);
CREATE TABLE cdyopspa (
    item_ix integer,
    sba_id integer DEFAULT 0,
    name character varying(25),
    crop_ix integer,
    od boolean,
    k double precision,
    eta double precision,
    cnr double precision,
    cnr_alt double precision,
    ts_gehalt double precision,
    c_geh_ts double precision,
    mor double precision,
    source character varying(80)
);

CREATE TABLE profile (
    profil character varying(10),
    depth double precision,
    horiz_name character varying(25)
);

CREATE TABLE  cdymindg (
	item_ix int4 ,
	name varchar(25) ,
	ammanteil double precision
);

CREATE TABLE cdy_cldat (
	datum timestamp ,
	nied double precision,
	ltem double precision,
	sonn double precision,
	glob double precision,
	wstat varchar(255) NULL,
	widx varchar(8) NULL
);

CREATE TABLE  cdylives (
	item_ix int4 NOT NULL DEFAULT 0,
	name  varchar(25) NULL,
	c_inp double precision,
	od_id integer,
	n_upt double precision
);
