--
-- PostgreSQL database dump
--

-- Dumped from database version 9.6.3
-- Dumped by pg_dump version 13.2

-- Started on 2021-12-05 17:42:42

SET statement_timeout = 0;
SET lock_timeout = 0;
SET idle_in_transaction_session_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SELECT pg_catalog.set_config('search_path', '', false);
SET check_function_bodies = false;
SET xmloption = content;
SET client_min_messages = warning;
SET row_security = off;

--
-- TOC entry 7 (class 2615 OID 72495)
-- Name: opti; Type: SCHEMA; Schema: -; Owner: -
--

CREATE SCHEMA opti;


--
-- TOC entry 3 (class 2615 OID 2200)
-- Name: public; Type: SCHEMA; Schema: -; Owner: -
--

CREATE SCHEMA public;


--
-- TOC entry 2458 (class 0 OID 0)
-- Dependencies: 3
-- Name: SCHEMA public; Type: COMMENT; Schema: -; Owner: -
--

COMMENT ON SCHEMA public IS 'standard public schema';


--
-- TOC entry 248 (class 1255 OID 72496)
-- Name: sqr(double precision); Type: FUNCTION; Schema: public; Owner: -
--

CREATE FUNCTION public.sqr(double precision) RETURNS double precision
    LANGUAGE sql IMMUTABLE STRICT
    AS $_$
select sqrt( $1 )  ;
$_$;


SET default_tablespace = '';

--
-- TOC entry 186 (class 1259 OID 72497)
-- Name: parm_int; Type: TABLE; Schema: opti; Owner: -
--

CREATE TABLE opti.parm_int (
    item_ix integer NOT NULL,
    fname character(16),
    pname character(10),
    minimum double precision,
    maximum double precision,
    ival double precision,
    step double precision,
    aval double precision,
    selection character(50),
    alias character(15),
    error double precision,
    r_2 double precision,
    r_3 double precision,
    r_4 double precision,
    r_5 double precision,
    r_6 double precision
);


--
-- TOC entry 187 (class 1259 OID 72500)
-- Name: parm_int_item_ix_seq; Type: SEQUENCE; Schema: opti; Owner: -
--

CREATE SEQUENCE opti.parm_int_item_ix_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- TOC entry 2459 (class 0 OID 0)
-- Dependencies: 187
-- Name: parm_int_item_ix_seq; Type: SEQUENCE OWNED BY; Schema: opti; Owner: -
--

ALTER SEQUENCE opti.parm_int_item_ix_seq OWNED BY opti.parm_int.item_ix;


--
-- TOC entry 188 (class 1259 OID 72502)
-- Name: selmix; Type: TABLE; Schema: opti; Owner: -
--

CREATE TABLE opti.selmix (
    m_ix integer
);


--
-- TOC entry 189 (class 1259 OID 72505)
-- Name: cdy_cldat; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.cdy_cldat (
    datum timestamp without time zone,
    nied double precision,
    ltem double precision,
    sonn double precision,
    glob integer,
    wstat character varying(255),
    widx character varying(8)
);


--
-- TOC entry 190 (class 1259 OID 72508)
-- Name: cdy_msdat; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.cdy_msdat (
    key integer NOT NULL,
    fname character varying(25),
    snr integer,
    utlg integer,
    datum timestamp without time zone,
    m_ix integer,
    s0 integer,
    s1 integer,
    m_wert double precision,
    korrektur character varying(1),
    ix character varying(50),
    s_wert double precision DEFAULT 0
);


--
-- TOC entry 191 (class 1259 OID 72513)
-- Name: cdy_mvdat; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.cdy_mvdat (
    key integer NOT NULL,
    fname character varying(255),
    snr integer,
    utlg integer,
    datum timestamp without time zone,
    m_ix integer,
    s0 integer,
    s1 integer,
    m_wert double precision,
    variation double precision,
    anzahl integer,
    s_wert double precision,
    korrektur character varying(1)
);


--
-- TOC entry 192 (class 1259 OID 72516)
-- Name: cdy_prop; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.cdy_prop (
    item_ix integer,
    propname character varying(20),
    shrtname character varying(10),
    pgroup character varying(20),
    format character varying(10),
    typ character varying(2),
    propunit character varying(10),
    adptbl boolean
);


--
-- TOC entry 193 (class 1259 OID 72519)
-- Name: cdy_evaldat; Type: VIEW; Schema: public; Owner: -
--

CREATE VIEW public.cdy_evaldat AS
 SELECT v.key AS meas_id,
    s.fname,
    s.snr,
    s.utlg,
    s.m_ix,
    s.datum,
    p.shrtname,
    p.propname,
    p.typ,
    p.propunit,
    s.s0,
    s.s1,
    s.s_wert,
    v.m_wert
   FROM public.cdy_msdat s,
    public.cdy_mvdat v,
    public.cdy_prop p
  WHERE (((s.korrektur)::text = 'N'::text) AND (p.item_ix = s.m_ix) AND (s.snr = v.snr) AND (s.utlg = v.utlg) AND ((s.fname)::text = (v.fname)::text) AND (s.datum = v.datum) AND (s.m_ix = v.m_ix) AND ((s.korrektur)::text = (v.korrektur)::text) AND (s.s0 = v.s0) AND (s.s1 = v.s1));


--
-- TOC entry 194 (class 1259 OID 72524)
-- Name: cdy_fxdat; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.cdy_fxdat (
    fname character varying(255) NOT NULL,
    sbez character varying(255),
    snr double precision NOT NULL,
    utlg double precision NOT NULL,
    geobreite double precision,
    standort character varying(255),
    wetter character varying(255),
    statusanf double precision,
    statusend double precision,
    startdat timestamp without time zone,
    stopdat timestamp without time zone,
    immission double precision,
    ltem double precision,
    nied double precision,
    crep double precision,
    nlevel double precision,
    nfk0 double precision,
    reslst integer,
    obslst integer,
    useobsvt boolean
);


--
-- TOC entry 195 (class 1259 OID 72532)
-- Name: cdy_gsdat; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.cdy_gsdat (
    id integer,
    range character varying(5),
    area double precision,
    fname character varying(5),
    plot character varying(25),
    climate character varying(3),
    soil character varying(10),
    r_faktor double precision,
    patch character varying(10),
    value double precision
);


--
-- TOC entry 196 (class 1259 OID 72535)
-- Name: cdy_hrzn; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.cdy_hrzn (
    item_ix integer,
    name character varying(10),
    hydromorph boolean,
    pv double precision,
    ct double precision,
    trd double precision,
    pwp double precision,
    fkap double precision,
    lambda double precision,
    hkap double precision,
    ton double precision,
    schluff double precision,
    fat double precision,
    kdeg double precision,
    stone_cont double precision,
    cip double precision,
    relrootres double precision,
    kf double precision,
    active boolean,
    mi double precision,
    me double precision,
    ma double precision
);


--
-- TOC entry 197 (class 1259 OID 72538)
-- Name: cdy_madat; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.cdy_madat (
    key integer NOT NULL,
    fname character varying(5),
    snr integer,
    utlg integer,
    datum timestamp without time zone,
    macode integer,
    wert1 integer,
    wert2 double precision,
    origwert double precision,
    rein character varying(1)
);


--
-- TOC entry 198 (class 1259 OID 72541)
-- Name: cdy_madat_key_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE public.cdy_madat_key_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- TOC entry 2460 (class 0 OID 0)
-- Dependencies: 198
-- Name: cdy_madat_key_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE public.cdy_madat_key_seq OWNED BY public.cdy_madat.key;


--
-- TOC entry 199 (class 1259 OID 72543)
-- Name: cdy_mgdat; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.cdy_mgdat (
    key integer NOT NULL,
    fname character varying(25),
    patch integer,
    datum timestamp without time zone,
    m_ix integer,
    s0 integer,
    s1 integer,
    m_wert double precision,
    korrektur character varying(1),
    ix character varying(50),
    s_wert double precision DEFAULT 0
);


--
-- TOC entry 200 (class 1259 OID 72547)
-- Name: cdy_mgdat_key_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE public.cdy_mgdat_key_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- TOC entry 2461 (class 0 OID 0)
-- Dependencies: 200
-- Name: cdy_mgdat_key_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE public.cdy_mgdat_key_seq OWNED BY public.cdy_mgdat.key;


--
-- TOC entry 201 (class 1259 OID 72549)
-- Name: cdy_mhdat; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.cdy_mhdat (
    key integer NOT NULL,
    fname character varying(25),
    snr integer,
    utlg integer,
    datum timestamp without time zone,
    m_ix integer,
    s0 integer,
    s1 integer,
    m_wert double precision,
    korrektur character varying(1),
    ix character varying(50) NOT NULL,
    s_wert double precision DEFAULT 0
);


--
-- TOC entry 202 (class 1259 OID 72553)
-- Name: cdy_mhdat_key_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE public.cdy_mhdat_key_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- TOC entry 2462 (class 0 OID 0)
-- Dependencies: 202
-- Name: cdy_mhdat_key_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE public.cdy_mhdat_key_seq OWNED BY public.cdy_mhdat.key;


--
-- TOC entry 203 (class 1259 OID 72555)
-- Name: cdy_msdat_key_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE public.cdy_msdat_key_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- TOC entry 2463 (class 0 OID 0)
-- Dependencies: 203
-- Name: cdy_msdat_key_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE public.cdy_msdat_key_seq OWNED BY public.cdy_msdat.key;


--
-- TOC entry 204 (class 1259 OID 72557)
-- Name: cdy_mvdat_key_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE public.cdy_mvdat_key_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- TOC entry 2464 (class 0 OID 0)
-- Dependencies: 204
-- Name: cdy_mvdat_key_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE public.cdy_mvdat_key_seq OWNED BY public.cdy_mvdat.key;


--
-- TOC entry 205 (class 1259 OID 72559)
-- Name: cdyaktion; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.cdyaktion (
    action character(30),
    action_id integer DEFAULT 0 NOT NULL,
    unit_intensity character varying(50),
    def_intensity character varying(50),
    def_addval character varying
);


--
-- TOC entry 206 (class 1259 OID 72566)
-- Name: cdylives; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.cdylives (
    item_ix integer DEFAULT 0 NOT NULL,
    name character varying(25),
    c_inp double precision DEFAULT 0,
    od_id integer DEFAULT 0,
    n_upt double precision DEFAULT 0,
    source character varying(80)
);


--
-- TOC entry 207 (class 1259 OID 72573)
-- Name: cdymindg; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.cdymindg (
    item_ix integer,
    name character varying(25),
    ammanteil double precision,
    source character varying(80)
);


--
-- TOC entry 208 (class 1259 OID 72576)
-- Name: cdyopspa; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.cdyopspa (
    item_ix integer,
    sba_id integer,
    name character varying(25),
    crop_ix integer,
    od boolean,
    k double precision,
    eta double precision,
    cnr double precision,
    cnr_alt double precision,
    ts_gehalt double precision,
    c_geh_ts double precision,
    mor double precision,
    source character varying(80)
);


--
-- TOC entry 209 (class 1259 OID 72579)
-- Name: cdypflan; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.cdypflan (
    item_ix integer,
    n_gehalt double precision,
    name_engl character varying(25),
    name_de character varying(50),
    name character varying(25),
    name_lat character varying(25),
    art integer,
    modell character varying(10),
    transk double precision,
    algo integer,
    steil double precision,
    vegdau double precision,
    nbok double precision,
    lnub double precision,
    wtmax integer,
    wwg double precision,
    dbhmax integer,
    bhmax integer,
    matanf integer,
    tempanf integer,
    bgmax double precision,
    dbgmax integer,
    cewr double precision,
    fewr double precision,
    czep double precision DEFAULT 0.25,
    zetb double precision DEFAULT 0,
    ewr_ix integer DEFAULT 0,
    grd_ix integer DEFAULT 0,
    tk_min double precision DEFAULT 0,
    ts1 double precision DEFAULT 0,
    ts2 double precision DEFAULT 0,
    sba_id integer DEFAULT 0,
    hi double precision DEFAULT 0,
    kop_ix integer DEFAULT 0,
    dm_nat double precision,
    source character varying(80)
);


--
-- TOC entry 233 (class 1259 OID 72673)
-- Name: cdytilldev; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.cdytilldev (
    item_ix integer DEFAULT 0 NOT NULL,
    name character varying(50),
    effect double precision DEFAULT 0,
    source character varying(255)
);


--
-- TOC entry 241 (class 1259 OID 72718)
-- Name: cdy_objects; Type: VIEW; Schema: public; Owner: -
--

CREATE VIEW public.cdy_objects AS
 SELECT 1 AS macode,
    cdyaktion.action,
    cdypflan.name,
    btrim("left"((cdypflan.name)::text, 25)) AS item,
    cdypflan.item_ix,
    cdyaktion.unit_intensity,
    cdyaktion.def_intensity,
    cdyaktion.def_addval,
    ((100000 * 1) + cdypflan.item_ix) AS ix
   FROM public.cdypflan,
    public.cdyaktion
  WHERE (cdyaktion.action_id = 1)
UNION
 SELECT 12 AS macode,
    cdyaktion.action,
    cdypflan.name,
    btrim("left"((cdypflan.name)::text, 25)) AS item,
    cdypflan.item_ix,
    cdyaktion.unit_intensity,
    cdyaktion.def_intensity,
    cdyaktion.def_addval,
    ((100000 * 12) + cdypflan.item_ix) AS ix
   FROM public.cdypflan,
    public.cdyaktion
  WHERE (cdyaktion.action_id = 12)
UNION
 SELECT 2 AS macode,
    cdyaktion.action,
    cdypflan.name,
    btrim("left"((cdypflan.name)::text, 25)) AS item,
    cdypflan.item_ix,
    cdyaktion.unit_intensity,
    cdyaktion.def_intensity,
    cdyaktion.def_addval,
    ((100000 * 2) + cdypflan.item_ix) AS ix
   FROM public.cdypflan,
    public.cdyaktion
  WHERE (cdyaktion.action_id = 2)
UNION
 SELECT 3 AS macode,
    cdyaktion.action,
    cdyopspa.name,
    btrim("left"((cdyopspa.name)::text, 25)) AS item,
    cdyopspa.item_ix,
    cdyaktion.unit_intensity,
    cdyaktion.def_intensity,
    cdyaktion.def_addval,
    ((100000 * 3) + cdyopspa.item_ix) AS ix
   FROM public.cdyopspa,
    public.cdyaktion
  WHERE ((cdyaktion.action_id = 3) AND cdyopspa.od)
UNION
 SELECT 4 AS macode,
    cdyaktion.action,
    cdymindg.name,
    btrim("left"((cdymindg.name)::text, 25)) AS item,
    cdymindg.item_ix,
    cdyaktion.unit_intensity,
    cdyaktion.def_intensity,
    cdyaktion.def_addval,
    ((100000 * 4) + cdymindg.item_ix) AS ix
   FROM public.cdymindg,
    public.cdyaktion
  WHERE (cdyaktion.action_id = 4)
UNION
 SELECT 5 AS macode,
    'tillage'::character varying AS action,
    'ploughing'::character varying AS name,
    'ploughing'::text AS item,
    0 AS item_ix,
    cdyaktion.unit_intensity,
    cdyaktion.def_intensity,
    cdyaktion.def_addval,
    ((100000 * 5) + 0) AS ix
   FROM public.cdyaktion
  WHERE (cdyaktion.action_id = 5)
UNION
 SELECT 5 AS macode,
    'tillage'::character varying AS action,
    cdytilldev.name,
    btrim("left"((cdytilldev.name)::text, 25)) AS item,
    cdytilldev.item_ix,
    cdyaktion.unit_intensity,
    cdyaktion.def_intensity,
    cdyaktion.def_addval,
    ((100000 * 5) + cdytilldev.item_ix) AS ix
   FROM public.cdyaktion,
    public.cdytilldev
  WHERE ((cdyaktion.action_id = 5) AND (cdytilldev.item_ix > 0))
UNION
 SELECT 0 AS macode,
    'ploughing up'::character varying AS action,
    cdytilldev.name,
    btrim("left"((cdytilldev.name)::text, 25)) AS item,
    cdytilldev.item_ix,
    cdyaktion.unit_intensity,
    cdyaktion.def_intensity,
    cdyaktion.def_addval,
    ((100000 * 20) + cdytilldev.item_ix) AS ix
   FROM public.cdyaktion,
    public.cdytilldev
  WHERE ((cdyaktion.action_id = 5) AND (cdytilldev.item_ix > 0))
UNION
 SELECT 6 AS macode,
    'cutting'::character varying AS action,
    'unknown'::character varying AS name,
    '?'::text AS item,
    0 AS item_ix,
    cdyaktion.unit_intensity,
    cdyaktion.def_intensity,
    cdyaktion.def_addval,
    ((100000 * 6) + 0) AS ix
   FROM public.cdyaktion
  WHERE (cdyaktion.action_id = 6)
UNION
 SELECT 7 AS macode,
    'irrigation'::character varying AS action,
    'unknown'::character varying AS name,
    '?'::text AS item,
    0 AS item_ix,
    cdyaktion.unit_intensity,
    cdyaktion.def_intensity,
    cdyaktion.def_addval,
    ((100000 * 7) + 0) AS ix
   FROM public.cdyaktion
  WHERE (cdyaktion.action_id = 7)
UNION
 SELECT 9 AS macode,
    cdyaktion.action,
    cdypflan.name,
    btrim("left"((cdypflan.name)::text, 25)) AS item,
    cdypflan.item_ix,
    cdyaktion.unit_intensity,
    cdyaktion.def_intensity,
    cdyaktion.def_addval,
    ((100000 * 9) + cdypflan.item_ix) AS ix
   FROM public.cdypflan,
    public.cdyaktion
  WHERE (cdyaktion.action_id = 9)
UNION
 SELECT 10 AS macode,
    cdyaktion.action,
    cdylives.name,
    btrim("left"((cdylives.name)::text, 25)) AS item,
    cdylives.item_ix,
    cdyaktion.unit_intensity,
    cdyaktion.def_intensity,
    cdyaktion.def_addval,
    ((100000 * 10) + cdylives.item_ix) AS ix
   FROM public.cdylives,
    public.cdyaktion
  WHERE (cdyaktion.action_id = 10)
UNION
 SELECT 11 AS macode,
    cdyaktion.action,
    cdylives.name,
    btrim("left"((cdylives.name)::text, 25)) AS item,
    cdylives.item_ix,
    cdyaktion.unit_intensity,
    cdyaktion.def_intensity,
    cdyaktion.def_addval,
    ((100000 * 11) + cdylives.item_ix) AS ix
   FROM public.cdylives,
    public.cdyaktion
  WHERE (cdyaktion.action_id = 11)
  ORDER BY 8;


--
-- TOC entry 210 (class 1259 OID 72593)
-- Name: cdy_prop_lst; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.cdy_prop_lst (
    item_ix integer NOT NULL,
    sname character varying(20)
);


--
-- TOC entry 211 (class 1259 OID 72596)
-- Name: cdy_prop_lst_item_ix_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE public.cdy_prop_lst_item_ix_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- TOC entry 2465 (class 0 OID 0)
-- Dependencies: 211
-- Name: cdy_prop_lst_item_ix_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE public.cdy_prop_lst_item_ix_seq OWNED BY public.cdy_prop_lst.item_ix;


--
-- TOC entry 212 (class 1259 OID 72598)
-- Name: cdy_prop_sel; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.cdy_prop_sel (
    item_ix integer NOT NULL,
    sch_ix integer,
    intervall integer,
    m_ix integer,
    s0 integer,
    s1 integer,
    start timestamp without time zone,
    enddat timestamp without time zone
);


--
-- TOC entry 213 (class 1259 OID 72601)
-- Name: cdy_prop_sel_item_ix_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE public.cdy_prop_sel_item_ix_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- TOC entry 2466 (class 0 OID 0)
-- Dependencies: 213
-- Name: cdy_prop_sel_item_ix_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE public.cdy_prop_sel_item_ix_seq OWNED BY public.cdy_prop_sel.item_ix;


--
-- TOC entry 214 (class 1259 OID 72603)
-- Name: cdy_rslt; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.cdy_rslt (
    item_ix integer NOT NULL,
    resultnr double precision,
    resultat character varying(50),
    auswahl character varying(1),
    flen double precision,
    "dec" double precision,
    i_type smallint DEFAULT 0,
    unit character varying(50),
    remark character varying(255)
);


--
-- TOC entry 215 (class 1259 OID 72607)
-- Name: cdy_rslt_item_ix_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE public.cdy_rslt_item_ix_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- TOC entry 2467 (class 0 OID 0)
-- Dependencies: 215
-- Name: cdy_rslt_item_ix_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE public.cdy_rslt_item_ix_seq OWNED BY public.cdy_rslt.item_ix;


--
-- TOC entry 228 (class 1259 OID 72660)
-- Name: cdy_rslt_lst; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.cdy_rslt_lst (
    item_ix integer NOT NULL,
    listname character varying(20),
    res_out integer
);


--
-- TOC entry 229 (class 1259 OID 72663)
-- Name: cdy_rslt_lst_item_ix_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE public.cdy_rslt_lst_item_ix_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- TOC entry 2468 (class 0 OID 0)
-- Dependencies: 229
-- Name: cdy_rslt_lst_item_ix_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE public.cdy_rslt_lst_item_ix_seq OWNED BY public.cdy_rslt_lst.item_ix;


--
-- TOC entry 230 (class 1259 OID 72665)
-- Name: cdy_rslt_sel; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.cdy_rslt_sel (
    item_ix integer NOT NULL,
    list_ix integer,
    resultnr integer
);


--
-- TOC entry 231 (class 1259 OID 72668)
-- Name: cdy_rslt_sel_item_ix_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE public.cdy_rslt_sel_item_ix_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- TOC entry 2469 (class 0 OID 0)
-- Dependencies: 231
-- Name: cdy_rslt_sel_item_ix_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE public.cdy_rslt_sel_item_ix_seq OWNED BY public.cdy_rslt_sel.item_ix;


--
-- TOC entry 216 (class 1259 OID 72609)
-- Name: cdy_sldat; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.cdy_sldat (
    key integer NOT NULL,
    fname character varying(255),
    datum timestamp without time zone,
    ts_gehalt double precision,
    nt_gehalt double precision,
    ct_gehalt double precision,
    stx integer DEFAULT 0,
    rec_nr integer DEFAULT 0,
    ops_id integer DEFAULT 0
);


--
-- TOC entry 217 (class 1259 OID 72615)
-- Name: cdy_sldat_key_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE public.cdy_sldat_key_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- TOC entry 2470 (class 0 OID 0)
-- Dependencies: 217
-- Name: cdy_sldat_key_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE public.cdy_sldat_key_seq OWNED BY public.cdy_sldat.key;


--
-- TOC entry 218 (class 1259 OID 72617)
-- Name: cdyacrdp; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.cdyacrdp (
    item_ix integer,
    pname character varying(6),
    dvi double precision,
    pval double precision
);


--
-- TOC entry 219 (class 1259 OID 72620)
-- Name: cdyacrdviprm; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.cdyacrdviprm (
    item_ix integer,
    pname character varying(6),
    dvi double precision,
    pval double precision
);


--
-- TOC entry 220 (class 1259 OID 72623)
-- Name: cdyacrop; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.cdyacrop (
    item_ix integer,
    alpha double precision,
    beta double precision,
    sigma double precision,
    t_upl double precision,
    t_lol double precision,
    t_opt double precision,
    n_saat double precision,
    c_saat double precision,
    ncr_bm double precision,
    ref_ts double precision,
    senescence double precision,
    sp_lf_ar double precision,
    gr_resp double precision,
    m double precision,
    b double precision
);


--
-- TOC entry 221 (class 1259 OID 72626)
-- Name: cdyaparm; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.cdyaparm (
    item_ix double precision DEFAULT 0,
    name character varying(50),
    parmsatz character varying(5),
    czep double precision,
    xsi double precision,
    nunb double precision,
    tbed double precision,
    tunb double precision,
    zetu double precision,
    zetb double precision,
    k_mulch double precision DEFAULT 0,
    k_aos double precision,
    k_akt double precision,
    k_stab double precision,
    k_deni double precision,
    maxdeni double precision,
    cnr_obs double precision,
    disp_kf double precision,
    dng_eff double precision,
    bt_modell smallint DEFAULT 0,
    n_im_som double precision DEFAULT 0,
    n_im_bew double precision DEFAULT 0
);


--
-- TOC entry 222 (class 1259 OID 72634)
-- Name: cdybtprm; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.cdybtprm (
    p_name character varying(4),
    version smallint DEFAULT 0,
    value double precision DEFAULT 0,
    model character varying(15)
);


--
-- TOC entry 223 (class 1259 OID 72639)
-- Name: cdycl2pr; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.cdycl2pr (
    class_item integer,
    prop_item integer
);


--
-- TOC entry 224 (class 1259 OID 72642)
-- Name: cdydevpa; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.cdydevpa (
    item_ix integer DEFAULT 0 NOT NULL,
    name character varying(50),
    inflation_pressure double precision DEFAULT 0,
    wheel_load double precision DEFAULT 0,
    working_width double precision DEFAULT 0,
    wheel_width double precision DEFAULT 0,
    permanent_traffic_lanes boolean,
    wheel_tracked_area double precision DEFAULT 0,
    associated_action integer DEFAULT 0,
    source character varying(80)
);


--
-- TOC entry 225 (class 1259 OID 72652)
-- Name: cdyirrgdev; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.cdyirrgdev (
    item_ix integer,
    name character(20),
    effect double precision,
    source character varying(80)
);


--
-- TOC entry 226 (class 1259 OID 72655)
-- Name: cdyprclass; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.cdyprclass (
    item_ix integer NOT NULL,
    classname character varying(20)
);


--
-- TOC entry 227 (class 1259 OID 72658)
-- Name: cdyprclass_item_ix_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE public.cdyprclass_item_ix_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- TOC entry 2471 (class 0 OID 0)
-- Dependencies: 227
-- Name: cdyprclass_item_ix_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE public.cdyprclass_item_ix_seq OWNED BY public.cdyprclass.item_ix;


--
-- TOC entry 232 (class 1259 OID 72670)
-- Name: cdyssdpa; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.cdyssdpa (
    item_ix integer NOT NULL,
    pset character varying(25),
    f_bioturb double precision,
    calc_roll_over boolean,
    source character varying(80)
);


--
-- TOC entry 239 (class 1259 OID 72708)
-- Name: crop_missing_opspa; Type: VIEW; Schema: public; Owner: -
--

CREATE VIEW public.crop_missing_opspa AS
 SELECT 'ewr'::text AS col,
    p.name AS crop,
    p.ewr_ix AS idx,
    o.name AS om
   FROM (public.cdypflan p
     LEFT JOIN public.cdyopspa o ON ((p.ewr_ix = o.item_ix)))
  WHERE (o.name IS NULL)
UNION
 SELECT 'kop'::text AS col,
    p.name AS crop,
    p.kop_ix AS idx,
    o.name AS om
   FROM (public.cdypflan p
     LEFT JOIN public.cdyopspa o ON ((p.kop_ix = o.item_ix)))
  WHERE ((NOT (p.kop_ix IS NULL)) AND (o.name IS NULL))
UNION
 SELECT 'grd'::text AS col,
    p.name AS crop,
    p.grd_ix AS idx,
    o.name AS om
   FROM (public.cdypflan p
     LEFT JOIN public.cdyopspa o ON ((p.grd_ix = o.item_ix)))
  WHERE ((NOT (p.grd_ix IS NULL)) AND (o.name IS NULL));


--
-- TOC entry 234 (class 1259 OID 72683)
-- Name: mnmt_missng_crops; Type: VIEW; Schema: public; Owner: -
--

CREATE VIEW public.mnmt_missng_crops AS
 SELECT l.fname,
    l.snr,
    l.utlg,
    l.wert1,
    l.name
   FROM ( SELECT DISTINCT m.fname,
            m.snr,
            m.utlg,
            m.wert1,
            cdypflan.name
           FROM (( SELECT cdy_madat.fname,
                    cdy_madat.snr,
                    cdy_madat.utlg,
                    cdy_madat.wert1
                   FROM public.cdy_madat
                  WHERE (cdy_madat.macode = ANY (ARRAY[1, 2, 9, 12]))) m
             LEFT JOIN public.cdypflan ON ((m.wert1 = cdypflan.item_ix)))) l
  WHERE (l.name IS NULL);


--
-- TOC entry 235 (class 1259 OID 72688)
-- Name: mnmt_missng_irdv; Type: VIEW; Schema: public; Owner: -
--

CREATE VIEW public.mnmt_missng_irdv AS
 SELECT l.fname,
    l.snr,
    l.utlg,
    l.wert1,
    l.name
   FROM ( SELECT DISTINCT m.fname,
            m.snr,
            m.utlg,
            m.wert1,
            cdyirrgdev.name
           FROM (( SELECT cdy_madat.fname,
                    cdy_madat.snr,
                    cdy_madat.utlg,
                    cdy_madat.wert1
                   FROM public.cdy_madat
                  WHERE (cdy_madat.macode = 7)) m
             LEFT JOIN public.cdyirrgdev ON ((m.wert1 = cdyirrgdev.item_ix)))) l
  WHERE (l.name IS NULL);


--
-- TOC entry 236 (class 1259 OID 72693)
-- Name: mnmt_missng_lvst; Type: VIEW; Schema: public; Owner: -
--

CREATE VIEW public.mnmt_missng_lvst AS
 SELECT l.fname,
    l.snr,
    l.utlg,
    l.wert1,
    l.name
   FROM ( SELECT DISTINCT m.fname,
            m.snr,
            m.utlg,
            m.wert1,
            cdylives.name
           FROM (( SELECT cdy_madat.fname,
                    cdy_madat.snr,
                    cdy_madat.utlg,
                    cdy_madat.wert1
                   FROM public.cdy_madat
                  WHERE (cdy_madat.macode = ANY (ARRAY[10, 11]))) m
             LEFT JOIN public.cdylives ON ((m.wert1 = cdylives.item_ix)))) l
  WHERE (l.name IS NULL);


--
-- TOC entry 237 (class 1259 OID 72698)
-- Name: mnmt_missng_mindg; Type: VIEW; Schema: public; Owner: -
--

CREATE VIEW public.mnmt_missng_mindg AS
 SELECT l.fname,
    l.snr,
    l.utlg,
    l.wert1,
    l.name
   FROM ( SELECT DISTINCT m.fname,
            m.snr,
            m.utlg,
            m.wert1,
            cdymindg.name
           FROM (( SELECT cdy_madat.fname,
                    cdy_madat.snr,
                    cdy_madat.utlg,
                    cdy_madat.wert1
                   FROM public.cdy_madat
                  WHERE (cdy_madat.macode = 4)) m
             LEFT JOIN public.cdymindg ON ((m.wert1 = cdymindg.item_ix)))) l
  WHERE (l.name IS NULL);


--
-- TOC entry 238 (class 1259 OID 72703)
-- Name: mnmt_missng_oram; Type: VIEW; Schema: public; Owner: -
--

CREATE VIEW public.mnmt_missng_oram AS
 SELECT l.fname,
    l.snr,
    l.utlg,
    l.wert1,
    l.name
   FROM ( SELECT DISTINCT m.fname,
            m.snr,
            m.utlg,
            m.wert1,
            cdyopspa.name
           FROM (( SELECT cdy_madat.fname,
                    cdy_madat.snr,
                    cdy_madat.utlg,
                    cdy_madat.wert1
                   FROM public.cdy_madat
                  WHERE (cdy_madat.macode = 3)) m
             LEFT JOIN public.cdyopspa ON ((m.wert1 = cdyopspa.item_ix)))) l
  WHERE (l.name IS NULL);


--
-- TOC entry 240 (class 1259 OID 72713)
-- Name: mnmt_missng_tidev; Type: VIEW; Schema: public; Owner: -
--

CREATE VIEW public.mnmt_missng_tidev AS
 SELECT l.fname,
    l.snr,
    l.utlg,
    l.wert1,
    l.name
   FROM ( SELECT DISTINCT m.fname,
            m.snr,
            m.utlg,
            m.wert1,
            cdytilldev.name
           FROM (( SELECT cdy_madat.fname,
                    cdy_madat.snr,
                    cdy_madat.utlg,
                    cdy_madat.wert1
                   FROM public.cdy_madat
                  WHERE (cdy_madat.macode = ANY (ARRAY[0, 5]))) m
             LEFT JOIN public.cdytilldev ON ((m.wert1 = cdytilldev.item_ix)))) l
  WHERE (l.name IS NULL);


  CREATE OR REPLACE VIEW public.mnmtmissng_link
AS SELECT mnmt_missng_crops.fname,
    mnmt_missng_crops.snr * 10 + mnmt_missng_crops.utlg AS plot,
    mnmt_missng_crops.wert1 AS item_ix,
    'crop'::text AS obj
   FROM mnmt_missng_crops
UNION
 SELECT mnmt_missng_oram.fname,
    mnmt_missng_oram.snr * 10 + mnmt_missng_oram.utlg AS plot,
    mnmt_missng_oram.wert1 AS item_ix,
    'oram'::text AS obj
   FROM mnmt_missng_oram
UNION
 SELECT mnmt_missng_mindg.fname,
    mnmt_missng_mindg.snr * 10 + mnmt_missng_mindg.utlg AS plot,
    mnmt_missng_mindg.wert1 AS item_ix,
    'mndg'::text AS obj
   FROM mnmt_missng_mindg
UNION
 SELECT mnmt_missng_tidev.fname,
    mnmt_missng_tidev.snr * 10 + mnmt_missng_tidev.utlg AS plot,
    mnmt_missng_tidev.wert1 AS item_ix,
    'tidv'::text AS obj
   FROM mnmt_missng_tidev
UNION
 SELECT mnmt_missng_lvst.fname,
    mnmt_missng_lvst.snr * 10 + mnmt_missng_lvst.utlg AS plot,
    mnmt_missng_lvst.wert1 AS item_ix,
    'lvst'::text AS obj
   FROM mnmt_missng_lvst
UNION
 SELECT mnmt_missng_irdv.fname,
    mnmt_missng_irdv.snr * 10 + mnmt_missng_irdv.utlg AS plot,
    mnmt_missng_irdv.wert1 AS item_ix,
    'irdv'::text AS obj
   FROM mnmt_missng_irdv ;



--
-- TOC entry 242 (class 1259 OID 72723)
-- Name: parm_int; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.parm_int (
    item_ix integer NOT NULL,
    fname character(16),
    pname character(10),
    minimum double precision,
    maximum double precision,
    ival double precision,
    step double precision,
    aval double precision,
    selection character(50),
    alias character(15),
    error double precision
);


--
-- TOC entry 243 (class 1259 OID 72726)
-- Name: parm_int_item_ix_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE public.parm_int_item_ix_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- TOC entry 2472 (class 0 OID 0)
-- Dependencies: 243
-- Name: parm_int_item_ix_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE public.parm_int_item_ix_seq OWNED BY public.parm_int.item_ix;


--
-- TOC entry 244 (class 1259 OID 72728)
-- Name: profile; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.profile (
    profil character varying(10),
    depth double precision,
    horiz_name character varying(25)
);


--
-- TOC entry 247 (class 1259 OID 72753)
-- Name: rs_demo1; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.rs_demo1 (
    id integer NOT NULL,
    datum timestamp without time zone,
    merkmal_id integer,
    objekt_id integer,
    wert double precision
);


--
-- TOC entry 246 (class 1259 OID 72751)
-- Name: rs_demo1_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE public.rs_demo1_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- TOC entry 2473 (class 0 OID 0)
-- Dependencies: 246
-- Name: rs_demo1_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE public.rs_demo1_id_seq OWNED BY public.rs_demo1.id;


--
-- TOC entry 245 (class 1259 OID 72731)
-- Name: tmphrzn; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.tmphrzn (
    name character varying(20),
    clay double precision,
    silt double precision,
    fat double precision,
    bd double precision,
    pd double precision,
    pv double precision,
    fc double precision,
    pwp double precision,
    cip double precision,
    ks double precision
);


--
-- TOC entry 2217 (class 2604 OID 72734)
-- Name: parm_int item_ix; Type: DEFAULT; Schema: opti; Owner: -
--

ALTER TABLE ONLY opti.parm_int ALTER COLUMN item_ix SET DEFAULT nextval('opti.parm_int_item_ix_seq'::regclass);


--
-- TOC entry 2221 (class 2604 OID 72735)
-- Name: cdy_madat key; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.cdy_madat ALTER COLUMN key SET DEFAULT nextval('public.cdy_madat_key_seq'::regclass);


--
-- TOC entry 2223 (class 2604 OID 72736)
-- Name: cdy_mgdat key; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.cdy_mgdat ALTER COLUMN key SET DEFAULT nextval('public.cdy_mgdat_key_seq'::regclass);


--
-- TOC entry 2225 (class 2604 OID 72737)
-- Name: cdy_mhdat key; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.cdy_mhdat ALTER COLUMN key SET DEFAULT nextval('public.cdy_mhdat_key_seq'::regclass);


--
-- TOC entry 2219 (class 2604 OID 72738)
-- Name: cdy_msdat key; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.cdy_msdat ALTER COLUMN key SET DEFAULT nextval('public.cdy_msdat_key_seq'::regclass);


--
-- TOC entry 2220 (class 2604 OID 72739)
-- Name: cdy_mvdat key; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.cdy_mvdat ALTER COLUMN key SET DEFAULT nextval('public.cdy_mvdat_key_seq'::regclass);


--
-- TOC entry 2242 (class 2604 OID 72740)
-- Name: cdy_prop_lst item_ix; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.cdy_prop_lst ALTER COLUMN item_ix SET DEFAULT nextval('public.cdy_prop_lst_item_ix_seq'::regclass);


--
-- TOC entry 2243 (class 2604 OID 72741)
-- Name: cdy_prop_sel item_ix; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.cdy_prop_sel ALTER COLUMN item_ix SET DEFAULT nextval('public.cdy_prop_sel_item_ix_seq'::regclass);


--
-- TOC entry 2245 (class 2604 OID 72742)
-- Name: cdy_rslt item_ix; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.cdy_rslt ALTER COLUMN item_ix SET DEFAULT nextval('public.cdy_rslt_item_ix_seq'::regclass);


--
-- TOC entry 2265 (class 2604 OID 72745)
-- Name: cdy_rslt_lst item_ix; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.cdy_rslt_lst ALTER COLUMN item_ix SET DEFAULT nextval('public.cdy_rslt_lst_item_ix_seq'::regclass);


--
-- TOC entry 2266 (class 2604 OID 72746)
-- Name: cdy_rslt_sel item_ix; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.cdy_rslt_sel ALTER COLUMN item_ix SET DEFAULT nextval('public.cdy_rslt_sel_item_ix_seq'::regclass);


--
-- TOC entry 2249 (class 2604 OID 72743)
-- Name: cdy_sldat key; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.cdy_sldat ALTER COLUMN key SET DEFAULT nextval('public.cdy_sldat_key_seq'::regclass);


--
-- TOC entry 2264 (class 2604 OID 72744)
-- Name: cdyprclass item_ix; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.cdyprclass ALTER COLUMN item_ix SET DEFAULT nextval('public.cdyprclass_item_ix_seq'::regclass);


--
-- TOC entry 2269 (class 2604 OID 72748)
-- Name: parm_int item_ix; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.parm_int ALTER COLUMN item_ix SET DEFAULT nextval('public.parm_int_item_ix_seq'::regclass);


--
-- TOC entry 2270 (class 2604 OID 72756)
-- Name: rs_demo1 id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.rs_demo1 ALTER COLUMN id SET DEFAULT nextval('public.rs_demo1_id_seq'::regclass);


--
-- TOC entry 2400 (class 0 OID 72497)
-- Dependencies: 186
-- Data for Name: parm_int; Type: TABLE DATA; Schema: opti; Owner: -
--



--
-- TOC entry 2402 (class 0 OID 72502)
-- Dependencies: 188
-- Data for Name: selmix; Type: TABLE DATA; Schema: opti; Owner: -
--



--
-- TOC entry 2403 (class 0 OID 72505)
-- Dependencies: 189
-- Data for Name: cdy_cldat; Type: TABLE DATA; Schema: public; Owner: -
--

INSERT INTO public.cdy_cldat VALUES ('1983-07-01 00:00:00', 2.3199999330000001, 28.98420715, -99, 2146, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-07-02 00:00:00', 26.700000760000002, 25.340818410000001, -99, 2200, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-07-03 00:00:00', 2.1800000669999999, 23.277650829999999, -99, 1433, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-07-04 00:00:00', 0.74000001000000004, 24.606016159999999, -99, 2740, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-07-05 00:00:00', 0, 26.655548100000001, -99, 2642, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-07-06 00:00:00', 0, 24.848955149999998, -99, 2923, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-07-07 00:00:00', 0.119999997, 25.488758090000001, -99, 2398, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-07-08 00:00:00', 0, 24.403871540000001, -99, 3118, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-07-09 00:00:00', 0, 25.998451230000001, -99, 3121, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-07-10 00:00:00', 0.01, 26.011934279999998, -99, 3017, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-07-11 00:00:00', 1.4199999569999999, 26.382217409999999, -99, 2430, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-07-12 00:00:00', 0, 25.18241119, -99, 2574, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-07-13 00:00:00', 0.029999998999999999, 27.03884506, -99, 2675, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-07-14 00:00:00', 0, 25.173717499999999, -99, 2300, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-07-15 00:00:00', 0.81999999300000004, 27.58658981, -99, 2686, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-07-16 00:00:00', 0, 27.448129649999998, -99, 2916, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-07-17 00:00:00', 0, 27.761272429999998, -99, 2851, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-07-18 00:00:00', 0, 25.87304688, -99, 2254, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-07-19 00:00:00', 0, 26.682226180000001, -99, 2873, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-07-20 00:00:00', 0, 28.009902950000001, -99, 2905, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-07-21 00:00:00', 0, 29.524812699999998, -99, 2642, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-07-22 00:00:00', 0, 28.21085167, -99, 2628, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-07-23 00:00:00', 0.30000001199999998, 28.446777340000001, -99, 1822, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-07-24 00:00:00', 2.9100000860000002, 28.600677489999999, -99, 83, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-07-25 00:00:00', 8.2700004580000002, 25.787307739999999, -99, 2250, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-07-26 00:00:00', 16.329999919999999, 25.540887829999999, -99, 925, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-07-27 00:00:00', 36.700000760000002, 25.026950840000001, -99, 1609, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-07-28 00:00:00', 22.959999079999999, 24.708505630000001, -99, 1807, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-07-29 00:00:00', 0.23999999499999999, 24.602865220000002, -99, 1811, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-07-30 00:00:00', 0.670000017, 27.17897606, -99, 2412, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-07-31 00:00:00', 0, 29.040212629999999, -99, 2326, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-08-01 00:00:00', 0.69999998799999996, 30.125793460000001, -99, 720, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-08-02 00:00:00', 1.1399999860000001, 26.676151279999999, -99, 1721, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-08-03 00:00:00', 8.7899999619999996, 25.174161909999999, -99, 1102, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-08-04 00:00:00', 0.119999997, 26.3094635, -99, 1577, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-08-05 00:00:00', 37.66999817, 27.752897260000001, -99, 1091, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-08-06 00:00:00', 0.5, 26.004919050000002, -99, 1674, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-08-07 00:00:00', 0.029999998999999999, 26.116899490000002, -99, 1901, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-08-08 00:00:00', 0.80000001200000004, 26.780399320000001, -99, 2804, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-08-09 00:00:00', 0, 26.452386860000001, -99, 1660, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-08-10 00:00:00', 1.1799999480000001, 26.843231200000002, -99, 2545, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-08-11 00:00:00', 0, 25.54129601, -99, 2488, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-08-12 00:00:00', 0, 25.86605453, -99, 2599, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-08-13 00:00:00', 0, 25.707628249999999, -99, 2520, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-08-14 00:00:00', 8.3699998860000004, 26.105253220000002, -99, 1883, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-08-15 00:00:00', 11.77000046, 26.390462880000001, -99, 1717, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-08-16 00:00:00', 7.3699998860000004, 25.199838639999999, -99, 2102, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-08-17 00:00:00', 0.33000001299999998, 25.883241649999999, -99, 1274, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-08-18 00:00:00', 8.7100000380000004, 27.28327942, -99, 1699, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-08-19 00:00:00', 10.64000034, 26.14919853, -99, 968, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-08-20 00:00:00', 5.3000001909999996, 26.15054512, -99, 1166, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-08-21 00:00:00', 0.15000000599999999, 26.898027419999998, -99, 2012, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-08-22 00:00:00', 21.010000229999999, 26.6793251, -99, 1483, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-08-23 00:00:00', 0, 25.637290950000001, -99, 2387, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-08-24 00:00:00', 8.9200000760000009, 25.87721062, -99, 1541, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-08-25 00:00:00', 23.030000690000001, 25.930377960000001, -99, 1796, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-08-26 00:00:00', 20.93000031, 25.526357650000001, -99, 2063, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-08-27 00:00:00', 1.7400000099999999, 25.602380749999998, -99, 1418, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-08-28 00:00:00', 0.02, 25.637676240000001, -99, 2358, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-08-29 00:00:00', 0, 27.199764250000001, -99, 1224, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-08-30 00:00:00', 0, 26.563287729999999, -99, 2430, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-08-31 00:00:00', 0.61000001400000003, 28.868204120000001, -99, 2171, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-09-01 00:00:00', 14.15999985, 28.367759700000001, -99, 450, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-09-02 00:00:00', 0.15000000599999999, 26.618898389999998, -99, 1220, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-09-03 00:00:00', 17.979999540000001, 27.338838580000001, -99, 1098, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-09-04 00:00:00', 0, 25.03650665, -99, 1948, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-09-05 00:00:00', 0, 25.118303300000001, -99, 2246, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-09-06 00:00:00', 0, 26.048240660000001, -99, 2178, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-09-07 00:00:00', 0, 25.85006332, -99, 2437, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-09-08 00:00:00', 1.539999962, 26.526716230000002, -99, 2171, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-09-09 00:00:00', 0.959999979, 25.618476869999999, -99, 2282, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-09-10 00:00:00', 0.15999999600000001, 25.352928160000001, -99, 2383, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-09-11 00:00:00', 0, 25.159772870000001, -99, 2264, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-09-12 00:00:00', 0, 25.505399700000002, -99, 2088, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-09-13 00:00:00', 0, 26.038181300000002, -99, 2484, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-09-14 00:00:00', 0, 25.00588608, -99, 2171, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-09-15 00:00:00', 0, 25.360015870000002, -99, 2405, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-09-16 00:00:00', 0, 24.36921692, -99, 2254, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-09-17 00:00:00', 0, 24.630693440000002, -99, 2192, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-09-18 00:00:00', 1.0800000430000001, 25.15047264, -99, 2246, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-09-19 00:00:00', 0, 24.186422350000001, -99, 2200, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-09-20 00:00:00', 0.37000000500000002, 23.820535660000001, -99, 2279, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-09-21 00:00:00', 0, 23.12790489, -99, 1361, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-09-22 00:00:00', 0, 23.218938829999999, -99, 1962, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-09-23 00:00:00', 10.60999966, 23.789682389999999, -99, 2156, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-09-24 00:00:00', 33.680000309999997, 22.775857930000001, -99, 2110, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-09-25 00:00:00', 0, 22.123294829999999, -99, 2102, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-09-26 00:00:00', 0, 22.62737465, -99, 2077, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-09-27 00:00:00', 0, 23.229942319999999, -99, 2088, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-09-28 00:00:00', 0, 23.512023930000002, -99, 2254, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-09-29 00:00:00', 0, 23.254796979999998, -99, 2196, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-09-30 00:00:00', 0, 23.556240079999998, -99, 2002, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-10-01 00:00:00', 0, 23.185468669999999, -99, 2178, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-10-02 00:00:00', 0, 21.60658836, -99, 2138, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-10-03 00:00:00', 3.869999886, 22.227588650000001, -99, 1987, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-10-04 00:00:00', 0, 18.86396027, -99, 2077, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-10-05 00:00:00', 0, 18.833698269999999, -99, 2146, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-10-06 00:00:00', 0, 18.601392749999999, -99, 2214, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-10-07 00:00:00', 0, 18.690004349999999, -99, 2171, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-10-08 00:00:00', 0, 20.779245379999999, -99, 2153, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-10-09 00:00:00', 0, 20.782846450000001, -99, 2070, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-10-10 00:00:00', 6.8600001339999999, 21.15257072, -99, 1940, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-10-11 00:00:00', 2.2599999899999998, 19.466377260000002, -99, 1559, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-10-12 00:00:00', 0, 17.06151581, -99, 2027, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-10-13 00:00:00', 0.69999998799999996, 18.54184914, -99, 2038, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-10-14 00:00:00', 1.6699999569999999, 18.42785263, -99, 1706, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-10-15 00:00:00', 0, 16.304952620000002, -99, 1976, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-10-16 00:00:00', 0, 16.16839027, -99, 2052, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-10-17 00:00:00', 0, 14.57839203, -99, 2009, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-10-18 00:00:00', 0, 14.442984579999999, -99, 2012, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-10-19 00:00:00', 0, 13.847217560000001, -99, 1883, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-10-20 00:00:00', 0, 14.12924194, -99, 1922, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-10-21 00:00:00', 0, 14.14319038, -99, 1800, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-10-22 00:00:00', 0.219999999, 14.574729919999999, -99, 1951, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-10-23 00:00:00', 0, 17.157037729999999, -99, 1433, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-10-24 00:00:00', 0, 13.014476780000001, -99, 1364, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-10-25 00:00:00', 0, 13.702952379999999, -99, 1724, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-10-26 00:00:00', 0, 12.678233150000001, -99, 1735, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-10-27 00:00:00', 0, 12.67371464, -99, 1879, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-10-28 00:00:00', 0, 12.823479649999999, -99, 1649, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-10-29 00:00:00', 0, 12.74653721, -99, 1854, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-10-30 00:00:00', 0, 12.33274746, -99, 1552, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-10-31 00:00:00', 0, 12.89124775, -99, 1703, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-11-01 00:00:00', 0, 9.1023654940000007, -99, 1753, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-11-02 00:00:00', 0, 10.84419346, -99, 1789, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-11-03 00:00:00', 0, 10.704793929999999, -99, 1634, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-11-04 00:00:00', 0, 10.991801260000001, -99, 1688, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-11-05 00:00:00', 0, 12.11709976, -99, 1598, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-11-06 00:00:00', 0, 13.375241279999999, -99, 1562, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-11-07 00:00:00', 0, 11.14727783, -99, 1678, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-11-08 00:00:00', 0, 10.030326840000001, -99, 1714, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-11-09 00:00:00', 0, 8.6563415530000007, -99, 1606, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-11-10 00:00:00', 0, 8.3409738539999996, -99, 1649, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-11-11 00:00:00', 0, 8.8248062130000005, -99, 1469, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-11-12 00:00:00', 0, 8.6188249589999995, -99, 1645, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-11-13 00:00:00', 0, 7.9639110569999998, -99, 1616, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-11-14 00:00:00', 0, 7.0918540950000004, -99, 1627, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-11-15 00:00:00', 0, -1.916544676, -99, 1580, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-11-16 00:00:00', 0, 8.9586706159999991, -99, 1372, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-11-17 00:00:00', 0, 9.8722486499999995, -99, 1534, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-11-18 00:00:00', 0, 9.0891218190000007, -99, 1537, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-11-19 00:00:00', 0, 9.4145078659999992, -99, 1537, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-11-20 00:00:00', 0, 9.9071931840000005, -99, 1483, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-11-21 00:00:00', 0, 9.4562721249999999, -99, 1519, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-11-22 00:00:00', 0, 8.9527807240000001, -99, 1462, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-11-23 00:00:00', 0, 8.6425743100000005, -99, 1501, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-11-24 00:00:00', 0, 8.2358407969999998, -99, 1487, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-11-25 00:00:00', 0, 7.3319392199999998, -99, 1498, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-11-26 00:00:00', 0, 7.8685441020000004, -99, 1501, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-11-27 00:00:00', 0, 9.1906070710000005, -99, 1433, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-11-28 00:00:00', 0, 7.5433616639999999, -99, 1393, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-11-29 00:00:00', 0, 6.8403301240000003, -99, 1422, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-11-30 00:00:00', 0, 7.8257389069999999, -99, 1346, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-12-01 00:00:00', 0, 7.8390736580000002, -99, 1181, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-12-02 00:00:00', 0, 8.2797145840000006, -99, 1411, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-12-03 00:00:00', 0, 7.0175242420000004, -99, 1242, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-12-04 00:00:00', 0, 7.2897267340000003, -99, 1285, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-12-05 00:00:00', 0, 8.1806354520000006, -99, 1440, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-12-06 00:00:00', 0, 6.2743639949999999, -99, 1300, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-12-07 00:00:00', 0, 6.4936904909999997, -99, 1339, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-12-08 00:00:00', 0, 5.4317421909999997, -99, 713, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-12-09 00:00:00', 0, 4.6829204559999997, -99, 1188, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-12-10 00:00:00', 0, 4.8530731200000004, -99, 1217, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-12-11 00:00:00', 0, 4.7579207419999996, -99, 1314, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-12-12 00:00:00', 0, 5.2458720210000003, -99, 1123, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-12-13 00:00:00', 0, 7.640398502, -99, 1012, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-12-14 00:00:00', 0, 8.5180358890000001, -99, 756, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-12-15 00:00:00', 0, 5.1244750019999996, -99, 1285, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-12-16 00:00:00', 0, 9.0029191970000007, -99, 1116, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-12-17 00:00:00', 0, 6.9287223820000001, -99, 1321, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-12-18 00:00:00', 0, 6.8965473179999996, -99, 1030, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-12-19 00:00:00', 0, 7.4420385360000001, -99, 1048, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-12-20 00:00:00', 0, 7.340159893, -99, 1339, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-12-21 00:00:00', 0, 8.2098274230000001, -99, 1044, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-12-22 00:00:00', 0, 6.8281030649999996, -99, 932, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-12-23 00:00:00', 0, 9.1703166960000004, -99, 1328, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-12-24 00:00:00', 0, 4.0061903000000001, -99, 1375, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-12-25 00:00:00', 0.30000001199999998, 9.3319253920000005, -99, 1181, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-12-26 00:00:00', 0, 5.2100715639999997, -99, 1192, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-12-27 00:00:00', 0, 3.629891872, -99, 1267, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-12-28 00:00:00', 0, 4.6369142529999996, -99, 1166, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-12-29 00:00:00', 0, 6.9152193070000001, -99, 1411, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-12-30 00:00:00', 0, 4.1171870229999996, -99, 1307, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-12-31 00:00:00', 0, 4.53540659, -99, 1300, 'lud', 'lud_1983');
INSERT INTO public.cdy_cldat VALUES ('1984-01-01 00:00:00', 0, 4.7415595049999997, -99, 1361, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-01-02 00:00:00', 0, 4.7842602730000001, -99, 1386, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-01-03 00:00:00', 0, 3.5873115059999998, -99, 1184, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-01-04 00:00:00', 0, 4.1974158289999997, -99, 1375, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-01-05 00:00:00', 1.1599999670000001, 4.3415994639999997, -99, 1098, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-01-06 00:00:00', 0, 6.5794243809999999, -99, 1426, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-01-07 00:00:00', 0, 5.4475221630000004, -99, 1296, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-01-08 00:00:00', 0, 4.315619946, -99, 1372, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-01-09 00:00:00', 0, 3.8147599699999999, -99, 1102, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-01-10 00:00:00', 0, 5.0970950129999997, -99, 1300, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-01-11 00:00:00', 0, 3.2287549969999998, -99, 1098, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-01-12 00:00:00', 0, 4.8357419970000004, -99, 1418, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-01-13 00:00:00', 0, 6.3777122500000001, -99, 1462, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-01-14 00:00:00', 0, 6.3864340779999997, -99, 1512, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-01-15 00:00:00', 0, 4.8098216059999999, -99, 1170, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-01-16 00:00:00', 0, 2.8738811019999999, -99, 1393, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-01-17 00:00:00', 0, 3.4202847479999998, -99, 1454, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-01-18 00:00:00', 0, 6.931956768, -99, 1087, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-01-19 00:00:00', 0, 6.7987565989999998, -99, 1523, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-01-20 00:00:00', 0, 6.2666993140000002, -99, 1526, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-01-21 00:00:00', 0.189999998, 3.7484793660000002, -99, 1465, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-01-22 00:00:00', 0, 5.698420048, -99, 968, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-01-23 00:00:00', 0, 5.006293297, -99, 1584, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-01-24 00:00:00', 0, 4.548517704, -99, 1073, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-01-25 00:00:00', 0, 4.3100442890000004, -99, 1408, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-01-26 00:00:00', 0, 2.5610587599999999, -99, 1368, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-01-27 00:00:00', 0, 3.3652081489999999, -99, 1613, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-01-28 00:00:00', 0, 4.9055738450000002, -99, 1663, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-01-29 00:00:00', 0, 3.7164106370000001, -99, 1476, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-01-30 00:00:00', 0, 2.376821756, -99, 1577, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-01-31 00:00:00', 0, 3.7826430800000002, -99, 1667, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-02-01 00:00:00', 0, 8.0223073960000004, -99, 1210, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-02-02 00:00:00', 0.119999997, 5.6177792550000003, -99, 1548, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-02-03 00:00:00', 0, 10.901277540000001, -99, 1192, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-02-04 00:00:00', 0, 6.7235856060000003, -99, 1714, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-02-05 00:00:00', 0, 4.4853200910000002, -99, 1739, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-02-06 00:00:00', 0, 1.456802964, -99, 1397, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-02-07 00:00:00', 0, 6.7778191569999997, -99, 1451, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-02-08 00:00:00', 0, 5.0634737010000004, -99, 1742, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-02-09 00:00:00', 0, 4.8963556290000003, -99, 1634, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-02-10 00:00:00', 0, 5.7645220760000004, -99, 1724, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-02-11 00:00:00', 0, 6.3158516880000004, -99, 1811, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-02-12 00:00:00', 0, 6.3635210989999997, -99, 1858, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-02-13 00:00:00', 0, 6.2639875409999997, -99, 1886, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-02-14 00:00:00', 0, 4.6563968659999997, -99, 1598, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-02-15 00:00:00', 0, 8.709321976, -99, 1253, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-02-16 00:00:00', 0, 9.1940431589999996, -99, 1292, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-02-17 00:00:00', 1.2799999710000001, 7.9716277120000001, -99, 886, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-02-18 00:00:00', 20.86000061, 12.619708060000001, -99, 860, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-02-19 00:00:00', 35.770000459999999, 7.9444746970000004, -99, 148, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-02-20 00:00:00', 0.029999998999999999, 8.5883474349999993, -99, 1634, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-02-21 00:00:00', 0, 5.7728567120000003, -99, 2099, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-02-22 00:00:00', 0, 4.1910572049999999, -99, 2102, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-02-23 00:00:00', 0, 2.903163433, -99, 1933, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-02-24 00:00:00', 0, 2.2590527530000002, -99, 2052, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-02-25 00:00:00', 0, 2.8448927400000001, -99, 2048, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-02-26 00:00:00', 0, 4.2083296780000001, -99, 1998, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-02-27 00:00:00', 0, 5.2203245159999998, -99, 2138, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-02-28 00:00:00', 0, 7.3936901089999996, -99, 2149, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-02-29 00:00:00', 0, 8.8153133389999994, -99, 2160, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-03-01 00:00:00', 0, 9.4156227109999993, -99, 2034, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-03-02 00:00:00', 0, 9.5163755420000005, -99, 2160, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-03-03 00:00:00', 0, 7.6411895750000003, -99, 2052, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-03-04 00:00:00', 0, 8.7194576260000005, -99, 2318, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-03-05 00:00:00', 0, 8.8176431659999999, -99, 2027, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-03-06 00:00:00', 0, 9.8113956449999993, -99, 2164, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-03-07 00:00:00', 0, 10.49053383, -99, 2088, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-03-08 00:00:00', 0, 10.916283610000001, -99, 2077, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-03-09 00:00:00', 0, 11.30037308, -99, 2282, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-03-10 00:00:00', 0, 12.124292369999999, -99, 1400, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-03-11 00:00:00', 0, 15.57939053, -99, 1879, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-03-12 00:00:00', 0, 13.72499657, -99, 1930, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-03-13 00:00:00', 0, 14.84692192, -99, 1940, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-03-14 00:00:00', 0, 13.620444300000001, -99, 1955, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-03-15 00:00:00', 0, 14.64483547, -99, 1627, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-03-16 00:00:00', 0, 17.477327349999999, -99, 1343, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-03-17 00:00:00', 1.7799999710000001, 16.78374672, -99, 954, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-03-18 00:00:00', 1.1599999670000001, 14.65257931, -99, 2297, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-03-19 00:00:00', 0, 12.09526634, -99, 2311, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-03-20 00:00:00', 0, 12.103895189999999, -99, 2531, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-03-21 00:00:00', 0, 12.378363609999999, -99, 2333, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-03-22 00:00:00', 0, 14.24878311, -99, 2473, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-03-23 00:00:00', 0, 14.64834785, -99, 2383, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-03-24 00:00:00', 0.01, 16.061410899999998, -99, 2412, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-03-25 00:00:00', 0, 17.468412399999998, -99, 1692, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-03-26 00:00:00', 0, 16.49621964, -99, 2448, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-03-27 00:00:00', 0, 16.779312130000001, -99, 2300, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-03-28 00:00:00', 0, 15.89673996, -99, 2437, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-03-29 00:00:00', 0, 18.766679759999999, -99, 2333, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-03-30 00:00:00', 0.029999998999999999, 17.999437329999999, -99, 2146, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-03-31 00:00:00', 0.189999998, 17.594478609999999, -99, 1768, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-04-01 00:00:00', 0.119999997, 19.018127440000001, -99, 1886, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-04-02 00:00:00', 0, 17.875953670000001, -99, 2174, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-04-03 00:00:00', 0.070000000000000007, 15.27014542, -99, 2225, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-04-04 00:00:00', 0, 16.235549930000001, -99, 2783, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-04-05 00:00:00', 0, 14.272647859999999, -99, 2729, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-04-06 00:00:00', 0, 15.89049149, -99, 2794, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-04-07 00:00:00', 0, 16.390514369999998, -99, 2642, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-04-08 00:00:00', 0.029999998999999999, 15.66921425, -99, 1120, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-04-09 00:00:00', 0, 15.045355799999999, -99, 2610, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-04-10 00:00:00', 0, 13.007841109999999, -99, 2797, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-04-11 00:00:00', 0, 14.56381989, -99, 2776, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-04-12 00:00:00', 0, 16.504213329999999, -99, 2455, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-04-13 00:00:00', 0, 17.81269073, -99, 2653, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-04-14 00:00:00', 0, 19.82237816, -99, 2779, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-04-15 00:00:00', 0, 19.84510422, -99, 2448, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-04-16 00:00:00', 0, 22.237726210000002, -99, 1768, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-04-17 00:00:00', 0.12999999500000001, 19.867122649999999, -99, 2369, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-04-18 00:00:00', 0, 19.3772831, -99, 2754, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-04-19 00:00:00', 0.01, 19.367538450000001, -99, 2156, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-04-20 00:00:00', 0.14000000100000001, 23.261159899999999, -99, 1800, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-04-21 00:00:00', 2.6400001049999999, 20.372186660000001, -99, 2009, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-04-22 00:00:00', 0, 17.84272575, -99, 2750, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-04-23 00:00:00', 0, 18.946809770000002, -99, 2844, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-04-24 00:00:00', 0, 19.025642399999999, -99, 2909, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-04-25 00:00:00', 0, 20.38540459, -99, 2826, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-04-26 00:00:00', 0, 21.550413129999999, -99, 2344, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-04-27 00:00:00', 0, 24.72148323, -99, 2851, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-04-28 00:00:00', 0, 24.967561719999999, -99, 2002, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-04-29 00:00:00', 0, 20.44632721, -99, 3020, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-04-30 00:00:00', 0, 21.146183010000001, -99, 3060, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-05-01 00:00:00', 0, 19.3058567, -99, 2970, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-05-02 00:00:00', 0, 20.30053711, -99, 3006, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-05-03 00:00:00', 0, 20.298961640000002, -99, 2891, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-05-04 00:00:00', 0, 22.28730011, -99, 2945, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-05-05 00:00:00', 0, 33.45165634, -99, 2912, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-05-06 00:00:00', 0, 14.75495911, -99, 2916, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-05-07 00:00:00', 0, 23.667572020000001, -99, 2905, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-05-08 00:00:00', 0, 25.59177017, -99, 2358, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-05-09 00:00:00', 0, 25.31146622, -99, 2862, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-05-10 00:00:00', 0, 27.876747129999998, -99, 2869, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-05-11 00:00:00', 0, 23.768686290000002, -99, 2938, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-05-12 00:00:00', 0, 25.191112520000001, -99, 2898, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-05-13 00:00:00', 0, 23.82115555, -99, 1350, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-05-14 00:00:00', 0, 24.041408539999999, -99, 2484, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-05-15 00:00:00', 1.4299999480000001, 24.998838419999998, -99, 2794, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-05-16 00:00:00', 0, 24.45236397, -99, 3143, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-05-17 00:00:00', 0, 20.861312869999999, -99, 3182, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-05-18 00:00:00', 0, 22.70075417, -99, 3118, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-05-19 00:00:00', 0, 22.207241060000001, -99, 2977, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-05-20 00:00:00', 0, 25.209957119999999, -99, 3060, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-05-21 00:00:00', 0, 24.804449080000001, -99, 3157, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-05-22 00:00:00', 0, 22.745235439999998, -99, 3071, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-05-23 00:00:00', 0, 23.44552612, -99, 3100, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-05-24 00:00:00', 0, 27.95605278, -99, 3017, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-05-25 00:00:00', 0, 26.348199839999999, -99, 3186, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-05-26 00:00:00', 0, 26.074972150000001, -99, 3092, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-05-27 00:00:00', 0, 29.46442223, -99, 2765, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-05-28 00:00:00', 0, 29.521087649999998, -99, 2819, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-05-29 00:00:00', 0, 27.739330290000002, -99, 3096, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-05-30 00:00:00', 0, 24.91662788, -99, 3190, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-05-31 00:00:00', 0, 27.747579569999999, -99, 2992, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-06-01 00:00:00', 0, 29.981586459999999, -99, 3110, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-06-02 00:00:00', 0, 29.866592409999999, -99, 3100, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-06-03 00:00:00', 0, 29.578561780000001, -99, 3082, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-06-04 00:00:00', 0, 31.499763489999999, -99, 2956, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-06-05 00:00:00', 0, 27.760112759999998, -99, 2945, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-06-06 00:00:00', 0, 27.824743269999999, -99, 2797, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-06-07 00:00:00', 0, 30.93881798, -99, 2920, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-06-08 00:00:00', 0, 30.269271849999999, -99, 3143, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-06-09 00:00:00', 0, 30.032814030000001, -99, 3053, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-06-10 00:00:00', 2.2999999519999998, 28.9913311, -99, 3028, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-06-11 00:00:00', 8.2200002669999996, 27.54861069, -99, 2563, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-06-12 00:00:00', 0.540000021, 25.03164482, -99, 803, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-06-13 00:00:00', 0.14000000100000001, 27.88457489, -99, 2948, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-06-14 00:00:00', 0, 27.112239840000001, -99, 2693, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-06-15 00:00:00', 1.1299999949999999, 29.081420900000001, -99, 2765, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-06-16 00:00:00', 0, 29.84647369, -99, 3125, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-06-17 00:00:00', 0, 30.273237229999999, -99, 2635, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-06-18 00:00:00', 6.1199998860000004, 27.419050219999999, -99, 2704, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-06-19 00:00:00', 0, 25.30882072, -99, 2279, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-06-20 00:00:00', 0, 26.67322922, -99, 1800, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-06-21 00:00:00', 0, 28.438068390000002, -99, 1699, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-06-22 00:00:00', 0.119999997, 29.71177101, -99, 2873, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-06-23 00:00:00', 0, 29.405586240000002, -99, 2318, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-06-24 00:00:00', 0, 30.228446959999999, -99, 1775, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-06-25 00:00:00', 0, 29.884922029999998, -99, 2434, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-06-26 00:00:00', 0, 30.77830887, -99, 2704, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-06-27 00:00:00', 0, 30.27362823, -99, 2480, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-06-28 00:00:00', 0, 28.579662320000001, -99, 2401, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-06-29 00:00:00', 2.2799999710000001, 28.699651719999999, -99, 2585, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-06-30 00:00:00', 1.4099999670000001, 26.816717149999999, -99, 1778, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-07-01 00:00:00', 0.87000000499999997, 27.694561, -99, 1962, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-07-02 00:00:00', 26.059999470000001, 27.566276550000001, -99, 2156, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-07-03 00:00:00', 0.310000002, 25.479024890000002, -99, 2884, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-07-04 00:00:00', 0, 21.852449419999999, -99, 2981, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-07-05 00:00:00', 0, 28.466594700000002, -99, 2840, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-07-06 00:00:00', 1.1299999949999999, 26.337902069999998, -99, 2920, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-07-07 00:00:00', 0.40999999599999998, 26.252531050000002, -99, 2682, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-07-08 00:00:00', 102.0999985, 26.259187699999998, -99, 2873, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-07-09 00:00:00', 3.3499999049999998, 23.05688095, -99, 2592, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-07-10 00:00:00', 6.7199997900000001, 26.473619459999998, -99, 2689, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-07-11 00:00:00', 0.83999997400000004, 22.50851059, -99, 2808, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-07-12 00:00:00', 1.2400000099999999, 23.474946979999999, -99, 1595, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-07-13 00:00:00', 1.5299999710000001, 26.390485760000001, -99, 2891, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-07-14 00:00:00', 23.649999619999999, 26.439218520000001, -99, 2855, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-07-15 00:00:00', 1.9700000289999999, 26.217550280000001, -99, 1861, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-07-16 00:00:00', 4.1799998279999997, 25.98476982, -99, 2779, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-07-17 00:00:00', 5.9499998090000004, 24.76503181, -99, 2387, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-07-18 00:00:00', 0, 26.255794529999999, -99, 2365, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-07-19 00:00:00', 0.02, 28.223537449999998, -99, 2570, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-07-20 00:00:00', 0.15999999600000001, 27.50925827, -99, 2632, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-07-21 00:00:00', 0.37000000500000002, 25.70920563, -99, 2621, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-07-22 00:00:00', 1.3700000050000001, 25.732938770000001, -99, 2743, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-07-23 00:00:00', 0.87000000499999997, 25.499376300000002, -99, 1048, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-07-24 00:00:00', 0, 26.619274140000002, -99, 2696, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-07-25 00:00:00', 0, 25.69286919, -99, 2012, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-07-26 00:00:00', 0, 28.10109138, -99, 2596, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-07-27 00:00:00', 0.059999998999999998, 25.647188190000001, -99, 1753, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-07-28 00:00:00', 14.399999619999999, 24.761001589999999, -99, 1940, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-07-29 00:00:00', 16.309999470000001, 25.818534849999999, -99, 1080, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-07-30 00:00:00', 1.230000019, 25.969005580000001, -99, 2498, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-07-31 00:00:00', 27.780000690000001, 26.2066555, -99, 2754, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-08-01 00:00:00', 5.7100000380000004, 25.47542953, -99, 2628, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-08-02 00:00:00', 0, 24.337102890000001, -99, 2628, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-08-03 00:00:00', 0, 27.13982201, -99, 2682, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-08-04 00:00:00', 0, 28.582574839999999, -99, 2750, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-08-05 00:00:00', 0, 24.565698619999999, -99, 2513, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-08-06 00:00:00', 0, 27.325422289999999, -99, 2585, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-08-07 00:00:00', 0, 27.337825779999999, -99, 2311, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-08-08 00:00:00', 2.0699999330000001, 26.345878599999999, -99, 2128, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-08-09 00:00:00', 0, 25.505023959999999, -99, 2628, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-08-10 00:00:00', 0, 28.193944930000001, -99, 1152, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-08-11 00:00:00', 0, 27.590200419999999, -99, 850, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-08-12 00:00:00', 0, 27.108730319999999, -99, 2214, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-08-13 00:00:00', 0, 28.501792909999999, -99, 2336, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-08-14 00:00:00', 0.070000000000000007, 27.758878710000001, -99, 2466, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-08-15 00:00:00', 43.27999878, 26.899902340000001, -99, 468, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-08-16 00:00:00', 1.1599999670000001, 24.670097349999999, -99, 2171, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-08-17 00:00:00', 5.8600001339999999, 26.781860349999999, -99, 1552, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-08-18 00:00:00', 1.7400000099999999, 26.90049934, -99, 1483, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-08-19 00:00:00', 31.100000380000001, 25.84912872, -99, 601, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-08-20 00:00:00', 0, 26.665676120000001, -99, 1505, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-08-21 00:00:00', 2.210000038, 26.833314900000001, -99, 1976, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-08-22 00:00:00', 0.37999999499999998, 24.873149869999999, -99, 1847, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-08-23 00:00:00', 6.4600000380000004, 27.00135422, -99, 1134, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-08-24 00:00:00', 23.38999939, 25.30743408, -99, 2023, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-08-25 00:00:00', 28.979999540000001, 23.994672779999998, -99, 1933, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-08-26 00:00:00', 2.2000000480000002, 22.50757217, -99, 2405, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-08-27 00:00:00', 13.30000019, 25.576438899999999, -99, 1703, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-08-28 00:00:00', 8.75, 25.756284709999999, -99, 1433, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-08-29 00:00:00', 1.1699999569999999, 24.473819729999999, -99, 2243, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-08-30 00:00:00', 0, 26.01524925, -99, 2340, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-08-31 00:00:00', 6.5100002290000001, 26.35810661, -99, 1998, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-09-01 00:00:00', 12.739999770000001, 23.63033867, -99, 1634, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-09-02 00:00:00', 16.590000150000002, 19.720298769999999, -99, 684, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-09-03 00:00:00', 8.5299997330000004, 24.201494220000001, -99, 1555, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-09-04 00:00:00', 2.7999999519999998, 24.515043259999999, -99, 2257, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-09-05 00:00:00', 0, 25.787696839999999, -99, 2124, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-09-06 00:00:00', 1.5900000329999999, 24.152069090000001, -99, 1926, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-09-07 00:00:00', 0, 23.94799995, -99, 2405, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-09-08 00:00:00', 1.1599999670000001, 23.65210342, -99, 2272, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-09-09 00:00:00', 0, 21.182943340000001, -99, 2520, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-09-10 00:00:00', 0, 23.50033951, -99, 2538, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-09-11 00:00:00', 0, 23.825826639999999, -99, 2459, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-09-12 00:00:00', 2.3599998950000001, 24.510375979999999, -99, 2196, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-09-13 00:00:00', 0, 24.538570400000001, -99, 2437, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-09-14 00:00:00', 0.25999999000000001, 23.926961899999998, -99, 2246, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-09-15 00:00:00', 0, 23.96766281, -99, 2128, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-09-16 00:00:00', 0, 24.423332210000002, -99, 2264, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-09-17 00:00:00', 14.47999954, 24.153968809999999, -99, 2264, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-09-18 00:00:00', 1.960000038, 22.769273760000001, -99, 1955, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-09-19 00:00:00', 6.1599998469999999, 22.540275569999999, -99, 2333, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-09-20 00:00:00', 0, 20.701490400000001, -99, 2131, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-09-21 00:00:00', 0, 21.556056980000001, -99, 1224, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-09-22 00:00:00', 0, 20.65320015, -99, 2185, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-09-23 00:00:00', 1.480000019, 20.405858989999999, -99, 2189, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-09-24 00:00:00', 0, 18.94272423, -99, 1699, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-09-25 00:00:00', 0, 19.543148039999998, -99, 2153, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-09-26 00:00:00', 0, 19.43828392, -99, 2207, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-09-27 00:00:00', 0, 19.18161774, -99, 2135, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-09-28 00:00:00', 0, 18.834089280000001, -99, 2081, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-09-29 00:00:00', 0, 18.321949010000001, -99, 2095, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-09-30 00:00:00', 0, 17.873067859999999, -99, 2110, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-10-01 00:00:00', 0, 22.288013459999998, -99, 2333, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-10-02 00:00:00', 0.44999998800000002, 19.43183136, -99, 1249, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-10-03 00:00:00', 0, 18.224575040000001, -99, 2135, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-10-04 00:00:00', 0, 17.228151319999998, -99, 2153, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-10-05 00:00:00', 0, 13.317828179999999, -99, 2232, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-10-06 00:00:00', 0, 16.276285170000001, -99, 2196, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-10-07 00:00:00', 0, 20.720060350000001, -99, 2149, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-10-08 00:00:00', 0, 15.38600922, -99, 2182, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-10-09 00:00:00', 0, 19.25365639, -99, 2138, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-10-10 00:00:00', 0, 16.17144966, -99, 2160, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-10-11 00:00:00', 0, 13.61936092, -99, 1969, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-10-12 00:00:00', 0, 16.769310000000001, -99, 1897, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-10-13 00:00:00', 0, 13.64133167, -99, 2045, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-10-14 00:00:00', 0, 13.21949959, -99, 2074, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-10-15 00:00:00', 0, 14.428752899999999, -99, 1926, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-10-16 00:00:00', 0, 14.777188300000001, -99, 2052, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-10-17 00:00:00', 0, 16.228052139999999, -99, 2056, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-10-18 00:00:00', 0, 19.0272541, -99, 2048, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-10-19 00:00:00', 0, 15.58771896, -99, 1951, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-10-20 00:00:00', 0, 16.024192809999999, -99, 1807, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-10-21 00:00:00', 0, 15.822643279999999, -99, 1969, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-10-22 00:00:00', 0, 13.99120712, -99, 1966, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-10-23 00:00:00', 0, 13.672812459999999, -99, 1469, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-10-24 00:00:00', 0, 19.029357910000002, -99, 1591, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-10-25 00:00:00', 0, 21.614625929999999, -99, 1825, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-10-26 00:00:00', 0, 15.81419563, -99, 1901, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-10-27 00:00:00', 0.46000000800000002, 14.863361360000001, -99, 1649, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-10-28 00:00:00', 0, 14.66489887, -99, 1804, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-10-29 00:00:00', 0, 12.99092579, -99, 1840, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-10-30 00:00:00', 0, 15.913037299999999, -99, 1854, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-10-31 00:00:00', 0, 11.263741489999999, -99, 1786, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-11-01 00:00:00', 0, 14.69044781, -99, 1843, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-11-02 00:00:00', 0, 9.8508262630000001, -99, 1688, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-11-03 00:00:00', 0, 10.03443146, -99, 1800, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-11-04 00:00:00', 0, 6.6233410839999998, -99, 1778, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-11-05 00:00:00', 0, 11.635622980000001, -99, 1750, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-11-06 00:00:00', 0, 10.673272130000001, -99, 1238, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-11-07 00:00:00', 0, 12.34949875, -99, 1555, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-11-08 00:00:00', 0, 11.61312962, -99, 1350, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-11-09 00:00:00', 0, 15.53221798, -99, 1404, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-11-10 00:00:00', 0, 9.0330629350000002, -99, 1544, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-11-11 00:00:00', 0, 9.9473867420000008, -99, 1670, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-11-12 00:00:00', 0, 7.3645963669999999, -99, 1663, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-11-13 00:00:00', 0, 11.11210728, -99, 1627, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-11-14 00:00:00', 0, 10.54662991, -99, 1048, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-11-15 00:00:00', 0, 10.40373325, -99, 1544, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-11-16 00:00:00', 0, 10.0785141, -99, 1332, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-11-17 00:00:00', 0, 14.90867615, -99, 1418, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-11-18 00:00:00', 0, 11.85190105, -99, 1573, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-11-19 00:00:00', 0, 10.309978490000001, -99, 1494, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-11-20 00:00:00', 0, 13.40822983, -99, 1472, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-11-21 00:00:00', 0.02, 11.306947709999999, -99, 1318, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-11-22 00:00:00', 0.37999999499999998, 14.734401699999999, -99, 814, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-11-23 00:00:00', 0, 10.469404219999999, -99, 1343, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-11-24 00:00:00', 0, 8.9408493040000003, -99, 1494, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-11-25 00:00:00', 0, 5.5539641380000004, -99, 1501, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-11-26 00:00:00', 0, 6.5483832360000003, -99, 1498, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-11-27 00:00:00', 0, 5.5893750190000002, -99, 1498, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-11-28 00:00:00', 0, 7.1090893749999999, -99, 1472, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-11-29 00:00:00', 0, 6.6063661580000002, -99, 1372, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-11-30 00:00:00', 0, 7.1380729680000004, -99, 1307, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-12-01 00:00:00', 0, 10.26188183, -99, 1048, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-12-02 00:00:00', 0, 7.0500359540000002, -99, 1451, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-12-03 00:00:00', 0, 7.7852306369999997, -99, 1458, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-12-04 00:00:00', 0, 8.6228742599999997, -99, 1253, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-12-05 00:00:00', 0, 6.5371689799999997, -99, 1343, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-12-06 00:00:00', 0, 6.9732708929999996, -99, 1422, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-12-07 00:00:00', 0, 5.7249784469999998, -99, 1426, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-12-08 00:00:00', 0, 7.5128088000000002, -99, 1325, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-12-09 00:00:00', 0, 9.1751089100000005, -99, 922, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-12-10 00:00:00', 0, 10.46804047, -99, 936, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-12-11 00:00:00', 0, 8.5626707080000006, -99, 940, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-12-12 00:00:00', 0.039999999000000001, 11.585857389999999, -99, 1051, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-12-13 00:00:00', 0.070000000000000007, 12.56075287, -99, 1318, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-12-14 00:00:00', 0, 7.4785561559999998, -99, 1364, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-12-15 00:00:00', 0, 4.4925889970000004, -99, 1382, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-12-16 00:00:00', 0, 5.6008319850000001, -99, 1274, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-12-17 00:00:00', 0, 5.2522072790000003, -99, 1332, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-12-18 00:00:00', 0, 4.6758260729999996, -99, 1400, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-12-19 00:00:00', 0, 2.5404341220000002, -99, 1361, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-12-20 00:00:00', 0, 1.3302583690000001, -99, 1433, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-12-21 00:00:00', 0, 4.3463702199999998, -99, 1426, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-12-22 00:00:00', 0, 2.5172672270000001, -99, 1404, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-12-23 00:00:00', 0, 2.487321138, -99, 1318, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-12-24 00:00:00', 0, 3.4704353810000002, -99, 925, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-12-25 00:00:00', 0, 2.450519323, -99, 932, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-12-26 00:00:00', 0, 3.5976705550000001, -99, 1267, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-12-27 00:00:00', 0, 3.5326647759999998, -99, 1282, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-12-28 00:00:00', 0, 3.7849898340000001, -99, 1242, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-12-29 00:00:00', 0, 3.1699051859999998, -99, 1166, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-12-30 00:00:00', 0.18000000699999999, 7.7667722699999997, -99, 468, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-12-31 00:00:00', 0.14000000100000001, 8.2985191349999994, -99, 814, 'lud', 'lud_1984');
INSERT INTO public.cdy_cldat VALUES ('1985-01-01 00:00:00', 0, 6.155601978, -99, 1314, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-01-02 00:00:00', 0, 6.155601978, -99, 1267, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-01-03 00:00:00', 0, 7.1055860519999996, -99, 706, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-01-04 00:00:00', 0.38999998600000002, 6.7425584790000004, -99, 727, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-01-05 00:00:00', 0, 9.3912906649999996, -99, 1001, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-01-06 00:00:00', 0, 6.6990180019999999, -99, 1379, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-01-07 00:00:00', 1.4299999480000001, 6.7938323020000002, -99, 929, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-01-08 00:00:00', 0, 6.7938323020000002, -99, 1375, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-01-09 00:00:00', 0, 6.8886466029999998, -99, 1238, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-01-10 00:00:00', 0, 5.5108227730000001, -99, 1296, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-01-11 00:00:00', 0, 5.5080709460000001, -99, 1253, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-01-12 00:00:00', 0, 4.7889349460000004, -99, 1051, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-01-13 00:00:00', 0, 4.7889349460000004, -99, 1498, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-01-14 00:00:00', 0, 4.0697989459999997, -99, 1429, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-01-15 00:00:00', 0, 5.3001890180000002, -99, 1040, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-01-16 00:00:00', 0, 5.4852862360000003, -99, 1012, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-01-17 00:00:00', 0, 5.6703834530000004, -99, 1004, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-01-18 00:00:00', 0, 10.72842979, -99, 1033, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-01-19 00:00:00', 0.059999998999999998, 9.7325091359999991, -99, 1177, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-01-20 00:00:00', 0.33000001299999998, 8.7365884779999998, -99, 994, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-01-21 00:00:00', 0, 10.79696369, -99, 1152, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-01-22 00:00:00', 0, 7.3092398640000003, -99, 1598, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-01-23 00:00:00', 0, 6.4756879810000001, -99, 1570, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-01-24 00:00:00', 0, 5.5963683130000001, -99, 1631, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-01-25 00:00:00', 0, 4.5726609229999999, -99, 716, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-01-26 00:00:00', 0.059999998999999998, 9.7690334320000005, -99, 1112, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-01-27 00:00:00', 0, 9.0708742139999998, -99, 1519, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-01-28 00:00:00', 0, 5.9898180959999996, -99, 1321, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-01-29 00:00:00', 0, 6.2961392399999996, -99, 1663, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-01-30 00:00:00', 0, 6.2682075499999996, -99, 1706, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-01-31 00:00:00', 0, 5.5032458310000001, -99, 1735, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-02-01 00:00:00', 0, 8.1382627490000008, -99, 1548, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-02-02 00:00:00', 0, 5.4734301570000001, -99, 1195, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-02-03 00:00:00', 0, 9.6244106289999998, -99, 1073, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-02-04 00:00:00', 0.01, 11.83424664, -99, 1224, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-02-05 00:00:00', 0, 10.11075115, -99, 1739, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-02-06 00:00:00', 0, 7.7326514719999997, -99, 1840, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-02-07 00:00:00', 0, 5.3545517919999996, -99, 1782, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-02-08 00:00:00', 0, 6.2208065990000003, -99, 1793, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-02-09 00:00:00', 0, 7.4802703859999999, -99, 1822, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-02-10 00:00:00', 0, 4.8766937260000001, -99, 1894, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-02-11 00:00:00', 0, 5.332350731, -99, 1760, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-02-12 00:00:00', 0, 6.6129870410000002, -99, 1818, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-02-13 00:00:00', 0, 5.3868355750000001, -99, 1861, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-02-14 00:00:00', 0, 6.4195628170000001, -99, 1840, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-02-15 00:00:00', 0, 6.9703764919999998, -99, 1958, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-02-16 00:00:00', 0, 6.0988440510000004, -99, 1994, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-02-17 00:00:00', 0, 6.2986640930000002, -99, 1951, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-02-18 00:00:00', 0, 7.3702960009999998, -99, 1984, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-02-19 00:00:00', 0, 8.1958198549999999, -99, 1976, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-02-20 00:00:00', 0, 10.890721320000001, -99, 1573, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-02-21 00:00:00', 0, 9.5170164110000002, -99, 2027, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-02-22 00:00:00', 0, 8.6488828659999992, -99, 2052, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-02-23 00:00:00', 0, 7.5950441360000003, -99, 2106, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-02-24 00:00:00', 0, 8.2062168119999992, -99, 2131, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-02-25 00:00:00', 0, 9.0243024829999996, -99, 2149, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-02-26 00:00:00', 0, 10.91930962, -99, 1735, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-02-27 00:00:00', 0, 9.6021718979999999, -99, 2120, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-02-28 00:00:00', 0, 11.90799713, -99, 1933, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-03-01 00:00:00', 0, 11.579581259999999, -99, 1955, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-03-02 00:00:00', 0, 12.27993202, -99, 1886, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-03-03 00:00:00', 0, 11.886599540000001, -99, 1922, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-03-04 00:00:00', 0, 12.48996258, -99, 1940, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-03-05 00:00:00', 0, 16.356925960000002, -99, 1703, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-03-06 00:00:00', 0, 14.413196559999999, -99, 2092, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-03-07 00:00:00', 0, 14.816237449999999, -99, 2279, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-03-08 00:00:00', 0, 11.272931099999999, -99, 1717, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-03-09 00:00:00', 0, 13.8498497, -99, 1634, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-03-10 00:00:00', 0, 13.39175129, -99, 2106, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-03-11 00:00:00', 0, 15.174547199999999, -99, 2099, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-03-12 00:00:00', 0, 13.867557529999999, -99, 1159, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-03-13 00:00:00', 0, 11.422707559999999, -99, 2120, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-03-14 00:00:00', 0, 10.425234789999999, -99, 2106, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-03-15 00:00:00', 0, 10.84055233, -99, 2128, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-03-16 00:00:00', 0, 14.269820210000001, -99, 2236, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-03-17 00:00:00', 0, 13.5172863, -99, 2214, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-03-18 00:00:00', 0, 16.151180270000001, -99, 1642, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-03-19 00:00:00', 0, 14.059386249999999, -99, 1764, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-03-20 00:00:00', 0, 13.44564533, -99, 1681, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-03-21 00:00:00', 0, 11.08256435, -99, 2365, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-03-22 00:00:00', 0, 13.8751955, -99, 1228, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-03-23 00:00:00', 0, 19.231115339999999, -99, 644, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-03-24 00:00:00', 0, 17.616010670000001, -99, 2437, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-03-25 00:00:00', 0, 14.618495940000001, -99, 2509, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-03-26 00:00:00', 0, 17.274457930000001, -99, 2185, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-03-27 00:00:00', 0.23999999499999999, 20.023500439999999, -99, 1552, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-03-28 00:00:00', 0.039999999000000001, 18.444150919999998, -99, 2117, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-03-29 00:00:00', 0.52999997099999996, 18.31717682, -99, 1192, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-03-30 00:00:00', 0, 15.67597675, -99, 2588, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-03-31 00:00:00', 0, 14.60636234, -99, 2491, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-04-01 00:00:00', 0, 17.62683105, -99, 2513, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-04-02 00:00:00', 0.039999999000000001, 18.276094440000001, -99, 940, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-04-03 00:00:00', 4.2399997709999999, 19.473382950000001, -99, 1980, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-04-04 00:00:00', 0, 16.548524860000001, -99, 2236, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-04-05 00:00:00', 0, 17.44079971, -99, 2401, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-04-06 00:00:00', 0.40000000600000002, 17.686853410000001, -99, 1883, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-04-07 00:00:00', 0.30000001199999998, 16.936618800000002, -99, 2678, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-04-08 00:00:00', 2.7200000289999999, 16.737861630000001, -99, 1894, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-04-09 00:00:00', 4.1399998660000001, 19.283599850000002, -99, 1357, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-04-10 00:00:00', 0, 16.21623993, -99, 2758, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-04-11 00:00:00', 0, 18.41086769, -99, 2470, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-04-12 00:00:00', 0, 21.675601960000002, -99, 2182, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-04-13 00:00:00', 0.119999997, 20.59872627, -99, 2304, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-04-14 00:00:00', 0, 16.938789369999999, -99, 2596, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-04-15 00:00:00', 0, 18.4300499, -99, 2758, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-04-16 00:00:00', 0, 17.6349144, -99, 2243, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-04-17 00:00:00', 0, 18.856691359999999, -99, 2131, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-04-18 00:00:00', 0, 21.94234848, -99, 2131, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-04-19 00:00:00', 0, 20.332427979999999, -99, 2030, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-04-20 00:00:00', 0, 20.239503859999999, -99, 2030, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-04-21 00:00:00', 0, 22.804874420000001, -99, 2826, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-04-22 00:00:00', 0, 22.279552460000001, -99, 2909, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-04-23 00:00:00', 0.18000000699999999, 21.658052439999999, -99, 2516, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-04-24 00:00:00', 0, 20.819471360000001, -99, 2416, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-04-25 00:00:00', 5.8200001720000003, 20.104047779999998, -99, 2801, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-04-26 00:00:00', 0, 20.876523970000001, -99, 2858, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-04-27 00:00:00', 0, 22.904798509999999, -99, 2617, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-04-28 00:00:00', 0, 6.8460001950000002, -99, 2830, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-04-29 00:00:00', 0, 17.94367218, -99, 2776, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-04-30 00:00:00', 0, 24.288965229999999, -99, 2855, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-05-01 00:00:00', 0.50999998999999996, 24.468843459999999, -99, 2822, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-05-02 00:00:00', 0, 18.99142647, -99, 2783, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-05-03 00:00:00', 0, 21.54066658, -99, 2203, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-05-04 00:00:00', 0, 20.891918180000001, -99, 2952, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-05-05 00:00:00', 0, 20.65297318, -99, 2812, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-05-06 00:00:00', 0, 21.196546550000001, -99, 3010, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-05-07 00:00:00', 0, 29.131917949999998, -99, 2617, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-05-08 00:00:00', 0, 25.938949579999999, -99, 2884, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-05-09 00:00:00', 0, 24.93450546, -99, 2902, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-05-10 00:00:00', 0, 22.864099499999998, -99, 2596, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-05-11 00:00:00', 0, 22.214302060000001, -99, 2506, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-05-12 00:00:00', 0, 20.85838699, -99, 3071, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-05-13 00:00:00', 0, 23.464456559999999, -99, 2466, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-05-14 00:00:00', 0, 19.465744019999999, -99, 3096, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-05-15 00:00:00', 0, 19.952207569999999, -99, 3064, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-05-16 00:00:00', 0, 20.1388073, -99, 3089, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-05-17 00:00:00', 0, 21.161350250000002, -99, 3020, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-05-18 00:00:00', 0, 23.01779938, -99, 3107, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-05-19 00:00:00', 0, 15.953508380000001, -99, 2966, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-05-20 00:00:00', 0, 23.444431300000002, -99, 3125, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-05-21 00:00:00', 0.46000000800000002, 25.288579940000002, -99, 3114, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-05-22 00:00:00', 0, 26.505262370000001, -99, 3053, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-05-23 00:00:00', 0, 25.192890169999998, -99, 3017, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-05-24 00:00:00', 1.4900000099999999, 24.588584900000001, -99, 2074, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-05-25 00:00:00', 0, 22.386157990000001, -99, 2873, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-05-26 00:00:00', 0, 25.220678329999998, -99, 3132, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-05-27 00:00:00', 0, 24.542192459999999, -99, 3218, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-05-28 00:00:00', 0, 23.22613144, -99, 3272, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-05-29 00:00:00', 0, 23.92050171, -99, 3110, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-05-30 00:00:00', 0, 32.556365970000002, -99, 3136, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-05-31 00:00:00', 0, 26.917667389999998, -99, 2718, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-06-01 00:00:00', 0, 31.00675201, -99, 2693, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-06-02 00:00:00', 9.25, 26.20241356, -99, 1825, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-06-03 00:00:00', 0.189999998, 28.174074170000001, -99, 2635, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-06-04 00:00:00', 0.959999979, 25.49442101, -99, 3132, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-06-05 00:00:00', 0, 30.867666239999998, -99, 3197, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-06-06 00:00:00', 0, 27.997331620000001, -99, 3118, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-06-07 00:00:00', 6.1500000950000002, 27.87316895, -99, 2722, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-06-08 00:00:00', 2.7999999519999998, 23.846828460000001, -99, 1991, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-06-09 00:00:00', 0.070000000000000007, 23.255531309999999, -99, 2855, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-06-10 00:00:00', 9.2100000380000004, 26.206310269999999, -99, 2783, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-06-11 00:00:00', 8.4200000760000009, 21.2001667, -99, 2603, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-06-12 00:00:00', 0.10000000100000001, 24.388282780000001, -99, 2286, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-06-13 00:00:00', 0, 26.09808731, -99, 3046, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-06-14 00:00:00', 0, 21.758640289999999, -99, 3089, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-06-15 00:00:00', 0, 31.468080520000001, -99, 3121, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-06-16 00:00:00', 2.710000038, 31.330469130000001, -99, 2938, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-06-17 00:00:00', 0, 28.67888641, -99, 3060, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-06-18 00:00:00', 0, 28.680274959999998, -99, 2974, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-06-19 00:00:00', 0, 29.585678099999999, -99, 2909, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-06-20 00:00:00', 0, 29.131982799999999, -99, 2300, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-06-21 00:00:00', 0, 28.96186638, -99, 2747, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-06-22 00:00:00', 0, 28.748651500000001, -99, 2675, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-06-23 00:00:00', 0.109999999, 29.609937670000001, -99, 3136, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-06-24 00:00:00', 0.01, 31.57608986, -99, 3071, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-06-25 00:00:00', 0, 29.738431930000001, -99, 3053, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-06-26 00:00:00', 0, 28.563892360000001, -99, 2581, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-06-27 00:00:00', 0.109999999, 28.237735749999999, -99, 2074, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-06-28 00:00:00', 0.60000002399999997, 25.159429549999999, -99, 2639, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-06-29 00:00:00', 8.6400003430000005, 30.715059279999998, -99, 900, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-06-30 00:00:00', 0.60000002399999997, 23.617652889999999, -99, 2185, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-07-01 00:00:00', 0, 24.512662890000001, -99, 2156, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-07-02 00:00:00', 0, 25.435903549999999, -99, 2948, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-07-03 00:00:00', 0, 27.93876839, -99, 3118, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-07-04 00:00:00', 0, 26.075241089999999, -99, 2995, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-07-05 00:00:00', 0, 28.635873790000002, -99, 2894, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-07-06 00:00:00', 0.02, 27.770666120000001, -99, 2552, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-07-07 00:00:00', 0.28999999199999998, 26.68096924, -99, 731, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-07-08 00:00:00', 21.170000080000001, 26.708269120000001, -99, 2480, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-07-09 00:00:00', 10.14000034, 22.79942703, -99, 1886, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-07-10 00:00:00', 7.170000076, 23.626443859999998, -99, 1462, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-07-11 00:00:00', 0.93000000699999996, 26.719621660000001, -99, 2128, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-07-12 00:00:00', 0.829999983, 25.774744030000001, -99, 2171, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-07-13 00:00:00', 5.9400000569999998, 26.91359138, -99, 2084, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-07-14 00:00:00', 5.9299998279999997, 26.340812679999999, -99, 652, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-07-15 00:00:00', 10.59000015, 25.966566090000001, -99, 2279, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-07-16 00:00:00', 16.030000690000001, 25.91376305, -99, 1987, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-07-17 00:00:00', 8.75, 25.88950157, -99, 1073, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-07-18 00:00:00', 11.789999959999999, 25.865240100000001, -99, 400, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-07-19 00:00:00', 14.93999958, 24.82369804, -99, 518, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-07-20 00:00:00', 1.8700000050000001, 24.46653748, -99, 2203, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-07-21 00:00:00', 0.469999999, 24.285238270000001, -99, 2812, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-07-22 00:00:00', 0.10000000100000001, 26.945682529999999, -99, 2171, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-07-23 00:00:00', 0, 26.745300289999999, -99, 2736, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-07-24 00:00:00', 24.290000920000001, 28.339931490000001, -99, 587, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-07-25 00:00:00', 6.1999998090000004, 24.41566658, -99, 1879, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-07-26 00:00:00', 5.670000076, 25.558980940000001, -99, 148, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-07-27 00:00:00', 0.15000000599999999, 25.71068764, -99, 2635, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-07-28 00:00:00', 35.759998320000001, 26.698692319999999, -99, 1616, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-07-29 00:00:00', 0.119999997, 24.440519330000001, -99, 1811, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-07-30 00:00:00', 2.6099998950000001, 26.07217979, -99, 1962, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-07-31 00:00:00', 3.789999962, 26.741033550000001, -99, 2304, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-08-01 00:00:00', 1.8600000139999999, 26.299346920000001, -99, 1951, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-08-02 00:00:00', 45.729999540000001, 26.45162582, -99, 1760, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-08-03 00:00:00', 12.56999969, 24.34016609, -99, 2383, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-08-04 00:00:00', 19.459999079999999, 25.537767410000001, -99, 673, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-08-05 00:00:00', 54.069999690000003, 24.638656619999999, -99, 1544, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-08-06 00:00:00', 40.130001069999999, 24.378723140000002, -99, 500, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-08-07 00:00:00', 0, 23.077709200000001, -99, 2506, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-08-08 00:00:00', 0, 25.914041520000001, -99, 2430, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-08-09 00:00:00', 5.8000001909999996, 26.16249466, -99, 2023, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-08-10 00:00:00', 4.6399998660000001, 26.160997389999999, -99, 1670, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-08-11 00:00:00', 0, 26.159500120000001, -99, 1886, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-08-12 00:00:00', 0, 25.56463432, -99, 2776, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-08-13 00:00:00', 0, 26.977123259999999, -99, 2290, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-08-14 00:00:00', 0.560000002, 26.208667760000001, -99, 1890, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-08-15 00:00:00', 8.1499996190000008, 27.809724809999999, -99, 1926, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-08-16 00:00:00', 0, 26.612817759999999, -99, 2480, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-08-17 00:00:00', 0, 26.186704639999999, -99, 2228, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-08-18 00:00:00', 0.94999998799999996, 19.331081390000001, -99, 2110, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-08-19 00:00:00', 0, 26.376487730000001, -99, 2207, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-08-20 00:00:00', 0.560000002, 26.428827290000001, -99, 2347, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-08-21 00:00:00', 0, 26.571302410000001, -99, 2603, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-08-22 00:00:00', 0, 26.567777629999998, -99, 2675, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-08-23 00:00:00', 0, 25.784006120000001, -99, 2682, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-08-24 00:00:00', 0, 26.413757319999998, -99, 2614, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-08-25 00:00:00', 0, 25.664695739999999, -99, 2556, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-08-26 00:00:00', 0, 26.634050370000001, -99, 2401, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-08-27 00:00:00', 0, 26.466476440000001, -99, 2369, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-08-28 00:00:00', 0, 26.383028029999998, -99, 2693, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-08-29 00:00:00', 0, 27.498437880000001, -99, 2286, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-08-30 00:00:00', 0, 27.241840360000001, -99, 2480, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-08-31 00:00:00', 10.18999958, 27.161050800000002, -99, 2221, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-09-01 00:00:00', 0, 24.752557750000001, -99, 2455, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-09-02 00:00:00', 0, 27.46850586, -99, 2524, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-09-03 00:00:00', 0, 25.726982119999999, -99, 2466, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-09-04 00:00:00', 0, 25.62241745, -99, 2358, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-09-05 00:00:00', 2.2599999899999998, 25.559204099999999, -99, 2462, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-09-06 00:00:00', 0, 23.92860031, -99, 2390, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-09-07 00:00:00', 0, 25.660013200000002, -99, 2390, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-09-08 00:00:00', 0, 24.273818970000001, -99, 2423, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-09-09 00:00:00', 0, 25.58815384, -99, 2491, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-09-10 00:00:00', 0, 24.082788470000001, -99, 2524, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-09-11 00:00:00', 0, 24.204011919999999, -99, 2549, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-09-12 00:00:00', 1.8799999949999999, 23.420709609999999, -99, 2560, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-09-13 00:00:00', 0, 23.406002040000001, -99, 2200, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-09-14 00:00:00', 0.189999998, 26.241781230000001, -99, 2070, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-09-15 00:00:00', 0.050000001000000002, 22.5927124, -99, 2376, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-09-16 00:00:00', 0, 24.48807716, -99, 2142, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-09-17 00:00:00', 0.37000000500000002, 23.20584869, -99, 1638, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-09-18 00:00:00', 0, 23.229330059999999, -99, 2160, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-09-19 00:00:00', 0, 23.107604980000001, -99, 2275, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-09-20 00:00:00', 0, 24.29397011, -99, 2394, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-09-21 00:00:00', 0, 24.497894290000001, -99, 2178, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-09-22 00:00:00', 0, 24.91543579, -99, 1933, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-09-23 00:00:00', 17.950000760000002, 25.096134190000001, -99, 821, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-09-24 00:00:00', 8.5299997330000004, 22.248332980000001, -99, 1861, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-09-25 00:00:00', 0, 22.41788292, -99, 2066, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-09-26 00:00:00', 0, 22.79974365, -99, 2131, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-09-27 00:00:00', 0, 22.43405151, -99, 2225, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-09-28 00:00:00', 0, 23.33681679, -99, 2257, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-09-29 00:00:00', 0, 23.10260963, -99, 2221, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-09-30 00:00:00', 0, 26.30832672, -99, 2228, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-10-01 00:00:00', 0, 22.850738530000001, -99, 2264, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-10-02 00:00:00', 0, 23.25187111, -99, 2131, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-10-03 00:00:00', 0, 25.59504128, -99, 1879, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-10-04 00:00:00', 0, 23.932910920000001, -99, 1948, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-10-05 00:00:00', 1.0800000430000001, 22.99250984, -99, 2034, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-10-06 00:00:00', 1.230000019, 21.47408867, -99, 1217, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-10-07 00:00:00', 0.64999997600000003, 21.358102800000001, -99, 1940, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-10-08 00:00:00', 4.9600000380000004, 19.865137099999998, -99, 1663, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-10-09 00:00:00', 4.2100000380000004, 19.08292389, -99, 1444, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-10-10 00:00:00', 0, 18.762052539999999, -99, 1991, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-10-11 00:00:00', 0, 17.050806049999998, -99, 2088, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-10-12 00:00:00', 0, 18.381898880000001, -99, 2045, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-10-13 00:00:00', 0, 18.252033229999999, -99, 2023, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-10-14 00:00:00', 0, 18.358476639999999, -99, 1987, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-10-15 00:00:00', 0, 21.83208084, -99, 1991, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-10-16 00:00:00', 0, 18.404203410000001, -99, 1980, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-10-17 00:00:00', 0, 15.8761692, -99, 2052, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-10-18 00:00:00', 0, 13.76262665, -99, 1973, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-10-19 00:00:00', 0, 12.65446377, -99, 1944, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-10-20 00:00:00', 0, 13.291948319999999, -99, 2012, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-10-21 00:00:00', 0, 14.035542489999999, -99, 1822, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-10-22 00:00:00', 0, 14.308447839999999, -99, 1940, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-10-23 00:00:00', 0, 13.661930079999999, -99, 1948, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-10-24 00:00:00', 0, 14.5591116, -99, 1915, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-10-25 00:00:00', 0, 17.413955690000002, -99, 1872, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-10-26 00:00:00', 0, 15.430057529999999, -99, 1832, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-10-27 00:00:00', 0, 14.603924749999999, -99, 1858, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-10-28 00:00:00', 0, 14.236655239999999, -99, 1840, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-10-29 00:00:00', 0, 13.221291539999999, -99, 1832, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-10-30 00:00:00', 0, 15.946194650000001, -99, 1544, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-10-31 00:00:00', 0, 13.557183269999999, -99, 1822, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-11-01 00:00:00', 0, 13.674008369999999, -99, 1696, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-11-02 00:00:00', 0, 14.67494106, -99, 1732, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-11-03 00:00:00', 0, 6.724536896, -99, 1764, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-11-04 00:00:00', 0, 12.0129137, -99, 1649, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-11-05 00:00:00', 0, 11.44390488, -99, 1688, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-11-06 00:00:00', 0, 12.40496731, -99, 1616, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-11-07 00:00:00', 0, 12.075989720000001, -99, 1678, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-11-08 00:00:00', 0, 10.596077920000001, -99, 1595, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-11-09 00:00:00', 0.01, 12.67388916, -99, 1310, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-11-10 00:00:00', 0, 14.069966320000001, -99, 1382, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-11-11 00:00:00', 0, 10.578279500000001, -99, 1483, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-11-12 00:00:00', 0, 10.51607418, -99, 1354, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-11-13 00:00:00', 0, 9.2083196639999993, -99, 1613, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-11-14 00:00:00', 0, 13.73591805, -99, 1649, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-11-15 00:00:00', 0, 10.04899406, -99, 1613, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-11-16 00:00:00', 0, 10.856032369999999, -99, 1616, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-11-17 00:00:00', 0, 10.2818346, -99, 1566, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-11-18 00:00:00', 0, 10.19005394, -99, 1566, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-11-19 00:00:00', 0, 5.7415661809999996, -99, 1534, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-11-20 00:00:00', 0, 12.780208590000001, -99, 1523, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-11-21 00:00:00', 0, 9.4078874589999995, -99, 1480, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-11-22 00:00:00', 0, 10.150246620000001, -99, 1472, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-11-23 00:00:00', 0, 9.4744005199999997, -99, 1548, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-11-24 00:00:00', 0, 7.4331035610000002, -99, 1516, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-11-25 00:00:00', 0, 10.57837486, -99, 1447, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-11-26 00:00:00', 0, 7.6795482640000001, -99, 1447, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-11-27 00:00:00', 0, 6.9371366500000002, -99, 1480, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-11-28 00:00:00', 0, 8.0206098560000001, -99, 1415, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-11-29 00:00:00', 0, 8.4354248050000002, -99, 983, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-11-30 00:00:00', 0, 8.4471836089999996, -99, 1307, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-12-01 00:00:00', 0, 7.8766465190000003, -99, 1368, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-12-02 00:00:00', 0, 7.5010251999999999, -99, 1498, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-12-03 00:00:00', 0, 6.1426210399999999, -99, 1422, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-12-04 00:00:00', 0, 6.0974197390000002, -99, 1044, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-12-05 00:00:00', 0, 6.4351363179999996, -99, 1112, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-12-06 00:00:00', 0, 6.9785675999999999, -99, 1217, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-12-07 00:00:00', 0.090000003999999995, 8.4415702820000007, -99, 1379, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-12-08 00:00:00', 0, 10.584554669999999, -99, 1264, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-12-09 00:00:00', 0, 5.8776760100000001, -99, 1393, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-12-10 00:00:00', 0, 3.1504337790000001, -99, 1339, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-12-11 00:00:00', 0.64999997600000003, 3.933576822, -99, 479, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-12-12 00:00:00', 0.25999999000000001, 9.0693235399999992, -99, 1130, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-12-13 00:00:00', 0, 16.199537280000001, -99, 1278, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-12-14 00:00:00', 0.44999998800000002, 11.3408947, -99, 1019, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-12-15 00:00:00', 3.289999962, 15.79173851, -99, 1012, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-12-16 00:00:00', 0.31999999299999998, 14.57511234, -99, 824, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-12-17 00:00:00', 0, 13.72472572, -99, 1001, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-12-18 00:00:00', 0, 10.17275429, -99, 1260, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-12-19 00:00:00', 0, 8.2185277939999999, -99, 1134, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-12-20 00:00:00', 0, 8.4099893570000006, -99, 1127, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-12-21 00:00:00', 0, 7.6897735599999999, -99, 1307, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-12-22 00:00:00', 0, 7.6956915859999997, -99, 1019, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-12-23 00:00:00', 0, 9.1251840590000004, -99, 1091, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-12-24 00:00:00', 0.94999998799999996, 12.91341209, -99, 749, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-12-25 00:00:00', 3.960000038, 13.08963966, -99, 760, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-12-26 00:00:00', 10.72000027, 11.775294300000001, -99, 227, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-12-27 00:00:00', 0, 9.4691295619999991, -99, 1066, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-12-28 00:00:00', 0, 5.1952538490000002, -99, 1271, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-12-29 00:00:00', 0, 6.5853037829999996, -99, 896, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-12-30 00:00:00', 0, 6.8380317689999996, -99, 1404, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-12-31 00:00:00', 0, 7.2235088349999996, -99, 1112, 'lud', 'lud_1985');
INSERT INTO public.cdy_cldat VALUES ('1986-01-01 00:00:00', 0, 4.6108303069999996, -99, 745, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-01-02 00:00:00', 0, 2.9651935100000002, -99, 1447, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-01-03 00:00:00', 0, 1.916912079, -99, 1411, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-01-04 00:00:00', 0, 2.1370747090000002, -99, 1328, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-01-05 00:00:00', 0, 2.3572373390000001, -99, 1253, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-01-06 00:00:00', 0, 3.0177648069999998, -99, 1346, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-01-07 00:00:00', 0, 3.067502975, -99, 1426, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-01-08 00:00:00', 0, 4.9370942119999999, -99, 1487, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-01-09 00:00:00', 0, 4.8495192530000004, -99, 1429, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-01-10 00:00:00', 0, 5.7342686650000001, -99, 1476, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-01-11 00:00:00', 0, 6.8581671709999998, -99, 1318, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-01-12 00:00:00', 0, 8.3332843780000001, -99, 1375, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-01-13 00:00:00', 0, 6.2528657909999996, -99, 1339, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-01-14 00:00:00', 0, 7.4812335970000001, -99, 1318, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-01-15 00:00:00', 0, 4.8308286669999996, -99, 1422, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-01-16 00:00:00', 0, 2.7098095419999999, -99, 1541, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-01-17 00:00:00', 0, 4.7165389060000003, -99, 1537, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-01-18 00:00:00', 0, 4.1778497699999999, -99, 1469, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-01-19 00:00:00', 0, 3.0401821139999998, -99, 1570, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-01-20 00:00:00', 1.190000057, 4.7254495619999997, -99, 752, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-01-21 00:00:00', 0, 9.0815305710000001, -99, 1256, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-01-22 00:00:00', 0.66000002599999996, 6.5934748650000001, -99, 940, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-01-23 00:00:00', 0, 8.9421329499999995, -99, 1325, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-01-24 00:00:00', 0, 3.8702225690000001, -99, 1490, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-01-25 00:00:00', 0, 6.6025099750000003, -99, 1469, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-01-26 00:00:00', 0, 5.5376386640000002, -99, 1577, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-01-27 00:00:00', 0, 5.1908512120000001, -99, 1228, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-01-28 00:00:00', 0.01, 5.9187779430000003, -99, 1152, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-01-29 00:00:00', 0, 12.41414642, -99, 1534, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-01-30 00:00:00', 0, 8.0162868500000002, -99, 1667, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-01-31 00:00:00', 0, 6.810679436, -99, 1692, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-02-01 00:00:00', 0, 5.843819141, -99, 1588, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-02-02 00:00:00', 0, 5.0470070839999996, -99, 1609, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-02-03 00:00:00', 0, 5.424063683, -99, 1454, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-02-04 00:00:00', 0, 7.3414964679999999, -99, 1638, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-02-05 00:00:00', 0, 7.9314422609999999, -99, 1750, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-02-06 00:00:00', 0, 6.9391398430000004, -99, 1789, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-02-07 00:00:00', 0, 5.6101551059999997, -99, 1832, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-02-08 00:00:00', 0.01, 5.594741344, -99, 1786, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-02-09 00:00:00', 13.64000034, 8.4879322049999999, -99, 760, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-02-10 00:00:00', 11.72000027, 12.123205179999999, -99, 241, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-02-11 00:00:00', 0.02, 11.29231834, -99, 724, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-02-12 00:00:00', 1.8999999759999999, 7.9315614700000001, -99, 418, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-02-13 00:00:00', 4.2899999619999996, 10.633131029999999, -99, 1062, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-02-14 00:00:00', 0, 7.6847677230000002, -99, 1854, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-02-15 00:00:00', 0, 6.6588177679999996, -99, 1894, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-02-16 00:00:00', 0, 5.2264690399999996, -99, 1890, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-02-17 00:00:00', 0.89999997600000003, 6.4370303150000003, -99, 1973, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-02-18 00:00:00', 0, 10.012259480000001, -99, 1051, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-02-19 00:00:00', 0, 6.8882293700000004, -99, 2048, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-02-20 00:00:00', 0.74000001000000004, 8.1186513900000001, -99, 137, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-02-21 00:00:00', 2.920000076, 11.403836249999999, -99, 778, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-02-22 00:00:00', 0, 9.1800413130000003, -99, 1948, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-02-23 00:00:00', 0, 7.5416302679999996, -99, 2048, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-02-24 00:00:00', 0, 7.5516572000000002, -99, 1991, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-02-25 00:00:00', 0, 8.3298053739999993, -99, 2038, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-02-26 00:00:00', 0, 8.0319452289999997, -99, 2077, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-02-27 00:00:00', 0, 7.2857341770000001, -99, 2117, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-02-28 00:00:00', 0, 8.159426689, -99, 2038, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-03-01 00:00:00', 0, 9.0154848100000002, -99, 2016, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-03-02 00:00:00', 0, 9.2948846819999993, -99, 2182, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-03-03 00:00:00', 0, 10.16097641, -99, 2138, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-03-04 00:00:00', 0, 10.638029100000001, -99, 1624, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-03-05 00:00:00', 0, 10.11910629, -99, 2153, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-03-06 00:00:00', 0, 11.007623669999999, -99, 2254, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-03-07 00:00:00', 0, 12.660451889999999, -99, 2128, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-03-08 00:00:00', 0, 11.11336899, -99, 1490, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-03-09 00:00:00', 0, 12.737344739999999, -99, 1732, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-03-10 00:00:00', 0, 17.150722500000001, -99, 1519, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-03-11 00:00:00', 10.06000042, 17.489208219999998, -99, 1526, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-03-12 00:00:00', 2.5599999430000002, 14.78856277, -99, 1663, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-03-13 00:00:00', 1.269999981, 15.47834778, -99, 1375, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-03-14 00:00:00', 1.210000038, 16.079891199999999, -99, 1465, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-03-15 00:00:00', 0, 10.172436709999999, -99, 2419, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-03-16 00:00:00', 0, 10.10567951, -99, 2120, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-03-17 00:00:00', 0.30000001199999998, 11.524793620000001, -99, 497, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-03-18 00:00:00', 6.3899998660000001, 13.887207030000001, -99, 2056, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-03-19 00:00:00', 0, 9.8900184630000005, -99, 2542, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-03-20 00:00:00', 0, 8.7250328059999998, -99, 2290, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-03-21 00:00:00', 0, 12.41333771, -99, 1588, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-03-22 00:00:00', 2.0299999710000001, 11.93997669, -99, 1926, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-03-23 00:00:00', 0, 14.488382339999999, -99, 2336, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-03-24 00:00:00', 0, 10.289627080000001, -99, 2423, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-03-25 00:00:00', 0, 12.748566629999999, -99, 2394, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-03-26 00:00:00', 0, 12.677573199999999, -99, 2351, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-03-27 00:00:00', 0, 14.170156479999999, -99, 2099, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-03-28 00:00:00', 0, 14.97201347, -99, 2333, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-03-29 00:00:00', 0, 15.77387047, -99, 2322, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-03-30 00:00:00', 0.02, 13.76694679, -99, 2596, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-03-31 00:00:00', 0, 16.599880219999999, -99, 2646, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-04-01 00:00:00', 0, 14.194932939999999, -99, 2621, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-04-02 00:00:00', 0, 15.85818386, -99, 1354, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-04-03 00:00:00', 0, 14.79754353, -99, 2520, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-04-04 00:00:00', 0, 11.638957980000001, -99, 2729, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-04-05 00:00:00', 0, 11.96699619, -99, 2668, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-04-06 00:00:00', 0, 13.19756317, -99, 2761, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-04-07 00:00:00', 0, 21.20264435, -99, 2052, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-04-08 00:00:00', 0.01, 15.21588421, -99, 1840, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-04-09 00:00:00', 0.01, 16.207714079999999, -99, 1296, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-04-10 00:00:00', 0, 17.82473564, -99, 1782, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-04-11 00:00:00', 0.14000000100000001, 19.423809049999999, -99, 1994, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-04-12 00:00:00', 0, 20.748651500000001, -99, 2322, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-04-13 00:00:00', 0.090000003999999995, 21.075611110000001, -99, 1940, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-04-14 00:00:00', 0, 19.06376457, -99, 2704, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-04-15 00:00:00', 0, 19.35396957, -99, 2578, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-04-16 00:00:00', 0, 23.77568436, -99, 2311, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-04-17 00:00:00', 0, 18.707544330000001, -99, 2804, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-04-18 00:00:00', 0, 23.44577026, -99, 2635, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-04-19 00:00:00', 0, 19.222997670000002, -99, 2815, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-04-20 00:00:00', 0, 19.357921600000001, -99, 2862, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-04-21 00:00:00', 0, 19.61514854, -99, 2912, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-04-22 00:00:00', 0, 20.92032433, -99, 2880, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-04-23 00:00:00', 0, 21.758005140000002, -99, 2520, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-04-24 00:00:00', 1.3999999759999999, 25.555395130000001, -99, 2063, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-04-25 00:00:00', 0.33000001299999998, 24.114728929999998, -99, 608, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-04-26 00:00:00', 0, 21.195930480000001, -99, 2376, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-04-27 00:00:00', 0.10000000100000001, 20.590349199999999, -99, 2084, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-04-28 00:00:00', 0, 18.0645256, -99, 3002, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-04-29 00:00:00', 0, 22.674238200000001, -99, 2837, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-04-30 00:00:00', 0, 19.928087229999999, -99, 2934, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-05-01 00:00:00', 0.050000001000000002, 20.07949829, -99, 889, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-05-02 00:00:00', 0.039999999000000001, 21.23450089, -99, 1984, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-05-03 00:00:00', 0.01, 23.11426926, -99, 2480, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-05-04 00:00:00', 0, 18.856212620000001, -99, 3010, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-05-05 00:00:00', 0, 19.677314760000002, -99, 3092, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-05-06 00:00:00', 0, 27.761322020000001, -99, 3053, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-05-07 00:00:00', 0, 22.390682219999999, -99, 2970, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-05-08 00:00:00', 0.280000001, 25.4901123, -99, 1915, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-05-09 00:00:00', 1.0900000329999999, 23.365736009999999, -99, 1447, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-05-10 00:00:00', 3.6900000569999998, 22.413711549999999, -99, 2678, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-05-11 00:00:00', 0, 21.882673260000001, -99, 2959, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-05-12 00:00:00', 0, 24.333789830000001, -99, 2956, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-05-13 00:00:00', 0.17000000200000001, 25.47349358, -99, 2304, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-05-14 00:00:00', 0, 22.821804050000001, -99, 3046, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-05-15 00:00:00', 0.25, 25.167894359999998, -99, 3049, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-05-16 00:00:00', 1.0800000430000001, 25.122758869999998, -99, 2948, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-05-17 00:00:00', 0, 27.4293251, -99, 2941, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-05-18 00:00:00', 7.3000001909999996, 27.029733660000002, -99, 2282, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-05-19 00:00:00', 0.30000001199999998, 17.44765091, -99, 2344, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-05-20 00:00:00', 2.7799999710000001, 17.39317703, -99, 616, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-05-21 00:00:00', 0, 14.52238178, -99, 2462, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-05-22 00:00:00', 0, 16.395267489999998, -99, 3085, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-05-23 00:00:00', 0, 18.99928856, -99, 3204, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-05-24 00:00:00', 0, 18.608406070000001, -99, 2984, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-05-25 00:00:00', 0, 24.990018840000001, -99, 2862, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-05-26 00:00:00', 10.30000019, 28.801605219999999, -99, 900, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-05-27 00:00:00', 0, 20.588096620000002, -99, 2484, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-05-28 00:00:00', 0, 20.854887009999999, -99, 3035, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-05-29 00:00:00', 1.769999981, 22.272068019999999, -99, 1775, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-05-30 00:00:00', 2.9900000100000002, 21.183753970000001, -99, 2866, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-05-31 00:00:00', 0.60000002399999997, 19.23564339, -99, 2930, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-06-01 00:00:00', 0, 21.01423454, -99, 2898, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-06-02 00:00:00', 0.17000000200000001, 22.08481407, -99, 1843, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-06-03 00:00:00', 1.5800000430000001, 23.83372688, -99, 3096, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-06-04 00:00:00', 0.119999997, 24.105829239999998, -99, 2639, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-06-05 00:00:00', 0, 23.14255142, -99, 2844, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-06-06 00:00:00', 0, 24.820789340000001, -99, 2988, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-06-07 00:00:00', 0, 25.132892609999999, -99, 3100, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-06-08 00:00:00', 0, 24.345808030000001, -99, 3042, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-06-09 00:00:00', 0, 25.230751040000001, -99, 3082, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-06-10 00:00:00', 0, 23.397401810000002, -99, 2466, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-06-11 00:00:00', 0, 27.959407809999998, -99, 2956, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-06-12 00:00:00', 0, 31.506311419999999, -99, 2452, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-06-13 00:00:00', 0, 30.29541206, -99, 2740, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-06-14 00:00:00', 0, 27.153369900000001, -99, 2963, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-06-15 00:00:00', 0, 29.181093220000001, -99, 3175, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-06-16 00:00:00', 0, 24.259735110000001, -99, 2963, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-06-17 00:00:00', 0, 28.566183089999999, -99, 3092, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-06-18 00:00:00', 0, 30.592601779999999, -99, 3024, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-06-19 00:00:00', 0, 31.125265120000002, -99, 3028, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-06-20 00:00:00', 0, 30.489576339999999, -99, 2887, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-06-21 00:00:00', 0, 30.559249879999999, -99, 2516, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-06-22 00:00:00', 1.8700000050000001, 31.88516808, -99, 2383, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-06-23 00:00:00', 0.119999997, 26.122869489999999, -99, 2261, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-06-24 00:00:00', 19.090000150000002, 29.39435005, -99, 2099, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-06-25 00:00:00', 28.350000380000001, 25.20736694, -99, 2210, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-06-26 00:00:00', 0.75, 25.956937790000001, -99, 1742, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-06-27 00:00:00', 0.60000002399999997, 26.7539959, -99, 2250, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-06-28 00:00:00', 0, 24.3446064, -99, 2624, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-06-29 00:00:00', 7.8499999049999998, 26.32178497, -99, 1037, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-06-30 00:00:00', 9.8199996949999999, 23.633749009999999, -99, 997, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-07-01 00:00:00', 0.439999998, 22.767398830000001, -99, 1958, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-07-02 00:00:00', 0, 25.69954109, -99, 2005, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-07-03 00:00:00', 0, 26.58226204, -99, 3046, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-07-04 00:00:00', 0, 27.394565579999998, -99, 3031, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-07-05 00:00:00', 0, 30.933620449999999, -99, 2765, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-07-06 00:00:00', 0.090000003999999995, 30.546424869999999, -99, 2858, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-07-07 00:00:00', 2.3399999139999998, 26.798690799999999, -99, 918, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-07-08 00:00:00', 2.3399999139999998, 24.901906969999999, -99, 2174, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-07-09 00:00:00', 3.3399999139999998, 25.681062699999998, -99, 2185, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-07-10 00:00:00', 9.4099998469999999, 24.63728905, -99, 2628, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-07-11 00:00:00', 6.9699997900000001, 25.84617424, -99, 2927, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-07-12 00:00:00', 0, 24.184265140000001, -99, 2704, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-07-13 00:00:00', 0, 26.44770432, -99, 3053, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-07-14 00:00:00', 0, 30.040859220000002, -99, 2992, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-07-15 00:00:00', 0, 28.9664669, -99, 2495, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-07-16 00:00:00', 0.219999999, 27.408798220000001, -99, 2873, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-07-17 00:00:00', 2.130000114, 27.463626860000002, -99, 2970, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-07-18 00:00:00', 0.36000001399999998, 27.191701890000001, -99, 2178, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-07-19 00:00:00', 0.280000001, 24.976709369999998, -99, 1706, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-07-20 00:00:00', 2.4400000569999998, 25.643861770000001, -99, 1112, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-07-21 00:00:00', 6.2100000380000004, 27.476818080000001, -99, 2675, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-07-22 00:00:00', 0, 26.394632340000001, -99, 2945, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-07-23 00:00:00', 1.7000000479999999, 27.518526080000001, -99, 2052, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-07-24 00:00:00', 0.87999999500000003, 26.568737030000001, -99, 1087, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-07-25 00:00:00', 3.0499999519999998, 26.460752490000001, -99, 2027, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-07-26 00:00:00', 3.8099999430000002, 27.062707899999999, -99, 1566, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-07-27 00:00:00', 5.170000076, 25.821105960000001, -99, 932, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-07-28 00:00:00', 1.059999943, 27.91281128, -99, 2538, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-07-29 00:00:00', 0.090000003999999995, 26.794580459999999, -99, 2056, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-07-30 00:00:00', 0, 25.749729160000001, -99, 1188, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-07-31 00:00:00', 29.870000839999999, 26.797657010000002, -99, 1188, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-08-01 00:00:00', 2.1600000860000002, 24.026123049999999, -99, 1289, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-08-02 00:00:00', 0.40999999599999998, 25.643835070000002, -99, 1602, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-08-03 00:00:00', 11.010000229999999, 27.09570313, -99, 1300, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-08-04 00:00:00', 0.47999998900000002, 25.844997410000001, -99, 688, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-08-05 00:00:00', 0, 25.131963729999999, -99, 2704, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-08-06 00:00:00', 0.80000001200000004, 27.168560029999998, -99, 2671, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-08-07 00:00:00', 15.72000027, 26.420871730000002, -99, 76, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-08-08 00:00:00', 0, 25.964887619999999, -99, 2660, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-08-09 00:00:00', 0.12999999500000001, 26.143175129999999, -99, 2520, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-08-10 00:00:00', 0, 26.861827850000001, -99, 2599, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-08-11 00:00:00', 0, 27.23959541, -99, 2714, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-08-12 00:00:00', 6.1799998279999997, 21.852846150000001, -99, 2736, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-08-13 00:00:00', 9.9200000760000009, 25.497318270000001, -99, 2002, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-08-14 00:00:00', 0.469999999, 25.55379486, -99, 1732, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-08-15 00:00:00', 1.6200000050000001, 24.656152729999999, -99, 2574, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-08-16 00:00:00', 0.01, 27.378345490000001, -99, 1984, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-08-17 00:00:00', 2.5599999430000002, 27.574529649999999, -99, 2538, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-08-18 00:00:00', 0.37000000500000002, 25.329595569999999, -99, 1447, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-08-19 00:00:00', 0.039999999000000001, 23.237487789999999, -99, 2498, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-08-20 00:00:00', 24.590000150000002, 25.487413409999998, -99, 2192, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-08-21 00:00:00', 0, 24.869298929999999, -99, 2279, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-08-22 00:00:00', 1.5299999710000001, 24.86567307, -99, 2441, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-08-23 00:00:00', 0, 26.655328749999999, -99, 2545, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-08-24 00:00:00', 0, 27.209394450000001, -99, 2765, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-08-25 00:00:00', 0, 26.149145130000001, -99, 2452, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-08-26 00:00:00', 0, 25.02960968, -99, 2588, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-08-27 00:00:00', 0, 25.69211769, -99, 2534, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-08-28 00:00:00', 0, 25.68887711, -99, 2524, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-08-29 00:00:00', 0, 25.85820198, -99, 2664, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-08-30 00:00:00', 0, 25.2716198, -99, 2686, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-08-31 00:00:00', 0, 24.293046950000001, -99, 2610, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-09-01 00:00:00', 0, 25.186298369999999, -99, 2509, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-09-02 00:00:00', 0, 24.878927229999999, -99, 2513, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-09-03 00:00:00', 0, 24.69431496, -99, 2488, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-09-04 00:00:00', 0, 24.66727448, -99, 2498, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-09-05 00:00:00', 0, 24.163696290000001, -99, 2588, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-09-06 00:00:00', 0, 22.737752910000001, -99, 2639, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-09-07 00:00:00', 0, 23.54022217, -99, 2394, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-09-08 00:00:00', 0, 23.759517670000001, -99, 2498, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-09-09 00:00:00', 0, 23.063457490000001, -99, 2358, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-09-10 00:00:00', 0, 23.819091799999999, -99, 2275, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-09-11 00:00:00', 0.01, 24.553375240000001, -99, 2311, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-09-12 00:00:00', 0, 24.442468640000001, -99, 2045, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-09-13 00:00:00', 5.420000076, 22.386997220000001, -99, 1174, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-09-14 00:00:00', 0, 21.236751559999998, -99, 1267, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-09-15 00:00:00', 0, 21.453195569999998, -99, 2182, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-09-16 00:00:00', 0, 21.279943469999999, -99, 2459, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-09-17 00:00:00', 0, 21.401590349999999, -99, 2304, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-09-18 00:00:00', 0, 22.222358700000001, -99, 2498, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-09-19 00:00:00', 0, 21.110532760000002, -99, 2495, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-09-20 00:00:00', 0, 21.3581419, -99, 2462, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-09-21 00:00:00', 0, 21.605751040000001, -99, 2444, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-09-22 00:00:00', 6.170000076, 23.127794269999999, -99, 1894, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-09-23 00:00:00', 0, 20.389318469999999, -99, 2030, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-09-24 00:00:00', 0, 23.740398410000001, -99, 1980, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-09-25 00:00:00', 0.25, 21.166728970000001, -99, 1634, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-09-26 00:00:00', 4.7899999619999996, 21.50033569, -99, 1588, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-09-27 00:00:00', 0.079999998000000003, 20.97246552, -99, 1634, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-09-28 00:00:00', 24.969999309999999, 20.22402954, -99, 1735, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-09-29 00:00:00', 0, 20.66125298, -99, 756, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-09-30 00:00:00', 0, 18.357545850000001, -99, 1724, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-10-01 00:00:00', 0, 20.158327100000001, -99, 1433, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-10-02 00:00:00', 0, 20.656122209999999, -99, 1591, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-10-03 00:00:00', 0, 21.26455116, -99, 1656, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-10-04 00:00:00', 3.8399999139999998, 21.749290469999998, -99, 706, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-10-05 00:00:00', 1.7000000479999999, 19.406570429999999, -99, 1843, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-10-06 00:00:00', 0, 20.207616810000001, -99, 2142, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-10-07 00:00:00', 0, 21.636692050000001, -99, 2056, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-10-08 00:00:00', 0, 22.42488861, -99, 2095, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-10-09 00:00:00', 0, 22.385601040000001, -99, 2088, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-10-10 00:00:00', 0, 22.13052368, -99, 2066, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-10-11 00:00:00', 0, 22.99664688, -99, 1505, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-10-12 00:00:00', 0, 20.612253190000001, -99, 1948, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-10-13 00:00:00', 0, 21.128778459999999, -99, 2005, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-10-14 00:00:00', 0, 19.59712601, -99, 2009, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-10-15 00:00:00', 9.2200002669999996, 20.04242897, -99, 742, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-10-16 00:00:00', 0.25, 16.499086380000001, -99, 1584, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-10-17 00:00:00', 0.059999998999999998, 16.415283200000001, -99, 1292, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-10-18 00:00:00', 0, 16.12038231, -99, 1865, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-10-19 00:00:00', 0, 16.119148249999999, -99, 1969, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-10-20 00:00:00', 0, 14.57906914, -99, 1865, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-10-21 00:00:00', 0, 13.348296169999999, -99, 1908, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-10-22 00:00:00', 0, 12.346666340000001, -99, 1951, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-10-23 00:00:00', 0, 13.149457930000001, -99, 1915, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-10-24 00:00:00', 0, 12.38549042, -99, 1908, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-10-25 00:00:00', 0, 12.396870610000001, -99, 1850, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-10-26 00:00:00', 0, 12.481194500000001, -99, 1757, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-10-27 00:00:00', 0, 12.706846240000001, -99, 1800, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-10-28 00:00:00', 0, 13.5968008, -99, 1710, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-10-29 00:00:00', 0, 13.79600334, -99, 1847, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-10-30 00:00:00', 0, 15.026211740000001, -99, 1609, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-10-31 00:00:00', 0, 17.809919359999999, -99, 1786, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-11-01 00:00:00', 0, 15.494957919999999, -99, 1609, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-11-02 00:00:00', 0, 13.32742691, -99, 1692, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-11-03 00:00:00', 0, 14.965402600000001, -99, 1710, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-11-04 00:00:00', 0, 12.728875159999999, -99, 1696, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-11-05 00:00:00', 0, 12.183403970000001, -99, 1688, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-11-06 00:00:00', 0, 14.255514140000001, -99, 1663, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-11-07 00:00:00', 0, 11.38126183, -99, 1706, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-11-08 00:00:00', 0, 11.180677409999999, -99, 1703, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-11-09 00:00:00', 0, 12.22294617, -99, 1631, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-11-10 00:00:00', 0, 11.67831516, -99, 1627, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-11-11 00:00:00', 0, 10.725108150000001, -99, 1494, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-11-12 00:00:00', 0, 12.52979946, -99, 1548, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-11-13 00:00:00', 0, 13.278411869999999, -99, 1544, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-11-14 00:00:00', 0, 14.86854458, -99, 1602, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-11-15 00:00:00', 0.15000000599999999, 16.458677290000001, -99, 1440, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-11-16 00:00:00', 0, 15.502466200000001, -99, 1397, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-11-17 00:00:00', 0, 12.569685939999999, -99, 1541, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-11-18 00:00:00', 0, 10.03138161, -99, 1433, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-11-19 00:00:00', 0, 7.222839832, -99, 1339, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-11-20 00:00:00', 0, 7.3090777400000002, -99, 1364, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-11-21 00:00:00', 0, 7.7160122390000003, -99, 1483, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-11-22 00:00:00', 0, 8.1229467389999996, -99, 1526, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-11-23 00:00:00', 0, 8.6953926090000007, -99, 1188, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-11-24 00:00:00', 0, 8.8568019870000008, -99, 1231, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-11-25 00:00:00', 0, 11.423231120000001, -99, 734, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-11-26 00:00:00', 0.219999999, 14.999259, -99, 425, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-11-27 00:00:00', 0.01, 15.85449886, -99, 677, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-11-28 00:00:00', 0, 13.59375, -99, 1303, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-11-29 00:00:00', 0.070000000000000007, 10.647160530000001, -99, 40, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-11-30 00:00:00', 0, 8.2438459399999999, -99, 1282, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-12-01 00:00:00', 0, 8.6044349669999995, -99, 1303, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-12-02 00:00:00', 0, 6.5628437999999996, -99, 1231, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-12-03 00:00:00', 0, 5.794837952, -99, 1271, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-12-04 00:00:00', 0, 6.8084783550000001, -99, 1289, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-12-05 00:00:00', 0, 7.4981579780000001, -99, 961, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-12-06 00:00:00', 0, 8.1967144009999995, -99, 770, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-12-07 00:00:00', 0, 9.4647808070000004, -99, 857, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-12-08 00:00:00', 0, 9.2535734180000002, -99, 1062, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-12-09 00:00:00', 0, 8.9155292510000006, -99, 1069, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-12-10 00:00:00', 0, 10.55753517, -99, 1206, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-12-11 00:00:00', 0.039999999000000001, 12.81665516, -99, 1058, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-12-12 00:00:00', 0.75, 12.103260990000001, -99, 1033, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-12-13 00:00:00', 0, 12.56715107, -99, 1217, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-12-14 00:00:00', 0, 5.5510683060000003, -99, 1260, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-12-15 00:00:00', 0, -1.682193995, -99, 1346, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-12-16 00:00:00', 0, 3.4349212649999998, -99, 1361, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-12-17 00:00:00', 0, 3.33196044, -99, 936, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-12-18 00:00:00', 0, 4.1827011110000001, -99, 1231, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-12-19 00:00:00', 0, 2.3213665489999999, -99, 1296, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-12-20 00:00:00', 0, 3.410813332, -99, 1325, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-12-21 00:00:00', 0, 4.6002421379999996, -99, 889, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-12-22 00:00:00', 0, 4.2225828170000002, -99, 1332, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-12-23 00:00:00', 0, 3.0525715349999998, -99, 1336, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-12-24 00:00:00', 0, 3.4270038600000001, -99, 1321, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-12-25 00:00:00', 0, 4.2506642340000003, -99, 1357, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-12-26 00:00:00', 0, 2.4459085460000001, -99, 1390, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-12-27 00:00:00', 0, 2.306095123, -99, 1174, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-12-28 00:00:00', 0, 2.5908889770000001, -99, 1130, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-12-29 00:00:00', 0, 5.3828697200000004, -99, 1109, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-12-30 00:00:00', 0, 2.804491997, -99, 1411, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-12-31 00:00:00', 0, 2.631313086, -99, 1008, 'lud', 'lud_1986');
INSERT INTO public.cdy_cldat VALUES ('1987-01-01 00:00:00', 0, 2.8922140600000001, -99, 1336, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-01-02 00:00:00', 0, 4.9459280970000004, -99, 1411, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-01-03 00:00:00', 0, 3.6699969769999998, -99, 954, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-01-04 00:00:00', 0, 4.6884908679999997, -99, 1238, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-01-05 00:00:00', 0.46000000800000002, 7.6744699479999996, -99, 900, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-01-06 00:00:00', 1.2599999900000001, 7.4311628340000002, -99, 1253, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-01-07 00:00:00', 0, 7.8794326779999997, -99, 1364, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-01-08 00:00:00', 0.02, 6.914674282, -99, 1321, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-01-09 00:00:00', 0, 8.2364597320000001, -99, 1231, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-01-10 00:00:00', 0.17000000200000001, 9.6113481519999997, -99, 684, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-01-11 00:00:00', 0, 9.9923839569999995, -99, 1210, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-01-12 00:00:00', 0, 8.7170419690000003, -99, 1001, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-01-13 00:00:00', 2.289999962, 10.01569271, -99, 695, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-01-14 00:00:00', 0, 7.2768597599999998, -99, 1354, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-01-15 00:00:00', 0, 3.9189274310000002, -99, 1271, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-01-16 00:00:00', 9.0200004580000002, 6.5366668700000004, -99, 248, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-01-17 00:00:00', 1.7000000479999999, 10.815736770000001, -99, 569, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-01-18 00:00:00', 0, 5.6870546339999999, -99, 1498, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-01-19 00:00:00', 0, 6.5716657639999996, -99, 1537, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-01-20 00:00:00', 0, 4.7246384619999997, -99, 1494, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-01-21 00:00:00', 0, 5.2031645769999999, -99, 1584, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-01-22 00:00:00', 0, 3.761033297, -99, 1541, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-01-23 00:00:00', 0, 4.2281374930000002, -99, 1555, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-01-24 00:00:00', 0, 5.42969656, -99, 1501, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-01-25 00:00:00', 0, 4.983172894, -99, 1433, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-01-26 00:00:00', 0, 3.8587718010000001, -99, 1674, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-01-27 00:00:00', 0, 5.4027442929999996, -99, 1649, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-01-28 00:00:00', 0, 5.1481671330000003, -99, 1674, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-01-29 00:00:00', 0, 7.2476606370000001, -99, 1559, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-01-30 00:00:00', 0, 7.2582197190000004, -99, 1454, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-01-31 00:00:00', 0, 9.2760362629999999, -99, 1364, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-02-01 00:00:00', 0, 9.4525957110000007, -99, 1483, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-02-02 00:00:00', 0, 8.05081749, -99, 1116, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-02-03 00:00:00', 0, 8.1276836400000008, -99, 1670, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-02-04 00:00:00', 0, 6.1883745189999999, -99, 1724, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-02-05 00:00:00', 0, 7.2729291920000003, -99, 1757, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-02-06 00:00:00', 0, 6.7361659999999999, -99, 1746, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-02-07 00:00:00', 0, 8.2091941829999993, -99, 1768, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-02-08 00:00:00', 0, 10.087907789999999, -99, 1465, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-02-09 00:00:00', 0, 9.4903841020000002, -99, 1793, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-02-10 00:00:00', 0, 8.4569664000000007, -99, 1602, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-02-11 00:00:00', 0, 9.3417873379999996, -99, 1566, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-02-12 00:00:00', 0, 8.9025106429999994, -99, 1202, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-02-13 00:00:00', 0, 10.19624138, -99, 1624, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-02-14 00:00:00', 0.12999999500000001, 12.742995260000001, -99, 1195, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-02-15 00:00:00', 0.810000002, 12.799187659999999, -99, 889, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-02-16 00:00:00', 2.960000038, 10.00316525, -99, 1609, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-02-17 00:00:00', 0.49000000999999999, 9.4848632810000009, -99, 1512, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-02-18 00:00:00', 0, 12.09216118, -99, 1764, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-02-19 00:00:00', 0, 9.2284603119999993, -99, 1238, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-02-20 00:00:00', 0, 12.13356686, -99, 1487, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-02-21 00:00:00', 0, 11.187472339999999, -99, 1559, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-02-22 00:00:00', 0, 12.55556393, -99, 1670, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-02-23 00:00:00', 1.3999999759999999, 11.375974660000001, -99, 1303, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-02-24 00:00:00', 4.0700001720000003, 14.36948681, -99, 306, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-02-25 00:00:00', 0, 12.303591730000001, -99, 1800, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-02-26 00:00:00', 0, 9.9840564730000008, -99, 1433, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-02-27 00:00:00', 0, 9.4485836029999994, -99, 2092, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-02-28 00:00:00', 0, 9.9960765840000008, -99, 2084, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-03-01 00:00:00', 0, 10.05441856, -99, 1894, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-03-02 00:00:00', 0, 10.596662520000001, -99, 1188, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-03-03 00:00:00', 0, 10.423829080000001, -99, 1940, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-03-04 00:00:00', 0, 10.76452351, -99, 2138, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-03-05 00:00:00', 0, 13.08504391, -99, 896, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-03-06 00:00:00', 0, 14.46582222, -99, 1840, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-03-07 00:00:00', 0, 15.663648609999999, -99, 1361, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-03-08 00:00:00', 0, 13.225486760000001, -99, 2290, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-03-09 00:00:00', 0, 12.008123400000001, -99, 2308, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-03-10 00:00:00', 0, 11.565491679999999, -99, 1793, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-03-11 00:00:00', 0.33000001299999998, 13.446620940000001, -99, 774, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-03-12 00:00:00', 0.72000002900000004, 10.72112274, -99, 1897, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-03-13 00:00:00', 0.14000000100000001, 14.551509859999999, -99, 1242, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-03-14 00:00:00', 0, 11.79761791, -99, 2261, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-03-15 00:00:00', 0.02, 12.42266083, -99, 1148, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-03-16 00:00:00', 0, 14.6752615, -99, 2268, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-03-17 00:00:00', 0, 17.31052017, -99, 2452, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-03-18 00:00:00', 0.23000000400000001, 13.084337229999999, -99, 2070, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-03-19 00:00:00', 1.289999962, 15.100441930000001, -99, 1721, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-03-20 00:00:00', 0.039999999000000001, 13.68308163, -99, 2084, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-03-21 00:00:00', 7.6399998660000001, 16.04653931, -99, 1868, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-03-22 00:00:00', 0.15000000599999999, 15.67162991, -99, 1202, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-03-23 00:00:00', 0, 16.028116229999998, -99, 1588, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-03-24 00:00:00', 0, 14.908418660000001, -99, 2318, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-03-25 00:00:00', 0.44999998800000002, 14.76947403, -99, 886, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-03-26 00:00:00', 0.059999998999999998, 17.27763367, -99, 1879, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-03-27 00:00:00', 0, 15.23514557, -99, 2153, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-03-28 00:00:00', 0, 17.020475390000001, -99, 1883, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-03-29 00:00:00', 0, 16.074384689999999, -99, 2016, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-03-30 00:00:00', 0, 15.8471756, -99, 2531, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-03-31 00:00:00', 0, 17.253355030000002, -99, 2358, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-04-01 00:00:00', 0, 18.13225555, -99, 2329, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-04-02 00:00:00', 0, 18.68138313, -99, 2268, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-04-03 00:00:00', 3.0299999710000001, 18.26776886, -99, 2293, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-04-04 00:00:00', 0, 16.613492969999999, -99, 2329, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-04-05 00:00:00', 0, 14.933762550000001, -99, 2657, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-04-06 00:00:00', 0, 15.59182167, -99, 2646, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-04-07 00:00:00', 0.50999998999999996, 18.177133560000001, -99, 2002, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-04-08 00:00:00', 1.9299999480000001, 21.31277657, -99, 2041, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-04-09 00:00:00', 0, 12.34641457, -99, 2682, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-04-10 00:00:00', 0, 13.92143536, -99, 2830, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-04-11 00:00:00', 0.090000003999999995, 16.481655119999999, -99, 2707, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-04-12 00:00:00', 0, 16.13306618, -99, 2660, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-04-13 00:00:00', 0, 15.064419750000001, -99, 2488, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-04-14 00:00:00', 0, 16.259201050000001, -99, 2488, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-04-15 00:00:00', 0, 16.443851469999998, -99, 2401, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-04-16 00:00:00', 0, 17.135457989999999, -99, 2250, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-04-17 00:00:00', 0, 18.676715850000001, -99, 2426, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-04-18 00:00:00', 0, 16.7220993, -99, 2167, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-04-19 00:00:00', 0, 21.543865199999999, -99, 1951, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-04-20 00:00:00', 0, 21.921686170000001, -99, 2714, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-04-21 00:00:00', 0, 22.6599884, -99, 2750, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-04-22 00:00:00', 0.050000001000000002, 23.886829380000002, -99, 2178, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-04-23 00:00:00', 0.050000001000000002, 24.499149320000001, -99, 1660, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-04-24 00:00:00', 0, 22.305252079999999, -99, 2862, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-04-25 00:00:00', 0, 18.595687869999999, -99, 2646, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-04-26 00:00:00', 0, 18.19844818, -99, 2668, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-04-27 00:00:00', 0, 19.017826079999999, -99, 2394, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-04-28 00:00:00', 0, 20.884889600000001, -99, 2887, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-04-29 00:00:00', 0, 22.591876979999999, -99, 2610, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-04-30 00:00:00', 4.0300002099999999, 22.25787163, -99, 2293, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-05-01 00:00:00', 13.149999619999999, 19.773746490000001, -99, 1940, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-05-02 00:00:00', 6.2399997709999999, 16.964864729999999, -99, 796, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-05-03 00:00:00', 0, 15.258495330000001, -99, 2862, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-05-04 00:00:00', 0, 16.771799089999998, -99, 2862, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-05-05 00:00:00', 0, 19.02851295, -99, 2664, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-05-06 00:00:00', 2.619999886, 22.0930748, -99, 1580, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-05-07 00:00:00', 6.5999999049999998, 19.15240288, -99, 2239, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-05-08 00:00:00', 4.0700001720000003, 18.118926999999999, -99, 1768, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-05-09 00:00:00', 0.55000001200000004, 17.586410520000001, -99, 940, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-05-10 00:00:00', 0.36000001399999998, 15.9817524, -99, 1904, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-05-11 00:00:00', 0.64999997600000003, 17.112251279999999, -99, 2588, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-05-12 00:00:00', 1.690000057, 18.245655060000001, -99, 1627, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-05-13 00:00:00', 1.1599999670000001, 17.165130619999999, -99, 929, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-05-14 00:00:00', 0, 16.080564500000001, -99, 2797, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-05-15 00:00:00', 0, 19.483915329999999, -99, 2938, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-05-16 00:00:00', 0, 21.166797639999999, -99, 2434, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-05-17 00:00:00', 0, 20.59622383, -99, 2974, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-05-18 00:00:00', 0, 18.86310005, -99, 3020, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-05-19 00:00:00', 0, 22.599927900000001, -99, 2470, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-05-20 00:00:00', 0, 25.10830116, -99, 2441, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-05-21 00:00:00', 0.090000003999999995, 25.343046189999999, -99, 1930, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-05-22 00:00:00', 0.17000000200000001, 25.185585020000001, -99, 1220, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-05-23 00:00:00', 0, 20.665189739999999, -99, 1552, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-05-24 00:00:00', 0, 20.8145256, -99, 2840, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-05-25 00:00:00', 0, 20.583610530000001, -99, 3071, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-05-26 00:00:00', 0, 21.346864700000001, -99, 3157, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-05-27 00:00:00', 0, 23.43994331, -99, 2588, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-05-28 00:00:00', 0, 25.330076219999999, -99, 2704, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-05-29 00:00:00', 0, 25.257524490000002, -99, 2722, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-05-30 00:00:00', 0, 25.738269809999998, -99, 2840, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-05-31 00:00:00', 30.040000920000001, 27.185352330000001, -99, 2938, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-06-01 00:00:00', 0, 25.128023150000001, -99, 2650, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-06-02 00:00:00', 0.070000000000000007, 24.37417984, -99, 2758, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-06-03 00:00:00', 0.029999998999999999, 24.513311389999998, -99, 2390, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-06-04 00:00:00', 0, 27.262723919999999, -99, 3121, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-06-05 00:00:00', 0, 25.904628750000001, -99, 3006, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-06-06 00:00:00', 0, 23.994426730000001, -99, 3179, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-06-07 00:00:00', 0, 26.921033860000001, -99, 3096, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-06-08 00:00:00', 5.4099998469999999, 29.58199501, -99, 2966, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-06-09 00:00:00', 14.84000015, 26.527029039999999, -99, 2293, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-06-10 00:00:00', 4.5399999619999996, 21.243389130000001, -99, 1850, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-06-11 00:00:00', 0, 23.471212390000002, -99, 2596, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-06-12 00:00:00', 0, 25.994823459999999, -99, 2822, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-06-13 00:00:00', 0, 25.822874070000001, -99, 3103, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-06-14 00:00:00', 0, 27.059751510000002, -99, 2916, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-06-15 00:00:00', 0.56999999300000004, 28.15030479, -99, 1004, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-06-16 00:00:00', 2.670000076, 26.255504609999999, -99, 2596, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-06-17 00:00:00', 0, 24.449565889999999, -99, 2995, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-06-18 00:00:00', 0, 24.516851429999999, -99, 3233, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-06-19 00:00:00', 0.80000001200000004, 24.953382489999999, -99, 3154, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-06-20 00:00:00', 2.4500000480000002, 25.546936039999999, -99, 2801, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-06-21 00:00:00', 0, 23.86037254, -99, 2434, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-06-22 00:00:00', 1.8799999949999999, 27.161394120000001, -99, 3013, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-06-23 00:00:00', 0, 24.658500669999999, -99, 3042, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-06-24 00:00:00', 0, 25.71743584, -99, 3046, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-06-25 00:00:00', 0, 26.335628509999999, -99, 3020, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-06-26 00:00:00', 0, 26.62078094, -99, 2394, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-06-27 00:00:00', 0, 26.650560380000002, -99, 3132, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-06-28 00:00:00', 0, 27.309665679999998, -99, 3193, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-06-29 00:00:00', 0, 27.24965096, -99, 3143, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-06-30 00:00:00', 0.01, 32.092239380000002, -99, 2416, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-07-01 00:00:00', 0, 29.42704582, -99, 2840, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-07-02 00:00:00', 0, 30.812791820000001, -99, 3110, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-07-03 00:00:00', 0, 29.882202150000001, -99, 3013, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-07-04 00:00:00', 0, 29.79670715, -99, 3103, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-07-05 00:00:00', 0, 30.57766724, -99, 2430, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-07-06 00:00:00', 7.4400000569999998, 28.641931530000001, -99, 2750, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-07-07 00:00:00', 0.77999997099999996, 24.43190002, -99, 1044, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-07-08 00:00:00', 0, 21.317586899999998, -99, 1958, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-07-09 00:00:00', 0, 27.260932919999998, -99, 2329, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-07-10 00:00:00', 0, 26.038949970000001, -99, 2581, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-07-11 00:00:00', 0, 27.07629013, -99, 2416, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-07-12 00:00:00', 0, 25.452156070000001, -99, 1199, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-07-13 00:00:00', 0, 25.466482160000002, -99, 2844, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-07-14 00:00:00', 1.960000038, 26.247093199999998, -99, 3028, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-07-15 00:00:00', 0, 26.36992455, -99, 3020, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-07-16 00:00:00', 0, 26.270925519999999, -99, 2891, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-07-17 00:00:00', 0.14000000100000001, 26.985612870000001, -99, 2977, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-07-18 00:00:00', 0, 26.184656140000001, -99, 2552, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-07-19 00:00:00', 0, 28.287597659999999, -99, 2272, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-07-20 00:00:00', 0, 28.199247360000001, -99, 3064, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-07-21 00:00:00', 0, 27.362400050000002, -99, 3024, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-07-22 00:00:00', 0, 31.037178040000001, -99, 2981, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-07-23 00:00:00', 0, 29.780702590000001, -99, 2840, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-07-24 00:00:00', 0, 30.022319790000001, -99, 1915, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-07-25 00:00:00', 0, 30.029390339999999, -99, 2293, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-07-26 00:00:00', 4.7100000380000004, 25.078439710000001, -99, 482, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-07-27 00:00:00', 0, 25.397918700000002, -99, 2563, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-07-28 00:00:00', 0, 26.40565681, -99, 2696, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-07-29 00:00:00', 0, 26.857873919999999, -99, 2988, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-07-30 00:00:00', 0, 28.640455249999999, -99, 2941, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-07-31 00:00:00', 0, 29.35273552, -99, 2938, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-08-01 00:00:00', 0, 28.414976119999999, -99, 2783, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-08-02 00:00:00', 0, 29.221458439999999, -99, 2660, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-08-03 00:00:00', 0, 27.80582047, -99, 2261, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-08-04 00:00:00', 8.8699998860000004, 29.023748399999999, -99, 2102, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-08-05 00:00:00', 0, 24.41341972, -99, 2743, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-08-06 00:00:00', 0, 26.47133827, -99, 2527, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-08-07 00:00:00', 0.25999999000000001, 26.74938774, -99, 2027, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-08-08 00:00:00', 3.4400000569999998, 26.89565086, -99, 2570, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-08-09 00:00:00', 0, 28.09167862, -99, 2660, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-08-10 00:00:00', 0, 29.19714355, -99, 2606, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-08-11 00:00:00', 0, 28.254735950000001, -99, 2430, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-08-12 00:00:00', 0, 28.378288269999999, -99, 2135, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-08-13 00:00:00', 9.2600002289999992, 25.568573000000001, -99, 684, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-08-14 00:00:00', 0, 22.601350780000001, -99, 1865, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-08-15 00:00:00', 0, 25.010166170000002, -99, 2534, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-08-16 00:00:00', 0, 26.58998871, -99, 2552, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-08-17 00:00:00', 0.01, 26.72516632, -99, 2570, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-08-18 00:00:00', 0.27000001099999998, 27.615400309999998, -99, 2682, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-08-19 00:00:00', 0, 25.652761460000001, -99, 2668, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-08-20 00:00:00', 0, 27.276739119999998, -99, 2437, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-08-21 00:00:00', 0, 26.591453550000001, -99, 1123, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-08-22 00:00:00', 0, 26.729291920000001, -99, 2585, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-08-23 00:00:00', 4.4099998469999999, 27.29775047, -99, 1796, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-08-24 00:00:00', 0.80000001200000004, 25.698068620000001, -99, 1570, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-08-25 00:00:00', 0, 27.284654620000001, -99, 2351, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-08-26 00:00:00', 6.1999998090000004, 28.682771679999998, -99, 1490, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-08-27 00:00:00', 0, 26.803339000000001, -99, 1908, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-08-28 00:00:00', 10, 26.452333450000001, -99, 749, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-08-29 00:00:00', 0, 24.55178261, -99, 2156, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-08-30 00:00:00', 0, 27.273153310000001, -99, 2549, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-08-31 00:00:00', 0.050000001000000002, 26.226625439999999, -99, 2128, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-09-01 00:00:00', 0, 25.578260419999999, -99, 2419, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-09-02 00:00:00', 0, 27.298954009999999, -99, 2542, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-09-03 00:00:00', 0, 28.108671189999999, -99, 2196, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-09-04 00:00:00', 0, 27.549831390000001, -99, 2441, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-09-05 00:00:00', 0, 26.148338320000001, -99, 2261, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-09-06 00:00:00', 0, 26.531646729999999, -99, 2038, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-09-07 00:00:00', 0, 27.082197189999999, -99, 2480, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-09-08 00:00:00', 0, 27.404014589999999, -99, 2329, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-09-09 00:00:00', 0, 25.55146027, -99, 1937, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-09-10 00:00:00', 0, 25.031385419999999, -99, 2081, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-09-11 00:00:00', 0, 24.799524309999999, -99, 2390, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-09-12 00:00:00', 0, 24.451898570000001, -99, 2304, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-09-13 00:00:00', 0, 25.84340096, -99, 2524, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-09-14 00:00:00', 0, 23.580810549999999, -99, 2498, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-09-15 00:00:00', 0, 23.498439789999999, -99, 2408, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-09-16 00:00:00', 0, 23.237100600000002, -99, 2423, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-09-17 00:00:00', 0, 23.565851210000002, -99, 2365, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-09-18 00:00:00', 0, 24.904594419999999, -99, 2419, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-09-19 00:00:00', 0, 23.611438750000001, -99, 2441, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-09-20 00:00:00', 0, 23.599287029999999, -99, 2362, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-09-21 00:00:00', 0, 23.743160249999999, -99, 2455, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-09-22 00:00:00', 0, 24.48537254, -99, 2279, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-09-23 00:00:00', 0, 23.288402560000002, -99, 2268, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-09-24 00:00:00', 0, 23.823827739999999, -99, 2300, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-09-25 00:00:00', 0, 23.844272610000001, -99, 2326, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-09-26 00:00:00', 0, 23.498809810000001, -99, 2232, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-09-27 00:00:00', 1.539999962, 23.05641747, -99, 2354, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-09-28 00:00:00', 0.15999999600000001, 20.449819560000002, -99, 1440, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-09-29 00:00:00', 0, 22.449954989999998, -99, 2243, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-09-30 00:00:00', 0, 22.516038890000001, -99, 2106, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-10-01 00:00:00', 0, 21.245550160000001, -99, 2070, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-10-02 00:00:00', 1.019999981, 20.881481170000001, -99, 1840, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-10-03 00:00:00', 0, 21.669954300000001, -99, 2149, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-10-04 00:00:00', 0, 19.128301619999998, -99, 2246, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-10-05 00:00:00', 0, 18.44629097, -99, 2200, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-10-06 00:00:00', 0, 19.28894043, -99, 2124, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-10-07 00:00:00', 0, 20.090991970000001, -99, 2167, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-10-08 00:00:00', 0, 21.524589540000001, -99, 1897, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-10-09 00:00:00', 0, 21.897859570000001, -99, 2128, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-10-10 00:00:00', 0, 22.12658119, -99, 1933, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-10-11 00:00:00', 0, 22.487657550000002, -99, 1462, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-10-12 00:00:00', 0, 22.83987617, -99, 2016, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-10-13 00:00:00', 0, 21.548194890000001, -99, 1800, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-10-14 00:00:00', 0, 18.56635284, -99, 1937, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-10-15 00:00:00', 0, 16.90240288, -99, 2009, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-10-16 00:00:00', 0, 19.132251740000001, -99, 1861, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-10-17 00:00:00', 0.519999981, 20.678833010000002, -99, 968, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-10-18 00:00:00', 8.2700004580000002, 20.485509870000001, -99, 1271, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-10-19 00:00:00', 13.510000229999999, 17.953811649999999, -99, 1490, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-10-20 00:00:00', 0, 13.1725359, -99, 1991, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-10-21 00:00:00', 0, 14.555574419999999, -99, 1901, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-10-22 00:00:00', 0, 13.145685200000001, -99, 1962, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-10-23 00:00:00', 0, 14.292016029999999, -99, 1807, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-10-24 00:00:00', 0, 14.7074976, -99, 1732, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-10-25 00:00:00', 0, 15.544771190000001, -99, 1912, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-10-26 00:00:00', 0, 16.21977425, -99, 1865, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-10-27 00:00:00', 0, 16.562671659999999, -99, 1883, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-10-28 00:00:00', 0, 16.892772669999999, -99, 1602, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-10-29 00:00:00', 0, 18.613046650000001, -99, 1429, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-10-30 00:00:00', 0, 19.966018680000001, -99, 1778, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-10-31 00:00:00', 0, 16.416208269999998, -99, 1696, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-11-01 00:00:00', 0, 13.46444988, -99, 1811, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-11-02 00:00:00', 0, 10.294981959999999, -99, 1858, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-11-03 00:00:00', 0, 10.36325645, -99, 1739, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-11-04 00:00:00', 0, 10.34653378, -99, 1728, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-11-05 00:00:00', 0, 11.25161934, -99, 1786, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-11-06 00:00:00', 0, 12.03231525, -99, 1793, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-11-07 00:00:00', 0, 13.44752502, -99, 1555, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-11-08 00:00:00', 0, 14.09548092, -99, 1616, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-11-09 00:00:00', 0, 11.73779583, -99, 1678, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-11-10 00:00:00', 0, 11.51265049, -99, 1674, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-11-11 00:00:00', 0, 11.528907780000001, -99, 1631, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-11-12 00:00:00', 0, 12.252838130000001, -99, 1606, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-11-13 00:00:00', 0, 10.800326350000001, -99, 1566, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-11-14 00:00:00', 0, 11.71071815, -99, 1613, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-11-15 00:00:00', 0, 12.373689649999999, -99, 1667, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-11-16 00:00:00', 0, 8.8419275279999994, -99, 1393, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-11-17 00:00:00', 0, 8.3504562379999996, -99, 1548, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-11-18 00:00:00', 0, 9.5486125949999998, -99, 1552, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-11-19 00:00:00', 0, 8.9965410230000007, -99, 1516, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-11-20 00:00:00', 0, 8.4390535349999993, -99, 1321, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-11-21 00:00:00', 0, 7.6944284439999997, -99, 1559, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-11-22 00:00:00', 0, 7.2548880579999997, -99, 1516, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-11-23 00:00:00', 0, 7.5132784839999998, -99, 1364, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-11-24 00:00:00', 0, 7.7947092060000003, -99, 1494, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-11-25 00:00:00', 0, 7.1146759990000001, -99, 1382, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-11-26 00:00:00', 0, 7.113898754, -99, 1483, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-11-27 00:00:00', 0, 6.9800601010000003, -99, 1498, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-11-28 00:00:00', 0, 8.1786613460000002, -99, 1483, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-11-29 00:00:00', 0, 7.9293756479999997, -99, 1483, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-11-30 00:00:00', 0, 5.7674217219999999, -99, 1314, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-12-01 00:00:00', 0, 6.6972050669999996, -99, 1357, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-12-02 00:00:00', 0, 12.59981251, -99, 1109, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-12-03 00:00:00', 0, 10.564807890000001, -99, 1494, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-12-04 00:00:00', 0, 5.8901948930000003, -99, 1224, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-12-05 00:00:00', 0, 4.5546774860000001, -99, 1080, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-12-06 00:00:00', 0, 3.5245037080000001, -99, 1408, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-12-07 00:00:00', 0, 4.7566575999999996, -99, 1393, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-12-08 00:00:00', 0, 6.354878426, -99, 1336, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-12-09 00:00:00', 0, 6.0482845310000002, -99, 1289, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-12-10 00:00:00', 0, 7.1084904670000002, -99, 1026, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-12-11 00:00:00', 0.37999999499999998, 11.503379819999999, -99, 436, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-12-12 00:00:00', 0, 11.077635770000001, -99, 1386, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-12-13 00:00:00', 0, 8.4103584290000004, -99, 1415, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-12-14 00:00:00', 0, 5.3986473080000001, -99, 1231, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-12-15 00:00:00', 0, 5.8524994850000001, -99, 1346, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-12-16 00:00:00', 0, 6.2138228419999999, -99, 1339, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-12-17 00:00:00', 0, 5.7857365610000002, -99, 1343, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-12-18 00:00:00', 0, 5.607581615, -99, 1346, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-12-19 00:00:00', 0, 4.2155251500000004, -99, 1400, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-12-20 00:00:00', 0, 5.2750325199999999, -99, 1210, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-12-21 00:00:00', 0, 5.9332704539999996, -99, 878, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-12-22 00:00:00', 0, 5.3020033839999998, -99, 1422, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-12-23 00:00:00', 0, 5.1937780379999996, -99, 1289, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-12-24 00:00:00', 0, 5.3951220510000004, -99, 1332, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-12-25 00:00:00', 0, 4.5820927620000003, -99, 1372, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-12-26 00:00:00', 0, 5.955918789, -99, 1368, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-12-27 00:00:00', 0, 5.3244247439999999, -99, 1310, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-12-28 00:00:00', 0, 4.663541317, -99, 1152, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-12-29 00:00:00', 0, 7.3219971660000001, -99, 720, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-12-30 00:00:00', 0, 7.8853945730000001, -99, 896, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-12-31 00:00:00', 0, 7.4478707310000001, -99, 914, 'lud', 'lud_1987');
INSERT INTO public.cdy_cldat VALUES ('1988-01-01 00:00:00', 0, 8.2271614070000005, -99, 742, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-01-02 00:00:00', 0.02, 10.090531349999999, -99, 691, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-01-03 00:00:00', 0, 9.2816228869999993, -99, 1177, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-01-04 00:00:00', 0, 7.6648650170000003, -99, 641, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-01-05 00:00:00', 0.079999998000000003, 10.74679852, -99, 612, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-01-06 00:00:00', 0, 9.8540830610000008, -99, 1087, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-01-07 00:00:00', 0, 7.9790768620000003, -99, 1357, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-01-08 00:00:00', 0, 8.4664611819999998, -99, 1094, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-01-09 00:00:00', 0, 8.0887651439999999, -99, 1091, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-01-10 00:00:00', 0, 6.612729549, -99, 1188, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-01-11 00:00:00', 0.109999999, 10.57414818, -99, 306, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-01-12 00:00:00', 1.769999981, 12.271162029999999, -99, 1372, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-01-13 00:00:00', 0.050000001000000002, 8.7999086379999998, -99, 1339, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-01-14 00:00:00', 0, 6.0047574040000002, -99, 454, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-01-15 00:00:00', 0, 8.1540670389999992, -99, 1404, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-01-16 00:00:00', 0, 6.3341207500000003, -99, 1436, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-01-17 00:00:00', 0, 6.8997945789999999, -99, 1429, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-01-18 00:00:00', 0, 5.3598480220000004, -99, 1562, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-01-19 00:00:00', 0, 6.3587431910000003, -99, 1588, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-01-20 00:00:00', 0, 5.3626732830000003, -99, 1415, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-01-21 00:00:00', 0.99000001000000004, 9.0164051060000006, -99, 43, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-01-22 00:00:00', 0, 8.4326162339999993, -99, 1552, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-01-23 00:00:00', 0, 5.8477458950000001, -99, 1364, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-01-24 00:00:00', 0, 3.5959165099999999, -99, 1559, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-01-25 00:00:00', 0, 4.0754170419999998, -99, 1541, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-01-26 00:00:00', 0, 3.0999777320000002, -99, 1559, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-01-27 00:00:00', 0, 4.6926021579999997, -99, 1372, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-01-28 00:00:00', 0.23000000400000001, 9.2708339689999999, -99, 1469, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-01-29 00:00:00', 0, 7.1393532750000004, -99, 1642, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-01-30 00:00:00', 0, 5.987735271, -99, 1494, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-01-31 00:00:00', 0, 6.9915819170000004, -99, 1573, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-02-01 00:00:00', 0, 7.3110251430000002, -99, 1465, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-02-02 00:00:00', 0, 5.9083161349999997, -99, 1591, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-02-03 00:00:00', 0, 6.2222418790000003, -99, 1822, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-02-04 00:00:00', 0, 5.3109655379999996, -99, 1433, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-02-05 00:00:00', 0, 6.114718914, -99, 1807, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-02-06 00:00:00', 0, 7.8105711940000004, -99, 1843, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-02-07 00:00:00', 0, 8.4809112550000005, -99, 1696, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-02-08 00:00:00', 0, 11.676590920000001, -99, 1616, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-02-09 00:00:00', 0, 9.1106805800000004, -99, 1724, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-02-10 00:00:00', 0, 5.1342525480000001, -99, 1429, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-02-11 00:00:00', 4.8899998660000001, 7.7417244910000003, -99, 954, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-02-12 00:00:00', 0.810000002, 11.53499031, -99, 1494, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-02-13 00:00:00', 0.40999999599999998, 8.9691772459999992, -99, 1573, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-02-14 00:00:00', 2.420000076, 11.660012249999999, -99, 1480, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-02-15 00:00:00', 0, 11.82305717, -99, 1811, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-02-16 00:00:00', 0, 9.3786220549999992, -99, 1872, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-02-17 00:00:00', 0, 9.0853118899999998, -99, 1991, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-02-18 00:00:00', 0, 8.5994253159999996, -99, 1375, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-02-19 00:00:00', 0, 12.45645809, -99, 616, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-02-20 00:00:00', 1.9199999569999999, 11.1375761, -99, 1541, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-02-21 00:00:00', 0.44999998800000002, 11.903119090000001, -99, 1588, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-02-22 00:00:00', 0, 10.06592274, -99, 2106, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-02-23 00:00:00', 0, 8.1435623170000007, -99, 2002, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-02-24 00:00:00', 0, 6.4063816070000001, -99, 2131, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-02-25 00:00:00', 0, 6.703028679, -99, 1955, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-02-26 00:00:00', 0.02, 9.0261793140000002, -99, 2095, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-02-27 00:00:00', 4.420000076, 14.3220005, -99, 1336, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-02-28 00:00:00', 0, 13.17037487, -99, 2038, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-02-29 00:00:00', 0, 8.92269516, -99, 2023, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-03-01 00:00:00', 0, 9.7311935419999998, -99, 2135, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-03-02 00:00:00', 0, 8.6099720000000008, -99, 2034, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-03-03 00:00:00', 0, 10.017560960000001, -99, 2160, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-03-04 00:00:00', 0, 10.73546982, -99, 2106, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-03-05 00:00:00', 0, 10.636157989999999, -99, 2149, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-03-06 00:00:00', 0.02, 11.234530449999999, -99, 1868, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-03-07 00:00:00', 0.709999979, 15.85564709, -99, 133, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-03-08 00:00:00', 2.3099999430000002, 14.97598743, -99, 1368, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-03-09 00:00:00', 0, 12.708217619999999, -99, 1278, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-03-10 00:00:00', 6.6399998660000001, 15.702076910000001, -99, 209, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-03-11 00:00:00', 1.3300000430000001, 17.76567459, -99, 594, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-03-12 00:00:00', 0.01, 15.45437145, -99, 1537, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-03-13 00:00:00', 2.8099999430000002, 12.64525604, -99, 2293, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-03-14 00:00:00', 0, 9.8292875290000001, -99, 2182, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-03-15 00:00:00', 0.01, 11.0897398, -99, 1904, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-03-16 00:00:00', 0, 17.07829285, -99, 2056, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-03-17 00:00:00', 0, 14.60546875, -99, 2376, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-03-18 00:00:00', 0.280000001, 11.03365707, -99, 2254, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-03-19 00:00:00', 0, 11.376954080000001, -99, 2329, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-03-20 00:00:00', 0, 14.16782093, -99, 2563, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-03-21 00:00:00', 0, 11.360508919999999, -99, 2588, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-03-22 00:00:00', 0, 12.335662839999999, -99, 2567, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-03-23 00:00:00', 0, 12.412319180000001, -99, 2538, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-03-24 00:00:00', 0, 13.70658302, -99, 2488, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-03-25 00:00:00', 0.68000000699999996, 18.208990100000001, -99, 1800, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-03-26 00:00:00', 0, 18.37535286, -99, 1616, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-03-27 00:00:00', 0, 13.42819023, -99, 2524, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-03-28 00:00:00', 0, 12.35925102, -99, 1994, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-03-29 00:00:00', 0, 13.138990400000001, -99, 2588, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-03-30 00:00:00', 0, 13.96138668, -99, 2556, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-03-31 00:00:00', 0, 12.49737549, -99, 2509, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-04-01 00:00:00', 0, 13.867845539999999, -99, 2617, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-04-02 00:00:00', 0, 13.42547989, -99, 2012, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-04-03 00:00:00', 0, 15.114309309999999, -99, 2646, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-04-04 00:00:00', 0, 17.482667920000001, -99, 2531, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-04-05 00:00:00', 0, 16.957740780000002, -99, 2300, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-04-06 00:00:00', 0, 15.74562645, -99, 2430, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-04-07 00:00:00', 0, 16.212081909999998, -99, 2581, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-04-08 00:00:00', 0, 17.129961009999999, -99, 2128, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-04-09 00:00:00', 0, 19.331281659999998, -99, 1886, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-04-10 00:00:00', 0, 17.302696229999999, -99, 2596, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-04-11 00:00:00', 0, 18.865022660000001, -99, 2707, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-04-12 00:00:00', 0, 20.94372559, -99, 2617, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-04-13 00:00:00', 0, 22.117015840000001, -99, 2725, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-04-14 00:00:00', 0, 20.171331410000001, -99, 2837, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-04-15 00:00:00', 0, 17.43282318, -99, 2837, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-04-16 00:00:00', 0, 17.98147964, -99, 2790, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-04-17 00:00:00', 0.070000000000000007, 21.374103550000001, -99, 2891, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-04-18 00:00:00', 0.55000001200000004, 23.886894229999999, -99, 1548, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-04-19 00:00:00', 0.050000001000000002, 20.373683929999999, -99, 1962, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-04-20 00:00:00', 0, 18.105859760000001, -99, 2243, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-04-21 00:00:00', 0.090000003999999995, 19.284091950000001, -99, 2686, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-04-22 00:00:00', 0, 19.219545360000001, -99, 2660, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-04-23 00:00:00', 0, 20.499889369999998, -99, 2585, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-04-24 00:00:00', 0, 22.385198590000002, -99, 2102, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-04-25 00:00:00', 0, 19.970539089999999, -99, 2920, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-04-26 00:00:00', 0, 22.036712649999998, -99, 2711, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-04-27 00:00:00', 0.01, 23.140329359999999, -99, 2750, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-04-28 00:00:00', 0, 23.305940629999998, -99, 2916, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-04-29 00:00:00', 0, 24.697269439999999, -99, 2635, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-04-30 00:00:00', 0, 26.393064500000001, -99, 2704, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-05-01 00:00:00', 0.17000000200000001, 27.374135970000001, -99, 2117, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-05-02 00:00:00', 0, 24.511594769999999, -99, 2462, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-05-03 00:00:00', 0, 21.84500504, -99, 2653, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-05-04 00:00:00', 0, 22.948562620000001, -99, 2740, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-05-05 00:00:00', 0, 22.00681114, -99, 2981, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-05-06 00:00:00', 0, 23.56178856, -99, 2794, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-05-07 00:00:00', 0, 25.023204799999998, -99, 2765, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-05-08 00:00:00', 0, 26.33044434, -99, 2797, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-05-09 00:00:00', 0, 21.215494159999999, -99, 3110, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-05-10 00:00:00', 0, 20.179428099999999, -99, 3161, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-05-11 00:00:00', 0, 22.553283690000001, -99, 3013, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-05-12 00:00:00', 0, 21.27595329, -99, 3121, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-05-13 00:00:00', 0, 23.72096252, -99, 3038, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-05-14 00:00:00', 0, 23.428403849999999, -99, 2974, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-05-15 00:00:00', 0, 27.500938420000001, -99, 2920, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-05-16 00:00:00', 0, 25.609888080000001, -99, 3085, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-05-17 00:00:00', 0.219999999, 27.731037140000002, -99, 2214, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-05-18 00:00:00', 0.109999999, 22.720455170000001, -99, 2664, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-05-19 00:00:00', 0, 26.647251130000001, -99, 2387, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-05-20 00:00:00', 0, 20.3203125, -99, 3053, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-05-21 00:00:00', 0, 22.803201680000001, -99, 2279, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-05-22 00:00:00', 0, 24.159500120000001, -99, 2819, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-05-23 00:00:00', 0.219999999, 24.336448669999999, -99, 3121, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-05-24 00:00:00', 0, 28.063621520000002, -99, 2365, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-05-25 00:00:00', 0, 25.831434250000001, -99, 3100, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-05-26 00:00:00', 0, 25.612014769999998, -99, 3157, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-05-27 00:00:00', 0, 25.870994570000001, -99, 3139, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-05-28 00:00:00', 0, 28.285968780000001, -99, 2668, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-05-29 00:00:00', 0, 26.878948210000001, -99, 3136, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-05-30 00:00:00', 0, 26.70482063, -99, 3157, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-05-31 00:00:00', 0, 28.905868529999999, -99, 2714, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-06-01 00:00:00', 0, 29.254203799999999, -99, 2261, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-06-02 00:00:00', 0, 27.441467289999999, -99, 2873, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-06-03 00:00:00', 0, 28.99919701, -99, 3146, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-06-04 00:00:00', 5.6199998860000004, 27.977275850000002, -99, 2894, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-06-05 00:00:00', 0.28999999199999998, 23.40270233, -99, 2398, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-06-06 00:00:00', 0, 23.57584572, -99, 2732, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-06-07 00:00:00', 0, 25.891891480000002, -99, 2369, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-06-08 00:00:00', 0, 26.314386370000001, -99, 2624, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-06-09 00:00:00', 0, 27.467256549999998, -99, 2592, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-06-10 00:00:00', 0, 23.341087340000001, -99, 3179, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-06-11 00:00:00', 0, 25.883094790000001, -99, 3215, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-06-12 00:00:00', 0, 26.520330430000001, -99, 3150, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-06-13 00:00:00', 0, 28.83813095, -99, 2768, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-06-14 00:00:00', 0, 28.92066002, -99, 2632, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-06-15 00:00:00', 0.02, 27.81248665, -99, 2502, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-06-16 00:00:00', 0, 24.018169400000001, -99, 3136, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-06-17 00:00:00', 1.7599999900000001, 27.40660858, -99, 3042, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-06-18 00:00:00', 0.02, 23.251594539999999, -99, 2279, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-06-19 00:00:00', 5.5500001909999996, 26.05195045, -99, 2844, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-06-20 00:00:00', 0.75999998999999996, 27.39219284, -99, 2779, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-06-21 00:00:00', 4.9299998279999997, 28.44094849, -99, 1890, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-06-22 00:00:00', 5.0900001530000001, 27.902976989999999, -99, 1534, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-06-23 00:00:00', 0.18000000699999999, 26.004999160000001, -99, 2192, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-06-24 00:00:00', 1.0900000329999999, 27.278982160000002, -99, 2671, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-06-25 00:00:00', 0, 28.485982889999999, -99, 2704, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-06-26 00:00:00', 0, 29.82514381, -99, 2430, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-06-27 00:00:00', 0, 27.226293559999998, -99, 2452, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-06-28 00:00:00', 0, 29.862657550000002, -99, 2621, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-06-29 00:00:00', 0.050000001000000002, 27.90763664, -99, 2106, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-06-30 00:00:00', 1.539999962, 27.094406129999999, -99, 2682, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-07-01 00:00:00', 0, 28.198526380000001, -99, 2884, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-07-02 00:00:00', 1.1000000240000001, 28.15878296, -99, 2459, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-07-03 00:00:00', 1.6299999949999999, 26.399202349999999, -99, 1444, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-07-04 00:00:00', 0.31999999299999998, 27.088230129999999, -99, 1678, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-07-05 00:00:00', 0.23000000400000001, 29.785243990000001, -99, 1764, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-07-06 00:00:00', 18.850000380000001, 25.362808229999999, -99, 1004, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-07-07 00:00:00', 0.050000001000000002, 23.30817223, -99, 2102, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-07-08 00:00:00', 0, 26.074008939999999, -99, 2804, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-07-09 00:00:00', 0, 27.511556630000001, -99, 2894, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-07-10 00:00:00', 0, 28.58960342, -99, 2437, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-07-11 00:00:00', 0.090000003999999995, 27.34794617, -99, 1796, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-07-12 00:00:00', 2.289999962, 28.69399452, -99, 1861, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-07-13 00:00:00', 15.43999958, 24.760433200000001, -99, 878, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-07-14 00:00:00', 2.1400001049999999, 26.376310350000001, -99, 1339, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-07-15 00:00:00', 13.06999969, 26.47615433, -99, 738, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-07-16 00:00:00', 10.56999969, 26.668869019999999, -99, 871, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-07-17 00:00:00', 7.2100000380000004, 26.54121971, -99, 2246, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-07-18 00:00:00', 0.36000001399999998, 27.608869550000001, -99, 1656, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-07-19 00:00:00', 0, 27.859334950000001, -99, 2912, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-07-20 00:00:00', 3.119999886, 26.976234439999999, -99, 2549, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-07-21 00:00:00', 2.75, 27.384807590000001, -99, 2005, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-07-22 00:00:00', 1.1699999569999999, 26.48204994, -99, 338, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-07-23 00:00:00', 42.08000183, 27.01174164, -99, 846, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-07-24 00:00:00', 3.0199999809999998, 24.344600679999999, -99, 1328, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-07-25 00:00:00', 0.02, 26.271308900000001, -99, 2732, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-07-26 00:00:00', 0, 27.522487640000001, -99, 2902, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-07-27 00:00:00', 4.8400001530000001, 27.375427250000001, -99, 2012, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-07-28 00:00:00', 1.6799999480000001, 28.312171939999999, -99, 1980, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-07-29 00:00:00', 0, 27.760066989999999, -99, 2146, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-07-30 00:00:00', 2.9400000569999998, 27.285020830000001, -99, 1692, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-07-31 00:00:00', 47.770000459999999, 26.329559329999999, -99, 554, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-08-01 00:00:00', 15.85999966, 25.026784899999999, -99, 1030, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-08-02 00:00:00', 11.619999890000001, 25.07762718, -99, 1879, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-08-03 00:00:00', 0, 24.71072388, -99, 2113, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-08-04 00:00:00', 2.869999886, 26.745264049999999, -99, 2732, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-08-05 00:00:00', 0, 26.067119600000002, -99, 2405, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-08-06 00:00:00', 0, 27.484882349999999, -99, 2768, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-08-07 00:00:00', 6.2800002099999999, 26.714048389999999, -99, 2516, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-08-08 00:00:00', 69.190002440000001, 27.06012917, -99, 1469, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-08-09 00:00:00', 6.4800000190000002, 25.3662262, -99, 2462, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-08-10 00:00:00', 13.329999920000001, 26.70305252, -99, 1955, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-08-11 00:00:00', 2.0999999049999998, 25.89055634, -99, 1994, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-08-12 00:00:00', 1, 25.04634476, -99, 1868, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-08-13 00:00:00', 4.579999924, 27.545063020000001, -99, 1858, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-08-14 00:00:00', 7.7899999619999996, 27.401729580000001, -99, 1660, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-08-15 00:00:00', 0, 24.929834369999998, -99, 1912, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-08-16 00:00:00', 3.7599999899999998, 26.87204552, -99, 2059, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-08-17 00:00:00', 7.0399999619999996, 27.178800580000001, -99, 1814, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-08-18 00:00:00', 6.8600001339999999, 26.136825559999998, -99, 2336, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-08-19 00:00:00', 21.540000920000001, 27.029054639999998, -99, 1235, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-08-20 00:00:00', 0.079999998000000003, 25.078203200000001, -99, 1940, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-08-21 00:00:00', 0.01, 26.13200951, -99, 2257, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-08-22 00:00:00', 4.5900001530000001, 26.036563869999998, -99, 1984, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-08-23 00:00:00', 1.3400000329999999, 25.426054000000001, -99, 1573, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-08-24 00:00:00', 0, 23.38288116, -99, 2102, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-08-25 00:00:00', 2.5199999809999998, 25.371175770000001, -99, 1447, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-08-26 00:00:00', 1.960000038, 24.09100342, -99, 1436, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-08-27 00:00:00', 0, 24.916435239999998, -99, 2254, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-08-28 00:00:00', 0, 25.069154739999998, -99, 2671, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-08-29 00:00:00', 0.280000001, 23.600131990000001, -99, 2736, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-08-30 00:00:00', 0, 21.159990310000001, -99, 2480, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-08-31 00:00:00', 0, 23.946763990000001, -99, 2578, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-09-01 00:00:00', 0, 24.367603299999999, -99, 2660, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-09-02 00:00:00', 0, 24.63510132, -99, 2628, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-09-03 00:00:00', 0, 25.480587010000001, -99, 2617, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-09-04 00:00:00', 0, 26.020032879999999, -99, 2603, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-09-05 00:00:00', 0, 26.28112411, -99, 2617, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-09-06 00:00:00', 0, 26.33767319, -99, 2552, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-09-07 00:00:00', 0, 26.35314941, -99, 2552, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-09-08 00:00:00', 0, 24.891851429999999, -99, 2563, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-09-09 00:00:00', 13.80000019, 23.677078250000001, -99, 763, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-09-10 00:00:00', 3.420000076, 22.099874499999999, -99, 2131, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-09-11 00:00:00', 0, 22.13882065, -99, 2340, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-09-12 00:00:00', 0, 23.84075546, -99, 2401, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-09-13 00:00:00', 0, 24.77561378, -99, 2434, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-09-14 00:00:00', 0, 25.140743260000001, -99, 2444, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-09-15 00:00:00', 0, 25.21842384, -99, 2365, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-09-16 00:00:00', 16.190000529999999, 22.63251305, -99, 842, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-09-17 00:00:00', 0, 22.168087010000001, -99, 2257, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-09-18 00:00:00', 0, 22.731853489999999, -99, 2300, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-09-19 00:00:00', 0, 23.159498209999999, -99, 2236, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-09-20 00:00:00', 0, 25.313144680000001, -99, 2329, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-09-21 00:00:00', 0.079999998000000003, 23.365915300000001, -99, 2074, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-09-22 00:00:00', 3.4700000289999999, 22.304000850000001, -99, 2092, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-09-23 00:00:00', 117.48999790000001, 21.953792570000001, -99, 1188, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-09-24 00:00:00', 203.3999939, 22.81852722, -99, 587, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-09-25 00:00:00', 2.5499999519999998, 23.345771790000001, -99, 385, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-09-26 00:00:00', 25.260000229999999, 23.908473969999999, -99, 785, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-09-27 00:00:00', 0, 22.256509779999998, -99, 2056, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-09-28 00:00:00', 0, 24.314203259999999, -99, 2200, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-09-29 00:00:00', 0, 22.022796629999998, -99, 2239, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-09-30 00:00:00', 0, 21.791942599999999, -99, 2210, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-10-01 00:00:00', 0.33000001299999998, 22.2054863, -99, 2228, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-10-02 00:00:00', 0, 20.55083466, -99, 2250, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-10-03 00:00:00', 0, 21.192235950000001, -99, 2264, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-10-04 00:00:00', 0, 21.50333023, -99, 1120, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-10-05 00:00:00', 0, 18.564033510000002, -99, 2210, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-10-06 00:00:00', 0, 14.41079044, -99, 2088, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-10-07 00:00:00', 0, 15.603806499999999, -99, 2189, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-10-08 00:00:00', 0, 17.231729510000001, -99, 1919, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-10-09 00:00:00', 0.23999999499999999, 17.76703453, -99, 1454, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-10-10 00:00:00', 0, 16.480430599999998, -99, 2160, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-10-11 00:00:00', 0, 16.781831740000001, -99, 2124, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-10-12 00:00:00', 0, 16.42937088, -99, 1915, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-10-13 00:00:00', 0, 17.464038850000001, -99, 2077, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-10-14 00:00:00', 0, 16.808097839999999, -99, 2063, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-10-15 00:00:00', 0, 16.02765656, -99, 2059, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-10-16 00:00:00', 0, 15.496262550000001, -99, 2059, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-10-17 00:00:00', 0, 15.547206879999999, -99, 1958, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-10-18 00:00:00', 0, 17.579263690000001, -99, 1613, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-10-19 00:00:00', 0, 18.239110950000001, -99, 1894, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-10-20 00:00:00', 0, 17.783363340000001, -99, 1894, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-10-21 00:00:00', 0, 15.332845689999999, -99, 1944, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-10-22 00:00:00', 0, 15.98150158, -99, 1904, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-10-23 00:00:00', 0, 16.041221620000002, -99, 1879, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-10-24 00:00:00', 0, 16.984817499999998, -99, 1861, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-10-25 00:00:00', 0, 16.685018540000002, -99, 1829, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-10-26 00:00:00', 0, 16.266283040000001, -99, 1850, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-10-27 00:00:00', 0, 16.108224870000001, -99, 1840, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-10-28 00:00:00', 0, 15.86168003, -99, 1775, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-10-29 00:00:00', 0, 15.58885098, -99, 1735, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-10-30 00:00:00', 0, 15.130464549999999, -99, 1760, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-10-31 00:00:00', 0, 15.930957790000001, -99, 1753, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-11-01 00:00:00', 0, 13.75169659, -99, 1818, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-11-02 00:00:00', 0, 14.11746883, -99, 1804, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-11-03 00:00:00', 0, 14.05023956, -99, 1782, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-11-04 00:00:00', 0, 13.97881317, -99, 1764, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-11-05 00:00:00', 0, 13.252314569999999, -99, 1782, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-11-06 00:00:00', 0, 13.05627441, -99, 1757, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-11-07 00:00:00', 0, 13.132398609999999, -99, 1739, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-11-08 00:00:00', 0, 12.801856989999999, -99, 1699, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-11-09 00:00:00', 0, 13.81175423, -99, 1714, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-11-10 00:00:00', 0, 12.875508310000001, -99, 1717, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-11-11 00:00:00', 0, 12.271553989999999, -99, 1681, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-11-12 00:00:00', 0, 12.646308899999999, -99, 1674, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-11-13 00:00:00', 0, 12.22262383, -99, 1674, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-11-14 00:00:00', 0, 11.89424515, -99, 1649, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-11-15 00:00:00', 0, 11.51893997, -99, 1487, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-11-16 00:00:00', 0, 12.50025082, -99, 1372, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-11-17 00:00:00', 0, 11.891314510000001, -99, 1620, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-11-18 00:00:00', 0, 11.02284145, -99, 1566, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-11-19 00:00:00', 0, 11.887290950000001, -99, 1573, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-11-20 00:00:00', 0, 9.0195837020000003, -99, 1426, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-11-21 00:00:00', 0, 8.8780574800000007, -99, 1451, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-11-22 00:00:00', 0, 9.0489835739999993, -99, 1512, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-11-23 00:00:00', 0.01, 10.73977947, -99, 925, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-11-24 00:00:00', 0, 10.649179459999999, -99, 1393, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-11-25 00:00:00', 0.01, 10.60939503, -99, 1008, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-11-26 00:00:00', 0, 7.7567443850000002, -99, 1498, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-11-27 00:00:00', 0, 6.9031586650000003, -99, 1472, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-11-28 00:00:00', 0, 6.5531888010000001, -99, 1426, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-11-29 00:00:00', 0, 7.1179447170000003, -99, 1447, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-11-30 00:00:00', 0, 7.6745800969999998, -99, 1447, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-12-01 00:00:00', 0, 5.4170203209999999, -99, 1433, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-12-02 00:00:00', 0, 5.9228930469999996, -99, 1404, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-12-03 00:00:00', 0, 5.244520187, -99, 1436, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-12-04 00:00:00', 0, 5.7965383529999999, -99, 1195, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-12-05 00:00:00', 0, 6.2301197049999999, -99, 1372, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-12-06 00:00:00', 0, 6.0511646270000004, -99, 1289, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-12-07 00:00:00', 0, 5.2806272510000003, -99, 1447, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-12-08 00:00:00', 0, 5.4330987930000001, -99, 1400, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-12-09 00:00:00', 0, 6.9438152310000003, -99, 1397, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-12-10 00:00:00', 0, 6.5139155390000001, -99, 1368, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-12-11 00:00:00', 0, 6.1448874470000003, -99, 1400, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-12-12 00:00:00', 0, 6.4961271289999996, -99, 1408, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-12-13 00:00:00', 0, 6.1383652690000003, -99, 1267, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-12-14 00:00:00', 0, 6.4048042299999999, -99, 1130, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-12-15 00:00:00', 0, 7.8462305069999996, -99, 1336, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-12-16 00:00:00', 0, 8.7393255229999998, -99, 1019, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-12-17 00:00:00', 0, 10.325746540000001, -99, 875, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-12-18 00:00:00', 0.62000000499999997, 11.075634000000001, -99, 781, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-12-19 00:00:00', 7.3400001530000001, 10.84929466, -99, 256, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-12-20 00:00:00', 0.10000000100000001, 12.72376251, -99, 889, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-12-21 00:00:00', 0, 9.5720624920000006, -99, 1123, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-12-22 00:00:00', 28.739999770000001, 12.487381940000001, -99, 353, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-12-23 00:00:00', 0, 10.51905155, -99, 1336, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-12-24 00:00:00', 4.0100002290000001, 10.194479940000001, -99, 1195, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-12-25 00:00:00', 0.5, 10.45476246, -99, 1156, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-12-26 00:00:00', 0, 6.7339391710000003, -99, 1336, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-12-27 00:00:00', 0, 8.1172351840000001, -99, 1004, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-12-28 00:00:00', 0, 6.9479670520000001, -99, 1386, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-12-29 00:00:00', 0, 6.3962135309999999, -99, 1339, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-12-30 00:00:00', 0, 6.2110543250000001, -99, 1346, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-12-31 00:00:00', 0, 7.5096507069999996, -99, 1354, 'lud', 'lud_1988');
INSERT INTO public.cdy_cldat VALUES ('1989-01-01 00:00:00', 2.0299999710000001, 9.2005119319999995, -99, 839, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-01-02 00:00:00', 1.440000057, 13.361021040000001, -99, 760, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-01-03 00:00:00', 0, 9.5102539060000009, -99, 1195, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-01-04 00:00:00', 0.52999997099999996, 9.7284870150000007, -99, 436, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-01-05 00:00:00', 13.56999969, 12.19073296, -99, 299, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-01-06 00:00:00', 2.0199999809999998, 11.715350150000001, -99, 392, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-01-07 00:00:00', 5.8499999049999998, 11.422575950000001, -99, 515, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-01-08 00:00:00', 0, 8.2514572140000002, -99, 1073, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-01-09 00:00:00', 0, 6.2190070149999999, -99, 1343, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-01-10 00:00:00', 0, 4.6881546969999999, -99, 1512, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-01-11 00:00:00', 0, 3.0149390700000001, -99, 1548, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-01-12 00:00:00', 0, 1.8237025739999999, -99, 1559, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-01-13 00:00:00', 0, 3.084989786, -99, 1246, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-01-14 00:00:00', 0, 2.6366879939999999, -99, 1548, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-01-15 00:00:00', 0, 2.8278703690000002, -99, 1537, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-01-16 00:00:00', 0, 4.9968929290000004, -99, 1292, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-01-17 00:00:00', 0, 5.2985496520000002, -99, 1588, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-01-18 00:00:00', 0, 2.554060459, -99, 1595, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-01-19 00:00:00', 0, 2.4769175049999999, -99, 1476, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-01-20 00:00:00', 0, 4.7071814539999997, -99, 1591, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-01-21 00:00:00', 0, 4.599139214, -99, 1627, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-01-22 00:00:00', 0, 2.5406622890000001, -99, 1638, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-01-23 00:00:00', 0, 3.8751993179999999, -99, 1652, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-01-24 00:00:00', 0, 2.2955906389999998, -99, 1649, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-01-25 00:00:00', 0, 3.013487816, -99, 1652, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-01-26 00:00:00', 0, 4.3095836639999998, -99, 1620, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-01-27 00:00:00', 0, 4.9351716039999998, -99, 1591, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-01-28 00:00:00', 0, 5.5685605999999996, -99, 1631, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-01-29 00:00:00', 0, 5.9806408879999999, -99, 979, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-01-30 00:00:00', 0, 7.1886858939999998, -99, 767, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-01-31 00:00:00', 0, 8.7896575929999994, -99, 1296, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-02-01 00:00:00', 0, 7.3521361350000003, -99, 1177, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-02-02 00:00:00', 0, 7.9642572400000002, -99, 1235, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-02-03 00:00:00', 0, 8.1590518949999993, -99, 673, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-02-04 00:00:00', 0.18000000699999999, 8.4196825030000007, -99, 1537, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-02-05 00:00:00', 0.029999998999999999, 11.996457100000001, -99, 911, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-02-06 00:00:00', 0, 6.4338707919999996, -99, 1703, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-02-07 00:00:00', 0, 4.5876140589999999, -99, 1796, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-02-08 00:00:00', 0, 3.6027948859999999, -99, 1861, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-02-09 00:00:00', 0, 4.0569586749999997, -99, 1930, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-02-10 00:00:00', 0, 3.4636924269999998, -99, 1890, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-02-11 00:00:00', 0, 3.548546553, -99, 1930, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-02-12 00:00:00', 0, 4.2793617250000002, -99, 1476, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-02-13 00:00:00', 0, 10.604087829999999, -99, 1706, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-02-14 00:00:00', 0, 8.5738525390000007, -99, 1746, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-02-15 00:00:00', 0, 6.2211751939999997, -99, 1915, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-02-16 00:00:00', 0.689999998, 7.9956207279999996, -99, 1105, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-02-17 00:00:00', 0, 7.1402516370000004, -99, 1451, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-02-18 00:00:00', 0, 5.2595844270000001, -99, 1919, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-02-19 00:00:00', 0, 4.4278683660000002, -99, 2012, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-02-20 00:00:00', 0, 7.5674605369999997, -99, 2048, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-02-21 00:00:00', 0, 7.117717743, -99, 1969, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-02-22 00:00:00', 0, 7.5190730090000004, -99, 2135, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-02-23 00:00:00', 0, 5.4229550360000003, -99, 1739, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-02-24 00:00:00', 0, 8.6134500500000009, -99, 990, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-02-25 00:00:00', 0, 10.491948130000001, -99, 2110, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-02-26 00:00:00', 0, 13.51300526, -99, 1753, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-02-27 00:00:00', 0, 16.048759459999999, -99, 2113, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-02-28 00:00:00', 0, 9.3434047699999994, -99, 2210, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-03-01 00:00:00', 0, 7.6565427780000004, -99, 2128, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-03-02 00:00:00', 0, 6.8938117029999999, -99, 2200, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-03-03 00:00:00', 0, 8.7943563460000007, -99, 2254, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-03-04 00:00:00', 0, 7.7265481950000003, -99, 2232, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-03-05 00:00:00', 0, 9.2910737989999994, -99, 2239, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-03-06 00:00:00', 0, 10.977098460000001, -99, 2300, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-03-07 00:00:00', 0, 13.005844120000001, -99, 2297, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-03-08 00:00:00', 0, 11.57152557, -99, 1958, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-03-09 00:00:00', 0, 11.74875259, -99, 1184, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-03-10 00:00:00', 0, 15.149915699999999, -99, 1627, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-03-11 00:00:00', 0, 11.896824840000001, -99, 2308, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-03-12 00:00:00', 0, 10.08584785, -99, 1955, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-03-13 00:00:00', 0.63999998599999997, 11.43107796, -99, 1487, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-03-14 00:00:00', 0.44999998800000002, 15.50713348, -99, 1490, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-03-15 00:00:00', 0, 11.122759820000001, -99, 2318, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-03-16 00:00:00', 0, 12.95344734, -99, 2246, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-03-17 00:00:00', 0.090000003999999995, 13.44270802, -99, 1397, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-03-18 00:00:00', 0, 15.25006962, -99, 2376, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-03-19 00:00:00', 0.090000003999999995, 15.16991425, -99, 1030, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-03-20 00:00:00', 0, 14.48001766, -99, 1746, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-03-21 00:00:00', 0.47999998900000002, 16.439664839999999, -99, 954, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-03-22 00:00:00', 1.2599999900000001, 16.15904617, -99, 1260, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-03-23 00:00:00', 0, 14.163692470000001, -99, 2473, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-03-24 00:00:00', 0, 15.465885159999999, -99, 2405, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-03-25 00:00:00', 0, 12.693202019999999, -99, 2484, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-03-26 00:00:00', 0.27000001099999998, 15.79591465, -99, 1584, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-03-27 00:00:00', 4.9800000190000002, 16.466514589999999, -99, 918, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-03-28 00:00:00', 0, 12.295347209999999, -99, 1937, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-03-29 00:00:00', 0, 12.25794601, -99, 1940, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-03-30 00:00:00', 0.029999998999999999, 15.88885689, -99, 842, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-03-31 00:00:00', 0.02, 16.216024399999998, -99, 1678, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-04-01 00:00:00', 0, 18.242578510000001, -99, 2531, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-04-02 00:00:00', 0, 10.872733119999999, -99, 2671, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-04-03 00:00:00', 0, 10.581183429999999, -99, 2682, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-04-04 00:00:00', 0.10000000100000001, 12.126109120000001, -99, 2578, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-04-05 00:00:00', 0.029999998999999999, 11.316667560000001, -99, 2754, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-04-06 00:00:00', 0, 11.706892010000001, -99, 2765, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-04-07 00:00:00', 0, 12.899673460000001, -99, 2790, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-04-08 00:00:00', 0, 16.055585860000001, -99, 2459, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-04-09 00:00:00', 1.0099999900000001, 18.93904114, -99, 1102, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-04-10 00:00:00', 0.02, 14.4002037, -99, 2747, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-04-11 00:00:00', 0, 13.95705605, -99, 2848, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-04-12 00:00:00', 0, 14.481536869999999, -99, 2700, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-04-13 00:00:00', 0, 14.71137714, -99, 2920, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-04-14 00:00:00', 0, 14.06245232, -99, 2124, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-04-15 00:00:00', 0, 16.43580055, -99, 2765, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-04-16 00:00:00', 0, 17.901739119999998, -99, 2563, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-04-17 00:00:00', 0, 17.335195540000001, -99, 2538, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-04-18 00:00:00', 0, 16.629634859999999, -99, 2894, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-04-19 00:00:00', 0, 17.254673, -99, 2923, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-04-20 00:00:00', 0, 17.221998209999999, -99, 2855, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-04-21 00:00:00', 0, 16.347454070000001, -99, 2599, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-04-22 00:00:00', 0, 17.318826680000001, -99, 2761, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-04-23 00:00:00', 0.02, 21.29270554, -99, 1573, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-04-24 00:00:00', 0.46000000800000002, 23.62030983, -99, 1631, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-04-25 00:00:00', 0.070000000000000007, 20.383729930000001, -99, 2218, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-04-26 00:00:00', 0, 20.96801949, -99, 2815, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-04-27 00:00:00', 0.029999998999999999, 18.212268829999999, -99, 2977, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-04-28 00:00:00', 0, 18.787479399999999, -99, 2992, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-04-29 00:00:00', 0, 18.056497570000001, -99, 2743, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-04-30 00:00:00', 0.20000000300000001, 17.890350340000001, -99, 994, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-05-01 00:00:00', 0, 18.775176999999999, -99, 2192, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-05-02 00:00:00', 0, 23.78653336, -99, 1721, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-05-03 00:00:00', 0, 22.326261519999999, -99, 1444, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-05-04 00:00:00', 0, 21.57560921, -99, 3071, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-05-05 00:00:00', 0, 19.284542080000001, -99, 3035, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-05-06 00:00:00', 0, 17.540105820000001, -99, 3110, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-05-07 00:00:00', 0, 16.771440510000001, -99, 3154, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-05-08 00:00:00', 0, 17.39994621, -99, 2923, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-05-09 00:00:00', 0, 19.173490520000001, -99, 2297, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-05-10 00:00:00', 0, 21.15493584, -99, 2527, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-05-11 00:00:00', 0, 23.586675639999999, -99, 2358, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-05-12 00:00:00', 0, 22.39208794, -99, 2765, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-05-13 00:00:00', 0, 22.15154076, -99, 2902, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-05-14 00:00:00', 0, 19.926162720000001, -99, 3154, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-05-15 00:00:00', 0, 21.720045089999999, -99, 3110, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-05-16 00:00:00', 0, 23.361656190000001, -99, 2714, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-05-17 00:00:00', 0, 27.18175316, -99, 2344, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-05-18 00:00:00', 0, 27.574787140000002, -99, 2549, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-05-19 00:00:00', 0, 24.95083618, -99, 3161, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-05-20 00:00:00', 0, 21.722435000000001, -99, 3150, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-05-21 00:00:00', 0, 21.03778076, -99, 3175, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-05-22 00:00:00', 0, 23.95281219, -99, 3060, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-05-23 00:00:00', 0, 25.264003750000001, -99, 2128, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-05-24 00:00:00', 0, 27.790645600000001, -99, 2185, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-05-25 00:00:00', 0, 22.63382721, -99, 2758, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-05-26 00:00:00', 0, 22.144851679999999, -99, 3193, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-05-27 00:00:00', 0, 20.347808839999999, -99, 2930, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-05-28 00:00:00', 0, 21.661056519999999, -99, 3204, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-05-29 00:00:00', 0, 23.672531129999999, -99, 3035, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-05-30 00:00:00', 0, 27.967882159999998, -99, 2455, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-05-31 00:00:00', 0, 21.744304660000001, -99, 2416, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-06-01 00:00:00', 0, 24.881351469999998, -99, 2441, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-06-02 00:00:00', 0, 27.226833339999999, -99, 2606, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-06-03 00:00:00', 0, 28.973985670000001, -99, 2462, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-06-04 00:00:00', 12.75, 27.944585799999999, -99, 2794, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-06-05 00:00:00', 0, 22.271217350000001, -99, 2380, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-06-06 00:00:00', 6.6199998860000004, 27.76605034, -99, 2092, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-06-07 00:00:00', 0.280000001, 21.319675449999998, -99, 2927, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-06-08 00:00:00', 0, 25.390541079999998, -99, 3110, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-06-09 00:00:00', 0, 26.03515625, -99, 2516, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-06-10 00:00:00', 5.420000076, 27.773511890000002, -99, 2268, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-06-11 00:00:00', 0, 25.00841904, -99, 2977, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-06-12 00:00:00', 0, 25.190620419999998, -99, 3092, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-06-13 00:00:00', 0.560000002, 26.050874709999999, -99, 3103, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-06-14 00:00:00', 1.1200000050000001, 25.38868523, -99, 1926, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-06-15 00:00:00', 2.289999962, 22.16732979, -99, 2210, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-06-16 00:00:00', 2.4900000100000002, 24.016763690000001, -99, 2149, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-06-17 00:00:00', 1.9500000479999999, 23.12786865, -99, 3049, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-06-18 00:00:00', 1.1100000139999999, 22.464065550000001, -99, 2488, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-06-19 00:00:00', 0, 23.28491211, -99, 3028, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-06-20 00:00:00', 0, 25.064010620000001, -99, 2678, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-06-21 00:00:00', 0, 25.01848412, -99, 3060, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-06-22 00:00:00', 0, 25.943256380000001, -99, 3139, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-06-23 00:00:00', 0, 26.771854399999999, -99, 2682, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-06-24 00:00:00', 0, 26.801404949999998, -99, 3172, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-06-25 00:00:00', 0, 27.084451680000001, -99, 3060, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-06-26 00:00:00', 0, 28.616102219999998, -99, 2718, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-06-27 00:00:00', 0, 29.477756500000002, -99, 2534, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-06-28 00:00:00', 0, 27.581987380000001, -99, 2779, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-06-29 00:00:00', 0, 27.77211952, -99, 2228, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-06-30 00:00:00', 1.2999999520000001, 27.338729860000001, -99, 2862, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-07-01 00:00:00', 5.8499999049999998, 26.32995987, -99, 2106, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-07-02 00:00:00', 0.079999998000000003, 24.234481809999998, -99, 1901, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-07-03 00:00:00', 0, 24.8807373, -99, 2772, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-07-04 00:00:00', 0, 24.685527799999999, -99, 1534, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-07-05 00:00:00', 0, 25.33782768, -99, 2480, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-07-06 00:00:00', 0, 26.394153589999998, -99, 3056, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-07-07 00:00:00', 0, 26.085662840000001, -99, 2934, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-07-08 00:00:00', 0, 27.74221992, -99, 2858, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-07-09 00:00:00', 0.219999999, 29.140808109999998, -99, 2632, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-07-10 00:00:00', 1.3200000519999999, 28.705383300000001, -99, 2149, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-07-11 00:00:00', 0, 30.474393840000001, -99, 2120, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-07-12 00:00:00', 1.9900000099999999, 31.67768478, -99, 2124, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-07-13 00:00:00', 7.1500000950000002, 26.04125595, -99, 932, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-07-14 00:00:00', 4.4600000380000004, 23.886272429999998, -99, 2059, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-07-15 00:00:00', 0.219999999, 25.42061996, -99, 2214, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-07-16 00:00:00', 0, 25.78932571, -99, 2826, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-07-17 00:00:00', 0.01, 27.18626785, -99, 2912, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-07-18 00:00:00', 0, 28.029186249999999, -99, 2822, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-07-19 00:00:00', 0, 28.894149779999999, -99, 2945, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-07-20 00:00:00', 0, 29.320646289999999, -99, 2221, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-07-21 00:00:00', 21.149999619999999, 26.324836730000001, -99, 1512, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-07-22 00:00:00', 7.0199999809999998, 25.55466461, -99, 1084, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-07-23 00:00:00', 1.1699999569999999, 27.250923159999999, -99, 1274, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-07-24 00:00:00', 0.02, 27.36566925, -99, 2632, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-07-25 00:00:00', 0, 28.083791730000002, -99, 2938, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-07-26 00:00:00', 0, 27.630544660000002, -99, 2700, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-07-27 00:00:00', 0.079999998000000003, 28.736303329999998, -99, 2412, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-07-28 00:00:00', 2.130000114, 27.328187939999999, -99, 1796, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-07-29 00:00:00', 14.829999920000001, 26.513423920000001, -99, 1750, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-07-30 00:00:00', 1.440000057, 24.927629469999999, -99, 738, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-07-31 00:00:00', 0, 24.941326140000001, -99, 1386, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-08-01 00:00:00', 12.649999619999999, 26.51532173, -99, 680, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-08-02 00:00:00', 0.25999999000000001, 25.12712097, -99, 1210, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-08-03 00:00:00', 0, 24.975994109999998, -99, 2408, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-08-04 00:00:00', 0, 25.130779270000001, -99, 2923, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-08-05 00:00:00', 0, 24.209032059999998, -99, 2869, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-08-06 00:00:00', 0, 25.798797610000001, -99, 2812, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-08-07 00:00:00', 0, 24.066707610000002, -99, 2862, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-08-08 00:00:00', 0, 26.707849499999998, -99, 2736, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-08-09 00:00:00', 2.6900000569999998, 25.970262529999999, -99, 1480, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-08-10 00:00:00', 0, 25.83057213, -99, 2779, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-08-11 00:00:00', 0.039999999000000001, 27.035949710000001, -99, 1717, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-08-12 00:00:00', 0, 25.415584559999999, -99, 2106, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-08-13 00:00:00', 0.439999998, 25.967111589999998, -99, 1649, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-08-14 00:00:00', 2.420000076, 26.02006531, -99, 2066, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-08-15 00:00:00', 0.189999998, 25.43771362, -99, 2333, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-08-16 00:00:00', 5.6199998860000004, 26.974796300000001, -99, 346, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-08-17 00:00:00', 4.2699999809999998, 25.692970280000001, -99, 1652, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-08-18 00:00:00', 1.0499999520000001, 26.232938770000001, -99, 2336, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-08-19 00:00:00', 0.37000000500000002, 26.288429260000001, -99, 1850, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-08-20 00:00:00', 0.37999999499999998, 26.58856583, -99, 958, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-08-21 00:00:00', 0, 26.94317818, -99, 2030, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-08-22 00:00:00', 4.2899999619999996, 26.017704009999999, -99, 850, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-08-23 00:00:00', 2.2300000190000002, 24.518054960000001, -99, 1584, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-08-24 00:00:00', 0.059999998999999998, 27.01471901, -99, 2117, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-08-25 00:00:00', 0.219999999, 26.253835680000002, -99, 2095, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-08-26 00:00:00', 0.15000000599999999, 26.984304430000002, -99, 2473, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-08-27 00:00:00', 24.079999919999999, 23.724258420000002, -99, 1094, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-08-28 00:00:00', 1.6000000240000001, 22.573650359999998, -99, 1782, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-08-29 00:00:00', 0, 22.762731550000002, -99, 2081, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-08-30 00:00:00', 0, 23.051889419999998, -99, 2632, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-08-31 00:00:00', 0.090000003999999995, 24.509418490000002, -99, 2678, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-09-01 00:00:00', 0.17000000200000001, 23.713142399999999, -99, 2293, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-09-02 00:00:00', 10.56000042, 23.793977739999999, -99, 2275, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-09-03 00:00:00', 0.38999998600000002, 23.258071900000001, -99, 2491, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-09-04 00:00:00', 0, 24.24604034, -99, 2498, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-09-05 00:00:00', 0, 24.69380379, -99, 2614, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-09-06 00:00:00', 0, 24.41943169, -99, 2520, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-09-07 00:00:00', 0, 26.88833618, -99, 2383, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-09-08 00:00:00', 0, 25.24806976, -99, 2452, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-09-09 00:00:00', 0, 24.723985670000001, -99, 2488, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-09-10 00:00:00', 0, 24.09319305, -99, 2502, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-09-11 00:00:00', 0, 24.175857539999999, -99, 2437, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-09-12 00:00:00', 0, 22.966341020000002, -99, 2354, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-09-13 00:00:00', 0, 23.88567162, -99, 2484, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-09-14 00:00:00', 0, 23.401557919999998, -99, 2444, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-09-15 00:00:00', 0, 23.217046740000001, -99, 2232, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-09-16 00:00:00', 0, 23.06056976, -99, 2102, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-09-17 00:00:00', 0, 23.701128010000001, -99, 2243, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-09-18 00:00:00', 0.64999997600000003, 26.19297409, -99, 2279, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-09-19 00:00:00', 1.0800000430000001, 25.187639239999999, -99, 893, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-09-20 00:00:00', 0, 25.749618529999999, -99, 1202, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-09-21 00:00:00', 0, 24.331077579999999, -99, 2110, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-09-22 00:00:00', 0, 24.245122909999999, -99, 2340, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-09-23 00:00:00', 1.039999962, 23.6941433, -99, 2160, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-09-24 00:00:00', 0.46000000800000002, 22.490325930000001, -99, 1631, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-09-25 00:00:00', 0, 20.76131058, -99, 2326, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-09-26 00:00:00', 0, 20.858190539999999, -99, 2318, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-09-27 00:00:00', 0, 20.93621826, -99, 2272, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-09-28 00:00:00', 0, 21.208604810000001, -99, 2246, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-09-29 00:00:00', 0, 19.391845700000001, -99, 2336, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-09-30 00:00:00', 0, 18.548931119999999, -99, 2311, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-10-01 00:00:00', 0, 20.14073372, -99, 2318, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-10-02 00:00:00', 0, 19.069181440000001, -99, 2275, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-10-03 00:00:00', 0, 19.51377106, -99, 2232, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-10-04 00:00:00', 0, 18.820537569999999, -99, 2203, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-10-05 00:00:00', 0, 20.49837685, -99, 2228, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-10-06 00:00:00', 0, 20.065692899999998, -99, 2131, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-10-07 00:00:00', 0, 19.49593544, -99, 2135, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-10-08 00:00:00', 0, 20.42470741, -99, 2120, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-10-09 00:00:00', 0, 20.607976910000001, -99, 1955, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-10-10 00:00:00', 0, 20.5584259, -99, 2124, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-10-11 00:00:00', 0, 18.286155699999998, -99, 2045, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-10-12 00:00:00', 0, 20.675487520000001, -99, 1858, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-10-13 00:00:00', 0, 20.326961520000001, -99, 2020, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-10-14 00:00:00', 0, 18.14340782, -99, 2030, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-10-15 00:00:00', 0, 17.29817581, -99, 2045, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-10-16 00:00:00', 0, 15.25246048, -99, 2092, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-10-17 00:00:00', 0, 15.05929852, -99, 2041, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-10-18 00:00:00', 0, 15.042407040000001, -99, 2063, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-10-19 00:00:00', 0, 12.70408535, -99, 1951, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-10-20 00:00:00', 0, 14.18842506, -99, 1998, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-10-21 00:00:00', 0, 13.469633099999999, -99, 1955, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-10-22 00:00:00', 0, 13.821074490000001, -99, 1958, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-10-23 00:00:00', 0, 14.759262079999999, -99, 1973, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-10-24 00:00:00', 0, 14.49789906, -99, 1912, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-10-25 00:00:00', 0, 15.511034970000001, -99, 1886, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-10-26 00:00:00', 0, 15.51208115, -99, 1886, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-10-27 00:00:00', 0, 14.776740070000001, -99, 1894, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-10-28 00:00:00', 0, 14.763201710000001, -99, 1865, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-10-29 00:00:00', 0, 14.22550869, -99, 1778, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-10-30 00:00:00', 0, 13.59982681, -99, 1811, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-10-31 00:00:00', 0, 13.27672291, -99, 1807, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-11-01 00:00:00', 0, 14.48450661, -99, 1843, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-11-02 00:00:00', 0, 13.70055103, -99, 1595, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-11-03 00:00:00', 0.109999999, 15.907990460000001, -99, 1361, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-11-04 00:00:00', 0.50999998999999996, 16.233118059999999, -99, 778, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-11-05 00:00:00', 0.189999998, 12.542783740000001, -99, 1667, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-11-06 00:00:00', 0, 10.443691250000001, -99, 1735, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-11-07 00:00:00', 0, 9.7376995090000005, -99, 1775, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-11-08 00:00:00', 0, 9.0027532580000003, -99, 1688, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-11-09 00:00:00', 0, 8.8161058430000008, -99, 1602, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-11-10 00:00:00', 0, 9.6177759169999995, -99, 1609, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-11-11 00:00:00', 0, 11.39628315, -99, 1627, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-11-12 00:00:00', 0, 11.808377269999999, -99, 1570, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-11-13 00:00:00', 0, 11.326123239999999, -99, 821, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-11-14 00:00:00', 0, 11.41422844, -99, 1609, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-11-15 00:00:00', 0, 8.7868890759999996, -99, 1487, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-11-16 00:00:00', 0, 8.9154224400000004, -99, 1573, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-11-17 00:00:00', 0, 8.6066617969999992, -99, 1523, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-11-18 00:00:00', 0, 9.6085052490000002, -99, 695, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-11-19 00:00:00', 0, 12.22624588, -99, 1526, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-11-20 00:00:00', 0, 9.6861324310000008, -99, 1559, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-11-21 00:00:00', 0, 8.6222820280000008, -99, 1336, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-11-22 00:00:00', 0.059999998999999998, 9.4618158339999994, -99, 1436, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-11-23 00:00:00', 0, 13.46964455, -99, 1220, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-11-24 00:00:00', 1.4700000289999999, 15.1448164, -99, 180, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-11-25 00:00:00', 0, 11.36727715, -99, 1069, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-11-26 00:00:00', 0, 10.23517418, -99, 1411, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-11-27 00:00:00', 0, 9.8088064189999997, -99, 1282, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-11-28 00:00:00', 0, 9.1193256379999994, -99, 1526, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-11-29 00:00:00', 0, 8.0897665019999998, -99, 1508, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-11-30 00:00:00', 0, 7.0823044780000002, -99, 1505, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-12-01 00:00:00', 0, 6.9185857769999997, -99, 1390, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-12-02 00:00:00', 0, 6.9096007349999997, -99, 1458, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-12-03 00:00:00', 0, 8.8404703139999992, -99, 1127, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-12-04 00:00:00', 0, 5.9889912609999998, -99, 1447, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-12-05 00:00:00', 0, 4.6916999820000003, -99, 1080, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-12-06 00:00:00', 0, 6.5024590489999996, -99, 1051, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-12-07 00:00:00', 0, 6.5368595120000004, -99, 1040, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-12-08 00:00:00', 0, 10.30370903, -99, 1026, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-12-09 00:00:00', 0, 9.1515274049999995, -99, 1238, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-12-10 00:00:00', 0.15000000599999999, 9.9241151809999995, -99, 374, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-12-11 00:00:00', 0, 8.0080852510000007, -99, 1296, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-12-12 00:00:00', 0, 9.9858551030000005, -99, 1296, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-12-13 00:00:00', 0, 7.2773160929999996, -99, 1346, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-12-14 00:00:00', 0, 6.8928441999999999, -99, 1109, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-12-15 00:00:00', 0, 5.6736245160000003, -99, 1116, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-12-16 00:00:00', 0, 5.6484260559999999, -99, 929, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-12-17 00:00:00', 0, 5.116397858, -99, 1350, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-12-18 00:00:00', 0.769999981, 7.9791541099999996, -99, 439, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-12-19 00:00:00', 4.8699998860000004, 9.5580453869999999, -99, 828, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-12-20 00:00:00', 10.27000046, 11.30176163, -99, 407, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-12-21 00:00:00', 0.01, 10.643161770000001, -99, 1195, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-12-22 00:00:00', 0.87000000499999997, 10.17549515, -99, 709, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-12-23 00:00:00', 0, 10.372914310000001, -99, 756, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-12-24 00:00:00', 0, 9.5507726670000004, -99, 1008, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-12-25 00:00:00', 0, 10.22616768, -99, 914, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-12-26 00:00:00', 0, 8.2493228910000003, -99, 1325, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-12-27 00:00:00', 0, 6.299771786, -99, 1372, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-12-28 00:00:00', 0, 4.4615325930000003, -99, 1364, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-12-29 00:00:00', 0, 4.6103563310000002, -99, 1390, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-12-30 00:00:00', 0, 4.1705775259999998, -99, 853, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-12-31 00:00:00', 0, 4.8051819800000004, -99, 1249, 'lud', 'lud_1989');
INSERT INTO public.cdy_cldat VALUES ('1990-01-01 00:00:00', 0, 6.3197054860000001, -99, 1224, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-01-02 00:00:00', 0, 3.647126675, -99, 1037, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-01-03 00:00:00', 0, 6.0320019719999998, -99, 1040, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-01-04 00:00:00', 0, 5.4946475030000004, -99, 626, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-01-05 00:00:00', 0, 5.5746331209999997, -99, 1458, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-01-06 00:00:00', 0.43000000700000002, 7.251338005, -99, 43, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-01-07 00:00:00', 0, 6.9492530820000002, -99, 1105, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-01-08 00:00:00', 0, 7.0746774669999999, -99, 1231, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-01-09 00:00:00', 0, 6.9740023610000001, -99, 1408, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-01-10 00:00:00', 0, 6.3316693309999996, -99, 1300, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-01-11 00:00:00', 0, 8.0628976819999991, -99, 1393, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-01-12 00:00:00', 0, 7.6575827600000004, -99, 1422, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-01-13 00:00:00', 0, 7.7864770889999999, -99, 1192, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-01-14 00:00:00', 0, 7.9293241500000002, -99, 1498, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-01-15 00:00:00', 0, 6.5422372820000003, -99, 1494, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-01-16 00:00:00', 0, 7.8230886460000004, -99, 1328, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-01-17 00:00:00', 0, 8.5089330669999992, -99, 713, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-01-18 00:00:00', 0, 9.6675491329999996, -99, 529, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-01-19 00:00:00', 0, 10.744012830000001, -99, 1339, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-01-20 00:00:00', 0, 10.99576759, -99, 976, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-01-21 00:00:00', 0.12999999500000001, 11.97507858, -99, 792, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-01-22 00:00:00', 0, 10.525640490000001, -99, 1469, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-01-23 00:00:00', 0, 10.06028175, -99, 1620, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-01-24 00:00:00', 0, 9.9209985730000003, -99, 1433, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-01-25 00:00:00', 0, 8.3955106740000005, -99, 1555, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-01-26 00:00:00', 0, 8.7509059909999998, -99, 1303, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-01-27 00:00:00', 0.02, 13.81377316, -99, 828, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-01-28 00:00:00', 0, 11.647015570000001, -99, 1559, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-01-29 00:00:00', 0, 7.4622225760000003, -99, 1195, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-01-30 00:00:00', 0, 8.5842723850000002, -99, 1458, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-01-31 00:00:00', 0, 9.0722389220000004, -99, 1141, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-02-01 00:00:00', 0, 7.6865849490000002, -99, 1717, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-02-02 00:00:00', 0, 6.4492344859999999, -99, 1732, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-02-03 00:00:00', 0, 5.7899670600000004, -99, 796, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-02-04 00:00:00', 0, 8.0137720110000004, -99, 1534, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-02-05 00:00:00', 0, 8.0054073330000008, -99, 936, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-02-06 00:00:00', 0, 9.6912336349999997, -99, 871, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-02-07 00:00:00', 1.0499999520000001, 13.78911209, -99, 130, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-02-08 00:00:00', 0.119999997, 14.50768852, -99, 1246, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-02-09 00:00:00', 0.039999999000000001, 13.0683279, -99, 1814, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-02-10 00:00:00', 1.1000000240000001, 13.354817389999999, -99, 1649, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-02-11 00:00:00', 0, 8.4179496769999993, -99, 792, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-02-12 00:00:00', 6.1399998660000001, 12.287711140000001, -99, 425, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-02-13 00:00:00', 1.8300000430000001, 12.25906277, -99, 497, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-02-14 00:00:00', 0, 8.880064011, -99, 1901, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-02-15 00:00:00', 0, 8.1275835040000004, -99, 1926, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-02-16 00:00:00', 0, 6.988411427, -99, 1858, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-02-17 00:00:00', 2.4500000480000002, 8.1339769359999998, -99, 1152, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-02-18 00:00:00', 0.64999997600000003, 11.01795864, -99, 1141, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-02-19 00:00:00', 0, 9.4722080230000003, -99, 1904, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-02-20 00:00:00', 0, 9.2045803070000005, -99, 1919, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-02-21 00:00:00', 0, 9.7192630770000008, -99, 1980, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-02-22 00:00:00', 0, 9.9271793370000001, -99, 2038, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-02-23 00:00:00', 0, 8.6499061580000003, -99, 1868, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-02-24 00:00:00', 4.9099998469999999, 12.18762398, -99, 619, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-02-25 00:00:00', 1.9500000479999999, 11.05178452, -99, 212, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-02-26 00:00:00', 7.8000001909999996, 10.679142949999999, -99, 1534, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-02-27 00:00:00', 2.4000000950000002, 10.844511990000001, -99, 1134, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-02-28 00:00:00', 0, 11.431494710000001, -99, 1480, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-03-01 00:00:00', 0, 8.1910305020000003, -99, 1919, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-03-02 00:00:00', 0, 7.6005468369999996, -99, 2081, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-03-03 00:00:00', 0, 7.3024325369999996, -99, 2077, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-03-04 00:00:00', 0, 7.5757594109999999, -99, 2146, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-03-05 00:00:00', 0, 8.7099227910000003, -99, 2120, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-03-06 00:00:00', 0, 8.4906110760000004, -99, 2149, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-03-07 00:00:00', 0, 9.9212656020000001, -99, 2214, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-03-08 00:00:00', 0, 9.7235260009999998, -99, 2322, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-03-09 00:00:00', 0, 11.30603981, -99, 2074, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-03-10 00:00:00', 1.3400000329999999, 14.42894459, -99, 1397, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-03-11 00:00:00', 0, 15.33013725, -99, 1573, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-03-12 00:00:00', 0, 10.54698277, -99, 1836, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-03-13 00:00:00', 0, 11.5896244, -99, 2419, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-03-14 00:00:00', 0, 12.95531845, -99, 1994, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-03-15 00:00:00', 0, 15.04749775, -99, 2106, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-03-16 00:00:00', 0, 16.102943419999999, -99, 2318, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-03-17 00:00:00', 1.5099999900000001, 17.055126189999999, -99, 1858, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-03-18 00:00:00', 1.5900000329999999, 16.772266389999999, -99, 1825, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-03-19 00:00:00', 1.5299999710000001, 16.508798599999999, -99, 1822, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-03-20 00:00:00', 0, 15.889835359999999, -99, 2099, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-03-21 00:00:00', 4.4699997900000001, 17.240486149999999, -99, 1091, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-03-22 00:00:00', 2.119999886, 15.901366230000001, -99, 1868, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-03-23 00:00:00', 0, 13.45191956, -99, 2311, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-03-24 00:00:00', 0, 9.7442216869999996, -99, 2444, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-03-25 00:00:00', 0, 8.5884809489999991, -99, 2221, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-03-26 00:00:00', 0, 10.72546387, -99, 1116, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-03-27 00:00:00', 0.99000001000000004, 14.894394869999999, -99, 1580, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-03-28 00:00:00', 0.980000019, 13.29705811, -99, 1534, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-03-29 00:00:00', 0.769999981, 10.41722012, -99, 1537, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-03-30 00:00:00', 0, 13.30768013, -99, 2423, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-03-31 00:00:00', 0, 11.77277851, -99, 2729, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-04-01 00:00:00', 0, 12.9388895, -99, 2452, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-04-02 00:00:00', 0, 12.0363369, -99, 2351, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-04-03 00:00:00', 0, 12.66339874, -99, 2722, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-04-04 00:00:00', 0, 12.18849468, -99, 2455, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-04-05 00:00:00', 0.050000001000000002, 15.001952169999999, -99, 2412, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-04-06 00:00:00', 0.72000002900000004, 18.594354630000002, -99, 648, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-04-07 00:00:00', 0, 16.159196850000001, -99, 2257, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-04-08 00:00:00', 0, 16.686243059999999, -99, 2567, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-04-09 00:00:00', 0, 16.076608660000002, -99, 2740, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-04-10 00:00:00', 0, 14.82600117, -99, 2732, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-04-11 00:00:00', 0, 17.82572746, -99, 1919, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-04-12 00:00:00', 0.25, 20.290224080000002, -99, 2279, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-04-13 00:00:00', 0, 18.858764650000001, -99, 2416, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-04-14 00:00:00', 0, 18.485473630000001, -99, 2484, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-04-15 00:00:00', 0.01, 17.908803939999999, -99, 1994, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-04-16 00:00:00', 0, 20.416368479999999, -99, 1361, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-04-17 00:00:00', 0, 19.660322189999999, -99, 2272, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-04-18 00:00:00', 0, 21.27596664, -99, 1897, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-04-19 00:00:00', 0, 20.996726989999999, -99, 2894, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-04-20 00:00:00', 0, 19.556356430000001, -99, 2862, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-04-21 00:00:00', 0, 17.080009459999999, -99, 2833, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-04-22 00:00:00', 0, 23.75532913, -99, 2880, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-04-23 00:00:00', 0, 19.19705772, -99, 2959, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-04-24 00:00:00', 0, 21.30538559, -99, 2902, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-04-25 00:00:00', 0, 20.545015339999999, -99, 2934, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-04-26 00:00:00', 0, 22.85192108, -99, 1836, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-04-27 00:00:00', 0, 20.407073969999999, -99, 2833, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-04-28 00:00:00', 0, 22.679065699999999, -99, 2794, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-04-29 00:00:00', 0, 19.171373370000001, -99, 3038, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-04-30 00:00:00', 0, 18.43685722, -99, 2912, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-05-01 00:00:00', 0.10000000100000001, 21.105175020000001, -99, 778, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-05-02 00:00:00', 0.38999998600000002, 22.316476819999998, -99, 1832, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-05-03 00:00:00', 0, 20.602298739999998, -99, 2729, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-05-04 00:00:00', 0.280000001, 21.637578959999999, -99, 2898, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-05-05 00:00:00', 0, 19.904901500000001, -99, 2146, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-05-06 00:00:00', 0, 22.275293349999998, -99, 2945, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-05-07 00:00:00', 0.560000002, 23.047334670000001, -99, 2236, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-05-08 00:00:00', 0, 25.875024799999998, -99, 2736, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-05-09 00:00:00', 0, 24.73720741, -99, 2351, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-05-10 00:00:00', 0, 27.401107790000001, -99, 2718, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-05-11 00:00:00', 0, 24.892545699999999, -99, 2952, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-05-12 00:00:00', 0.829999983, 29.932481769999999, -99, 2592, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-05-13 00:00:00', 0, 23.195306779999999, -99, 2815, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-05-14 00:00:00', 0, 26.820499420000001, -99, 2977, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-05-15 00:00:00', 0.49000000999999999, 28.711709979999998, -99, 2956, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-05-16 00:00:00', 0.47999998900000002, 25.716482160000002, -99, 2552, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-05-17 00:00:00', 1.3500000240000001, 27.056909560000001, -99, 2801, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-05-18 00:00:00', 0, 24.664709089999999, -99, 2560, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-05-19 00:00:00', 0, 25.380949019999999, -99, 2779, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-05-20 00:00:00', 0.579999983, 22.851156230000001, -99, 2340, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-05-21 00:00:00', 0, 23.32084274, -99, 2678, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-05-22 00:00:00', 0, 22.33932304, -99, 2959, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-05-23 00:00:00', 0, 23.84540367, -99, 3125, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-05-24 00:00:00', 0, 23.143392559999999, -99, 3179, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-05-25 00:00:00', 0, 26.946813580000001, -99, 3006, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-05-26 00:00:00', 0, 27.09031105, -99, 2754, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-05-27 00:00:00', 0, 26.32484436, -99, 3100, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-05-28 00:00:00', 0.01, 26.635175700000001, -99, 2999, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-05-29 00:00:00', 0.01, 27.98161125, -99, 2693, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-05-30 00:00:00', 0.23000000400000001, 27.077125550000002, -99, 2232, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-05-31 00:00:00', 0, 23.59057808, -99, 2416, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-06-01 00:00:00', 0, 24.507144929999999, -99, 3049, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-06-02 00:00:00', 0, 25.380258560000001, -99, 2970, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-06-03 00:00:00', 0, 25.46072388, -99, 2963, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-06-04 00:00:00', 0, 27.299547199999999, -99, 2200, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-06-05 00:00:00', 0, 26.819250109999999, -99, 2380, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-06-06 00:00:00', 0.01, 26.70874023, -99, 2732, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-06-07 00:00:00', 0, 27.90010071, -99, 2635, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-06-08 00:00:00', 1.0299999710000001, 28.177381520000001, -99, 2812, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-06-09 00:00:00', 0.30000001199999998, 25.763679499999999, -99, 2826, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-06-10 00:00:00', 1.730000019, 26.335777279999999, -99, 3121, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-06-11 00:00:00', 0, 25.126157760000002, -99, 1994, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-06-12 00:00:00', 0, 25.680559160000001, -99, 1408, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-06-13 00:00:00', 0, 24.067314150000001, -99, 2657, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-06-14 00:00:00', 0, 26.434080120000001, -99, 3082, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-06-15 00:00:00', 0, 26.545532229999999, -99, 2862, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-06-16 00:00:00', 0, 27.250545500000001, -99, 2981, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-06-17 00:00:00', 0, 28.08664894, -99, 3049, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-06-18 00:00:00', 0.039999999000000001, 28.59142494, -99, 2948, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-06-19 00:00:00', 0.27000001099999998, 30.875764849999999, -99, 2783, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-06-20 00:00:00', 0.039999999000000001, 26.256010060000001, -99, 2074, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-06-21 00:00:00', 0.039999999000000001, 28.74983215, -99, 2819, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-06-22 00:00:00', 0.029999998999999999, 27.561168670000001, -99, 2009, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-06-23 00:00:00', 0, 28.968053820000002, -99, 1868, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-06-24 00:00:00', 0, 31.34027481, -99, 2315, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-06-25 00:00:00', 0.039999999000000001, 31.966943740000001, -99, 1879, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-06-26 00:00:00', 0.039999999000000001, 30.25396538, -99, 2614, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-06-27 00:00:00', 1.1299999949999999, 28.77447128, -99, 2581, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-06-28 00:00:00', 0, 26.485776900000001, -99, 2027, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-06-29 00:00:00', 0, 28.700706480000001, -99, 2732, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-06-30 00:00:00', 5.8400001530000001, 29.69647217, -99, 2023, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-07-01 00:00:00', 7.75, 26.067777629999998, -99, 961, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-07-02 00:00:00', 10.90999985, 25.621589660000001, -99, 2128, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-07-03 00:00:00', 9.8299999239999991, 26.333051680000001, -99, 1379, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-07-04 00:00:00', 1.9700000289999999, 26.101959229999999, -99, 1656, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-07-05 00:00:00', 1.5900000329999999, 26.744636539999998, -99, 2174, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-07-06 00:00:00', 0.34999999399999998, 26.313816070000001, -99, 1793, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-07-07 00:00:00', 0, 27.25403214, -99, 2833, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-07-08 00:00:00', 20.06999969, 27.857057569999998, -99, 2023, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-07-09 00:00:00', 1.769999981, 27.295394900000002, -99, 1786, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-07-10 00:00:00', 17.290000920000001, 24.05262566, -99, 187, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-07-11 00:00:00', 1.7599999900000001, 23.54211235, -99, 2768, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-07-12 00:00:00', 0, 25.838211059999999, -99, 2750, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-07-13 00:00:00', 0, 27.04514885, -99, 2999, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-07-14 00:00:00', 0, 28.745389939999999, -99, 2214, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-07-15 00:00:00', 11.80000019, 28.3634491, -99, 2354, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-07-16 00:00:00', 1.289999962, 26.69932365, -99, 2599, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-07-17 00:00:00', 0.790000021, 27.038896560000001, -99, 2531, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-07-18 00:00:00', 2.289999962, 26.365318299999998, -99, 1350, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-07-19 00:00:00', 3.1400001049999999, 24.337799069999999, -99, 1937, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-07-20 00:00:00', 3.6099998950000001, 25.051240920000001, -99, 2236, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-07-21 00:00:00', 4.670000076, 26.3253746, -99, 1915, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-07-22 00:00:00', 0, 25.80155182, -99, 2938, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-07-23 00:00:00', 0.039999999000000001, 27.347929000000001, -99, 2862, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-07-24 00:00:00', 0, 26.384000780000001, -99, 2621, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-07-25 00:00:00', 3.9300000669999999, 27.835899349999998, -99, 2704, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-07-26 00:00:00', 2.75, 27.266887659999998, -99, 2369, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-07-27 00:00:00', 29.229999540000001, 26.7933445, -99, 1476, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-07-28 00:00:00', 4.6100001339999999, 24.309240339999999, -99, 2164, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-07-29 00:00:00', 0.790000021, 25.63685989, -99, 2110, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-07-30 00:00:00', 0.039999999000000001, 26.413425449999998, -99, 2124, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-07-31 00:00:00', 0, 27.807046889999999, -99, 1879, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-08-01 00:00:00', 0, 28.189214710000002, -99, 1534, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-08-02 00:00:00', 0.689999998, 25.800233840000001, -99, 551, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-08-03 00:00:00', 0, 26.502130510000001, -99, 2462, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-08-04 00:00:00', 4.5100002290000001, 27.388027189999999, -99, 2063, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-08-05 00:00:00', 0.519999981, 26.676704409999999, -99, 1328, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-08-06 00:00:00', 0.10000000100000001, 26.315570829999999, -99, 1559, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-08-07 00:00:00', 15.649999619999999, 26.946397780000002, -99, 2495, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-08-08 00:00:00', 1.3999999759999999, 25.84108925, -99, 324, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-08-09 00:00:00', 3.8499999049999998, 26.663238530000001, -99, 508, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-08-10 00:00:00', 0.37000000500000002, 25.462825779999999, -99, 1249, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-08-11 00:00:00', 1.5, 26.651914600000001, -99, 2653, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-08-12 00:00:00', 7.329999924, 21.869676590000001, -99, 1858, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-08-13 00:00:00', 55.619998930000001, 25.977987290000002, -99, 1048, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-08-14 00:00:00', 10.64000034, 23.660037989999999, -99, 1336, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-08-15 00:00:00', 0, 24.936971660000001, -99, 2189, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-08-16 00:00:00', 0, 26.403869629999999, -99, 2660, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-08-17 00:00:00', 0.01, 26.74496078, -99, 2567, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-08-18 00:00:00', 0, 28.0130558, -99, 2340, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-08-19 00:00:00', 0.52999997099999996, 26.915815349999999, -99, 1544, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-08-20 00:00:00', 0.10000000100000001, 26.425769809999998, -99, 900, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-08-21 00:00:00', 0.25999999000000001, 26.678905489999998, -99, 2048, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-08-22 00:00:00', 3.6500000950000002, 26.37146568, -99, 2311, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-08-23 00:00:00', 0, 25.77870369, -99, 2200, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-08-24 00:00:00', 0, 26.858081819999999, -99, 2542, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-08-25 00:00:00', 0, 27.428899770000001, -99, 2182, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-08-26 00:00:00', 0, 27.221801760000002, -99, 1894, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-08-27 00:00:00', 0.34999999399999998, 26.438522339999999, -99, 1570, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-08-28 00:00:00', 7.3099999430000002, 26.16553116, -99, 1098, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-08-29 00:00:00', 6.5300002099999999, 24.604639049999999, -99, 216, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-08-30 00:00:00', 0.15000000599999999, 24.44186401, -99, 1490, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-08-31 00:00:00', 0, 26.2140007, -99, 2200, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-09-01 00:00:00', 0, 26.620819090000001, -99, 2264, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-09-02 00:00:00', 0, 27.3825264, -99, 2236, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-09-03 00:00:00', 1.3899999860000001, 26.752679820000001, -99, 2383, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-09-04 00:00:00', 9.0299997330000004, 26.219024659999999, -99, 1670, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-09-05 00:00:00', 1.289999962, 23.121028899999999, -99, 1861, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-09-06 00:00:00', 11.59000015, 24.71696472, -99, 2203, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-09-07 00:00:00', 58.020000459999999, 24.734617230000001, -99, 1130, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-09-08 00:00:00', 13.27000046, 23.33813095, -99, 457, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-09-09 00:00:00', 17.270000459999999, 24.041517259999999, -99, 778, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-09-10 00:00:00', 0, 24.382480619999999, -99, 1627, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-09-11 00:00:00', 0, 24.406097410000001, -99, 2192, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-09-12 00:00:00', 1.3300000430000001, 25.713741299999999, -99, 2099, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-09-13 00:00:00', 0, 25.91256714, -99, 1933, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-09-14 00:00:00', 0, 25.56739044, -99, 1958, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-09-15 00:00:00', 0.579999983, 24.439764019999998, -99, 1602, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-09-16 00:00:00', 0.01, 25.756519319999999, -99, 2333, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-09-17 00:00:00', 0, 25.295902250000001, -99, 2268, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-09-18 00:00:00', 0, 25.019124980000001, -99, 2048, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-09-19 00:00:00', 0.029999998999999999, 25.688865660000001, -99, 2182, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-09-20 00:00:00', 2.0899999139999998, 24.693664550000001, -99, 1915, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-09-21 00:00:00', 0.959999979, 22.840829849999999, -99, 1976, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-09-22 00:00:00', 0.079999998000000003, 24.475210189999999, -99, 1696, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-09-23 00:00:00', 0.15999999600000001, 25.812847139999999, -99, 1595, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-09-24 00:00:00', 0, 24.637918469999999, -99, 1760, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-09-25 00:00:00', 33.119998930000001, 24.12440681, -99, 1091, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-09-26 00:00:00', 0, 20.845010760000001, -99, 1692, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-09-27 00:00:00', 0.01, 22.644193649999998, -99, 1750, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-09-28 00:00:00', 1.1200000050000001, 23.798170089999999, -99, 1580, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-09-29 00:00:00', 28.879999160000001, 21.764907839999999, -99, 1465, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-09-30 00:00:00', 1.0700000519999999, 19.56621552, -99, 1483, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-10-01 00:00:00', 0, 20.10504341, -99, 1994, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-10-02 00:00:00', 0, 20.889019009999998, -99, 1667, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-10-03 00:00:00', 0, 20.647333150000001, -99, 1998, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-10-04 00:00:00', 0, 21.1934948, -99, 1613, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-10-05 00:00:00', 0, 21.391740800000001, -99, 1598, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-10-06 00:00:00', 0, 21.274625780000001, -99, 1750, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-10-07 00:00:00', 0, 21.177093509999999, -99, 1858, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-10-08 00:00:00', 0, 21.191694259999998, -99, 1915, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-10-09 00:00:00', 0, 19.44519043, -99, 1861, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-10-10 00:00:00', 0, 21.041671749999999, -99, 1714, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-10-11 00:00:00', 0, 20.298954009999999, -99, 1462, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-10-12 00:00:00', 0, 20.490526200000001, -99, 1570, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-10-13 00:00:00', 0, 19.02577209, -99, 1440, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-10-14 00:00:00', 0, 16.337680819999999, -99, 1555, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-10-15 00:00:00', 0, 16.313167570000001, -99, 1404, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-10-16 00:00:00', 0, 16.560291289999999, -99, 1897, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-10-17 00:00:00', 0.68000000699999996, 18.718585969999999, -99, 1627, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-10-18 00:00:00', 0, 18.689218520000001, -99, 1973, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-10-19 00:00:00', 0, 17.422153470000001, -99, 1613, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-10-20 00:00:00', 0, 15.83273983, -99, 2048, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-10-21 00:00:00', 0, 13.68505478, -99, 1980, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-10-22 00:00:00', 0, 12.33001041, -99, 1955, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-10-23 00:00:00', 0, 12.08034801, -99, 1897, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-10-24 00:00:00', 0, 13.09801579, -99, 1771, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-10-25 00:00:00', 0, 11.86184025, -99, 1879, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-10-26 00:00:00', 0, 12.436852460000001, -99, 1872, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-10-27 00:00:00', 0, 12.292458529999999, -99, 1822, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-10-28 00:00:00', 0, 12.32907009, -99, 1807, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-10-29 00:00:00', 0, 12.51573658, -99, 1850, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-10-30 00:00:00', 0, 13.10142231, -99, 1469, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-10-31 00:00:00', 0, 15.15459824, -99, 1638, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-11-01 00:00:00', 0, 15.36312103, -99, 835, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-11-02 00:00:00', 0, 13.734382630000001, -99, 1732, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-11-03 00:00:00', 0, 12.588031770000001, -99, 1746, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-11-04 00:00:00', 0, 13.968294139999999, -99, 1753, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-11-05 00:00:00', 0, 12.75255394, -99, 1595, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-11-06 00:00:00', 0, 12.43016529, -99, 1760, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-11-07 00:00:00', 0, 12.98234272, -99, 1688, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-11-08 00:00:00', 0, 12.16305637, -99, 1688, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-11-09 00:00:00', 0, 12.153151510000001, -99, 1638, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-11-10 00:00:00', 0, 12.138978, -99, 1732, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-11-11 00:00:00', 0, 13.009715079999999, -99, 1580, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-11-12 00:00:00', 0, 12.24309349, -99, 1642, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-11-13 00:00:00', 0, 11.03383064, -99, 1620, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-11-14 00:00:00', 0, 12.640218730000001, -99, 1501, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-11-15 00:00:00', 0, 11.26901531, -99, 1559, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-11-16 00:00:00', 0, 11.917152400000001, -99, 1562, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-11-17 00:00:00', 0, 10.61611557, -99, 1580, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-11-18 00:00:00', 0, 12.160259249999999, -99, 1433, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-11-19 00:00:00', 0, 14.25518703, -99, 1426, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-11-20 00:00:00', 3.2599999899999998, 11.78241062, -99, 1328, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-11-21 00:00:00', 1.6000000240000001, 13.378825190000001, -99, 1361, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-11-22 00:00:00', 0, 13.489999770000001, -99, 1408, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-11-23 00:00:00', 0, 10.493224140000001, -99, 1494, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-11-24 00:00:00', 0, 9.5370740890000008, -99, 1487, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-11-25 00:00:00', 0, 9.3497896189999992, -99, 1501, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-11-26 00:00:00', 0, 7.1177277569999999, -99, 1397, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-11-27 00:00:00', 0, 6.1968016620000004, -99, 1278, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-11-28 00:00:00', 0, 7.0705280300000002, -99, 1526, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-11-29 00:00:00', 0, 8.0038318630000003, -99, 1339, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-11-30 00:00:00', 0, 5.7899265289999997, -99, 1447, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-12-01 00:00:00', 0, 4.9029946329999996, -99, 1505, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-12-02 00:00:00', 0, 5.1528749469999999, -99, 1483, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-12-03 00:00:00', 0, 6.0317206380000004, -99, 1382, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-12-04 00:00:00', 0, 5.7422094350000004, -99, 1321, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-12-05 00:00:00', 0, 6.1265687939999998, -99, 1397, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-12-06 00:00:00', 0, 7.3534564969999998, -99, 1415, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-12-07 00:00:00', 0, 5.4273414610000001, -99, 1426, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-12-08 00:00:00', 0, 6.974690914, -99, 1177, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-12-09 00:00:00', 0, 8.5754175190000002, -99, 954, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-12-10 00:00:00', 0, 7.7148385050000003, -99, 1411, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-12-11 00:00:00', 0, 7.2073664669999999, -99, 1415, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-12-12 00:00:00', 0, 7.1974225040000004, -99, 1372, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-12-13 00:00:00', 0, 8.9047126769999991, -99, 1372, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-12-14 00:00:00', 0.25999999000000001, 6.6898260120000002, -99, 338, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-12-15 00:00:00', 1.5700000519999999, 12.064952849999999, -99, 1004, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-12-16 00:00:00', 1.269999981, 12.28606701, -99, 1102, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-12-17 00:00:00', 0, 8.8307933809999994, -99, 1292, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-12-18 00:00:00', 0, 7.6514792439999999, -99, 1404, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-12-19 00:00:00', 0, 6.7841453549999997, -99, 1404, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-12-20 00:00:00', 0, 5.1553916930000003, -99, 1400, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-12-21 00:00:00', 0, 4.7989716529999997, -99, 1379, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-12-22 00:00:00', 0, 4.9083576200000003, -99, 1314, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-12-23 00:00:00', 0, 6.3139805789999999, -99, 1170, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-12-24 00:00:00', 0, 6.4714269639999999, -99, 1271, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-12-25 00:00:00', 0, 8.3210515980000004, -99, 1156, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-12-26 00:00:00', 0.059999998999999998, 6.8698816300000001, -99, 634, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-12-27 00:00:00', 0, 8.5696439739999999, -99, 979, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-12-28 00:00:00', 5.670000076, 12.94936657, -99, 680, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-12-29 00:00:00', 10.47000027, 13.919904710000001, -99, 403, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-12-30 00:00:00', 0, 6.0174846649999996, -99, 1210, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-12-31 00:00:00', 0, 3.360368013, -99, 1264, 'lud', 'lud_1990');
INSERT INTO public.cdy_cldat VALUES ('1991-01-01 00:00:00', 0, 3.3593623639999999, -99, 1217, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-01-02 00:00:00', 0, 2.888700724, -99, 1379, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-01-03 00:00:00', 0, 3.2725031379999998, -99, 1249, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-01-04 00:00:00', 0, 5.6140103339999996, -99, 1289, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-01-05 00:00:00', 0, 2.0321021080000001, -99, 1339, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-01-06 00:00:00', 0, 3.281935453, -99, 893, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-01-07 00:00:00', 0, 8.0094032290000001, -99, 256, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-01-08 00:00:00', 0, 8.5751752850000003, -99, 1300, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-01-09 00:00:00', 0, 6.1731486320000002, -99, 1422, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-01-10 00:00:00', 0, 6.2427887919999998, -99, 1235, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-01-11 00:00:00', 0, 7.7672877309999997, -99, 871, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-01-12 00:00:00', 0, 5.8473901750000001, -99, 1332, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-01-13 00:00:00', 0, 6.3162488940000001, -99, 1422, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-01-14 00:00:00', 0, 3.3127386570000001, -99, 1480, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-01-15 00:00:00', 0, 3.0320365429999998, -99, 720, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-01-16 00:00:00', 0, 5.6803474429999996, -99, 641, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-01-17 00:00:00', 0, 3.7520470619999999, -99, 1433, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-01-18 00:00:00', 0, 3.8707563880000002, -99, 1181, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-01-19 00:00:00', 0, 1.7919099329999999, -99, 1379, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-01-20 00:00:00', 0, 4.3127450940000003, -99, 1318, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-01-21 00:00:00', 0, 4.5448756220000002, -99, 1332, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-01-22 00:00:00', 0, 3.8988268380000002, -99, 1253, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-01-23 00:00:00', 0, 5.8201131820000001, -99, 1598, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-01-24 00:00:00', 0, 5.5341773029999999, -99, 1426, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-01-25 00:00:00', 0, 8.1707735059999997, -99, 1058, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-01-26 00:00:00', 0, 9.3992319109999993, -99, 936, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-01-27 00:00:00', 0, 11.37591076, -99, 1393, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-01-28 00:00:00', 0, 11.70070267, -99, 1462, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-01-29 00:00:00', 0, 11.75118732, -99, 1566, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-01-30 00:00:00', 0, 6.6518163680000004, -99, 1508, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-01-31 00:00:00', 0, 6.6748352049999999, -99, 1624, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-02-01 00:00:00', 0, 6.6436171530000001, -99, 1652, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-02-02 00:00:00', 0, 7.2709207530000004, -99, 1505, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-02-03 00:00:00', 0, 11.00911617, -99, 1580, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-02-04 00:00:00', 0, 6.7480058669999998, -99, 1609, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-02-05 00:00:00', 0, 7.7886347770000004, -99, 947, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-02-06 00:00:00', 0.709999979, 10.93770123, -99, 346, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-02-07 00:00:00', 0, 8.9744052889999999, -99, 1019, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-02-08 00:00:00', 0, 9.9554271700000001, -99, 1397, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-02-09 00:00:00', 0.18000000699999999, 13.4809103, -99, 637, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-02-10 00:00:00', 0, 13.17072201, -99, 1519, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-02-11 00:00:00', 9.9700002669999996, 14.16368484, -99, 572, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-02-12 00:00:00', 0, 9.5476617810000004, -99, 1696, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-02-13 00:00:00', 0, 7.8998064990000003, -99, 1210, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-02-14 00:00:00', 0, 6.8995723719999997, -99, 1894, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-02-15 00:00:00', 0, 9.2120494839999996, -99, 1919, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-02-16 00:00:00', 0, 5.6447138790000002, -99, 1822, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-02-17 00:00:00', 0, 3.9351353649999998, -99, 1861, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-02-18 00:00:00', 0, 5.026813507, -99, 2023, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-02-19 00:00:00', 0, 7.1705574990000001, -99, 1555, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-02-20 00:00:00', 0, 9.8276643749999995, -99, 1699, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-02-21 00:00:00', 0, 8.6479578020000005, -99, 1818, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-02-22 00:00:00', 0, 11.82747936, -99, 1426, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-02-23 00:00:00', 7.2100000380000004, 12.780861850000001, -99, 367, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-02-24 00:00:00', 0, 14.116873740000001, -99, 731, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-02-25 00:00:00', 0, 14.892953869999999, -99, 1426, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-02-26 00:00:00', 3.380000114, 13.55314255, -99, 1494, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-02-27 00:00:00', 0, 9.9954652789999994, -99, 2088, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-02-28 00:00:00', 0, 9.6115474699999996, -99, 2128, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-03-01 00:00:00', 0, 8.4651174549999997, -99, 1962, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-03-02 00:00:00', 0.18000000699999999, 10.552346229999999, -99, 144, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-03-03 00:00:00', 1.7799999710000001, 10.49384403, -99, 313, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-03-04 00:00:00', 1.5800000430000001, 12.95248604, -99, 1364, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-03-05 00:00:00', 0, 11.825175290000001, -99, 2128, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-03-06 00:00:00', 0, 10.26778698, -99, 2045, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-03-07 00:00:00', 0, 9.639347076, -99, 2261, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-03-08 00:00:00', 0.029999998999999999, 13.04415607, -99, 1206, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-03-09 00:00:00', 0, 14.964246749999999, -99, 2030, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-03-10 00:00:00', 0, 13.110295300000001, -99, 2246, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-03-11 00:00:00', 0, 13.01503086, -99, 2207, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-03-12 00:00:00', 0.709999979, 13.026302340000001, -99, 2347, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-03-13 00:00:00', 0.20000000300000001, 14.71778393, -99, 482, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-03-14 00:00:00', 0, 10.66247559, -99, 2347, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-03-15 00:00:00', 0, 10.838693620000001, -99, 2282, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-03-16 00:00:00', 0, 10.97755527, -99, 2272, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-03-17 00:00:00', 0, 12.81699753, -99, 2052, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-03-18 00:00:00', 1.480000019, 15.35882473, -99, 914, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-03-19 00:00:00', 0, 13.140936849999999, -99, 2041, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-03-20 00:00:00', 0, 11.731684680000001, -99, 2394, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-03-21 00:00:00', 0.059999998999999998, 14.395151139999999, -99, 979, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-03-22 00:00:00', 0.77999997099999996, 15.56656456, -99, 569, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-03-23 00:00:00', 0.55000001200000004, 12.73071575, -99, 922, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-03-24 00:00:00', 0, 9.9037189479999999, -99, 2358, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-03-25 00:00:00', 0, 12.74409294, -99, 2351, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-03-26 00:00:00', 0, 12.46261692, -99, 2354, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-03-27 00:00:00', 0, 13.71073341, -99, 2387, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-03-28 00:00:00', 0, 12.64171505, -99, 2142, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-03-29 00:00:00', 0, 17.322685239999998, -99, 2495, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-03-30 00:00:00', 0, 17.824119570000001, -99, 2257, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-03-31 00:00:00', 0, 19.238130569999999, -99, 2189, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-04-01 00:00:00', 0, 18.509527210000002, -99, 2257, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-04-02 00:00:00', 0.17000000200000001, 20.614105219999999, -99, 2225, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-04-03 00:00:00', 0, 18.16485977, -99, 2549, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-04-04 00:00:00', 0, 16.358812329999999, -99, 2531, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-04-05 00:00:00', 0, 17.128953930000002, -99, 2552, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-04-06 00:00:00', 0.079999998000000003, 17.82482529, -99, 1433, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-04-07 00:00:00', 0, 18.343912119999999, -99, 2041, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-04-08 00:00:00', 4.3600001339999999, 16.980434420000002, -99, 410, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-04-09 00:00:00', 17.780000690000001, 14.898978230000001, -99, 1987, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-04-10 00:00:00', 0, 13.795826910000001, -99, 2261, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-04-11 00:00:00', 0, 14.476181029999999, -99, 2473, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-04-12 00:00:00', 0.14000000100000001, 17.302288059999999, -99, 176, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-04-13 00:00:00', 8.5699996949999999, 18.131650919999998, -99, 76, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-04-14 00:00:00', 2.1800000669999999, 14.88909817, -99, 2329, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-04-15 00:00:00', 0, 15.22909832, -99, 2153, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-04-16 00:00:00', 0, 11.872062680000001, -99, 2632, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-04-17 00:00:00', 0, 14.692381859999999, -99, 2603, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-04-18 00:00:00', 0, 11.299701689999999, -99, 2646, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-04-19 00:00:00', 0, 15.25913048, -99, 2934, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-04-20 00:00:00', 0, 16.020055769999999, -99, 2790, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-04-21 00:00:00', 0, 16.414300919999999, -99, 2509, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-04-22 00:00:00', 0.97000002900000004, 21.751935960000001, -99, 2131, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-04-23 00:00:00', 0, 18.281705859999999, -99, 2506, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-04-24 00:00:00', 0, 17.43813896, -99, 2815, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-04-25 00:00:00', 0, 19.247873309999999, -99, 2866, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-04-26 00:00:00', 0, 19.28802872, -99, 2711, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-04-27 00:00:00', 0, 20.364656449999998, -99, 1908, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-04-28 00:00:00', 0, 19.558900829999999, -99, 2606, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-04-29 00:00:00', 0, 20.271047589999998, -99, 2938, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-04-30 00:00:00', 0, 22.77989578, -99, 2902, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-05-01 00:00:00', 0, 21.70225525, -99, 2776, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-05-02 00:00:00', 0.02, 21.835685730000002, -99, 2462, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-05-03 00:00:00', 0, 21.0115509, -99, 2999, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-05-04 00:00:00', 0, 20.627948759999999, -99, 2646, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-05-05 00:00:00', 0.070000000000000007, 21.846651080000001, -99, 1951, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-05-06 00:00:00', 0, 23.653682709999998, -99, 1523, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-05-07 00:00:00', 0, 23.53803825, -99, 2945, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-05-08 00:00:00', 0, 24.613109590000001, -99, 1202, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-05-09 00:00:00', 0.44999998800000002, 22.010242460000001, -99, 788, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-05-10 00:00:00', 0.02, 19.237064360000002, -99, 2275, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-05-11 00:00:00', 0, 18.250637050000002, -99, 3096, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-05-12 00:00:00', 0, 16.091680530000001, -99, 3046, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-05-13 00:00:00', 0, 21.806514740000001, -99, 2765, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-05-14 00:00:00', 0, 23.086782459999998, -99, 2473, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-05-15 00:00:00', 0, 24.38956451, -99, 3013, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-05-16 00:00:00', 0, 22.184280399999999, -99, 2718, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-05-17 00:00:00', 0, 25.180160520000001, -99, 2030, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-05-18 00:00:00', 0, 24.001361849999999, -99, 2801, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-05-19 00:00:00', 0.02, 25.188381199999998, -99, 2257, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-05-20 00:00:00', 1.019999981, 21.839996339999999, -99, 1073, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-05-21 00:00:00', 0.689999998, 22.5148735, -99, 778, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-05-22 00:00:00', 0, 22.10593987, -99, 2801, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-05-23 00:00:00', 0, 23.491128920000001, -99, 2588, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-05-24 00:00:00', 0, 25.257062909999998, -99, 2477, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-05-25 00:00:00', 0.30000001199999998, 26.183486940000002, -99, 2664, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-05-26 00:00:00', 0.039999999000000001, 26.088644030000001, -99, 2232, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-05-27 00:00:00', 0.01, 24.591529850000001, -99, 3103, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-05-28 00:00:00', 0, 24.60240173, -99, 3002, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-05-29 00:00:00', 0.01, 17.427089689999999, -99, 1735, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-05-30 00:00:00', 0, 24.357868190000001, -99, 2920, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-05-31 00:00:00', 0, 23.695461269999999, -99, 3042, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-06-01 00:00:00', 0, 24.688507080000001, -99, 3136, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-06-02 00:00:00', 0, 24.78455353, -99, 3056, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-06-03 00:00:00', 0, 27.855325700000002, -99, 3028, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-06-04 00:00:00', 0, 25.746631619999999, -99, 3024, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-06-05 00:00:00', 0, 27.55192757, -99, 2873, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-06-06 00:00:00', 0, 26.35826874, -99, 2689, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-06-07 00:00:00', 0, 29.147323610000001, -99, 2794, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-06-08 00:00:00', 0, 29.38019371, -99, 2714, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-06-09 00:00:00', 8.1300001139999996, 30.655603410000001, -99, 2545, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-06-10 00:00:00', 0, 22.869468690000001, -99, 2534, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-06-11 00:00:00', 11.380000109999999, 25.41839409, -99, 2452, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-06-12 00:00:00', 0, 22.387512210000001, -99, 2761, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-06-13 00:00:00', 0, 25.265373230000002, -99, 2855, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-06-14 00:00:00', 0, 27.738866810000001, -99, 2779, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-06-15 00:00:00', 0, 26.957399370000001, -99, 2182, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-06-16 00:00:00', 0, 28.619346620000002, -99, 2506, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-06-17 00:00:00', 13.649999619999999, 30.464138030000001, -99, 1483, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-06-18 00:00:00', 22.799999239999998, 23.856721879999998, -99, 1408, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-06-19 00:00:00', 3.3199999330000001, 22.17513275, -99, 1519, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-06-20 00:00:00', 0.80000001200000004, 24.25408745, -99, 2272, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-06-21 00:00:00', 0, 24.84931946, -99, 2477, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-06-22 00:00:00', 0, 25.548830030000001, -99, 2851, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-06-23 00:00:00', 0, 24.445396420000002, -99, 3118, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-06-24 00:00:00', 0, 25.103408810000001, -99, 2844, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-06-25 00:00:00', 0, 27.1127243, -99, 3103, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-06-26 00:00:00', 0, 27.385044100000002, -99, 2916, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-06-27 00:00:00', 0, 26.29443741, -99, 2952, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-06-28 00:00:00', 0, 28.664060589999998, -99, 3031, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-06-29 00:00:00', 0, 28.64826965, -99, 3049, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-06-30 00:00:00', 0, 28.09190941, -99, 3042, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-07-01 00:00:00', 0, 29.229726790000001, -99, 3017, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-07-02 00:00:00', 0, 28.042367939999998, -99, 3042, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-07-03 00:00:00', 0, 29.903310780000002, -99, 2812, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-07-04 00:00:00', 0.059999998999999998, 30.44700813, -99, 2855, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-07-05 00:00:00', 0, 27.704114910000001, -99, 2459, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-07-06 00:00:00', 1.7999999520000001, 27.98852158, -99, 1897, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-07-07 00:00:00', 0, 27.404966349999999, -99, 2970, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-07-08 00:00:00', 0, 29.125656129999999, -99, 3035, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-07-09 00:00:00', 0.36000001399999998, 28.698190690000001, -99, 2984, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-07-10 00:00:00', 8.1700000760000009, 27.36226654, -99, 1476, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-07-11 00:00:00', 0, 26.619024280000001, -99, 2560, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-07-12 00:00:00', 0.01, 26.98758316, -99, 2596, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-07-13 00:00:00', 8.6700000760000009, 27.404565810000001, -99, 943, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-07-14 00:00:00', 0, 25.15176392, -99, 1768, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-07-15 00:00:00', 0, 26.500392909999999, -99, 2959, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-07-16 00:00:00', 0.01, 28.631084439999999, -99, 2963, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-07-17 00:00:00', 0, 27.553970339999999, -99, 2768, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-07-18 00:00:00', 0, 28.040061949999998, -99, 2257, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-07-19 00:00:00', 0.27000001099999998, 28.363418580000001, -99, 2365, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-07-20 00:00:00', 0, 27.321773530000002, -99, 2113, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-07-21 00:00:00', 9.0299997330000004, 27.815328600000001, -99, 540, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-07-22 00:00:00', 0.059999998999999998, 25.00608063, -99, 1336, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-07-23 00:00:00', 0, 26.715148930000002, -99, 2704, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-07-24 00:00:00', 0.44999998800000002, 28.111751559999998, -99, 2880, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-07-25 00:00:00', 0.25, 27.23526382, -99, 2592, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-07-26 00:00:00', 3.25, 29.431299209999999, -99, 2704, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-07-27 00:00:00', 0, 28.128957750000001, -99, 2758, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-07-28 00:00:00', 0, 29.977598189999998, -99, 2884, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-07-29 00:00:00', 6.7600002290000001, 27.19606018, -99, 2376, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-07-30 00:00:00', 2.7000000480000002, 27.341396329999998, -99, 1512, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-07-31 00:00:00', 0, 27.40544891, -99, 1141, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-08-01 00:00:00', 0, 26.960603710000001, -99, 1472, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-08-02 00:00:00', 0.34000000400000002, 27.817872999999999, -99, 2117, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-08-03 00:00:00', 28.469999309999999, 28.745714190000001, -99, 1750, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-08-04 00:00:00', 7.1599998469999999, 24.216718669999999, -99, 1195, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-08-05 00:00:00', 0, 23.89744949, -99, 2261, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-08-06 00:00:00', 0, 27.793169020000001, -99, 2542, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-08-07 00:00:00', 0, 28.279363629999999, -99, 2462, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-08-08 00:00:00', 0.01, 28.113321299999999, -99, 2254, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-08-09 00:00:00', 5.9499998090000004, 23.15630531, -99, 1541, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-08-10 00:00:00', 1.8500000240000001, 25.991987229999999, -99, 1595, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-08-11 00:00:00', 0, 26.473234179999999, -99, 2614, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-08-12 00:00:00', 0, 25.40810394, -99, 2786, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-08-13 00:00:00', 0, 25.760166170000002, -99, 2617, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-08-14 00:00:00', 0, 27.0497303, -99, 2776, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-08-15 00:00:00', 0, 27.19001579, -99, 2635, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-08-16 00:00:00', 0, 27.76737022, -99, 2783, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-08-17 00:00:00', 2.8599998950000001, 27.115707400000002, -99, 1976, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-08-18 00:00:00', 0, 25.54384422, -99, 2178, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-08-19 00:00:00', 0, 26.460952760000001, -99, 1670, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-08-20 00:00:00', 0.059999998999999998, 26.92362022, -99, 1854, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-08-21 00:00:00', 9.0799999239999991, 26.822296139999999, -99, 972, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-08-22 00:00:00', 7.2800002099999999, 25.85040665, -99, 2376, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-08-23 00:00:00', 2.869999886, 25.121635439999999, -99, 1580, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-08-24 00:00:00', 2.380000114, 24.435043329999999, -99, 2498, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-08-25 00:00:00', 0, 25.831199649999999, -99, 2441, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-08-26 00:00:00', 0.62000000499999997, 25.437946320000002, -99, 2268, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-08-27 00:00:00', 5.5900001530000001, 26.323472979999998, -99, 2056, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-08-28 00:00:00', 0.17000000200000001, 24.183914179999999, -99, 1537, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-08-29 00:00:00', 3.5299999710000001, 25.519121169999998, -99, 439, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-08-30 00:00:00', 5.0100002290000001, 24.363288879999999, -99, 1915, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-08-31 00:00:00', 0.33000001299999998, 25.15582466, -99, 2142, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-09-01 00:00:00', 0, 25.88554573, -99, 608, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-09-02 00:00:00', 0, 24.73902893, -99, 2484, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-09-03 00:00:00', 0, 22.225839610000001, -99, 2300, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-09-04 00:00:00', 0.059999998999999998, 26.496408460000001, -99, 2182, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-09-05 00:00:00', 0, 26.100904459999999, -99, 2524, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-09-06 00:00:00', 8.7399997710000008, 25.064125059999999, -99, 1883, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-09-07 00:00:00', 0, 24.29871559, -99, 2401, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-09-08 00:00:00', 5.3000001909999996, 25.990232469999999, -99, 1886, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-09-09 00:00:00', 0, 24.20055962, -99, 2401, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-09-10 00:00:00', 0, 25.475437159999998, -99, 2056, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-09-11 00:00:00', 0, 25.569974899999998, -99, 2066, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-09-12 00:00:00', 0, 26.234375, -99, 1919, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-09-13 00:00:00', 0, 25.90522575, -99, 1987, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-09-14 00:00:00', 0, 25.41474152, -99, 2257, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-09-15 00:00:00', 1.0800000430000001, 25.430692669999999, -99, 1976, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-09-16 00:00:00', 0, 23.520824430000001, -99, 724, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-09-17 00:00:00', 4.0199999809999998, 23.94340897, -99, 2113, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-09-18 00:00:00', 0, 23.196434020000002, -99, 2279, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-09-19 00:00:00', 0, 23.471082689999999, -99, 2376, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-09-20 00:00:00', 0, 23.46170425, -99, 2329, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-09-21 00:00:00', 0, 23.46184921, -99, 1926, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-09-22 00:00:00', 0.560000002, 23.29885483, -99, 1858, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-09-23 00:00:00', 0, 23.17677879, -99, 1962, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-09-24 00:00:00', 0, 23.375541689999999, -99, 1778, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-09-25 00:00:00', 0, 23.676296229999998, -99, 1948, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-09-26 00:00:00', 0, 22.8955555, -99, 1836, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-09-27 00:00:00', 0, 23.128074649999999, -99, 1498, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-09-28 00:00:00', 5.670000076, 20.920133589999999, -99, 1836, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-09-29 00:00:00', 0, 19.38007545, -99, 1703, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-09-30 00:00:00', 0.23000000400000001, 18.568027499999999, -99, 2048, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-10-01 00:00:00', 0, 15.56888485, -99, 2272, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-10-02 00:00:00', 0, 16.24373245, -99, 2279, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-10-03 00:00:00', 0, 12.14655876, -99, 2300, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-10-04 00:00:00', 0, 14.66727543, -99, 2236, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-10-05 00:00:00', 0, 17.642856600000002, -99, 1958, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-10-06 00:00:00', 0, 16.16759682, -99, 2142, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-10-07 00:00:00', 0, 16.709367749999998, -99, 1919, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-10-08 00:00:00', 0, 17.82573318, -99, 2081, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-10-09 00:00:00', 0, 17.543998720000001, -99, 2120, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-10-10 00:00:00', 0, 16.477279660000001, -99, 2120, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-10-11 00:00:00', 0, 16.851909639999999, -99, 2088, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-10-12 00:00:00', 0, 18.23555756, -99, 1840, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-10-13 00:00:00', 0, 15.630604740000001, -99, 2135, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-10-14 00:00:00', 0, 16.09000206, -99, 1955, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-10-15 00:00:00', 1.0900000329999999, 18.020092009999999, -99, 1336, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-10-16 00:00:00', 0, 17.565280909999998, -99, 1825, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-10-17 00:00:00', 0, 15.386926649999999, -99, 1814, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-10-18 00:00:00', 0, 15.33752441, -99, 2016, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-10-19 00:00:00', 0, 15.36996937, -99, 1984, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-10-20 00:00:00', 0, 14.30388832, -99, 1958, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-10-21 00:00:00', 0, 14.145429610000001, -99, 1861, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-10-22 00:00:00', 0, 14.323784829999999, -99, 1559, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-10-23 00:00:00', 0, 14.618643759999999, -99, 1937, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-10-24 00:00:00', 0, 13.83136082, -99, 1897, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-10-25 00:00:00', 0, 14.43170834, -99, 1897, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-10-26 00:00:00', 0, 15.627150540000001, -99, 1843, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-10-27 00:00:00', 0, 16.688468929999999, -99, 1688, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-10-28 00:00:00', 0, 17.02613449, -99, 1840, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-10-29 00:00:00', 0, 17.903015140000001, -99, 1829, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-10-30 00:00:00', 0, 14.259651180000001, -99, 1822, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-10-31 00:00:00', 0, 13.495002749999999, -99, 1782, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-11-01 00:00:00', 0, 13.69707298, -99, 1832, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-11-02 00:00:00', 0, 10.850471499999999, -99, 1811, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-11-03 00:00:00', 0, 11.70275402, -99, 1818, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-11-04 00:00:00', 0, 11.398592000000001, -99, 1696, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-11-05 00:00:00', 0, 11.15474796, -99, 1627, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-11-06 00:00:00', 0, 10.98867416, -99, 1685, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-11-07 00:00:00', 0.02, 11.75848293, -99, 1703, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-11-08 00:00:00', 0, 13.123280530000001, -99, 1656, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-11-09 00:00:00', 0, 11.103174210000001, -99, 1656, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-11-10 00:00:00', 0, 11.403418540000001, -99, 1426, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-11-11 00:00:00', 0, 14.153597830000001, -99, 1634, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-11-12 00:00:00', 0, 11.31945133, -99, 1627, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-11-13 00:00:00', 0, 10.81245041, -99, 1580, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-11-14 00:00:00', 0, 11.050429340000001, -99, 1292, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-11-15 00:00:00', 0, 10.47590733, -99, 1562, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-11-16 00:00:00', 0, 8.7183485029999996, -99, 1584, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-11-17 00:00:00', 0, 9.1032848360000003, -99, 1480, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-11-18 00:00:00', 0, 8.8688316349999994, -99, 1523, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-11-19 00:00:00', 0, 8.1867570880000002, -99, 1516, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-11-20 00:00:00', 0, 7.6294612879999999, -99, 1552, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-11-21 00:00:00', 0, 7.3831090929999998, -99, 1548, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-11-22 00:00:00', 0, 7.5682435039999998, -99, 1526, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-11-23 00:00:00', 0, 6.9164509770000002, -99, 1447, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-11-24 00:00:00', 0, 8.0716485979999995, -99, 1177, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-11-25 00:00:00', 0, 10.309405330000001, -99, 1166, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-11-26 00:00:00', 0, 10.897792819999999, -99, 954, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-11-27 00:00:00', 0, 9.5251779560000003, -99, 1328, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-11-28 00:00:00', 0, 8.2391328809999997, -99, 1483, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-11-29 00:00:00', 0, 7.5135941510000004, -99, 1267, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-11-30 00:00:00', 0, 8.0805482860000009, -99, 1415, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-12-01 00:00:00', 0, 6.3126287459999997, -99, 1390, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-12-02 00:00:00', 0, 5.4201288219999997, -99, 1357, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-12-03 00:00:00', 0, 4.5956606860000004, -99, 1436, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-12-04 00:00:00', 0, 5.1116356850000004, -99, 1339, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-12-05 00:00:00', 0, 6.35112524, -99, 1217, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-12-06 00:00:00', 0, 8.3124227519999998, -99, 1364, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-12-07 00:00:00', 0, 7.264711857, -99, 824, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-12-08 00:00:00', 0, 7.8798346520000004, -99, 1080, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-12-09 00:00:00', 0, 8.0338850019999999, -99, 1336, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-12-10 00:00:00', 0, 8.9008998869999996, -99, 1138, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-12-11 00:00:00', 0, 7.806876183, -99, 1177, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-12-12 00:00:00', 0, 7.6920695300000004, -99, 1084, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-12-13 00:00:00', 0, 8.3489217759999992, -99, 1285, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-12-14 00:00:00', 0, 8.7616939540000001, -99, 1231, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-12-15 00:00:00', 0, 8.8452844620000004, -99, 817, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-12-16 00:00:00', 0, 9.4193439479999999, -99, 997, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-12-17 00:00:00', 0, 7.6141257290000004, -99, 896, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-12-18 00:00:00', 0, 8.6341791150000002, -99, 1048, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-12-19 00:00:00', 0, 7.5923094750000004, -99, 994, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-12-20 00:00:00', 0, 8.4474973680000005, -99, 760, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-12-21 00:00:00', 18.43000031, 11.07059097, -99, 338, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-12-22 00:00:00', 8.7799997330000004, 9.4265890120000009, -99, 986, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-12-23 00:00:00', 5.8499999049999998, 6.9447116849999997, -99, 947, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-12-24 00:00:00', 0.23999999499999999, 8.6793727870000001, -99, 878, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-12-25 00:00:00', 5.0300002099999999, 9.0124378200000006, -99, 832, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-12-26 00:00:00', 0, 6.9596300129999999, -99, 1181, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-12-27 00:00:00', 0, 8.6410827640000001, -99, 796, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-12-28 00:00:00', 1.730000019, 6.3343510629999997, -99, 1116, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-12-29 00:00:00', 0, 4.7308778760000001, -99, 1400, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-12-30 00:00:00', 0, 3.7767722610000001, -99, 1372, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-12-31 00:00:00', 0, 3.5613565440000001, -99, 1296, 'lud', 'lud_1991');
INSERT INTO public.cdy_cldat VALUES ('1992-01-01 00:00:00', 0, 3.6844079490000001, -99, 1228, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-01-02 00:00:00', 0, 4.1892251969999998, -99, 1375, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-01-03 00:00:00', 0, 3.343302011, -99, 886, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-01-04 00:00:00', 0, 6.2024092670000002, -99, 997, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-01-05 00:00:00', 0, 5.9439630509999999, -99, 1224, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-01-06 00:00:00', 0, 7.7457308769999997, -99, 1195, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-01-07 00:00:00', 1.3400000329999999, 10.358794209999999, -99, 889, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-01-08 00:00:00', 0, 10.16517925, -99, 1418, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-01-09 00:00:00', 0, 8.5528011320000008, -99, 1188, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-01-10 00:00:00', 6.6799998279999997, 6.6790113450000002, -99, 1091, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-01-11 00:00:00', 0, 9.345474243, -99, 1282, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-01-12 00:00:00', 0, 5.0861902240000001, -99, 1231, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-01-13 00:00:00', 0, 6.3860592839999999, -99, 828, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-01-14 00:00:00', 0, 5.2633094790000001, -99, 1166, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-01-15 00:00:00', 0, 3.360522032, -99, 990, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-01-16 00:00:00', 0, 4.3139758109999997, -99, 1498, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-01-17 00:00:00', 0, 5.2477297780000001, -99, 1426, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-01-18 00:00:00', 0, 5.855025768, -99, 1066, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-01-19 00:00:00', 0, 3.648903131, -99, 1415, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-01-20 00:00:00', 0, 4.9021162990000002, -99, 1224, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-01-21 00:00:00', 0, 6.1469655039999997, -99, 1458, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-01-22 00:00:00', 0, 5.3120527270000002, -99, 1397, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-01-23 00:00:00', 0.070000000000000007, 6.7680048939999997, -99, 1058, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-01-24 00:00:00', 0, 10.916558269999999, -99, 576, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-01-25 00:00:00', 0.15000000599999999, 11.372780799999999, -99, 972, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-01-26 00:00:00', 0.55000001200000004, 12.4229269, -99, 382, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-01-27 00:00:00', 1.039999962, 13.4737978, -99, 598, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-01-28 00:00:00', 1.3899999860000001, 12.52331543, -99, 464, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-01-29 00:00:00', 9.3100004199999997, 13.762621879999999, -99, 212, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-01-30 00:00:00', 9.0399999619999996, 13.511445999999999, -99, 414, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-01-31 00:00:00', 0, 12.52040577, -99, 1638, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-02-01 00:00:00', 0, 8.7279653550000003, -99, 1656, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-02-02 00:00:00', 0, 6.3380784989999999, -99, 1660, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-02-03 00:00:00', 0, 6.2723097799999996, -99, 1606, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-02-04 00:00:00', 0, 8.6611337660000007, -99, 1303, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-02-05 00:00:00', 1.0499999520000001, 8.1821794509999997, -99, 1044, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-02-06 00:00:00', 18.690000529999999, 10.255624770000001, -99, 270, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-02-07 00:00:00', 1.6100000139999999, 11.348554610000001, -99, 882, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-02-08 00:00:00', 0, 7.17926836, -99, 1836, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-02-09 00:00:00', 0, 6.8928771019999999, -99, 1858, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-02-10 00:00:00', 0, 6.1569833760000003, -99, 1872, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-02-11 00:00:00', 0, 5.6997122759999996, -99, 1804, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-02-12 00:00:00', 2.3399999139999998, 8.6837635039999999, -99, 814, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-02-13 00:00:00', 0, 12.12057018, -99, 792, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-02-14 00:00:00', 0, 10.889868740000001, -99, 1840, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-02-15 00:00:00', 0, 6.765724659, -99, 1793, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-02-16 00:00:00', 0, 6.0163574219999996, -99, 1901, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-02-17 00:00:00', 0, 5.301836014, -99, 1829, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-02-18 00:00:00', 0, 6.6340780260000001, -99, 1955, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-02-19 00:00:00', 0, 7.1979818340000001, -99, 900, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-02-20 00:00:00', 0, 5.573378086, -99, 1919, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-02-21 00:00:00', 0, 6.6242690089999998, -99, 1984, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-02-22 00:00:00', 0, 6.6852679249999998, -99, 1732, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-02-23 00:00:00', 0, 8.0909128189999997, -99, 2009, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-02-24 00:00:00', 0, 8.0687742230000001, -99, 1897, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-02-25 00:00:00', 0, 7.9695768359999999, -99, 1847, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-02-26 00:00:00', 0, 8.7811450959999995, -99, 1508, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-02-27 00:00:00', 0, 11.488008499999999, -99, 1829, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-02-28 00:00:00', 0, 12.3418808, -99, 2002, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-02-29 00:00:00', 0, 14.29157448, -99, 1955, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-03-01 00:00:00', 0, 14.02176476, -99, 2074, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-03-02 00:00:00', 0, 9.9194116589999997, -99, 2250, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-03-03 00:00:00', 0, 8.8059253690000006, -99, 1573, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-03-04 00:00:00', 0, 8.9323024750000002, -99, 1706, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-03-05 00:00:00', 0, 11.65960312, -99, 2095, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-03-06 00:00:00', 0, 11.60216999, -99, 2290, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-03-07 00:00:00', 0, 9.7128410340000002, -99, 2268, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-03-08 00:00:00', 3.0499999519999998, 10.26888084, -99, 1789, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-03-09 00:00:00', 0, 9.1523170470000004, -99, 2340, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-03-10 00:00:00', 0, 11.2379961, -99, 1969, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-03-11 00:00:00', 0.029999998999999999, 13.9777813, -99, 1717, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-03-12 00:00:00', 0, 15.921474460000001, -99, 482, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-03-13 00:00:00', 0.33000001299999998, 16.820749280000001, -99, 1714, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-03-14 00:00:00', 0.059999998999999998, 12.61242771, -99, 2318, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-03-15 00:00:00', 0, 8.4814968109999995, -99, 2362, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-03-16 00:00:00', 0, 10.26002598, -99, 2041, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-03-17 00:00:00', 0, 13.30272293, -99, 1228, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-03-18 00:00:00', 0, 11.113624570000001, -99, 1847, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-03-19 00:00:00', 0, 12.52164078, -99, 1991, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-03-20 00:00:00', 0.029999998999999999, 15.97592068, -99, 1958, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-03-21 00:00:00', 0, 14.773257259999999, -99, 2052, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-03-22 00:00:00', 0.189999998, 16.82439995, -99, 1721, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-03-23 00:00:00', 0.37000000500000002, 16.662206650000002, -99, 598, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-03-24 00:00:00', 0, 15.949083330000001, -99, 2012, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-03-25 00:00:00', 0.17000000200000001, 16.7989006, -99, 972, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-03-26 00:00:00', 0.469999999, 15.334755899999999, -99, 1379, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-03-27 00:00:00', 0, 17.030658720000002, -99, 1951, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-03-28 00:00:00', 0.62000000499999997, 15.58736992, -99, 1001, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-03-29 00:00:00', 0, 12.992695810000001, -99, 2513, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-03-30 00:00:00', 0, 14.533095360000001, -99, 2441, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-03-31 00:00:00', 0, 12.89873981, -99, 2549, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-04-01 00:00:00', 0, 13.43428898, -99, 1937, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-04-02 00:00:00', 0, 15.566996570000001, -99, 2621, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-04-03 00:00:00', 0, 14.91211414, -99, 2110, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-04-04 00:00:00', 0, 14.74633408, -99, 2405, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-04-05 00:00:00', 0, 17.69711113, -99, 2174, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-04-06 00:00:00', 0, 18.326261519999999, -99, 2470, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-04-07 00:00:00', 0, 16.066230770000001, -99, 1368, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-04-08 00:00:00', 0, 16.205850600000002, -99, 2549, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-04-09 00:00:00', 0.15999999600000001, 15.48770142, -99, 2239, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-04-10 00:00:00', 0, 16.775621409999999, -99, 2459, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-04-11 00:00:00', 0, 16.312459950000001, -99, 1962, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-04-12 00:00:00', 0, 16.470596310000001, -99, 2653, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-04-13 00:00:00', 0, 16.08591843, -99, 2747, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-04-14 00:00:00', 0.01, 16.254552839999999, -99, 1696, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-04-15 00:00:00', 0, 15.77814388, -99, 2830, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-04-16 00:00:00', 0, 16.87774658, -99, 2743, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-04-17 00:00:00', 0, 16.218961719999999, -99, 2300, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-04-18 00:00:00', 0, 18.059768680000001, -99, 2347, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-04-19 00:00:00', 0.01, 18.640762330000001, -99, 868, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-04-20 00:00:00', 0, 19.269865039999999, -99, 2664, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-04-21 00:00:00', 0, 22.234766010000001, -99, 2124, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-04-22 00:00:00', 0, 18.51573372, -99, 1429, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-04-23 00:00:00', 0, 16.434141159999999, -99, 2736, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-04-24 00:00:00', 0, 18.246940609999999, -99, 2459, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-04-25 00:00:00', 0, 20.348522190000001, -99, 2718, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-04-26 00:00:00', 0, 19.95489311, -99, 2934, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-04-27 00:00:00', 0, 20.557788850000001, -99, 2934, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-04-28 00:00:00', 0, 21.503255840000001, -99, 1854, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-04-29 00:00:00', 0.15999999600000001, 24.75662041, -99, 1886, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-04-30 00:00:00', 0.01, 21.56934738, -99, 1552, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-05-01 00:00:00', 0, 21.33749199, -99, 2822, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-05-02 00:00:00', 0.01, 20.585863109999998, -99, 2210, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-05-03 00:00:00', 0.20000000300000001, 23.675462719999999, -99, 1879, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-05-04 00:00:00', 0.75, 19.94240761, -99, 2963, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-05-05 00:00:00', 0.56999999300000004, 19.499473569999999, -99, 1026, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-05-06 00:00:00', 0, 18.078350069999999, -99, 2675, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-05-07 00:00:00', 0, 20.966369629999999, -99, 2894, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-05-08 00:00:00', 0, 21.489927290000001, -99, 1494, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-05-09 00:00:00', 0, 24.112987520000001, -99, 2866, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-05-10 00:00:00', 0, 28.272054669999999, -99, 2880, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-05-11 00:00:00', 0, 21.83722496, -99, 3042, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-05-12 00:00:00', 0, 22.854568480000001, -99, 2984, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-05-13 00:00:00', 0, 24.023180010000001, -99, 2815, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-05-14 00:00:00', 0, 25.27694511, -99, 3056, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-05-15 00:00:00', 0, 24.642095569999999, -99, 2898, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-05-16 00:00:00', 0, 25.128141400000001, -99, 2614, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-05-17 00:00:00', 0, 22.47933197, -99, 2898, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-05-18 00:00:00', 0, 21.864194869999999, -99, 3010, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-05-19 00:00:00', 0, 23.374893190000002, -99, 1735, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-05-20 00:00:00', 0, 21.819931029999999, -99, 3035, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-05-21 00:00:00', 0, 21.600881579999999, -99, 2660, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-05-22 00:00:00', 0, 21.858444209999998, -99, 2981, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-05-23 00:00:00', 0, 22.646781919999999, -99, 3107, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-05-24 00:00:00', 0, 25.410814290000001, -99, 2934, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-05-25 00:00:00', 0, 23.963571550000001, -99, 2855, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-05-26 00:00:00', 0, 23.411813739999999, -99, 2603, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-05-27 00:00:00', 0, 23.588174819999999, -99, 2707, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-05-28 00:00:00', 0, 23.507444379999999, -99, 2246, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-05-29 00:00:00', 0.119999997, 23.247383119999999, -99, 2765, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-05-30 00:00:00', 0, 21.42556763, -99, 2203, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-05-31 00:00:00', 0, 18.931644439999999, -99, 3164, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-06-01 00:00:00', 0, 21.161422730000002, -99, 3197, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-06-02 00:00:00', 0, 21.765546799999999, -99, 2718, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-06-03 00:00:00', 0, 24.420579910000001, -99, 2718, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-06-04 00:00:00', 0, 23.74375534, -99, 2999, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-06-05 00:00:00', 0.029999998999999999, 22.719150540000001, -99, 3035, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-06-06 00:00:00', 0, 25.682624820000001, -99, 3139, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-06-07 00:00:00', 0, 25.83481407, -99, 2916, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-06-08 00:00:00', 0.34999999399999998, 28.552673339999998, -99, 1764, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-06-09 00:00:00', 0, 26.23936462, -99, 2642, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-06-10 00:00:00', 0, 26.936855319999999, -99, 2862, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-06-11 00:00:00', 0.01, 27.627965929999998, -99, 1598, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-06-12 00:00:00', 0.36000001399999998, 23.97895432, -99, 2254, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-06-13 00:00:00', 0, 24.34947777, -99, 3092, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-06-14 00:00:00', 0, 26.123596190000001, -99, 3110, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-06-15 00:00:00', 0, 26.927965159999999, -99, 3053, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-06-16 00:00:00', 0, 27.88817787, -99, 3193, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-06-17 00:00:00', 0, 27.216068270000001, -99, 3074, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-06-18 00:00:00', 0, 28.830156330000001, -99, 3128, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-06-19 00:00:00', 0, 27.667156219999999, -99, 2862, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-06-20 00:00:00', 0, 29.649745939999999, -99, 2794, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-06-21 00:00:00', 2.7799999710000001, 29.495687480000001, -99, 1764, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-06-22 00:00:00', 0, 25.789014819999998, -99, 1858, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-06-23 00:00:00', 0.02, 27.666526789999999, -99, 2992, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-06-24 00:00:00', 0.36000001399999998, 27.964126589999999, -99, 2833, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-06-25 00:00:00', 1.4199999569999999, 26.58115578, -99, 2923, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-06-26 00:00:00', 0, 27.41412163, -99, 2146, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-06-27 00:00:00', 0, 28.714550020000001, -99, 1951, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-06-28 00:00:00', 4.4299998279999997, 26.314119340000001, -99, 1872, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-06-29 00:00:00', 0.58999997400000004, 23.120800020000001, -99, 2171, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-06-30 00:00:00', 0.18000000699999999, 25.3986187, -99, 2808, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-07-01 00:00:00', 0.310000002, 24.64479828, -99, 1645, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-07-02 00:00:00', 0.93000000699999996, 25.007072449999999, -99, 2750, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-07-03 00:00:00', 0.02, 25.212390899999999, -99, 1915, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-07-04 00:00:00', 0, 25.150020600000001, -99, 3103, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-07-05 00:00:00', 0, 27.377225880000001, -99, 3060, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-07-06 00:00:00', 4.8200001720000003, 25.7634182, -99, 2894, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-07-07 00:00:00', 0, 27.25111008, -99, 2351, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-07-08 00:00:00', 17.36000061, 30.006843570000001, -99, 2135, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-07-09 00:00:00', 0, 24.654882430000001, -99, 2203, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-07-10 00:00:00', 0.28999999199999998, 26.319263459999998, -99, 2916, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-07-11 00:00:00', 2.6500000950000002, 27.40911865, -99, 2261, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-07-12 00:00:00', 0.02, 26.23634148, -99, 1030, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-07-13 00:00:00', 0, 25.873773570000001, -99, 2372, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-07-14 00:00:00', 0, 26.261430740000002, -99, 1962, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-07-15 00:00:00', 0, 27.642721179999999, -99, 2322, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-07-16 00:00:00', 0.64999997600000003, 27.214622500000001, -99, 2164, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-07-17 00:00:00', 0.40000000600000002, 25.86605072, -99, 112, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-07-18 00:00:00', 2.5199999809999998, 26.53450394, -99, 2408, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-07-19 00:00:00', 0.15999999600000001, 24.327022549999999, -99, 2056, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-07-20 00:00:00', 3.210000038, 27.12311935, -99, 2228, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-07-21 00:00:00', 2.829999924, 25.866321559999999, -99, 1346, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-07-22 00:00:00', 1.3200000519999999, 26.384700779999999, -99, 688, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-07-23 00:00:00', 5.4299998279999997, 26.364393230000001, -99, 1177, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-07-24 00:00:00', 1.5800000430000001, 25.435667039999998, -99, 1285, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-07-25 00:00:00', 20.219999309999999, 25.08547974, -99, 2254, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-07-26 00:00:00', 0.99000001000000004, 25.51169586, -99, 1627, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-07-27 00:00:00', 0, 26.084484100000001, -99, 1944, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-07-28 00:00:00', 0.62000000499999997, 27.001153949999999, -99, 2221, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-07-29 00:00:00', 0.189999998, 25.741981509999999, -99, 1512, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-07-30 00:00:00', 0, 26.312360760000001, -99, 1933, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-07-31 00:00:00', 0.62000000499999997, 26.480981830000001, -99, 1980, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-08-01 00:00:00', 1.4099999670000001, 26.649602890000001, -99, 2174, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-08-02 00:00:00', 6.4000000950000002, 28.310976029999999, -99, 1177, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-08-03 00:00:00', 0.75, 25.694793700000002, -99, 1314, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-08-04 00:00:00', 7.6500000950000002, 26.3788166, -99, 1775, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-08-05 00:00:00', 5.2699999809999998, 26.190048220000001, -99, 158, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-08-06 00:00:00', 2.420000076, 25.896110530000001, -99, 1868, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-08-07 00:00:00', 7.3200001720000003, 26.26185036, -99, 2344, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-08-08 00:00:00', 0.050000001000000002, 25.743757250000002, -99, 1235, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-08-09 00:00:00', 4, 24.34845924, -99, 1764, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-08-10 00:00:00', 6.6900000569999998, 24.677539830000001, -99, 1044, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-08-11 00:00:00', 0.709999979, 24.09325218, -99, 1606, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-08-12 00:00:00', 0.01, 26.522115710000001, -99, 2329, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-08-13 00:00:00', 0.280000001, 26.429672239999999, -99, 2189, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-08-14 00:00:00', 1.269999981, 26.480461120000001, -99, 1944, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-08-15 00:00:00', 0, 27.146150590000001, -99, 1782, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-08-16 00:00:00', 1.3700000050000001, 27.451953889999999, -99, 1156, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-08-17 00:00:00', 2.3399999139999998, 25.149263380000001, -99, 857, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-08-18 00:00:00', 7.3000001909999996, 25.512464520000002, -99, 1415, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-08-19 00:00:00', 4.1900000569999998, 25.852918620000001, -99, 1325, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-08-20 00:00:00', 0, 25.213327410000002, -99, 2135, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-08-21 00:00:00', 0.37000000500000002, 27.228137969999999, -99, 2146, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-08-22 00:00:00', 0.029999998999999999, 26.76168251, -99, 2070, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-08-23 00:00:00', 8.0299997330000004, 26.84292984, -99, 1814, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-08-24 00:00:00', 0, 26.503522870000001, -99, 1951, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-08-25 00:00:00', 0.27000001099999998, 26.573116299999999, -99, 2088, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-08-26 00:00:00', 0, 27.066024779999999, -99, 1570, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-08-27 00:00:00', 0, 25.588409420000001, -99, 1757, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-08-28 00:00:00', 0, 26.47933197, -99, 1901, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-08-29 00:00:00', 0, 27.057634350000001, -99, 1595, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-08-30 00:00:00', 0, 26.312261580000001, -99, 1915, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-08-31 00:00:00', 0, 28.252504349999999, -99, 1908, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-09-01 00:00:00', 0, 28.021839140000001, -99, 2322, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-09-02 00:00:00', 0.039999999000000001, 27.534254069999999, -99, 1418, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-09-03 00:00:00', 2.8499999049999998, 26.36417007, -99, 450, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-09-04 00:00:00', 14.09000015, 23.662803650000001, -99, 1278, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-09-05 00:00:00', 0.01, 25.481359479999998, -99, 2254, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-09-06 00:00:00', 2.619999886, 26.044462200000002, -99, 1796, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-09-07 00:00:00', 0, 25.99443436, -99, 1908, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-09-08 00:00:00', 6.0900001530000001, 25.096080780000001, -99, 1199, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-09-09 00:00:00', 12.460000040000001, 24.54927254, -99, 1505, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-09-10 00:00:00', 1.2799999710000001, 23.91390419, -99, 1206, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-09-11 00:00:00', 0, 23.439311979999999, -99, 1951, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-09-12 00:00:00', 0.070000000000000007, 23.426658629999999, -99, 2117, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-09-13 00:00:00', 0, 23.63220024, -99, 2149, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-09-14 00:00:00', 0.079999998000000003, 22.999557500000002, -99, 2236, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-09-15 00:00:00', 0, 23.434072489999998, -99, 1904, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-09-16 00:00:00', 0.68000000699999996, 23.803213119999999, -99, 1872, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-09-17 00:00:00', 0, 22.01620483, -99, 1937, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-09-18 00:00:00', 0, 23.04008675, -99, 2171, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-09-19 00:00:00', 0, 22.627449039999998, -99, 2344, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-09-20 00:00:00', 0, 22.348537449999998, -99, 2398, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-09-21 00:00:00', 0, 23.01321411, -99, 2232, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-09-22 00:00:00', 0, 22.52617455, -99, 2336, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-09-23 00:00:00', 0, 20.33751869, -99, 2275, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-09-24 00:00:00', 0, 22.199033740000001, -99, 2362, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-09-25 00:00:00', 0, 22.035022739999999, -99, 2250, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-09-26 00:00:00', 0, 22.636598589999998, -99, 1958, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-09-27 00:00:00', 0, 22.493127820000002, -99, 2081, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-09-28 00:00:00', 0, 21.775627140000001, -99, 2048, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-09-29 00:00:00', 0, 22.774892810000001, -99, 2081, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-09-30 00:00:00', 0, 20.555654530000002, -99, 2088, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-10-01 00:00:00', 0, 19.099746700000001, -99, 2192, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-10-02 00:00:00', 0, 19.14124107, -99, 2239, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-10-03 00:00:00', 0, 20.738788599999999, -99, 2167, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-10-04 00:00:00', 0, 21.135589599999999, -99, 2225, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-10-05 00:00:00', 3.5, 19.574018479999999, -99, 2038, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-10-06 00:00:00', 0, 18.604162219999999, -99, 2117, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-10-07 00:00:00', 0, 17.437582020000001, -99, 2110, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-10-08 00:00:00', 0, 18.580940250000001, -99, 2077, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-10-09 00:00:00', 0, 17.886354449999999, -99, 2099, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-10-10 00:00:00', 0, 18.47293663, -99, 1944, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-10-11 00:00:00', 0, 18.27729034, -99, 2113, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-10-12 00:00:00', 0, 18.774200440000001, -99, 2034, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-10-13 00:00:00', 0, 19.133512499999998, -99, 2113, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-10-14 00:00:00', 0, 18.285457610000002, -99, 2045, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-10-15 00:00:00', 0, 17.620153429999998, -99, 1908, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-10-16 00:00:00', 0, 17.639036180000002, -99, 1955, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-10-17 00:00:00', 0, 17.180374149999999, -99, 1926, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-10-18 00:00:00', 0, 18.509349820000001, -99, 1854, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-10-19 00:00:00', 0, 18.3220253, -99, 1634, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-10-20 00:00:00', 0, 16.546047210000001, -99, 2045, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-10-21 00:00:00', 0, 14.75022221, -99, 1883, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-10-22 00:00:00', 0, 16.622365949999999, -99, 1894, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-10-23 00:00:00', 0, 15.24546432, -99, 1908, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-10-24 00:00:00', 0, 15.723019600000001, -99, 1681, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-10-25 00:00:00', 0, 15.943374629999999, -99, 1789, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-10-26 00:00:00', 0, 13.834379200000001, -99, 1742, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-10-27 00:00:00', 0, 14.79562569, -99, 1858, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-10-28 00:00:00', 0, 14.65515518, -99, 1850, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-10-29 00:00:00', 0, 14.406957630000001, -99, 1778, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-10-30 00:00:00', 0, 15.112541200000001, -99, 1865, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-10-31 00:00:00', 0, 13.884300229999999, -99, 1807, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-11-01 00:00:00', 0, 14.2360878, -99, 1710, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-11-02 00:00:00', 0, 13.500535960000001, -99, 1660, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-11-03 00:00:00', 0, 15.182611469999999, -99, 1649, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-11-04 00:00:00', 0, 13.95316601, -99, 1678, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-11-05 00:00:00', 0, 13.80555534, -99, 1739, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-11-06 00:00:00', 0, 13.59009075, -99, 1771, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-11-07 00:00:00', 0, 10.78668308, -99, 1796, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-11-08 00:00:00', 0, 9.8011589049999994, -99, 1681, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-11-09 00:00:00', 0, 9.8392963410000007, -99, 1688, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-11-10 00:00:00', 0, 9.9331970209999998, -99, 1699, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-11-11 00:00:00', 0, 10.904642109999999, -99, 1670, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-11-12 00:00:00', 0, 12.338757510000001, -99, 1537, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-11-13 00:00:00', 0, 12.744925500000001, -99, 1408, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-11-14 00:00:00', 0, 13.069448469999999, -99, 1415, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-11-15 00:00:00', 0, 14.1404686, -99, 1494, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-11-16 00:00:00', 0, 14.0292511, -99, 1379, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-11-17 00:00:00', 0, 14.56579208, -99, 695, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-11-18 00:00:00', 0, 14.082842830000001, -99, 1469, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-11-19 00:00:00', 9.1499996190000008, 14.47728062, -99, 1109, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-11-20 00:00:00', 0, 14.09625149, -99, 1346, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-11-21 00:00:00', 0, 12.19384003, -99, 1379, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-11-22 00:00:00', 0.689999998, 11.05580235, -99, 1307, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-11-23 00:00:00', 0, 9.2168207169999992, -99, 1519, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-11-24 00:00:00', 0, 10.48722553, -99, 1523, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-11-25 00:00:00', 0, 8.5141801830000006, -99, 1332, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-11-26 00:00:00', 0, 7.439151764, -99, 1487, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-11-27 00:00:00', 0, 10.201668740000001, -99, 1260, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-11-28 00:00:00', 0, 8.9208641049999997, -99, 1134, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-11-29 00:00:00', 0, 10.741909980000001, -99, 1188, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-11-30 00:00:00', 0, 9.5689582820000005, -99, 1220, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-12-01 00:00:00', 0, 9.3665637969999995, -99, 1444, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-12-02 00:00:00', 0, 8.5918617249999993, -99, 1440, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-12-03 00:00:00', 0, 9.1153764719999995, -99, 1364, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-12-04 00:00:00', 0, 12.07539654, -99, 1321, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-12-05 00:00:00', 0, 9.4630813600000003, -99, 1141, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-12-06 00:00:00', 0, 8.1046190259999999, -99, 1246, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-12-07 00:00:00', 0, 8.4079608920000002, -99, 1285, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-12-08 00:00:00', 0, 10.70062542, -99, 1375, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-12-09 00:00:00', 0, 10.11237526, -99, 1238, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-12-10 00:00:00', 0, 9.2784490589999997, -99, 1429, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-12-11 00:00:00', 0.050000001000000002, 8.173436165, -99, 925, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-12-12 00:00:00', 0, 9.7262859339999999, -99, 1300, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-12-13 00:00:00', 0, 8.8278722760000008, -99, 1390, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-12-14 00:00:00', 0, 7.5607590680000003, -99, 1418, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-12-15 00:00:00', 0, 4.7205724719999997, -99, 1256, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-12-16 00:00:00', 0, 6.724905014, -99, 950, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-12-17 00:00:00', 0, 5.8766283990000003, -99, 1091, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-12-18 00:00:00', 0, 6.0284290309999999, -99, 1372, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-12-19 00:00:00', 0, 6.0962853429999999, -99, 1350, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-12-20 00:00:00', 0, 7.0915989880000003, -99, 1303, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-12-21 00:00:00', 0, 6.4086060519999997, -99, 1109, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-12-22 00:00:00', 0, 7.0172390939999998, -99, 1267, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-12-23 00:00:00', 0, 6.9456639290000002, -99, 983, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-12-24 00:00:00', 0, 9.1365718840000003, -99, 893, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-12-25 00:00:00', 0, 6.9949727060000004, -99, 821, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-12-26 00:00:00', 0, 7.3159847259999999, -99, 1415, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-12-27 00:00:00', 0, 7.1593809129999997, -99, 1217, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-12-28 00:00:00', 0, 7.4590320590000001, -99, 1213, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-12-29 00:00:00', 0, 7.4537839889999997, -99, 1051, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-12-30 00:00:00', 0, 8.83675766, -99, 1058, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-12-31 00:00:00', 0, 10.53412151, -99, 252, 'lud', 'lud_1992');
INSERT INTO public.cdy_cldat VALUES ('1993-01-01 00:00:00', 0.36000001399999998, 13.26508999, -99, 958, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-01-02 00:00:00', 0, 10.49643421, -99, 1030, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-01-03 00:00:00', 0, 11.746706959999999, -99, 1368, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-01-04 00:00:00', 0, 8.3616523740000002, -99, 1073, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-01-05 00:00:00', 0.25, 9.3834819790000008, -99, 403, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-01-06 00:00:00', 0.070000000000000007, 11.43872356, -99, 734, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-01-07 00:00:00', 0, 7.9031496050000003, -99, 1163, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-01-08 00:00:00', 0, 5.3182697299999999, -99, 1249, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-01-09 00:00:00', 0, 6.997025013, -99, 562, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-01-10 00:00:00', 0.37999999499999998, 8.2690534590000002, -99, 346, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-01-11 00:00:00', 0, 6.5320458410000004, -99, 1116, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-01-12 00:00:00', 0, 4.9301924709999998, -99, 1526, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-01-13 00:00:00', 0, 4.46133852, -99, 1476, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-01-14 00:00:00', 0, 2.640128136, -99, 1339, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-01-15 00:00:00', 1.460000038, 6.2480359080000003, -99, 40, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-01-16 00:00:00', 0, 10.37799263, -99, 1246, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-01-17 00:00:00', 0, 5.7680397030000004, -99, 1440, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-01-18 00:00:00', 0, 4.2031598089999997, -99, 1548, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-01-19 00:00:00', 0, 3.5188591480000002, -99, 1436, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-01-20 00:00:00', 0, 3.9184155459999999, -99, 1487, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-01-21 00:00:00', 0, 3.8359944819999998, -99, 1494, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-01-22 00:00:00', 0, 3.2818923, -99, 1552, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-01-23 00:00:00', 0, 3.7704968449999998, -99, 1573, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-01-24 00:00:00', 0, 2.5872905249999998, -99, 1616, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-01-25 00:00:00', 0, 4.3086419109999996, -99, 1624, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-01-26 00:00:00', 0, 6.3557786939999996, -99, 1469, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-01-27 00:00:00', 0, 5.8825716970000004, -99, 1602, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-01-28 00:00:00', 0.02, 6.0569157599999999, -99, 1318, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-01-29 00:00:00', 0, 9.6103849409999995, -99, 1570, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-01-30 00:00:00', 0, 8.6247777939999999, -99, 1577, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-01-31 00:00:00', 0, 8.1304903030000002, -99, 1656, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-02-01 00:00:00', 0, 7.4250488280000004, -99, 1451, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-02-02 00:00:00', 0, 7.9390568730000002, -99, 1656, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-02-03 00:00:00', 0, 6.9533081049999996, -99, 1537, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-02-04 00:00:00', 0, 7.9110903739999996, -99, 1346, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-02-05 00:00:00', 0, 6.8417778020000002, -99, 1379, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-02-06 00:00:00', 0, 9.2776355739999996, -99, 1652, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-02-07 00:00:00', 0, 9.5905790329999991, -99, 1681, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-02-08 00:00:00', 0, 10.57039928, -99, 1472, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-02-09 00:00:00', 0, 10.299902919999999, -99, 1433, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-02-10 00:00:00', 0, 11.474361419999999, -99, 1480, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-02-11 00:00:00', 0, 13.899872780000001, -99, 1231, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-02-12 00:00:00', 0, 14.208063129999999, -99, 1649, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-02-13 00:00:00', 0, 14.291540149999999, -99, 1487, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-02-14 00:00:00', 0, 13.7163372, -99, 1714, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-02-15 00:00:00', 0.14000000100000001, 13.258679389999999, -99, 1616, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-02-16 00:00:00', 0, 14.23089695, -99, 1750, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-02-17 00:00:00', 0, 17.076192859999999, -99, 1922, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-02-18 00:00:00', 0, 11.19192982, -99, 1699, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-02-19 00:00:00', 0.01, 10.506388660000001, -99, 1591, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-02-20 00:00:00', 0, 7.38649559, -99, 2012, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-02-21 00:00:00', 0, 5.3047800059999997, -99, 2070, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-02-22 00:00:00', 0.519999981, 5.4165649409999999, -99, 824, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-02-23 00:00:00', 0, 10.11393166, -99, 1998, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-02-24 00:00:00', 5.6900000569999998, 10.29181385, -99, 58, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-02-25 00:00:00', 0.070000000000000007, 12.531967160000001, -99, 371, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-02-26 00:00:00', 2.920000076, 12.395896909999999, -99, 1300, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-02-27 00:00:00', 0.02, 12.164618490000001, -99, 857, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-02-28 00:00:00', 0, 10.395966530000001, -99, 1829, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-03-01 00:00:00', 0, 9.5250949859999992, -99, 1897, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-03-02 00:00:00', 0, 9.1272983550000006, -99, 2056, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-03-03 00:00:00', 0, 10.30217457, -99, 2200, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-03-04 00:00:00', 0, 11.27714634, -99, 2081, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-03-05 00:00:00', 0, 9.5795784000000008, -99, 2264, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-03-06 00:00:00', 0, 9.7209701539999998, -99, 1944, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-03-07 00:00:00', 0, 11.195021629999999, -99, 1847, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-03-08 00:00:00', 0, 14.0073185, -99, 1721, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-03-09 00:00:00', 0, 13.187242510000001, -99, 2221, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-03-10 00:00:00', 3.2999999519999998, 15.65211296, -99, 2218, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-03-11 00:00:00', 0.85000002399999997, 16.864236829999999, -99, 1667, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-03-12 00:00:00', 0.039999999000000001, 16.187797549999999, -99, 1786, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-03-13 00:00:00', 2.6500000950000002, 14.4737072, -99, 1044, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-03-14 00:00:00', 0.61000001400000003, 14.005624770000001, -99, 1058, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-03-15 00:00:00', 0, 11.9384079, -99, 2315, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-03-16 00:00:00', 0, 10.78763199, -99, 1962, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-03-17 00:00:00', 0, 10.209091190000001, -99, 2354, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-03-18 00:00:00', 0.44999998800000002, 11.288646699999999, -99, 1786, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-03-19 00:00:00', 0, 8.7250280379999996, -99, 2070, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-03-20 00:00:00', 0, 9.7600812910000005, -99, 1069, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-03-21 00:00:00', 0, 15.03485298, -99, 2164, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-03-22 00:00:00', 0.49000000999999999, 17.213523859999999, -99, 814, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-03-23 00:00:00', 0.12999999500000001, 16.072160719999999, -99, 1876, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-03-24 00:00:00', 7.0900001530000001, 17.683839800000001, -99, 1206, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-03-25 00:00:00', 1.519999981, 13.33484077, -99, 2081, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-03-26 00:00:00', 0.18000000699999999, 8.2118492130000007, -99, 1962, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-03-27 00:00:00', 0, 8.4242553709999992, -99, 2178, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-03-28 00:00:00', 0, 7.3374824519999997, -99, 2232, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-03-29 00:00:00', 0, 10.38042259, -99, 2394, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-03-30 00:00:00', 0.039999999000000001, 11.28283596, -99, 2545, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-03-31 00:00:00', 0, 12.705863000000001, -99, 2300, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-04-01 00:00:00', 0, 11.57489681, -99, 2646, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-04-02 00:00:00', 0, 11.471642490000001, -99, 2660, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-04-03 00:00:00', 0, 12.48571205, -99, 2182, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-04-04 00:00:00', 0, 12.928596499999999, -99, 2729, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-04-05 00:00:00', 0, 12.75606251, -99, 2761, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-04-06 00:00:00', 0, 15.22090626, -99, 2390, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-04-07 00:00:00', 0, 15.793658260000001, -99, 2394, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-04-08 00:00:00', 0, 16.865476610000002, -99, 2725, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-04-09 00:00:00', 0, 15.814681050000001, -99, 2707, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-04-10 00:00:00', 0.109999999, 16.852998729999999, -99, 2300, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-04-11 00:00:00', 0.01, 20.698635100000001, -99, 2581, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-04-12 00:00:00', 0.01, 17.08736038, -99, 2686, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-04-13 00:00:00', 0.62000000499999997, 17.30607796, -99, 2156, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-04-14 00:00:00', 1.7799999710000001, 21.15480423, -99, 2138, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-04-15 00:00:00', 0.66000002599999996, 16.564350130000001, -99, 2452, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-04-16 00:00:00', 0, 17.194517139999999, -99, 2686, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-04-17 00:00:00', 0, 16.67617989, -99, 2905, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-04-18 00:00:00', 0, 17.409261699999998, -99, 2894, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-04-19 00:00:00', 0, 16.385148999999998, -99, 2736, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-04-20 00:00:00', 0, 18.039489750000001, -99, 2387, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-04-21 00:00:00', 0, 19.091201779999999, -99, 2772, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-04-22 00:00:00', 0, 20.21386528, -99, 2851, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-04-23 00:00:00', 0, 22.044851300000001, -99, 2614, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-04-24 00:00:00', 0, 20.62815475, -99, 2657, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-04-25 00:00:00', 1.2000000479999999, 22.019393919999999, -99, 2902, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-04-26 00:00:00', 0, 22.735334399999999, -99, 2786, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-04-27 00:00:00', 0, 23.089111330000001, -99, 2761, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-04-28 00:00:00', 0, 23.774997710000001, -99, 2804, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-04-29 00:00:00', 0, 24.416034700000001, -99, 2704, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-04-30 00:00:00', 0, 24.908840179999999, -99, 2966, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-05-01 00:00:00', 0, 25.293573380000002, -99, 2815, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-05-02 00:00:00', 0.02, 25.650918959999998, -99, 2722, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-05-03 00:00:00', 0, 26.451585770000001, -99, 2704, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-05-04 00:00:00', 0, 24.816085820000001, -99, 2722, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-05-05 00:00:00', 0, 23.655881879999999, -99, 2938, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-05-06 00:00:00', 0, 23.495458599999999, -99, 2970, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-05-07 00:00:00', 0, 25.406129839999998, -99, 2934, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-05-08 00:00:00', 2.5899999139999998, 27.45345116, -99, 2052, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-05-09 00:00:00', 0, 21.72728729, -99, 2495, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-05-10 00:00:00', 0, 25.719648360000001, -99, 1955, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-05-11 00:00:00', 0, 23.020164489999999, -99, 2783, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-05-12 00:00:00', 0, 20.513832090000001, -99, 2999, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-05-13 00:00:00', 0, 20.246158600000001, -99, 2610, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-05-14 00:00:00', 0, 20.652797700000001, -99, 2599, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-05-15 00:00:00', 0.12999999500000001, 24.787918090000002, -99, 2621, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-05-16 00:00:00', 0.36000001399999998, 25.284090039999999, -99, 2945, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-05-17 00:00:00', 1.6299999949999999, 24.416225430000001, -99, 2563, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-05-18 00:00:00', 0.070000000000000007, 19.625064850000001, -99, 2646, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-05-19 00:00:00', 0, 21.432277679999999, -99, 2970, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-05-20 00:00:00', 0, 21.909887309999998, -99, 2966, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-05-21 00:00:00', 0, 24.83208084, -99, 2952, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-05-22 00:00:00', 0, 26.29341316, -99, 2210, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-05-23 00:00:00', 0, 26.978145600000001, -99, 2376, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-05-24 00:00:00', 0, 26.639362340000002, -99, 3035, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-05-25 00:00:00', 0, 27.23978996, -99, 3110, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-05-26 00:00:00', 0, 29.84665871, -99, 3010, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-05-27 00:00:00', 0, 28.37970734, -99, 2765, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-05-28 00:00:00', 0, 26.865142819999999, -99, 3042, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-05-29 00:00:00', 1.019999981, 25.369808200000001, -99, 2524, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-05-30 00:00:00', 1.3600000139999999, 22.236345289999999, -99, 2347, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-05-31 00:00:00', 0.560000002, 23.61195755, -99, 2279, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-06-01 00:00:00', 0, 23.380250929999999, -99, 2862, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-06-02 00:00:00', 0, 24.573120119999999, -99, 3100, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-06-03 00:00:00', 0.959999979, 27.438919070000001, -99, 2722, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-06-04 00:00:00', 0, 26.20048714, -99, 3092, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-06-05 00:00:00', 0, 29.578048710000001, -99, 3028, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-06-06 00:00:00', 0, 26.352127079999999, -99, 3078, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-06-07 00:00:00', 0, 29.256433489999999, -99, 2963, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-06-08 00:00:00', 0, 29.470460889999998, -99, 3154, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-06-09 00:00:00', 0.050000001000000002, 29.364276889999999, -99, 3179, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-06-10 00:00:00', 0, 27.869935989999998, -99, 3172, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-06-11 00:00:00', 0, 28.310214999999999, -99, 3186, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-06-12 00:00:00', 0, 28.508666989999998, -99, 3064, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-06-13 00:00:00', 0.01, 30.468395229999999, -99, 2844, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-06-14 00:00:00', 2.4500000480000002, 29.704595569999999, -99, 2344, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-06-15 00:00:00', 1.039999962, 24.985130309999999, -99, 1156, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-06-16 00:00:00', 0, 24.3287735, -99, 2934, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-06-17 00:00:00', 7.5599999430000002, 27.26482391, -99, 3035, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-06-18 00:00:00', 0.090000003999999995, 23.446950910000002, -99, 3132, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-06-19 00:00:00', 0, 26.474674220000001, -99, 2635, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-06-20 00:00:00', 0, 25.7109375, -99, 2981, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-06-21 00:00:00', 0, 29.04501724, -99, 3107, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-06-22 00:00:00', 0, 30.51595116, -99, 2948, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-06-23 00:00:00', 3.3499999049999998, 30.822816849999999, -99, 2596, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-06-24 00:00:00', 8.3000001910000005, 24.037727360000002, -99, 2052, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-06-25 00:00:00', 0, 25.79579163, -99, 2930, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-06-26 00:00:00', 0.079999998000000003, 26.892538070000001, -99, 1724, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-06-27 00:00:00', 0, 25.89760399, -99, 2808, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-06-28 00:00:00', 0, 27.229415889999999, -99, 3071, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-06-29 00:00:00', 0, 27.577058789999999, -99, 2848, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-06-30 00:00:00', 0, 28.12141609, -99, 2794, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-07-01 00:00:00', 0, 28.800447460000001, -99, 2462, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-07-02 00:00:00', 0, 28.47586441, -99, 2596, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-07-03 00:00:00', 7.6100001339999999, 28.90967178, -99, 2398, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-07-04 00:00:00', 15.65999985, 28.96266747, -99, 2628, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-07-05 00:00:00', 0, 27.219038009999998, -99, 2923, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-07-06 00:00:00', 0.01, 29.70340538, -99, 2916, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-07-07 00:00:00', 12.18000031, 32.094524380000003, -99, 2750, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-07-08 00:00:00', 3.789999962, 24.103717799999998, -99, 781, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-07-09 00:00:00', 19.229999540000001, 25.296459200000001, -99, 580, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-07-10 00:00:00', 2.9100000860000002, 24.573284149999999, -99, 324, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-07-11 00:00:00', 8.3800001139999996, 24.82447243, -99, 2430, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-07-12 00:00:00', 0.070000000000000007, 24.898435589999998, -99, 2498, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-07-13 00:00:00', 0.74000001000000004, 25.77253151, -99, 2297, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-07-14 00:00:00', 3.2000000480000002, 28.158403400000001, -99, 3020, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-07-15 00:00:00', 0.579999983, 28.305336, -99, 2934, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-07-16 00:00:00', 22.020000459999999, 24.600872039999999, -99, 1753, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-07-17 00:00:00', 5.6399998660000001, 25.204994200000002, -99, 929, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-07-18 00:00:00', 0.72000002900000004, 24.77739334, -99, 1771, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-07-19 00:00:00', 0.059999998999999998, 26.127014160000002, -99, 2369, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-07-20 00:00:00', 0.050000001000000002, 26.19879341, -99, 2621, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-07-21 00:00:00', 81.989997860000003, 27.639282229999999, -99, 2290, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-07-22 00:00:00', 10.89000034, 24.64782524, -99, 1706, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-07-23 00:00:00', 5.6599998469999999, 24.404024119999999, -99, 1699, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-07-24 00:00:00', 6.8899998660000001, 24.62364006, -99, 1987, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-07-25 00:00:00', 0, 24.061592099999999, -99, 2970, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-07-26 00:00:00', 0, 24.340562819999999, -99, 2855, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-07-27 00:00:00', 0.039999999000000001, 24.72540283, -99, 2707, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-07-28 00:00:00', 0, 26.209529880000002, -99, 2754, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-07-29 00:00:00', 0, 27.139547350000001, -99, 2660, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-07-30 00:00:00', 0, 27.831153870000001, -99, 2912, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-07-31 00:00:00', 0.050000001000000002, 27.52525902, -99, 2844, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-08-01 00:00:00', 0, 27.737337109999999, -99, 2257, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-08-02 00:00:00', 2.2200000289999999, 28.04604149, -99, 2650, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-08-03 00:00:00', 0, 26.678201680000001, -99, 2866, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-08-04 00:00:00', 0.02, 28.37214088, -99, 2531, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-08-05 00:00:00', 0, 27.373769759999998, -99, 2272, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-08-06 00:00:00', 6.1300001139999996, 26.208072659999999, -99, 1645, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-08-07 00:00:00', 6.8000001909999996, 26.362657550000002, -99, 2185, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-08-08 00:00:00', 0, 27.147972110000001, -99, 2826, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-08-09 00:00:00', 0, 27.77470207, -99, 2606, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-08-10 00:00:00', 0.029999998999999999, 27.83767319, -99, 2383, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-08-11 00:00:00', 4.3800001139999996, 27.958850859999998, -99, 2149, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-08-12 00:00:00', 0, 25.532850270000001, -99, 2398, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-08-13 00:00:00', 0, 27.12096786, -99, 2156, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-08-14 00:00:00', 0, 28.157632830000001, -99, 2178, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-08-15 00:00:00', 0, 26.835550309999999, -99, 2614, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-08-16 00:00:00', 0.039999999000000001, 27.28684616, -99, 2786, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-08-17 00:00:00', 0, 26.43869209, -99, 2671, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-08-18 00:00:00', 0, 25.70495605, -99, 2686, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-08-19 00:00:00', 0, 27.479949950000002, -99, 2765, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-08-20 00:00:00', 0, 27.92281723, -99, 2668, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-08-21 00:00:00', 0, 27.060445789999999, -99, 2675, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-08-22 00:00:00', 0, 27.42084122, -99, 2794, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-08-23 00:00:00', 0, 27.627220149999999, -99, 2653, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-08-24 00:00:00', 0.01, 26.713336940000001, -99, 2441, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-08-25 00:00:00', 0, 26.749839779999999, -99, 2552, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-08-26 00:00:00', 0, 26.84618759, -99, 2524, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-08-27 00:00:00', 0, 26.825965879999998, -99, 2585, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-08-28 00:00:00', 0, 27.206773760000001, -99, 2495, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-08-29 00:00:00', 0, 26.88636589, -99, 2358, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-08-30 00:00:00', 0, 27.410556790000001, -99, 2376, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-08-31 00:00:00', 0, 27.739866259999999, -99, 2059, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-09-01 00:00:00', 0.12999999500000001, 24.19001579, -99, 1577, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-09-02 00:00:00', 3.7000000480000002, 24.85388184, -99, 954, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-09-03 00:00:00', 13.619999890000001, 24.309972760000001, -99, 1858, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-09-04 00:00:00', 12.06999969, 23.664587019999999, -99, 2286, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-09-05 00:00:00', 14.149999619999999, 23.801027300000001, -99, 2279, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-09-06 00:00:00', 0.5, 23.190618520000001, -99, 1660, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-09-07 00:00:00', 0.029999998999999999, 23.342678070000002, -99, 2120, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-09-08 00:00:00', 3.670000076, 24.549966810000001, -99, 1670, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-09-09 00:00:00', 3.0299999710000001, 24.63305664, -99, 2426, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-09-10 00:00:00', 4.420000076, 24.755855560000001, -99, 1606, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-09-11 00:00:00', 3.3099999430000002, 24.201250080000001, -99, 576, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-09-12 00:00:00', 2.5599999430000002, 23.52594757, -99, 2185, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-09-13 00:00:00', 3.7999999519999998, 21.80121231, -99, 968, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-09-14 00:00:00', 0, 22.139797210000001, -99, 2228, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-09-15 00:00:00', 0, 22.41069031, -99, 2239, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-09-16 00:00:00', 0, 24.233570100000001, -99, 2149, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-09-17 00:00:00', 0.090000003999999995, 25.298532489999999, -99, 2372, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-09-18 00:00:00', 0, 25.135076519999998, -99, 2293, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-09-19 00:00:00', 0.01, 24.605026250000002, -99, 2149, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-09-20 00:00:00', 0, 25.78841972, -99, 2138, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-09-21 00:00:00', 0.109999999, 25.817010880000002, -99, 1512, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-09-22 00:00:00', 1.1100000139999999, 25.105697630000002, -99, 2056, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-09-23 00:00:00', 0, 25.07428741, -99, 1991, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-09-24 00:00:00', 3.3099999430000002, 24.089506149999998, -99, 2099, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-09-25 00:00:00', 0, 21.846878050000001, -99, 1969, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-09-26 00:00:00', 0, 22.352134700000001, -99, 2016, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-09-27 00:00:00', 0, 22.96288109, -99, 2016, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-09-28 00:00:00', 0, 23.003187180000001, -99, 1890, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-09-29 00:00:00', 0, 21.37631416, -99, 1937, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-09-30 00:00:00', 0, 21.110162729999999, -99, 1998, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-10-01 00:00:00', 0, 21.397178650000001, -99, 2286, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-10-02 00:00:00', 0, 22.20715332, -99, 2207, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-10-03 00:00:00', 0, 22.07060242, -99, 2243, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-10-04 00:00:00', 0, 22.712934489999999, -99, 2077, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-10-05 00:00:00', 0, 22.560441969999999, -99, 1847, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-10-06 00:00:00', 0, 22.45126724, -99, 2171, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-10-07 00:00:00', 0, 20.27723885, -99, 2045, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-10-08 00:00:00', 0, 20.552944180000001, -99, 2142, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-10-09 00:00:00', 0, 20.797647479999998, -99, 2099, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-10-10 00:00:00', 0, 19.460302349999999, -99, 2153, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-10-11 00:00:00', 0, 20.86779022, -99, 2041, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-10-12 00:00:00', 0, 17.612051009999998, -99, 2185, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-10-13 00:00:00', 0, 16.701889040000001, -99, 2106, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-10-14 00:00:00', 0, 14.335836410000001, -99, 2099, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-10-15 00:00:00', 0, 14.291602129999999, -99, 2081, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-10-16 00:00:00', 0, 14.757195469999999, -99, 2088, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-10-17 00:00:00', 0, 14.94482708, -99, 2099, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-10-18 00:00:00', 0, 15.87419605, -99, 2052, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-10-19 00:00:00', 0, 14.350003239999999, -99, 2077, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-10-20 00:00:00', 0, 13.915511130000001, -99, 2070, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-10-21 00:00:00', 0, 11.86929226, -99, 2045, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-10-22 00:00:00', 0, 12.47966766, -99, 1937, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-10-23 00:00:00', 0, 13.170618060000001, -99, 1912, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-10-24 00:00:00', 0, 12.748399729999999, -99, 1739, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-10-25 00:00:00', 0, 14.24784088, -99, 1937, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-10-26 00:00:00', 0, 13.432652470000001, -99, 1940, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-10-27 00:00:00', 0, 13.7135458, -99, 1919, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-10-28 00:00:00', 0, 13.62939072, -99, 1793, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-10-29 00:00:00', 0, 12.9851799, -99, 1904, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-10-30 00:00:00', 0, 13.8989954, -99, 1620, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-10-31 00:00:00', 0, 14.22302723, -99, 1562, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-11-01 00:00:00', 0, 14.22076416, -99, 1825, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-11-02 00:00:00', 0, 14.65698051, -99, 1570, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-11-03 00:00:00', 0, 13.73109341, -99, 1746, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-11-04 00:00:00', 0, 14.097309109999999, -99, 1717, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-11-05 00:00:00', 0, 14.709487920000001, -99, 1688, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-11-06 00:00:00', 0, 17.96153069, -99, 1512, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-11-07 00:00:00', 0.01, 18.256214140000001, -99, 1433, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-11-08 00:00:00', 0, 17.834960939999998, -99, 1555, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-11-09 00:00:00', 0, 14.29054451, -99, 1613, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-11-10 00:00:00', 0, 13.23878288, -99, 1627, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-11-11 00:00:00', 0, 9.5942049029999996, -99, 1663, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-11-12 00:00:00', 0, 10.20155621, -99, 1584, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-11-13 00:00:00', 0, 11.078565599999999, -99, 1642, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-11-14 00:00:00', 0, 13.73693752, -99, 1274, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-11-15 00:00:00', 0, 11.854695319999999, -99, 695, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-11-16 00:00:00', 0, 13.411911010000001, -99, 1303, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-11-17 00:00:00', 0, 12.69670868, -99, 1508, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-11-18 00:00:00', 0, 13.35623646, -99, 1505, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-11-19 00:00:00', 0, 13.807657239999999, -99, 1566, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-11-20 00:00:00', 0, 9.7855052950000001, -99, 1440, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-11-21 00:00:00', 0, 9.0719919200000003, -99, 1616, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-11-22 00:00:00', 0, 8.3866987230000003, -99, 1508, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-11-23 00:00:00', 0, 8.0692491529999995, -99, 1498, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-11-24 00:00:00', 0, 10.376095769999999, -99, 1512, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-11-25 00:00:00', 0, 9.0096311569999994, -99, 1476, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-11-26 00:00:00', 0, 8.2452793119999992, -99, 1512, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-11-27 00:00:00', 0, 7.6587533949999997, -99, 1516, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-11-28 00:00:00', 0, 7.764793396, -99, 1476, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-11-29 00:00:00', 0, 8.5141744609999996, -99, 1433, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-11-30 00:00:00', 0, 9.5384092329999994, -99, 1102, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-12-01 00:00:00', 0, 11.664018629999999, -99, 1422, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-12-02 00:00:00', 0, 10.8012085, -99, 1148, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-12-03 00:00:00', 0, 9.2935295100000008, -99, 1357, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-12-04 00:00:00', 0, 10.528318410000001, -99, 1433, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-12-05 00:00:00', 0, 8.5610694889999994, -99, 1418, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-12-06 00:00:00', 0, 8.5560693739999998, -99, 1332, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-12-07 00:00:00', 0, 8.0860738750000003, -99, 1422, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-12-08 00:00:00', 0, 9.4981231689999994, -99, 1433, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-12-09 00:00:00', 0, 7.8716683390000002, -99, 1451, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-12-10 00:00:00', 0, 7.0147104259999997, -99, 1440, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-12-11 00:00:00', 0, 6.8031573300000003, -99, 1436, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-12-12 00:00:00', 0, 6.7729563710000003, -99, 1426, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-12-13 00:00:00', 0, 5.9811244009999998, -99, 1415, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-12-14 00:00:00', 0, 6.0518755909999999, -99, 1447, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-12-15 00:00:00', 0, 6.1340246199999999, -99, 1429, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-12-16 00:00:00', 0, 4.7652359009999996, -99, 1408, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-12-17 00:00:00', 0, 4.745195389, -99, 1213, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-12-18 00:00:00', 0, 6.6786122319999999, -99, 961, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-12-19 00:00:00', 0, 8.3937931060000004, -99, 1307, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-12-20 00:00:00', 0, 4.4374279980000004, -99, 1292, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-12-21 00:00:00', 0, 3.4649574759999999, -99, 1397, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-12-22 00:00:00', 0, 4.6129293440000003, -99, 1408, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-12-23 00:00:00', 0, 3.525162935, -99, 1253, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-12-24 00:00:00', 0, 3.804066658, -99, 1292, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-12-25 00:00:00', 0, 3.8851351740000002, -99, 1411, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-12-26 00:00:00', 0, 6.3394412989999998, -99, 1357, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-12-27 00:00:00', 0, 4.5922269819999997, -99, 1336, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-12-28 00:00:00', 0, 7.5875582699999997, -99, 1192, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-12-29 00:00:00', 0, 6.6031813619999999, -99, 1278, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-12-30 00:00:00', 0, 6.3100914960000001, -99, 1382, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-12-31 00:00:00', 0, 6.3494753839999998, -99, 1184, 'lud', 'lud_1993');
INSERT INTO public.cdy_cldat VALUES ('1994-01-01 00:00:00', 0, 7.5014824869999996, -99, 1170, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-01-02 00:00:00', 0, 7.370786667, -99, 1325, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-01-03 00:00:00', 0, 9.0544919969999995, -99, 1418, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-01-04 00:00:00', 0, 7.163932323, -99, 922, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-01-05 00:00:00', 0, 7.6811017990000003, -99, 1231, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-01-06 00:00:00', 0, 6.675274849, -99, 1408, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-01-07 00:00:00', 0.02, 6.553168297, -99, 1375, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-01-08 00:00:00', 0, 7.6091547009999996, -99, 1436, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-01-09 00:00:00', 0, 7.777868271, -99, 1235, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-01-10 00:00:00', 0, 6.6353321080000001, -99, 796, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-01-11 00:00:00', 10.670000079999999, 7.9902138709999999, -99, 911, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-01-12 00:00:00', 11.210000040000001, 11.859564779999999, -99, 806, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-01-13 00:00:00', 1.559999943, 12.97368526, -99, 1109, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-01-14 00:00:00', 0, 11.36387444, -99, 1033, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-01-15 00:00:00', 0, 10.57969952, -99, 1310, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-01-16 00:00:00', 0, 9.9242048260000004, -99, 1429, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-01-17 00:00:00', 0, 6.9349369999999997, -99, 493, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-01-18 00:00:00', 0, 8.1927118300000004, -99, 1364, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-01-19 00:00:00', 0.280000001, 7.9140615460000001, -99, 1404, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-01-20 00:00:00', 0, 8.3441934589999995, -99, 1008, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-01-21 00:00:00', 0, 6.0451545720000004, -99, 1537, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-01-22 00:00:00', 0, 5.354947567, -99, 1624, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-01-23 00:00:00', 0, 4.4995546339999999, -99, 1620, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-01-24 00:00:00', 0, 6.0911555289999999, -99, 1469, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-01-25 00:00:00', 0, 9.9490756989999998, -99, 1307, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-01-26 00:00:00', 0, 9.6480293269999997, -99, 472, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-01-27 00:00:00', 0, 13.21231747, -99, 580, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-01-28 00:00:00', 0.25, 13.67092705, -99, 713, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-01-29 00:00:00', 0, 9.7840433119999997, -99, 1480, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-01-30 00:00:00', 0, 6.1685461999999998, -99, 1681, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-01-31 00:00:00', 0, 6.0674076079999999, -99, 1152, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-02-01 00:00:00', 0, 6.3490028379999996, -99, 1732, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-02-02 00:00:00', 0, 6.6279668809999999, -99, 1447, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-02-03 00:00:00', 0, 8.171199799, -99, 1541, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-02-04 00:00:00', 0, 10.77642822, -99, 1310, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-02-05 00:00:00', 0, 11.460822110000001, -99, 1303, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-02-06 00:00:00', 0, 7.5390095710000002, -99, 1062, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-02-07 00:00:00', 1.7799999710000001, 9.8728008270000007, -99, 1210, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-02-08 00:00:00', 0.97000002900000004, 11.167315479999999, -99, 1667, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-02-09 00:00:00', 0, 7.9571895599999998, -99, 1825, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-02-10 00:00:00', 0, 6.9757714269999997, -99, 1490, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-02-11 00:00:00', 0, 7.7158970829999998, -99, 1400, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-02-12 00:00:00', 0, 7.4071440700000002, -99, 1825, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-02-13 00:00:00', 0.25, 7.2829685209999999, -99, 569, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-02-14 00:00:00', 0, 10.31267738, -99, 1832, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-02-15 00:00:00', 1.190000057, 8.3135862350000007, -99, 1260, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-02-16 00:00:00', 0, 10.63878536, -99, 1926, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-02-17 00:00:00', 0, 9.677324295, -99, 1955, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-02-18 00:00:00', 0, 9.3588361740000003, -99, 2009, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-02-19 00:00:00', 0, 9.1524772639999998, -99, 1858, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-02-20 00:00:00', 7.25, 10.76903248, -99, 907, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-02-21 00:00:00', 4.2399997709999999, 13.94672489, -99, 1134, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-02-22 00:00:00', 0, 9.307297707, -99, 1822, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-02-23 00:00:00', 0, 8.9305953979999995, -99, 1930, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-02-24 00:00:00', 0, 8.0172300340000007, -99, 2131, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-02-25 00:00:00', 0, 10.55162239, -99, 2034, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-02-26 00:00:00', 0.12999999500000001, 11.66664886, -99, 1379, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-02-27 00:00:00', 0, 10.88141823, -99, 2149, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-02-28 00:00:00', 0, 9.4254913330000001, -99, 2185, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-03-01 00:00:00', 0, 9.3455791470000005, -99, 1757, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-03-02 00:00:00', 0, 10.2254343, -99, 2174, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-03-03 00:00:00', 0, 11.469799999999999, -99, 1660, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-03-04 00:00:00', 0, 13.161874770000001, -99, 2236, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-03-05 00:00:00', 0, 10.74923038, -99, 2293, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-03-06 00:00:00', 0, 10.90956974, -99, 2059, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-03-07 00:00:00', 0, 9.8448591230000009, -99, 2124, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-03-08 00:00:00', 0, 10.59501648, -99, 2380, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-03-09 00:00:00', 0, 11.694504739999999, -99, 2236, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-03-10 00:00:00', 0, 11.906418800000001, -99, 2160, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-03-11 00:00:00', 0, 14.88487625, -99, 1778, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-03-12 00:00:00', 0, 15.13704205, -99, 1688, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-03-13 00:00:00', 0, 14.834520339999999, -99, 1444, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-03-14 00:00:00', 0.01, 17.191396709999999, -99, 1847, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-03-15 00:00:00', 0.079999998000000003, 16.767452240000001, -99, 1462, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-03-16 00:00:00', 0, 17.570114140000001, -99, 1735, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-03-17 00:00:00', 0, 17.035339359999998, -99, 2304, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-03-18 00:00:00', 0, 17.32189369, -99, 2452, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-03-19 00:00:00', 0.059999998999999998, 18.975770950000001, -99, 1912, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-03-20 00:00:00', 0.15999999600000001, 17.900785450000001, -99, 1699, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-03-21 00:00:00', 0, 15.20437145, -99, 2502, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-03-22 00:00:00', 0, 14.467670439999999, -99, 2552, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-03-23 00:00:00', 0, 14.94013309, -99, 2570, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-03-24 00:00:00', 0, 15.416514400000001, -99, 2333, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-03-25 00:00:00', 0, 17.757503509999999, -99, 2200, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-03-26 00:00:00', 0, 15.520113950000001, -99, 2632, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-03-27 00:00:00', 0, 15.838048929999999, -99, 2524, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-03-28 00:00:00', 0, 15.36606598, -99, 2290, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-03-29 00:00:00', 0, 17.72270584, -99, 1940, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-03-30 00:00:00', 0, 19.85247231, -99, 1919, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-03-31 00:00:00', 0, 19.10380936, -99, 2596, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-04-01 00:00:00', 0, 16.83322334, -99, 2639, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-04-02 00:00:00', 0, 18.466743470000001, -99, 2646, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-04-03 00:00:00', 0, 15.836620330000001, -99, 1782, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-04-04 00:00:00', 0.27000001099999998, 21.018337249999998, -99, 1699, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-04-05 00:00:00', 0.01, 18.554149630000001, -99, 2473, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-04-06 00:00:00', 0, 18.669393540000002, -99, 2614, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-04-07 00:00:00', 0, 9.9504661559999992, -99, 2480, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-04-08 00:00:00', 0, 10.48333454, -99, 2574, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-04-09 00:00:00', 0, 11.95631599, -99, 2909, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-04-10 00:00:00', 0, 13.737967490000001, -99, 2801, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-04-11 00:00:00', 0, 15.39167881, -99, 2884, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-04-12 00:00:00', 0, 15.07168579, -99, 2671, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-04-13 00:00:00', 0, 16.484264369999998, -99, 1847, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-04-14 00:00:00', 0.039999999000000001, 22.25537872, -99, 1951, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-04-15 00:00:00', 0.23000000400000001, 16.035825729999999, -99, 2570, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-04-16 00:00:00', 0, 16.851217269999999, -99, 2729, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-04-17 00:00:00', 0, 17.245361330000001, -99, 2812, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-04-18 00:00:00', 0, 15.63763237, -99, 2444, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-04-19 00:00:00', 0, 21.553741460000001, -99, 2740, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-04-20 00:00:00', 0.059999998999999998, 21.0948925, -99, 2390, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-04-21 00:00:00', 0.029999998999999999, 17.535984039999999, -99, 2614, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-04-22 00:00:00', 0.039999999000000001, 20.160310750000001, -99, 2322, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-04-23 00:00:00', 0.029999998999999999, 17.746082309999998, -99, 2300, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-04-24 00:00:00', 0, 16.754201890000001, -99, 2995, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-04-25 00:00:00', 0, 18.06522751, -99, 2909, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-04-26 00:00:00', 0, 19.483673100000001, -99, 2956, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-04-27 00:00:00', 0, 19.867996219999998, -99, 2981, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-04-28 00:00:00', 0, 21.372264860000001, -99, 3064, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-04-29 00:00:00', 0, 24.286058430000001, -99, 2282, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-04-30 00:00:00', 0, 23.144319530000001, -99, 2218, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-05-01 00:00:00', 0, 25.14447594, -99, 2398, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-05-02 00:00:00', 0, 22.55891037, -99, 2585, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-05-03 00:00:00', 0, 25.982301710000002, -99, 2682, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-05-04 00:00:00', 0, 26.15337753, -99, 1512, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-05-05 00:00:00', 0, 23.65029144, -99, 2905, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-05-06 00:00:00', 0.090000003999999995, 23.864091869999999, -99, 2362, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-05-07 00:00:00', 0, 24.590675350000001, -99, 2250, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-05-08 00:00:00', 0.090000003999999995, 23.847141270000002, -99, 1318, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-05-09 00:00:00', 0.31999999299999998, 22.17830086, -99, 2660, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-05-10 00:00:00', 0, 19.97657585, -99, 2920, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-05-11 00:00:00', 0, 20.034221649999999, -99, 2840, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-05-12 00:00:00', 0.119999997, 20.569549559999999, -99, 1145, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-05-13 00:00:00', 0.66000002599999996, 22.15005493, -99, 1562, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-05-14 00:00:00', 0, 20.639438630000001, -99, 2923, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-05-15 00:00:00', 0, 21.3555603, -99, 2963, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-05-16 00:00:00', 0, 21.773851390000001, -99, 3082, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-05-17 00:00:00', 0, 22.18166351, -99, 2902, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-05-18 00:00:00', 0, 23.62712479, -99, 2995, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-05-19 00:00:00', 0.02, 25.47036743, -99, 2966, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-05-20 00:00:00', 0, 26.596612929999999, -99, 2923, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-05-21 00:00:00', 0, 27.492443080000001, -99, 3089, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-05-22 00:00:00', 0, 27.91732025, -99, 3038, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-05-23 00:00:00', 0.079999998000000003, 31.6191864, -99, 2927, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-05-24 00:00:00', 0, 26.278596879999998, -99, 2804, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-05-25 00:00:00', 0, 25.099857329999999, -99, 2887, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-05-26 00:00:00', 0, 24.08902359, -99, 3136, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-05-27 00:00:00', 0, 23.35126305, -99, 3038, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-05-28 00:00:00', 0, 24.376441960000001, -99, 3132, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-05-29 00:00:00', 0, 27.6839695, -99, 2736, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-05-30 00:00:00', 0, 26.57730484, -99, 3179, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-05-31 00:00:00', 0, 27.050266270000002, -99, 2095, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-06-01 00:00:00', 0.02, 28.17222404, -99, 2783, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-06-02 00:00:00', 0, 26.378450390000001, -99, 2826, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-06-03 00:00:00', 0, 25.644447329999998, -99, 2768, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-06-04 00:00:00', 0, 25.27126122, -99, 3164, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-06-05 00:00:00', 0, 26.753400800000001, -99, 3118, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-06-06 00:00:00', 0, 26.4771328, -99, 3197, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-06-07 00:00:00', 0, 27.08781433, -99, 3168, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-06-08 00:00:00', 0, 28.349494929999999, -99, 2970, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-06-09 00:00:00', 0, 32.247657779999997, -99, 2261, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-06-10 00:00:00', 4.420000076, 31.961057660000002, -99, 2444, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-06-11 00:00:00', 1.4500000479999999, 24.21277237, -99, 2207, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-06-12 00:00:00', 0, 23.891134260000001, -99, 2174, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-06-13 00:00:00', 0, 23.451864239999999, -99, 2891, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-06-14 00:00:00', 0, 24.63143539, -99, 3067, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-06-15 00:00:00', 0, 25.241237640000001, -99, 3222, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-06-16 00:00:00', 0, 25.296628949999999, -99, 3110, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-06-17 00:00:00', 0, 26.089624400000002, -99, 2866, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-06-18 00:00:00', 0, 27.892095569999999, -99, 2912, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-06-19 00:00:00', 0, 28.916131969999999, -99, 2884, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-06-20 00:00:00', 0, 25.933355330000001, -99, 2819, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-06-21 00:00:00', 0, 30.42240906, -99, 3114, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-06-22 00:00:00', 0, 30.907861709999999, -99, 3067, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-06-23 00:00:00', 0, 29.010148999999998, -99, 2902, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-06-24 00:00:00', 0, 30.786201479999999, -99, 2714, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-06-25 00:00:00', 1.7400000099999999, 30.00872421, -99, 2459, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-06-26 00:00:00', 5.5500001909999996, 23.658277510000001, -99, 2016, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-06-27 00:00:00', 0.30000001199999998, 27.331779480000002, -99, 2646, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-06-28 00:00:00', 0, 27.934936520000001, -99, 2732, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-06-29 00:00:00', 0, 28.251665119999998, -99, 2646, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-06-30 00:00:00', 0.43000000700000002, 27.699142460000001, -99, 2786, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-07-01 00:00:00', 1.0099999900000001, 28.53998756, -99, 1300, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-07-02 00:00:00', 0.60000002399999997, 27.157281879999999, -99, 2779, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-07-03 00:00:00', 1.6100000139999999, 28.782377239999999, -99, 1685, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-07-04 00:00:00', 0, 27.189807890000001, -99, 2570, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-07-05 00:00:00', 0.33000001299999998, 28.445056919999999, -99, 2632, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-07-06 00:00:00', 0.439999998, 27.792709349999999, -99, 2149, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-07-07 00:00:00', 3.2999999519999998, 29.364057540000001, -99, 1984, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-07-08 00:00:00', 0.89999997600000003, 27.490608219999999, -99, 511, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-07-09 00:00:00', 0.189999998, 25.930328370000002, -99, 2513, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-07-10 00:00:00', 0, 28.56298065, -99, 2002, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-07-11 00:00:00', 15.130000109999999, 29.12534904, -99, 1775, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-07-12 00:00:00', 0, 25.542503360000001, -99, 1199, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-07-13 00:00:00', 0, 27.608467099999999, -99, 2156, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-07-14 00:00:00', 2.329999924, 29.095750809999998, -99, 2488, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-07-15 00:00:00', 0.540000021, 26.517910000000001, -99, 2459, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-07-16 00:00:00', 0, 28.987417220000001, -99, 2430, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-07-17 00:00:00', 7.4099998469999999, 29.836429599999999, -99, 1357, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-07-18 00:00:00', 3.7599999899999998, 26.84467888, -99, 454, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-07-19 00:00:00', 7, 27.75679779, -99, 1728, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-07-20 00:00:00', 2.8399999139999998, 27.774229049999999, -99, 806, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-07-21 00:00:00', 0, 25.995941160000001, -99, 1469, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-07-22 00:00:00', 2.1500000950000002, 27.046827319999998, -99, 1418, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-07-23 00:00:00', 4, 26.891035080000002, -99, 1152, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-07-24 00:00:00', 21.799999239999998, 26.918867110000001, -99, 1789, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-07-25 00:00:00', 0.49000000999999999, 26.576341630000002, -99, 2124, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-07-26 00:00:00', 0.58999997400000004, 27.950235370000001, -99, 2272, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-07-27 00:00:00', 9.8999996190000008, 27.76231194, -99, 72, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-07-28 00:00:00', 3.920000076, 25.953794479999999, -99, 1645, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-07-29 00:00:00', 0.079999998000000003, 27.226310730000002, -99, 918, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-07-30 00:00:00', 10.170000079999999, 26.897890090000001, -99, 1570, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-07-31 00:00:00', 4.6999998090000004, 25.871217730000001, -99, 2142, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-08-01 00:00:00', 0, 26.663127899999999, -99, 2304, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-08-02 00:00:00', 0, 28.432250979999999, -99, 2261, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-08-03 00:00:00', 15.829999920000001, 28.085422520000002, -99, 1469, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-08-04 00:00:00', 0.079999998000000003, 25.296314240000001, -99, 695, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-08-05 00:00:00', 5.3899998660000001, 27.162031169999999, -99, 2480, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-08-06 00:00:00', 0.02, 27.418157579999999, -99, 1966, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-08-07 00:00:00', 3.9800000190000002, 28.099378590000001, -99, 1753, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-08-08 00:00:00', 2.0499999519999998, 26.83993912, -99, 1847, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-08-09 00:00:00', 2, 26.97727394, -99, 1919, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-08-10 00:00:00', 5.2600002290000001, 22.620317459999999, -99, 1818, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-08-11 00:00:00', 0.14000000100000001, 25.927024840000001, -99, 1890, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-08-12 00:00:00', 6.4600000380000004, 26.735475539999999, -99, 2354, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-08-13 00:00:00', 0.55000001200000004, 27.144115450000001, -99, 2372, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-08-14 00:00:00', 0.579999983, 26.912378310000001, -99, 1836, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-08-15 00:00:00', 47.02999878, 27.460788730000001, -99, 2250, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-08-16 00:00:00', 4.8200001720000003, 25.675388340000001, -99, 1760, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-08-17 00:00:00', 0.69999998799999996, 25.111169820000001, -99, 1796, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-08-18 00:00:00', 10.380000109999999, 25.274261469999999, -99, 2477, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-08-19 00:00:00', 0, 25.672168729999999, -99, 2225, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-08-20 00:00:00', 0, 27.508457180000001, -99, 2257, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-08-21 00:00:00', 0.01, 26.200445179999999, -99, 1840, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-08-22 00:00:00', 3.630000114, 27.343141559999999, -99, 2077, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-08-23 00:00:00', 33.88999939, 25.240274429999999, -99, 749, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-08-24 00:00:00', 20.88999939, 24.580019, -99, 691, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-08-25 00:00:00', 11.210000040000001, 25.252511980000001, -99, 1962, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-08-26 00:00:00', 3.0599999430000002, 25.134880070000001, -99, 1616, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-08-27 00:00:00', 1.1100000139999999, 25.521104810000001, -99, 1714, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-08-28 00:00:00', 1.289999962, 26.852361680000001, -99, 1940, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-08-29 00:00:00', 0, 25.985080719999999, -99, 2243, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-08-30 00:00:00', 0, 26.939668659999999, -99, 2232, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-08-31 00:00:00', 4.25, 27.337326050000001, -99, 1498, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-09-01 00:00:00', 3.960000038, 25.05220413, -99, 2225, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-09-02 00:00:00', 0, 27.387632369999999, -99, 2416, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-09-03 00:00:00', 4.6199998860000004, 26.43018532, -99, 1843, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-09-04 00:00:00', 1.9299999480000001, 26.271617890000002, -99, 2005, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-09-05 00:00:00', 3.7000000480000002, 25.297975539999999, -99, 810, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-09-06 00:00:00', 9.0799999239999991, 25.322280880000001, -99, 2210, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-09-07 00:00:00', 7.0700001720000003, 25.11159134, -99, 1847, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-09-08 00:00:00', 0.050000001000000002, 26.239067080000002, -99, 1602, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-09-09 00:00:00', 27.090000150000002, 25.78507042, -99, 1472, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-09-10 00:00:00', 14.460000040000001, 25.247529979999999, -99, 691, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-09-11 00:00:00', 0.87999999500000003, 24.828929899999999, -99, 198, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-09-12 00:00:00', 23.350000380000001, 25.759336470000001, -99, 1739, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-09-13 00:00:00', 7.5599999430000002, 24.550960539999998, -99, 2052, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-09-14 00:00:00', 0, 23.23526382, -99, 1998, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-09-15 00:00:00', 0, 24.53672791, -99, 2232, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-09-16 00:00:00', 0, 24.310699459999999, -99, 2102, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-09-17 00:00:00', 0, 24.387907030000001, -99, 2182, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-09-18 00:00:00', 0.20000000300000001, 23.918373110000001, -99, 2156, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-09-19 00:00:00', 0, 21.78223801, -99, 2156, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-09-20 00:00:00', 0, 21.018623349999999, -99, 2146, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-09-21 00:00:00', 0, 21.877069469999999, -99, 2192, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-09-22 00:00:00', 0, 22.43087006, -99, 2056, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-09-23 00:00:00', 0, 21.907918930000001, -99, 2214, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-09-24 00:00:00', 0, 20.076021189999999, -99, 2218, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-09-25 00:00:00', 0, 19.559946060000001, -99, 2174, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-09-26 00:00:00', 0, 18.184125900000002, -99, 2128, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-09-27 00:00:00', 0, 18.030263900000001, -99, 2005, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-09-28 00:00:00', 0, 17.943147660000001, -99, 2160, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-09-29 00:00:00', 0, 18.365465159999999, -99, 2102, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-09-30 00:00:00', 0, 18.766414640000001, -99, 2077, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-10-01 00:00:00', 0, 17.877166750000001, -99, 2236, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-10-02 00:00:00', 0, 17.878486630000001, -99, 2297, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-10-03 00:00:00', 0, 18.109649659999999, -99, 2250, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-10-04 00:00:00', 0, 19.190923690000002, -99, 2210, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-10-05 00:00:00', 0, 19.953903199999999, -99, 1537, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-10-06 00:00:00', 0, 21.483158110000002, -99, 1645, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-10-07 00:00:00', 0, 19.86388397, -99, 2218, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-10-08 00:00:00', 0, 17.191019059999999, -99, 2189, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-10-09 00:00:00', 0, 16.413761139999998, -99, 2160, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-10-10 00:00:00', 0, 17.114027020000002, -99, 2120, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-10-11 00:00:00', 0, 18.916263579999999, -99, 2110, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-10-12 00:00:00', 0, 15.31501579, -99, 2164, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-10-13 00:00:00', 0.029999998999999999, 16.21414948, -99, 1710, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-10-14 00:00:00', 0, 17.36650848, -99, 1757, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-10-15 00:00:00', 0, 15.835609440000001, -99, 1822, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-10-16 00:00:00', 0, 14.434923169999999, -99, 2077, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-10-17 00:00:00', 0, 13.37620735, -99, 2074, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-10-18 00:00:00', 0, 15.03421307, -99, 2038, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-10-19 00:00:00', 0, 14.541302679999999, -99, 1987, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-10-20 00:00:00', 0, 15.099531170000001, -99, 1976, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-10-21 00:00:00', 0, 15.20387459, -99, 1987, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-10-22 00:00:00', 0, 15.94738102, -99, 1976, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-10-23 00:00:00', 0, 16.71174049, -99, 1919, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-10-24 00:00:00', 0, 16.742160800000001, -99, 1897, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-10-25 00:00:00', 0.01, 18.08950806, -99, 1476, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-10-26 00:00:00', 0, 18.636770250000001, -99, 1825, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-10-27 00:00:00', 0, 13.8637104, -99, 1847, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-10-28 00:00:00', 0, 15.47188759, -99, 1840, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-10-29 00:00:00', 0, 12.47870541, -99, 1868, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-10-30 00:00:00', 0, 12.71729088, -99, 1879, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-10-31 00:00:00', 0, 11.76155758, -99, 1840, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-11-01 00:00:00', 0, 10.75210667, -99, 1800, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-11-02 00:00:00', 0, 11.846380229999999, -99, 1699, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-11-03 00:00:00', 0, 13.25472355, -99, 1307, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-11-04 00:00:00', 0, 13.302555079999999, -99, 1408, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-11-05 00:00:00', 0, 12.58542347, -99, 1732, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-11-06 00:00:00', 0, 13.07878685, -99, 1620, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-11-07 00:00:00', 0, 12.758176799999999, -99, 1728, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-11-08 00:00:00', 0, 12.67712212, -99, 1379, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-11-09 00:00:00', 0, 12.29594994, -99, 1714, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-11-10 00:00:00', 0, 12.300488469999999, -99, 1616, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-11-11 00:00:00', 0, 12.50007725, -99, 1508, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-11-12 00:00:00', 0, 13.15716362, -99, 1652, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-11-13 00:00:00', 0, 12.64688492, -99, 1573, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-11-14 00:00:00', 0, 12.267309190000001, -99, 1379, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-11-15 00:00:00', 0, 11.125667569999999, -99, 1609, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-11-16 00:00:00', 0, 10.543946269999999, -99, 1627, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-11-17 00:00:00', 0, 11.101513860000001, -99, 1570, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-11-18 00:00:00', 0, 10.1368885, -99, 1562, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-11-19 00:00:00', 0, 10.21887302, -99, 1480, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-11-20 00:00:00', 0, 11.24159431, -99, 1541, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-11-21 00:00:00', 0, 11.108419420000001, -99, 1530, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-11-22 00:00:00', 0, 9.7244472500000008, -99, 1357, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-11-23 00:00:00', 0, 9.6405782700000007, -99, 1530, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-11-24 00:00:00', 0, 9.5810279850000004, -99, 1415, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-11-25 00:00:00', 0, 10.153570179999999, -99, 1501, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-11-26 00:00:00', 0, 10.13422489, -99, 1440, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-11-27 00:00:00', 0, 10.750865940000001, -99, 1451, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-11-28 00:00:00', 0, 10.663034440000001, -99, 1451, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-11-29 00:00:00', 0, 10.27306366, -99, 1483, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-11-30 00:00:00', 0, 10.0654459, -99, 1411, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-12-01 00:00:00', 0, 9.5954904560000003, -99, 1379, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-12-02 00:00:00', 0, 9.8367233279999997, -99, 1440, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-12-03 00:00:00', 0, 11.56429005, -99, 1433, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-12-04 00:00:00', 0, 10.838573459999999, -99, 1332, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-12-05 00:00:00', 0, 9.9465761179999994, -99, 958, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-12-06 00:00:00', 0, 10.21863842, -99, 943, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-12-07 00:00:00', 0, 13.328201290000001, -99, 922, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-12-08 00:00:00', 0, 16.001497270000002, -99, 929, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-12-09 00:00:00', 0, 13.09798241, -99, 1415, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-12-10 00:00:00', 0, 8.2101984019999996, -99, 1436, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-12-11 00:00:00', 0, 7.8060359950000002, -99, 1447, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-12-12 00:00:00', 0, 4.8017330170000001, -99, 1274, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-12-13 00:00:00', 0, 5.5624861719999998, -99, 1411, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-12-14 00:00:00', 0, 4.9726157190000002, -99, 1073, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-12-15 00:00:00', 0, 6.4091029170000002, -99, 1415, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-12-16 00:00:00', 0, 5.1111588479999996, -99, 1418, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-12-17 00:00:00', 0, 4.271614552, -99, 1415, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-12-18 00:00:00', 0, 4.5374369620000001, -99, 1393, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-12-19 00:00:00', 0, 5.0576276780000002, -99, 1400, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-12-20 00:00:00', 0, 4.8158445360000002, -99, 1404, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-12-21 00:00:00', 0, 5.1065588000000002, -99, 1404, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-12-22 00:00:00', 0.01, 6.866132736, -99, 1256, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-12-23 00:00:00', 0.050000001000000002, 8.7748899460000001, -99, 1012, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-12-24 00:00:00', 0.50999998999999996, 12.855565070000001, -99, 900, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-12-25 00:00:00', 0.66000002599999996, 10.049588200000001, -99, 932, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-12-26 00:00:00', 0.029999998999999999, 12.75622177, -99, 911, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-12-27 00:00:00', 0.47999998900000002, 13.670364380000001, -99, 900, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-12-28 00:00:00', 0.050000001000000002, 12.7195158, -99, 1192, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-12-29 00:00:00', 0, 8.6740617750000002, -99, 1390, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-12-30 00:00:00', 0.36000001399999998, 6.0098190310000001, -99, 1408, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-12-31 00:00:00', 0, 4.6170053480000002, -99, 1282, 'lud', 'lud_1994');
INSERT INTO public.cdy_cldat VALUES ('1995-01-01 00:00:00', 0, 2.954436302, -99, 1375, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-01-02 00:00:00', 0, 4.4543838500000001, -99, 1256, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-01-03 00:00:00', 0.34000000400000002, 6.0952472689999997, -99, 1170, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-01-04 00:00:00', 0, 8.386333466, -99, 1242, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-01-05 00:00:00', 0, 5.6614985469999999, -99, 1418, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-01-06 00:00:00', 0, 6.5321421620000004, -99, 1433, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-01-07 00:00:00', 0.34999999399999998, 6.1311979289999998, -99, 1444, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-01-08 00:00:00', 24.299999239999998, 8.8290338520000002, -99, 760, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-01-09 00:00:00', 0.689999998, 9.8360843659999997, -99, 760, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-01-10 00:00:00', 0, 6.7742538449999996, -99, 1451, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-01-11 00:00:00', 0, 6.3235030170000002, -99, 1422, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-01-12 00:00:00', 0, 5.8093552590000002, -99, 1490, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-01-13 00:00:00', 0, 22.044023509999999, -99, 1141, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-01-14 00:00:00', 3.079999924, 7.0488152499999996, -99, 806, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-01-15 00:00:00', 1.0499999520000001, 9.5885286329999992, -99, 803, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-01-16 00:00:00', 0, 7.9600057599999996, -99, 1012, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-01-17 00:00:00', 0, 7.550434589, -99, 1541, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-01-18 00:00:00', 0, 6.1093416210000004, -99, 1454, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-01-19 00:00:00', 0, 9.8307018280000005, -99, 1339, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-01-20 00:00:00', 0, 7.8664231300000003, -99, 1404, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-01-21 00:00:00', 0, 6.8853383060000004, -99, 1598, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-01-22 00:00:00', 0, 5.1870017050000001, -99, 1634, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-01-23 00:00:00', 0, 3.6672492029999999, -99, 1429, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-01-24 00:00:00', 0, 7.3613238330000001, -99, 1357, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-01-25 00:00:00', 0, 5.1946692470000002, -99, 1645, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-01-26 00:00:00', 0, 6.5595579150000001, -99, 1645, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-01-27 00:00:00', 0, 7.7731971739999999, -99, 1606, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-01-28 00:00:00', 0, 8.6936168669999994, -99, 1595, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-01-29 00:00:00', 0, 8.8170404429999998, -99, 1692, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-01-30 00:00:00', 0, 7.2345361710000002, -99, 1739, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-01-31 00:00:00', 0, 5.9553527830000004, -99, 1728, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-02-01 00:00:00', 0, 5.2535543440000003, -99, 1706, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-02-02 00:00:00', 0, 5.3380002979999999, -99, 1433, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-02-03 00:00:00', 0, 6.3862767219999999, -99, 1584, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-02-04 00:00:00', 0, 6.8784389499999996, -99, 1760, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-02-05 00:00:00', 0, 7.6060185430000002, -99, 1814, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-02-06 00:00:00', 0, 8.2058124540000001, -99, 1138, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-02-07 00:00:00', 0, 8.2489643099999999, -99, 1076, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-02-08 00:00:00', 0, 9.9543285370000003, -99, 1516, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-02-09 00:00:00', 0, 10.594399449999999, -99, 1523, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-02-10 00:00:00', 0.050000001000000002, 13.54841328, -99, 785, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-02-11 00:00:00', 4.0399999619999996, 16.020647050000001, -99, 400, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-02-12 00:00:00', 4.9800000190000002, 14.418475150000001, -99, 608, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-02-13 00:00:00', 3.4000000950000002, 11.36377811, -99, 1580, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-02-14 00:00:00', 17.75, 14.41951847, -99, 295, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-02-15 00:00:00', 0, 11.734601019999999, -99, 1631, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-02-16 00:00:00', 0, 9.6690187450000007, -99, 1883, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-02-17 00:00:00', 0, 9.6047534940000006, -99, 1879, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-02-18 00:00:00', 0, 11.79316425, -99, 1235, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-02-19 00:00:00', 0, 10.213046070000001, -99, 1696, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-02-20 00:00:00', 0, 8.6861209870000007, -99, 2016, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-02-21 00:00:00', 0, 8.1959447860000001, -99, 2023, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-02-22 00:00:00', 0.540000021, 9.7034835820000005, -99, 864, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-02-23 00:00:00', 0, 7.5300469400000001, -99, 1962, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-02-24 00:00:00', 0, 6.6523303990000002, -99, 2120, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-02-25 00:00:00', 0.34999999399999998, 9.2961053850000006, -99, 436, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-02-26 00:00:00', 1.269999981, 10.47313499, -99, 1944, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-02-27 00:00:00', 5.7399997709999999, 12.0746336, -99, 767, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-02-28 00:00:00', 0, 10.06330204, -99, 2131, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-03-01 00:00:00', 0, 7.5957441330000002, -99, 1930, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-03-02 00:00:00', 0, 8.3306999210000008, -99, 1919, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-03-03 00:00:00', 0, 8.0558586119999998, -99, 2189, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-03-04 00:00:00', 0, 9.6213607789999998, -99, 2261, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-03-05 00:00:00', 0, 8.0832357409999993, -99, 2106, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-03-06 00:00:00', 0, 7.4378352169999999, -99, 2279, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-03-07 00:00:00', 0, 8.4039325710000004, -99, 2239, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-03-08 00:00:00', 0.070000000000000007, 9.2787694930000004, -99, 2203, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-03-09 00:00:00', 0.12999999500000001, 11.43733215, -99, 1940, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-03-10 00:00:00', 0, 10.83499241, -99, 2178, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-03-11 00:00:00', 0, 8.290503502, -99, 2326, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-03-12 00:00:00', 0, 8.8887510299999999, -99, 2358, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-03-13 00:00:00', 0, 11.06807804, -99, 2218, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-03-14 00:00:00', 0, 9.6528463359999996, -99, 2430, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-03-15 00:00:00', 0, 12.952543260000001, -99, 338, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-03-16 00:00:00', 0, 13.48773956, -99, 1620, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-03-17 00:00:00', 0.12999999500000001, 14.087177280000001, -99, 2390, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-03-18 00:00:00', 0, 14.045874599999999, -99, 1825, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-03-19 00:00:00', 0, 14.918460850000001, -99, 1652, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-03-20 00:00:00', 0, 15.20581245, -99, 2264, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-03-21 00:00:00', 0, 15.61590099, -99, 2264, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-03-22 00:00:00', 0, 16.43242073, -99, 1739, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-03-23 00:00:00', 0, 18.816549299999998, -99, 1447, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-03-24 00:00:00', 0, 19.813665390000001, -99, 1073, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-03-25 00:00:00', 2.9100000860000002, 19.17551422, -99, 2045, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-03-26 00:00:00', 0.039999999000000001, 16.97145081, -99, 2005, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-03-27 00:00:00', 0, 16.475807190000001, -99, 2142, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-03-28 00:00:00', 1.039999962, 17.249139790000001, -99, 918, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-03-29 00:00:00', 0, 16.553936, -99, 1336, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-03-30 00:00:00', 0, 13.44146252, -99, 2513, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-03-31 00:00:00', 0.49000000999999999, 13.524655340000001, -99, 2610, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-04-01 00:00:00', 0, 14.40100479, -99, 2664, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-04-02 00:00:00', 0, 12.11778545, -99, 2732, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-04-03 00:00:00', 0, 12.259073259999999, -99, 2725, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-04-04 00:00:00', 0, 15.67488766, -99, 2322, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-04-05 00:00:00', 0, 13.348235130000001, -99, 2682, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-04-06 00:00:00', 0, 14.21079636, -99, 2326, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-04-07 00:00:00', 0, 15.16798496, -99, 2354, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-04-08 00:00:00', 0, 16.09610558, -99, 2527, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-04-09 00:00:00', 0.31999999299999998, 19.805694580000001, -99, 1588, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-04-10 00:00:00', 1.519999981, 17.678710939999998, -99, 2214, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-04-11 00:00:00', 0, 16.890005110000001, -99, 2686, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-04-12 00:00:00', 0, 16.743688580000001, -99, 2556, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-04-13 00:00:00', 0, 15.78731728, -99, 2646, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-04-14 00:00:00', 0, 15.894197460000001, -99, 2214, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-04-15 00:00:00', 0, 19.282144550000002, -99, 1778, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-04-16 00:00:00', 0, 21.57799911, -99, 2200, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-04-17 00:00:00', 0, 20.933372500000001, -99, 724, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-04-18 00:00:00', 0.790000021, 19.32509422, -99, 1094, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-04-19 00:00:00', 0, 16.77463341, -99, 2437, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-04-20 00:00:00', 0.15000000599999999, 18.751791000000001, -99, 2700, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-04-21 00:00:00', 0, 16.959413529999999, -99, 2462, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-04-22 00:00:00', 0.039999999000000001, 19.96266747, -99, 623, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-04-23 00:00:00', 0, 20.868747710000001, -99, 2045, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-04-24 00:00:00', 0.070000000000000007, 19.689096450000001, -99, 2545, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-04-25 00:00:00', 0, 22.27581215, -99, 2282, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-04-26 00:00:00', 0, 23.578880309999999, -99, 860, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-04-27 00:00:00', 0, 19.949380869999999, -99, 2182, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-04-28 00:00:00', 0, 22.417255399999998, -99, 2786, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-04-29 00:00:00', 0, 22.323007579999999, -99, 2138, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-04-30 00:00:00', 0, 23.404348370000001, -99, 2851, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-05-01 00:00:00', 0, 22.15152359, -99, 2574, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-05-02 00:00:00', 0, 21.593978880000002, -99, 2585, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-05-03 00:00:00', 0, 21.134622570000001, -99, 3064, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-05-04 00:00:00', 0, 20.009622570000001, -99, 3028, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-05-05 00:00:00', 0, 22.569892880000001, -99, 3002, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-05-06 00:00:00', 0, 21.739002230000001, -99, 2941, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-05-07 00:00:00', 0, 22.526054380000001, -99, 2995, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-05-08 00:00:00', 0, 22.731351849999999, -99, 2963, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-05-09 00:00:00', 0, 25.99444008, -99, 2959, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-05-10 00:00:00', 0, 26.707769389999999, -99, 2740, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-05-11 00:00:00', 0.01, 27.855957029999999, -99, 1246, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-05-12 00:00:00', 0, 24.912387850000002, -99, 2725, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-05-13 00:00:00', 0, 26.075613019999999, -99, 3056, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-05-14 00:00:00', 0, 24.069520950000001, -99, 3031, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-05-15 00:00:00', 0, 24.51039505, -99, 3046, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-05-16 00:00:00', 0, 25.62896156, -99, 2984, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-05-17 00:00:00', 0, 27.48301506, -99, 2869, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-05-18 00:00:00', 0, 27.54451942, -99, 2581, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-05-19 00:00:00', 0, 26.655708310000001, -99, 2556, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-05-20 00:00:00', 0, 26.432571410000001, -99, 2290, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-05-21 00:00:00', 0, 27.069870000000002, -99, 2491, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-05-22 00:00:00', 0.01, 25.251977920000002, -99, 2243, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-05-23 00:00:00', 0, 23.555713650000001, -99, 2981, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-05-24 00:00:00', 0, 24.49516869, -99, 3028, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-05-25 00:00:00', 0, 24.772443769999999, -99, 2095, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-05-26 00:00:00', 0, 24.88600731, -99, 3172, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-05-27 00:00:00', 0, 23.035697939999999, -99, 3118, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-05-28 00:00:00', 0, 22.934925079999999, -99, 3172, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-05-29 00:00:00', 0, 24.90441895, -99, 3125, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-05-30 00:00:00', 0, 23.81864929, -99, 3136, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-05-31 00:00:00', 0, 25.283689500000001, -99, 2999, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-06-01 00:00:00', 0, 27.645006179999999, -99, 3053, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-06-02 00:00:00', 0, 28.00747681, -99, 2952, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-06-03 00:00:00', 0, 27.846721649999999, -99, 2869, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-06-04 00:00:00', 0, 27.701007839999999, -99, 3179, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-06-05 00:00:00', 0, 25.691181180000001, -99, 3053, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-06-06 00:00:00', 0, 25.965934749999999, -99, 3190, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-06-07 00:00:00', 0, 26.316062930000001, -99, 3154, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-06-08 00:00:00', 0, 27.729511259999999, -99, 3006, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-06-09 00:00:00', 0, 27.699239729999999, -99, 3017, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-06-10 00:00:00', 0, 29.362260819999999, -99, 2887, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-06-11 00:00:00', 0, 30.283662799999998, -99, 2984, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-06-12 00:00:00', 0, 31.92278671, -99, 3089, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-06-13 00:00:00', 0, 30.209651950000001, -99, 3092, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-06-14 00:00:00', 0, 28.66365051, -99, 3096, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-06-15 00:00:00', 0, 29.699960709999999, -99, 3096, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-06-16 00:00:00', 0, 31.70443916, -99, 3121, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-06-17 00:00:00', 0, 32.390663150000002, -99, 2689, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-06-18 00:00:00', 0, 29.644365310000001, -99, 2747, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-06-19 00:00:00', 12.600000380000001, 28.515033720000002, -99, 1674, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-06-20 00:00:00', 18.469999309999999, 22.497695920000002, -99, 2311, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-06-21 00:00:00', 0.029999998999999999, 22.498628620000002, -99, 1721, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-06-22 00:00:00', 5.670000076, 23.22297287, -99, 1224, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-06-23 00:00:00', 0, 21.300037379999999, -99, 2844, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-06-24 00:00:00', 0, 24.025480269999999, -99, 2912, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-06-25 00:00:00', 0, 25.83621407, -99, 2891, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-06-26 00:00:00', 0, 27.151481629999999, -99, 2948, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-06-27 00:00:00', 0, 28.685775759999999, -99, 2948, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-06-28 00:00:00', 1.309999943, 27.985595700000001, -99, 2660, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-06-29 00:00:00', 0, 28.37107658, -99, 2797, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-06-30 00:00:00', 0, 29.337486269999999, -99, 2855, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-07-01 00:00:00', 0, 26.627096179999999, -99, 3017, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-07-02 00:00:00', 0, 30.17546844, -99, 2693, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-07-03 00:00:00', 0, 27.932172779999998, -99, 2484, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-07-04 00:00:00', 0, 29.012550350000001, -99, 2495, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-07-05 00:00:00', 0, 27.949892040000002, -99, 1962, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-07-06 00:00:00', 0, 28.472385410000001, -99, 1811, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-07-07 00:00:00', 0, 29.832817080000002, -99, 1260, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-07-08 00:00:00', 0, 29.117000579999999, -99, 2491, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-07-09 00:00:00', 0.519999981, 27.829862590000001, -99, 2754, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-07-10 00:00:00', 3.460000038, 27.809623720000001, -99, 2506, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-07-11 00:00:00', 0.769999981, 25.18050766, -99, 1782, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-07-12 00:00:00', 0, 25.412048339999998, -99, 2668, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-07-13 00:00:00', 0, 27.222024919999999, -99, 2491, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-07-14 00:00:00', 0, 28.987377169999998, -99, 2398, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-07-15 00:00:00', 2.9900000100000002, 28.410177229999999, -99, 634, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-07-16 00:00:00', 0, 27.506536480000001, -99, 1937, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-07-17 00:00:00', 10.27000046, 28.622880940000002, -99, 2927, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-07-18 00:00:00', 2.369999886, 28.10459328, -99, 101, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-07-19 00:00:00', 0, 26.30062294, -99, 2099, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-07-20 00:00:00', 0, 28.855897899999999, -99, 2048, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-07-21 00:00:00', 0, 27.926786419999999, -99, 2084, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-07-22 00:00:00', 0.050000001000000002, 28.23635101, -99, 1469, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-07-23 00:00:00', 4.6500000950000002, 27.116966250000001, -99, 1969, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-07-24 00:00:00', 1.519999981, 27.112960820000001, -99, 1678, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-07-25 00:00:00', 0.89999997600000003, 27.158029559999999, -99, 1825, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-07-26 00:00:00', 8.6899995800000003, 27.12070465, -99, 1426, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-07-27 00:00:00', 45.91999817, 25.221294400000001, -99, 148, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-07-28 00:00:00', 4.079999924, 24.866626740000001, -99, 1732, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-07-29 00:00:00', 0, 25.661956790000001, -99, 2232, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-07-30 00:00:00', 0, 27.956281659999998, -99, 2869, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-07-31 00:00:00', 13.079999920000001, 28.738468170000001, -99, 2567, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-08-01 00:00:00', 2.2300000190000002, 28.082029339999998, -99, 2459, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-08-02 00:00:00', 12.380000109999999, 26.548856740000002, -99, 1591, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-08-03 00:00:00', 24.809999470000001, 25.067333219999998, -99, 594, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-08-04 00:00:00', 13.350000380000001, 25.76869774, -99, 493, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-08-05 00:00:00', 10.350000380000001, 24.956966399999999, -99, 893, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-08-06 00:00:00', 12.22999954, 25.996236799999998, -99, 83, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-08-07 00:00:00', 4.4299998279999997, 25.748901369999999, -99, 1422, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-08-08 00:00:00', 22.309999470000001, 25.758811949999998, -99, 842, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-08-09 00:00:00', 10.34000015, 25.75991058, -99, 173, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-08-10 00:00:00', 6.7699999809999998, 26.01681709, -99, 2167, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-08-11 00:00:00', 0.059999998999999998, 26.791584010000001, -99, 2005, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-08-12 00:00:00', 9.3100004199999997, 27.51257133, -99, 1840, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-08-13 00:00:00', 57.759998320000001, 27.064022059999999, -99, 1440, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-08-14 00:00:00', 1.9500000479999999, 24.791507719999998, -99, 724, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-08-15 00:00:00', 1.7799999710000001, 25.897312159999998, -99, 2657, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-08-16 00:00:00', 5.6500000950000002, 27.051874160000001, -99, 2488, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-08-17 00:00:00', 1.0299999710000001, 26.635557169999998, -99, 1638, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-08-18 00:00:00', 3.8399999139999998, 27.38757515, -99, 2362, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-08-19 00:00:00', 26.079999919999999, 26.925733569999998, -99, 2387, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-08-20 00:00:00', 7.7699999809999998, 25.581647870000001, -99, 1177, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-08-21 00:00:00', 1.1000000240000001, 25.380083079999999, -99, 1386, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-08-22 00:00:00', 1.1000000240000001, 25.471866609999999, -99, 2178, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-08-23 00:00:00', 0, 26.625949859999999, -99, 2660, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-08-24 00:00:00', 0, 27.18106079, -99, 2279, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-08-25 00:00:00', 2.710000038, 26.735536580000002, -99, 1951, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-08-26 00:00:00', 12.369999890000001, 26.96047974, -99, 907, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-08-27 00:00:00', 3.1500000950000002, 25.09257126, -99, 2632, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-08-28 00:00:00', 8.7899999619999996, 25.79867363, -99, 1930, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-08-29 00:00:00', 57.150001529999997, 24.833831790000001, -99, 2128, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-08-30 00:00:00', 2.7999999519999998, 23.043600080000001, -99, 1944, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-08-31 00:00:00', 11.399999619999999, 24.442750929999999, -99, 1951, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-09-01 00:00:00', 0, 22.99750328, -99, 2419, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-09-02 00:00:00', 4.6300001139999996, 25.620008469999998, -99, 1678, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-09-03 00:00:00', 106.26000209999999, 25.038154599999999, -99, 248, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-09-04 00:00:00', 36.040000919999997, 22.710721970000002, -99, 1127, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-09-05 00:00:00', 0, 23.199415210000002, -99, 2246, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-09-06 00:00:00', 0, 22.881536480000001, -99, 2646, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-09-07 00:00:00', 0.029999998999999999, 24.99311256, -99, 2484, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-09-08 00:00:00', 0.730000019, 25.419046399999999, -99, 806, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-09-09 00:00:00', 0.079999998000000003, 24.53297615, -99, 1652, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-09-10 00:00:00', 0, 24.711469650000002, -99, 1962, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-09-11 00:00:00', 2.1600000860000002, 25.622224809999999, -99, 1937, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-09-12 00:00:00', 0, 23.5433445, -99, 2286, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-09-13 00:00:00', 0, 24.60912132, -99, 2455, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-09-14 00:00:00', 0, 24.670104980000001, -99, 2272, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-09-15 00:00:00', 0, 25.457994459999998, -99, 2473, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-09-16 00:00:00', 0, 24.287273410000001, -99, 2354, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-09-17 00:00:00', 0, 23.98655128, -99, 2351, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-09-18 00:00:00', 0, 24.894004819999999, -99, 1818, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-09-19 00:00:00', 0, 24.930246350000001, -99, 2423, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-09-20 00:00:00', 0, 24.232975010000001, -99, 2423, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-09-21 00:00:00', 0, 23.14443588, -99, 2358, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-09-22 00:00:00', 0, 23.849338530000001, -99, 2344, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-09-23 00:00:00', 0, 23.99093628, -99, 2214, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-09-24 00:00:00', 0, 23.752378459999999, -99, 2268, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-09-25 00:00:00', 0, 24.226070400000001, -99, 2315, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-09-26 00:00:00', 0, 23.350921629999998, -99, 2243, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-09-27 00:00:00', 0, 23.461555480000001, -99, 1944, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-09-28 00:00:00', 0, 23.30905533, -99, 2272, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-09-29 00:00:00', 0, 23.59742928, -99, 2207, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-09-30 00:00:00', 0, 23.634464260000001, -99, 2218, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-10-01 00:00:00', 0, 22.94630051, -99, 2099, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-10-02 00:00:00', 0, 22.19194031, -99, 2221, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-10-03 00:00:00', 0, 22.733556750000002, -99, 2128, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-10-04 00:00:00', 0, 22.110610959999999, -99, 2149, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-10-05 00:00:00', 0, 21.305255890000002, -99, 2074, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-10-06 00:00:00', 0, 21.158046720000002, -99, 2102, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-10-07 00:00:00', 0, 21.304916380000002, -99, 2192, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-10-08 00:00:00', 0, 22.454835889999998, -99, 2113, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-10-09 00:00:00', 0, 22.52408028, -99, 2059, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-10-10 00:00:00', 0, 21.759098049999999, -99, 2110, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-10-11 00:00:00', 0, 21.39417839, -99, 1847, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-10-12 00:00:00', 0, 20.582519529999999, -99, 2041, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-10-13 00:00:00', 0, 20.431476589999999, -99, 1962, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-10-14 00:00:00', 0, 20.418325419999999, -99, 2005, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-10-15 00:00:00', 1.1799999480000001, 21.601810459999999, -99, 2020, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-10-16 00:00:00', 1.7400000099999999, 20.604188919999999, -99, 1181, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-10-17 00:00:00', 0, 18.19062233, -99, 2002, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-10-18 00:00:00', 0, 18.733737949999998, -99, 1933, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-10-19 00:00:00', 0.97000002900000004, 17.959032059999998, -99, 1570, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-10-20 00:00:00', 0, 17.072317120000001, -99, 1411, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-10-21 00:00:00', 0, 16.816640849999999, -99, 1930, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-10-22 00:00:00', 0, 17.03460312, -99, 1962, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-10-23 00:00:00', 0, 14.995306019999999, -99, 1969, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-10-24 00:00:00', 0, 14.49314594, -99, 1876, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-10-25 00:00:00', 0, 12.89962006, -99, 1728, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-10-26 00:00:00', 0, 15.533521650000001, -99, 1886, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-10-27 00:00:00', 0, 14.418955800000001, -99, 1850, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-10-28 00:00:00', 0, 13.444664960000001, -99, 1832, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-10-29 00:00:00', 0.27000001099999998, 17.91583061, -99, 1843, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-10-30 00:00:00', 0, 16.478351589999999, -99, 1609, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-10-31 00:00:00', 0, 13.509549140000001, -99, 1728, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-11-01 00:00:00', 0, 13.376503939999999, -99, 1832, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-11-02 00:00:00', 0, 13.02239799, -99, 1861, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-11-03 00:00:00', 0, 13.502041820000001, -99, 1782, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-11-04 00:00:00', 0, 11.910219189999999, -99, 1728, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-11-05 00:00:00', 0, 13.32496166, -99, 1710, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-11-06 00:00:00', 0, 12.05986118, -99, 1724, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-11-07 00:00:00', 0, 12.361042019999999, -99, 1674, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-11-08 00:00:00', 0, 12.47747421, -99, 1667, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-11-09 00:00:00', 0, 12.93736649, -99, 1678, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-11-10 00:00:00', 0, 13.137381550000001, -99, 1703, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-11-11 00:00:00', 0, 12.143234250000001, -99, 1681, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-11-12 00:00:00', 0, 12.120999339999999, -99, 1613, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-11-13 00:00:00', 0, 11.996051789999999, -99, 1663, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-11-14 00:00:00', 0, 10.863308910000001, -99, 1678, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-11-15 00:00:00', 0, 13.21106339, -99, 1638, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-11-16 00:00:00', 0, 12.707165720000001, -99, 1483, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-11-17 00:00:00', 0, 14.89429569, -99, 1516, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-11-18 00:00:00', 0, 12.73161125, -99, 1523, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-11-19 00:00:00', 0, 11.071126939999999, -99, 1580, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-11-20 00:00:00', 0, 11.29287624, -99, 1526, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-11-21 00:00:00', 0, 9.5806608200000003, -99, 1516, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-11-22 00:00:00', 0, 9.7138423920000001, -99, 1426, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-11-23 00:00:00', 0, 9.4640207289999996, -99, 1559, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-11-24 00:00:00', 0, 8.0024423599999999, -99, 1462, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-11-25 00:00:00', 0, 8.2701292039999998, -99, 1357, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-11-26 00:00:00', 0, 7.947786808, -99, 1397, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-11-27 00:00:00', 0.25, 7.4663729669999999, -99, 1447, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-11-28 00:00:00', 0.079999998000000003, 12.937272070000001, -99, 1134, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-11-29 00:00:00', 0.01, 10.69738579, -99, 1325, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-11-30 00:00:00', 0, 8.8961296080000007, -99, 1458, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-12-01 00:00:00', 0, 6.3341727260000003, -99, 1487, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-12-02 00:00:00', 0, 5.9564380650000004, -99, 1426, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-12-03 00:00:00', 0, 6.9899888040000002, -99, 1246, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-12-04 00:00:00', 0, 6.845311165, -99, 1292, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-12-05 00:00:00', 0, 6.9362254139999999, -99, 1141, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-12-06 00:00:00', 0, 8.256052017, -99, 1364, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-12-07 00:00:00', 0.02, 8.9111928939999991, -99, 1138, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-12-08 00:00:00', 0.039999999000000001, 10.636493679999999, -99, 475, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-12-09 00:00:00', 0, 12.5131712, -99, 1397, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-12-10 00:00:00', 0, 11.088537219999999, -99, 929, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-12-11 00:00:00', 0, 10.16221333, -99, 1379, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-12-12 00:00:00', 0, 9.1158800129999999, -99, 1224, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-12-13 00:00:00', 0, 9.6117601389999994, -99, 367, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-12-14 00:00:00', 0, 10.592280390000001, -99, 1163, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-12-15 00:00:00', 0, 7.6668925290000001, -99, 1156, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-12-16 00:00:00', 0, 8.7524528499999992, -99, 1087, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-12-17 00:00:00', 0, 9.2099170679999993, -99, 1228, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-12-18 00:00:00', 0, 9.8663692469999997, -99, 1080, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-12-19 00:00:00', 0, 9.3752918239999996, -99, 659, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-12-20 00:00:00', 0.039999999000000001, 8.8040618899999998, -99, 1181, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-12-21 00:00:00', 0, 7.6783251760000004, -99, 1220, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-12-22 00:00:00', 0, 10.529329300000001, -99, 1037, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-12-23 00:00:00', 0, 6.3074822429999999, -99, 1332, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-12-24 00:00:00', 0, 6.2006044390000001, -99, 1084, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-12-25 00:00:00', 0, 4.9402194020000003, -99, 1364, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-12-26 00:00:00', 0, 5.5242371559999999, -99, 1138, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-12-27 00:00:00', 0, 7.9678449630000001, -99, 979, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-12-28 00:00:00', 0, 6.739704132, -99, 1166, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-12-29 00:00:00', 0, 6.2384419439999999, -99, 1354, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-12-30 00:00:00', 0, 6.6098160740000003, -99, 558, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-12-31 00:00:00', 0, 7.3112497330000004, -99, 1325, 'lud', 'lud_1995');
INSERT INTO public.cdy_cldat VALUES ('1996-01-01 00:00:00', 0, 7.4292273519999998, -99, 1271, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-01-02 00:00:00', 0, 6.59459734, -99, 1397, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-01-03 00:00:00', 0, 6.9639105800000003, -99, 1253, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-01-04 00:00:00', 0, 4.9580473899999999, -99, 1364, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-01-05 00:00:00', 0, 7.4174137120000001, -99, 1019, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-01-06 00:00:00', 0, 4.9280490879999999, -99, 1292, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-01-07 00:00:00', 0, 3.9952828880000002, -99, 1253, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-01-08 00:00:00', 0, 6.9904990199999997, -99, 1328, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-01-09 00:00:00', 0, 5.1898136140000002, -99, 1436, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-01-10 00:00:00', 0, 5.8530697820000004, -99, 1087, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-01-11 00:00:00', 0, 6.1551051140000004, -99, 1350, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-01-12 00:00:00', 0, 6.749246597, -99, 1098, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-01-13 00:00:00', 1.230000019, 9.6055641170000001, -99, 781, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-01-14 00:00:00', 5.5900001530000001, 10.487201689999999, -99, 436, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-01-15 00:00:00', 10.47999954, 12.7556057, -99, 410, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-01-16 00:00:00', 1.7400000099999999, 8.0341176989999994, -99, 1505, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-01-17 00:00:00', 1.3600000139999999, 9.4141855240000005, -99, 1393, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-01-18 00:00:00', 0, 5.7340140340000003, -99, 1364, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-01-19 00:00:00', 0, 5.9026880259999999, -99, 1382, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-01-20 00:00:00', 0, 7.9482989310000001, -99, 1429, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-01-21 00:00:00', 1, 6.1061716080000004, -99, 806, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-01-22 00:00:00', 0.30000001199999998, 10.809851650000001, -99, 1026, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-01-23 00:00:00', 0, 8.7449407580000003, -99, 1627, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-01-24 00:00:00', 0, 6.9373645780000004, -99, 788, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-01-25 00:00:00', 0, 8.7094688419999997, -99, 1357, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-01-26 00:00:00', 0, 5.1367774009999998, -99, 1613, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-01-27 00:00:00', 0, 5.6293487549999996, -99, 1548, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-01-28 00:00:00', 0, 5.58144331, -99, 1606, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-01-29 00:00:00', 0, 5.160457611, -99, 1717, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-01-30 00:00:00', 0, 4.7639169690000003, -99, 1721, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-01-31 00:00:00', 0, -3.548338175, -99, 1541, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-02-01 00:00:00', 0, 7.0156116490000002, -99, 1213, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-02-02 00:00:00', 0, 4.4502210619999998, -99, 1778, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-02-03 00:00:00', 0, 5.8213734629999996, -99, 1652, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-02-04 00:00:00', 0, 6.4622488020000004, -99, 1537, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-02-05 00:00:00', 0, 6.3701305389999998, -99, 1721, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-02-06 00:00:00', 0, 8.5650386810000008, -99, 1541, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-02-07 00:00:00', 0, 8.8870344160000005, -99, 688, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-02-08 00:00:00', 0.280000001, 12.927264210000001, -99, 994, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-02-09 00:00:00', 11.670000079999999, 14.12987232, -99, 500, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-02-10 00:00:00', 0.36000001399999998, 10.69286823, -99, 432, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-02-11 00:00:00', 0, 7.5794672969999999, -99, 1793, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-02-12 00:00:00', 0, 9.1223869319999995, -99, 1735, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-02-13 00:00:00', 0, 8.6290464399999998, -99, 1822, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-02-14 00:00:00', 2.869999886, 10.61953735, -99, 832, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-02-15 00:00:00', 0, 12.1208086, -99, 1717, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-02-16 00:00:00', 0, 9.4540281299999993, -99, 1868, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-02-17 00:00:00', 0, 9.4292230610000001, -99, 1832, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-02-18 00:00:00', 0.12999999500000001, 9.7604570390000003, -99, 1908, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-02-19 00:00:00', 0, 10.677218440000001, -99, 1994, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-02-20 00:00:00', 0, 8.9231557850000005, -99, 1998, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-02-21 00:00:00', 0, 11.03879356, -99, 2016, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-02-22 00:00:00', 0, 9.7837276459999991, -99, 1224, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-02-23 00:00:00', 3.0999999049999998, 14.48428631, -99, 58, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-02-24 00:00:00', 1.460000038, 13.5177412, -99, 1559, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-02-25 00:00:00', 18, 12.77664375, -99, 1217, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-02-26 00:00:00', 0.01, 11.17385769, -99, 706, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-02-27 00:00:00', 0, 9.4916601180000004, -99, 1868, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-02-28 00:00:00', 0, 11.470844270000001, -99, 2056, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-02-29 00:00:00', 0, 11.35618401, -99, 2052, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-03-01 00:00:00', 0, 13.717922209999999, -99, 1249, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-03-02 00:00:00', 0, 13.03470802, -99, 839, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-03-03 00:00:00', 0, 12.19454956, -99, 2088, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-03-04 00:00:00', 0, 11.8062706, -99, 2045, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-03-05 00:00:00', 0, 12.14908791, -99, 1800, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-03-06 00:00:00', 0, 12.47879505, -99, 1786, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-03-07 00:00:00', 0, 15.95043755, -99, 1868, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-03-08 00:00:00', 0, 13.71906662, -99, 1699, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-03-09 00:00:00', 0, 14.213192940000001, -99, 1912, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-03-10 00:00:00', 0, 15.600532530000001, -99, 1984, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-03-11 00:00:00', 0, 16.954410549999999, -99, 2084, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-03-12 00:00:00', 0, 18.111026760000001, -99, 2131, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-03-13 00:00:00', 0, 17.593347550000001, -99, 2077, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-03-14 00:00:00', 0, 16.426807400000001, -99, 1703, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-03-15 00:00:00', 0.40999999599999998, 18.831699369999999, -99, 1534, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-03-16 00:00:00', 0.079999998000000003, 18.464822770000001, -99, 1858, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-03-17 00:00:00', 8.0799999239999991, 17.585182190000001, -99, 850, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-03-18 00:00:00', 4.6599998469999999, 15.27116871, -99, 731, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-03-19 00:00:00', 0, 13.96619701, -99, 1919, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-03-20 00:00:00', 1.0299999710000001, 14.5597353, -99, 2084, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-03-21 00:00:00', 1.8300000430000001, 16.374584200000001, -99, 1123, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-03-22 00:00:00', 0, 15.632765770000001, -99, 2380, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-03-23 00:00:00', 0, 13.778333659999999, -99, 1102, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-03-24 00:00:00', 0, 15.049713130000001, -99, 2203, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-03-25 00:00:00', 0.01, 16.486272809999999, -99, 1127, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-03-26 00:00:00', 0, 16.449094769999999, -99, 2459, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-03-27 00:00:00', 0.02, 16.802967070000001, -99, 1994, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-03-28 00:00:00', 0.519999981, 18.096138, -99, 1602, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-03-29 00:00:00', 0, 19.95533752, -99, 2527, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-03-30 00:00:00', 0, 16.062795640000001, -99, 2747, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-03-31 00:00:00', 0, 12.88018703, -99, 2437, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-04-01 00:00:00', 0, 11.930295940000001, -99, 2588, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-04-02 00:00:00', 0, 12.882356639999999, -99, 2664, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-04-03 00:00:00', 0, 13.34658432, -99, 2714, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-04-04 00:00:00', 0, 15.82085133, -99, 2646, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-04-05 00:00:00', 0, 18.091207499999999, -99, 1627, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-04-06 00:00:00', 1.309999943, 19.213672639999999, -99, 1231, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-04-07 00:00:00', 0, 20.59856606, -99, 2452, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-04-08 00:00:00', 0, 15.96800709, -99, 2819, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-04-09 00:00:00', 0, 15.49118137, -99, 2646, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-04-10 00:00:00', 0, 14.861288070000001, -99, 2498, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-04-11 00:00:00', 0, 14.946477890000001, -99, 2624, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-04-12 00:00:00', 0, 16.956996920000002, -99, 1285, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-04-13 00:00:00', 0, 17.17667007, -99, 2797, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-04-14 00:00:00', 0, 18.190511699999998, -99, 2387, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-04-15 00:00:00', 0, 18.210880280000001, -99, 2156, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-04-16 00:00:00', 0, 18.190847399999999, -99, 2747, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-04-17 00:00:00', 0, 22.977800370000001, -99, 2826, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-04-18 00:00:00', 0, 20.91743851, -99, 2722, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-04-19 00:00:00', 0.23000000400000001, 21.868450159999998, -99, 1451, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-04-20 00:00:00', 0, 20.18221664, -99, 1951, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-04-21 00:00:00', 0.25, 20.591794969999999, -99, 1544, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-04-22 00:00:00', 0.119999997, 20.62190056, -99, 1768, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-04-23 00:00:00', 0, 20.07505608, -99, 2614, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-04-24 00:00:00', 0, 19.489988329999999, -99, 2743, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-04-25 00:00:00', 0, 19.953905110000001, -99, 2887, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-04-26 00:00:00', 0, 21.224050519999999, -99, 2934, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-04-27 00:00:00', 0, 23.537910459999999, -99, 2765, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-04-28 00:00:00', 0.23000000400000001, 24.923757550000001, -99, 2257, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-04-29 00:00:00', 0, 24.56418991, -99, 2369, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-04-30 00:00:00', 0.310000002, 25.396324159999999, -99, 2833, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-05-01 00:00:00', 0, 22.649150850000002, -99, 3017, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-05-02 00:00:00', 0, 22.398227689999999, -99, 2941, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-05-03 00:00:00', 0, 23.938808439999999, -99, 2635, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-05-04 00:00:00', 0, 21.60017204, -99, 2405, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-05-05 00:00:00', 0, 23.047834399999999, -99, 2488, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-05-06 00:00:00', 0, 21.335771560000001, -99, 3168, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-05-07 00:00:00', 0, 19.48987198, -99, 3064, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-05-08 00:00:00', 0, 20.277292249999999, -99, 3020, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-05-09 00:00:00', 0, 22.767704009999999, -99, 2905, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-05-10 00:00:00', 0, 23.04307747, -99, 2794, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-05-11 00:00:00', 0.91000002599999996, 26.805456159999999, -99, 2758, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-05-12 00:00:00', 0, 21.658756260000001, -99, 2776, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-05-13 00:00:00', 0, 22.54847908, -99, 2632, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-05-14 00:00:00', 0.49000000999999999, 23.560865400000001, -99, 2621, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-05-15 00:00:00', 0, 23.60511017, -99, 2473, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-05-16 00:00:00', 0.91000002599999996, 25.172531129999999, -99, 2171, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-05-17 00:00:00', 0, 20.713182450000001, -99, 2682, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-05-18 00:00:00', 0.28999999199999998, 23.24726677, -99, 2174, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-05-19 00:00:00', 0, 21.93512917, -99, 2988, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-05-20 00:00:00', 0, 22.286951070000001, -99, 2840, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-05-21 00:00:00', 0, 25.528820039999999, -99, 839, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-05-22 00:00:00', 0.090000003999999995, 24.353593830000001, -99, 515, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-05-23 00:00:00', 0, 21.85632133, -99, 2200, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-05-24 00:00:00', 0.14000000100000001, 24.447336199999999, -99, 2567, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-05-25 00:00:00', 0, 24.432956699999998, -99, 2974, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-05-26 00:00:00', 0, 21.37150574, -99, 2905, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-05-27 00:00:00', 0, 24.569217680000001, -99, 3078, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-05-28 00:00:00', 0.039999999000000001, 24.413431169999999, -99, 3139, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-05-29 00:00:00', 0, 26.840085980000001, -99, 2927, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-05-30 00:00:00', 0, 23.932985309999999, -99, 2984, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-05-31 00:00:00', 0, 24.399106979999999, -99, 3038, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-06-01 00:00:00', 0, 26.684455870000001, -99, 2707, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-06-02 00:00:00', 0, 26.009119030000001, -99, 3114, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-06-03 00:00:00', 0, 25.085115429999998, -99, 3172, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-06-04 00:00:00', 0, 28.08498955, -99, 2621, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-06-05 00:00:00', 1.059999943, 24.557300569999999, -99, 2682, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-06-06 00:00:00', 0, 26.558153149999999, -99, 3010, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-06-07 00:00:00', 0, 26.934715270000002, -99, 2995, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-06-08 00:00:00', 3.3199999330000001, 29.09034157, -99, 2657, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-06-09 00:00:00', 0.47999998900000002, 26.907911299999999, -99, 1786, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-06-10 00:00:00', 0, 24.760505680000001, -99, 2531, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-06-11 00:00:00', 0, 26.999816890000002, -99, 2862, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-06-12 00:00:00', 1.2599999900000001, 29.201749800000002, -99, 2772, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-06-13 00:00:00', 11.52000046, 28.39693832, -99, 392, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-06-14 00:00:00', 0, 24.87637329, -99, 2560, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-06-15 00:00:00', 1.059999943, 26.597681049999998, -99, 2736, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-06-16 00:00:00', 4.5100002290000001, 25.413211820000001, -99, 1123, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-06-17 00:00:00', 0.20000000300000001, 26.437076569999999, -99, 1904, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-06-18 00:00:00', 26.219999309999999, 26.38914299, -99, 569, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-06-19 00:00:00', 6.3899998660000001, 23.56899834, -99, 338, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-06-20 00:00:00', 3.0199999809999998, 25.383792880000001, -99, 508, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-06-21 00:00:00', 4.0900001530000001, 26.898857119999999, -99, 2282, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-06-22 00:00:00', 1.25, 27.046287540000002, -99, 1789, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-06-23 00:00:00', 0.119999997, 27.163017270000001, -99, 2772, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-06-24 00:00:00', 6.1199998860000004, 27.790382390000001, -99, 2736, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-06-25 00:00:00', 9.8599996569999995, 27.780183789999999, -99, 1969, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-06-26 00:00:00', 5.3699998860000004, 25.740770340000001, -99, 2873, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-06-27 00:00:00', 0, 25.42440414, -99, 2848, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-06-28 00:00:00', 21.809999470000001, 29.81596184, -99, 2909, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-06-29 00:00:00', 11.93999958, 24.367782590000001, -99, 2466, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-06-30 00:00:00', 0.40999999599999998, 23.025270460000002, -99, 1526, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-07-01 00:00:00', 0.920000017, 25.820940019999998, -99, 2722, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-07-02 00:00:00', 0.029999998999999999, 24.975265499999999, -99, 3006, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-07-03 00:00:00', 0.5, 27.65211678, -99, 2790, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-07-04 00:00:00', 0.02, 27.09248161, -99, 2354, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-07-05 00:00:00', 3.1800000669999999, 24.875429149999999, -99, 2498, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-07-06 00:00:00', 0, 24.520610810000001, -99, 2995, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-07-07 00:00:00', 1.190000057, 27.229089739999999, -99, 2956, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-07-08 00:00:00', 0, 27.32074738, -99, 2768, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-07-09 00:00:00', 0, 28.56814194, -99, 1998, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-07-10 00:00:00', 0, 29.04894638, -99, 2354, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-07-11 00:00:00', 0, 27.837511060000001, -99, 2106, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-07-12 00:00:00', 0, 27.815166470000001, -99, 2113, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-07-13 00:00:00', 0, 27.643571850000001, -99, 2390, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-07-14 00:00:00', 2.0899999139999998, 26.915651319999998, -99, 1620, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-07-15 00:00:00', 1.039999962, 24.634958269999998, -99, 1321, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-07-16 00:00:00', 0, 26.491346360000001, -99, 2236, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-07-17 00:00:00', 0, 27.826318740000001, -99, 2344, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-07-18 00:00:00', 0, 28.191335680000002, -99, 3067, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-07-19 00:00:00', 0, 28.027359010000001, -99, 2999, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-07-20 00:00:00', 2.130000114, 28.204193119999999, -99, 2675, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-07-21 00:00:00', 0.709999979, 24.354473110000001, -99, 2639, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-07-22 00:00:00', 0, 27.81694603, -99, 2300, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-07-23 00:00:00', 0.209999993, 26.254913330000001, -99, 2873, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-07-24 00:00:00', 0.039999999000000001, 27.32325745, -99, 2887, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-07-25 00:00:00', 0.99000001000000004, 27.459711070000001, -99, 2016, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-07-26 00:00:00', 0.01, 26.736022949999999, -99, 2070, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-07-27 00:00:00', 0, 29.62189484, -99, 2016, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-07-28 00:00:00', 0.25, 28.914432529999999, -99, 385, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-07-29 00:00:00', 9.0399999619999996, 27.71976089, -99, 310, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-07-30 00:00:00', 6, 26.730262759999999, -99, 986, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-07-31 00:00:00', 3.8099999430000002, 28.47679329, -99, 1192, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-08-01 00:00:00', 8.5200004580000002, 25.739583970000002, -99, 2124, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-08-02 00:00:00', 2.7999999519999998, 25.940883639999999, -99, 2102, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-08-03 00:00:00', 6.3600001339999999, 26.33743286, -99, 886, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-08-04 00:00:00', 0.050000001000000002, 26.058046340000001, -99, 1883, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-08-05 00:00:00', 1.6799999480000001, 28.461828229999998, -99, 1084, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-08-06 00:00:00', 5.3200001720000003, 27.001766199999999, -99, 1944, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-08-07 00:00:00', 0, 27.00272369, -99, 1667, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-08-08 00:00:00', 2.289999962, 27.68512535, -99, 1660, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-08-09 00:00:00', 3.0499999519999998, 27.067338939999999, -99, 2545, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-08-10 00:00:00', 0.75999998999999996, 27.516170500000001, -99, 1606, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-08-11 00:00:00', 1.2200000289999999, 27.466766360000001, -99, 1440, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-08-12 00:00:00', 0.670000017, 27.901226040000001, -99, 1933, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-08-13 00:00:00', 13.170000079999999, 27.214555740000002, -99, 1141, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-08-14 00:00:00', 18.450000760000002, 26.32448196, -99, 1066, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-08-15 00:00:00', 29.510000229999999, 26.268503190000001, -99, 1008, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-08-16 00:00:00', 0.810000002, 25.594554899999999, -99, 1667, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-08-17 00:00:00', 0, 26.841081620000001, -99, 2596, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-08-18 00:00:00', 0.280000001, 25.51907349, -99, 2369, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-08-19 00:00:00', 0.58999997400000004, 25.8536644, -99, 2088, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-08-20 00:00:00', 17.899999619999999, 25.312688829999999, -99, 2498, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-08-21 00:00:00', 24.739999770000001, 24.568624499999999, -99, 2020, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-08-22 00:00:00', 12.55000019, 22.785465240000001, -99, 216, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-08-23 00:00:00', 15, 23.848066330000002, -99, 317, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-08-24 00:00:00', 0, 23.217332840000001, -99, 2189, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-08-25 00:00:00', 0, 23.84191513, -99, 2527, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-08-26 00:00:00', 0, 24.63500595, -99, 2470, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-08-27 00:00:00', 0, 26.153293609999999, -99, 2621, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-08-28 00:00:00', 0.77999997099999996, 27.241727829999999, -99, 410, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-08-29 00:00:00', 0, 26.066667559999999, -99, 1973, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-08-30 00:00:00', 0.059999998999999998, 26.03021622, -99, 2196, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-08-31 00:00:00', 0, 25.580020900000001, -99, 1984, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-09-01 00:00:00', 0, 25.749973300000001, -99, 2149, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-09-02 00:00:00', 0, 26.011047359999999, -99, 2268, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-09-03 00:00:00', 0.40999999599999998, 25.912969589999999, -99, 2466, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-09-04 00:00:00', 0, 25.080158229999999, -99, 2452, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-09-05 00:00:00', 0.810000002, 24.833452220000002, -99, 2542, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-09-06 00:00:00', 7.1599998469999999, 24.50563622, -99, 2174, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-09-07 00:00:00', 20.950000760000002, 24.627635959999999, -99, 2214, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-09-08 00:00:00', 24.059999470000001, 22.818212509999999, -99, 2081, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-09-09 00:00:00', 18.809999470000001, 23.12870216, -99, 716, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-09-10 00:00:00', 3.579999924, 23.506540300000001, -99, 2131, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-09-11 00:00:00', 0, 23.71930695, -99, 2452, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-09-12 00:00:00', 1.9700000289999999, 25.89408684, -99, 2448, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-09-13 00:00:00', 0, 25.814683909999999, -99, 2383, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-09-14 00:00:00', 0, 25.751260760000001, -99, 1850, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-09-15 00:00:00', 8.2700004580000002, 25.09723473, -99, 1523, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-09-16 00:00:00', 0.02, 23.24638367, -99, 2412, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-09-17 00:00:00', 4.7199997900000001, 24.351556779999999, -99, 2390, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-09-18 00:00:00', 2.4300000669999999, 22.45373726, -99, 1782, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-09-19 00:00:00', 0, 21.01168633, -99, 2358, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-09-20 00:00:00', 0, 22.58701134, -99, 2160, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-09-21 00:00:00', 0, 23.391908650000001, -99, 2275, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-09-22 00:00:00', 0, 23.36533356, -99, 2311, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-09-23 00:00:00', 0, 22.65744591, -99, 2347, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-09-24 00:00:00', 0, 22.983444209999998, -99, 2351, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-09-25 00:00:00', 0, 23.38884354, -99, 2336, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-09-26 00:00:00', 0, 23.797721859999999, -99, 2160, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-09-27 00:00:00', 0, 21.857076639999999, -99, 2275, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-09-28 00:00:00', 0, 21.885402679999999, -99, 2329, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-09-29 00:00:00', 0, 21.79118729, -99, 2120, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-09-30 00:00:00', 0, 22.687461849999998, -99, 2077, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-10-01 00:00:00', 0, 22.756513600000002, -99, 2056, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-10-02 00:00:00', 0, 24.30937767, -99, 2095, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-10-03 00:00:00', 12.80000019, 22.967008589999999, -99, 1634, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-10-04 00:00:00', 6.8600001339999999, 18.841997150000001, -99, 608, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-10-05 00:00:00', 0, 18.502965929999998, -99, 2146, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-10-06 00:00:00', 0, 18.053321839999999, -99, 2160, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-10-07 00:00:00', 0, 17.73121643, -99, 2189, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-10-08 00:00:00', 0, 18.451101300000001, -99, 2088, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-10-09 00:00:00', 0, 18.52341843, -99, 2041, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-10-10 00:00:00', 0, 18.440254209999999, -99, 1962, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-10-11 00:00:00', 0, 19.695106509999999, -99, 2117, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-10-12 00:00:00', 0, 20.231584550000001, -99, 2099, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-10-13 00:00:00', 0, 18.97877502, -99, 2016, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-10-14 00:00:00', 0, 18.527753830000002, -99, 1890, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-10-15 00:00:00', 0, 16.570451739999999, -99, 2005, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-10-16 00:00:00', 0, 16.08506393, -99, 1980, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-10-17 00:00:00', 0, 17.053030010000001, -99, 1962, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-10-18 00:00:00', 0, 17.695940019999998, -99, 1919, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-10-19 00:00:00', 0, 20.003973009999999, -99, 1688, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-10-20 00:00:00', 0.25999999000000001, 18.771944049999998, -99, 486, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-10-21 00:00:00', 0, 17.268640520000002, -99, 1915, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-10-22 00:00:00', 0, 16.030303960000001, -99, 1940, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-10-23 00:00:00', 0, 14.487580299999999, -99, 1807, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-10-24 00:00:00', 0, 13.53867054, -99, 1922, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-10-25 00:00:00', 0, 14.15991592, -99, 1948, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-10-26 00:00:00', 0, 14.081694600000001, -99, 1876, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-10-27 00:00:00', 0, 14.778987880000001, -99, 1872, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-10-28 00:00:00', 0, 14.92208099, -99, 1919, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-10-29 00:00:00', 0, 14.818963999999999, -99, 1750, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-10-30 00:00:00', 0, 10.852197650000001, -99, 1836, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-10-31 00:00:00', 0, 13.67864513, -99, 1858, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-11-01 00:00:00', 0, 14.74225521, -99, 1800, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-11-02 00:00:00', 0, 14.362825389999999, -99, 1858, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-11-03 00:00:00', 0, 12.85331154, -99, 1811, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-11-04 00:00:00', 0, 12.941720009999999, -99, 1739, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-11-05 00:00:00', 0, 13.50825691, -99, 1688, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-11-06 00:00:00', 0, 13.29063511, -99, 1760, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-11-07 00:00:00', 0, 12.683565140000001, -99, 1627, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-11-08 00:00:00', 0, 11.13070679, -99, 1710, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-11-09 00:00:00', 0, 10.745781900000001, -99, 1732, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-11-10 00:00:00', 0, 10.74230766, -99, 1642, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-11-11 00:00:00', 0, 10.4961462, -99, 1699, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-11-12 00:00:00', 0, 11.159719470000001, -99, 1627, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-11-13 00:00:00', 0, 12.36668777, -99, 1627, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-11-14 00:00:00', 0, 10.14968681, -99, 1663, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-11-15 00:00:00', 0, 9.9258880620000003, -99, 1613, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-11-16 00:00:00', 0, 9.3898420330000008, -99, 1573, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-11-17 00:00:00', 0, 6.54299593, -99, 1238, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-11-18 00:00:00', 0, 8.3438463209999991, -99, 1300, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-11-19 00:00:00', 0, 11.04018593, -99, 1390, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-11-20 00:00:00', 0, 12.83470535, -99, 1372, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-11-21 00:00:00', 0, 10.18646622, -99, 1429, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-11-22 00:00:00', 0, 7.5845255849999997, -99, 1555, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-11-23 00:00:00', 0, 7.791814327, -99, 1400, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-11-24 00:00:00', 0, 6.7406277660000002, -99, 1487, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-11-25 00:00:00', 0, 7.0861315730000003, -99, 1483, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-11-26 00:00:00', 0, 6.220018864, -99, 1498, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-11-27 00:00:00', 0, 6.0518565180000001, -99, 1483, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-11-28 00:00:00', 0, 5.259235382, -99, 1372, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-11-29 00:00:00', 0, 4.0429801940000001, -99, 1429, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-11-30 00:00:00', 0, 4.0655722619999999, -99, 1375, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-12-01 00:00:00', 0, 5.2186293600000004, -99, 1012, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-12-02 00:00:00', 0, 5.4367437360000004, -99, 1289, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-12-03 00:00:00', 0.029999998999999999, 4.2779898640000003, -99, 961, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-12-04 00:00:00', 0, 8.6459484100000008, -99, 1379, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-12-05 00:00:00', 0, 8.2843990329999997, -99, 976, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-12-06 00:00:00', 0, 6.7623929980000002, -99, 1436, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-12-07 00:00:00', 0, 5.6249532699999998, -99, 1361, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-12-08 00:00:00', 0, 4.6415953639999996, -99, 1411, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-12-09 00:00:00', 0, 3.083704472, -99, 1487, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-12-10 00:00:00', 0, 2.2849447729999999, -99, 1429, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-12-11 00:00:00', 0, 1.721897483, -99, 1426, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-12-12 00:00:00', 0, 2.558373928, -99, 1400, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-12-13 00:00:00', 0, 2.566823721, -99, 1328, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-12-14 00:00:00', 0, 4.4395151139999998, -99, 1415, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-12-15 00:00:00', 0, 4.2703213690000004, -99, 1411, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-12-16 00:00:00', 0, 3.5988593099999999, -99, 1282, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-12-17 00:00:00', 0, 4.5674672129999996, -99, 1346, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-12-18 00:00:00', 0, 5.900074482, -99, 1422, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-12-19 00:00:00', 0, 4.2879862790000001, -99, 1451, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-12-20 00:00:00', 0, 4.4741582869999998, -99, 1397, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-12-21 00:00:00', 0, 3.2236452099999999, -99, 1375, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-12-22 00:00:00', 0, 4.1223344800000001, -99, 1400, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-12-23 00:00:00', 0, 3.8835484980000001, -99, 1336, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-12-24 00:00:00', 0, 4.7174315450000002, -99, 1274, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-12-25 00:00:00', 0.25, 8.8596963879999997, -99, 889, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-12-26 00:00:00', 0, 9.3867950439999994, -99, 1159, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-12-27 00:00:00', 0, 7.8729395870000003, -99, 1282, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-12-28 00:00:00', 0, 8.2151479720000005, -99, 1408, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-12-29 00:00:00', 0, 7.2812190059999997, -99, 1390, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-12-30 00:00:00', 0, 5.1953401570000004, -99, 1418, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-12-31 00:00:00', 0, 5.5307812690000002, -99, 1422, 'lud', 'lud_1996');
INSERT INTO public.cdy_cldat VALUES ('1997-01-01 00:00:00', 0, 6.2778258320000004, -99, 1249, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-01-02 00:00:00', 0, 6.4206891060000002, -99, 1429, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-01-03 00:00:00', 0, 5.5083770750000003, -99, 896, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-01-04 00:00:00', 0, 7.5019707679999996, -99, 792, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-01-05 00:00:00', 0, 5.0243849750000003, -99, 1350, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-01-06 00:00:00', 0, 5.2449126240000004, -99, 1440, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-01-07 00:00:00', 0, 4.8253073689999999, -99, 1462, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-01-08 00:00:00', 0, 4.0417537689999996, -99, 1444, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-01-09 00:00:00', 0, 4.3279643060000001, -99, 1411, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-01-10 00:00:00', 0, 4.70664835, -99, 1192, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-01-11 00:00:00', 0, 4.3401966090000004, -99, 1296, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-01-12 00:00:00', 0, 3.3702974320000001, -99, 1476, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-01-13 00:00:00', 0, 2.6979372499999998, -99, 1411, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-01-14 00:00:00', 0, 3.0383179189999998, -99, 1433, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-01-15 00:00:00', 0, 2.4809057710000002, -99, 1519, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-01-16 00:00:00', 0, 3.931816816, -99, 1523, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-01-17 00:00:00', 0, 6.2315425869999999, -99, 961, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-01-18 00:00:00', 2.6600000860000002, 6.7226309779999998, -99, 544, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-01-19 00:00:00', 6.6799998279999997, 11.25048065, -99, 191, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-01-20 00:00:00', 0.119999997, 9.0283050540000005, -99, 738, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-01-21 00:00:00', 0, 5.0213012700000004, -99, 738, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-01-22 00:00:00', 0, 4.0895752910000001, -99, 1544, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-01-23 00:00:00', 0, 5.5406255719999997, -99, 1188, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-01-24 00:00:00', 0, 4.7483587270000003, -99, 1638, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-01-25 00:00:00', 0, 4.6070666310000004, -99, 1674, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-01-26 00:00:00', 0.18000000699999999, 4.1298937799999997, -99, 677, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-01-27 00:00:00', 0, 10.410292630000001, -99, 1058, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-01-28 00:00:00', 0, 6.7352929120000002, -99, 1361, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-01-29 00:00:00', 0, 6.4261994360000001, -99, 1253, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-01-30 00:00:00', 0, 4.8108143810000001, -99, 1429, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-01-31 00:00:00', 0, 4.9362611770000004, -99, 1681, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-02-01 00:00:00', 0.27000001099999998, 5.1720442770000004, -99, 1494, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-02-02 00:00:00', 0.560000002, 12.012995719999999, -99, 374, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-02-03 00:00:00', 0, 8.5071144099999998, -99, 1465, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-02-04 00:00:00', 0, 6.2773790360000001, -99, 1728, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-02-05 00:00:00', 0, 6.520730972, -99, 1764, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-02-06 00:00:00', 0, 6.7987260819999999, -99, 1854, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-02-07 00:00:00', 0.01, 5.9416685100000004, -99, 1768, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-02-08 00:00:00', 0.219999999, 7.1107010839999996, -99, 904, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-02-09 00:00:00', 0, 8.3862438200000007, -99, 1562, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-02-10 00:00:00', 0.02, 9.960124016, -99, 1685, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-02-11 00:00:00', 0, 5.7980518339999998, -99, 1890, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-02-12 00:00:00', 0, 5.4878773689999996, -99, 1829, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-02-13 00:00:00', 0, 7.7345829009999996, -99, 1807, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-02-14 00:00:00', 0.01, 9.1677150730000001, -99, 1595, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-02-15 00:00:00', 0, 8.2434129709999997, -99, 1962, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-02-16 00:00:00', 0, 7.4121608730000004, -99, 1973, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-02-17 00:00:00', 0, 7.2457356449999999, -99, 1850, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-02-18 00:00:00', 0, 6.0710363389999999, -99, 1836, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-02-19 00:00:00', 0, 6.727571964, -99, 2045, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-02-20 00:00:00', 0, 6.9716410639999999, -99, 2020, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-02-21 00:00:00', 0, 7.2765383720000001, -99, 2052, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-02-22 00:00:00', 0, 9.4535827640000001, -99, 2070, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-02-23 00:00:00', 0, 7.8849267960000002, -99, 2088, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-02-24 00:00:00', 0, 11.26771641, -99, 1555, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-02-25 00:00:00', 0, 15.582738880000001, -99, 2002, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-02-26 00:00:00', 0, 12.39875221, -99, 2113, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-02-27 00:00:00', 0, 9.516227722, -99, 2099, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-02-28 00:00:00', 0, 10.16933918, -99, 1526, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-03-01 00:00:00', 0.079999998000000003, 11.940081599999999, -99, 1483, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-03-02 00:00:00', 0, 13.95658016, -99, 2110, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-03-03 00:00:00', 0, 8.6825542450000004, -99, 2110, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-03-04 00:00:00', 0, 8.5190401080000004, -99, 2282, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-03-05 00:00:00', 0, 9.5567636490000005, -99, 1822, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-03-06 00:00:00', 0, 14.93919945, -99, 1224, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-03-07 00:00:00', 0, 14.61425781, -99, 1620, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-03-08 00:00:00', 0, 13.95071888, -99, 1692, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-03-09 00:00:00', 0, 14.90608978, -99, 2135, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-03-10 00:00:00', 0, 14.437189099999999, -99, 1642, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-03-11 00:00:00', 0, 14.99003029, -99, 1865, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-03-12 00:00:00', 0, 15.267282489999999, -99, 1224, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-03-13 00:00:00', 0, 14.73309326, -99, 2351, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-03-14 00:00:00', 1.1599999670000001, 11.78124809, -99, 716, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-03-15 00:00:00', 3.4800000190000002, 15.7410841, -99, 1501, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-03-16 00:00:00', 0, 16.49238205, -99, 2092, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-03-17 00:00:00', 0, 13.980626109999999, -99, 904, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-03-18 00:00:00', 0.5, 16.521654130000002, -99, 670, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-03-19 00:00:00', 0.58999997400000004, 16.708238600000001, -99, 1674, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-03-20 00:00:00', 0, 15.620106699999999, -99, 2340, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-03-21 00:00:00', 0.029999998999999999, 12.26655388, -99, 2423, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-03-22 00:00:00', 0.01, 14.39098358, -99, 2225, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-03-23 00:00:00', 0, 12.07357025, -99, 2473, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-03-24 00:00:00', 0, 12.18218899, -99, 2628, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-03-25 00:00:00', 0, 13.467597960000001, -99, 2426, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-03-26 00:00:00', 0, 12.422828669999999, -99, 2473, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-03-27 00:00:00', 0, 14.60452843, -99, 1148, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-03-28 00:00:00', 1.2999999520000001, 18.656749730000001, -99, 1242, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-03-29 00:00:00', 0, 14.231589319999999, -99, 2250, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-03-30 00:00:00', 0, 13.77810478, -99, 2232, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-03-31 00:00:00', 2.630000114, 16.60905838, -99, 598, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-04-01 00:00:00', 5.6999998090000004, 16.068475719999999, -99, 2124, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-04-02 00:00:00', 6.5900001530000001, 14.90771294, -99, 1436, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-04-03 00:00:00', 16.31999969, 16.62494469, -99, 587, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-04-04 00:00:00', 0, 13.116196629999999, -99, 1548, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-04-05 00:00:00', 0, 13.29471111, -99, 2185, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-04-06 00:00:00', 0, 12.19399357, -99, 2434, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-04-07 00:00:00', 0, 14.99817371, -99, 2491, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-04-08 00:00:00', 2.3099999430000002, 14.946339610000001, -99, 2282, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-04-09 00:00:00', 2.5599999430000002, 18.11058044, -99, 2462, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-04-10 00:00:00', 0, 15.50023174, -99, 2664, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-04-11 00:00:00', 0, 18.147144319999999, -99, 2664, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-04-12 00:00:00', 0, 19.00155067, -99, 2120, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-04-13 00:00:00', 0, 19.259227750000001, -99, 2448, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-04-14 00:00:00', 0.109999999, 21.216314319999999, -99, 2444, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-04-15 00:00:00', 0.070000000000000007, 19.314884190000001, -99, 2542, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-04-16 00:00:00', 0.050000001000000002, 15.74743366, -99, 2632, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-04-17 00:00:00', 0, 14.03076744, -99, 2516, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-04-18 00:00:00', 0, 13.775210380000001, -99, 2225, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-04-19 00:00:00', 0, 17.421913150000002, -99, 2902, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-04-20 00:00:00', 0, 18.202062609999999, -99, 2599, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-04-21 00:00:00', 0, 18.575817109999999, -99, 2192, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-04-22 00:00:00', 0, 18.643966670000001, -99, 2941, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-04-23 00:00:00', 0, 18.571102140000001, -99, 2945, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-04-24 00:00:00', 0, 20.973630910000001, -99, 2884, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-04-25 00:00:00', 0, 20.221439360000002, -99, 2563, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-04-26 00:00:00', 0.23999999499999999, 22.178695680000001, -99, 2574, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-04-27 00:00:00', 0.15000000599999999, 24.246822359999999, -99, 2318, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-04-28 00:00:00', 1.9299999480000001, 22.644365310000001, -99, 2164, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-04-29 00:00:00', 0.75999998999999996, 20.936977389999999, -99, 1703, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-04-30 00:00:00', 0.87999999500000003, 19.600437159999998, -99, 2196, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-05-01 00:00:00', 3.460000038, 20.194490429999998, -99, 2423, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-05-02 00:00:00', 1.269999981, 21.391897199999999, -99, 1800, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-05-03 00:00:00', 1.8300000430000001, 21.253078460000001, -99, 1696, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-05-04 00:00:00', 5.5300002099999999, 20.304801940000001, -99, 1584, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-05-05 00:00:00', 0.579999983, 19.40849304, -99, 896, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-05-06 00:00:00', 0, 18.41564369, -99, 2700, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-05-07 00:00:00', 3.6400001049999999, 21.26106644, -99, 410, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-05-08 00:00:00', 0.01, 17.85245132, -99, 2722, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-05-09 00:00:00', 0, 16.58845711, -99, 2722, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-05-10 00:00:00', 0, 17.28598976, -99, 2077, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-05-11 00:00:00', 0.039999999000000001, 18.717720029999999, -99, 2668, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-05-12 00:00:00', 0, 23.06310272, -99, 2714, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-05-13 00:00:00', 0.01, 22.400320050000001, -99, 2826, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-05-14 00:00:00', 1.190000057, 19.080333710000001, -99, 3049, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-05-15 00:00:00', 0, 19.476732250000001, -99, 3172, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-05-16 00:00:00', 0, 19.56487465, -99, 3121, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-05-17 00:00:00', 0, 22.064985279999998, -99, 3107, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-05-18 00:00:00', 0, 20.869953160000001, -99, 2819, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-05-19 00:00:00', 0, 20.94119263, -99, 3154, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-05-20 00:00:00', 0, 20.92755318, -99, 3190, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-05-21 00:00:00', 0, 22.04034996, -99, 3085, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-05-22 00:00:00', 0, 23.816003800000001, -99, 3071, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-05-23 00:00:00', 0, 24.26367188, -99, 2722, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-05-24 00:00:00', 0, 23.347295760000002, -99, 3082, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-05-25 00:00:00', 0, 23.13361549, -99, 2675, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-05-26 00:00:00', 0, 25.20213699, -99, 2801, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-05-27 00:00:00', 0.5, 24.759042740000002, -99, 3060, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-05-28 00:00:00', 2.329999924, 28.06980896, -99, 2804, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-05-29 00:00:00', 0.070000000000000007, 23.01797676, -99, 2837, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-05-30 00:00:00', 5.8200001720000003, 24.23257637, -99, 2300, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-05-31 00:00:00', 12.22999954, 20.586536410000001, -99, 1559, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-06-01 00:00:00', 0, 22.144945140000001, -99, 2063, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-06-02 00:00:00', 0.30000001199999998, 23.98854828, -99, 2146, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-06-03 00:00:00', 0.029999998999999999, 22.305887219999999, -99, 1732, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-06-04 00:00:00', 0, 24.065095899999999, -99, 2207, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-06-05 00:00:00', 0, 24.23280716, -99, 2588, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-06-06 00:00:00', 0.87999999500000003, 25.60452652, -99, 2603, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-06-07 00:00:00', 0, 23.37549782, -99, 2772, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-06-08 00:00:00', 0.15999999600000001, 26.273447040000001, -99, 2095, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-06-09 00:00:00', 2.8900001049999999, 25.12478638, -99, 1973, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-06-10 00:00:00', 0, 23.676967619999999, -99, 2495, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-06-11 00:00:00', 0, 26.770402910000001, -99, 3118, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-06-12 00:00:00', 0.77999997099999996, 27.376316070000001, -99, 1300, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-06-13 00:00:00', 0, 22.854913710000002, -99, 2527, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-06-14 00:00:00', 0, 25.944540020000002, -99, 2815, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-06-15 00:00:00', 0, 27.891666409999999, -99, 3017, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-06-16 00:00:00', 0, 29.858318329999999, -99, 3038, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-06-17 00:00:00', 0, 29.40719223, -99, 2963, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-06-18 00:00:00', 0.44999998800000002, 30.477106089999999, -99, 3053, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-06-19 00:00:00', 13.079999920000001, 24.044439319999999, -99, 2610, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-06-20 00:00:00', 0.079999998000000003, 22.684310910000001, -99, 2376, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-06-21 00:00:00', 0, 25.45530128, -99, 2822, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-06-22 00:00:00', 0, 27.415117259999999, -99, 3046, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-06-23 00:00:00', 0.12999999500000001, 29.105691910000001, -99, 3046, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-06-24 00:00:00', 0, 29.249023439999998, -99, 2567, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-06-25 00:00:00', 0.12999999500000001, 29.07575989, -99, 2837, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-06-26 00:00:00', 2.7599999899999998, 29.218086240000002, -99, 2473, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-06-27 00:00:00', 3.9400000569999998, 25.164731979999999, -99, 1616, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-06-28 00:00:00', 0, 24.71271896, -99, 2794, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-06-29 00:00:00', 6.0399999619999996, 27.642850880000001, -99, 1231, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-06-30 00:00:00', 1.1100000139999999, 24.51161003, -99, 2754, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-07-01 00:00:00', 0, 26.802839280000001, -99, 3096, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-07-02 00:00:00', 0.02, 28.102197650000001, -99, 3056, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-07-03 00:00:00', 0, 29.18355751, -99, 3013, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-07-04 00:00:00', 0, 29.066263200000002, -99, 3074, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-07-05 00:00:00', 0, 29.61645699, -99, 3078, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-07-06 00:00:00', 0, 29.217378620000002, -99, 2653, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-07-07 00:00:00', 0, 28.816484450000001, -99, 2495, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-07-08 00:00:00', 0.27000001099999998, 28.904096599999999, -99, 2153, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-07-09 00:00:00', 0.689999998, 29.34038353, -99, 2786, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-07-10 00:00:00', 14.65999985, 29.241750719999999, -99, 2128, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-07-11 00:00:00', 3.0699999330000001, 24.51467323, -99, 1314, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-07-12 00:00:00', 1.2999999520000001, 26.5324688, -99, 2390, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-07-13 00:00:00', 0.63999998599999997, 27.409362789999999, -99, 2498, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-07-14 00:00:00', 0.80000001200000004, 27.928428650000001, -99, 1912, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-07-15 00:00:00', 0.52999997099999996, 23.97137833, -99, 2041, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-07-16 00:00:00', 0.63999998599999997, 27.510618210000001, -99, 403, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-07-17 00:00:00', 0, 27.507333760000002, -99, 1948, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-07-18 00:00:00', 0.050000001000000002, 28.964536670000001, -99, 2369, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-07-19 00:00:00', 1.3899999860000001, 26.174936290000002, -99, 983, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-07-20 00:00:00', 5.920000076, 27.052360530000001, -99, 2344, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-07-21 00:00:00', 0.17000000200000001, 26.01794052, -99, 1465, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-07-22 00:00:00', 6.0599999430000002, 25.83431435, -99, 1192, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-07-23 00:00:00', 0.050000001000000002, 24.114685059999999, -99, 1339, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-07-24 00:00:00', 2.8900001049999999, 27.098648069999999, -99, 1134, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-07-25 00:00:00', 0, 26.546157839999999, -99, 2621, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-07-26 00:00:00', 0.939999998, 28.22548866, -99, 1836, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-07-27 00:00:00', 0, 28.16702652, -99, 1580, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-07-28 00:00:00', 5.9899997709999999, 27.941707610000002, -99, 1408, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-07-29 00:00:00', 4.2800002099999999, 26.006608960000001, -99, 1130, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-07-30 00:00:00', 1.2200000289999999, 24.985149379999999, -99, 2588, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-07-31 00:00:00', 7.5, 27.680732729999999, -99, 929, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-08-01 00:00:00', 13.52999973, 25.06549454, -99, 1044, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-08-02 00:00:00', 47.58000183, 24.636243820000001, -99, 1264, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-08-03 00:00:00', 0.38999998600000002, 22.29489899, -99, 1148, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-08-04 00:00:00', 0, 25.238878249999999, -99, 2873, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-08-05 00:00:00', 0.64999997600000003, 25.73959923, -99, 2822, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-08-06 00:00:00', 0, 26.355657579999999, -99, 2930, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-08-07 00:00:00', 1.8300000430000001, 28.58780479, -99, 2120, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-08-08 00:00:00', 0, 27.315914150000001, -99, 1350, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-08-09 00:00:00', 0.62999999500000003, 26.82789421, -99, 2128, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-08-10 00:00:00', 0, 27.820175169999999, -99, 2484, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-08-11 00:00:00', 0, 27.508121490000001, -99, 2030, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-08-12 00:00:00', 2.3599998950000001, 25.93104172, -99, 1426, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-08-13 00:00:00', 21.31999969, 26.05086708, -99, 1127, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-08-14 00:00:00', 0.039999999000000001, 22.702913280000001, -99, 2390, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-08-15 00:00:00', 4.2199997900000001, 24.70973206, -99, 2488, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-08-16 00:00:00', 0.109999999, 26.362468719999999, -99, 2074, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-08-17 00:00:00', 0, 27.1248951, -99, 2563, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-08-18 00:00:00', 0, 28.075899119999999, -99, 1980, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-08-19 00:00:00', 5.7699999809999998, 27.322462080000001, -99, 1422, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-08-20 00:00:00', 0.039999999000000001, 27.465118409999999, -99, 1858, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-08-21 00:00:00', 0.86000001400000003, 27.710609439999999, -99, 1937, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-08-22 00:00:00', 13.289999959999999, 27.418369290000001, -99, 317, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-08-23 00:00:00', 0, 23.664215089999999, -99, 2347, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-08-24 00:00:00', 2.380000114, 24.63236809, -99, 2282, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-08-25 00:00:00', 12.85999966, 26.941980359999999, -99, 1429, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-08-26 00:00:00', 34.049999239999998, 24.239458079999999, -99, 295, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-08-27 00:00:00', 73.430000309999997, 23.661096570000002, -99, 547, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-08-28 00:00:00', 3.6400001049999999, 24.253952030000001, -99, 2603, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-08-29 00:00:00', 0.189999998, 24.72432899, -99, 2362, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-08-30 00:00:00', 0, 24.092414860000002, -99, 2538, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-08-31 00:00:00', 0, 24.623161320000001, -99, 2624, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-09-01 00:00:00', 0, 25.245239260000002, -99, 2560, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-09-02 00:00:00', 0, 24.43048477, -99, 2574, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-09-03 00:00:00', 1.4500000479999999, 24.515489580000001, -99, 2308, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-09-04 00:00:00', 0, 25.662809370000002, -99, 2408, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-09-05 00:00:00', 0, 26.392475130000001, -99, 2020, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-09-06 00:00:00', 0.17000000200000001, 26.320358280000001, -99, 2214, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-09-07 00:00:00', 0, 25.931118009999999, -99, 2167, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-09-08 00:00:00', 0.689999998, 26.472682949999999, -99, 1177, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-09-09 00:00:00', 0, 24.572454449999999, -99, 2437, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-09-10 00:00:00', 1.6299999949999999, 25.624195100000001, -99, 1390, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-09-11 00:00:00', 0.109999999, 24.56036186, -99, 2419, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-09-12 00:00:00', 3.0199999809999998, 24.847810750000001, -99, 2459, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-09-13 00:00:00', 0, 24.546829219999999, -99, 2340, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-09-14 00:00:00', 2.5199999809999998, 26.054643630000001, -99, 2297, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-09-15 00:00:00', 0.15000000599999999, 24.92006683, -99, 1685, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-09-16 00:00:00', 0, 25.8852005, -99, 2034, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-09-17 00:00:00', 0, 25.117511749999998, -99, 2300, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-09-18 00:00:00', 0, 25.086751939999999, -99, 2347, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-09-19 00:00:00', 0, 24.86237144, -99, 2308, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-09-20 00:00:00', 0, 25.314977649999999, -99, 2394, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-09-21 00:00:00', 0, 25.58262444, -99, 2315, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-09-22 00:00:00', 0, 23.62294769, -99, 2401, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-09-23 00:00:00', 0, 24.442405699999998, -99, 2286, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-09-24 00:00:00', 0, 23.487773900000001, -99, 2329, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-09-25 00:00:00', 0, 22.84869003, -99, 2351, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-09-26 00:00:00', 0, 22.898508069999998, -99, 2257, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-09-27 00:00:00', 0, 22.776538850000001, -99, 2074, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-09-28 00:00:00', 2.2000000480000002, 21.634105680000001, -99, 2063, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-09-29 00:00:00', 1.7400000099999999, 19.536611560000001, -99, 709, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-09-30 00:00:00', 2.0099999899999998, 19.58879662, -99, 403, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-10-01 00:00:00', 0.36000001399999998, 18.52765656, -99, 2185, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-10-02 00:00:00', 0.119999997, 20.26400185, -99, 2045, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-10-03 00:00:00', 0, 17.746942520000001, -99, 2030, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-10-04 00:00:00', 4.7399997709999999, 19.331468579999999, -99, 65, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-10-05 00:00:00', 6.5599999430000002, 17.904094700000002, -99, 986, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-10-06 00:00:00', 1.3600000139999999, 18.53483963, -99, 1724, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-10-07 00:00:00', 0, 17.277421950000001, -99, 2142, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-10-08 00:00:00', 0, 18.504590990000001, -99, 2174, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-10-09 00:00:00', 0, 18.290275569999999, -99, 2038, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-10-10 00:00:00', 0.029999998999999999, 20.885105129999999, -99, 1278, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-10-11 00:00:00', 0, 18.039270399999999, -99, 1948, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-10-12 00:00:00', 0, 18.59319687, -99, 1915, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-10-13 00:00:00', 0, 18.27388191, -99, 2052, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-10-14 00:00:00', 0, 17.60887146, -99, 2059, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-10-15 00:00:00', 0, 17.022230149999999, -99, 1782, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-10-16 00:00:00', 0, 19.146305080000001, -99, 1451, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-10-17 00:00:00', 0.34999999399999998, 19.491863250000002, -99, 554, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-10-18 00:00:00', 0, 17.238731380000001, -99, 1832, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-10-19 00:00:00', 4.2300000190000002, 17.895671839999999, -99, 972, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-10-20 00:00:00', 4.829999924, 16.627878190000001, -99, 446, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-10-21 00:00:00', 0, 15.86356449, -99, 1523, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-10-22 00:00:00', 0.029999998999999999, 15.662174220000001, -99, 1357, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-10-23 00:00:00', 0, 16.07073402, -99, 1336, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-10-24 00:00:00', 0, 14.27105141, -99, 1768, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-10-25 00:00:00', 12.380000109999999, 14.79223919, -99, 1577, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-10-26 00:00:00', 0, 15.352337840000001, -99, 554, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-10-27 00:00:00', 0.029999998999999999, 16.25264168, -99, 1577, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-10-28 00:00:00', 1.1799999480000001, 17.089660640000002, -99, 986, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-10-29 00:00:00', 1.2400000099999999, 15.070263860000001, -99, 1094, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-10-30 00:00:00', 0, 13.9389801, -99, 1771, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-10-31 00:00:00', 0, 14.386443140000001, -99, 1760, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-11-01 00:00:00', 0, 14.09032249, -99, 1624, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-11-02 00:00:00', 0, 13.223523139999999, -99, 1764, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-11-03 00:00:00', 0, 12.69932079, -99, 1771, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-11-04 00:00:00', 0, 13.306873319999999, -99, 1717, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-11-05 00:00:00', 0, 13.097319600000001, -99, 1609, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-11-06 00:00:00', 0, 14.12769413, -99, 1573, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-11-07 00:00:00', 0, 13.79674625, -99, 1523, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-11-08 00:00:00', 1.519999981, 13.355694769999999, -99, 1404, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-11-09 00:00:00', 1.1699999569999999, 14.866304400000001, -99, 331, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-11-10 00:00:00', 0, 13.336876869999999, -99, 1397, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-11-11 00:00:00', 0, 11.143345829999999, -99, 1656, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-11-12 00:00:00', 0, 11.87040043, -99, 1616, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-11-13 00:00:00', 0, 10.420018199999999, -99, 1508, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-11-14 00:00:00', 0, 10.37721634, -99, 1584, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-11-15 00:00:00', 0, 9.6889381409999995, -99, 1537, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-11-16 00:00:00', 0, 10.878342630000001, -99, 1458, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-11-17 00:00:00', 0, 10.492877010000001, -99, 1112, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-11-18 00:00:00', 0, 11.434498789999999, -99, 1530, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-11-19 00:00:00', 0, 9.3799810410000006, -99, 1418, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-11-20 00:00:00', 0, 9.2573127750000008, -99, 1480, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-11-21 00:00:00', 0, 9.3627195360000002, -99, 1501, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-11-22 00:00:00', 0, 9.3238544460000004, -99, 1314, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-11-23 00:00:00', 0, 10.991264340000001, -99, 1447, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-11-24 00:00:00', 0.85000002399999997, 9.9333372119999996, -99, 1224, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-11-25 00:00:00', 5.1199998860000004, 13.43552399, -99, 418, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-11-26 00:00:00', 0.02, 12.7383709, -99, 868, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-11-27 00:00:00', 0, 9.9672889710000003, -99, 1454, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-11-28 00:00:00', 0, 9.0890312190000007, -99, 1188, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-11-29 00:00:00', 0, 8.4609212879999998, -99, 1040, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-11-30 00:00:00', 2.210000038, 7.426383972, -99, 1206, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-12-01 00:00:00', 0, 8.7710847849999993, -99, 1462, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-12-02 00:00:00', 0, 7.7936849590000001, -99, 1080, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-12-03 00:00:00', 0, 9.7891483309999998, -99, 1127, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-12-04 00:00:00', 0, 8.3191471099999994, -99, 1390, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-12-05 00:00:00', 0, 8.2485599520000008, -99, 1174, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-12-06 00:00:00', 0, 8.9995336530000003, -99, 968, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-12-07 00:00:00', 2.2300000190000002, 10.931539539999999, -99, 810, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-12-08 00:00:00', 13.18000031, 11.39605427, -99, 706, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-12-09 00:00:00', 10.43000031, 13.50397682, -99, 644, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-12-10 00:00:00', 0, 9.3231172559999997, -99, 1174, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-12-11 00:00:00', 0, 10.710249900000001, -99, 1098, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-12-12 00:00:00', 0, 9.6661796570000007, -99, 630, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-12-13 00:00:00', 0.029999998999999999, 10.85582256, -99, 745, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-12-14 00:00:00', 0, 8.9146919249999996, -99, 1210, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-12-15 00:00:00', 0, 9.8978404999999992, -99, 932, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-12-16 00:00:00', 0, 10.650694850000001, -99, 958, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-12-17 00:00:00', 0, 7.5319027900000002, -99, 1080, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-12-18 00:00:00', 0, 9.2233285899999995, -99, 940, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-12-19 00:00:00', 0, 8.1602640149999992, -99, 1278, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-12-20 00:00:00', 0, 6.5143656730000004, -99, 522, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-12-21 00:00:00', 0, 7.7328844070000002, -99, 1127, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-12-22 00:00:00', 0, 7.0763025280000003, -99, 774, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-12-23 00:00:00', 0, 6.2958750720000003, -99, 1094, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-12-24 00:00:00', 0, 7.2754831309999997, -99, 958, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-12-25 00:00:00', 0, 5.7902297970000003, -99, 619, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-12-26 00:00:00', 0, 8.0267333979999993, -99, 997, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-12-27 00:00:00', 0, 5.7784299849999998, -99, 932, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-12-28 00:00:00', 4.1599998469999999, 3.3399732110000002, -99, 796, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-12-29 00:00:00', 1.3899999860000001, 6.0412011149999998, -99, 1037, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-12-30 00:00:00', 0, 4.497766972, -99, 1422, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-12-31 00:00:00', 0, 4.3588943479999998, -99, 1429, 'lud', 'lud_1997');
INSERT INTO public.cdy_cldat VALUES ('1998-01-01 00:00:00', 0, 4.2913050650000004, -99, 1321, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-01-02 00:00:00', 0, 2.9803779129999999, -99, 1415, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-01-03 00:00:00', 0, 4.2137126919999996, -99, 1109, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-01-04 00:00:00', 0, 6.1780805589999996, -99, 738, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-01-05 00:00:00', 0, 4.285849571, -99, 1231, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-01-06 00:00:00', 0, 4.4280581469999998, -99, 1084, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-01-07 00:00:00', 0, 7.7306542399999998, -99, 598, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-01-08 00:00:00', 0, 8.0531578059999998, -99, 1296, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-01-09 00:00:00', 0, 8.3127670289999998, -99, 1318, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-01-10 00:00:00', 0, 8.5876302720000002, -99, 857, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-01-11 00:00:00', 0, 10.208826070000001, -99, 918, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-01-12 00:00:00', 3.75, 8.7190570829999992, -99, 832, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-01-13 00:00:00', 0, 7.3393211359999997, -99, 1458, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-01-14 00:00:00', 0.62000000499999997, 8.5083189010000009, -99, 1220, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-01-15 00:00:00', 1.0800000430000001, 10.03324127, -99, 1318, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-01-16 00:00:00', 0, 6.0894446369999997, -99, 1530, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-01-17 00:00:00', 0, 3.3993031980000001, -99, 1512, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-01-18 00:00:00', 0, 2.9115929600000001, -99, 1544, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-01-19 00:00:00', 0, 3.7779021259999999, -99, 1566, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-01-20 00:00:00', 0, 2.942134619, -99, 1469, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-01-21 00:00:00', 0, 3.6748154159999999, -99, 1447, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-01-22 00:00:00', 0, 3.7907886510000002, -99, 990, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-01-23 00:00:00', 0, 3.705677986, -99, 1537, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-01-24 00:00:00', 0, 4.0549559589999999, -99, 1627, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-01-25 00:00:00', 0, 4.2450451850000004, -99, 1606, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-01-26 00:00:00', 0, 3.0912687779999999, -99, 1642, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-01-27 00:00:00', 0, 4.9924721720000003, -99, 1148, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-01-28 00:00:00', 0, 7.4891304969999997, -99, 1094, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-01-29 00:00:00', 0, 11.61542034, -99, 1375, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-01-30 00:00:00', 0, 9.9133443830000001, -99, 803, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-01-31 00:00:00', 0, 10.32360744, -99, 965, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-02-01 00:00:00', 3.539999962, 10.240037920000001, -99, 1476, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-02-02 00:00:00', 0.029999998999999999, 13.629508019999999, -99, 1498, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-02-03 00:00:00', 0, 8.5352754589999993, -99, 1764, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-02-04 00:00:00', 0, 7.1469511990000001, -99, 1782, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-02-05 00:00:00', 0, 6.4059638980000004, -99, 1778, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-02-06 00:00:00', 0, 5.2768001560000002, -99, 1444, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-02-07 00:00:00', 0, 5.2455120089999996, -99, 1393, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-02-08 00:00:00', 0, 6.1109328270000001, -99, 1634, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-02-09 00:00:00', 0, 6.7176985739999999, -99, 1742, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-02-10 00:00:00', 0, 8.3443994519999993, -99, 1418, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-02-11 00:00:00', 0, 7.5980062479999999, -99, 1746, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-02-12 00:00:00', 0, 10.03952217, -99, 1422, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-02-13 00:00:00', 0, 12.0216856, -99, 1037, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-02-14 00:00:00', 2.9100000860000002, 15.136727329999999, -99, 302, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-02-15 00:00:00', 0.25999999000000001, 14.310384750000001, -99, 1555, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-02-16 00:00:00', 0, 12.68427086, -99, 1832, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-02-17 00:00:00', 0.46000000800000002, 13.11138725, -99, 1537, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-02-18 00:00:00', 1.3500000240000001, 12.829236979999999, -99, 1696, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-02-19 00:00:00', 0, 9.6789360050000006, -99, 1962, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-02-20 00:00:00', 0, 8.1789512630000001, -99, 2030, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-02-21 00:00:00', 0, 8.1918611529999996, -99, 2027, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-02-22 00:00:00', 0, 7.2858366969999997, -99, 2034, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-02-23 00:00:00', 4.8899998660000001, 11.88966274, -99, 853, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-02-24 00:00:00', 22.559999470000001, 12.305728909999999, -99, 421, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-02-25 00:00:00', 6.6399998660000001, 11.27055359, -99, 1303, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-02-26 00:00:00', 0, 6.9936738009999999, -99, 1976, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-02-27 00:00:00', 0, 7.9695796970000004, -99, 2056, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-02-28 00:00:00', 0, 9.2696666719999996, -99, 2048, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-03-01 00:00:00', 0, 9.6905574800000007, -99, 2034, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-03-02 00:00:00', 0.02, 10.237291340000001, -99, 785, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-03-03 00:00:00', 0.560000002, 13.719430920000001, -99, 119, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-03-04 00:00:00', 0.769999981, 15.133194919999999, -99, 986, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-03-05 00:00:00', 0.61000001400000003, 14.008141520000001, -99, 2160, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-03-06 00:00:00', 0, 9.8933572769999998, -99, 2200, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-03-07 00:00:00', 0, 11.601976390000001, -99, 2300, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-03-08 00:00:00', 0, 11.307443620000001, -99, 2048, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-03-09 00:00:00', 0, 9.4308309559999994, -99, 2081, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-03-10 00:00:00', 0, 9.1885862350000007, -99, 2322, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-03-11 00:00:00', 1.4199999569999999, 10.862524990000001, -99, 896, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-03-12 00:00:00', 4.9800000190000002, 13.25952339, -99, 803, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-03-13 00:00:00', 0, 11.820766450000001, -99, 1512, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-03-14 00:00:00', 0, 9.731005669, -99, 2318, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-03-15 00:00:00', 0, 11.03071022, -99, 2333, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-03-16 00:00:00', 0, 11.40765285, -99, 2113, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-03-17 00:00:00', 0, 14.22999287, -99, 1822, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-03-18 00:00:00', 0, 12.2363596, -99, 2174, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-03-19 00:00:00', 0.01, 14.04268742, -99, 1062, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-03-20 00:00:00', 0, 13.57796478, -99, 1789, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-03-21 00:00:00', 0.029999998999999999, 14.5238905, -99, 2009, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-03-22 00:00:00', 0, 14.26569557, -99, 2369, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-03-23 00:00:00', 0, 14.433300020000001, -99, 2509, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-03-24 00:00:00', 0, 10.60726547, -99, 2506, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-03-25 00:00:00', 0, 10.892590520000001, -99, 2524, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-03-26 00:00:00', 0, 11.606464389999999, -99, 2560, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-03-27 00:00:00', 0, 12.8953743, -99, 2405, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-03-28 00:00:00', 0, 16.610860819999999, -99, 1724, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-03-29 00:00:00', 0, 15.753648760000001, -99, 2560, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-03-30 00:00:00', 0, 15.408929820000001, -99, 2351, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-03-31 00:00:00', 0, 16.350934980000002, -99, 1894, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-04-01 00:00:00', 0, 17.966175079999999, -99, 2203, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-04-02 00:00:00', 1.2400000099999999, 18.841360089999998, -99, 2387, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-04-03 00:00:00', 3.630000114, 18.929323199999999, -99, 1948, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-04-04 00:00:00', 0, 16.724792480000001, -99, 2567, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-04-05 00:00:00', 0, 16.38118935, -99, 2243, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-04-06 00:00:00', 0, 16.138700490000002, -99, 2455, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-04-07 00:00:00', 0, 18.72239304, -99, 2387, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-04-08 00:00:00', 1.2400000099999999, 20.627182009999999, -99, 1512, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-04-09 00:00:00', 0, 17.267742160000001, -99, 2315, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-04-10 00:00:00', 0, 15.393093110000001, -99, 2660, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-04-11 00:00:00', 0, 17.57910347, -99, 2696, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-04-12 00:00:00', 0, 17.772895810000001, -99, 2729, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-04-13 00:00:00', 0, 16.18548393, -99, 2761, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-04-14 00:00:00', 0, 15.582041739999999, -99, 2797, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-04-15 00:00:00', 0, 16.819934839999998, -99, 2671, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-04-16 00:00:00', 0, 17.211305620000001, -99, 2639, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-04-17 00:00:00', 0, 18.459495539999999, -99, 2855, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-04-18 00:00:00', 0, 18.872346879999998, -99, 2822, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-04-19 00:00:00', 0, 19.112432479999999, -99, 2826, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-04-20 00:00:00', 0, 19.712539670000002, -99, 2819, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-04-21 00:00:00', 0.050000001000000002, 21.835172650000001, -99, 2218, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-04-22 00:00:00', 0, 20.840780259999999, -99, 2466, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-04-23 00:00:00', 0, 23.084352490000001, -99, 2740, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-04-24 00:00:00', 0, 22.397890090000001, -99, 2621, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-04-25 00:00:00', 2.670000076, 25.55924225, -99, 1213, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-04-26 00:00:00', 0, 19.71902657, -99, 2434, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-04-27 00:00:00', 0, 19.291145319999998, -99, 2081, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-04-28 00:00:00', 0, 20.56703186, -99, 2736, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-04-29 00:00:00', 0.050000001000000002, 20.90407944, -99, 2696, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-04-30 00:00:00', 0, 24.31201935, -99, 1580, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-05-01 00:00:00', 0, 24.84845352, -99, 2027, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-05-02 00:00:00', 0, 23.547782900000001, -99, 2329, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-05-03 00:00:00', 0, 24.4442749, -99, 2380, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-05-04 00:00:00', 0, 22.23706627, -99, 2437, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-05-05 00:00:00', 0, 22.669424060000001, -99, 2873, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-05-06 00:00:00', 0.280000001, 25.30953598, -99, 508, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-05-07 00:00:00', 0.46000000800000002, 19.466958999999999, -99, 2992, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-05-08 00:00:00', 0, 16.664564129999999, -99, 2603, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-05-09 00:00:00', 0, 19.727090839999999, -99, 2131, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-05-10 00:00:00', 0, 18.132379530000001, -99, 2977, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-05-11 00:00:00', 0, 20.931648249999999, -99, 2844, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-05-12 00:00:00', 0, 21.524322510000001, -99, 2812, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-05-13 00:00:00', 0, 22.315963750000002, -99, 2977, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-05-14 00:00:00', 0, 24.011625290000001, -99, 2934, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-05-15 00:00:00', 0, 24.679340360000001, -99, 3082, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-05-16 00:00:00', 0, 26.286020279999999, -99, 2905, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-05-17 00:00:00', 0, 27.24914742, -99, 2311, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-05-18 00:00:00', 0.090000003999999995, 26.49527359, -99, 2743, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-05-19 00:00:00', 0, 24.6783371, -99, 2768, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-05-20 00:00:00', 0, 24.951936719999999, -99, 3100, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-05-21 00:00:00', 0, 23.23442841, -99, 3053, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-05-22 00:00:00', 0, 25.442976000000002, -99, 2790, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-05-23 00:00:00', 0, 27.947128299999999, -99, 2866, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-05-24 00:00:00', 0, 27.606283189999999, -99, 3143, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-05-25 00:00:00', 0, 28.24411392, -99, 3110, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-05-26 00:00:00', 0, 36.732845310000002, -99, 3038, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-05-27 00:00:00', 0, 28.629528050000001, -99, 2992, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-05-28 00:00:00', 0, 29.22284698, -99, 2941, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-05-29 00:00:00', 0, 28.48412132, -99, 2956, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-05-30 00:00:00', 0, 25.489059449999999, -99, 2909, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-05-31 00:00:00', 0, 25.013298030000001, -99, 2970, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-06-01 00:00:00', 0, 28.35548782, -99, 1717, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-06-02 00:00:00', 0, 26.897651669999998, -99, 3049, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-06-03 00:00:00', 0, 26.152700419999999, -99, 2840, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-06-04 00:00:00', 0.12999999500000001, 27.133319849999999, -99, 2207, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-06-05 00:00:00', 0, 25.713390350000001, -99, 3089, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-06-06 00:00:00', 0, 26.733013150000001, -99, 3107, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-06-07 00:00:00', 0.14000000100000001, 27.290878299999999, -99, 3110, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-06-08 00:00:00', 0, 27.62051773, -99, 2462, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-06-09 00:00:00', 0.039999999000000001, 29.437221529999999, -99, 1876, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-06-10 00:00:00', 9.1199998860000004, 28.86658096, -99, 630, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-06-11 00:00:00', 6.0900001530000001, 22.274374009999999, -99, 2506, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-06-12 00:00:00', 0.059999998999999998, 23.252653120000002, -99, 2498, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-06-13 00:00:00', 0, 24.251638410000002, -99, 2045, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-06-14 00:00:00', 0, 24.59631538, -99, 3028, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-06-15 00:00:00', 0, 26.207256319999999, -99, 3114, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-06-16 00:00:00', 0.94999998799999996, 26.838373180000001, -99, 2560, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-06-17 00:00:00', 0.77999997099999996, 25.058851239999999, -99, 2329, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-06-18 00:00:00', 0, 24.85866356, -99, 2999, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-06-19 00:00:00', 0, 26.80340958, -99, 2981, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-06-20 00:00:00', 0, 28.496612549999998, -99, 3042, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-06-21 00:00:00', 0, 28.599252700000001, -99, 3164, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-06-22 00:00:00', 0.33000001299999998, 28.674364090000001, -99, 2858, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-06-23 00:00:00', 0, 29.361970899999999, -99, 2891, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-06-24 00:00:00', 0, 28.950849529999999, -99, 2754, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-06-25 00:00:00', 0, 29.380403520000002, -99, 3060, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-06-26 00:00:00', 0, 29.570075989999999, -99, 2945, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-06-27 00:00:00', 0.519999981, 29.859933850000001, -99, 2916, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-06-28 00:00:00', 5.5, 26.880985259999999, -99, 2365, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-06-29 00:00:00', 0.38999998600000002, 27.51828957, -99, 2646, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-06-30 00:00:00', 0.12999999500000001, 28.156051640000001, -99, 2300, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-07-01 00:00:00', 0.769999981, 29.021120069999998, -99, 500, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-07-02 00:00:00', 2.4000000950000002, 28.793632509999998, -99, 1177, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-07-03 00:00:00', 0, 28.24702263, -99, 2660, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-07-04 00:00:00', 7.4499998090000004, 28.182855610000001, -99, 2779, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-07-05 00:00:00', 1.1699999569999999, 29.177741999999999, -99, 2714, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-07-06 00:00:00', 46.950000760000002, 26.159120560000002, -99, 2657, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-07-07 00:00:00', 11.35999966, 25.138610839999998, -99, 2038, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-07-08 00:00:00', 10.420000079999999, 27.242807389999999, -99, 2286, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-07-09 00:00:00', 7.2800002099999999, 28.55470467, -99, 2156, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-07-10 00:00:00', 30.850000380000001, 26.023778920000002, -99, 184, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-07-11 00:00:00', 1.440000057, 26.36385727, -99, 1480, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-07-12 00:00:00', 21.93000031, 27.595563890000001, -99, 2221, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-07-13 00:00:00', 0, 25.980405810000001, -99, 1566, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-07-14 00:00:00', 0.63999998599999997, 27.70496559, -99, 2902, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-07-15 00:00:00', 10.47000027, 28.5402813, -99, 2592, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-07-16 00:00:00', 13.77000046, 27.104656219999999, -99, 1796, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-07-17 00:00:00', 44.560001370000002, 27.080116270000001, -99, 2851, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-07-18 00:00:00', 3.3599998950000001, 26.120820999999999, -99, 2268, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-07-19 00:00:00', 2.7400000100000002, 25.896677019999998, -99, 2106, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-07-20 00:00:00', 9.6800003050000001, 27.336893079999999, -99, 2588, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-07-21 00:00:00', 2.9700000289999999, 25.186246870000002, -99, 2981, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-07-22 00:00:00', 6.0700001720000003, 28.353454589999998, -99, 1638, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-07-23 00:00:00', 0, 29.436115260000001, -99, 2880, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-07-24 00:00:00', 21.370000839999999, 28.112539290000001, -99, 2448, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-07-25 00:00:00', 3.8099999430000002, 25.512353900000001, -99, 2563, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-07-26 00:00:00', 0, 28.45225143, -99, 2966, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-07-27 00:00:00', 0, 28.706953049999999, -99, 2812, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-07-28 00:00:00', 0, 29.878341670000001, -99, 2498, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-07-29 00:00:00', 0, 26.87189674, -99, 2336, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-07-30 00:00:00', 0.02, 28.109910960000001, -99, 2599, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-07-31 00:00:00', 0.43000000700000002, 29.405277250000001, -99, 2470, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-08-01 00:00:00', 0.02, 28.529462809999998, -99, 2804, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-08-02 00:00:00', 0, 28.183183669999998, -99, 2786, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-08-03 00:00:00', 2.0299999710000001, 27.949548719999999, -99, 1346, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-08-04 00:00:00', 0, 27.007730479999999, -99, 2754, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-08-05 00:00:00', 0, 27.63848686, -99, 2524, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-08-06 00:00:00', 0.94999998799999996, 27.533145900000001, -99, 2754, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-08-07 00:00:00', 1.7599999900000001, 28.03058815, -99, 1645, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-08-08 00:00:00', 0, 27.30050468, -99, 1955, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-08-09 00:00:00', 0, 28.456888200000002, -99, 2502, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-08-10 00:00:00', 0, 27.959337229999999, -99, 2347, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-08-11 00:00:00', 22.38999939, 27.6269989, -99, 1714, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-08-12 00:00:00', 6.9099998469999999, 25.549587249999998, -99, 1260, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-08-13 00:00:00', 4.9299998279999997, 26.441833500000001, -99, 2452, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-08-14 00:00:00', 0.12999999500000001, 27.113098140000002, -99, 2491, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-08-15 00:00:00', 2.5199999809999998, 26.45401764, -99, 2279, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-08-16 00:00:00', 4.2899999619999996, 25.392436979999999, -99, 1627, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-08-17 00:00:00', 0.039999999000000001, 26.755794529999999, -99, 1980, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-08-18 00:00:00', 0, 26.522602079999999, -99, 2063, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-08-19 00:00:00', 0, 26.882984159999999, -99, 1494, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-08-20 00:00:00', 0, 26.661481859999999, -99, 1656, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-08-21 00:00:00', 0, 27.026435849999999, -99, 1930, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-08-22 00:00:00', 10.010000229999999, 26.740241999999999, -99, 1987, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-08-23 00:00:00', 0, 26.30496788, -99, 1912, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-08-24 00:00:00', 0, 27.102268219999999, -99, 2059, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-08-25 00:00:00', 0.69999998799999996, 26.589334489999999, -99, 1858, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-08-26 00:00:00', 2.210000038, 26.059919359999999, -99, 1487, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-08-27 00:00:00', 7.25, 25.91173744, -99, 2027, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-08-28 00:00:00', 0.62000000499999997, 23.419296259999999, -99, 1987, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-08-29 00:00:00', 0, 24.767942430000002, -99, 2156, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-08-30 00:00:00', 0, 26.90261078, -99, 2167, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-08-31 00:00:00', 1.2599999900000001, 26.93289566, -99, 1994, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-09-01 00:00:00', 0, 25.838024140000002, -99, 1987, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-09-02 00:00:00', 10.600000380000001, 25.63469315, -99, 1886, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-09-03 00:00:00', 0, 24.328619, -99, 1980, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-09-04 00:00:00', 0, 25.838314059999998, -99, 1559, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-09-05 00:00:00', 0, 27.872287750000002, -99, 1858, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-09-06 00:00:00', 0, 25.633253100000001, -99, 2063, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-09-07 00:00:00', 15.06000042, 26.7226429, -99, 1368, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-09-08 00:00:00', 0, 23.98722076, -99, 1721, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-09-09 00:00:00', 4.5599999430000002, 26.42173386, -99, 1721, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-09-10 00:00:00', 0, 26.07437706, -99, 1602, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-09-11 00:00:00', 27.440000529999999, 24.527160640000002, -99, 1195, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-09-12 00:00:00', 5.8600001339999999, 21.93069839, -99, 2192, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-09-13 00:00:00', 23.440000529999999, 24.224145889999999, -99, 1998, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-09-14 00:00:00', 0.109999999, 23.466350559999999, -99, 1778, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-09-15 00:00:00', 0.15999999600000001, 23.369462970000001, -99, 2070, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-09-16 00:00:00', 0.189999998, 26.508386609999999, -99, 2106, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-09-17 00:00:00', 12.460000040000001, 26.61355782, -99, 457, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-09-18 00:00:00', 0.25, 25.446542740000002, -99, 1670, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-09-19 00:00:00', 0.12999999500000001, 25.38006592, -99, 1181, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-09-20 00:00:00', 5.6599998469999999, 25.59599686, -99, 1616, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-09-21 00:00:00', 163.67999270000001, 24.03979301, -99, 425, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-09-22 00:00:00', 17.799999239999998, 23.659765239999999, -99, 454, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-09-23 00:00:00', 18.299999239999998, 23.932535170000001, -99, 1415, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-09-24 00:00:00', 8.3800001139999996, 22.674655909999998, -99, 1105, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-09-25 00:00:00', 0.15999999600000001, 24.160634989999998, -99, 2041, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-09-26 00:00:00', 0.25, 24.973321909999999, -99, 2023, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-09-27 00:00:00', 0, 25.267303470000002, -99, 2102, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-09-28 00:00:00', 0, 25.9180603, -99, 2207, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-09-29 00:00:00', 0.01, 24.50529671, -99, 2207, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-09-30 00:00:00', 0, 25.79971123, -99, 2250, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-10-01 00:00:00', 3.8099999430000002, 27.52937317, -99, 1350, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-10-02 00:00:00', 0.43000000700000002, 22.983354569999999, -99, 1940, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-10-03 00:00:00', 0.039999999000000001, 22.610912320000001, -99, 2207, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-10-04 00:00:00', 7.6799998279999997, 23.470396040000001, -99, 1836, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-10-05 00:00:00', 4.2399997709999999, 19.707889560000002, -99, 2149, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-10-06 00:00:00', 0, 21.824850080000001, -99, 2182, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-10-07 00:00:00', 0, 21.279104230000002, -99, 2138, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-10-08 00:00:00', 0, 23.048477170000002, -99, 2113, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-10-09 00:00:00', 0, 23.152313230000001, -99, 2038, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-10-10 00:00:00', 0, 22.809307100000002, -99, 2059, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-10-11 00:00:00', 0, 21.710782999999999, -99, 2012, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-10-12 00:00:00', 0, 20.86369324, -99, 2070, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-10-13 00:00:00', 0, 19.463441849999999, -99, 2052, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-10-14 00:00:00', 0, 18.9503746, -99, 2005, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-10-15 00:00:00', 2.4000000950000002, 19.84307098, -99, 749, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-10-16 00:00:00', 59.259998320000001, 20.175159449999999, -99, 245, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-10-17 00:00:00', 12.22999954, 18.497978209999999, -99, 374, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-10-18 00:00:00', 0.58999997400000004, 20.089496610000001, -99, 1667, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-10-19 00:00:00', 0, 19.644973749999998, -99, 1930, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-10-20 00:00:00', 0, 20.722743990000001, -99, 1951, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-10-21 00:00:00', 0, 21.41953659, -99, 1962, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-10-22 00:00:00', 0, 18.064474109999999, -99, 1969, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-10-23 00:00:00', 0, 19.218935009999999, -99, 1948, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-10-24 00:00:00', 0, 18.531976700000001, -99, 1872, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-10-25 00:00:00', 0, 18.834352490000001, -99, 1843, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-10-26 00:00:00', 0, 17.447862629999999, -99, 1822, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-10-27 00:00:00', 0, 16.274744030000001, -99, 1800, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-10-28 00:00:00', 0, 15.23010826, -99, 1789, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-10-29 00:00:00', 0, 14.17268848, -99, 1742, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-10-30 00:00:00', 0, 14.70485115, -99, 1760, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-10-31 00:00:00', 0, 15.888102529999999, -99, 1732, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-11-01 00:00:00', 0, 13.347004889999999, -99, 1865, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-11-02 00:00:00', 0, 13.8319397, -99, 1829, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-11-03 00:00:00', 0, 14.121960639999999, -99, 1840, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-11-04 00:00:00', 0, 13.96528912, -99, 1739, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-11-05 00:00:00', 0, 15.74493217, -99, 1397, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-11-06 00:00:00', 0, 17.284812930000001, -99, 1681, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-11-07 00:00:00', 0, 16.011016850000001, -99, 1678, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-11-08 00:00:00', 0, 16.229728699999999, -99, 1699, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-11-09 00:00:00', 0, 14.30222607, -99, 1703, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-11-10 00:00:00', 0, 15.08080006, -99, 1699, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-11-11 00:00:00', 0, 13.590707780000001, -99, 1710, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-11-12 00:00:00', 0, 14.27791309, -99, 1710, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-11-13 00:00:00', 0, 15.62398911, -99, 1721, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-11-14 00:00:00', 0, 11.80033398, -99, 1678, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-11-15 00:00:00', 0, 12.20482063, -99, 1616, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-11-16 00:00:00', 0, 11.54728413, -99, 1645, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-11-17 00:00:00', 0, 13.4883585, -99, 1613, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-11-18 00:00:00', 0, 12.550916669999999, -99, 1588, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-11-19 00:00:00', 0, 12.68075752, -99, 1559, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-11-20 00:00:00', 0, 11.30547142, -99, 1591, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-11-21 00:00:00', 0, 11.291048050000001, -99, 1584, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-11-22 00:00:00', 0, 11.216975209999999, -99, 1552, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-11-23 00:00:00', 0, 11.016681670000001, -99, 1526, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-11-24 00:00:00', 0, 11.891327860000001, -99, 1534, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-11-25 00:00:00', 0, 11.690321920000001, -99, 1566, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-11-26 00:00:00', 0, 11.234722140000001, -99, 1512, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-11-27 00:00:00', 0, 10.01395988, -99, 1526, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-11-28 00:00:00', 0, 8.8307056429999999, -99, 1523, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-11-29 00:00:00', 0, 9.8380994800000003, -99, 1530, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-11-30 00:00:00', 0, 8.8589735029999996, -99, 1508, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-12-01 00:00:00', 0, 8.8879451750000005, -99, 1487, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-12-02 00:00:00', 0, 8.9025020599999998, -99, 1469, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-12-03 00:00:00', 0, 8.9841890339999999, -99, 1408, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-12-04 00:00:00', 0, 9.2319040300000008, -99, 1462, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-12-05 00:00:00', 0, 9.8897991179999991, -99, 1400, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-12-06 00:00:00', 0, 9.5371894840000007, -99, 1422, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-12-07 00:00:00', 0, 9.1912460330000005, -99, 1451, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-12-08 00:00:00', 0, 9.6988735199999994, -99, 1490, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-12-09 00:00:00', 0, 8.5350818630000003, -99, 1440, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-12-10 00:00:00', 0, 8.5847558979999992, -99, 1364, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-12-11 00:00:00', 0, 8.3987293239999996, -99, 1336, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-12-12 00:00:00', 0, 8.165267944, -99, 1102, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-12-13 00:00:00', 0, 9.7301778789999993, -99, 1145, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-12-14 00:00:00', 0, 7.1193890570000002, -99, 1228, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-12-15 00:00:00', 0, 6.7984838490000001, -99, 1112, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-12-16 00:00:00', 0, 7.4985361099999999, -99, 976, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-12-17 00:00:00', 0, 8.0314350129999994, -99, 986, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-12-18 00:00:00', 0, 8.0188903810000003, -99, 785, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-12-19 00:00:00', 0, 7.1770792009999997, -99, 922, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-12-20 00:00:00', 0, 8.2739171979999995, -99, 1242, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-12-21 00:00:00', 0, 7.7955913539999999, -99, 1415, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-12-22 00:00:00', 0, 7.182448387, -99, 1188, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-12-23 00:00:00', 0, 8.7423448560000008, -99, 788, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-12-24 00:00:00', 0, 9.110616684, -99, 691, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-12-25 00:00:00', 0, 8.1799087519999993, -99, 850, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-12-26 00:00:00', 0, 6.6669640540000001, -99, 670, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-12-27 00:00:00', 0, 7.4972443579999997, -99, 817, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-12-28 00:00:00', 0, 6.3396391870000004, -99, 846, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-12-29 00:00:00', 0, 5.1931529049999998, -99, 1170, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-12-30 00:00:00', 0, 5.5094389919999998, -99, 1357, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-12-31 00:00:00', 0, 6.7909932140000002, -99, 1300, 'lud', 'lud_1998');
INSERT INTO public.cdy_cldat VALUES ('1999-01-01 00:00:00', 0, 6.1667366030000004, -99, 1328, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-01-02 00:00:00', 0, 8.4011402129999997, -99, 637, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-01-03 00:00:00', 0, 9.0571384429999995, -99, 976, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-01-04 00:00:00', 0, 9.8624420169999993, -99, 792, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-01-05 00:00:00', 3.9800000190000002, 8.8133096690000006, -99, 1051, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-01-06 00:00:00', 15.43000031, 12.32314968, -99, 270, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-01-07 00:00:00', 3.420000076, 11.75868225, -99, 436, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-01-08 00:00:00', 0, 8.3975124359999995, -99, 904, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-01-09 00:00:00', 0, 9.8947048189999993, -99, 1098, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-01-10 00:00:00', 0, 9.2095546719999994, -99, 590, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-01-11 00:00:00', 0, 8.9146509169999995, -99, 796, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-01-12 00:00:00', 0, 9.6535530089999995, -99, 871, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-01-13 00:00:00', 0, 7.5114440919999996, -99, 1109, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-01-14 00:00:00', 0, 7.9411759379999998, -99, 893, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-01-15 00:00:00', 0, 9.3367404940000007, -99, 871, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-01-16 00:00:00', 0, 10.27858925, -99, 821, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-01-17 00:00:00', 0, 8.0835466379999996, -99, 961, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-01-18 00:00:00', 0, 7.5510420800000002, -99, 828, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-01-19 00:00:00', 0, 8.7793445590000001, -99, 630, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-01-20 00:00:00', 1.1599999670000001, 8.3474979400000002, -99, 508, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-01-21 00:00:00', 0.829999983, 11.2359972, -99, 299, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-01-22 00:00:00', 0.44999998800000002, 8.3108520509999995, -99, 1570, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-01-23 00:00:00', 0.87000000499999997, 12.71108055, -99, 904, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-01-24 00:00:00', 0.310000002, 12.667799, -99, 713, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-01-25 00:00:00', 0, 8.9950036999999998, -99, 1649, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-01-26 00:00:00', 0, 8.3345880510000008, -99, 1346, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-01-27 00:00:00', 4.3499999049999998, 7.0489702220000003, -99, 1066, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-01-28 00:00:00', 5.5399999619999996, 11.263474459999999, -99, 659, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-01-29 00:00:00', 0, 7.6101579670000001, -99, 1512, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-01-30 00:00:00', 0, 8.1147651669999998, -99, 1530, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-01-31 00:00:00', 0, 7.1056451799999998, -99, 1717, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-02-01 00:00:00', 0, 6.405556679, -99, 1739, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-02-02 00:00:00', 0, 6.6341605189999999, -99, 1645, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-02-03 00:00:00', 0, 6.0816254619999999, -99, 1804, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-02-04 00:00:00', 0, 4.7225670810000002, -99, 1825, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-02-05 00:00:00', 0, 5.21916008, -99, 1649, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-02-06 00:00:00', 0, 7.2863245010000002, -99, 1487, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-02-07 00:00:00', 0.280000001, 6.7976450919999998, -99, 554, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-02-08 00:00:00', 0.029999998999999999, 10.40684605, -99, 835, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-02-09 00:00:00', 0, 8.1265344620000004, -99, 1606, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-02-10 00:00:00', 0, 10.033451080000001, -99, 1516, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-02-11 00:00:00', 0, 10.77926922, -99, 1771, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-02-12 00:00:00', 0, 11.64058971, -99, 1372, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-02-13 00:00:00', 0, 11.32122326, -99, 1904, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-02-14 00:00:00', 0, 11.24059868, -99, 1573, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-02-15 00:00:00', 0, 10.77178383, -99, 1314, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-02-16 00:00:00', 0.10000000100000001, 11.68348789, -99, 774, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-02-17 00:00:00', 0.029999998999999999, 13.47071648, -99, 1822, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-02-18 00:00:00', 0.02, 14.994449619999999, -99, 1616, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-02-19 00:00:00', 0, 12.228056909999999, -99, 1876, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-02-20 00:00:00', 0, 11.822758670000001, -99, 1681, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-02-21 00:00:00', 0, 11.09594536, -99, 1829, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-02-22 00:00:00', 0, 12.20977688, -99, 605, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-02-23 00:00:00', 1, 11.902672770000001, -99, 310, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-02-24 00:00:00', 0, 12.32168579, -99, 2099, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-02-25 00:00:00', 0, 10.74296856, -99, 1987, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-02-26 00:00:00', 0, 10.944359779999999, -99, 2167, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-02-27 00:00:00', 0, 8.8571701049999998, -99, 1933, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-02-28 00:00:00', 0, 9.8762178420000009, -99, 2117, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-03-01 00:00:00', 0, 9.5160818099999993, -99, 1480, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-03-02 00:00:00', 0, 11.07253742, -99, 2099, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-03-03 00:00:00', 0, 12.26910591, -99, 1771, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-03-04 00:00:00', 0, 12.8172636, -99, 857, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-03-05 00:00:00', 0, 13.21527386, -99, 1476, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-03-06 00:00:00', 0, 14.50007725, -99, 1382, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-03-07 00:00:00', 0.029999998999999999, 16.68037605, -99, 832, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-03-08 00:00:00', 0.01, 16.34004784, -99, 1742, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-03-09 00:00:00', 0, 12.509259220000001, -99, 1717, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-03-10 00:00:00', 0, 14.71653175, -99, 2113, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-03-11 00:00:00', 0, 12.49220467, -99, 2308, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-03-12 00:00:00', 0, 10.758727070000001, -99, 2369, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-03-13 00:00:00', 0, 10.71736336, -99, 2358, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-03-14 00:00:00', 0, 10.011711119999999, -99, 2282, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-03-15 00:00:00', 0, 12.30078411, -99, 1832, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-03-16 00:00:00', 0, 14.35839081, -99, 1534, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-03-17 00:00:00', 0, 15.90857506, -99, 2340, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-03-18 00:00:00', 0, 13.76867008, -99, 2484, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-03-19 00:00:00', 0, 15.30868912, -99, 2498, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-03-20 00:00:00', 0, 12.05619431, -99, 1300, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-03-21 00:00:00', 0, 11.881232260000001, -99, 2484, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-03-22 00:00:00', 0, 11.563982960000001, -99, 2524, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-03-23 00:00:00', 0, 14.60916233, -99, 2387, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-03-24 00:00:00', 0.079999998000000003, 17.054027560000002, -99, 2120, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-03-25 00:00:00', 0, 17.865644450000001, -99, 1624, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-03-26 00:00:00', 0, 13.85028172, -99, 2581, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-03-27 00:00:00', 0, 15.58840275, -99, 2606, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-03-28 00:00:00', 0, 14.853997229999999, -99, 2578, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-03-29 00:00:00', 0, 19.14864159, -99, 1627, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-03-30 00:00:00', 0, 17.769258499999999, -99, 2383, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-03-31 00:00:00', 0, 21.12641335, -99, 1595, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-04-01 00:00:00', 0.01, 18.183841709999999, -99, 2189, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-04-02 00:00:00', 0, 21.65416145, -99, 2675, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-04-03 00:00:00', 0, 19.64120102, -99, 2768, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-04-04 00:00:00', 0, 15.23530579, -99, 2714, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-04-05 00:00:00', 0, 17.430170059999998, -99, 2747, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-04-06 00:00:00', 0, 18.451530460000001, -99, 2214, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-04-07 00:00:00', 0, 19.783514019999998, -99, 2174, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-04-08 00:00:00', 0, 20.904815670000001, -99, 2711, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-04-09 00:00:00', 0, 19.276374820000001, -99, 2624, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-04-10 00:00:00', 0, 21.571033480000001, -99, 2765, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-04-11 00:00:00', 0, 21.592094419999999, -99, 2675, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-04-12 00:00:00', 0, 26.301471710000001, -99, 2754, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-04-13 00:00:00', 0, 20.398494719999999, -99, 2257, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-04-14 00:00:00', 0, 17.832345960000001, -99, 2891, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-04-15 00:00:00', 0, 19.424114230000001, -99, 2963, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-04-16 00:00:00', 0, 19.818521499999999, -99, 2873, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-04-17 00:00:00', 0, 24.91962814, -99, 2790, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-04-18 00:00:00', 0, 21.936645510000002, -99, 2786, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-04-19 00:00:00', 0, 20.849750520000001, -99, 2923, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-04-20 00:00:00', 0, 19.513265610000001, -99, 2927, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-04-21 00:00:00', 0, 20.841638570000001, -99, 2484, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-04-22 00:00:00', 0, 23.368946080000001, -99, 2869, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-04-23 00:00:00', 0, 23.251977920000002, -99, 2956, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-04-24 00:00:00', 0, 25.757659910000001, -99, 2948, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-04-25 00:00:00', 0, 20.934448239999998, -99, 3010, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-04-26 00:00:00', 0, 23.883371350000001, -99, 3042, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-04-27 00:00:00', 0, 19.811809539999999, -99, 3013, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-04-28 00:00:00', 0, 20.595329280000001, -99, 2988, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-04-29 00:00:00', 0, 21.637884140000001, -99, 2930, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-04-30 00:00:00', 0, 25.238145830000001, -99, 2977, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-05-01 00:00:00', 0, 7.869978905, -99, 2822, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-05-02 00:00:00', 0, 27.514726639999999, -99, 2830, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-05-03 00:00:00', 1.6000000240000001, 25.58361816, -99, 2484, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-05-04 00:00:00', 0, 27.66864777, -99, 2761, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-05-05 00:00:00', 0, 26.870098110000001, -99, 2390, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-05-06 00:00:00', 0, 25.665483470000002, -99, 2970, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-05-07 00:00:00', 1, 24.799242020000001, -99, 1994, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-05-08 00:00:00', 0, 27.164630890000002, -99, 2228, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-05-09 00:00:00', 0, 23.85955238, -99, 2934, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-05-10 00:00:00', 1.1299999949999999, 25.32714081, -99, 1976, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-05-11 00:00:00', 0, 22.6953125, -99, 2884, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-05-12 00:00:00', 11.829999920000001, 24.93088341, -99, 1022, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-05-13 00:00:00', 0, 20.386209489999999, -99, 2880, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-05-14 00:00:00', 0, 24.256614689999999, -99, 3118, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-05-15 00:00:00', 0, 22.25179863, -99, 3107, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-05-16 00:00:00', 0, 25.017005919999999, -99, 2952, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-05-17 00:00:00', 0, 26.557504649999998, -99, 2963, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-05-18 00:00:00', 0, 27.74796486, -99, 2952, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-05-19 00:00:00', 0, 27.74796104, -99, 3049, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-05-20 00:00:00', 0.15999999600000001, 27.192024230000001, -99, 2315, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-05-21 00:00:00', 2.579999924, 26.830595020000001, -99, 1303, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-05-22 00:00:00', 0.540000021, 25.450149540000002, -99, 1346, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-05-23 00:00:00', 10.68000031, 26.61730957, -99, 335, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-05-24 00:00:00', 0.62999999500000003, 23.115949629999999, -99, 2362, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-05-25 00:00:00', 0, 24.047315600000001, -99, 2930, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-05-26 00:00:00', 0, 23.082689290000001, -99, 2999, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-05-27 00:00:00', 0, 23.57033157, -99, 3276, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-05-28 00:00:00', 0, 23.663599009999999, -99, 3262, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-05-29 00:00:00', 0, 25.03727722, -99, 3218, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-05-30 00:00:00', 0.28999999199999998, 27.902029039999999, -99, 2794, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-05-31 00:00:00', 7.0599999430000002, 25.361049649999998, -99, 1703, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-06-01 00:00:00', 0, 24.29501724, -99, 3154, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-06-02 00:00:00', 2.0199999809999998, 24.069114689999999, -99, 1807, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-06-03 00:00:00', 0.01, 21.81103706, -99, 3078, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-06-04 00:00:00', 2.0099999899999998, 24.634635930000002, -99, 2048, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-06-05 00:00:00', 0, 22.597940439999999, -99, 3071, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-06-06 00:00:00', 0, 25.287052150000001, -99, 3179, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-06-07 00:00:00', 0.560000002, 26.859704969999999, -99, 3017, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-06-08 00:00:00', 0, 26.967111589999998, -99, 2956, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-06-09 00:00:00', 1.1200000050000001, 28.541246409999999, -99, 3150, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-06-10 00:00:00', 0, 29.65005493, -99, 2574, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-06-11 00:00:00', 8.4700002669999996, 27.851943970000001, -99, 2902, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-06-12 00:00:00', 0.15999999600000001, 26.838407520000001, -99, 2804, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-06-13 00:00:00', 0, 26.136564249999999, -99, 2974, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-06-14 00:00:00', 0, 27.741989140000001, -99, 3085, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-06-15 00:00:00', 0, 28.25546074, -99, 3186, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-06-16 00:00:00', 0, 29.58994865, -99, 3193, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-06-17 00:00:00', 0, 30.3756752, -99, 2714, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-06-18 00:00:00', 0, 27.100219729999999, -99, 2974, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-06-19 00:00:00', 0.64999997600000003, 29.452348709999999, -99, 2635, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-06-20 00:00:00', 0.25, 26.28667068, -99, 1040, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-06-21 00:00:00', 0.66000002599999996, 26.496513369999999, -99, 1328, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-06-22 00:00:00', 0, 26.18985176, -99, 3150, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-06-23 00:00:00', 0, 27.593770979999999, -99, 3096, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-06-24 00:00:00', 0, 28.917638780000001, -99, 3164, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-06-25 00:00:00', 0, 29.373180390000002, -99, 3164, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-06-26 00:00:00', 0, 30.646095280000001, -99, 3074, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-06-27 00:00:00', 2.4300000669999999, 29.569780349999998, -99, 2995, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-06-28 00:00:00', 1.3500000240000001, 26.757804870000001, -99, 2768, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-06-29 00:00:00', 0.18000000699999999, 27.515998840000002, -99, 1404, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-06-30 00:00:00', 0, 29.401407240000001, -99, 2722, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-07-01 00:00:00', 0.40999999599999998, 29.443983079999999, -99, 2830, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-07-02 00:00:00', 0.119999997, 28.421260830000001, -99, 3031, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-07-03 00:00:00', 0.039999999000000001, 24.675783160000002, -99, 2092, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-07-04 00:00:00', 0.039999999000000001, 28.817953110000001, -99, 2254, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-07-05 00:00:00', 0.439999998, 27.32162666, -99, 2664, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-07-06 00:00:00', 0.64999997600000003, 28.713672639999999, -99, 1670, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-07-07 00:00:00', 0, 26.10780716, -99, 3060, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-07-08 00:00:00', 0, 29.427305220000001, -99, 2909, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-07-09 00:00:00', 0.790000021, 30.178609850000001, -99, 2966, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-07-10 00:00:00', 0, 30.129938129999999, -99, 3053, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-07-11 00:00:00', 9.8400001530000001, 30.537734990000001, -99, 2920, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-07-12 00:00:00', 7.5100002290000001, 23.17328835, -99, 1627, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-07-13 00:00:00', 1.4900000099999999, 24.408336640000002, -99, 2596, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-07-14 00:00:00', 0, 26.08932686, -99, 3085, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-07-15 00:00:00', 0, 27.504770279999999, -99, 3100, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-07-16 00:00:00', 0, 29.2332058, -99, 3042, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-07-17 00:00:00', 0, 28.796356200000002, -99, 1786, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-07-18 00:00:00', 3.829999924, 28.052461619999999, -99, 1379, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-07-19 00:00:00', 6.0399999619999996, 27.082250599999998, -99, 943, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-07-20 00:00:00', 28.690000529999999, 26.954940799999999, -99, 886, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-07-21 00:00:00', 5.5300002099999999, 25.63715363, -99, 1296, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-07-22 00:00:00', 0, 26.076650619999999, -99, 2696, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-07-23 00:00:00', 6.3800001139999996, 27.394836430000002, -99, 2938, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-07-24 00:00:00', 0, 28.247535710000001, -99, 2866, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-07-25 00:00:00', 0, 28.019823070000001, -99, 2624, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-07-26 00:00:00', 0, 27.634744640000001, -99, 2963, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-07-27 00:00:00', 0, 29.722448350000001, -99, 2736, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-07-28 00:00:00', 3.380000114, 27.267122270000002, -99, 1721, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-07-29 00:00:00', 1.2599999900000001, 26.670242309999999, -99, 533, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-07-30 00:00:00', 4.8099999430000002, 24.944074629999999, -99, 1256, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-07-31 00:00:00', 9.2700004580000002, 26.094938280000001, -99, 922, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-08-01 00:00:00', 0, 27.049434659999999, -99, 1948, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-08-02 00:00:00', 0.12999999500000001, 28.447496409999999, -99, 1994, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-08-03 00:00:00', 5.4299998279999997, 27.422567369999999, -99, 1249, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-08-04 00:00:00', 0, 27.09174728, -99, 2056, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-08-05 00:00:00', 8.2399997710000008, 27.75831604, -99, 2225, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-08-06 00:00:00', 0.33000001299999998, 26.173326490000001, -99, 2092, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-08-07 00:00:00', 0, 27.472927089999999, -99, 1904, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-08-08 00:00:00', 0.74000001000000004, 27.401185989999998, -99, 1804, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-08-09 00:00:00', 0.050000001000000002, 26.61676216, -99, 1411, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-08-10 00:00:00', 0.27000001099999998, 27.108711240000002, -99, 1260, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-08-11 00:00:00', 1.4700000289999999, 26.773208619999998, -99, 2297, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-08-12 00:00:00', 15.77999973, 26.67576218, -99, 1951, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-08-13 00:00:00', 0, 25.292354580000001, -99, 2304, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-08-14 00:00:00', 0, 25.042930599999998, -99, 2844, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-08-15 00:00:00', 0.10000000100000001, 27.344753269999998, -99, 2772, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-08-16 00:00:00', 0, 27.137678149999999, -99, 2671, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-08-17 00:00:00', 0, 28.356390000000001, -99, 2646, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-08-18 00:00:00', 0, 28.017902370000002, -99, 2318, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-08-19 00:00:00', 0, 26.699369430000001, -99, 2124, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-08-20 00:00:00', 0, 26.382661819999999, -99, 2484, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-08-21 00:00:00', 0, 27.388833999999999, -99, 2747, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-08-22 00:00:00', 0, 27.380325320000001, -99, 2747, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-08-23 00:00:00', 0, 27.148117070000001, -99, 2322, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-08-24 00:00:00', 0, 26.529527659999999, -99, 2743, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-08-25 00:00:00', 0, 27.10746765, -99, 2646, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-08-26 00:00:00', 0.219999999, 27.988328930000002, -99, 2549, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-08-27 00:00:00', 1.460000038, 26.02061462, -99, 2365, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-08-28 00:00:00', 0.01, 25.154996870000002, -99, 2131, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-08-29 00:00:00', 0.119999997, 25.02486038, -99, 2311, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-08-30 00:00:00', 0, 25.340621949999999, -99, 2650, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-08-31 00:00:00', 0, 27.384283069999999, -99, 2603, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-09-01 00:00:00', 0, 26.307727809999999, -99, 2617, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-09-02 00:00:00', 0, 25.880575180000001, -99, 2250, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-09-03 00:00:00', 0, 25.50802994, -99, 2653, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-09-04 00:00:00', 0, 25.819395069999999, -99, 2362, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-09-05 00:00:00', 7.5599999430000002, 26.683517460000001, -99, 2113, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-09-06 00:00:00', 15.239999770000001, 24.810739519999998, -99, 2088, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-09-07 00:00:00', 0.74000001000000004, 24.887912750000002, -99, 2178, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-09-08 00:00:00', 0, 24.207880020000001, -99, 2498, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-09-09 00:00:00', 13.05000019, 26.75947189, -99, 2444, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-09-10 00:00:00', 0, 23.131092070000001, -99, 2390, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-09-11 00:00:00', 0, 24.501649860000001, -99, 2336, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-09-12 00:00:00', 0, 25.313121800000001, -99, 2124, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-09-13 00:00:00', 0, 25.239650730000001, -99, 2354, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-09-14 00:00:00', 12.31999969, 26.298065189999999, -99, 2250, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-09-15 00:00:00', 0, 26.12020111, -99, 2315, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-09-16 00:00:00', 7.4099998469999999, 26.71404648, -99, 1836, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-09-17 00:00:00', 0.029999998999999999, 25.855422969999999, -99, 842, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-09-18 00:00:00', 0, 26.185009000000001, -99, 1814, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-09-19 00:00:00', 0.50999998999999996, 27.018541339999999, -99, 1753, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-09-20 00:00:00', 0, 23.461574550000002, -99, 2329, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-09-21 00:00:00', 0, 26.650791170000002, -99, 2369, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-09-22 00:00:00', 0, 26.74920273, -99, 2329, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-09-23 00:00:00', 0, 25.867244719999999, -99, 1901, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-09-24 00:00:00', 0, 24.451641080000002, -99, 2178, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-09-25 00:00:00', 0, 23.92490768, -99, 2272, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-09-26 00:00:00', 0, 25.598552699999999, -99, 2282, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-09-27 00:00:00', 0.01, 25.49709511, -99, 2153, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-09-28 00:00:00', 0, 24.418298719999999, -99, 2063, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-09-29 00:00:00', 9.6599998469999999, 24.805898670000001, -99, 1796, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-09-30 00:00:00', 2.210000038, 24.169176100000001, -99, 1444, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-10-01 00:00:00', 0, 21.9414978, -99, 2221, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-10-02 00:00:00', 0, 22.55031395, -99, 2214, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-10-03 00:00:00', 0, 21.746873860000001, -99, 2099, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-10-04 00:00:00', 0, 22.647741320000002, -99, 2117, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-10-05 00:00:00', 0, 22.796241760000001, -99, 2117, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-10-06 00:00:00', 0, 21.791271210000001, -99, 2059, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-10-07 00:00:00', 0, 20.652530670000001, -99, 2113, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-10-08 00:00:00', 0, 18.48176956, -99, 2171, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-10-09 00:00:00', 0, 17.978170389999999, -99, 2149, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-10-10 00:00:00', 0, 17.167407990000001, -99, 2135, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-10-11 00:00:00', 0, 17.96981049, -99, 2074, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-10-12 00:00:00', 0, 17.91999435, -99, 2070, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-10-13 00:00:00', 0, 16.95518684, -99, 2081, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-10-14 00:00:00', 0, 17.894292830000001, -99, 2088, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-10-15 00:00:00', 0, 16.898344040000001, -99, 2081, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-10-16 00:00:00', 0, 17.158548360000001, -99, 2041, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-10-17 00:00:00', 0, 17.93725586, -99, 2045, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-10-18 00:00:00', 0, 17.462017060000001, -99, 1192, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-10-19 00:00:00', 0, 17.391960139999998, -99, 2041, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-10-20 00:00:00', 0, 16.49272728, -99, 1940, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-10-21 00:00:00', 0, 18.688936229999999, -99, 1976, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-10-22 00:00:00', 0, 18.043642040000002, -99, 1973, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-10-23 00:00:00', 0, 17.46024895, -99, 1922, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-10-24 00:00:00', 0, 17.296686170000001, -99, 1926, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-10-25 00:00:00', 0, 18.282388690000001, -99, 1904, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-10-26 00:00:00', 0, 17.769138340000001, -99, 1951, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-10-27 00:00:00', 0, 16.767704009999999, -99, 1854, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-10-28 00:00:00', 0, 17.445125579999999, -99, 1886, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-10-29 00:00:00', 0, 17.41746521, -99, 1904, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-10-30 00:00:00', 0, 16.237237929999999, -99, 1854, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-10-31 00:00:00', 0, 17.806421279999999, -99, 1832, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-11-01 00:00:00', 0, 18.1696949, -99, 1836, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-11-02 00:00:00', 0, 15.98828793, -99, 1811, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-11-03 00:00:00', 0, 14.694104189999999, -99, 1793, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-11-04 00:00:00', 0, 16.568258289999999, -99, 1505, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-11-05 00:00:00', 0, 17.832622529999998, -99, 1462, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-11-06 00:00:00', 0, 17.602701190000001, -99, 1609, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-11-07 00:00:00', 0, 15.35068893, -99, 1746, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-11-08 00:00:00', 0, 11.92371655, -99, 1768, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-11-09 00:00:00', 0, 11.701907159999999, -99, 1724, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-11-10 00:00:00', 0, 13.688702579999999, -99, 1606, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-11-11 00:00:00', 0, 12.64168358, -99, 1591, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-11-12 00:00:00', 0, 10.631357189999999, -99, 1627, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-11-13 00:00:00', 0, 12.76893711, -99, 1645, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-11-14 00:00:00', 0, 14.16103363, -99, 1584, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-11-15 00:00:00', 0, 13.04191971, -99, 1624, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-11-16 00:00:00', 0, 12.052230829999999, -99, 1652, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-11-17 00:00:00', 0, 10.441061019999999, -99, 1660, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-11-18 00:00:00', 0, 9.3800783160000005, -99, 1609, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-11-19 00:00:00', 0, 8.023509979, -99, 1609, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-11-20 00:00:00', 0, 10.111556050000001, -99, 1580, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-11-21 00:00:00', 0, 8.8516302109999998, -99, 1537, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-11-22 00:00:00', 0, 9.5621118549999995, -99, 1501, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-11-23 00:00:00', 0, 10.872578620000001, -99, 1537, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-11-24 00:00:00', 0, 11.188672070000001, -99, 929, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-11-25 00:00:00', 0, 8.8745908740000008, -99, 1044, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-11-26 00:00:00', 0, 9.4415168759999997, -99, 1526, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-11-27 00:00:00', 0, 10.52270603, -99, 1526, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-11-28 00:00:00', 0, 10.895558360000001, -99, 1426, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-11-29 00:00:00', 0, 9.2253103260000007, -99, 1429, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-11-30 00:00:00', 0, 9.0037279130000005, -99, 1469, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-12-01 00:00:00', 0, 9.7733898159999999, -99, 1469, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-12-02 00:00:00', 0, 9.3107995989999992, -99, 1494, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-12-03 00:00:00', 0, 8.9275026319999995, -99, 1487, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-12-04 00:00:00', 0, 8.861563683, -99, 1462, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-12-05 00:00:00', 0, 8.4897623059999994, -99, 1469, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-12-06 00:00:00', 0, 7.7164902690000003, -99, 1458, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-12-07 00:00:00', 0.15999999600000001, 8.8364877699999997, -99, 1361, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-12-08 00:00:00', 0, 8.7492723459999997, -99, 1451, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-12-09 00:00:00', 0, 5.7055907250000004, -99, 1400, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-12-10 00:00:00', 0, 7.7221722599999998, -99, 1447, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-12-11 00:00:00', 0, 7.3273725509999998, -99, 1354, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-12-12 00:00:00', 0, 6.9034910199999997, -99, 1433, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-12-13 00:00:00', 0, 6.0435423850000003, -99, 1436, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-12-14 00:00:00', 0, 5.8379669190000003, -99, 1346, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-12-15 00:00:00', 0, 6.6068525310000004, -99, 1447, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-12-16 00:00:00', 0, 6.978798866, -99, 1357, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-12-17 00:00:00', 0, 5.3364386560000003, -99, 1368, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-12-18 00:00:00', 0, 5.8628206250000003, -99, 1152, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-12-19 00:00:00', 0, 4.6780648229999997, -99, 1400, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-12-20 00:00:00', 0, 5.8140130040000004, -99, 1386, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-12-21 00:00:00', 0, 4.3495140079999999, -99, 1436, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-12-22 00:00:00', 0, 7.9654564859999999, -99, 1325, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-12-23 00:00:00', 0, 5.8798985479999999, -99, 1210, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-12-24 00:00:00', 0, 6.5623459820000001, -99, 1444, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-12-25 00:00:00', 0, 6.4172048569999998, -99, 1408, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-12-26 00:00:00', 0, 3.6787750720000001, -99, 1357, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-12-27 00:00:00', 0, 6.8019905090000004, -99, 1418, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-12-28 00:00:00', 0, 4.6303462980000001, -99, 1094, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-12-29 00:00:00', 0, 5.3000121120000001, -99, 1260, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-12-30 00:00:00', 0, 6.2339677809999996, -99, 1400, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-12-31 00:00:00', 0, 7.3117809300000003, -99, 1224, 'lud', 'lud_1999');
INSERT INTO public.cdy_cldat VALUES ('2000-01-01 00:00:00', 0, 2.2728929519999999, -99, 1310, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-01-02 00:00:00', 0, 5.0931262970000004, -99, 1274, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-01-03 00:00:00', 0, 5.3387813570000002, -99, 1256, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-01-04 00:00:00', 0, 6.6001811029999997, -99, 882, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-01-05 00:00:00', 0, 7.4440898899999999, -99, 745, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-01-06 00:00:00', 0, 4.9144644739999999, -99, 745, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-01-07 00:00:00', 0, 5.7068901060000004, -99, 734, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-01-08 00:00:00', 0, 6.9604086880000002, -99, 738, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-01-09 00:00:00', 0, 7.3540959360000002, -99, 1138, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-01-10 00:00:00', 1.710000038, 9.1448707579999997, -99, 1076, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-01-11 00:00:00', 2.6099998950000001, 12.10965824, -99, 342, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-01-12 00:00:00', 8.9399995800000003, 13.28459835, -99, 90, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-01-13 00:00:00', 0.34999999399999998, 10.99545097, -99, 896, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-01-14 00:00:00', 0, 8.0797910690000005, -99, 1321, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-01-15 00:00:00', 0, 2.9431614879999999, -99, 1512, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-01-16 00:00:00', 0, 3.5542562009999998, -99, 1555, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-01-17 00:00:00', 0, 3.7971341609999998, -99, 1483, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-01-18 00:00:00', 0, 6.3628492359999997, -99, 1094, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-01-19 00:00:00', 0, 7.4059710499999998, -99, 1498, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-01-20 00:00:00', 0, 9.7091941829999993, -99, 1519, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-01-21 00:00:00', 0, 10.932444569999999, -99, 1584, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-01-22 00:00:00', 0, 14.894166950000001, -99, 1087, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-01-23 00:00:00', 0, 8.3032512660000002, -99, 1598, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-01-24 00:00:00', 0.15000000599999999, 7.7496566769999999, -99, 1595, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-01-25 00:00:00', 8.9799995419999998, 8.4225082400000009, -99, 371, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-01-26 00:00:00', 0.50999998999999996, 8.6709976199999996, -99, 1163, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-01-27 00:00:00', 0, 8.096058846, -99, 1624, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-01-28 00:00:00', 0, 7.90340519, -99, 1663, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-01-29 00:00:00', 0, 7.0074582100000002, -99, 1552, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-01-30 00:00:00', 0, 7.0545325280000002, -99, 1681, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-01-31 00:00:00', 0, 10.6364193, -99, 1512, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-02-01 00:00:00', 0.02, 11.76655102, -99, 1084, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-02-02 00:00:00', 0, 8.2178497309999994, -99, 1112, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-02-03 00:00:00', 0, 5.9671087270000003, -99, 1742, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-02-04 00:00:00', 11.40999985, 6.6079878809999997, -99, 580, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-02-05 00:00:00', 0.34999999399999998, 10.13080311, -99, 490, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-02-06 00:00:00', 0, 7.3253827100000004, -99, 1321, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-02-07 00:00:00', 0, 6.6009826660000002, -99, 1811, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-02-08 00:00:00', 0.01, 6.4169974329999997, -99, 1793, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-02-09 00:00:00', 1.0700000519999999, 6.6304702759999996, -99, 1670, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-02-10 00:00:00', 9.7299995419999998, 9.7212982179999994, -99, 644, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-02-11 00:00:00', 2.5199999809999998, 9.5738410950000006, -99, 1004, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-02-12 00:00:00', 0.02, 7.1521983149999997, -99, 1289, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-02-13 00:00:00', 0, 5.4225749969999999, -99, 1868, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-02-14 00:00:00', 0, 7.4304566379999999, -99, 1901, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-02-15 00:00:00', 0, 7.4420518879999999, -99, 1451, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-02-16 00:00:00', 0, 6.8389635090000001, -99, 1688, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-02-17 00:00:00', 0, 6.2466959949999996, -99, 1933, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-02-18 00:00:00', 0, 4.4972944259999998, -99, 2005, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-02-19 00:00:00', 0, 4.1962094309999998, -99, 1987, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-02-20 00:00:00', 0.209999993, 5.1903014179999998, -99, 749, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-02-21 00:00:00', 0, 6.6772756580000001, -99, 1991, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-02-22 00:00:00', 0, 6.3692927360000002, -99, 2056, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-02-23 00:00:00', 0, 5.4456005100000002, -99, 2063, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-02-24 00:00:00', 0, 7.1578173639999996, -99, 2084, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-02-25 00:00:00', 0, 5.1581592560000002, -99, 2135, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-02-26 00:00:00', 0, 6.2378077510000001, -99, 2149, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-02-27 00:00:00', 0, 5.7930598260000004, -99, 2110, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-02-28 00:00:00', 0, 9.0448169709999995, -99, 2142, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-02-29 00:00:00', 0, 10.582598689999999, -99, 1044, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-03-01 00:00:00', 12.93999958, 9.3364124299999993, -99, 1843, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-03-02 00:00:00', 0, 9.8415575030000007, -99, 2138, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-03-03 00:00:00', 0, 9.1032066349999994, -99, 2153, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-03-04 00:00:00', 18.979999540000001, 12.68835735, -99, 1616, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-03-05 00:00:00', 0, 10.630371090000001, -99, 2196, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-03-06 00:00:00', 0, 9.3774414060000009, -99, 2160, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-03-07 00:00:00', 0, 8.5066680909999999, -99, 2246, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-03-08 00:00:00', 0, 9.8682422639999992, -99, 2311, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-03-09 00:00:00', 0, 10.50907612, -99, 2293, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-03-10 00:00:00', 0, 10.20566082, -99, 1984, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-03-11 00:00:00', 0, 13.18138123, -99, 2344, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-03-12 00:00:00', 0, 14.600377079999999, -99, 2142, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-03-13 00:00:00', 0, 9.0596551900000009, -99, 2390, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-03-14 00:00:00', 0, 9.8940048219999994, -99, 2408, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-03-15 00:00:00', 0, 11.407073970000001, -99, 2477, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-03-16 00:00:00', 0, 11.9627409, -99, 2333, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-03-17 00:00:00', 0, 13.77921963, -99, 2398, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-03-18 00:00:00', 0, 11.5126524, -99, 2506, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-03-19 00:00:00', 0, 9.3003721240000008, -99, 2556, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-03-20 00:00:00', 0, 11.14557838, -99, 1616, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-03-21 00:00:00', 0.15999999600000001, 13.42859554, -99, 900, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-03-22 00:00:00', 0.91000002599999996, 13.99584675, -99, 1580, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-03-23 00:00:00', 23.479999540000001, 12.581384659999999, -99, 2261, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-03-24 00:00:00', 0, 12.39091492, -99, 2581, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-03-25 00:00:00', 0, 12.48812962, -99, 2632, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-03-26 00:00:00', 0, 13.66129684, -99, 2682, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-03-27 00:00:00', 0, 13.97460175, -99, 2369, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-03-28 00:00:00', 0, 15.45388794, -99, 2567, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-03-29 00:00:00', 0, 17.614833829999998, -99, 2293, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-03-30 00:00:00', 0, 18.981645579999999, -99, 2250, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-03-31 00:00:00', 0, 17.029758449999999, -99, 2408, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-04-01 00:00:00', 0, 17.24533272, -99, 2700, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-04-02 00:00:00', 0, 13.48942471, -99, 2729, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-04-03 00:00:00', 0, 13.59914017, -99, 2754, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-04-04 00:00:00', 0, 13.73951435, -99, 2779, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-04-05 00:00:00', 0, 17.08252907, -99, 2797, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-04-06 00:00:00', 0, 13.56903934, -99, 2743, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-04-07 00:00:00', 0, 15.01300144, -99, 2754, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-04-08 00:00:00', 0, 16.999151229999999, -99, 2675, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-04-09 00:00:00', 0, 17.684642790000002, -99, 2830, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-04-10 00:00:00', 0, 15.783353809999999, -99, 2876, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-04-11 00:00:00', 0, 16.0942173, -99, 2812, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-04-12 00:00:00', 0, 17.128631590000001, -99, 2786, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-04-13 00:00:00', 0, 17.56408691, -99, 2221, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-04-14 00:00:00', 0.029999998999999999, 21.337812419999999, -99, 1238, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-04-15 00:00:00', 0, 18.29179955, -99, 2617, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-04-16 00:00:00', 0, 19.260663990000001, -99, 2866, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-04-17 00:00:00', 0, 20.33602905, -99, 2707, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-04-18 00:00:00', 0, 21.380983350000001, -99, 2574, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-04-19 00:00:00', 0, 22.274263380000001, -99, 2441, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-04-20 00:00:00', 0.050000001000000002, 27.192464829999999, -99, 2614, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-04-21 00:00:00', 0.039999999000000001, 24.060647960000001, -99, 2498, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-04-22 00:00:00', 0, 24.195341110000001, -99, 824, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-04-23 00:00:00', 0, 21.022151950000001, -99, 2596, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-04-24 00:00:00', 0, 20.430534359999999, -99, 2876, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-04-25 00:00:00', 0, 22.692342759999999, -99, 2923, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-04-26 00:00:00', 0, 23.758745189999999, -99, 2243, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-04-27 00:00:00', 0.12999999500000001, 25.18503952, -99, 2448, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-04-28 00:00:00', 0, 21.104013439999999, -99, 2812, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-04-29 00:00:00', 0, 21.948478699999999, -99, 2992, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-04-30 00:00:00', 0, 21.187707899999999, -99, 2984, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-05-01 00:00:00', 0, 21.668260570000001, -99, 2876, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-05-02 00:00:00', 0, 23.03142738, -99, 3125, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-05-03 00:00:00', 0, 24.548452380000001, -99, 2552, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-05-04 00:00:00', 1.0299999710000001, 27.050687790000001, -99, 2182, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-05-05 00:00:00', 7.8600001339999999, 24.12370872, -99, 1768, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-05-06 00:00:00', 6.0300002099999999, 20.70688629, -99, 2660, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-05-07 00:00:00', 0.20000000300000001, 21.456630709999999, -99, 2567, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-05-08 00:00:00', 0, 22.266328810000001, -99, 2682, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-05-09 00:00:00', 0, 24.707342149999999, -99, 2707, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-05-10 00:00:00', 0, 26.68298149, -99, 2524, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-05-11 00:00:00', 0, 28.170309069999998, -99, 2387, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-05-12 00:00:00', 2.960000038, 28.848180769999999, -99, 2808, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-05-13 00:00:00', 2.289999962, 24.141374590000002, -99, 1858, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-05-14 00:00:00', 0, 25.4724884, -99, 2606, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-05-15 00:00:00', 0, 28.942276, -99, 2668, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-05-16 00:00:00', 0, 24.350391389999999, -99, 3103, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-05-17 00:00:00', 0, 27.838600159999999, -99, 2945, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-05-18 00:00:00', 1.2200000289999999, 21.771108630000001, -99, 2963, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-05-19 00:00:00', 0, 27.618785859999999, -99, 2988, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-05-20 00:00:00', 0, 30.177431110000001, -99, 2974, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-05-21 00:00:00', 0, 26.90689278, -99, 3042, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-05-22 00:00:00', 0, 27.733634949999999, -99, 3161, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-05-23 00:00:00', 0, 28.713642119999999, -99, 2261, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-05-24 00:00:00', 0, 27.791261670000001, -99, 2905, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-05-25 00:00:00', 5.2199997900000001, 29.748733519999998, -99, 2657, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-05-26 00:00:00', 0, 25.444776539999999, -99, 3053, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-05-27 00:00:00', 0, 30.068941120000002, -99, 3035, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-05-28 00:00:00', 0, 28.962846760000001, -99, 3139, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-05-29 00:00:00', 0, 28.445302959999999, -99, 3114, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-05-30 00:00:00', 9.9600000380000004, 27.649875640000001, -99, 2743, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-05-31 00:00:00', 0, 23.871387479999999, -99, 2830, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-06-01 00:00:00', 0, 27.019466399999999, -99, 2905, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-06-02 00:00:00', 0, 30.500345230000001, -99, 3082, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-06-03 00:00:00', 11.760000229999999, 26.87200928, -99, 2682, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-06-04 00:00:00', 11.22999954, 27.422616959999999, -99, 1850, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-06-05 00:00:00', 0, 23.91781044, -99, 3146, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-06-06 00:00:00', 12.68000031, 27.58175468, -99, 3013, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-06-07 00:00:00', 47.560001370000002, 23.909755709999999, -99, 2815, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-06-08 00:00:00', 0.80000001200000004, 21.89542389, -99, 2772, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-06-09 00:00:00', 0.280000001, 24.253120419999998, -99, 1469, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-06-10 00:00:00', 0.029999998999999999, 24.60736275, -99, 1861, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-06-11 00:00:00', 0, 24.067701339999999, -99, 3132, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-06-12 00:00:00', 0, 26.223361969999999, -99, 3128, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-06-13 00:00:00', 4.3800001139999996, 28.90013695, -99, 3060, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-06-14 00:00:00', 0, 28.635158539999999, -99, 2700, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-06-15 00:00:00', 0, 30.832986829999999, -99, 3121, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-06-16 00:00:00', 0.059999998999999998, 30.54458618, -99, 3031, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-06-17 00:00:00', 0, 28.411895749999999, -99, 2819, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-06-18 00:00:00', 0, 29.114965439999999, -99, 3154, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-06-19 00:00:00', 0, 28.141656879999999, -99, 3064, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-06-20 00:00:00', 0, 28.46260071, -99, 2862, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-06-21 00:00:00', 0.62000000499999997, 27.6436615, -99, 3035, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-06-22 00:00:00', 6.4699997900000001, 27.609838490000001, -99, 1937, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-06-23 00:00:00', 0.83999997400000004, 25.299615859999999, -99, 2840, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-06-24 00:00:00', 0, 26.945777889999999, -99, 2664, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-06-25 00:00:00', 0.25, 28.15192223, -99, 2945, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-06-26 00:00:00', 0, 28.59030533, -99, 2250, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-06-27 00:00:00', 0, 26.877490999999999, -99, 1336, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-06-28 00:00:00', 0.029999998999999999, 29.016538619999999, -99, 1642, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-06-29 00:00:00', 0, 29.29540634, -99, 2830, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-06-30 00:00:00', 0.14000000100000001, 27.747365949999999, -99, 1487, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-07-01 00:00:00', 14.02999973, 27.155662540000002, -99, 569, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-07-02 00:00:00', 0, 25.98325157, -99, 2275, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-07-03 00:00:00', 0.17000000200000001, 27.755866999999999, -99, 2830, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-07-04 00:00:00', 0, 27.972278589999998, -99, 2801, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-07-05 00:00:00', 0, 29.124629970000001, -99, 3085, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-07-06 00:00:00', 0, 29.445079799999998, -99, 3139, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-07-07 00:00:00', 0, 29.88270378, -99, 2995, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-07-08 00:00:00', 4.7399997709999999, 27.212078089999999, -99, 2617, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-07-09 00:00:00', 8.9899997710000008, 25.326488489999999, -99, 1483, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-07-10 00:00:00', 10.829999920000001, 27.679418559999998, -99, 1220, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-07-11 00:00:00', 1.4700000289999999, 25.721363069999999, -99, 1890, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-07-12 00:00:00', 1.559999943, 27.287645340000001, -99, 1476, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-07-13 00:00:00', 9.8100004199999997, 28.094203950000001, -99, 1184, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-07-14 00:00:00', 14.75, 26.2888813, -99, 382, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-07-15 00:00:00', 8.0100002289999992, 26.338314059999998, -99, 1508, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-07-16 00:00:00', 15.380000109999999, 26.509967799999998, -99, 2182, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-07-17 00:00:00', 21.620000839999999, 26.085824970000001, -99, 2236, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-07-18 00:00:00', 0.5, 26.173208240000001, -99, 2394, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-07-19 00:00:00', 0.38999998600000002, 26.210393910000001, -99, 1026, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-07-20 00:00:00', 0, 27.491573330000001, -99, 2020, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-07-21 00:00:00', 3.75, 27.807891850000001, -99, 1634, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-07-22 00:00:00', 2.6600000860000002, 25.94670868, -99, 1026, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-07-23 00:00:00', 6.6900000569999998, 25.409368520000001, -99, 1692, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-07-24 00:00:00', 31.93000031, 25.438009260000001, -99, 932, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-07-25 00:00:00', 1.1000000240000001, 25.952302929999998, -99, 1861, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-07-26 00:00:00', 0, 26.23021889, -99, 2678, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-07-27 00:00:00', 0, 27.933948520000001, -99, 2160, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-07-28 00:00:00', 0, 26.59189606, -99, 1253, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-07-29 00:00:00', 0, 28.008213040000001, -99, 1955, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-07-30 00:00:00', 7.0399999619999996, 27.522932050000001, -99, 1246, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-07-31 00:00:00', 0, 26.527654649999999, -99, 2030, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-08-01 00:00:00', 0, 26.593435289999999, -99, 2527, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-08-02 00:00:00', 1.3999999759999999, 27.197860720000001, -99, 1778, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-08-03 00:00:00', 0.059999998999999998, 24.826080319999999, -99, 2045, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-08-04 00:00:00', 0.14000000100000001, 25.125246050000001, -99, 2830, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-08-05 00:00:00', 0, 25.897891999999999, -99, 2855, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-08-06 00:00:00', 0, 25.15209389, -99, 2909, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-08-07 00:00:00', 0, 28.23440742, -99, 2851, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-08-08 00:00:00', 0, 27.828432079999999, -99, 2956, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-08-09 00:00:00', 0.10000000100000001, 28.128824229999999, -99, 2574, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-08-10 00:00:00', 1.710000038, 27.27236748, -99, 1681, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-08-11 00:00:00', 2.7400000100000002, 25.042480470000001, -99, 2362, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-08-12 00:00:00', 4.2100000380000004, 26.252340319999998, -99, 2149, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-08-13 00:00:00', 0.090000003999999995, 27.324176789999999, -99, 1764, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-08-14 00:00:00', 1.8799999949999999, 27.332296370000002, -99, 2740, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-08-15 00:00:00', 0.50999998999999996, 26.15504074, -99, 2308, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-08-16 00:00:00', 2.0599999430000002, 25.848560330000002, -99, 2365, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-08-17 00:00:00', 0, 26.78100586, -99, 2711, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-08-18 00:00:00', 6.329999924, 28.63713074, -99, 2776, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-08-19 00:00:00', 4.2899999619999996, 26.0820179, -99, 2711, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-08-20 00:00:00', 0, 25.529884339999999, -99, 2779, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-08-21 00:00:00', 0.37000000500000002, 24.476858140000001, -99, 2344, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-08-22 00:00:00', 0, 25.56452942, -99, 1750, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-08-23 00:00:00', 2.3399999139999998, 25.288175580000001, -99, 2675, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-08-24 00:00:00', 0, 25.980304719999999, -99, 2750, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-08-25 00:00:00', 0, 26.896940229999998, -99, 2614, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-08-26 00:00:00', 0, 26.656955719999999, -99, 2488, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-08-27 00:00:00', 0, 27.72375298, -99, 2549, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-08-28 00:00:00', 0.18000000699999999, 27.131601329999999, -99, 2610, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-08-29 00:00:00', 1.440000057, 26.293479919999999, -99, 1674, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-08-30 00:00:00', 2.4700000289999999, 26.717546460000001, -99, 1667, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-08-31 00:00:00', 1.1699999569999999, 27.23048782, -99, 2329, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-09-01 00:00:00', 0, 23.514524460000001, -99, 1955, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-09-02 00:00:00', 0.61000001400000003, 26.752508160000001, -99, 2610, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-09-03 00:00:00', 0.36000001399999998, 26.35128593, -99, 2545, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-09-04 00:00:00', 0.10000000100000001, 26.747501369999998, -99, 2207, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-09-05 00:00:00', 0, 25.39256477, -99, 2398, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-09-06 00:00:00', 5.0399999619999996, 26.355886460000001, -99, 2516, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-09-07 00:00:00', 0.02, 22.990613939999999, -99, 2498, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-09-08 00:00:00', 0.02, 25.835279459999999, -99, 2365, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-09-09 00:00:00', 5.5999999049999998, 24.348430629999999, -99, 1818, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-09-10 00:00:00', 2.5599999430000002, 22.601991649999999, -99, 1793, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-09-11 00:00:00', 0, 23.01869202, -99, 2578, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-09-12 00:00:00', 0.12999999500000001, 25.126041409999999, -99, 2329, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-09-13 00:00:00', 0, 25.154512409999999, -99, 2279, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-09-14 00:00:00', 0.090000003999999995, 25.373788829999999, -99, 2264, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-09-15 00:00:00', 0.01, 24.35695076, -99, 2261, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-09-16 00:00:00', 0, 24.722888950000002, -99, 2304, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-09-17 00:00:00', 0, 23.995586400000001, -99, 2308, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-09-18 00:00:00', 0, 23.253768919999999, -99, 2261, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-09-19 00:00:00', 0, 23.460571290000001, -99, 1912, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-09-20 00:00:00', 0, 23.96521568, -99, 2189, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-09-21 00:00:00', 0, 25.38845062, -99, 1422, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-09-22 00:00:00', 0, 21.49979591, -99, 2059, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-09-23 00:00:00', 0, 21.831878660000001, -99, 2401, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-09-24 00:00:00', 0, 21.90184021, -99, 2423, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-09-25 00:00:00', 8.4200000760000009, 22.190031050000002, -99, 2380, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-09-26 00:00:00', 3.1600000860000002, 19.350484850000001, -99, 1742, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-09-27 00:00:00', 0, 21.896595000000001, -99, 2264, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-09-28 00:00:00', 0, 20.97392464, -99, 2358, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-09-29 00:00:00', 0, 19.12073135, -99, 2300, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-09-30 00:00:00', 0, 22.073432919999998, -99, 2322, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-10-01 00:00:00', 0, 20.526607510000002, -99, 2275, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-10-02 00:00:00', 0, 21.389865879999999, -99, 2171, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-10-03 00:00:00', 0, 21.097574229999999, -99, 2203, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-10-04 00:00:00', 0, 21.950920100000001, -99, 2225, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-10-05 00:00:00', 0, 22.912147520000001, -99, 2200, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-10-06 00:00:00', 0, 24.092706679999999, -99, 2052, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-10-07 00:00:00', 0, 24.82796669, -99, 2084, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-10-08 00:00:00', 0, 21.476905819999999, -99, 2146, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-10-09 00:00:00', 0, 20.84718895, -99, 2146, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-10-10 00:00:00', 0, 19.258966449999999, -99, 2142, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-10-11 00:00:00', 0, 18.738046650000001, -99, 2160, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-10-12 00:00:00', 0, 17.72122955, -99, 2120, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-10-13 00:00:00', 0, 17.622283939999999, -99, 2077, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-10-14 00:00:00', 0, 17.364597320000001, -99, 2088, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-10-15 00:00:00', 0, 16.473951339999999, -99, 2074, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-10-16 00:00:00', 0, 15.51073742, -99, 2081, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-10-17 00:00:00', 0, 17.377490999999999, -99, 2016, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-10-18 00:00:00', 0, 17.311153409999999, -99, 2041, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-10-19 00:00:00', 0, 18.405984879999998, -99, 2034, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-10-20 00:00:00', 0, 19.268409729999998, -99, 2002, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-10-21 00:00:00', 0, 18.645774840000001, -99, 1897, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-10-22 00:00:00', 0, 19.564182280000001, -99, 2005, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-10-23 00:00:00', 0, 19.10630798, -99, 1930, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-10-24 00:00:00', 0, 19.44264793, -99, 1793, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-10-25 00:00:00', 0, 17.917114260000002, -99, 1919, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-10-26 00:00:00', 0, 17.599466320000001, -99, 1940, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-10-27 00:00:00', 0, 15.886189460000001, -99, 1908, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-10-28 00:00:00', 0, 15.56348133, -99, 1901, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-10-29 00:00:00', 0, 15.961002349999999, -99, 1728, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-10-30 00:00:00', 0, 17.201105120000001, -99, 1735, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-10-31 00:00:00', 0, 16.35098648, -99, 1847, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-11-01 00:00:00', 0, 17.50137329, -99, 1796, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-11-02 00:00:00', 0, 16.309099199999999, -99, 1631, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-11-03 00:00:00', 0, 16.25056648, -99, 1652, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-11-04 00:00:00', 0, 16.19388008, -99, 1663, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-11-05 00:00:00', 0, 17.487535479999998, -99, 1584, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-11-06 00:00:00', 0, 16.069847110000001, -99, 1732, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-11-07 00:00:00', 0, 14.252059940000001, -99, 1624, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-11-08 00:00:00', 0, 15.283653259999999, -99, 846, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-11-09 00:00:00', 0, 16.427606579999999, -99, 1706, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-11-10 00:00:00', 0, 14.38682079, -99, 1444, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-11-11 00:00:00', 0, 12.28431797, -99, 1030, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-11-12 00:00:00', 0, 13.25827694, -99, 1141, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-11-13 00:00:00', 0, 13.6507206, -99, 1246, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-11-14 00:00:00', 0, 14.384889599999999, -99, 1674, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-11-15 00:00:00', 0, 9.5871362690000002, -99, 1649, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-11-16 00:00:00', 0, 9.0711059570000003, -99, 1606, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-11-17 00:00:00', 0, 10.268492699999999, -99, 1307, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-11-18 00:00:00', 0, 11.21737671, -99, 1076, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-11-19 00:00:00', 0, 12.5164814, -99, 1534, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-11-20 00:00:00', 0, 10.45232964, -99, 1530, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-11-21 00:00:00', 0, 8.4330825810000007, -99, 817, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-11-22 00:00:00', 0, 11.098289490000001, -99, 1058, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-11-23 00:00:00', 0, 15.384700779999999, -99, 1346, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-11-24 00:00:00', 0, 12.84693336, -99, 1462, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-11-25 00:00:00', 0, 11.131177900000001, -99, 1429, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-11-26 00:00:00', 0, 9.2709856029999997, -99, 702, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-11-27 00:00:00', 0, 9.6918334959999992, -99, 1296, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-11-28 00:00:00', 0, 8.5651912689999996, -99, 1487, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-11-29 00:00:00', 0, 7.7688903810000003, -99, 1469, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-11-30 00:00:00', 0, 7.2455711359999997, -99, 1472, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-12-01 00:00:00', 0, 5.6738786699999997, -99, 1501, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-12-02 00:00:00', 0, 5.1869111060000002, -99, 1480, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-12-03 00:00:00', 0, 5.4094429020000003, -99, 1465, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-12-04 00:00:00', 0, 6.6115860939999997, -99, 1487, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-12-05 00:00:00', 0, 5.4788603780000003, -99, 1454, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-12-06 00:00:00', 0, 5.8089737890000004, -99, 1454, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-12-07 00:00:00', 0, 5.6542825700000003, -99, 1346, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-12-08 00:00:00', 0, 8.2875232699999994, -99, 1332, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-12-09 00:00:00', 0, 8.1096782679999997, -99, 1447, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-12-10 00:00:00', 0, 6.5617909430000001, -99, 1271, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-12-11 00:00:00', 0, 5.906467438, -99, 1472, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-12-12 00:00:00', 0, 5.8180079459999998, -99, 1447, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-12-13 00:00:00', 0, 5.2674870489999996, -99, 1382, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-12-14 00:00:00', 0, 6.5120940210000002, -99, 1400, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-12-15 00:00:00', 0, 7.5516748429999998, -99, 1127, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-12-16 00:00:00', 0, 10.191842080000001, -99, 443, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-12-17 00:00:00', 0.52999997099999996, 10.98759937, -99, 922, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-12-18 00:00:00', 0, 10.60177517, -99, 1390, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-12-19 00:00:00', 0, 7.713195324, -99, 1444, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-12-20 00:00:00', 0, 7.9918093680000002, -99, 1462, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-12-21 00:00:00', 0, 4.4493098260000004, -99, 1436, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-12-22 00:00:00', 0, 4.4418258670000004, -99, 1339, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-12-23 00:00:00', 0, 4.0869984629999996, -99, 1372, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-12-24 00:00:00', 0, 5.7965574259999997, -99, 1411, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-12-25 00:00:00', 0, 5.821532726, -99, 1433, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-12-26 00:00:00', 0, 4.885980129, -99, 1436, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-12-27 00:00:00', 0, 5.0369758610000002, -99, 1415, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-12-28 00:00:00', 0, 5.8316178320000001, -99, 1138, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-12-29 00:00:00', 0, 6.2877750399999996, -99, 1422, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-12-30 00:00:00', 0, 6.1558585170000004, -99, 1267, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-12-31 00:00:00', 2.6800000669999999, 11.90263081, -99, 414, 'lud', 'lud_2000');
INSERT INTO public.cdy_cldat VALUES ('2001-01-01 00:00:00', 0.77999997099999996, 11.63610744, -99, 482, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-01-02 00:00:00', 0, 8.7810487750000004, -99, 1343, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-01-03 00:00:00', 0, 7.4797525409999999, -99, 666, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-01-04 00:00:00', 0, 8.2133693700000006, -99, 580, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-01-05 00:00:00', 0, 8.0823612209999993, -99, 1015, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-01-06 00:00:00', 0, 6.0782003400000004, -99, 770, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-01-07 00:00:00', 0, 4.9014048580000003, -99, 1170, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-01-08 00:00:00', 0, 4.7269039150000003, -99, 1480, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-01-09 00:00:00', 0, 3.7044942380000001, -99, 1292, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-01-10 00:00:00', 0, 3.9357900620000001, -99, 1264, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-01-11 00:00:00', 0, 3.7674129010000001, -99, 781, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-01-12 00:00:00', 0, 6.4034905430000002, -99, 1033, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-01-13 00:00:00', 0, 2.9609215259999999, -99, 1138, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-01-14 00:00:00', 0, 7.4775009160000003, -99, 1030, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-01-15 00:00:00', 0, 7.0268149380000002, -99, 821, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-01-16 00:00:00', 0, 4.1245622629999996, -99, 922, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-01-17 00:00:00', 0, 4.3983583450000001, -99, 914, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-01-18 00:00:00', 0, 5.1209859849999999, -99, 1357, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-01-19 00:00:00', 0, 2.9322118760000002, -99, 1156, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-01-20 00:00:00', 0, 2.799465895, -99, 1573, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-01-21 00:00:00', 0, 4.1675119399999998, -99, 1544, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-01-22 00:00:00', 0, 6.1478419300000002, -99, 817, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-01-23 00:00:00', 0, 3.441413641, -99, 1642, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-01-24 00:00:00', 0, 4.8499031070000003, -99, 1663, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-01-25 00:00:00', 0, 4.7058362960000002, -99, 1663, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-01-26 00:00:00', 0, 5.0990610119999999, -99, 1717, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-01-27 00:00:00', 0, 5.4365720749999999, -99, 1724, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-01-28 00:00:00', 0, 6.2379226680000004, -99, 1688, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-01-29 00:00:00', 0, 6.8078031540000001, -99, 1667, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-01-30 00:00:00', 0, 7.5472774510000002, -99, 1685, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-01-31 00:00:00', 0, 8.4208173750000004, -99, 1721, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-02-01 00:00:00', 0, 3.7279658320000002, -99, 1796, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-02-02 00:00:00', 0, 3.6795217990000002, -99, 1807, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-02-03 00:00:00', 0, 3.9656066889999999, -99, 1782, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-02-04 00:00:00', 0, 3.2174170019999999, -99, 1829, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-02-05 00:00:00', 0, 3.8592069150000001, -99, 1825, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-02-06 00:00:00', 0, 4.4387006759999998, -99, 1832, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-02-07 00:00:00', 0, 6.8579511640000002, -99, 1854, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-02-08 00:00:00', 0, 7.8191361429999997, -99, 1872, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-02-09 00:00:00', 0, 7.960608959, -99, 1897, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-02-10 00:00:00', 0, 5.1113524440000004, -99, 1868, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-02-11 00:00:00', 0, 5.1215991970000001, -99, 1919, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-02-12 00:00:00', 0, 5.0127367969999996, -99, 1901, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-02-13 00:00:00', 0, 6.2297272680000004, -99, 1249, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-02-14 00:00:00', 0, 11.41954041, -99, 965, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-02-15 00:00:00', 0.97000002900000004, 10.740174290000001, -99, 1897, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-02-16 00:00:00', 0, 10.22295952, -99, 1354, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-02-17 00:00:00', 0, 11.705683710000001, -99, 1868, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-02-18 00:00:00', 0, 10.685081479999999, -99, 1962, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-02-19 00:00:00', 0, 11.135543820000001, -99, 1933, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-02-20 00:00:00', 0.18000000699999999, 10.986827849999999, -99, 832, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-02-21 00:00:00', 0.18000000699999999, 10.15856934, -99, 2045, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-02-22 00:00:00', 0, 11.927948000000001, -99, 1670, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-02-23 00:00:00', 0, 11.93834114, -99, 1807, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-02-24 00:00:00', 0.18000000699999999, 13.67173195, -99, 1598, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-02-25 00:00:00', 0, 14.2545948, -99, 1883, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-02-26 00:00:00', 0, 10.98373413, -99, 2174, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-02-27 00:00:00', 0, 8.5846586229999993, -99, 2200, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-02-28 00:00:00', 0, 8.436981201, -99, 2214, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-03-01 00:00:00', 0, 8.6901187899999996, -99, 2124, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-03-02 00:00:00', 0, 10.653477669999999, -99, 2084, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-03-03 00:00:00', 0, 10.17788601, -99, 1908, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-03-04 00:00:00', 0, 9.4601488109999998, -99, 2218, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-03-05 00:00:00', 0, 10.257840160000001, -99, 2239, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-03-06 00:00:00', 0, 10.08201122, -99, 2225, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-03-07 00:00:00', 0, 10.16268444, -99, 2236, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-03-08 00:00:00', 0, 10.683197979999999, -99, 2178, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-03-09 00:00:00', 0, 11.313294409999999, -99, 2210, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-03-10 00:00:00', 0, 12.25848103, -99, 2383, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-03-11 00:00:00', 0, 12.48176765, -99, 2329, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-03-12 00:00:00', 0, 12.413660050000001, -99, 1955, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-03-13 00:00:00', 0.090000003999999995, 17.349847789999998, -99, 1019, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-03-14 00:00:00', 0, 14.00901794, -99, 2156, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-03-15 00:00:00', 0, 12.88446712, -99, 2380, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-03-16 00:00:00', 0, 11.76355457, -99, 2372, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-03-17 00:00:00', 0, 13.956414219999999, -99, 2459, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-03-18 00:00:00', 0, 13.631752970000001, -99, 2434, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-03-19 00:00:00', 0.01, 16.35754395, -99, 1242, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-03-20 00:00:00', 0.23999999499999999, 17.028087620000001, -99, 1818, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-03-21 00:00:00', 0.01, 15.10636139, -99, 1987, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-03-22 00:00:00', 0, 15.27821922, -99, 2477, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-03-23 00:00:00', 0, 12.737944600000001, -99, 2531, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-03-24 00:00:00', 0, 13.77905941, -99, 2372, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-03-25 00:00:00', 0, 16.120847699999999, -99, 2520, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-03-26 00:00:00', 0, 16.829862590000001, -99, 2578, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-03-27 00:00:00', 0, 16.016620639999999, -99, 2491, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-03-28 00:00:00', 0.689999998, 18.94629097, -99, 1055, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-03-29 00:00:00', 1.5299999710000001, 17.494491579999998, -99, 1930, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-03-30 00:00:00', 0.560000002, 13.73123264, -99, 1955, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-03-31 00:00:00', 0, 14.75281906, -99, 2149, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-04-01 00:00:00', 0, 14.160521510000001, -99, 2549, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-04-02 00:00:00', 0, 14.87360477, -99, 2534, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-04-03 00:00:00', 0, 15.36148071, -99, 2462, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-04-04 00:00:00', 0, 15.93915558, -99, 2502, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-04-05 00:00:00', 0, 16.797060009999999, -99, 2700, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-04-06 00:00:00', 0, 15.27040482, -99, 2639, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-04-07 00:00:00', 0, 16.802541730000002, -99, 2729, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-04-08 00:00:00', 0, 17.876832960000002, -99, 2668, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-04-09 00:00:00', 0, 19.007802959999999, -99, 2466, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-04-10 00:00:00', 0, 21.523059839999998, -99, 2023, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-04-11 00:00:00', 0, 21.762033460000001, -99, 2657, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-04-12 00:00:00', 1.9299999480000001, 23.507497789999999, -99, 1242, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-04-13 00:00:00', 0.310000002, 20.842111589999998, -99, 1058, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-04-14 00:00:00', 1.289999962, 18.68565941, -99, 1814, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-04-15 00:00:00', 1.4500000479999999, 18.67124557, -99, 2045, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-04-16 00:00:00', 10.25, 18.83199501, -99, 1606, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-04-17 00:00:00', 5.9400000569999998, 16.941329960000001, -99, 1192, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-04-18 00:00:00', 0.070000000000000007, 15.531020160000001, -99, 1292, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-04-19 00:00:00', 0.790000021, 16.264680859999999, -99, 1368, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-04-20 00:00:00', 0, 15.457079889999999, -99, 2340, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-04-21 00:00:00', 0, 16.545400619999999, -99, 2603, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-04-22 00:00:00', 0, 17.88495064, -99, 2970, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-04-23 00:00:00', 0, 18.763477330000001, -99, 2970, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-04-24 00:00:00', 0, 19.005443570000001, -99, 1696, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-04-25 00:00:00', 0, 21.665790560000001, -99, 2628, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-04-26 00:00:00', 0, 20.869237900000002, -99, 2502, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-04-27 00:00:00', 0, 24.25790405, -99, 2790, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-04-28 00:00:00', 0, 23.54980278, -99, 2560, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-04-29 00:00:00', 0, 22.509603500000001, -99, 2992, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-04-30 00:00:00', 0, 25.037178040000001, -99, 2758, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-05-01 00:00:00', 0.090000003999999995, 23.61981583, -99, 1044, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-05-02 00:00:00', 0, 21.151481629999999, -99, 2722, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-05-03 00:00:00', 0, 24.84911537, -99, 2801, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-05-04 00:00:00', 0, 22.549280169999999, -99, 3049, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-05-05 00:00:00', 0, 24.040441510000001, -99, 2992, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-05-06 00:00:00', 0, 25.37093544, -99, 2707, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-05-07 00:00:00', 2.9000000950000002, 28.279762269999999, -99, 2513, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-05-08 00:00:00', 0, 23.525247570000001, -99, 1663, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-05-09 00:00:00', 0, 26.231533049999999, -99, 2866, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-05-10 00:00:00', 0, 25.948781969999999, -99, 3100, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-05-11 00:00:00', 0, 26.200593949999998, -99, 3110, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-05-12 00:00:00', 0, 27.69700623, -99, 2941, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-05-13 00:00:00', 0, 28.14463997, -99, 2729, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-05-14 00:00:00', 0, 28.023441309999999, -99, 2574, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-05-15 00:00:00', 2.0099999899999998, 28.30712509, -99, 1818, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-05-16 00:00:00', 17.13999939, 22.275062559999999, -99, 2783, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-05-17 00:00:00', 0.209999993, 22.08452797, -99, 2480, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-05-18 00:00:00', 0, 22.928533550000001, -99, 2243, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-05-19 00:00:00', 1.3899999860000001, 24.409400940000001, -99, 2689, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-05-20 00:00:00', 0.25, 21.513650890000001, -99, 2156, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-05-21 00:00:00', 0.34000000400000002, 23.547567369999999, -99, 2657, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-05-22 00:00:00', 0, 25.652353290000001, -99, 2783, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-05-23 00:00:00', 0, 24.858072279999998, -99, 3071, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-05-24 00:00:00', 0, 27.352285389999999, -99, 3071, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-05-25 00:00:00', 0, 25.15878296, -99, 3164, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-05-26 00:00:00', 0.30000001199999998, 27.019714359999998, -99, 3164, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-05-27 00:00:00', 13.579999920000001, 27.082731249999998, -99, 3089, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-05-28 00:00:00', 14.27999973, 24.453529360000001, -99, 2664, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-05-29 00:00:00', 4.1500000950000002, 20.589803700000001, -99, 2534, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-05-30 00:00:00', 1.6100000139999999, 23.68680573, -99, 2628, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-05-31 00:00:00', 5.6100001339999999, 26.289180760000001, -99, 2758, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-06-01 00:00:00', 0, 26.442256929999999, -99, 3100, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-06-02 00:00:00', 0, 29.30575752, -99, 3103, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-06-03 00:00:00', 0.519999981, 27.69062233, -99, 3024, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-06-04 00:00:00', 10.47999954, 25.59014702, -99, 2315, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-06-05 00:00:00', 0, 21.94425201, -99, 2686, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-06-06 00:00:00', 5.4299998279999997, 24.981655119999999, -99, 3092, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-06-07 00:00:00', 4.4800000190000002, 23.832767489999998, -99, 2160, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-06-08 00:00:00', 0, 23.728981019999999, -99, 3110, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-06-09 00:00:00', 0, 26.542552950000001, -99, 2588, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-06-10 00:00:00', 0, 26.951927189999999, -99, 3067, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-06-11 00:00:00', 0, 29.530853270000001, -99, 3038, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-06-12 00:00:00', 0, 29.070230479999999, -99, 2012, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-06-13 00:00:00', 11.02999973, 28.70697212, -99, 2912, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-06-14 00:00:00', 5.2199997900000001, 26.237874980000001, -99, 1307, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-06-15 00:00:00', 8.6499996190000008, 24.820854189999999, -99, 950, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-06-16 00:00:00', 6.0399999619999996, 25.11076164, -99, 2426, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-06-17 00:00:00', 0.15999999600000001, 24.24868202, -99, 1177, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-06-18 00:00:00', 0, 25.531049729999999, -99, 3128, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-06-19 00:00:00', 0.5, 26.545482639999999, -99, 3125, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-06-20 00:00:00', 3.7400000100000002, 27.658638, -99, 3118, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-06-21 00:00:00', 2.2699999809999998, 27.488803860000001, -99, 2945, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-06-22 00:00:00', 13.84000015, 25.82560921, -99, 734, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-06-23 00:00:00', 0.709999979, 24.515790939999999, -99, 2016, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-06-24 00:00:00', 9.6199998860000004, 25.563861849999999, -99, 2981, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-06-25 00:00:00', 2.119999886, 25.023216250000001, -99, 2941, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-06-26 00:00:00', 0.01, 27.59147072, -99, 2682, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-06-27 00:00:00', 0, 26.547611239999998, -99, 3053, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-06-28 00:00:00', 0.01, 27.85079575, -99, 2804, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-06-29 00:00:00', 7.3099999430000002, 29.362489700000001, -99, 1757, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-06-30 00:00:00', 1.0499999520000001, 27.712331769999999, -99, 421, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-07-01 00:00:00', 0.49000000999999999, 26.703022000000001, -99, 2279, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-07-02 00:00:00', 3.0199999809999998, 28.357868190000001, -99, 2113, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-07-03 00:00:00', 2.420000076, 28.016078950000001, -99, 454, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-07-04 00:00:00', 0.050000001000000002, 26.707319259999998, -99, 1703, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-07-05 00:00:00', 0, 28.19350815, -99, 2653, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-07-06 00:00:00', 0.189999998, 29.631624219999999, -99, 2246, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-07-07 00:00:00', 26.350000380000001, 28.093774799999998, -99, 893, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-07-08 00:00:00', 1.1599999670000001, 25.556875229999999, -99, 601, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-07-09 00:00:00', 1.519999981, 27.05399895, -99, 2718, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-07-10 00:00:00', 0.109999999, 28.864379880000001, -99, 2423, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-07-11 00:00:00', 2.5199999809999998, 27.0367794, -99, 914, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-07-12 00:00:00', 0.62000000499999997, 27.45965576, -99, 2383, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-07-13 00:00:00', 1.940000057, 28.362627029999999, -99, 2066, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-07-14 00:00:00', 24.68000031, 26.96067047, -99, 2185, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-07-15 00:00:00', 47.909999849999998, 26.736865999999999, -99, 1249, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-07-16 00:00:00', 7.1399998660000001, 26.087657929999999, -99, 1984, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-07-17 00:00:00', 0, 26.413267139999999, -99, 1642, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-07-18 00:00:00', 0, 26.989616389999998, -99, 2966, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-07-19 00:00:00', 0, 28.283758160000001, -99, 2956, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-07-20 00:00:00', 0.310000002, 29.174587249999998, -99, 1573, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-07-21 00:00:00', 0.64999997600000003, 27.940423970000001, -99, 727, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-07-22 00:00:00', 1.230000019, 26.886875150000002, -99, 1649, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-07-23 00:00:00', 0.090000003999999995, 27.557746890000001, -99, 1951, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-07-24 00:00:00', 3.0899999139999998, 28.44327736, -99, 479, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-07-25 00:00:00', 4.079999924, 26.811492919999999, -99, 2005, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-07-26 00:00:00', 9.8500003809999992, 26.812040329999999, -99, 1681, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-07-27 00:00:00', 5.9400000569999998, 27.536554339999999, -99, 2059, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-07-28 00:00:00', 0.40000000600000002, 27.264888760000002, -99, 1814, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-07-29 00:00:00', 3.9100000860000002, 26.169702529999999, -99, 1325, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-07-30 00:00:00', 1.059999943, 26.430889130000001, -99, 1714, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-07-31 00:00:00', 0, 26.13372803, -99, 2138, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-08-01 00:00:00', 0, 20.683393479999999, -99, 2635, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-08-02 00:00:00', 0, 27.49552345, -99, 2210, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-08-03 00:00:00', 0, 28.081912989999999, -99, 2066, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-08-04 00:00:00', 6.5399999619999996, 26.450815200000001, -99, 1930, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-08-05 00:00:00', 6.3800001139999996, 25.83127022, -99, 2304, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-08-06 00:00:00', 0, 26.689853670000002, -99, 2250, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-08-07 00:00:00', 1.3200000519999999, 26.630218509999999, -99, 2066, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-08-08 00:00:00', 0, 26.894886020000001, -99, 2232, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-08-09 00:00:00', 11.10999966, 26.42186165, -99, 1958, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-08-10 00:00:00', 36.569999690000003, 27.267379760000001, -99, 2221, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-08-11 00:00:00', 0, 27.389661790000002, -99, 2128, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-08-12 00:00:00', 0.730000019, 27.966955179999999, -99, 2286, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-08-13 00:00:00', 21.36000061, 28.1012001, -99, 2005, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-08-14 00:00:00', 61.38999939, 25.680961610000001, -99, 864, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-08-15 00:00:00', 0.01, 25.01040077, -99, 2077, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-08-16 00:00:00', 20.420000080000001, 27.305751799999999, -99, 2052, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-08-17 00:00:00', 8.5900001530000001, 27.019437790000001, -99, 1940, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-08-18 00:00:00', 0, 27.148307800000001, -99, 1944, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-08-19 00:00:00', 0, 28.15470505, -99, 2124, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-08-20 00:00:00', 0, 27.553522109999999, -99, 1915, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-08-21 00:00:00', 0, 28.356494900000001, -99, 2581, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-08-22 00:00:00', 0, 27.610750199999998, -99, 2718, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-08-23 00:00:00', 0, 28.14824677, -99, 2509, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-08-24 00:00:00', 2.7799999710000001, 24.501815799999999, -99, 2549, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-08-25 00:00:00', 2.75, 26.304853439999999, -99, 2729, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-08-26 00:00:00', 0, 27.457592009999999, -99, 2034, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-08-27 00:00:00', 0, 27.015409470000002, -99, 2174, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-08-28 00:00:00', 0, 27.165586470000001, -99, 1987, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-08-29 00:00:00', 0, 26.634241100000001, -99, 1951, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-08-30 00:00:00', 0, 27.169578550000001, -99, 1894, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-08-31 00:00:00', 0, 27.10377312, -99, 1832, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-09-01 00:00:00', 0, 27.264184950000001, -99, 1984, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-09-02 00:00:00', 0, 26.573741909999999, -99, 2149, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-09-03 00:00:00', 0.17000000200000001, 26.151802060000001, -99, 1991, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-09-04 00:00:00', 0, 24.36362076, -99, 1854, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-09-05 00:00:00', 0.219999999, 27.169408799999999, -99, 1415, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-09-06 00:00:00', 0.02, 22.537845610000002, -99, 2394, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-09-07 00:00:00', 0, 25.00716972, -99, 1811, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-09-08 00:00:00', 0, 26.112901690000001, -99, 2027, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-09-09 00:00:00', 0, 26.11997414, -99, 2131, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-09-10 00:00:00', 0, 24.89203835, -99, 2027, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-09-11 00:00:00', 0, 24.998725889999999, -99, 2178, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-09-12 00:00:00', 0, 24.65384293, -99, 1969, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-09-13 00:00:00', 0.540000021, 23.581676479999999, -99, 2264, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-09-14 00:00:00', 2.4900000100000002, 24.41782761, -99, 1260, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-09-15 00:00:00', 0, 20.663042069999999, -99, 1663, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-09-16 00:00:00', 0, 21.621589660000001, -99, 2160, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-09-17 00:00:00', 0, 22.226133350000001, -99, 2232, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-09-18 00:00:00', 0, 22.630624770000001, -99, 1998, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-09-19 00:00:00', 0, 22.510021210000001, -99, 2236, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-09-20 00:00:00', 0, 22.350753780000002, -99, 2113, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-09-21 00:00:00', 0, 22.456201549999999, -99, 2423, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-09-22 00:00:00', 0, 22.711166380000002, -99, 2448, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-09-23 00:00:00', 0, 22.118288039999999, -99, 2448, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-09-24 00:00:00', 0, 22.111915589999999, -99, 2354, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-09-25 00:00:00', 0, 21.924411769999999, -99, 2311, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-09-26 00:00:00', 0, 21.156040189999999, -99, 2308, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-09-27 00:00:00', 0, 20.86199951, -99, 2347, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-09-28 00:00:00', 0, 20.817716600000001, -99, 2354, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-09-29 00:00:00', 0, 22.15921402, -99, 2246, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-09-30 00:00:00', 0.029999998999999999, 24.23411179, -99, 2041, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-10-01 00:00:00', 0, 23.893342969999999, -99, 659, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-10-02 00:00:00', 0, 23.18736839, -99, 1994, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-10-03 00:00:00', 0, 23.92419434, -99, 2182, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-10-04 00:00:00', 0, 23.447332379999999, -99, 1908, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-10-05 00:00:00', 0, 21.112361910000001, -99, 2156, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-10-06 00:00:00', 0, 19.688455579999999, -99, 2203, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-10-07 00:00:00', 0, 19.42795753, -99, 2203, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-10-08 00:00:00', 0, 19.831613539999999, -99, 2232, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-10-09 00:00:00', 0, 20.865106579999999, -99, 2182, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-10-10 00:00:00', 0, 19.957147599999999, -99, 2142, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-10-11 00:00:00', 0, 19.28326225, -99, 2081, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-10-12 00:00:00', 0, 20.67825508, -99, 1908, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-10-13 00:00:00', 0, 19.509418490000002, -99, 2120, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-10-14 00:00:00', 0, 18.022192, -99, 2084, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-10-15 00:00:00', 0, 15.77714252, -99, 2106, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-10-16 00:00:00', 0, 15.695456500000001, -99, 2084, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-10-17 00:00:00', 0, 14.70920467, -99, 2056, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-10-18 00:00:00', 0, 14.6491375, -99, 2023, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-10-19 00:00:00', 0, 15.62438583, -99, 1897, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-10-20 00:00:00', 0, 15.90664482, -99, 1948, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-10-21 00:00:00', 0, 17.038982390000001, -99, 1822, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-10-22 00:00:00', 0, 17.833736420000001, -99, 1930, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-10-23 00:00:00', 0, 16.901952739999999, -99, 1958, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-10-24 00:00:00', 0, 17.264398570000001, -99, 1901, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-10-25 00:00:00', 0, 17.67649269, -99, 1897, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-10-26 00:00:00', 0, 19.17485237, -99, 1915, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-10-27 00:00:00', 0, 18.795183179999999, -99, 1829, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-10-28 00:00:00', 0, 19.008508679999998, -99, 1796, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-10-29 00:00:00', 0, 18.981254580000002, -99, 1793, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-10-30 00:00:00', 0, 22.602809910000001, -99, 1782, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-10-31 00:00:00', 0, 17.654884339999999, -99, 1786, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-11-01 00:00:00', 0, 17.838247299999999, -99, 1642, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-11-02 00:00:00', 0, 17.591432569999998, -99, 1746, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-11-03 00:00:00', 0, 18.715082169999999, -99, 1307, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-11-04 00:00:00', 0, 18.222398760000001, -99, 1512, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-11-05 00:00:00', 0, 14.544069289999999, -99, 1584, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-11-06 00:00:00', 0, 13.32125473, -99, 1721, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-11-07 00:00:00', 0, 11.76792908, -99, 1703, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-11-08 00:00:00', 0, 11.832145690000001, -99, 1742, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-11-09 00:00:00', 0, 11.246008870000001, -99, 1728, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-11-10 00:00:00', 0, 9.7932929990000002, -99, 1678, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-11-11 00:00:00', 0, 9.5459012990000005, -99, 1606, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-11-12 00:00:00', 0, 10.896392820000001, -99, 1692, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-11-13 00:00:00', 0, 9.788104057, -99, 1692, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-11-14 00:00:00', 0, 10.12858582, -99, 1649, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-11-15 00:00:00', 0, 10.431195260000001, -99, 1613, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-11-16 00:00:00', 0, 11.80960655, -99, 1606, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-11-17 00:00:00', 0, 10.79994297, -99, 1598, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-11-18 00:00:00', 0, 10.34073162, -99, 1620, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-11-19 00:00:00', 0, 9.8316364289999996, -99, 1598, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-11-20 00:00:00', 0, 10.39541721, -99, 1591, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-11-21 00:00:00', 0, 9.0680866239999993, -99, 1548, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-11-22 00:00:00', 0, 9.6004829409999992, -99, 1526, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-11-23 00:00:00', 0, 10.035488129999999, -99, 1534, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-11-24 00:00:00', 0, 8.7464027400000006, -99, 1508, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-11-25 00:00:00', 0, 8.8161993029999994, -99, 1447, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-11-26 00:00:00', 0, 9.3191185000000001, -99, 1282, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-11-27 00:00:00', 0, 8.2272567750000007, -99, 1454, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-11-28 00:00:00', 0, 8.0707817080000002, -99, 1285, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-11-29 00:00:00', 0, 7.4266510009999998, -99, 1382, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-11-30 00:00:00', 0, 9.0615139009999996, -99, 1228, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-12-01 00:00:00', 0, 10.0601368, -99, 1458, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-12-02 00:00:00', 0, 9.4763593670000006, -99, 1282, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-12-03 00:00:00', 0, 9.0342798230000003, -99, 1120, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-12-04 00:00:00', 0, 8.4035520550000005, -99, 1368, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-12-05 00:00:00', 0, 8.5486164089999992, -99, 1397, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-12-06 00:00:00', 0, 7.7459926609999998, -99, 1300, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-12-07 00:00:00', 0, 8.4797468190000007, -99, 1382, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-12-08 00:00:00', 0, 8.2366132739999998, -99, 1444, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-12-09 00:00:00', 0, 8.3340606689999994, -99, 1451, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-12-10 00:00:00', 0.28999999199999998, 8.7375116350000006, -99, 1080, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-12-11 00:00:00', 0, 11.932056429999999, -99, 1332, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-12-12 00:00:00', 0, 8.0585584640000008, -99, 1246, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-12-13 00:00:00', 0, 8.4533014299999998, -99, 1332, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-12-14 00:00:00', 0.769999981, 9.1098995209999991, -99, 662, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-12-15 00:00:00', 5.5599999430000002, 12.08817101, -99, 371, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-12-16 00:00:00', 0, 8.2592926030000005, -99, 1260, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-12-17 00:00:00', 0.01, 8.3795881269999999, -99, 983, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-12-18 00:00:00', 0.38999998600000002, 9.1513929370000007, -99, 1008, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-12-19 00:00:00', 0.070000000000000007, 9.2555885310000008, -99, 1350, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-12-20 00:00:00', 0, 8.1985054020000003, -99, 1426, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-12-21 00:00:00', 0, 5.5132055280000003, -99, 1408, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-12-22 00:00:00', 0, 5.4664454459999998, -99, 1411, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-12-23 00:00:00', 0, 5.1316957470000002, -99, 1393, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-12-24 00:00:00', 0, 6.2676262859999996, -99, 1411, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-12-25 00:00:00', 0, 5.5337419509999997, -99, 1141, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-12-26 00:00:00', 0, 6.781560421, -99, 1177, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-12-27 00:00:00', 0, 5.554762363, -99, 1030, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-12-28 00:00:00', 0, 7.9422855380000001, -99, 745, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-12-29 00:00:00', 0, 8.3519763949999994, -99, 580, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-12-30 00:00:00', 0, 7.5366497040000002, -99, 716, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-12-31 00:00:00', 0, 7.472454548, -99, 893, 'lud', 'lud_2001');
INSERT INTO public.cdy_cldat VALUES ('2002-01-01 00:00:00', 0, 5.6970148089999997, -99, 464, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-01-02 00:00:00', 0, 4.6747016910000001, -99, 1058, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-01-03 00:00:00', 0, 3.262968302, -99, 1073, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-01-04 00:00:00', 0, 3.6616549489999999, -99, 1022, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-01-05 00:00:00', 0, 4.5112409590000002, -99, 1202, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-01-06 00:00:00', 0, 3.8913493159999999, -99, 1300, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-01-07 00:00:00', 0, 4.1430115699999996, -99, 1472, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-01-08 00:00:00', 0, 4.9717302319999996, -99, 1498, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-01-09 00:00:00', 0, 4.6289458269999999, -99, 1332, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-01-10 00:00:00', 0, 6.0762000079999998, -99, 1451, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-01-11 00:00:00', 0, 7.4981269839999998, -99, 1476, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-01-12 00:00:00', 0, 7.2866826060000003, -99, 1361, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-01-13 00:00:00', 0, 8.8307495120000006, -99, 425, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-01-14 00:00:00', 0, 13.61008358, -99, 752, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-01-15 00:00:00', 0, 12.83074665, -99, 828, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-01-16 00:00:00', 0, 12.71417999, -99, 1105, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-01-17 00:00:00', 0, 8.5387601849999992, -99, 929, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-01-18 00:00:00', 0, 8.2504739760000003, -99, 1260, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-01-19 00:00:00', 0, 6.786717415, -99, 1274, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-01-20 00:00:00', 0, 6.163730621, -99, 1595, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-01-21 00:00:00', 0, 4.7055673599999999, -99, 1577, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-01-22 00:00:00', 0, 4.8897032740000004, -99, 1588, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-01-23 00:00:00', 0, 4.7910356519999997, -99, 1609, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-01-24 00:00:00', 0, 6.9915761950000004, -99, 1606, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-01-25 00:00:00', 0, 6.738293648, -99, 961, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-01-26 00:00:00', 0, 6.363546371, -99, 1494, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-01-27 00:00:00', 0, 6.3077459339999997, -99, 1656, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-01-28 00:00:00', 0, 3.5040771959999999, -99, 1685, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-01-29 00:00:00', 0, 4.2082605360000001, -99, 1649, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-01-30 00:00:00', 0, 5.7090315819999997, -99, 1667, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-01-31 00:00:00', 0, 4.4988856320000004, -99, 1703, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-02-01 00:00:00', 0, 5.882903099, -99, 1760, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-02-02 00:00:00', 0, 5.6739253999999999, -99, 1670, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-02-03 00:00:00', 0, 5.4577965739999996, -99, 1822, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-02-04 00:00:00', 0, 4.0965123180000003, -99, 1325, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-02-05 00:00:00', 0, 6.1934475899999999, -99, 965, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-02-06 00:00:00', 0, 8.2821187970000008, -99, 1800, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-02-07 00:00:00', 0, 8.6243944169999995, -99, 1411, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-02-08 00:00:00', 0.49000000999999999, 6.6311202050000002, -99, 1717, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-02-09 00:00:00', 0, 3.4290800090000002, -99, 1883, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-02-10 00:00:00', 0.029999998999999999, 3.9407677649999999, -99, 1825, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-02-11 00:00:00', 23.059999470000001, 8.0608892440000002, -99, 436, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-02-12 00:00:00', 0.15000000599999999, 8.7838535310000001, -99, 1667, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-02-13 00:00:00', 0, 7.340359211, -99, 1620, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-02-14 00:00:00', 0, 7.2181849480000002, -99, 1915, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-02-15 00:00:00', 0, 9.0333528520000002, -99, 1170, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-02-16 00:00:00', 0, 9.1315517429999993, -99, 1231, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-02-17 00:00:00', 0, 12.29358482, -99, 1771, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-02-18 00:00:00', 0, 10.047348019999999, -99, 1962, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-02-19 00:00:00', 0, 10.807071690000001, -99, 2005, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-02-20 00:00:00', 0, 12.675843240000001, -99, 1480, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-02-21 00:00:00', 0, 10.39671993, -99, 1732, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-02-22 00:00:00', 2.5099999899999998, 13.553110119999999, -99, 1174, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-02-23 00:00:00', 0.939999998, 13.568267820000001, -99, 1908, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-02-24 00:00:00', 1.960000038, 9.4723024369999997, -99, 2027, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-02-25 00:00:00', 0, 9.5310430529999994, -99, 2027, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-02-26 00:00:00', 0.10000000100000001, 9.3334112170000001, -99, 1318, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-02-27 00:00:00', 1.0800000430000001, 10.073814390000001, -99, 2106, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-02-28 00:00:00', 0.43000000700000002, 9.4811267850000007, -99, 1447, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-03-01 00:00:00', 4.3099999430000002, 13.50852871, -99, 389, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-03-02 00:00:00', 3.3399999139999998, 12.968492510000001, -99, 587, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-03-03 00:00:00', 0, 8.5299425129999999, -99, 1969, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-03-04 00:00:00', 0, 10.146142960000001, -99, 2084, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-03-05 00:00:00', 0, 9.9383220669999996, -99, 2174, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-03-06 00:00:00', 0, 10.809124949999999, -99, 2189, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-03-07 00:00:00', 0, 9.9581680299999995, -99, 1458, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-03-08 00:00:00', 0.109999999, 13.8775444, -99, 1264, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-03-09 00:00:00', 4.3600001339999999, 15.472738270000001, -99, 821, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-03-10 00:00:00', 0.119999997, 15.722945210000001, -99, 2135, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-03-11 00:00:00', 0, 12.006608010000001, -99, 2344, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-03-12 00:00:00', 0, 12.084141730000001, -99, 2214, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-03-13 00:00:00', 0, 11.585571290000001, -99, 2333, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-03-14 00:00:00', 0, 12.235939030000001, -99, 2372, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-03-15 00:00:00', 0, 13.48064613, -99, 2430, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-03-16 00:00:00', 0, 15.026177410000001, -99, 2362, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-03-17 00:00:00', 0, 14.691006659999999, -99, 2358, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-03-18 00:00:00', 0, 14.92065811, -99, 2257, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-03-19 00:00:00', 0, 16.643211359999999, -99, 2398, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-03-20 00:00:00', 0, 16.99082756, -99, 1814, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-03-21 00:00:00', 0.01, 19.828037259999999, -99, 1123, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-03-22 00:00:00', 0, 16.57292747, -99, 2408, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-03-23 00:00:00', 0, 18.042285920000001, -99, 2311, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-03-24 00:00:00', 1.4299999480000001, 18.746006009999999, -99, 2390, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-03-25 00:00:00', 0, 17.77189255, -99, 2246, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-03-26 00:00:00', 0, 15.53035641, -99, 2401, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-03-27 00:00:00', 0, 16.67631149, -99, 2578, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-03-28 00:00:00', 0, 15.00536346, -99, 2617, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-03-29 00:00:00', 0, 15.025058749999999, -99, 2621, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-03-30 00:00:00', 0, 16.411186220000001, -99, 2358, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-03-31 00:00:00', 0.519999981, 20.363111499999999, -99, 1649, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-04-01 00:00:00', 0, 19.091356279999999, -99, 2430, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-04-02 00:00:00', 0, 18.815759660000001, -99, 2614, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-04-03 00:00:00', 0, 15.999611850000001, -99, 2628, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-04-04 00:00:00', 0, 16.420785899999998, -99, 2326, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-04-05 00:00:00', 0, 18.628890989999999, -99, 1735, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-04-06 00:00:00', 0.17000000200000001, 20.12391281, -99, 1825, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-04-07 00:00:00', 2.8399999139999998, 19.714614869999998, -99, 1534, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-04-08 00:00:00', 0.14000000100000001, 16.820802690000001, -99, 2696, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-04-09 00:00:00', 0, 18.040962220000001, -99, 2714, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-04-10 00:00:00', 0, 17.86379814, -99, 2797, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-04-11 00:00:00', 0, 16.64951134, -99, 2819, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-04-12 00:00:00', 0, 18.18100548, -99, 2779, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-04-13 00:00:00', 0, 19.784111020000001, -99, 1739, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-04-14 00:00:00', 0, 21.296871190000001, -99, 1382, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-04-15 00:00:00', 0, 20.952936170000001, -99, 2120, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-04-16 00:00:00', 0, 22.426408769999998, -99, 1570, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-04-17 00:00:00', 0, 22.716590879999998, -99, 2506, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-04-18 00:00:00', 0, 22.172525409999999, -99, 2920, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-04-19 00:00:00', 0, 21.07811165, -99, 2927, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-04-20 00:00:00', 0, 20.700471879999998, -99, 2855, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-04-21 00:00:00', 0, 22.17843246, -99, 2916, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-04-22 00:00:00', 0, 23.669227599999999, -99, 2603, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-04-23 00:00:00', 0.439999998, 24.734369279999999, -99, 2365, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-04-24 00:00:00', 0.36000001399999998, 26.531248089999998, -99, 1937, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-04-25 00:00:00', 1.190000057, 21.979171749999999, -99, 864, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-04-26 00:00:00', 0, 16.44955826, -99, 2934, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-04-27 00:00:00', 0, 18.990018840000001, -99, 2747, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-04-28 00:00:00', 0, 24.196271899999999, -99, 2318, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-04-29 00:00:00', 0, 18.302392959999999, -99, 3053, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-04-30 00:00:00', 0, 19.377784729999998, -99, 2966, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-05-01 00:00:00', 0, 23.776483540000001, -99, 2412, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-05-02 00:00:00', 0, 23.505912779999999, -99, 2084, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-05-03 00:00:00', 0, 22.565006260000001, -99, 3017, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-05-04 00:00:00', 0, 23.909498209999999, -99, 3002, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-05-05 00:00:00', 0, 23.752199170000001, -99, 2956, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-05-06 00:00:00', 0, 25.56210136, -99, 2808, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-05-07 00:00:00', 0, 25.999027250000001, -99, 2743, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-05-08 00:00:00', 0, 26.437456130000001, -99, 3010, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-05-09 00:00:00', 0, 26.992616649999999, -99, 3056, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-05-10 00:00:00', 0, 25.756980899999999, -99, 3114, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-05-11 00:00:00', 0, 25.565036769999999, -99, 3161, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-05-12 00:00:00', 0, 23.852157590000001, -99, 3100, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-05-13 00:00:00', 0, 27.27260399, -99, 2063, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-05-14 00:00:00', 5.1500000950000002, 30.21338081, -99, 2344, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-05-15 00:00:00', 0, 29.110738749999999, -99, 2250, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-05-16 00:00:00', 0, 29.044048310000001, -99, 3085, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-05-17 00:00:00', 0, 28.401578900000001, -99, 3020, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-05-18 00:00:00', 0, 25.06806564, -99, 3100, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-05-19 00:00:00', 0, 24.743394850000001, -99, 3139, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-05-20 00:00:00', 0, 23.80935478, -99, 2909, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-05-21 00:00:00', 0, 24.59198189, -99, 3197, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-05-22 00:00:00', 0, 22.31649208, -99, 3211, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-05-23 00:00:00', 0, 26.37466049, -99, 3114, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-05-24 00:00:00', 0, 27.432138439999999, -99, 3125, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-05-25 00:00:00', 0.91000002599999996, 27.464315410000001, -99, 2815, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-05-26 00:00:00', 0, 22.379865649999999, -99, 2761, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-05-27 00:00:00', 25.18000031, 25.58853912, -99, 2560, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-05-28 00:00:00', 10.09000015, 20.81600761, -99, 2779, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-05-29 00:00:00', 0, 18.50162697, -99, 2387, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-05-30 00:00:00', 0, 22.666099549999998, -99, 2779, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-05-31 00:00:00', 0, 24.911880490000001, -99, 2776, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-06-01 00:00:00', 0.02, 25.18849754, -99, 1570, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-06-02 00:00:00', 0.280000001, 23.557140350000001, -99, 2970, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-06-03 00:00:00', 0.46000000800000002, 24.023248670000001, -99, 1627, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-06-04 00:00:00', 0.23999999499999999, 25.213268280000001, -99, 3089, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-06-05 00:00:00', 0.28999999199999998, 27.81438065, -99, 3024, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-06-06 00:00:00', 3.7799999710000001, 25.643075939999999, -99, 2714, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-06-07 00:00:00', 0, 25.26027298, -99, 3096, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-06-08 00:00:00', 0, 29.387195590000001, -99, 3175, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-06-09 00:00:00', 0, 30.519338609999998, -99, 3096, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-06-10 00:00:00', 0, 29.276443480000001, -99, 2776, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-06-11 00:00:00', 0.34000000400000002, 30.4917984, -99, 3013, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-06-12 00:00:00', 0.17000000200000001, 24.626321789999999, -99, 3035, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-06-13 00:00:00', 0.050000001000000002, 27.543418880000001, -99, 3132, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-06-14 00:00:00', 0.25, 28.358842849999998, -99, 1393, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-06-15 00:00:00', 0.37000000500000002, 26.508399959999998, -99, 2999, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-06-16 00:00:00', 0.070000000000000007, 27.620586400000001, -99, 2344, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-06-17 00:00:00', 0.40000000600000002, 27.173912049999998, -99, 2160, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-06-18 00:00:00', 0.709999979, 26.721311570000001, -99, 2725, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-06-19 00:00:00', 0.02, 25.61969757, -99, 2149, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-06-20 00:00:00', 0, 26.618326190000001, -99, 3060, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-06-21 00:00:00', 0, 28.653505330000002, -99, 3118, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-06-22 00:00:00', 0, 29.20196915, -99, 3150, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-06-23 00:00:00', 0, 30.634996409999999, -99, 3074, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-06-24 00:00:00', 3.2699999809999998, 30.692922589999998, -99, 1937, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-06-25 00:00:00', 0, 27.7443676, -99, 2272, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-06-26 00:00:00', 0.27000001099999998, 27.995769500000002, -99, 1948, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-06-27 00:00:00', 0, 27.808549880000001, -99, 2480, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-06-28 00:00:00', 0.109999999, 28.888565060000001, -99, 2632, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-06-29 00:00:00', 0.039999999000000001, 27.791751860000002, -99, 2941, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-06-30 00:00:00', 0, 29.722614289999999, -99, 2747, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-07-01 00:00:00', 0, 29.891750340000002, -99, 3103, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-07-02 00:00:00', 0, 31.691324229999999, -99, 3053, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-07-03 00:00:00', 0, 30.212368009999999, -99, 3085, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-07-04 00:00:00', 9.7700004580000002, 28.31930161, -99, 2743, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-07-05 00:00:00', 0.68000000699999996, 28.545522689999999, -99, 2542, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-07-06 00:00:00', 0.23000000400000001, 28.432514189999999, -99, 1451, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-07-07 00:00:00', 0.059999998999999998, 26.630130770000001, -99, 3085, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-07-08 00:00:00', 0.14000000100000001, 28.331010819999999, -99, 3150, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-07-09 00:00:00', 0, 30.213672639999999, -99, 3103, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-07-10 00:00:00', 0, 28.65355301, -99, 3078, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-07-11 00:00:00', 0, 29.5135231, -99, 3118, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-07-12 00:00:00', 0, 29.482994080000001, -99, 3060, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-07-13 00:00:00', 0, 29.921255110000001, -99, 3096, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-07-14 00:00:00', 0, 30.140119550000001, -99, 3110, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-07-15 00:00:00', 0, 29.45861816, -99, 3053, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-07-16 00:00:00', 0, 29.68565941, -99, 3053, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-07-17 00:00:00', 0, 30.048793790000001, -99, 2898, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-07-18 00:00:00', 0.25, 29.51716042, -99, 2516, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-07-19 00:00:00', 0, 29.31959724, -99, 2952, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-07-20 00:00:00', 0.10000000100000001, 29.478673929999999, -99, 2974, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-07-21 00:00:00', 0, 29.502094270000001, -99, 2452, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-07-22 00:00:00', 1.8200000519999999, 29.33121109, -99, 2380, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-07-23 00:00:00', 0.02, 23.532268519999999, -99, 2768, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-07-24 00:00:00', 1.3200000519999999, 28.783046720000002, -99, 2725, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-07-25 00:00:00', 0, 26.14477539, -99, 2286, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-07-26 00:00:00', 0, 28.68812561, -99, 2891, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-07-27 00:00:00', 0.01, 25.99341965, -99, 2866, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-07-28 00:00:00', 0, 28.262243269999999, -99, 2884, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-07-29 00:00:00', 0.119999997, 27.592187880000001, -99, 2970, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-07-30 00:00:00', 0.12999999500000001, 25.997663500000002, -99, 1645, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-07-31 00:00:00', 0, 28.479255680000001, -99, 1364, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-08-01 00:00:00', 0.01, 27.976020810000001, -99, 2851, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-08-02 00:00:00', 1.3200000519999999, 28.32328987, -99, 2563, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-08-03 00:00:00', 1.309999943, 28.891004559999999, -99, 2304, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-08-04 00:00:00', 0.189999998, 26.567630770000001, -99, 1962, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-08-05 00:00:00', 0, 26.88744926, -99, 2704, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-08-06 00:00:00', 1.5800000430000001, 27.73364067, -99, 2124, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-08-07 00:00:00', 0, 27.27131653, -99, 2380, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-08-08 00:00:00', 0.63999998599999997, 28.677886959999999, -99, 1526, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-08-09 00:00:00', 0.80000001200000004, 28.447648999999998, -99, 1962, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-08-10 00:00:00', 0.33000001299999998, 28.989356990000001, -99, 2210, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-08-11 00:00:00', 0.15000000599999999, 28.01996613, -99, 1699, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-08-12 00:00:00', 19.270000459999999, 27.972045900000001, -99, 1411, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-08-13 00:00:00', 18.590000150000002, 24.835077290000001, -99, 1170, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-08-14 00:00:00', 0.23999999499999999, 26.056049349999999, -99, 1890, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-08-15 00:00:00', 0, 25.09737015, -99, 2624, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-08-16 00:00:00', 0, 26.262384409999999, -99, 2758, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-08-17 00:00:00', 0, 27.086980820000001, -99, 2840, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-08-18 00:00:00', 0, 28.634128570000001, -99, 2804, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-08-19 00:00:00', 0, 26.20309258, -99, 2783, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-08-20 00:00:00', 0, 28.43334961, -99, 2603, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-08-21 00:00:00', 5.6999998090000004, 25.977212909999999, -99, 2387, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-08-22 00:00:00', 0, 23.589202879999998, -99, 2056, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-08-23 00:00:00', 0.91000002599999996, 25.41139793, -99, 2243, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-08-24 00:00:00', 0, 26.742959979999998, -99, 1800, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-08-25 00:00:00', 0, 26.883590699999999, -99, 1962, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-08-26 00:00:00', 1.559999943, 25.39055634, -99, 2153, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-08-27 00:00:00', 0.20000000300000001, 26.61932564, -99, 2192, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-08-28 00:00:00', 0, 27.454481120000001, -99, 2077, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-08-29 00:00:00', 0.20000000300000001, 27.550699229999999, -99, 2286, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-08-30 00:00:00', 0.01, 25.743545529999999, -99, 2344, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-08-31 00:00:00', 6.2300000190000002, 26.605131149999998, -99, 1645, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-09-01 00:00:00', 8.5399999619999996, 25.657480240000002, -99, 1739, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-09-02 00:00:00', 10.44999981, 25.358152390000001, -99, 670, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-09-03 00:00:00', 0.14000000100000001, 23.841934200000001, -99, 2023, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-09-04 00:00:00', 0.090000003999999995, 25.324815749999999, -99, 2016, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-09-05 00:00:00', 0, 21.798955920000001, -99, 2081, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-09-06 00:00:00', 0, 23.317531590000002, -99, 1861, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-09-07 00:00:00', 2.9300000669999999, 23.29253387, -99, 1735, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-09-08 00:00:00', 0, 21.700029369999999, -99, 2430, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-09-09 00:00:00', 0, 22.75258827, -99, 2138, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-09-10 00:00:00', 0, 24.161548610000001, -99, 2088, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-09-11 00:00:00', 0.85000002399999997, 23.06575775, -99, 2290, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-09-12 00:00:00', 40.11000061, 22.274559020000002, -99, 1598, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-09-13 00:00:00', 20.659999849999998, 21.151474, -99, 166, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-09-14 00:00:00', 7.1900000569999998, 21.96367455, -99, 1030, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-09-15 00:00:00', 0.38999998600000002, 22.79830742, -99, 1717, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-09-16 00:00:00', 2.7400000100000002, 23.211650850000002, -99, 2477, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-09-17 00:00:00', 11.619999890000001, 22.38459778, -99, 1717, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-09-18 00:00:00', 2.2599999899999998, 23.114000319999999, -99, 2405, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-09-19 00:00:00', 0, 21.62580299, -99, 2070, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-09-20 00:00:00', 0, 23.01795006, -99, 2369, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-09-21 00:00:00', 0, 21.846633910000001, -99, 2426, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-09-22 00:00:00', 0, 22.325893399999998, -99, 2365, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-09-23 00:00:00', 0, 23.541494369999999, -99, 2146, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-09-24 00:00:00', 0.50999998999999996, 23.072317120000001, -99, 2196, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-09-25 00:00:00', 0, 21.448970790000001, -99, 1858, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-09-26 00:00:00', 0, 19.99277687, -99, 2383, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-09-27 00:00:00', 0, 20.669004439999998, -99, 2376, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-09-28 00:00:00', 0, 20.68146896, -99, 2358, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-09-29 00:00:00', 0, 21.126651760000001, -99, 2347, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-09-30 00:00:00', 0, 20.637994769999999, -99, 2358, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-10-01 00:00:00', 0, 19.158073430000002, -99, 2290, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-10-02 00:00:00', 0, 18.743368149999998, -99, 2257, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-10-03 00:00:00', 0, 19.729848860000001, -99, 2261, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-10-04 00:00:00', 0, 18.778224949999998, -99, 2218, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-10-05 00:00:00', 0, 19.376974109999999, -99, 2207, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-10-06 00:00:00', 0, 19.774368290000002, -99, 2225, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-10-07 00:00:00', 0, 19.942789080000001, -99, 2160, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-10-08 00:00:00', 0, 20.04387474, -99, 2095, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-10-09 00:00:00', 0, 20.349126819999999, -99, 2117, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-10-10 00:00:00', 0, 21.023572919999999, -99, 1897, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-10-11 00:00:00', 0, 21.584829330000002, -99, 2056, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-10-12 00:00:00', 0.02, 20.976854320000001, -99, 1591, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-10-13 00:00:00', 0.01, 17.363809589999999, -99, 1372, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-10-14 00:00:00', 0, 17.90593338, -99, 2002, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-10-15 00:00:00', 0, 17.790729519999999, -99, 1966, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-10-16 00:00:00', 0, 18.34185982, -99, 2041, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-10-17 00:00:00', 0, 18.682691569999999, -99, 1987, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-10-18 00:00:00', 0, 18.434614180000001, -99, 1958, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-10-19 00:00:00', 0, 18.45738983, -99, 1940, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-10-20 00:00:00', 0, 18.75039482, -99, 1958, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-10-21 00:00:00', 0, 19.586833949999999, -99, 1490, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-10-22 00:00:00', 0, 17.623964310000002, -99, 1775, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-10-23 00:00:00', 0, 15.44661808, -99, 1944, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-10-24 00:00:00', 0, 15.76514053, -99, 1926, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-10-25 00:00:00', 0, 16.24998283, -99, 1876, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-10-26 00:00:00', 0, 15.70753002, -99, 1872, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-10-27 00:00:00', 0, 16.472953799999999, -99, 1840, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-10-28 00:00:00', 0, 15.36913872, -99, 1840, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-10-29 00:00:00', 0, 16.137319560000002, -99, 1789, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-10-30 00:00:00', 0, 16.620628360000001, -99, 1811, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-10-31 00:00:00', 0, 15.64078617, -99, 1775, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-11-01 00:00:00', 0, 14.90364838, -99, 1778, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-11-02 00:00:00', 0, 14.497168540000001, -99, 1786, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-11-03 00:00:00', 0, 14.830220219999999, -99, 1663, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-11-04 00:00:00', 0, 14.24953651, -99, 1372, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-11-05 00:00:00', 0, 13.661469459999999, -99, 1714, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-11-06 00:00:00', 0, 15.320558549999999, -99, 1242, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-11-07 00:00:00', 0, 14.86788273, -99, 1678, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-11-08 00:00:00', 0, 14.61296844, -99, 1642, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-11-09 00:00:00', 0, 14.19148064, -99, 1350, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-11-10 00:00:00', 0, 13.52609444, -99, 1530, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-11-11 00:00:00', 0, 13.20637131, -99, 968, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-11-12 00:00:00', 0, 14.302764890000001, -99, 1213, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-11-13 00:00:00', 0, 13.68157291, -99, 1631, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-11-14 00:00:00', 0, 13.7214756, -99, 1645, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-11-15 00:00:00', 0, 11.93264484, -99, 1631, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-11-16 00:00:00', 0, 11.197855000000001, -99, 1523, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-11-17 00:00:00', 0, 13.17014313, -99, 1620, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-11-18 00:00:00', 0, 11.52611828, -99, 1580, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-11-19 00:00:00', 0, 11.713419910000001, -99, 1408, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-11-20 00:00:00', 0, 12.009744639999999, -99, 1559, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-11-21 00:00:00', 0, 9.350941658, -99, 1570, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-11-22 00:00:00', 0, 9.87146759, -99, 1346, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-11-23 00:00:00', 0, 10.10281277, -99, 1465, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-11-24 00:00:00', 0, 13.20331097, -99, 1411, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-11-25 00:00:00', 0, 9.1575202939999993, -99, 1516, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-11-26 00:00:00', 0, 7.2639360430000002, -99, 1530, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-11-27 00:00:00', 0, 7.0192670819999998, -99, 1336, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-11-28 00:00:00', 0, 7.7249307629999997, -99, 1382, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-11-29 00:00:00', 0, 7.132378578, -99, 1469, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-11-30 00:00:00', 0, 6.2440361979999999, -99, 1469, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-12-01 00:00:00', 0, 7.3427248000000001, -99, 1512, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-12-02 00:00:00', 0, 7.8399686810000002, -99, 1195, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-12-03 00:00:00', 0, 6.7156925200000002, -99, 1472, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-12-04 00:00:00', 0, 7.5079479219999996, -99, 1336, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-12-05 00:00:00', 0, 6.9212875370000004, -99, 1040, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-12-06 00:00:00', 0, 7.663519859, -99, 1447, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-12-07 00:00:00', 0, 7.2739577290000001, -99, 1458, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-12-08 00:00:00', 0, 6.916748524, -99, 1454, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-12-09 00:00:00', 0, 7.7787728310000004, -99, 1487, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-12-10 00:00:00', 0, 6.0339803700000001, -99, 1213, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-12-11 00:00:00', 0, 7.4269423479999999, -99, 803, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-12-12 00:00:00', 0, 6.4251794819999999, -99, 1228, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-12-13 00:00:00', 0, 7.2515859599999999, -99, 1055, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-12-14 00:00:00', 0, 9.3855915070000009, -99, 1102, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-12-15 00:00:00', 0, 9.1500272749999993, -99, 1217, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-12-16 00:00:00', 0, 10.928093909999999, -99, 976, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-12-17 00:00:00', 0, 9.47572422, -99, 1386, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-12-18 00:00:00', 0, 8.7343168260000006, -99, 1231, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-12-19 00:00:00', 0, 10.96466064, -99, 562, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-12-20 00:00:00', 0, 7.930094242, -99, 1073, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-12-21 00:00:00', 0, 9.3512964249999992, -99, 1382, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-12-22 00:00:00', 0, 8.6766185759999992, -99, 1382, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-12-23 00:00:00', 0.050000001000000002, 8.3418674470000003, -99, 965, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-12-24 00:00:00', 3.2599999899999998, 11.754410740000001, -99, 43, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-12-25 00:00:00', 0, 9.0011568069999992, -99, 1285, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-12-26 00:00:00', 0, 7.9482536320000001, -99, 950, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-12-27 00:00:00', 0, 8.4410009380000002, -99, 1325, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-12-28 00:00:00', 0, 7.4127802850000002, -99, 1343, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-12-29 00:00:00', 0, 5.7356715200000004, -99, 1411, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-12-30 00:00:00', 2.869999886, 5.1192140579999998, -99, 713, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-12-31 00:00:00', 2.25, 9.0743198389999993, -99, 860, 'lud', 'lud_2002');
INSERT INTO public.cdy_cldat VALUES ('2003-01-01 00:00:00', 0, 6.2489037510000003, -99, 1073, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-01-02 00:00:00', 0, 7.3016872409999998, -99, 760, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-01-03 00:00:00', 0, 6.1732058529999998, -99, 684, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-01-04 00:00:00', 0, 6.4279155729999999, -99, 889, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-01-05 00:00:00', 0, 5.7461199760000001, -99, 688, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-01-06 00:00:00', 0, 4.4986057280000002, -99, 612, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-01-07 00:00:00', 0, 5.8065400120000001, -99, 724, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-01-08 00:00:00', 0, 4.2562007900000003, -99, 796, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-01-09 00:00:00', 0, 4.7054314609999999, -99, 958, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-01-10 00:00:00', 0, 3.246715784, -99, 666, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-01-11 00:00:00', 0, 3.7496888639999999, -99, 889, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-01-12 00:00:00', 0, 4.5332980159999998, -99, 1084, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-01-13 00:00:00', 0, 3.8929934500000001, -99, 983, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-01-14 00:00:00', 0, 3.3459193709999999, -99, 644, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-01-15 00:00:00', 0, 2.9013106820000001, -99, 637, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-01-16 00:00:00', 0, 3.411916256, -99, 889, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-01-17 00:00:00', 0, 3.9565472599999998, -99, 691, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-01-18 00:00:00', 0, 3.4717967509999998, -99, 778, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-01-19 00:00:00', 0, 4.1678514480000004, -99, 1058, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-01-20 00:00:00', 0, 3.746016741, -99, 1109, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-01-21 00:00:00', 0, 4.058488369, -99, 821, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-01-22 00:00:00', 0, 4.4794807429999999, -99, 1001, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-01-23 00:00:00', 0, 4.6484060290000002, -99, 1480, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-01-24 00:00:00', 0, 2.714043856, -99, 1285, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-01-25 00:00:00', 0, 5.3983349799999996, -99, 1588, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-01-26 00:00:00', 1.6200000050000001, 6.8534107210000004, -99, 1184, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-01-27 00:00:00', 8.1899995800000003, 9.7228822709999996, -99, 1048, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-01-28 00:00:00', 1.4900000099999999, 11.8210535, -99, 990, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-01-29 00:00:00', 0.61000001400000003, 8.9371900560000004, -99, 1177, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-01-30 00:00:00', 7.4099998469999999, 11.249078750000001, -99, 148, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-01-31 00:00:00', 19.649999619999999, 10.82000732, -99, 130, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-02-01 00:00:00', 0, 8.3441772459999992, -99, 875, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-02-02 00:00:00', 0, 9.5673322679999995, -99, 1494, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-02-03 00:00:00', 0, 7.6449913980000002, -99, 1760, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-02-04 00:00:00', 0, 6.9324193000000003, -99, 1796, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-02-05 00:00:00', 0, 6.9729928970000001, -99, 1771, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-02-06 00:00:00', 0, 7.0688357350000004, -99, 1166, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-02-07 00:00:00', 0, 7.2384757999999998, -99, 1735, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-02-08 00:00:00', 0, 8.2355346679999997, -99, 1501, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-02-09 00:00:00', 0, 6.6507110599999999, -99, 1858, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-02-10 00:00:00', 0, 6.259467602, -99, 1818, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-02-11 00:00:00', 0, 7.4344987869999999, -99, 1796, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-02-12 00:00:00', 0, 7.9892234799999997, -99, 1642, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-02-13 00:00:00', 0, 8.5686950680000002, -99, 1609, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-02-14 00:00:00', 0, 8.0740270610000007, -99, 1868, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-02-15 00:00:00', 0, 9.6546449659999993, -99, 1678, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-02-16 00:00:00', 0.02, 12.214509960000001, -99, 511, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-02-17 00:00:00', 6.3200001720000003, 14.8198595, -99, 436, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-02-18 00:00:00', 16.56999969, 14.296869279999999, -99, 432, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-02-19 00:00:00', 7.0999999049999998, 11.265689849999999, -99, 551, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-02-20 00:00:00', 0, 7.5640969279999997, -99, 1663, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-02-21 00:00:00', 0, 7.4777555470000001, -99, 1969, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-02-22 00:00:00', 0, 8.8791370389999997, -99, 1865, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-02-23 00:00:00', 2.210000038, 10.269256589999999, -99, 904, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-02-24 00:00:00', 0, 11.83277702, -99, 2027, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-02-25 00:00:00', 0, 11.95435047, -99, 1980, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-02-26 00:00:00', 0, 12.60213566, -99, 2002, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-02-27 00:00:00', 2.6600000860000002, 13.938475609999999, -99, 1494, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-02-28 00:00:00', 0.090000003999999995, 13.92194748, -99, 2102, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-03-01 00:00:00', 5.6799998279999997, 14.619180679999999, -99, 371, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-03-02 00:00:00', 0, 15.16223621, -99, 1656, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-03-03 00:00:00', 0, 12.77819538, -99, 1768, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-03-04 00:00:00', 0, 7.946307182, -99, 2203, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-03-05 00:00:00', 0, 5.6846342090000004, -99, 2246, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-03-06 00:00:00', 0, 7.036677837, -99, 2275, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-03-07 00:00:00', 0, 8.6096200940000003, -99, 2300, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-03-08 00:00:00', 0, 9.1743669509999997, -99, 1631, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-03-09 00:00:00', 0, 11.563920019999999, -99, 1163, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-03-10 00:00:00', 0, 13.480260850000001, -99, 1757, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-03-11 00:00:00', 0, 12.94778919, -99, 2250, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-03-12 00:00:00', 0, 11.721097950000001, -99, 2279, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-03-13 00:00:00', 0, 13.170451160000001, -99, 1994, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-03-14 00:00:00', 0, 13.93482494, -99, 1325, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-03-15 00:00:00', 0, 15.65596962, -99, 2250, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-03-16 00:00:00', 0, 15.24982166, -99, 2210, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-03-17 00:00:00', 0, 14.673807139999999, -99, 2408, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-03-18 00:00:00', 0, 14.17911434, -99, 2326, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-03-19 00:00:00', 0, 14.025425909999999, -99, 2430, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-03-20 00:00:00', 0, 13.83463001, -99, 2401, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-03-21 00:00:00', 0, 15.33222389, -99, 2462, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-03-22 00:00:00', 0, 15.000572200000001, -99, 1375, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-03-23 00:00:00', 0, 17.466732029999999, -99, 1843, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-03-24 00:00:00', 0, 15.762585639999999, -99, 2354, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-03-25 00:00:00', 0, 16.440719600000001, -99, 1264, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-03-26 00:00:00', 0, 16.30368996, -99, 2059, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-03-27 00:00:00', 0, 16.56108665, -99, 1930, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-03-28 00:00:00', 0, 16.201532360000002, -99, 1177, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-03-29 00:00:00', 0.119999997, 18.585201260000002, -99, 2146, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-03-30 00:00:00', 0, 17.164962769999999, -99, 1368, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-03-31 00:00:00', 0.050000001000000002, 14.194853780000001, -99, 2624, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-04-01 00:00:00', 0, 16.50244713, -99, 2668, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-04-02 00:00:00', 0, 15.82420158, -99, 2279, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-04-03 00:00:00', 0.209999993, 17.93460846, -99, 1411, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-04-04 00:00:00', 1.019999981, 17.143650050000002, -99, 2585, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-04-05 00:00:00', 0, 13.402135850000001, -99, 2765, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-04-06 00:00:00', 0, 14.168391229999999, -99, 2743, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-04-07 00:00:00', 0, 17.045831679999999, -99, 2743, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-04-08 00:00:00', 0, 17.217523570000001, -99, 2776, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-04-09 00:00:00', 0, 17.631401060000002, -99, 2776, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-04-10 00:00:00', 0, 18.52458382, -99, 2801, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-04-11 00:00:00', 0, 19.533750529999999, -99, 2484, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-04-12 00:00:00', 0, 20.4546299, -99, 2779, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-04-13 00:00:00', 0, 21.995941160000001, -99, 2783, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-04-14 00:00:00', 0, 22.215915679999998, -99, 1955, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-04-15 00:00:00', 0.119999997, 20.83482742, -99, 1472, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-04-16 00:00:00', 0, 23.14624023, -99, 2524, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-04-17 00:00:00', 0, 19.115949629999999, -99, 2876, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-04-18 00:00:00', 0, 19.789648060000001, -99, 2005, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-04-19 00:00:00', 2.8199999330000001, 23.844097139999999, -99, 2095, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-04-20 00:00:00', 0, 17.223533629999999, -99, 2707, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-04-21 00:00:00', 0, 18.66935539, -99, 2966, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-04-22 00:00:00', 0, 19.41718483, -99, 2646, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-04-23 00:00:00', 0, 21.276561739999998, -99, 2927, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-04-24 00:00:00', 0, 21.07411385, -99, 2556, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-04-25 00:00:00', 0, 22.56780243, -99, 2977, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-04-26 00:00:00', 1.1399999860000001, 23.688762659999998, -99, 1796, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-04-27 00:00:00', 3.5699999330000001, 21.64403725, -99, 2358, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-04-28 00:00:00', 0, 18.401229860000001, -99, 2509, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-04-29 00:00:00', 0, 19.486188890000001, -99, 2938, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-04-30 00:00:00', 0, 21.403619769999999, -99, 2963, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-05-01 00:00:00', 0, 22.08725166, -99, 2448, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-05-02 00:00:00', 0, 26.980350489999999, -99, 2405, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-05-03 00:00:00', 0, 24.930452349999999, -99, 2534, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-05-04 00:00:00', 0, 18.156478880000002, -99, 3110, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-05-05 00:00:00', 0, 16.928331379999999, -99, 3096, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-05-06 00:00:00', 0, 16.540536880000001, -99, 2945, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-05-07 00:00:00', 0, 18.256904599999999, -99, 3064, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-05-08 00:00:00', 0, 18.86136436, -99, 3146, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-05-09 00:00:00', 0, 19.0431633, -99, 3085, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-05-10 00:00:00', 0, 19.994844440000001, -99, 1598, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-05-11 00:00:00', 0, 22.63883972, -99, 3013, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-05-12 00:00:00', 0.17000000200000001, 23.441930769999999, -99, 2038, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-05-13 00:00:00', 0.86000001400000003, 24.474334720000002, -99, 1926, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-05-14 00:00:00', 0, 19.71757126, -99, 3028, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-05-15 00:00:00', 0, 23.530185700000001, -99, 3125, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-05-16 00:00:00', 0, 21.543605800000002, -99, 3096, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-05-17 00:00:00', 0, 22.47681236, -99, 3067, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-05-18 00:00:00', 0, 22.603389740000001, -99, 3042, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-05-19 00:00:00', 0, 23.78444099, -99, 3046, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-05-20 00:00:00', 0, 25.677309040000001, -99, 3096, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-05-21 00:00:00', 0, 26.92669678, -99, 2981, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-05-22 00:00:00', 4.4499998090000004, 26.39760017, -99, 2513, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-05-23 00:00:00', 2.5099999899999998, 20.386352540000001, -99, 2351, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-05-24 00:00:00', 1.1100000139999999, 21.961713790000001, -99, 1220, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-05-25 00:00:00', 0.189999998, 21.539072040000001, -99, 2164, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-05-26 00:00:00', 0, 22.33071709, -99, 2621, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-05-27 00:00:00', 0, 24.164218900000002, -99, 3139, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-05-28 00:00:00', 0, 23.851449970000001, -99, 3089, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-05-29 00:00:00', 0, 23.19056892, -99, 2758, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-05-30 00:00:00', 0, 23.89224243, -99, 3179, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-05-31 00:00:00', 0, 24.810186389999998, -99, 3082, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-06-01 00:00:00', 0, 27.663698199999999, -99, 2783, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-06-02 00:00:00', 0, 27.00104713, -99, 3100, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-06-03 00:00:00', 0, 27.339338300000001, -99, 3193, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-06-04 00:00:00', 0, 30.10318947, -99, 3186, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-06-05 00:00:00', 0, 26.895874020000001, -99, 3157, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-06-06 00:00:00', 0, 28.561645510000002, -99, 3168, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-06-07 00:00:00', 0, 30.611421589999999, -99, 3175, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-06-08 00:00:00', 0, 28.338989260000002, -99, 2387, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-06-09 00:00:00', 0, 28.49252319, -99, 1771, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-06-10 00:00:00', 0, 28.78508759, -99, 2063, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-06-11 00:00:00', 0, 27.886249540000001, -99, 2833, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-06-12 00:00:00', 0, 29.528024670000001, -99, 2578, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-06-13 00:00:00', 0, 28.997119900000001, -99, 3236, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-06-14 00:00:00', 0, 27.254899980000001, -99, 3053, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-06-15 00:00:00', 0, 28.818574909999999, -99, 2909, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-06-16 00:00:00', 0, 28.92469788, -99, 3168, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-06-17 00:00:00', 8.6700000760000009, 27.86256599, -99, 2909, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-06-18 00:00:00', 0, 24.096170430000001, -99, 2174, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-06-19 00:00:00', 0, 26.68000031, -99, 2034, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-06-20 00:00:00', 0, 27.283828740000001, -99, 2758, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-06-21 00:00:00', 0, 27.372541429999998, -99, 2297, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-06-22 00:00:00', 13.02000046, 27.31365585, -99, 2898, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-06-23 00:00:00', 1, 24.805717470000001, -99, 1919, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-06-24 00:00:00', 1.0499999520000001, 26.432016369999999, -99, 3038, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-06-25 00:00:00', 0.40999999599999998, 24.94550323, -99, 1044, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-06-26 00:00:00', 0, 26.640876769999998, -99, 2236, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-06-27 00:00:00', 0.039999999000000001, 27.97039032, -99, 2466, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-06-28 00:00:00', 0.02, 24.637237549999998, -99, 2138, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-06-29 00:00:00', 7.5900001530000001, 28.33588409, -99, 1260, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-06-30 00:00:00', 5.5700001720000003, 24.572019579999999, -99, 2624, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-07-01 00:00:00', 0, 26.14247894, -99, 3125, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-07-02 00:00:00', 20.690000529999999, 27.850896840000001, -99, 2754, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-07-03 00:00:00', 9.5399999619999996, 28.546527860000001, -99, 2945, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-07-04 00:00:00', 0.059999998999999998, 28.191368099999998, -99, 1462, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-07-05 00:00:00', 1.059999943, 24.56875801, -99, 972, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-07-06 00:00:00', 0.070000000000000007, 26.22534752, -99, 2200, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-07-07 00:00:00', 0, 27.846685409999999, -99, 1519, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-07-08 00:00:00', 5.5100002290000001, 27.425687790000001, -99, 2578, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-07-09 00:00:00', 5.079999924, 26.07161713, -99, 2257, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-07-10 00:00:00', 3.0599999430000002, 25.25965691, -99, 2545, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-07-11 00:00:00', 2.5999999049999998, 24.72200394, -99, 2750, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-07-12 00:00:00', 0.15999999600000001, 24.643758770000002, -99, 2725, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-07-13 00:00:00', 0.12999999500000001, 26.037130359999999, -99, 2189, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-07-14 00:00:00', 0.01, 27.339334489999999, -99, 2920, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-07-15 00:00:00', 15.81999969, 27.747978209999999, -99, 1998, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-07-16 00:00:00', 2.0499999519999998, 27.8934803, -99, 2434, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-07-17 00:00:00', 20.459999079999999, 28.13521385, -99, 270, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-07-18 00:00:00', 17.36000061, 25.642480849999998, -99, 2063, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-07-19 00:00:00', 0, 26.728248600000001, -99, 2837, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-07-20 00:00:00', 22.020000459999999, 27.64517403, -99, 2167, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-07-21 00:00:00', 6.9800000190000002, 25.832593920000001, -99, 853, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-07-22 00:00:00', 1.1599999670000001, 25.248888019999999, -99, 2704, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-07-23 00:00:00', 1.7200000289999999, 27.475242609999999, -99, 2826, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-07-24 00:00:00', 51.880001069999999, 27.286939619999998, -99, 1177, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-07-25 00:00:00', 0, 27.494207379999999, -99, 2804, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-07-26 00:00:00', 2.5899999139999998, 27.36838341, -99, 990, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-07-27 00:00:00', 4.9299998279999997, 27.683219909999998, -99, 2192, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-07-28 00:00:00', 0, 27.284151080000001, -99, 1631, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-07-29 00:00:00', 0.20000000300000001, 26.477285389999999, -99, 1778, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-07-30 00:00:00', 8.4799995419999998, 26.013296130000001, -99, 2462, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-07-31 00:00:00', 40.799999239999998, 26.05862999, -99, 2041, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-08-01 00:00:00', 6.2399997709999999, 25.585147859999999, -99, 1426, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-08-02 00:00:00', 15.68000031, 25.728965760000001, -99, 2279, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-08-03 00:00:00', 3.4800000190000002, 26.07073402, -99, 1310, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-08-04 00:00:00', 0.050000001000000002, 24.560777659999999, -99, 1750, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-08-05 00:00:00', 0.119999997, 26.608934399999999, -99, 1966, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-08-06 00:00:00', 0, 25.967473980000001, -99, 2236, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-08-07 00:00:00', 0, 27.712398530000002, -99, 2243, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-08-08 00:00:00', 0, 28.632778170000002, -99, 2333, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-08-09 00:00:00', 12.579999920000001, 27.370775219999999, -99, 2066, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-08-10 00:00:00', 1.1499999759999999, 25.307422639999999, -99, 1616, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-08-11 00:00:00', 0, 25.226690290000001, -99, 2380, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-08-12 00:00:00', 0, 25.50613976, -99, 2297, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-08-13 00:00:00', 0.77999997099999996, 27.240934370000002, -99, 2254, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-08-14 00:00:00', 0, 25.72408295, -99, 2354, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-08-15 00:00:00', 1.730000019, 28.261493680000001, -99, 2164, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-08-16 00:00:00', 0, 26.6912117, -99, 1620, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-08-17 00:00:00', 0, 27.03808403, -99, 2124, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-08-18 00:00:00', 0, 28.50552368, -99, 2005, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-08-19 00:00:00', 0, 26.474699019999999, -99, 1627, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-08-20 00:00:00', 0.02, 25.09560776, -99, 1840, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-08-21 00:00:00', 0.070000000000000007, 25.743373869999999, -99, 1591, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-08-22 00:00:00', 0, 25.526409149999999, -99, 1933, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-08-23 00:00:00', 0, 26.999259949999999, -99, 2009, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-08-24 00:00:00', 0, 27.06771088, -99, 2030, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-08-25 00:00:00', 0.029999998999999999, 27.286462780000001, -99, 1976, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-08-26 00:00:00', 5.1199998860000004, 27.183710099999999, -99, 1735, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-08-27 00:00:00', 7.1199998860000004, 25.70593452, -99, 1552, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-08-28 00:00:00', 0.40000000600000002, 25.45951462, -99, 1627, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-08-29 00:00:00', 1.7200000289999999, 26.891881940000001, -99, 882, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-08-30 00:00:00', 27.909999849999998, 26.075746540000001, -99, 1325, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-08-31 00:00:00', 11.09000015, 25.821239469999998, -99, 1901, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-09-01 00:00:00', 0, 27.01389885, -99, 1721, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-09-02 00:00:00', 19.790000920000001, 25.562303539999998, -99, 1807, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-09-03 00:00:00', 0.77999997099999996, 26.272579189999998, -99, 1706, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-09-04 00:00:00', 2.9300000669999999, 26.066276550000001, -99, 1818, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-09-05 00:00:00', 1.8999999759999999, 24.513614650000001, -99, 1530, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-09-06 00:00:00', 0, 23.569751740000001, -99, 1969, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-09-07 00:00:00', 0.090000003999999995, 24.648557660000002, -99, 1364, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-09-08 00:00:00', 0, 24.221864700000001, -99, 2293, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-09-09 00:00:00', 0, 24.22691154, -99, 2322, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-09-10 00:00:00', 0, 24.640558240000001, -99, 2142, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-09-11 00:00:00', 0.25, 24.366045, -99, 1973, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-09-12 00:00:00', 0.14000000100000001, 25.141290659999999, -99, 1940, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-09-13 00:00:00', 0, 24.64660263, -99, 1696, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-09-14 00:00:00', 0.039999999000000001, 25.29810715, -99, 1631, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-09-15 00:00:00', 6.0300002099999999, 25.049798970000001, -99, 1944, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-09-16 00:00:00', 0, 23.895439150000001, -99, 1843, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-09-17 00:00:00', 0, 24.21371078, -99, 1706, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-09-18 00:00:00', 0, 24.386304859999999, -99, 1883, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-09-19 00:00:00', 0, 25.097150800000001, -99, 1822, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-09-20 00:00:00', 0, 25.819452290000001, -99, 1739, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-09-21 00:00:00', 0, 25.916765210000001, -99, 1476, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-09-22 00:00:00', 1.190000057, 26.611394879999999, -99, 1537, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-09-23 00:00:00', 0.769999981, 24.218200679999999, -99, 1742, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-09-24 00:00:00', 0, 23.209980009999999, -99, 1919, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-09-25 00:00:00', 3.8599998950000001, 21.967512129999999, -99, 1508, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-09-26 00:00:00', 0.23000000400000001, 21.108528140000001, -99, 2128, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-09-27 00:00:00', 0, 21.935171130000001, -99, 1260, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-09-28 00:00:00', 3.7799999710000001, 20.916246409999999, -99, 2020, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-09-29 00:00:00', 1.8500000240000001, 19.010360720000001, -99, 2282, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-09-30 00:00:00', 0, 18.87485504, -99, 2239, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-10-01 00:00:00', 0, 18.084104539999998, -99, 2282, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-10-02 00:00:00', 0, 17.984153750000001, -99, 2282, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-10-03 00:00:00', 0, 17.846418379999999, -99, 2257, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-10-04 00:00:00', 0, 18.046421049999999, -99, 2272, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-10-05 00:00:00', 0, 18.77676392, -99, 2243, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-10-06 00:00:00', 0, 20.079345700000001, -99, 2200, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-10-07 00:00:00', 0, 20.082696909999999, -99, 2207, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-10-08 00:00:00', 0, 19.884382250000002, -99, 2160, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-10-09 00:00:00', 0, 20.149211879999999, -99, 2081, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-10-10 00:00:00', 0, 18.979293819999999, -99, 2138, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-10-11 00:00:00', 0, 16.852272030000002, -99, 2156, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-10-12 00:00:00', 0, 15.447035789999999, -99, 2120, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-10-13 00:00:00', 0, 15.9918251, -99, 2128, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-10-14 00:00:00', 0, 15.9962616, -99, 2099, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-10-15 00:00:00', 0, 15.236935620000001, -99, 2059, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-10-16 00:00:00', 0, 15.517205239999999, -99, 2030, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-10-17 00:00:00', 0, 16.129844670000001, -99, 2048, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-10-18 00:00:00', 0, 15.63554287, -99, 2020, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-10-19 00:00:00', 0, 15.586502080000001, -99, 2005, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-10-20 00:00:00', 0, 15.87250996, -99, 1969, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-10-21 00:00:00', 0, 18.594934460000001, -99, 1966, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-10-22 00:00:00', 0, 16.92674255, -99, 1973, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-10-23 00:00:00', 0, 16.251419070000001, -99, 1883, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-10-24 00:00:00', 0, 15.37304211, -99, 1825, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-10-25 00:00:00', 0, 16.406173710000001, -99, 1886, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-10-26 00:00:00', 0, 15.506320000000001, -99, 1634, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-10-27 00:00:00', 0, 14.85300827, -99, 1901, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-10-28 00:00:00', 0, 15.424388889999999, -99, 1879, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-10-29 00:00:00', 0, 14.979081150000001, -99, 1840, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-10-30 00:00:00', 0, 15.15655613, -99, 1825, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-10-31 00:00:00', 0, 14.31683636, -99, 1825, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-11-01 00:00:00', 0, 13.24981213, -99, 1825, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-11-02 00:00:00', 0, 13.16189003, -99, 1807, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-11-03 00:00:00', 0, 12.301323890000001, -99, 1757, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-11-04 00:00:00', 0, 12.93379498, -99, 1656, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-11-05 00:00:00', 0, 14.114215850000001, -99, 1724, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-11-06 00:00:00', 0, 13.400253299999999, -99, 1728, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-11-07 00:00:00', 0, 12.6734066, -99, 1699, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-11-08 00:00:00', 0, 12.440506940000001, -99, 1595, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-11-09 00:00:00', 0, 11.77677727, -99, 1649, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-11-10 00:00:00', 0, 12.14370823, -99, 1670, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-11-11 00:00:00', 0, 11.18657017, -99, 1721, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-11-12 00:00:00', 0, 10.416996960000001, -99, 1541, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-11-13 00:00:00', 0, 10.086396219999999, -99, 1166, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-11-14 00:00:00', 0, 12.64601994, -99, 886, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-11-15 00:00:00', 1.4700000289999999, 10.97656727, -99, 1134, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-11-16 00:00:00', 1.0800000430000001, 13.668531420000001, -99, 457, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-11-17 00:00:00', 0, 12.077595710000001, -99, 1217, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-11-18 00:00:00', 0, 11.627448080000001, -99, 1472, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-11-19 00:00:00', 0, 9.6009654999999992, -99, 1591, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-11-20 00:00:00', 0, 8.3597936629999996, -99, 1591, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-11-21 00:00:00', 0, 8.2688665389999993, -99, 1598, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-11-22 00:00:00', 0, 4.6697230340000004, -99, 1595, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-11-23 00:00:00', 0, 5.2144036290000004, -99, 1548, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-11-24 00:00:00', 0, 5.7165203089999999, -99, 1480, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-11-25 00:00:00', 0, 6.9788365360000002, -99, 1526, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-11-26 00:00:00', 0, 5.3637318609999998, -99, 1490, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-11-27 00:00:00', 0, 5.7367954250000004, -99, 1512, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-11-28 00:00:00', 0, 4.9763770100000002, -99, 1498, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-11-29 00:00:00', 0, 4.9193358419999997, -99, 1303, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-11-30 00:00:00', 0, 4.8331017489999999, -99, 1267, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-12-01 00:00:00', 0, 4.9841752049999997, -99, 1292, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-12-02 00:00:00', 0, 6.2579507830000001, -99, 1264, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-12-03 00:00:00', 0, 6.461760044, -99, 860, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-12-04 00:00:00', 0, 7.4547176359999998, -99, 1098, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-12-05 00:00:00', 0, 7.1352195739999997, -99, 1210, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-12-06 00:00:00', 0, 8.7436428070000005, -99, 1476, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-12-07 00:00:00', 0, 8.9612712860000006, -99, 1426, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-12-08 00:00:00', 0, 11.38219833, -99, 1361, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-12-09 00:00:00', 0.43000000700000002, 13.08545017, -99, 1188, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-12-10 00:00:00', 0, 13.298731800000001, -99, 1379, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-12-11 00:00:00', 0, 10.300859450000001, -99, 1199, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-12-12 00:00:00', 0.039999999000000001, 11.53624535, -99, 1084, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-12-13 00:00:00', 0.14000000100000001, 14.763210300000001, -99, 803, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-12-14 00:00:00', 2.4500000480000002, 10.88855839, -99, 1303, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-12-15 00:00:00', 4.7699999809999998, 12.76767635, -99, 540, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-12-16 00:00:00', 0, 10.041744230000001, -99, 1339, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-12-17 00:00:00', 0, 9.7622632980000006, -99, 1271, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-12-18 00:00:00', 0, 11.88778973, -99, 738, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-12-19 00:00:00', 0, 8.6942481990000005, -99, 806, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-12-20 00:00:00', 0, 8.4537611009999996, -99, 1058, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-12-21 00:00:00', 0, 7.591628075, -99, 1026, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-12-22 00:00:00', 0, 6.174337864, -99, 850, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-12-23 00:00:00', 0, 7.1765151019999998, -99, 324, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-12-24 00:00:00', 0, 5.3758521080000001, -99, 983, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-12-25 00:00:00', 0, 5.7286896709999997, -99, 1220, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-12-26 00:00:00', 0, 5.4666295050000002, -99, 972, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-12-27 00:00:00', 0, 5.8590445520000003, -99, 972, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-12-28 00:00:00', 0, 5.278452873, -99, 1145, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-12-29 00:00:00', 0, 3.898659468, -99, 1184, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-12-30 00:00:00', 0, 4.6396827700000003, -99, 1037, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-12-31 00:00:00', 0, 6.7835249900000001, -99, 1116, 'lud', 'lud_2003');
INSERT INTO public.cdy_cldat VALUES ('2004-01-01 00:00:00', 0, 7.18853426, -99, 634, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-01-02 00:00:00', 0, 5.1893401150000003, -99, 619, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-01-03 00:00:00', 0, 6.0261554720000001, -99, 814, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-01-04 00:00:00', 0, 3.8248989579999999, -99, 850, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-01-05 00:00:00', 0, 4.2266359329999998, -99, 626, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-01-06 00:00:00', 0, 4.9512991910000004, -99, 1213, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-01-07 00:00:00', 0, 5.1560530660000001, -99, 1469, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-01-08 00:00:00', 0, 5.9078493119999997, -99, 1181, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-01-09 00:00:00', 0, 7.4799695010000002, -99, 1433, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-01-10 00:00:00', 0, 8.1030893329999998, -99, 1429, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-01-11 00:00:00', 0, 8.5528669359999991, -99, 1429, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-01-12 00:00:00', 0, 6.9054017070000002, -99, 1390, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-01-13 00:00:00', 0, 9.7680988309999996, -99, 1343, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-01-14 00:00:00', 0, 7.1034178729999997, -99, 1469, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-01-15 00:00:00', 0, 9.631215096, -99, 1267, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-01-16 00:00:00', 0, 11.138097760000001, -99, 1044, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-01-17 00:00:00', 1.2599999900000001, 10.998559, -99, 230, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-01-18 00:00:00', 0, 9.9825696950000005, -99, 1278, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-01-19 00:00:00', 0, 9.205379486, -99, 1130, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-01-20 00:00:00', 0, 7.9816613199999997, -99, 763, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-01-21 00:00:00', 11.289999959999999, 9.4000339509999993, -99, 317, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-01-22 00:00:00', 16.93000031, 10.047438619999999, -99, 677, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-01-23 00:00:00', 0, 11.086247439999999, -99, 616, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-01-24 00:00:00', 0, 7.3540606500000001, -99, 1472, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-01-25 00:00:00', 0, 5.981002331, -99, 1163, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-01-26 00:00:00', 0, 7.522704601, -99, 1624, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-01-27 00:00:00', 0, 5.7906985280000001, -99, 1685, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-01-28 00:00:00', 0, 5.2944393160000001, -99, 1181, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-01-29 00:00:00', 1.25, 9.0137510299999999, -99, 605, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-01-30 00:00:00', 4.25, 9.8150568010000008, -99, 320, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-01-31 00:00:00', 0, 8.1652479170000003, -99, 983, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-02-01 00:00:00', 0, 5.0365729330000004, -99, 1750, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-02-02 00:00:00', 0, 5.8310060500000001, -99, 1786, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-02-03 00:00:00', 0, 5.0875363350000002, -99, 1674, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-02-04 00:00:00', 0, 6.2179265020000001, -99, 1811, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-02-05 00:00:00', 0, 3.9100542069999999, -99, 1829, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-02-06 00:00:00', 0, 6.7502007480000001, -99, 1782, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-02-07 00:00:00', 0, 6.2335681919999999, -99, 1843, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-02-08 00:00:00', 0, 5.2582254410000004, -99, 1249, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-02-09 00:00:00', 1.2000000479999999, 11.86298656, -99, 626, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-02-10 00:00:00', 0, 9.8591814039999992, -99, 1447, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-02-11 00:00:00', 0, 7.8022928240000002, -99, 1728, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-02-12 00:00:00', 0, 8.4151868820000004, -99, 1854, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-02-13 00:00:00', 0, 7.6603164670000004, -99, 1883, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-02-14 00:00:00', 0, 9.2051153180000007, -99, 1850, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-02-15 00:00:00', 0, 9.4665536879999994, -99, 1742, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-02-16 00:00:00', 0, 8.985816002, -99, 1948, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-02-17 00:00:00', 0, 10.74124718, -99, 1505, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-02-18 00:00:00', 0, 14.069181439999999, -99, 1843, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-02-19 00:00:00', 0, 11.48638439, -99, 1930, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-02-20 00:00:00', 0, 9.9607925420000001, -99, 2027, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-02-21 00:00:00', 0, 10.10749912, -99, 1962, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-02-22 00:00:00', 0, 12.41195679, -99, 2041, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-02-23 00:00:00', 0, 10.16586399, -99, 2095, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-02-24 00:00:00', 0, 11.364668849999999, -99, 1962, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-02-25 00:00:00', 0, 11.70578957, -99, 2088, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-02-26 00:00:00', 0, 12.11326599, -99, 2084, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-02-27 00:00:00', 0, 15.19081211, -99, 1595, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-02-28 00:00:00', 0, 13.958967210000001, -99, 2124, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-02-29 00:00:00', 0, 12.3758955, -99, 2146, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-03-01 00:00:00', 0, 12.048060420000001, -99, 2203, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-03-02 00:00:00', 0, 11.24440098, -99, 2210, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-03-03 00:00:00', 0, 11.43414593, -99, 2239, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-03-04 00:00:00', 0, 11.507617, -99, 2174, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-03-05 00:00:00', 0, 11.34554005, -99, 2214, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-03-06 00:00:00', 0, 12.696018219999999, -99, 2243, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-03-07 00:00:00', 0, 12.473258019999999, -99, 2246, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-03-08 00:00:00', 0, 13.47447395, -99, 2084, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-03-09 00:00:00', 0, 15.14347839, -99, 2200, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-03-10 00:00:00', 0, 13.592529300000001, -99, 2290, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-03-11 00:00:00', 0, 14.286301610000001, -99, 2304, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-03-12 00:00:00', 0, 15.872678759999999, -99, 2297, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-03-13 00:00:00', 0, 15.391078950000001, -99, 2304, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-03-14 00:00:00', 0, 16.242349619999999, -99, 2221, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-03-15 00:00:00', 0, 17.946706769999999, -99, 2347, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-03-16 00:00:00', 0, 18.580181119999999, -99, 2376, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-03-17 00:00:00', 0, 18.560150149999998, -99, 2455, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-03-18 00:00:00', 0, 17.617197040000001, -99, 2419, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-03-19 00:00:00', 0, 18.849025730000001, -99, 2495, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-03-20 00:00:00', 0, 16.717128750000001, -99, 2081, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-03-21 00:00:00', 0, 18.806467059999999, -99, 2423, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-03-22 00:00:00', 0, 19.159923549999998, -99, 1336, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-03-23 00:00:00', 0, 18.791639329999999, -99, 1775, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-03-24 00:00:00', 0, 17.748653409999999, -99, 2506, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-03-25 00:00:00', 0, 14.66607761, -99, 2574, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-03-26 00:00:00', 0, 14.37507439, -99, 2614, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-03-27 00:00:00', 0, 14.618306159999999, -99, 2628, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-03-28 00:00:00', 0, 15.40569687, -99, 2639, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-03-29 00:00:00', 0, 15.801795009999999, -99, 2646, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-03-30 00:00:00', 0, 15.44335175, -99, 2671, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-03-31 00:00:00', 0, 15.72663689, -99, 2707, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-04-01 00:00:00', 0, 17.135894780000001, -99, 1580, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-04-02 00:00:00', 0, 18.049541470000001, -99, 2520, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-04-03 00:00:00', 0, 18.027408600000001, -99, 2707, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-04-04 00:00:00', 0, 20.041156770000001, -99, 2149, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-04-05 00:00:00', 0, 20.465810780000002, -99, 2768, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-04-06 00:00:00', 0, 19.525333400000001, -99, 2383, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-04-07 00:00:00', 0, 20.157114029999999, -99, 2308, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-04-08 00:00:00', 0, 22.91685867, -99, 2282, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-04-09 00:00:00', 0.10000000100000001, 21.955698009999999, -99, 2092, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-04-10 00:00:00', 0, 21.014039990000001, -99, 2192, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-04-11 00:00:00', 0, 18.537391660000001, -99, 2491, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-04-12 00:00:00', 0, 20.408237459999999, -99, 2650, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-04-13 00:00:00', 0, 23.101484299999999, -99, 2542, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-04-14 00:00:00', 0, 22.05653191, -99, 2430, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-04-15 00:00:00', 0, 20.91447449, -99, 2268, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-04-16 00:00:00', 0, 20.775424959999999, -99, 2621, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-04-17 00:00:00', 0, 24.715095519999998, -99, 2034, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-04-18 00:00:00', 0, 22.29560661, -99, 2858, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-04-19 00:00:00', 0, 22.964895250000001, -99, 2830, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-04-20 00:00:00', 0, 23.79114723, -99, 1962, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-04-21 00:00:00', 0.12999999500000001, 24.708559040000001, -99, 1505, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-04-22 00:00:00', 0.039999999000000001, 20.23814964, -99, 464, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-04-23 00:00:00', 0, 17.962036130000001, -99, 2016, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-04-24 00:00:00', 0, 17.612253190000001, -99, 2974, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-04-25 00:00:00', 0, 19.71957016, -99, 2999, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-04-26 00:00:00', 0, 22.180234909999999, -99, 2585, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-04-27 00:00:00', 3.329999924, 22.643337249999998, -99, 2804, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-04-28 00:00:00', 0.23999999499999999, 20.62176895, -99, 1508, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-04-29 00:00:00', 7.8099999430000002, 22.65070343, -99, 1228, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-04-30 00:00:00', 24.31999969, 17.140129089999999, -99, 1602, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-05-01 00:00:00', 0, 13.95748043, -99, 2041, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-05-02 00:00:00', 0, 16.457794190000001, -99, 2369, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-05-03 00:00:00', 0, 16.554082869999998, -99, 2401, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-05-04 00:00:00', 0, 18.691446299999999, -99, 2826, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-05-05 00:00:00', 0, 19.255390169999998, -99, 3085, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-05-06 00:00:00', 0, 19.139438630000001, -99, 3157, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-05-07 00:00:00', 0, 21.30809975, -99, 2981, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-05-08 00:00:00', 0, 22.707448960000001, -99, 2747, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-05-09 00:00:00', 0, 24.59979057, -99, 2851, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-05-10 00:00:00', 0, 23.13615227, -99, 3028, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-05-11 00:00:00', 0, 23.354125979999999, -99, 3071, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-05-12 00:00:00', 0, 26.241394039999999, -99, 3035, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-05-13 00:00:00', 0, 25.96291733, -99, 3100, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-05-14 00:00:00', 0, 25.731382369999999, -99, 3121, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-05-15 00:00:00', 0, 27.611816409999999, -99, 2988, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-05-16 00:00:00', 0, 26.61401176, -99, 2473, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-05-17 00:00:00', 0, 28.969408040000001, -99, 2869, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-05-18 00:00:00', 0, 26.33427811, -99, 2837, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-05-19 00:00:00', 0, 26.723796839999999, -99, 3161, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-05-20 00:00:00', 0, 28.74184799, -99, 2779, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-05-21 00:00:00', 0, 29.23041344, -99, 3218, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-05-22 00:00:00', 0, 28.946779249999999, -99, 3125, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-05-23 00:00:00', 35.599998470000003, 27.799179079999998, -99, 1440, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-05-24 00:00:00', 0, 19.903093340000002, -99, 2581, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-05-25 00:00:00', 4.4699997900000001, 24.538406370000001, -99, 2484, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-05-26 00:00:00', 1.3500000240000001, 22.510822300000001, -99, 2621, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-05-27 00:00:00', 5.9699997900000001, 24.22222137, -99, 763, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-05-28 00:00:00', 0, 20.958532330000001, -99, 2599, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-05-29 00:00:00', 0, 24.680831909999998, -99, 3244, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-05-30 00:00:00', 0, 24.052007679999999, -99, 2995, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-05-31 00:00:00', 0, 25.897710799999999, -99, 2668, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-06-01 00:00:00', 0.039999999000000001, 27.39003563, -99, 2394, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-06-02 00:00:00', 0.30000001199999998, 26.557386399999999, -99, 2074, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-06-03 00:00:00', 0.050000001000000002, 24.84596634, -99, 3010, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-06-04 00:00:00', 0.28999999199999998, 26.3608799, -99, 3118, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-06-05 00:00:00', 0, 27.57047081, -99, 2966, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-06-06 00:00:00', 7.2300000190000002, 26.726711269999999, -99, 2977, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-06-07 00:00:00', 0.050000001000000002, 21.281578060000001, -99, 2372, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-06-08 00:00:00', 9.9099998469999999, 25.67527771, -99, 2470, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-06-09 00:00:00', 0, 22.50965691, -99, 2495, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-06-10 00:00:00', 0, 24.028482440000001, -99, 3143, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-06-11 00:00:00', 0, 25.121391299999999, -99, 2419, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-06-12 00:00:00', 0, 24.840642930000001, -99, 2981, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-06-13 00:00:00', 0, 26.514051439999999, -99, 2876, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-06-14 00:00:00', 0, 26.444286349999999, -99, 2189, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-06-15 00:00:00', 0, 27.212415700000001, -99, 1775, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-06-16 00:00:00', 0, 27.790784840000001, -99, 3125, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-06-17 00:00:00', 0.769999981, 28.930295940000001, -99, 3089, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-06-18 00:00:00', 4.5300002099999999, 23.881492609999999, -99, 1732, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-06-19 00:00:00', 5.8800001139999996, 26.947563169999999, -99, 2894, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-06-20 00:00:00', 5.1900000569999998, 25.991941449999999, -99, 1858, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-06-21 00:00:00', 1.6599999670000001, 23.9016819, -99, 2758, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-06-22 00:00:00', 0.27000001099999998, 25.875740050000001, -99, 1577, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-06-23 00:00:00', 0.050000001000000002, 25.494464870000002, -99, 2722, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-06-24 00:00:00', 3.119999886, 25.928997039999999, -99, 1271, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-06-25 00:00:00', 0.070000000000000007, 23.327873230000002, -99, 2801, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-06-26 00:00:00', 0.090000003999999995, 24.379055019999999, -99, 2153, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-06-27 00:00:00', 0, 23.633970260000002, -99, 2988, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-06-28 00:00:00', 0, 25.410348890000002, -99, 3136, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-06-29 00:00:00', 0, 27.341142649999998, -99, 3161, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-06-30 00:00:00', 0, 28.96802521, -99, 3146, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-07-01 00:00:00', 0, 29.888860699999999, -99, 3136, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-07-02 00:00:00', 0, 28.84677696, -99, 3078, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-07-03 00:00:00', 0, 28.476600650000002, -99, 2995, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-07-04 00:00:00', 0, 27.947195050000001, -99, 2761, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-07-05 00:00:00', 0.029999998999999999, 29.266605380000001, -99, 2538, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-07-06 00:00:00', 0, 28.36352158, -99, 2880, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-07-07 00:00:00', 0.12999999500000001, 28.27536392, -99, 2772, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-07-08 00:00:00', 0, 29.123773570000001, -99, 2938, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-07-09 00:00:00', 0.12999999500000001, 25.107387540000001, -99, 1948, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-07-10 00:00:00', 0.029999998999999999, 25.521963119999999, -99, 3089, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-07-11 00:00:00', 1.2999999520000001, 27.695703510000001, -99, 2898, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-07-12 00:00:00', 0.980000019, 25.340776439999999, -99, 1426, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-07-13 00:00:00', 0, 27.801790239999999, -99, 2758, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-07-14 00:00:00', 0, 25.52196503, -99, 2898, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-07-15 00:00:00', 0, 27.981811520000001, -99, 2794, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-07-16 00:00:00', 2.75, 26.371858599999999, -99, 1116, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-07-17 00:00:00', 0.46000000800000002, 24.64815712, -99, 3064, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-07-18 00:00:00', 0.23000000400000001, 27.940582280000001, -99, 2563, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-07-19 00:00:00', 0.31999999299999998, 27.868925090000001, -99, 1753, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-07-20 00:00:00', 0, 25.817195890000001, -99, 3010, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-07-21 00:00:00', 0, 24.601037980000001, -99, 2603, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-07-22 00:00:00', 0, 26.44786835, -99, 2135, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-07-23 00:00:00', 0, 26.837810520000001, -99, 2275, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-07-24 00:00:00', 0, 27.256206509999998, -99, 2084, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-07-25 00:00:00', 0, 28.024852750000001, -99, 2282, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-07-26 00:00:00', 0, 27.932472229999998, -99, 2250, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-07-27 00:00:00', 0.01, 26.709970469999998, -99, 1714, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-07-28 00:00:00', 0, 26.888343809999999, -99, 2153, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-07-29 00:00:00', 0.64999997600000003, 26.491691589999999, -99, 2052, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-07-30 00:00:00', 0.43000000700000002, 25.984775540000001, -99, 860, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-07-31 00:00:00', 0.64999997600000003, 26.80247498, -99, 1454, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-08-01 00:00:00', 25.56999969, 26.93420029, -99, 1915, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-08-02 00:00:00', 56.709999080000003, 24.306747439999999, -99, 1854, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-08-03 00:00:00', 27.120000839999999, 23.755666730000002, -99, 1649, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-08-04 00:00:00', 0, 24.094348910000001, -99, 2210, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-08-05 00:00:00', 0, 27.446943279999999, -99, 2200, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-08-06 00:00:00', 0, 27.475635530000002, -99, 1933, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-08-07 00:00:00', 1.289999962, 27.035524370000001, -99, 1926, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-08-08 00:00:00', 22.690000529999999, 26.916208269999998, -99, 1206, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-08-09 00:00:00', 0.560000002, 24.769922260000001, -99, 1998, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-08-10 00:00:00', 0, 25.875577929999999, -99, 2002, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-08-11 00:00:00', 8.3000001910000005, 26.10375977, -99, 1872, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-08-12 00:00:00', 8.4499998089999995, 24.783273699999999, -99, 2232, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-08-13 00:00:00', 3.9000000950000002, 26.244043349999998, -99, 1865, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-08-14 00:00:00', 0.17000000200000001, 26.641288759999998, -99, 1829, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-08-15 00:00:00', 0.280000001, 26.935276030000001, -99, 2066, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-08-16 00:00:00', 1.730000019, 27.212543490000002, -99, 1177, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-08-17 00:00:00', 14.02000046, 25.79486275, -99, 436, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-08-18 00:00:00', 3.7400000100000002, 24.236734389999999, -99, 1969, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-08-19 00:00:00', 7.7699999809999998, 24.764354709999999, -99, 1447, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-08-20 00:00:00', 1.269999981, 25.395027160000001, -99, 1411, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-08-21 00:00:00', 0, 25.43757248, -99, 1944, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-08-22 00:00:00', 1.210000038, 26.554573059999999, -99, 1616, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-08-23 00:00:00', 25.06999969, 24.53725433, -99, 2326, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-08-24 00:00:00', 13.380000109999999, 24.34514618, -99, 1908, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-08-25 00:00:00', 12.30000019, 23.623851779999999, -99, 1224, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-08-26 00:00:00', 0, 23.976608280000001, -99, 1994, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-08-27 00:00:00', 0, 25.447475430000001, -99, 1969, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-08-28 00:00:00', 0, 25.89142609, -99, 2200, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-08-29 00:00:00', 0, 26.762653350000001, -99, 1854, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-08-30 00:00:00', 0.02, 26.948848720000001, -99, 1872, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-08-31 00:00:00', 0, 24.488157269999999, -99, 1908, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-09-01 00:00:00', 0, 25.814029690000002, -99, 2009, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-09-02 00:00:00', 0, 24.707546229999998, -99, 2218, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-09-03 00:00:00', 0, 23.10284996, -99, 2282, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-09-04 00:00:00', 0, 24.618947980000002, -99, 2200, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-09-05 00:00:00', 0, 24.233131409999999, -99, 2246, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-09-06 00:00:00', 0, 24.001764300000001, -99, 2362, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-09-07 00:00:00', 0, 24.818573000000001, -99, 2466, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-09-08 00:00:00', 0, 24.344936369999999, -99, 2441, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-09-09 00:00:00', 0, 24.92815208, -99, 2405, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-09-10 00:00:00', 0, 24.62494469, -99, 2164, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-09-11 00:00:00', 0, 25.918350220000001, -99, 1775, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-09-12 00:00:00', 0, 26.058872220000001, -99, 1919, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-09-13 00:00:00', 0, 26.950531009999999, -99, 2056, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-09-14 00:00:00', 0.029999998999999999, 26.639030460000001, -99, 1714, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-09-15 00:00:00', 0.10000000100000001, 24.40927696, -99, 810, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-09-16 00:00:00', 0.02, 23.469532010000002, -99, 1462, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-09-17 00:00:00', 0, 23.258285520000001, -99, 1757, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-09-18 00:00:00', 0, 24.690290449999999, -99, 1645, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-09-19 00:00:00', 0, 24.666301730000001, -99, 1858, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-09-20 00:00:00', 0.25, 24.688724520000001, -99, 2002, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-09-21 00:00:00', 0, 21.72569275, -99, 2048, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-09-22 00:00:00', 0.119999997, 22.899057389999999, -99, 1696, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-09-23 00:00:00', 0, 22.247116089999999, -99, 2023, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-09-24 00:00:00', 0, 23.2416935, -99, 2207, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-09-25 00:00:00', 0, 21.343795780000001, -99, 2135, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-09-26 00:00:00', 0, 20.740337369999999, -99, 2005, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-09-27 00:00:00', 0, 21.22108459, -99, 2254, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-09-28 00:00:00', 0.25, 21.72939873, -99, 1742, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-09-29 00:00:00', 0.070000000000000007, 23.448017119999999, -99, 1753, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-09-30 00:00:00', 0, 21.368532179999999, -99, 2135, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-10-01 00:00:00', 0, 23.359811780000001, -99, 1476, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-10-02 00:00:00', 10.47999954, 23.86661148, -99, 472, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-10-03 00:00:00', 0.209999993, 21.037034989999999, -99, 583, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-10-04 00:00:00', 0, 21.305837629999999, -99, 1998, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-10-05 00:00:00', 0, 20.872396470000002, -99, 2196, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-10-06 00:00:00', 0, 20.68673897, -99, 2192, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-10-07 00:00:00', 0, 20.99446678, -99, 2160, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-10-08 00:00:00', 0, 19.878051760000002, -99, 2171, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-10-09 00:00:00', 0.46000000800000002, 21.804067610000001, -99, 2056, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-10-10 00:00:00', 5.6900000569999998, 21.63509178, -99, 1314, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-10-11 00:00:00', 8.1899995800000003, 18.056154249999999, -99, 922, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-10-12 00:00:00', 0, 15.539761540000001, -99, 1746, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-10-13 00:00:00', 0, 15.619746210000001, -99, 1670, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-10-14 00:00:00', 0, 15.03121471, -99, 2077, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-10-15 00:00:00', 0, 15.087377549999999, -99, 2081, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-10-16 00:00:00', 0, 15.33829117, -99, 2063, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-10-17 00:00:00', 0, 15.587868690000001, -99, 2034, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-10-18 00:00:00', 0, 17.08770943, -99, 2041, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-10-19 00:00:00', 0, 18.36838341, -99, 1843, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-10-20 00:00:00', 0, 17.417768479999999, -99, 1908, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-10-21 00:00:00', 0, 16.540838239999999, -99, 1724, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-10-22 00:00:00', 0, 15.24694824, -99, 1976, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-10-23 00:00:00', 0, 12.916039469999999, -99, 1955, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-10-24 00:00:00', 0, 15.03342628, -99, 1926, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-10-25 00:00:00', 0, 14.00936222, -99, 1811, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-10-26 00:00:00', 0, 14.8211689, -99, 896, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-10-27 00:00:00', 0, 14.99495888, -99, 1840, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-10-28 00:00:00', 0, 13.221291539999999, -99, 1850, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-10-29 00:00:00', 0, 13.96294022, -99, 1778, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-10-30 00:00:00', 0, 12.46840096, -99, 1836, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-10-31 00:00:00', 0, 11.265515329999999, -99, 1793, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-11-01 00:00:00', 0, 10.255341530000001, -99, 1836, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-11-02 00:00:00', 0, 10.20347977, -99, 1710, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-11-03 00:00:00', 0, 11.34741592, -99, 1807, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-11-04 00:00:00', 0, 11.33573818, -99, 1789, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-11-05 00:00:00', 0, 10.189613339999999, -99, 1746, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-11-06 00:00:00', 0, 10.164729120000001, -99, 1764, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-11-07 00:00:00', 0, 10.407073970000001, -99, 1757, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-11-08 00:00:00', 0, 9.6234693530000008, -99, 1746, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-11-09 00:00:00', 0, 10.550070760000001, -99, 1721, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-11-10 00:00:00', 0, 9.2563762660000002, -99, 1620, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-11-11 00:00:00', 0, 10.59682465, -99, 1649, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-11-12 00:00:00', 0, 9.5403928760000003, -99, 1530, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-11-13 00:00:00', 0, 10.01810837, -99, 1609, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-11-14 00:00:00', 0, 9.8106050489999994, -99, 1627, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-11-15 00:00:00', 0, 10.76186562, -99, 1627, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-11-16 00:00:00', 0, 10.28031826, -99, 1472, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-11-17 00:00:00', 0, 11.15406799, -99, 1130, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-11-18 00:00:00', 0, 11.795495989999999, -99, 1559, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-11-19 00:00:00', 0, 9.8708639139999992, -99, 1368, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-11-20 00:00:00', 0, 10.623098369999999, -99, 1184, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-11-21 00:00:00', 0, 13.28701687, -99, 1444, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-11-22 00:00:00', 0, 13.940267560000001, -99, 1256, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-11-23 00:00:00', 0, 14.02986145, -99, 1465, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-11-24 00:00:00', 0, 13.44697094, -99, 1469, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-11-25 00:00:00', 0, 13.806891439999999, -99, 1440, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-11-26 00:00:00', 0, 14.144917489999999, -99, 767, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-11-27 00:00:00', 0, 12.30276585, -99, 1292, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-11-28 00:00:00', 0, 12.73744011, -99, 749, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-11-29 00:00:00', 0.039999999000000001, 11.423025129999999, -99, 1184, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-11-30 00:00:00', 0.36000001399999998, 12.901960369999999, -99, 1249, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-12-01 00:00:00', 0.730000019, 13.048450470000001, -99, 1123, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-12-02 00:00:00', 0, 9.8454914089999992, -99, 1429, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-12-03 00:00:00', 0, 10.32227516, -99, 1404, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-12-04 00:00:00', 0, 9.2954063419999997, -99, 1408, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-12-05 00:00:00', 0, 10.540173530000001, -99, 1429, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-12-06 00:00:00', 0, 8.2600650790000003, -99, 1346, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-12-07 00:00:00', 0, 7.6731762889999997, -99, 1235, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-12-08 00:00:00', 0, 6.032250404, -99, 1418, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-12-09 00:00:00', 0, 8.2275648120000007, -99, 1253, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-12-10 00:00:00', 0, 6.1120562549999997, -99, 1404, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-12-11 00:00:00', 0, 6.6764688489999999, -99, 1073, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-12-12 00:00:00', 0, 7.0671048159999996, -99, 1400, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-12-13 00:00:00', 0, 7.5577301979999998, -99, 1354, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-12-14 00:00:00', 0, 8.5202503200000006, -99, 1292, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-12-15 00:00:00', 0, 9.4159183500000001, -99, 1368, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-12-16 00:00:00', 0, 8.2489347459999998, -99, 1192, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-12-17 00:00:00', 0, 8.4953413009999998, -99, 1231, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-12-18 00:00:00', 0, 7.6948246960000004, -99, 1393, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-12-19 00:00:00', 2.0299999710000001, 9.0712900160000007, -99, 1087, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-12-20 00:00:00', 0, 10.58516979, -99, 763, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-12-21 00:00:00', 0, 7.8396143909999996, -99, 1300, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-12-22 00:00:00', 0, 7.6011109350000003, -99, 1332, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-12-23 00:00:00', 0, 9.5586328510000005, -99, 763, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-12-24 00:00:00', 0, 7.0773072240000001, -99, 821, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-12-25 00:00:00', 0, 10.732865329999999, -99, 1120, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-12-26 00:00:00', 0, 5.1719436649999997, -99, 1303, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-12-27 00:00:00', 0, 3.6893231869999998, -99, 972, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-12-28 00:00:00', 0, 7.3259658810000001, -99, 932, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-12-29 00:00:00', 0, 5.30448246, -99, 940, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-12-30 00:00:00', 0.310000002, 7.8916144370000003, -99, 878, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-12-31 00:00:00', 6.3800001139999996, 11.43184853, -99, 115, 'lud', 'lud_2004');
INSERT INTO public.cdy_cldat VALUES ('2005-01-01 00:00:00', 0, 10.291377069999999, -99, 1084, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-01-02 00:00:00', 0, 8.0023107529999997, -99, 1246, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-01-03 00:00:00', 0, 7.6312556269999998, -99, 1379, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-01-04 00:00:00', 0, 5.5861430170000004, -99, 896, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-01-05 00:00:00', 0, 6.3608164790000004, -99, 1285, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-01-06 00:00:00', 0, 5.2248764039999998, -99, 1220, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-01-07 00:00:00', 0, 5.7088146210000001, -99, 1418, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-01-08 00:00:00', 0, 5.6820540429999999, -99, 1282, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-01-09 00:00:00', 0.109999999, 6.7502484320000002, -99, 1354, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-01-10 00:00:00', 0, 6.2136340140000001, -99, 1325, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-01-11 00:00:00', 0, 3.7426300050000001, -99, 817, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-01-12 00:00:00', 0, 4.9284529690000003, -99, 1307, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-01-13 00:00:00', 0, 6.815315247, -99, 1498, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-01-14 00:00:00', 0, 6.3624067310000001, -99, 1490, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-01-15 00:00:00', 0, 7.141984463, -99, 1580, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-01-16 00:00:00', 0.63999998599999997, 4.6406264310000003, -99, 1458, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-01-17 00:00:00', 0.23000000400000001, 7.9562473300000001, -99, 968, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-01-18 00:00:00', 0, 3.7812030320000001, -99, 1584, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-01-19 00:00:00', 0, 3.7226634029999999, -99, 1606, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-01-20 00:00:00', 0, 3.7445902819999999, -99, 1231, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-01-21 00:00:00', 0.68000000699999996, 7.665735722, -99, 238, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-01-22 00:00:00', 9.4700002669999996, 8.3125019069999997, -99, 299, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-01-23 00:00:00', 0, 6.1187171940000002, -99, 1019, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-01-24 00:00:00', 0, 5.8285675049999996, -99, 662, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-01-25 00:00:00', 0, 5.4883842469999999, -99, 1537, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-01-26 00:00:00', 0, 4.7925906180000002, -99, 1465, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-01-27 00:00:00', 13.25, 5.1949005130000003, -99, 1429, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-01-28 00:00:00', 0, 6.0748958589999997, -99, 1663, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-01-29 00:00:00', 0, 5.3664040569999996, -99, 1692, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-01-30 00:00:00', 0, 5.4947075840000004, -99, 1638, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-01-31 00:00:00', 0, 6.515799522, -99, 1728, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-02-01 00:00:00', 0, 5.4589185709999999, -99, 1750, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-02-02 00:00:00', 0, 5.5183386800000003, -99, 1472, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-02-03 00:00:00', 0, 6.4245867729999997, -99, 1379, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-02-04 00:00:00', 0.119999997, 6.7269058230000001, -99, 1458, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-02-05 00:00:00', 5.0500001909999996, 8.5991086960000001, -99, 745, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-02-06 00:00:00', 9.2100000380000004, 9.8032150270000002, -99, 562, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-02-07 00:00:00', 7.9899997709999999, 11.57671165, -99, 335, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-02-08 00:00:00', 0.44999998800000002, 11.100667, -99, 950, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-02-09 00:00:00', 3.75, 12.984295850000001, -99, 529, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-02-10 00:00:00', 2.6600000860000002, 10.66207504, -99, 511, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-02-11 00:00:00', 0, 11.169937129999999, -99, 1314, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-02-12 00:00:00', 0, 11.33047485, -99, 1472, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-02-13 00:00:00', 0, 11.98436832, -99, 1400, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-02-14 00:00:00', 0.670000017, 12.63719749, -99, 839, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-02-15 00:00:00', 8.3999996190000008, 11.400824549999999, -99, 292, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-02-16 00:00:00', 0, 7.9311370849999996, -99, 1336, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-02-17 00:00:00', 0.189999998, 7.1925287249999998, -99, 1721, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-02-18 00:00:00', 1.8899999860000001, 8.7398538590000001, -99, 954, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-02-19 00:00:00', 0.52999997099999996, 10.426465029999999, -99, 878, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-02-20 00:00:00', 0, 5.431239605, -99, 1958, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-02-21 00:00:00', 0, 4.1177344319999998, -99, 1994, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-02-22 00:00:00', 0, 4.8892130849999997, -99, 1976, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-02-23 00:00:00', 0, 7.6517453189999998, -99, 1102, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-02-24 00:00:00', 0, 9.6270523069999996, -99, 1379, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-02-25 00:00:00', 0, 9.0887155530000001, -99, 2002, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-02-26 00:00:00', 0, 9.9791851040000008, -99, 1872, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-02-27 00:00:00', 0, 11.66559696, -99, 1069, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-02-28 00:00:00', 0.070000000000000007, 11.84326839, -99, 1253, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-03-01 00:00:00', 0.28999999199999998, 12.397860530000001, -99, 601, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-03-02 00:00:00', 0.039999999000000001, 11.093332289999999, -99, 623, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-03-03 00:00:00', 0.059999998999999998, 13.171060560000001, -99, 1908, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-03-04 00:00:00', 0.670000017, 14.44768715, -99, 1120, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-03-05 00:00:00', 0.36000001399999998, 13.50129795, -99, 1375, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-03-06 00:00:00', 0, 12.400253299999999, -99, 1894, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-03-07 00:00:00', 0, 13.3181324, -99, 2038, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-03-08 00:00:00', 2.0499999519999998, 14.24679375, -99, 2074, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-03-09 00:00:00', 6.75, 14.7656641, -99, 673, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-03-10 00:00:00', 0, 13.33156013, -99, 738, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-03-11 00:00:00', 0, 10.29268551, -99, 2272, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-03-12 00:00:00', 0, 12.31999779, -99, 2362, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-03-13 00:00:00', 0, 14.888088229999999, -99, 2264, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-03-14 00:00:00', 0, 14.4427042, -99, 2124, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-03-15 00:00:00', 0, 16.129102710000002, -99, 1973, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-03-16 00:00:00', 0, 17.78888512, -99, 1739, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-03-17 00:00:00', 0.670000017, 18.92451668, -99, 832, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-03-18 00:00:00', 0.49000000999999999, 16.3500576, -99, 378, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-03-19 00:00:00', 3.920000076, 15.06676483, -99, 1346, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-03-20 00:00:00', 2.9300000669999999, 15.507520680000001, -99, 2268, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-03-21 00:00:00', 7.6500000950000002, 18.021123889999998, -99, 479, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-03-22 00:00:00', 0, 13.232871060000001, -99, 1393, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-03-23 00:00:00', 0, 12.96628761, -99, 2480, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-03-24 00:00:00', 0, 12.78037357, -99, 2552, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-03-25 00:00:00', 0, 13.84603214, -99, 1271, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-03-26 00:00:00', 0, 14.45462227, -99, 2488, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-03-27 00:00:00', 0, 15.549724579999999, -99, 2153, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-03-28 00:00:00', 0, 15.469060900000001, -99, 2624, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-03-29 00:00:00', 0, 14.859419819999999, -99, 2736, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-03-30 00:00:00', 0, 15.01594925, -99, 2628, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-03-31 00:00:00', 0, 13.73349571, -99, 2700, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-04-01 00:00:00', 0, 13.98426723, -99, 2408, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-04-02 00:00:00', 0, 13.545064930000001, -99, 2718, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-04-03 00:00:00', 0, 15.716664310000001, -99, 2776, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-04-04 00:00:00', 0, 16.832847600000001, -99, 2772, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-04-05 00:00:00', 0, 15.945196149999999, -99, 2768, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-04-06 00:00:00', 0, 19.488931659999999, -99, 1966, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-04-07 00:00:00', 0, 23.136085510000001, -99, 2480, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-04-08 00:00:00', 0, 17.879985810000001, -99, 2797, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-04-09 00:00:00', 0, 14.03408432, -99, 2815, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-04-10 00:00:00', 0, 13.91793442, -99, 2736, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-04-11 00:00:00', 0, 13.62260723, -99, 2736, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-04-12 00:00:00', 0, 13.52698898, -99, 2894, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-04-13 00:00:00', 0, 16.049636840000002, -99, 2873, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-04-14 00:00:00', 0, 18.244787219999999, -99, 2455, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-04-15 00:00:00', 0, 17.587423319999999, -99, 2873, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-04-16 00:00:00', 0, 18.61037254, -99, 2920, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-04-17 00:00:00', 0, 17.745380399999998, -99, 2956, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-04-18 00:00:00', 0, 17.00443649, -99, 2948, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-04-19 00:00:00', 0, 17.533748630000002, -99, 2869, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-04-20 00:00:00', 0, 17.55361748, -99, 2254, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-04-21 00:00:00', 0, 19.259607320000001, -99, 2041, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-04-22 00:00:00', 0, 21.597499849999998, -99, 1746, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-04-23 00:00:00', 0, 21.85432243, -99, 850, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-04-24 00:00:00', 0.070000000000000007, 20.467315670000001, -99, 2081, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-04-25 00:00:00', 6.3099999430000002, 21.735124590000002, -99, 2009, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-04-26 00:00:00', 0.27000001099999998, 18.024766920000001, -99, 2747, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-04-27 00:00:00', 2.2200000289999999, 18.0854435, -99, 1220, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-04-28 00:00:00', 0, 16.156229020000001, -99, 2909, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-04-29 00:00:00', 0, 16.79931259, -99, 2995, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-04-30 00:00:00', 0.01, 19.390409470000002, -99, 2952, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-05-01 00:00:00', 0.059999998999999998, 20.10700989, -99, 1980, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-05-02 00:00:00', 0.37999999499999998, 20.514028549999999, -99, 2250, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-05-03 00:00:00', 3.7400000100000002, 20.52235413, -99, 774, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-05-04 00:00:00', 0, 18.182765960000001, -99, 2426, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-05-05 00:00:00', 0, 20.14626122, -99, 2538, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-05-06 00:00:00', 0, 21.273866649999999, -99, 2707, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-05-07 00:00:00', 0.30000001199999998, 22.634241100000001, -99, 2995, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-05-08 00:00:00', 0, 22.115226750000001, -99, 3017, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-05-09 00:00:00', 0, 21.809057240000001, -99, 2952, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-05-10 00:00:00', 0, 20.34626007, -99, 3096, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-05-11 00:00:00', 0, 19.838050840000001, -99, 3139, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-05-12 00:00:00', 0, 20.366745000000002, -99, 3172, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-05-13 00:00:00', 0, 21.647949220000001, -99, 1984, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-05-14 00:00:00', 0, 20.211586, -99, 3128, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-05-15 00:00:00', 0, 20.866659160000001, -99, 3049, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-05-16 00:00:00', 0, 22.022226329999999, -99, 2617, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-05-17 00:00:00', 0.20000000300000001, 22.590131759999998, -99, 2981, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-05-18 00:00:00', 0, 24.307102199999999, -99, 2678, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-05-19 00:00:00', 0, 22.401445389999999, -99, 2642, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-05-20 00:00:00', 0, 24.158399580000001, -99, 3013, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-05-21 00:00:00', 0.02, 24.50859642, -99, 1638, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-05-22 00:00:00', 0, 23.866697309999999, -99, 2711, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-05-23 00:00:00', 0, 26.236494059999998, -99, 3100, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-05-24 00:00:00', 0, 23.619098659999999, -99, 3226, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-05-25 00:00:00', 0, 23.112436290000002, -99, 2624, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-05-26 00:00:00', 0.56999999300000004, 24.219142909999999, -99, 2462, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-05-27 00:00:00', 0, 24.154922490000001, -99, 3179, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-05-28 00:00:00', 0, 21.948795319999999, -99, 3056, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-05-29 00:00:00', 0.029999998999999999, 24.022874829999999, -99, 1796, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-05-30 00:00:00', 0, 25.194213869999999, -99, 1552, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-05-31 00:00:00', 0, 23.098836899999998, -99, 2930, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-06-01 00:00:00', 0, 24.469532010000002, -99, 3067, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-06-02 00:00:00', 0.050000001000000002, 24.504701610000001, -99, 3146, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-06-03 00:00:00', 0, 25.89038086, -99, 3143, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-06-04 00:00:00', 0, 25.20857239, -99, 3161, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-06-05 00:00:00', 0, 26.710491179999998, -99, 3067, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-06-06 00:00:00', 0.99000001000000004, 28.668762210000001, -99, 2347, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-06-07 00:00:00', 0, 23.924680710000001, -99, 2527, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-06-08 00:00:00', 0, 25.300218579999999, -99, 2603, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-06-09 00:00:00', 4.1599998469999999, 26.292785640000002, -99, 2992, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-06-10 00:00:00', 0, 21.88821411, -99, 3002, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-06-11 00:00:00', 0, 26.553546910000001, -99, 2959, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-06-12 00:00:00', 0, 26.728679660000001, -99, 2264, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-06-13 00:00:00', 0, 26.831323619999999, -99, 2329, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-06-14 00:00:00', 0, 27.408401489999999, -99, 3024, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-06-15 00:00:00', 0, 26.907222749999999, -99, 3028, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-06-16 00:00:00', 0, 27.012350080000001, -99, 3089, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-06-17 00:00:00', 0, 27.9783802, -99, 2610, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-06-18 00:00:00', 0.40000000600000002, 28.798759459999999, -99, 2891, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-06-19 00:00:00', 0, 27.214551929999999, -99, 2970, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-06-20 00:00:00', 0.18000000699999999, 28.698694230000001, -99, 3168, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-06-21 00:00:00', 0, 31.146945949999999, -99, 3164, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-06-22 00:00:00', 0, 30.939807890000001, -99, 2833, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-06-23 00:00:00', 0, 30.564039229999999, -99, 3139, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-06-24 00:00:00', 0, 29.376823430000002, -99, 2945, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-06-25 00:00:00', 30.299999239999998, 30.757036209999999, -99, 2750, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-06-26 00:00:00', 7.4600000380000004, 27.141244889999999, -99, 1714, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-06-27 00:00:00', 0.43000000700000002, 26.96116829, -99, 2203, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-06-28 00:00:00', 9.75, 26.806049349999999, -99, 2189, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-06-29 00:00:00', 3.3499999049999998, 26.066699979999999, -99, 871, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-06-30 00:00:00', 1.5299999710000001, 27.681991579999998, -99, 2304, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-07-01 00:00:00', 4.6300001139999996, 27.302860259999999, -99, 324, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-07-02 00:00:00', 2.4100000860000002, 25.32074356, -99, 1505, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-07-03 00:00:00', 11.15999985, 25.570917130000002, -99, 1202, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-07-04 00:00:00', 8.3999996190000008, 26.186517720000001, -99, 1073, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-07-05 00:00:00', 8.0699996949999999, 22.560785289999998, -99, 2837, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-07-06 00:00:00', 12.510000229999999, 24.888557429999999, -99, 1206, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-07-07 00:00:00', 9.4399995800000003, 23.928949360000001, -99, 544, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-07-08 00:00:00', 1.8300000430000001, 25.300634380000002, -99, 1368, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-07-09 00:00:00', 0, 26.68270111, -99, 2891, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-07-10 00:00:00', 0.050000001000000002, 28.60163116, -99, 3035, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-07-11 00:00:00', 3.5299999710000001, 27.955953600000001, -99, 1451, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-07-12 00:00:00', 0.219999999, 24.712921139999999, -99, 1202, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-07-13 00:00:00', 0.97000002900000004, 26.143934250000001, -99, 2336, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-07-14 00:00:00', 0.059999998999999998, 27.197988509999998, -99, 2156, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-07-15 00:00:00', 0, 26.32982445, -99, 1994, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-07-16 00:00:00', 0, 27.091777799999999, -99, 2063, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-07-17 00:00:00', 0, 27.270906449999998, -99, 1919, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-07-18 00:00:00', 1.4900000099999999, 27.065437320000001, -99, 2246, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-07-19 00:00:00', 0, 26.561614989999999, -99, 2851, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-07-20 00:00:00', 2.210000038, 28.779066090000001, -99, 2761, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-07-21 00:00:00', 1.559999943, 26.14217567, -99, 1850, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-07-22 00:00:00', 0, 26.639003750000001, -99, 1948, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-07-23 00:00:00', 0.10000000100000001, 27.753601069999998, -99, 2020, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-07-24 00:00:00', 0, 26.69124794, -99, 2084, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-07-25 00:00:00', 0, 28.616628649999999, -99, 2059, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-07-26 00:00:00', 0, 28.191453930000002, -99, 1958, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-07-27 00:00:00', 1.460000038, 27.136137009999999, -99, 1901, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-07-28 00:00:00', 0.070000000000000007, 28.20413589, -99, 1825, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-07-29 00:00:00', 23.969999309999999, 28.246408460000001, -99, 1498, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-07-30 00:00:00', 2.0699999330000001, 25.747652049999999, -99, 2038, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-07-31 00:00:00', 0.090000003999999995, 27.266544339999999, -99, 2081, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-08-01 00:00:00', 0.039999999000000001, 28.47141075, -99, 2340, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-08-02 00:00:00', 0.12999999500000001, 28.30589294, -99, 2246, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-08-03 00:00:00', 0.28999999199999998, 28.18384361, -99, 2336, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-08-04 00:00:00', 0.079999998000000003, 28.25863266, -99, 2164, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-08-05 00:00:00', 7.2600002290000001, 27.1865387, -99, 2189, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-08-06 00:00:00', 2.8399999139999998, 23.90399742, -99, 1249, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-08-07 00:00:00', 0.670000017, 23.345325469999999, -99, 1242, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-08-08 00:00:00', 0.039999999000000001, 23.718851090000001, -99, 1483, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-08-09 00:00:00', 0, 25.099571229999999, -99, 2084, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-08-10 00:00:00', 0, 26.550792690000002, -99, 2063, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-08-11 00:00:00', 0, 27.580738069999999, -99, 2563, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-08-12 00:00:00', 0, 27.877323149999999, -99, 2200, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-08-13 00:00:00', 0.10000000100000001, 28.528736110000001, -99, 2142, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-08-14 00:00:00', 0, 28.320522310000001, -99, 2128, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-08-15 00:00:00', 0.33000001299999998, 28.63264465, -99, 2333, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-08-16 00:00:00', 1, 26.617410660000001, -99, 1508, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-08-17 00:00:00', 0.829999983, 25.680301669999999, -99, 2200, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-08-18 00:00:00', 0.15999999600000001, 26.859561920000001, -99, 1598, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-08-19 00:00:00', 0, 25.975603100000001, -99, 2290, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-08-20 00:00:00', 0.050000001000000002, 27.759672160000001, -99, 1742, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-08-21 00:00:00', 0, 25.136014939999999, -99, 2192, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-08-22 00:00:00', 0.23999999499999999, 27.03339386, -99, 1660, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-08-23 00:00:00', 0, 26.065710070000002, -99, 1966, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-08-24 00:00:00', 0, 27.195066449999999, -99, 2272, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-08-25 00:00:00', 0, 27.277250290000001, -99, 1872, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-08-26 00:00:00', 0, 26.96894455, -99, 1894, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-08-27 00:00:00', 0, 27.04760551, -99, 1966, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-08-28 00:00:00', 0, 25.65347672, -99, 1814, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-08-29 00:00:00', 0, 23.91493797, -99, 2470, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-08-30 00:00:00', 0, 25.018344880000001, -99, 2038, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-08-31 00:00:00', 0, 21.206644059999999, -99, 2340, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-09-01 00:00:00', 0, 26.202331539999999, -99, 2365, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-09-02 00:00:00', 0, 25.670383449999999, -99, 2297, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-09-03 00:00:00', 0, 25.977676389999999, -99, 2210, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-09-04 00:00:00', 0, 26.490289690000001, -99, 2300, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-09-05 00:00:00', 0.02, 26.210182190000001, -99, 2002, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-09-06 00:00:00', 0, 26.218563079999999, -99, 2106, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-09-07 00:00:00', 0, 26.57858658, -99, 1894, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-09-08 00:00:00', 3.5099999899999998, 26.84634209, -99, 1573, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-09-09 00:00:00', 21.129999160000001, 25.421016689999998, -99, 983, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-09-10 00:00:00', 0.980000019, 23.21545029, -99, 1681, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-09-11 00:00:00', 1.3400000329999999, 23.664091110000001, -99, 2293, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-09-12 00:00:00', 12.289999959999999, 24.943315510000001, -99, 752, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-09-13 00:00:00', 6.9899997709999999, 23.279655460000001, -99, 954, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-09-14 00:00:00', 8.6700000760000009, 22.888265610000001, -99, 374, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-09-15 00:00:00', 0.34999999399999998, 22.311523439999998, -99, 1224, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-09-16 00:00:00', 0.540000021, 23.64185715, -99, 2326, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-09-17 00:00:00', 33.090000150000002, 24.04803467, -99, 1890, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-09-18 00:00:00', 0.87999999500000003, 22.33927345, -99, 1336, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-09-19 00:00:00', 0, 21.930921550000001, -99, 2311, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-09-20 00:00:00', 0, 23.55224419, -99, 2279, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-09-21 00:00:00', 0, 25.314146040000001, -99, 2084, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-09-22 00:00:00', 3.7400000100000002, 25.11110687, -99, 907, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-09-23 00:00:00', 10.399999619999999, 23.185937880000001, -99, 1616, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-09-24 00:00:00', 0.039999999000000001, 22.789897920000001, -99, 1735, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-09-25 00:00:00', 0, 22.254959110000001, -99, 1746, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-09-26 00:00:00', 0, 23.566499709999999, -99, 1890, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-09-27 00:00:00', 0, 23.165197370000001, -99, 1843, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-09-28 00:00:00', 0, 23.69761467, -99, 1937, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-09-29 00:00:00', 0, 23.2797451, -99, 2038, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-09-30 00:00:00', 0, 22.535570140000001, -99, 2084, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-10-01 00:00:00', 0, 21.802860259999999, -99, 2084, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-10-02 00:00:00', 0, 21.773113250000002, -99, 2034, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-10-03 00:00:00', 0, 21.090942380000001, -99, 1962, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-10-04 00:00:00', 0, 21.102569580000001, -99, 1922, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-10-05 00:00:00', 0, 20.263561249999999, -99, 1908, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-10-06 00:00:00', 0, 21.375890729999998, -99, 2174, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-10-07 00:00:00', 0, 21.148008350000001, -99, 2142, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-10-08 00:00:00', 0, 20.42374611, -99, 2128, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-10-09 00:00:00', 0, 19.971591950000001, -99, 2106, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-10-10 00:00:00', 0, 19.439550400000002, -99, 2084, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-10-11 00:00:00', 0, 20.714143750000002, -99, 2088, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-10-12 00:00:00', 0, 18.65585136, -99, 1904, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-10-13 00:00:00', 0, 18.075059889999999, -99, 2066, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-10-14 00:00:00', 0, 18.177505490000001, -99, 2084, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-10-15 00:00:00', 0, 18.29660797, -99, 2077, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-10-16 00:00:00', 0, 18.883024219999999, -99, 1930, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-10-17 00:00:00', 0, 18.005926129999999, -99, 1922, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-10-18 00:00:00', 0, 17.290016170000001, -99, 1843, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-10-19 00:00:00', 0, 15.628948210000001, -99, 1994, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-10-20 00:00:00', 0, 15.50384712, -99, 2023, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-10-21 00:00:00', 0, 14.895116809999999, -99, 2009, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-10-22 00:00:00', 0, 13.753273009999999, -99, 1984, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-10-23 00:00:00', 0, 13.047662730000001, -99, 1962, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-10-24 00:00:00', 0, 14.128628730000001, -99, 1901, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-10-25 00:00:00', 0, 15.039648059999999, -99, 1811, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-10-26 00:00:00', 0, 15.0191164, -99, 1883, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-10-27 00:00:00', 0, 14.54297543, -99, 1876, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-10-28 00:00:00', 0, 13.34191322, -99, 1912, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-10-29 00:00:00', 0, 13.18954563, -99, 1883, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-10-30 00:00:00', 0, 13.16657352, -99, 1822, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-10-31 00:00:00', 0, 13.7336483, -99, 1656, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-11-01 00:00:00', 0, 13.53218079, -99, 1800, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-11-02 00:00:00', 0, 13.781105999999999, -99, 1775, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-11-03 00:00:00', 0.050000001000000002, 15.38816643, -99, 1588, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-11-04 00:00:00', 0, 12.84669304, -99, 1771, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-11-05 00:00:00', 0, 11.41232014, -99, 1789, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-11-06 00:00:00', 0, 11.53030586, -99, 1782, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-11-07 00:00:00', 0, 11.94975567, -99, 1778, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-11-08 00:00:00', 0, 10.47832775, -99, 1746, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-11-09 00:00:00', 0, 10.76414967, -99, 1670, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-11-10 00:00:00', 0, 11.38427448, -99, 1602, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-11-11 00:00:00', 0, 11.14979649, -99, 1642, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-11-12 00:00:00', 0, 12.077222819999999, -99, 1642, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-11-13 00:00:00', 0, 12.87708759, -99, 1656, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-11-14 00:00:00', 0, 12.128433230000001, -99, 1602, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-11-15 00:00:00', 0, 11.49769592, -99, 1588, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-11-16 00:00:00', 0, 11.11982632, -99, 1670, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-11-17 00:00:00', 0, 9.2458686829999994, -99, 1649, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-11-18 00:00:00', 0, 7.7442350390000003, -99, 1634, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-11-19 00:00:00', 0, 6.4116439820000002, -99, 1577, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-11-20 00:00:00', 0, 8.0783386230000005, -99, 1595, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-11-21 00:00:00', 0, 7.6604461669999999, -99, 1548, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-11-22 00:00:00', 0, 8.9724178309999996, -99, 1570, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-11-23 00:00:00', 0, 8.8698730470000005, -99, 1562, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-11-24 00:00:00', 0, 8.1598644260000004, -99, 1548, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-11-25 00:00:00', 0, 7.348349571, -99, 1541, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-11-26 00:00:00', 0, 8.466833115, -99, 1465, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-11-27 00:00:00', 0.37000000500000002, 7.9030046460000003, -99, 954, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-11-28 00:00:00', 0.070000000000000007, 11.107173919999999, -99, 871, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-11-29 00:00:00', 0, 8.7164258960000005, -99, 1469, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-11-30 00:00:00', 0, 7.1680641170000001, -99, 1472, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-12-01 00:00:00', 0, 4.1660251620000004, -99, 1526, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-12-02 00:00:00', 0, 4.0872554780000003, -99, 1523, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-12-03 00:00:00', 0, 3.356791973, -99, 1483, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-12-04 00:00:00', 0, 5.1074953079999998, -99, 1469, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-12-05 00:00:00', 0, 6.669804096, -99, 1498, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-12-06 00:00:00', 0, 5.1227846149999996, -99, 1476, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-12-07 00:00:00', 0, 4.9395465850000004, -99, 1469, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-12-08 00:00:00', 0, 4.9738917349999996, -99, 1472, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-12-09 00:00:00', 0, 5.2683739660000004, -99, 1447, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-12-10 00:00:00', 0, 6.1294074060000003, -99, 1451, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-12-11 00:00:00', 0, 3.9836695190000002, -99, 1451, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-12-12 00:00:00', 0, 3.71851778, -99, 1454, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-12-13 00:00:00', 0, 3.5289409159999998, -99, 1458, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-12-14 00:00:00', 0, 3.9044983389999999, -99, 1451, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-12-15 00:00:00', 0, 2.4593269819999999, -99, 1321, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-12-16 00:00:00', 0, 3.8140165810000002, -99, 1404, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-12-17 00:00:00', 0, 3.7968792919999999, -99, 1447, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-12-18 00:00:00', 0, 4.0852551459999997, -99, 1429, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-12-19 00:00:00', 0, 3.9826641079999998, -99, 1440, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-12-20 00:00:00', 0, 3.0656368729999999, -99, 1202, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-12-21 00:00:00', 0, 4.4699797630000004, -99, 1152, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-12-22 00:00:00', 0, 5.1479430199999996, -99, 904, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-12-23 00:00:00', 0, 5.7218098639999999, -99, 1051, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-12-24 00:00:00', 0, 5.0672135349999996, -99, 1058, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-12-25 00:00:00', 0, 5.0694928170000004, -99, 1350, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-12-26 00:00:00', 0, 5.2440004350000002, -99, 1102, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-12-27 00:00:00', 0, 6.6944737429999996, -99, 1012, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-12-28 00:00:00', 0, 5.5001821519999998, -99, 1411, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-12-29 00:00:00', 0, 4.3860621450000004, -99, 1314, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-12-30 00:00:00', 0, 4.9304194450000001, -99, 1235, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-12-31 00:00:00', 0, 5.5213227270000003, -99, 878, 'lud', 'lud_2005');
INSERT INTO public.cdy_cldat VALUES ('2006-01-01 00:00:00', 0.17000000200000001, 9.0168523789999995, -99, 518, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-01-02 00:00:00', 1.2000000479999999, 10.11596394, -99, 439, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-01-03 00:00:00', 0, 9.3579721449999997, -99, 947, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-01-04 00:00:00', 0, 6.3790130620000003, -99, 1163, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-01-05 00:00:00', 0, 4.7432560920000002, -99, 1462, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-01-06 00:00:00', 0, 1.8976969720000001, -99, 1498, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-01-07 00:00:00', 0, 1.223971009, -99, 1516, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-01-08 00:00:00', 0, 0.61529582699999996, -99, 1530, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-01-09 00:00:00', 0, 2.1062004569999999, -99, 900, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-01-10 00:00:00', 0, 5.7195754049999996, -99, 1058, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-01-11 00:00:00', 0, 5.0262989999999999, -99, 1472, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-01-12 00:00:00', 0, 3.3883998389999999, -99, 1516, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-01-13 00:00:00', 0, 6.5430026049999999, -99, 1105, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-01-14 00:00:00', 0, 6.4157876969999998, -99, 1393, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-01-15 00:00:00', 0.01, 11.08772564, -99, 428, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-01-16 00:00:00', 0.219999999, 13.89744282, -99, 382, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-01-17 00:00:00', 0.01, 13.448889729999999, -99, 396, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-01-18 00:00:00', 0, 10.300127979999999, -99, 698, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-01-19 00:00:00', 0, 9.2404775620000006, -99, 1422, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-01-20 00:00:00', 0, 6.7921600340000001, -99, 1465, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-01-21 00:00:00', 0, 6.8882975579999997, -99, 1616, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-01-22 00:00:00', 0, 7.1769657139999996, -99, 1300, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-01-23 00:00:00', 0, 3.2235553260000001, -99, 1638, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-01-24 00:00:00', 0, 5.4615564350000003, -99, 1652, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-01-25 00:00:00', 0, 4.8616394999999999, -99, 1530, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-01-26 00:00:00', 0, 3.3551723959999999, -99, 1429, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-01-27 00:00:00', 0, 4.7591667180000004, -99, 1336, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-01-28 00:00:00', 0, 8.0272827150000001, -99, 1145, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-01-29 00:00:00', 0, 7.2087516779999996, -99, 1055, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-01-30 00:00:00', 0, 8.8904008870000002, -99, 1314, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-01-31 00:00:00', 0, 7.9353585239999997, -99, 1595, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-02-01 00:00:00', 0, 10.69242096, -99, 745, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-02-02 00:00:00', 0, 9.2076978680000003, -99, 1768, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-02-03 00:00:00', 0, 9.8300132750000007, -99, 1796, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-02-04 00:00:00', 0, 9.2933940889999995, -99, 1832, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-02-05 00:00:00', 0, 9.4591369630000006, -99, 1724, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-02-06 00:00:00', 0, 9.3208503720000007, -99, 1170, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-02-07 00:00:00', 0, 9.498239517, -99, 1134, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-02-08 00:00:00', 0, 11.767024989999999, -99, 1796, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-02-09 00:00:00', 0, 10.06342697, -99, 1836, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-02-10 00:00:00', 0, 9.5464010239999997, -99, 1775, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-02-11 00:00:00', 0, 10.48091698, -99, 1829, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-02-12 00:00:00', 0, 11.40701675, -99, 1663, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-02-13 00:00:00', 0, 11.8173008, -99, 1300, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-02-14 00:00:00', 0, 13.957238200000001, -99, 1192, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-02-15 00:00:00', 0, 13.97609901, -99, 1300, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-02-16 00:00:00', 0, 12.88905239, -99, 1649, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-02-17 00:00:00', 0, 13.43934155, -99, 1440, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-02-18 00:00:00', 0, 15.19925022, -99, 1062, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-02-19 00:00:00', 0, 14.080013279999999, -99, 1318, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-02-20 00:00:00', 0, 14.874580379999999, -99, 1678, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-02-21 00:00:00', 0, 15.01231289, -99, 1703, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-02-22 00:00:00', 0.01, 12.70778179, -99, 1555, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-02-23 00:00:00', 0, 13.111322400000001, -99, 1804, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-02-24 00:00:00', 0, 13.552536010000001, -99, 1883, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-02-25 00:00:00', 0.46000000800000002, 14.08989716, -99, 1303, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-02-26 00:00:00', 0.15000000599999999, 14.27024651, -99, 1364, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-02-27 00:00:00', 0, 11.47749043, -99, 2092, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-02-28 00:00:00', 0, 11.69601917, -99, 2128, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-03-01 00:00:00', 0, 12.261620519999999, -99, 2196, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-03-02 00:00:00', 0, 10.76303673, -99, 2171, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-03-03 00:00:00', 0, 10.6357336, -99, 2178, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-03-04 00:00:00', 0, 11.449335100000001, -99, 2203, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-03-05 00:00:00', 0, 11.91577339, -99, 1958, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-03-06 00:00:00', 1.2000000479999999, 13.23346329, -99, 864, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-03-07 00:00:00', 0, 13.003279689999999, -99, 1930, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-03-08 00:00:00', 0.109999999, 13.20130157, -99, 2110, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-03-09 00:00:00', 1.2200000289999999, 16.175765989999999, -99, 1062, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-03-10 00:00:00', 20.219999309999999, 15.765169139999999, -99, 378, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-03-11 00:00:00', 0, 11.58368683, -99, 1105, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-03-12 00:00:00', 0, 14.0692234, -99, 1750, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-03-13 00:00:00', 2.960000038, 14.14430428, -99, 1058, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-03-14 00:00:00', 7.329999924, 15.28810406, -99, 162, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-03-15 00:00:00', 0, 13.76387882, -99, 1724, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-03-16 00:00:00', 0, 11.39447403, -99, 2347, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-03-17 00:00:00', 0, 11.345470430000001, -99, 2470, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-03-18 00:00:00', 0, 12.996676450000001, -99, 2128, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-03-19 00:00:00', 0, 13.0633955, -99, 2290, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-03-20 00:00:00', 0.01, 15.22283268, -99, 630, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-03-21 00:00:00', 0, 13.64294147, -99, 2513, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-03-22 00:00:00', 0, 13.615177149999999, -99, 2596, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-03-23 00:00:00', 0, 14.224037170000001, -99, 2347, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-03-24 00:00:00', 0.25999999000000001, 16.534812930000001, -99, 364, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-03-25 00:00:00', 2.4500000480000002, 14.62496662, -99, 2563, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-03-26 00:00:00', 0.310000002, 16.39829636, -99, 1652, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-03-27 00:00:00', 0.219999999, 13.787148480000001, -99, 2347, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-03-28 00:00:00', 0, 12.84048748, -99, 2624, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-03-29 00:00:00', 0, 13.131394390000001, -99, 2653, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-03-30 00:00:00', 0, 15.841381070000001, -99, 2632, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-03-31 00:00:00', 0, 18.232120510000001, -99, 2513, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-04-01 00:00:00', 0, 17.997505189999998, -99, 2401, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-04-02 00:00:00', 0.86000001400000003, 18.474985119999999, -99, 2592, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-04-03 00:00:00', 0, 16.36581039, -99, 1984, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-04-04 00:00:00', 0, 17.702787399999998, -99, 2340, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-04-05 00:00:00', 0, 17.351215360000001, -99, 2786, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-04-06 00:00:00', 0, 18.21715927, -99, 2671, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-04-07 00:00:00', 0, 17.908372880000002, -99, 2498, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-04-08 00:00:00', 0, 18.437751769999998, -99, 1678, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-04-09 00:00:00', 0.99000001000000004, 21.531805039999998, -99, 1512, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-04-10 00:00:00', 0, 18.291873930000001, -99, 2754, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-04-11 00:00:00', 0, 14.382822989999999, -99, 2966, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-04-12 00:00:00', 0, 13.38163376, -99, 3002, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-04-13 00:00:00', 0, 12.88147545, -99, 2768, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-04-14 00:00:00', 0, 14.39696217, -99, 2513, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-04-15 00:00:00', 0, 18.077787399999998, -99, 2210, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-04-16 00:00:00', 0.090000003999999995, 20.419576639999999, -99, 965, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-04-17 00:00:00', 0, 18.304822919999999, -99, 1894, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-04-18 00:00:00', 0, 16.217828749999999, -99, 2909, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-04-19 00:00:00', 0, 18.40758705, -99, 2916, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-04-20 00:00:00', 0, 19.160110469999999, -99, 2729, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-04-21 00:00:00', 0, 20.336523060000001, -99, 2117, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-04-22 00:00:00', 0.070000000000000007, 20.137134549999999, -99, 2923, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-04-23 00:00:00', 0.310000002, 22.483442310000001, -99, 1652, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-04-24 00:00:00', 0, 19.59828186, -99, 2948, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-04-25 00:00:00', 0, 21.050970079999999, -99, 2920, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-04-26 00:00:00', 0, 23.054052349999999, -99, 3006, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-04-27 00:00:00', 0, 24.007091519999999, -99, 2995, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-04-28 00:00:00', 0, 26.007171629999998, -99, 2851, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-04-29 00:00:00', 0, 25.76287842, -99, 2218, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-04-30 00:00:00', 0, 26.910171510000001, -99, 1454, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-05-01 00:00:00', 0, 22.452283860000001, -99, 2318, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-05-02 00:00:00', 0, 25.661720280000001, -99, 943, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-05-03 00:00:00', 0, 20.874355319999999, -99, 2815, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-05-04 00:00:00', 0, 21.792598720000001, -99, 3074, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-05-05 00:00:00', 0, 24.221366880000001, -99, 3017, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-05-06 00:00:00', 0, 25.361984249999999, -99, 3017, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-05-07 00:00:00', 0, 27.480678560000001, -99, 3002, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-05-08 00:00:00', 7.6799998279999997, 28.143251419999999, -99, 2722, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-05-09 00:00:00', 0, 22.24650192, -99, 2264, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-05-10 00:00:00', 0, 25.182247159999999, -99, 2844, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-05-11 00:00:00', 0, 26.069255829999999, -99, 2927, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-05-12 00:00:00', 0, 26.36263847, -99, 3053, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-05-13 00:00:00', 0, 26.959774020000001, -99, 3146, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-05-14 00:00:00', 0.02, 27.676111219999999, -99, 2581, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-05-15 00:00:00', 0.090000003999999995, 26.944965360000001, -99, 2833, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-05-16 00:00:00', 3.369999886, 27.469322200000001, -99, 3006, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-05-17 00:00:00', 0, 20.799652099999999, -99, 2570, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-05-18 00:00:00', 0.02, 24.604032520000001, -99, 2844, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-05-19 00:00:00', 1.7599999900000001, 26.056398389999998, -99, 2257, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-05-20 00:00:00', 0, 23.351818080000001, -99, 2185, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-05-21 00:00:00', 0.23999999499999999, 23.98733902, -99, 2992, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-05-22 00:00:00', 1.1599999670000001, 25.575040820000002, -99, 2542, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-05-23 00:00:00', 0, 22.719558719999998, -99, 2812, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-05-24 00:00:00', 0, 25.75463676, -99, 2963, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-05-25 00:00:00', 0, 28.489923480000002, -99, 2866, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-05-26 00:00:00', 0, 25.338237759999998, -99, 3107, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-05-27 00:00:00', 0, 28.12851715, -99, 3125, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-05-28 00:00:00', 0.579999983, 27.604328160000001, -99, 2718, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-05-29 00:00:00', 0, 26.421043399999999, -99, 2142, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-05-30 00:00:00', 0, 26.683828349999999, -99, 3056, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-05-31 00:00:00', 1.1100000139999999, 28.569023130000001, -99, 2509, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-06-01 00:00:00', 0, 26.55725288, -99, 2502, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-06-02 00:00:00', 0, 28.50812531, -99, 2563, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-06-03 00:00:00', 0, 25.817108149999999, -99, 2272, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-06-04 00:00:00', 0.58999997400000004, 24.981988909999998, -99, 2887, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-06-05 00:00:00', 0, 26.096511840000002, -99, 2822, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-06-06 00:00:00', 0, 25.78861427, -99, 2797, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-06-07 00:00:00', 0, 27.03212929, -99, 2506, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-06-08 00:00:00', 0, 27.367141719999999, -99, 3035, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-06-09 00:00:00', 0, 27.260498049999999, -99, 3164, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-06-10 00:00:00', 0, 26.578041079999998, -99, 3229, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-06-11 00:00:00', 0, 27.25788498, -99, 3172, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-06-12 00:00:00', 0.56999999300000004, 27.815761569999999, -99, 3053, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-06-13 00:00:00', 0, 25.487203600000001, -99, 2700, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-06-14 00:00:00', 0, 25.9138813, -99, 2614, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-06-15 00:00:00', 1.5900000329999999, 26.508047099999999, -99, 2340, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-06-16 00:00:00', 6.4099998469999999, 24.927999499999999, -99, 821, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-06-17 00:00:00', 0, 21.92756271, -99, 2250, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-06-18 00:00:00', 0.059999998999999998, 22.99076462, -99, 3136, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-06-19 00:00:00', 0.25999999000000001, 23.930364610000002, -99, 1537, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-06-20 00:00:00', 0, 23.473348619999999, -99, 3121, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-06-21 00:00:00', 0, 25.511974330000001, -99, 3107, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-06-22 00:00:00', 0, 29.04435539, -99, 3125, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-06-23 00:00:00', 3.4000000950000002, 29.089900969999999, -99, 2995, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-06-24 00:00:00', 13.97000027, 28.355321880000002, -99, 2797, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-06-25 00:00:00', 1.1499999759999999, 24.88154411, -99, 1249, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-06-26 00:00:00', 1.2999999520000001, 26.738145830000001, -99, 2786, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-06-27 00:00:00', 2.1099998950000001, 26.502429960000001, -99, 950, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-06-28 00:00:00', 0, 24.747152329999999, -99, 2671, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-06-29 00:00:00', 2.1900000569999998, 26.33031845, -99, 1667, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-06-30 00:00:00', 0, 26.30032349, -99, 2160, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-07-01 00:00:00', 0, 26.601415630000002, -99, 3053, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-07-02 00:00:00', 0, 28.7488308, -99, 3056, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-07-03 00:00:00', 0.01, 28.676010130000002, -99, 1908, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-07-04 00:00:00', 0, 28.843780519999999, -99, 3056, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-07-05 00:00:00', 0, 29.568252560000001, -99, 2520, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-07-06 00:00:00', 0, 29.357137680000001, -99, 3010, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-07-07 00:00:00', 0, 30.207187650000002, -99, 2228, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-07-08 00:00:00', 0, 31.40011406, -99, 1645, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-07-09 00:00:00', 29.159999849999998, 30.829591749999999, -99, 1152, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-07-10 00:00:00', 3.880000114, 25.77232742, -99, 1076, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-07-11 00:00:00', 2.5599999430000002, 27.277980800000002, -99, 1228, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-07-12 00:00:00', 0.31999999299999998, 25.665996549999999, -99, 2282, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-07-13 00:00:00', 20.25, 26.041004180000002, -99, 875, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-07-14 00:00:00', 1.2400000099999999, 23.089172359999999, -99, 1278, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-07-15 00:00:00', 0, 25.58091164, -99, 3038, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-07-16 00:00:00', 0, 26.704078670000001, -99, 2351, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-07-17 00:00:00', 0, 28.313549040000002, -99, 2113, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-07-18 00:00:00', 0.56999999300000004, 29.078208920000002, -99, 1937, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-07-19 00:00:00', 0.12999999500000001, 27.258598330000002, -99, 1822, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-07-20 00:00:00', 0, 27.47258377, -99, 2207, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-07-21 00:00:00', 0, 27.499372480000002, -99, 2135, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-07-22 00:00:00', 0, 28.045341489999998, -99, 2135, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-07-23 00:00:00', 1.5099999900000001, 28.173934939999999, -99, 1361, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-07-24 00:00:00', 2.4400000569999998, 27.298852920000002, -99, 857, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-07-25 00:00:00', 21.379999160000001, 27.514467239999998, -99, 842, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-07-26 00:00:00', 41, 24.688133239999999, -99, 756, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-07-27 00:00:00', 4.5100002290000001, 25.681737900000002, -99, 1890, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-07-28 00:00:00', 1.7200000289999999, 26.01119804, -99, 2034, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-07-29 00:00:00', 0.02, 26.870979309999999, -99, 1868, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-07-30 00:00:00', 13.989999770000001, 27.170972819999999, -99, 2426, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-07-31 00:00:00', 0.01, 26.61846924, -99, 1912, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-08-01 00:00:00', 0, 27.391017909999999, -99, 1994, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-08-02 00:00:00', 0, 27.232139589999999, -99, 1685, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-08-03 00:00:00', 0, 26.612272260000001, -99, 1609, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-08-04 00:00:00', 0, 26.807552340000001, -99, 1253, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-08-05 00:00:00', 0.519999981, 25.52651024, -99, 778, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-08-06 00:00:00', 6.3400001530000001, 25.421566009999999, -99, 1631, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-08-07 00:00:00', 1.8300000430000001, 25.200357440000001, -99, 472, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-08-08 00:00:00', 0, 25.300687790000001, -99, 1926, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-08-09 00:00:00', 0, 26.523536679999999, -99, 2214, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-08-10 00:00:00', 0.17000000200000001, 26.829710009999999, -99, 2214, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-08-11 00:00:00', 0, 26.35404205, -99, 2200, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-08-12 00:00:00', 0, 27.365480420000001, -99, 2228, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-08-13 00:00:00', 0, 27.997196200000001, -99, 2066, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-08-14 00:00:00', 2.7200000289999999, 27.56166649, -99, 1998, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-08-15 00:00:00', 0.01, 24.926145550000001, -99, 1876, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-08-16 00:00:00', 0, 26.24153519, -99, 2063, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-08-17 00:00:00', 0.059999998999999998, 28.057178499999999, -99, 2056, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-08-18 00:00:00', 0, 27.721019739999999, -99, 2182, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-08-19 00:00:00', 0, 28.280025479999999, -99, 1051, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-08-20 00:00:00', 0, 25.937774659999999, -99, 1861, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-08-21 00:00:00', 0, 26.64291382, -99, 1782, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-08-22 00:00:00', 0.02, 27.39702415, -99, 1847, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-08-23 00:00:00', 0.14000000100000001, 26.848148349999999, -99, 1778, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-08-24 00:00:00', 6.5399999619999996, 27.011272429999998, -99, 1678, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-08-25 00:00:00', 2.7599999899999998, 26.05107117, -99, 1930, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-08-26 00:00:00', 0, 26.37586975, -99, 1804, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-08-27 00:00:00', 3.0899999139999998, 26.054662700000002, -99, 1699, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-08-28 00:00:00', 0.61000001400000003, 22.770139690000001, -99, 1390, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-08-29 00:00:00', 0.02, 23.509758000000001, -99, 1807, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-08-30 00:00:00', 1.1100000139999999, 24.4651432, -99, 1559, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-08-31 00:00:00', 1.25, 24.328264239999999, -99, 1174, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-09-01 00:00:00', 24.520000459999999, 24.152297969999999, -99, 259, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-09-02 00:00:00', 15.18999958, 22.003419879999999, -99, 148, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-09-03 00:00:00', 0, 25.346273419999999, -99, 1505, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-09-04 00:00:00', 0, 22.111974719999999, -99, 2027, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-09-05 00:00:00', 0, 22.106666560000001, -99, 1944, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-09-06 00:00:00', 0.28999999199999998, 25.241777419999998, -99, 1717, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-09-07 00:00:00', 0.039999999000000001, 24.690261840000002, -99, 1786, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-09-08 00:00:00', 0, 25.825807569999998, -99, 1757, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-09-09 00:00:00', 0, 25.145099640000002, -99, 1678, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-09-10 00:00:00', 0, 25.731843949999998, -99, 1764, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-09-11 00:00:00', 0, 25.557140350000001, -99, 1728, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-09-12 00:00:00', 0, 25.05927277, -99, 1908, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-09-13 00:00:00', 0.039999999000000001, 25.614629749999999, -99, 1004, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-09-14 00:00:00', 0.039999999000000001, 24.09669495, -99, 1746, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-09-15 00:00:00', 0.090000003999999995, 23.874635699999999, -99, 1512, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-09-16 00:00:00', 0, 23.697168349999998, -99, 1692, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-09-17 00:00:00', 0, 25.212295529999999, -99, 1836, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-09-18 00:00:00', 0, 25.808996199999999, -99, 1598, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-09-19 00:00:00', 0.090000003999999995, 24.81096458, -99, 1451, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-09-20 00:00:00', 1.6200000050000001, 24.774572370000001, -99, 1973, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-09-21 00:00:00', 0, 23.980312349999998, -99, 1854, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-09-22 00:00:00', 1.039999962, 23.925281519999999, -99, 1422, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-09-23 00:00:00', 0, 18.101392749999999, -99, 2203, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-09-24 00:00:00', 0, 19.81225967, -99, 2124, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-09-25 00:00:00', 0, 20.77423477, -99, 1998, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-09-26 00:00:00', 0, 21.287559510000001, -99, 1991, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-09-27 00:00:00', 0, 21.632877350000001, -99, 2038, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-09-28 00:00:00', 0, 20.791126250000001, -99, 2088, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-09-29 00:00:00', 0, 20.287937159999998, -99, 2128, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-09-30 00:00:00', 0, 21.311397549999999, -99, 2156, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-10-01 00:00:00', 0, 21.239040370000001, -99, 2214, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-10-02 00:00:00', 0, 20.975236890000001, -99, 2200, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-10-03 00:00:00', 0, 21.378219600000001, -99, 2102, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-10-04 00:00:00', 0, 21.716920850000001, -99, 2048, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-10-05 00:00:00', 0, 21.517246249999999, -99, 2034, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-10-06 00:00:00', 0, 20.909578320000001, -99, 2192, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-10-07 00:00:00', 0, 21.080219270000001, -99, 2131, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-10-08 00:00:00', 0, 21.861238480000001, -99, 2106, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-10-09 00:00:00', 0, 22.255289080000001, -99, 2128, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-10-10 00:00:00', 0, 22.619033810000001, -99, 2063, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-10-11 00:00:00', 0, 21.203453060000001, -99, 2066, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-10-12 00:00:00', 0, 21.07231522, -99, 2034, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-10-13 00:00:00', 0.23000000400000001, 21.43919563, -99, 1858, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-10-14 00:00:00', 0, 18.707952500000001, -99, 1994, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-10-15 00:00:00', 0, 18.804788590000001, -99, 1933, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-10-16 00:00:00', 0, 19.273963930000001, -99, 1980, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-10-17 00:00:00', 0, 18.725721360000001, -99, 1973, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-10-18 00:00:00', 0, 18.688390729999998, -99, 1912, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-10-19 00:00:00', 5.0399999619999996, 20.595731740000002, -99, 1544, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-10-20 00:00:00', 0.519999981, 17.556180950000002, -99, 248, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-10-21 00:00:00', 0, 15.274890900000001, -99, 1523, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-10-22 00:00:00', 0, 17.331842420000001, -99, 1876, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-10-23 00:00:00', 0, 14.96371937, -99, 1904, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-10-24 00:00:00', 0, 15.778655049999999, -99, 1760, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-10-25 00:00:00', 0, 16.418497089999999, -99, 1890, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-10-26 00:00:00', 0, 16.8738308, -99, 1548, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-10-27 00:00:00', 0, 16.520103450000001, -99, 1778, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-10-28 00:00:00', 0, 16.648412700000002, -99, 1782, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-10-29 00:00:00', 0, 15.81598473, -99, 1786, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-10-30 00:00:00', 0, 16.013755799999998, -99, 1771, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-10-31 00:00:00', 0, 16.647483829999999, -99, 1750, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-11-01 00:00:00', 0, 16.013936999999999, -99, 1728, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-11-02 00:00:00', 0, 16.048002239999999, -99, 1706, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-11-03 00:00:00', 0, 15.735365870000001, -99, 1696, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-11-04 00:00:00', 0, 15.84487152, -99, 1746, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-11-05 00:00:00', 0, 16.11991119, -99, 1681, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-11-06 00:00:00', 0, 15.100233080000001, -99, 1703, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-11-07 00:00:00', 0, 15.336430549999999, -99, 1638, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-11-08 00:00:00', 0, 16.339534759999999, -99, 1616, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-11-09 00:00:00', 0, 16.683143619999999, -99, 1548, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-11-10 00:00:00', 0, 15.99942684, -99, 1170, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-11-11 00:00:00', 0, 15.624939919999999, -99, 1346, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-11-12 00:00:00', 0, 15.605351450000001, -99, 1217, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-11-13 00:00:00', 0, 15.606083870000001, -99, 1526, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-11-14 00:00:00', 0, 14.00099277, -99, 1372, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-11-15 00:00:00', 0, 11.58500957, -99, 1256, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-11-16 00:00:00', 0, 13.067306520000001, -99, 1433, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-11-17 00:00:00', 0.109999999, 13.174762729999999, -99, 1375, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-11-18 00:00:00', 0.91000002599999996, 15.653507230000001, -99, 972, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-11-19 00:00:00', 0, 13.546938900000001, -99, 1472, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-11-20 00:00:00', 0, 12.88511658, -99, 1505, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-11-21 00:00:00', 0.790000021, 11.852653500000001, -99, 1505, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-11-22 00:00:00', 0.439999998, 13.532291409999999, -99, 1033, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-11-23 00:00:00', 0, 11.577651019999999, -99, 1418, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-11-24 00:00:00', 0, 10.59597301, -99, 1530, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-11-25 00:00:00', 0, 7.782364845, -99, 1429, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-11-26 00:00:00', 0, 8.225585938, -99, 1505, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-11-27 00:00:00', 0, 7.6299123760000001, -99, 544, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-11-28 00:00:00', 0, 6.6960344310000002, -99, 1458, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-11-29 00:00:00', 0, 6.6144180300000004, -99, 1436, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-11-30 00:00:00', 0, 7.6465282439999998, -99, 1429, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-12-01 00:00:00', 0, 8.6536445620000002, -99, 1483, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-12-02 00:00:00', 0, 8.7987689969999998, -99, 1397, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-12-03 00:00:00', 0.01, 10.54218674, -99, 562, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-12-04 00:00:00', 2.4800000190000002, 12.581225399999999, -99, 108, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-12-05 00:00:00', 0.039999999000000001, 12.70318604, -99, 515, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-12-06 00:00:00', 0, 11.21329403, -99, 1048, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-12-07 00:00:00', 0, 8.1071119310000004, -99, 1156, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-12-08 00:00:00', 0, 6.8274569510000003, -99, 1433, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-12-09 00:00:00', 0, 7.1521191599999998, -99, 1364, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-12-10 00:00:00', 0.88999998599999997, 8.7666530609999995, -99, 583, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-12-11 00:00:00', 0, 8.6215639110000009, -99, 1141, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-12-12 00:00:00', 0, 8.2205209729999993, -99, 1069, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-12-13 00:00:00', 0, 7.4731578829999998, -99, 796, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-12-14 00:00:00', 0, 7.7768001560000002, -99, 1418, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-12-15 00:00:00', 0, 9.9448633189999995, -99, 1422, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-12-16 00:00:00', 0, 8.0262346269999991, -99, 1397, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-12-17 00:00:00', 0, 7.4612340929999998, -99, 1415, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-12-18 00:00:00', 0, 8.2205057139999997, -99, 1400, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-12-19 00:00:00', 0, 5.3863945009999998, -99, 1393, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-12-20 00:00:00', 0, 8.4069290159999994, -99, 1361, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-12-21 00:00:00', 0, 8.1567811970000008, -99, 1368, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-12-22 00:00:00', 0, 7.6788806919999999, -99, 1364, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-12-23 00:00:00', 0, 7.6842226980000001, -99, 1364, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-12-24 00:00:00', 0, 5.8610296249999996, -99, 1285, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-12-25 00:00:00', 2.6400001049999999, 7.0507874490000004, -99, 868, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-12-26 00:00:00', 0.85000002399999997, 10.670013429999999, -99, 432, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-12-27 00:00:00', 0, 8.4847259519999998, -99, 1314, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-12-28 00:00:00', 0, 6.7856979370000001, -99, 1156, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-12-29 00:00:00', 0, 5.909508228, -99, 1094, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-12-30 00:00:00', 0, 4.4116897579999996, -99, 994, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-12-31 00:00:00', 0, 4.8920779230000004, -99, 821, 'lud', 'lud_2006');
INSERT INTO public.cdy_cldat VALUES ('2007-01-01 00:00:00', 0, 4.7287778850000004, -99, 860, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-01-02 00:00:00', 0, 6.650421143, -99, 1271, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-01-03 00:00:00', 0, 4.0678873060000003, -99, 1426, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-01-04 00:00:00', 0, 4.093355656, -99, 1494, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-01-05 00:00:00', 0, 1.8030613660000001, -99, 1487, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-01-06 00:00:00', 0, 1.022159934, -99, 1508, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-01-07 00:00:00', 0, 1.410799503, -99, 1307, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-01-08 00:00:00', 0, 2.1051511760000001, -99, 1498, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-01-09 00:00:00', 0, 3.4495739940000001, -99, 1476, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-01-10 00:00:00', 0, 2.9339263440000001, -99, 1501, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-01-11 00:00:00', 0, 2.7319519520000002, -99, 1505, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-01-12 00:00:00', 0, 2.1413147449999999, -99, 1534, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-01-13 00:00:00', 0, 3.615983725, -99, 1436, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-01-14 00:00:00', 0, 4.1887259480000001, -99, 994, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-01-15 00:00:00', 0, 3.5254333020000002, -99, 1483, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-01-16 00:00:00', 0, 4.6131644249999999, -99, 1537, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-01-17 00:00:00', 0, 4.1783351900000003, -99, 1170, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-01-18 00:00:00', 0, 6.1658263209999999, -99, 626, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-01-19 00:00:00', 0, 6.4139757160000004, -99, 1544, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-01-20 00:00:00', 0, 6.3563575739999996, -99, 1606, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-01-21 00:00:00', 0, 4.5181794169999998, -99, 1591, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-01-22 00:00:00', 0, 4.6447525020000002, -99, 1638, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-01-23 00:00:00', 0, 3.2972323889999999, -99, 1559, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-01-24 00:00:00', 0, 4.2081255909999999, -99, 1382, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-01-25 00:00:00', 0, 6.090139389, -99, 1321, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-01-26 00:00:00', 0, 7.0772228239999997, -99, 1494, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-01-27 00:00:00', 0, 9.5036306380000006, -99, 1379, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-01-28 00:00:00', 0, 9.2986087800000004, -99, 1246, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-01-29 00:00:00', 0, 10.07557392, -99, 1613, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-01-30 00:00:00', 0, 11.625220300000001, -99, 1152, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-01-31 00:00:00', 0, 9.3763065339999994, -99, 1703, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-02-01 00:00:00', 0.090000003999999995, 9.4442491529999995, -99, 1732, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-02-02 00:00:00', 0, 7.4714040759999998, -99, 1487, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-02-03 00:00:00', 0, 8.5135097500000008, -99, 1120, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-02-04 00:00:00', 0, 10.97490406, -99, 1624, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-02-05 00:00:00', 0.60000002399999997, 10.6213541, -99, 1228, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-02-06 00:00:00', 0, 12.629392620000001, -99, 1044, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-02-07 00:00:00', 2.2000000480000002, 11.20783043, -99, 1768, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-02-08 00:00:00', 0, 9.2839651110000005, -99, 1184, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-02-09 00:00:00', 1.210000038, 11.52786064, -99, 666, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-02-10 00:00:00', 39.060001370000002, 13.318763730000001, -99, 198, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-02-11 00:00:00', 8.9399995800000003, 9.9238681789999994, -99, 522, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-02-12 00:00:00', 4.4899997709999999, 11.038042069999999, -99, 659, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-02-13 00:00:00', 4.6199998860000004, 10.47993374, -99, 191, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-02-14 00:00:00', 1.7999999520000001, 9.9025640490000004, -99, 544, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-02-15 00:00:00', 0, 7.4151678089999997, -99, 1123, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-02-16 00:00:00', 0, 8.9799203869999999, -99, 1760, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-02-17 00:00:00', 0, 6.7432589529999998, -99, 1897, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-02-18 00:00:00', 1.9199999569999999, 7.6875948909999998, -99, 472, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-02-19 00:00:00', 0, 8.3923139570000007, -99, 1948, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-02-20 00:00:00', 0, 8.0641584399999999, -99, 1847, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-02-21 00:00:00', 0, 9.1299505229999998, -99, 1145, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-02-22 00:00:00', 0, 10.541138650000001, -99, 2023, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-02-23 00:00:00', 0, 8.6153345110000004, -99, 2048, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-02-24 00:00:00', 0.050000001000000002, 8.5600948330000008, -99, 1861, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-02-25 00:00:00', 0.219999999, 9.8250017169999992, -99, 1742, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-02-26 00:00:00', 0.75999998999999996, 10.46463299, -99, 1825, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-02-27 00:00:00', 2.289999962, 12.51590157, -99, 65, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-02-28 00:00:00', 17.200000760000002, 13.26384258, -99, 472, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-03-01 00:00:00', 0, 10.98101044, -99, 1958, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-03-02 00:00:00', 0, 9.7261533740000008, -99, 2117, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-03-03 00:00:00', 0, 11.38661289, -99, 1688, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-03-04 00:00:00', 0, 10.3643055, -99, 2131, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-03-05 00:00:00', 0, 11.37293339, -99, 2200, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-03-06 00:00:00', 0, 9.4294242859999997, -99, 2124, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-03-07 00:00:00', 0, 9.1654376979999999, -99, 2138, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-03-08 00:00:00', 0, 9.6566619869999997, -99, 2214, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-03-09 00:00:00', 1.559999943, 11.432137490000001, -99, 1652, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-03-10 00:00:00', 2.329999924, 13.664344789999999, -99, 1602, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-03-11 00:00:00', 6.4699997900000001, 12.10659695, -99, 439, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-03-12 00:00:00', 14.89000034, 13.48692894, -99, 378, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-03-13 00:00:00', 0, 12.719202040000001, -99, 1411, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-03-14 00:00:00', 0, 8.9542512890000001, -99, 2228, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-03-15 00:00:00', 0, 9.392897606, -99, 2322, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-03-16 00:00:00', 0, 8.6002140049999998, -99, 1919, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-03-17 00:00:00', 0, 12.27516747, -99, 2045, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-03-18 00:00:00', 0, 13.96624184, -99, 1904, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-03-19 00:00:00', 0.40999999599999998, 15.218905449999999, -99, 1030, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-03-20 00:00:00', 0.30000001199999998, 17.445608140000001, -99, 1645, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-03-21 00:00:00', 2.0099999899999998, 16.284591670000001, -99, 1602, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-03-22 00:00:00', 0, 12.98863411, -99, 2466, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-03-23 00:00:00', 0, 13.93975163, -99, 2513, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-03-24 00:00:00', 0, 13.926965709999999, -99, 1998, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-03-25 00:00:00', 0, 14.18463612, -99, 2563, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-03-26 00:00:00', 0, 13.93016815, -99, 2250, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-03-27 00:00:00', 0, 15.309960370000001, -99, 2570, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-03-28 00:00:00', 0, 15.449353220000001, -99, 2387, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-03-29 00:00:00', 0, 17.03037643, -99, 2480, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-03-30 00:00:00', 0, 18.00665665, -99, 2430, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-03-31 00:00:00', 0, 20.12226677, -99, 2315, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-04-01 00:00:00', 0, 19.852838519999999, -99, 2484, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-04-02 00:00:00', 0, 16.923147199999999, -99, 2642, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-04-03 00:00:00', 0, 14.45321083, -99, 2477, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-04-04 00:00:00', 0, 15.39006519, -99, 2038, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-04-05 00:00:00', 0, 17.532081600000001, -99, 2556, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-04-06 00:00:00', 1.1799999480000001, 18.16434288, -99, 2574, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-04-07 00:00:00', 0, 19.765186310000001, -99, 2610, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-04-08 00:00:00', 0, 19.587856290000001, -99, 1948, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-04-09 00:00:00', 0, 17.875061039999999, -99, 2783, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-04-10 00:00:00', 0, 19.116659160000001, -99, 2808, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-04-11 00:00:00', 0, 18.647930150000001, -99, 2844, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-04-12 00:00:00', 0, 19.37801361, -99, 2790, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-04-13 00:00:00', 0, 19.910972600000001, -99, 2801, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-04-14 00:00:00', 0, 20.737623209999999, -99, 2768, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-04-15 00:00:00', 0, 22.844903949999999, -99, 2804, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-04-16 00:00:00', 0, 23.006784440000001, -99, 2714, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-04-17 00:00:00', 3.3199999330000001, 23.502021790000001, -99, 2437, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-04-18 00:00:00', 2.6900000569999998, 21.303520200000001, -99, 1850, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-04-19 00:00:00', 0, 21.179380420000001, -99, 2599, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-04-20 00:00:00', 1.1299999949999999, 21.444566729999998, -99, 2754, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-04-21 00:00:00', 0, 21.39038086, -99, 2444, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-04-22 00:00:00', 0.99000001000000004, 20.637645719999998, -99, 2826, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-04-23 00:00:00', 0, 22.202756879999999, -99, 2603, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-04-24 00:00:00', 0, 22.474901200000001, -99, 2898, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-04-25 00:00:00', 0, 22.783939360000002, -99, 2916, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-04-26 00:00:00', 0, 20.464700700000002, -99, 2887, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-04-27 00:00:00', 0, 21.42681503, -99, 2999, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-04-28 00:00:00', 0, 21.999467849999998, -99, 3002, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-04-29 00:00:00', 0, 23.15510368, -99, 2977, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-04-30 00:00:00', 0, 24.618638990000001, -99, 2617, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-05-01 00:00:00', 0, 25.406745910000001, -99, 2898, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-05-02 00:00:00', 0, 25.87522697, -99, 2779, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-05-03 00:00:00', 1.1699999569999999, 23.689214710000002, -99, 1346, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-05-04 00:00:00', 0.519999981, 21.97037315, -99, 2567, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-05-05 00:00:00', 0, 22.921178820000002, -99, 2866, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-05-06 00:00:00', 0.10000000100000001, 24.83301926, -99, 2894, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-05-07 00:00:00', 0, 24.382167819999999, -99, 2934, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-05-08 00:00:00', 1.2000000479999999, 25.05886078, -99, 2480, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-05-09 00:00:00', 0.579999983, 21.55932808, -99, 2383, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-05-10 00:00:00', 3.460000038, 23.78405952, -99, 2970, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-05-11 00:00:00', 0, 22.052980420000001, -99, 2156, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-05-12 00:00:00', 0, 21.7545948, -99, 3017, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-05-13 00:00:00', 0, 23.813928600000001, -99, 3035, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-05-14 00:00:00', 0, 24.889932630000001, -99, 3020, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-05-15 00:00:00', 0, 26.685941700000001, -99, 2999, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-05-16 00:00:00', 0, 27.292709349999999, -99, 2470, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-05-17 00:00:00', 0.01, 26.946538929999999, -99, 2920, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-05-18 00:00:00', 0.17000000200000001, 26.742593769999999, -99, 2898, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-05-19 00:00:00', 0, 25.853036880000001, -99, 2621, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-05-20 00:00:00', 0, 31.765089039999999, -99, 1562, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-05-21 00:00:00', 0.059999998999999998, 25.620155329999999, -99, 2898, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-05-22 00:00:00', 0, 25.73888397, -99, 2833, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-05-23 00:00:00', 0, 24.426088329999999, -99, 2552, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-05-24 00:00:00', 0, 22.784128190000001, -99, 3146, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-05-25 00:00:00', 0.34999999399999998, 24.605886460000001, -99, 2232, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-05-26 00:00:00', 2.079999924, 25.97026825, -99, 1714, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-05-27 00:00:00', 0.02, 21.659416199999999, -99, 2657, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-05-28 00:00:00', 0, 21.7190361, -99, 2635, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-05-29 00:00:00', 0, 21.767141339999998, -99, 2970, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-05-30 00:00:00', 0, 23.20637894, -99, 2808, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-05-31 00:00:00', 0, 24.570875170000001, -99, 2912, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-06-01 00:00:00', 0, 24.63916588, -99, 2984, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-06-02 00:00:00', 0, 26.117172239999999, -99, 2740, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-06-03 00:00:00', 0, 26.238307949999999, -99, 2880, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-06-04 00:00:00', 0.039999999000000001, 27.82367897, -99, 734, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-06-05 00:00:00', 0, 25.663995740000001, -99, 2844, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-06-06 00:00:00', 0, 28.04894066, -99, 2567, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-06-07 00:00:00', 0, 29.571750640000001, -99, 2729, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-06-08 00:00:00', 0, 28.943449019999999, -99, 2977, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-06-09 00:00:00', 0, 29.282871249999999, -99, 3172, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-06-10 00:00:00', 0, 29.984220499999999, -99, 3013, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-06-11 00:00:00', 0, 30.649494170000001, -99, 2686, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-06-12 00:00:00', 0.219999999, 30.02052879, -99, 2466, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-06-13 00:00:00', 2.1900000569999998, 26.81262589, -99, 2387, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-06-14 00:00:00', 7.5199999809999998, 28.07293129, -99, 2394, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-06-15 00:00:00', 34.040000919999997, 23.780532839999999, -99, 331, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-06-16 00:00:00', 8.3699998860000004, 24.256740570000002, -99, 2279, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-06-17 00:00:00', 6.2699999809999998, 23.930650709999998, -99, 457, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-06-18 00:00:00', 0.14000000100000001, 23.40455055, -99, 2790, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-06-19 00:00:00', 0.87999999500000003, 22.98923302, -99, 2477, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-06-20 00:00:00', 0.17000000200000001, 24.97986221, -99, 2797, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-06-21 00:00:00', 0, 25.91238976, -99, 3100, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-06-22 00:00:00', 0, 25.353027340000001, -99, 2988, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-06-23 00:00:00', 0.280000001, 28.910144809999998, -99, 2156, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-06-24 00:00:00', 0, 27.997686389999998, -99, 2930, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-06-25 00:00:00', 1.440000057, 28.810762409999999, -99, 2300, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-06-26 00:00:00', 0.18000000699999999, 26.806249619999999, -99, 1753, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-06-27 00:00:00', 0, 27.669122699999999, -99, 2581, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-06-28 00:00:00', 2.170000076, 28.593662259999999, -99, 1879, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-06-29 00:00:00', 10.52000046, 26.350854869999999, -99, 302, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-06-30 00:00:00', 0, 26.469127660000002, -99, 2192, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-07-01 00:00:00', 0, 29.10329819, -99, 1537, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-07-02 00:00:00', 0, 28.561359410000001, -99, 1750, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-07-03 00:00:00', 2.0299999710000001, 28.1082058, -99, 1483, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-07-04 00:00:00', 0.01, 26.603118899999998, -99, 1811, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-07-05 00:00:00', 0, 27.174381260000001, -99, 2995, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-07-06 00:00:00', 0.01, 27.543516159999999, -99, 2750, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-07-07 00:00:00', 0, 29.078323359999999, -99, 2812, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-07-08 00:00:00', 0.689999998, 27.26665878, -99, 1631, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-07-09 00:00:00', 0.059999998999999998, 25.990825650000001, -99, 2876, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-07-10 00:00:00', 0.01, 28.176862719999999, -99, 2552, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-07-11 00:00:00', 0.23999999499999999, 28.774740220000002, -99, 2855, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-07-12 00:00:00', 0.33000001299999998, 28.804155349999998, -99, 2923, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-07-13 00:00:00', 3.5099999899999998, 27.46187973, -99, 1584, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-07-14 00:00:00', 0.119999997, 23.38864517, -99, 2354, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-07-15 00:00:00', 0.469999999, 26.320383069999998, -99, 1379, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-07-16 00:00:00', 0, 25.21420479, -99, 2682, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-07-17 00:00:00', 0, 27.672979349999999, -99, 2376, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-07-18 00:00:00', 0.12999999500000001, 27.535865780000002, -99, 2092, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-07-19 00:00:00', 0, 28.353746409999999, -99, 2167, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-07-20 00:00:00', 0, 28.849451070000001, -99, 2358, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-07-21 00:00:00', 0.23999999499999999, 28.650442120000001, -99, 2167, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-07-22 00:00:00', 0.10000000100000001, 26.671190259999999, -99, 1894, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-07-23 00:00:00', 0, 26.954914089999999, -99, 2110, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-07-24 00:00:00', 0.63999998599999997, 26.760625839999999, -99, 1505, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-07-25 00:00:00', 0, 27.155754089999999, -99, 2077, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-07-26 00:00:00', 0, 28.370098110000001, -99, 2120, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-07-27 00:00:00', 0.079999998000000003, 28.00483513, -99, 1678, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-07-28 00:00:00', 0.119999997, 25.700155259999999, -99, 1948, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-07-29 00:00:00', 0, 26.412651060000002, -99, 2041, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-07-30 00:00:00', 0.01, 27.871807100000002, -99, 2074, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-07-31 00:00:00', 0.02, 28.443664550000001, -99, 2009, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-08-01 00:00:00', 2.4100000860000002, 28.034139629999999, -99, 1969, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-08-02 00:00:00', 24.219999309999999, 26.663705830000001, -99, 1220, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-08-03 00:00:00', 2.2400000100000002, 25.394062040000001, -99, 1955, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-08-04 00:00:00', 9.6700000760000009, 26.237463000000002, -99, 2660, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-08-05 00:00:00', 0.69999998799999996, 26.793764110000001, -99, 950, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-08-06 00:00:00', 4.3499999049999998, 27.200113300000002, -99, 392, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-08-07 00:00:00', 0.01, 25.762002939999999, -99, 2030, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-08-08 00:00:00', 0.109999999, 27.714971540000001, -99, 1883, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-08-09 00:00:00', 0, 27.611652370000002, -99, 2250, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-08-10 00:00:00', 0.109999999, 28.339792249999999, -99, 2221, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-08-11 00:00:00', 0, 28.942672730000002, -99, 1955, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-08-12 00:00:00', 4.9600000380000004, 27.709964750000001, -99, 2221, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-08-13 00:00:00', 8.3299999239999991, 26.57687378, -99, 2196, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-08-14 00:00:00', 0, 26.024318699999998, -99, 2315, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-08-15 00:00:00', 0, 26.74019814, -99, 2164, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-08-16 00:00:00', 0, 27.50085258, -99, 2099, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-08-17 00:00:00', 0, 26.51125145, -99, 2002, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-08-18 00:00:00', 0, 27.807178499999999, -99, 2074, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-08-19 00:00:00', 12.649999619999999, 27.167589190000001, -99, 1865, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-08-20 00:00:00', 0.02, 26.06083679, -99, 2034, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-08-21 00:00:00', 0.939999998, 27.246454239999998, -99, 2038, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-08-22 00:00:00', 1.4199999569999999, 27.592500690000001, -99, 1588, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-08-23 00:00:00', 3.5099999899999998, 26.592863080000001, -99, 1832, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-08-24 00:00:00', 0.15000000599999999, 26.900283810000001, -99, 2232, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-08-25 00:00:00', 5.5300002099999999, 26.98448372, -99, 1912, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-08-26 00:00:00', 0.12999999500000001, 26.85067368, -99, 1897, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-08-27 00:00:00', 1.7200000289999999, 27.328636169999999, -99, 1800, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-08-28 00:00:00', 0, 25.586511609999999, -99, 1930, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-08-29 00:00:00', 2.1900000569999998, 26.23409843, -99, 1778, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-08-30 00:00:00', 0.01, 27.126258849999999, -99, 1832, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-08-31 00:00:00', 0.18000000699999999, 26.108272549999999, -99, 1843, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-09-01 00:00:00', 0, 25.400415420000002, -99, 2038, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-09-02 00:00:00', 0.01, 26.131229399999999, -99, 1930, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-09-03 00:00:00', 0, 27.304201129999999, -99, 1998, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-09-04 00:00:00', 0.029999998999999999, 26.76367188, -99, 1969, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-09-05 00:00:00', 11.31999969, 26.449230190000002, -99, 1829, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-09-06 00:00:00', 1.2599999900000001, 24.141490940000001, -99, 1318, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-09-07 00:00:00', 0.029999998999999999, 23.12654495, -99, 1465, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-09-08 00:00:00', 0, 24.091114040000001, -99, 1940, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-09-09 00:00:00', 0.079999998000000003, 24.869798660000001, -99, 1966, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-09-10 00:00:00', 0.23999999499999999, 25.738826750000001, -99, 1714, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-09-11 00:00:00', 0, 22.844381330000001, -99, 2102, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-09-12 00:00:00', 0.87999999500000003, 23.52584839, -99, 2117, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-09-13 00:00:00', 0.28999999199999998, 23.05606079, -99, 2023, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-09-14 00:00:00', 0, 22.68977928, -99, 1717, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-09-15 00:00:00', 0, 24.724838259999999, -99, 1739, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-09-16 00:00:00', 0.029999998999999999, 25.11103439, -99, 1728, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-09-17 00:00:00', 0.15999999600000001, 25.57849693, -99, 1559, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-09-18 00:00:00', 0, 25.414880749999998, -99, 1901, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-09-19 00:00:00', 0.029999998999999999, 26.115215299999999, -99, 1598, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-09-20 00:00:00', 0.40000000600000002, 25.805114750000001, -99, 1570, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-09-21 00:00:00', 0.37000000500000002, 22.687574390000002, -99, 2326, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-09-22 00:00:00', 0, 23.306175230000001, -99, 1577, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-09-23 00:00:00', 0, 23.457201000000001, -99, 2012, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-09-24 00:00:00', 0.219999999, 24.30342293, -99, 1210, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-09-25 00:00:00', 0.36000001399999998, 22.978160859999999, -99, 2344, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-09-26 00:00:00', 0, 21.853269579999999, -99, 2261, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-09-27 00:00:00', 0, 22.83197594, -99, 2164, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-09-28 00:00:00', 0, 22.81340981, -99, 2102, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-09-29 00:00:00', 0, 20.872051240000001, -99, 2333, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-09-30 00:00:00', 0, 18.845541000000001, -99, 2362, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-10-01 00:00:00', 0, 19.76779556, -99, 2225, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-10-02 00:00:00', 0, 18.626226429999999, -99, 2182, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-10-03 00:00:00', 0, 20.335737229999999, -99, 2272, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-10-04 00:00:00', 0, 19.055406569999999, -99, 2156, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-10-05 00:00:00', 0, 17.754808430000001, -99, 2156, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-10-06 00:00:00', 0, 16.81006241, -99, 2084, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-10-07 00:00:00', 0, 18.087652210000002, -99, 2146, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-10-08 00:00:00', 0, 16.357046130000001, -99, 2052, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-10-09 00:00:00', 0, 15.369357109999999, -99, 2059, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-10-10 00:00:00', 0, 15.76829815, -99, 2027, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-10-11 00:00:00', 0, 15.47308731, -99, 2077, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-10-12 00:00:00', 0, 15.23686695, -99, 2063, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-10-13 00:00:00', 0, 16.526287079999999, -99, 2048, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-10-14 00:00:00', 0, 14.963673590000001, -99, 2016, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-10-15 00:00:00', 0, 15.3326931, -99, 1912, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-10-16 00:00:00', 0.10000000100000001, 17.567794800000001, -99, 1980, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-10-17 00:00:00', 0, 16.394407269999999, -99, 1912, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-10-18 00:00:00', 0, 15.938663480000001, -99, 1958, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-10-19 00:00:00', 0, 16.194538120000001, -99, 2034, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-10-20 00:00:00', 0, 15.366485600000001, -99, 2027, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-10-21 00:00:00', 0, 15.87995052, -99, 1984, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-10-22 00:00:00', 0, 21.109060289999999, -99, 1948, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-10-23 00:00:00', 0, 15.94247723, -99, 1933, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-10-24 00:00:00', 0, 14.467604639999999, -99, 1915, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-10-25 00:00:00', 0, 15.562077520000001, -99, 1469, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-10-26 00:00:00', 0, 15.64855099, -99, 1818, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-10-27 00:00:00', 0, 16.102153779999998, -99, 1836, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-10-28 00:00:00', 0, 15.87565517, -99, 1778, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-10-29 00:00:00', 0, 13.3834362, -99, 1789, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-10-30 00:00:00', 0, 13.38554764, -99, 1764, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-10-31 00:00:00', 0, 13.75439072, -99, 1778, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-11-01 00:00:00', 0, 12.54165268, -99, 1750, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-11-02 00:00:00', 0, 12.47076511, -99, 1757, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-11-03 00:00:00', 0, 12.575660709999999, -99, 1584, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-11-04 00:00:00', 0, 12.161790849999999, -99, 1627, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-11-05 00:00:00', 0, 13.291526790000001, -99, 1735, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-11-06 00:00:00', 0, 12.66815662, -99, 1732, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-11-07 00:00:00', 0.14000000100000001, 13.708431239999999, -99, 1692, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-11-08 00:00:00', 0, 16.16060066, -99, 1667, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-11-09 00:00:00', 0, 12.7625761, -99, 1692, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-11-10 00:00:00', 0, 13.511642459999999, -99, 1613, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-11-11 00:00:00', 0, 12.565416340000001, -99, 1642, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-11-12 00:00:00', 0, 11.96061802, -99, 1616, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-11-13 00:00:00', 0, 11.8797102, -99, 1512, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-11-14 00:00:00', 0, 13.323694229999999, -99, 1645, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-11-15 00:00:00', 0, 11.521193500000001, -99, 1616, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-11-16 00:00:00', 0, 11.458622930000001, -99, 1602, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-11-17 00:00:00', 0, 10.99557877, -99, 1613, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-11-18 00:00:00', 0, 9.0012331010000004, -99, 1566, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-11-19 00:00:00', 0, 9.7371606830000008, -99, 1606, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-11-20 00:00:00', 0, 8.3782615660000008, -99, 1541, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-11-21 00:00:00', 0, 9.9378442759999999, -99, 1537, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-11-22 00:00:00', 0.02, 8.5493230820000008, -99, 1537, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-11-23 00:00:00', 0, 8.0069646839999997, -99, 1516, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-11-24 00:00:00', 0, 8.4197330469999994, -99, 1519, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-11-25 00:00:00', 0, 9.5827264789999997, -99, 1440, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-11-26 00:00:00', 0, 8.7746963499999993, -99, 1328, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-11-27 00:00:00', 0, 8.5237760540000007, -99, 1487, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-11-28 00:00:00', 0, 8.1487188340000003, -99, 1526, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-11-29 00:00:00', 1.269999981, 11.21603584, -99, 1246, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-11-30 00:00:00', 0, 11.355132100000001, -99, 1246, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-12-01 00:00:00', 0, 8.7540464399999998, -99, 1087, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-12-02 00:00:00', 0.029999998999999999, 8.9838294980000004, -99, 1433, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-12-03 00:00:00', 0, 8.8278865809999996, -99, 1462, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-12-04 00:00:00', 0.029999998999999999, 8.5498571400000003, -99, 1422, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-12-05 00:00:00', 0, 7.2558746340000004, -99, 1235, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-12-06 00:00:00', 0, 7.0370154380000001, -99, 1231, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-12-07 00:00:00', 0, 9.5800838469999992, -99, 1343, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-12-08 00:00:00', 0, 5.5696325299999998, -99, 1426, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-12-09 00:00:00', 0, 7.0918912890000003, -99, 587, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-12-10 00:00:00', 0.77999997099999996, 10.958022120000001, -99, 695, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-12-11 00:00:00', 0.23999999499999999, 11.174454689999999, -99, 443, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-12-12 00:00:00', 0.059999998999999998, 8.6846036909999995, -99, 810, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-12-13 00:00:00', 0, 9.2230911249999998, -99, 1228, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-12-14 00:00:00', 0, 8.027006149, -99, 1400, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-12-15 00:00:00', 0, 5.974669456, -99, 1415, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-12-16 00:00:00', 0, 4.9590687750000004, -99, 1444, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-12-17 00:00:00', 0, 4.4965515140000001, -99, 1440, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-12-18 00:00:00', 0, 3.560617685, -99, 835, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-12-19 00:00:00', 0, 2.5856628420000001, -99, 1318, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-12-20 00:00:00', 0, 3.4336240290000002, -99, 1278, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-12-21 00:00:00', 0, 6.6120715140000001, -99, 1321, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-12-22 00:00:00', 0, 7.6386914250000002, -99, 1418, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-12-23 00:00:00', 0, 7.701581955, -99, 1408, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-12-24 00:00:00', 0, 6.1074285509999999, -99, 1382, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-12-25 00:00:00', 0, 6.9506034850000002, -99, 1404, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-12-26 00:00:00', 0, 5.4608178140000003, -99, 1422, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-12-27 00:00:00', 0, 4.1529140470000003, -99, 1454, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-12-28 00:00:00', 0, 4.6758441929999996, -99, 1440, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-12-29 00:00:00', 0, 3.290265083, -99, 1494, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-12-30 00:00:00', 0, 3.5234935279999999, -99, 1469, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-12-31 00:00:00', 0, 2.8420634269999998, -99, 1440, 'lud', 'lud_2007');
INSERT INTO public.cdy_cldat VALUES ('2008-01-01 00:00:00', 0, 1.6344381569999999, -99, 1342, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-01-02 00:00:00', 0, 1.491653323, -99, 1361, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-01-03 00:00:00', 0, 1.440268517, -99, 1309, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-01-04 00:00:00', 0, 3.514762878, -99, 1307, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-01-05 00:00:00', 0.02, 5.5127196310000004, -99, 508, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-01-06 00:00:00', 0.01, 9.9067840579999995, -99, 603, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-01-07 00:00:00', 0.109999999, 7.1287198070000004, -99, 906, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-01-08 00:00:00', 3.539999962, 11.202729229999999, -99, 236, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-01-09 00:00:00', 1.3899999860000001, 11.77079582, -99, 877, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-01-10 00:00:00', 0, 10.002001760000001, -99, 1050, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-01-11 00:00:00', 0, 7.0681705470000002, -99, 1243, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-01-12 00:00:00', 0, 4.5324053759999998, -99, 1203, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-01-13 00:00:00', 0, 5.7069945339999997, -99, 1369, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-01-14 00:00:00', 0, 5.0767679210000001, -99, 899, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-01-15 00:00:00', 0, 7.9268059729999996, -99, 1302, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-01-16 00:00:00', 0, 7.5791454319999998, -99, 692, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-01-17 00:00:00', 0.47999998900000002, 10.16502285, -99, 358, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-01-18 00:00:00', 0.079999998000000003, 10.702942849999999, -99, 1200, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-01-19 00:00:00', 0, 4.9386982919999998, -99, 1401, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-01-20 00:00:00', 0, 3.7977449889999999, -99, 1484, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-01-21 00:00:00', 0, 2.1398315430000001, -99, 1498, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-01-22 00:00:00', 0, 0.91300684200000004, -99, 1486, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-01-23 00:00:00', 0, 0.87831229, -99, 1509, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-01-24 00:00:00', 0, -0.24681173300000001, -99, 1480, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-01-25 00:00:00', 0, 2.8659045700000001, -99, 1233, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-01-26 00:00:00', 0, 2.8423719410000001, -99, 1446, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-01-27 00:00:00', 0, 1.3948298690000001, -99, 1549, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-01-28 00:00:00', 0, 4.0333213810000004, -99, 1112, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-01-29 00:00:00', 0, 4.3602228160000003, -99, 1498, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-01-30 00:00:00', 0, 2.306963444, -99, 1557, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-01-31 00:00:00', 0, 1.8414305449999999, -99, 1552, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-02-01 00:00:00', 0, 2.5830686090000001, -99, 1645, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-02-02 00:00:00', 0.62999999500000003, 1.474690557, -99, 1066, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-02-03 00:00:00', 0.31999999299999998, 7.3214769359999998, -99, 640, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-02-04 00:00:00', 0, 4.9509859089999999, -99, 1479, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-02-05 00:00:00', 0.33000001299999998, 6.1779603959999996, -99, 973, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-02-06 00:00:00', 0.01, 5.0137729640000002, -99, 801, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-02-07 00:00:00', 0.050000001000000002, 7.5169420240000004, -99, 841, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-02-08 00:00:00', 0, 3.9359993929999999, -99, 1550, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-02-09 00:00:00', 0, 3.2589266299999999, -99, 1719, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-02-10 00:00:00', 0, 1.9224904780000001, -99, 1763, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-02-11 00:00:00', 0, 2.7275297639999998, -99, 1780, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-02-12 00:00:00', 0, 3.367567062, -99, 1817, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-02-13 00:00:00', 0, 2.666699886, -99, 1827, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-02-14 00:00:00', 0, 4.2423934939999999, -99, 1694, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-02-15 00:00:00', 0, 5.3649468420000002, -99, 1777, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-02-16 00:00:00', 0, 8.4572687149999997, -99, 1175, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-02-17 00:00:00', 0, 8.7889623639999996, -99, 1797, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-02-18 00:00:00', 0, 7.184648514, -99, 1843, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-02-19 00:00:00', 0, 7.3323068620000003, -99, 1895, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-02-20 00:00:00', 0, 6.902347088, -99, 1905, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-02-21 00:00:00', 0, 10.42563629, -99, 1737, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-02-22 00:00:00', 0, 12.1102066, -99, 1266, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-02-23 00:00:00', 0, 12.48387146, -99, 1686, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-02-24 00:00:00', 0.01, 10.387831690000001, -99, 1750, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-02-25 00:00:00', 0, 10.053320879999999, -99, 1862, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-02-26 00:00:00', 0, 8.6012105939999994, -99, 2014, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-02-27 00:00:00', 0, 7.6959328649999996, -99, 2013, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-02-28 00:00:00', 0.01, 9.6325988769999995, -99, 2019, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-02-29 00:00:00', 0, 9.8795528410000006, -99, 1936, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-03-01 00:00:00', 0, 10.933071139999999, -99, 1999, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-03-02 00:00:00', 0, 13.333072659999999, -99, 1992, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-03-03 00:00:00', 0, 13.33732796, -99, 1906, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-03-04 00:00:00', 0, 12.26819706, -99, 1963, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-03-05 00:00:00', 0, 12.843953129999999, -99, 2019, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-03-06 00:00:00', 0, 13.136444089999999, -99, 2069, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-03-07 00:00:00', 0, 15.22335243, -99, 1842, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-03-08 00:00:00', 0, 14.75690651, -99, 2007, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-03-09 00:00:00', 0, 13.22381115, -99, 2081, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-03-10 00:00:00', 0, 13.67160702, -99, 2118, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-03-11 00:00:00', 0, 14.0036211, -99, 2113, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-03-12 00:00:00', 0, 14.383030890000001, -99, 2160, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-03-13 00:00:00', 0, 14.85814476, -99, 1810, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-03-14 00:00:00', 0, 13.338213919999999, -99, 2146, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-03-15 00:00:00', 0, 15.71058178, -99, 2214, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-03-16 00:00:00', 0, 15.09769344, -99, 2200, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-03-17 00:00:00', 0, 15.76744366, -99, 2184, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-03-18 00:00:00', 0, 16.518898010000001, -99, 2224, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-03-19 00:00:00', 0, 17.800662989999999, -99, 2227, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-03-20 00:00:00', 0, 14.214550020000001, -99, 2272, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-03-21 00:00:00', 0, 16.010606769999999, -99, 2307, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-03-22 00:00:00', 0, 16.23473358, -99, 2264, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-03-23 00:00:00', 0, 14.638178829999999, -99, 2365, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-03-24 00:00:00', 0, 15.148536679999999, -99, 2398, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-03-25 00:00:00', 0, 14.959980010000001, -99, 2400, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-03-26 00:00:00', 0, 16.094404220000001, -99, 2326, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-03-27 00:00:00', 0, 16.021572110000001, -99, 2359, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-03-28 00:00:00', 0, 16.552703860000001, -99, 2384, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-03-29 00:00:00', 0, 16.353132250000002, -99, 2178, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-03-30 00:00:00', 0, 15.827137949999999, -99, 2194, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-03-31 00:00:00', 0, 17.219953539999999, -99, 1070, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-04-01 00:00:00', 0, 17.501321789999999, -99, 2400, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-04-02 00:00:00', 5.2300000190000002, 16.65360832, -99, 2219, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-04-03 00:00:00', 0.790000021, 16.420614239999999, -99, 1087, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-04-04 00:00:00', 8.3599996569999995, 14.692535400000001, -99, 1821, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-04-05 00:00:00', 7.0500001909999996, 16.081903459999999, -99, 1079, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-04-06 00:00:00', 0, 12.668243410000001, -99, 2486, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-04-07 00:00:00', 0, 14.20840263, -99, 2438, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-04-08 00:00:00', 0, 15.990287779999999, -99, 2429, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-04-09 00:00:00', 0, 18.149766920000001, -99, 2272, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-04-10 00:00:00', 0, 17.971639629999999, -99, 2319, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-04-11 00:00:00', 0.91000002599999996, 19.550525669999999, -99, 2401, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-04-12 00:00:00', 0, 19.355762479999999, -99, 2478, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-04-13 00:00:00', 0, 20.154512409999999, -99, 2353, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-04-14 00:00:00', 0.31999999299999998, 18.531307219999999, -99, 1869, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-04-15 00:00:00', 2.039999962, 20.175403589999998, -99, 1836, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-04-16 00:00:00', 0.93000000699999996, 17.890686039999999, -99, 1767, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-04-17 00:00:00', 0, 14.29506016, -99, 2674, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-04-18 00:00:00', 0, 16.852331159999999, -99, 2660, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-04-19 00:00:00', 0, 17.102228159999999, -99, 2418, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-04-20 00:00:00', 0, 18.263633729999999, -99, 2648, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-04-21 00:00:00', 0, 21.64502525, -99, 2631, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-04-22 00:00:00', 0, 19.819753649999999, -99, 2670, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-04-23 00:00:00', 0, 20.61993408, -99, 2616, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-04-24 00:00:00', 0, 22.135700230000001, -99, 2680, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-04-25 00:00:00', 0.02, 19.994495390000001, -99, 2683, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-04-26 00:00:00', 0, 22.201967239999998, -99, 2522, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-04-27 00:00:00', 0, 21.182548520000001, -99, 2736, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-04-28 00:00:00', 0, 19.608739849999999, -99, 2745, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-04-29 00:00:00', 0, 21.417617799999999, -99, 2729, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-04-30 00:00:00', 0, 20.911596299999999, -99, 2718, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-05-01 00:00:00', 0, 21.650960919999999, -99, 2693, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-05-02 00:00:00', 0, 23.437778470000001, -99, 2705, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-05-03 00:00:00', 0, 25.020454409999999, -99, 2736, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-05-04 00:00:00', 6.3099999430000002, 23.17965508, -99, 2740, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-05-05 00:00:00', 1.3200000519999999, 22.085083010000002, -99, 2558, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-05-06 00:00:00', 0, 20.695053099999999, -99, 2697, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-05-07 00:00:00', 0, 22.49577713, -99, 2771, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-05-08 00:00:00', 0.219999999, 23.547691350000001, -99, 2684, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-05-09 00:00:00', 2.1400001049999999, 22.441905980000001, -99, 2213, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-05-10 00:00:00', 0.219999999, 21.774002079999999, -99, 2521, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-05-11 00:00:00', 0, 21.786626819999999, -99, 2712, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-05-12 00:00:00', 0, 21.952865599999999, -99, 2763, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-05-13 00:00:00', 0.49000000999999999, 23.48612022, -99, 2284, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-05-14 00:00:00', 0.86000001400000003, 22.849098210000001, -99, 2642, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-05-15 00:00:00', 0, 22.789636609999999, -99, 2722, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-05-16 00:00:00', 0.15000000599999999, 24.964565279999999, -99, 2757, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-05-17 00:00:00', 0, 23.816473009999999, -99, 2824, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-05-18 00:00:00', 13.600000380000001, 26.74430847, -99, 2567, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-05-19 00:00:00', 32.75, 21.782434460000001, -99, 2406, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-05-20 00:00:00', 29.06999969, 20.039018630000001, -99, 1401, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-05-21 00:00:00', 10.85999966, 19.69161034, -99, 2394, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-05-22 00:00:00', 1.7999999520000001, 21.1606369, -99, 1374, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-05-23 00:00:00', 4.7800002099999999, 21.318862920000001, -99, 2730, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-05-24 00:00:00', 0, 21.089427950000001, -99, 2704, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-05-25 00:00:00', 7.8600001339999999, 23.026605610000001, -99, 2000, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-05-26 00:00:00', 0, 19.72537994, -99, 2758, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-05-27 00:00:00', 4.670000076, 21.813930509999999, -99, 1598, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-05-28 00:00:00', 0, 20.22349548, -99, 2811, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-05-29 00:00:00', 0, 22.564382550000001, -99, 2494, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-05-30 00:00:00', 0.88999998599999997, 22.693651200000001, -99, 2775, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-05-31 00:00:00', 0.189999998, 23.87052727, -99, 2708, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-06-01 00:00:00', 3.9700000289999999, 25.10739899, -99, 2447, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-06-02 00:00:00', 1.8899999860000001, 23.572303770000001, -99, 1474, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-06-03 00:00:00', 0, 25.02120399, -99, 2727, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-06-04 00:00:00', 8.7299995419999998, 24.85029411, -99, 2697, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-06-05 00:00:00', 12.039999959999999, 24.355426789999999, -99, 2714, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-06-06 00:00:00', 0, 25.43091965, -99, 2307, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-06-07 00:00:00', 3.8099999430000002, 26.33854294, -99, 2560, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-06-08 00:00:00', 0, 25.087749479999999, -99, 2542, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-06-09 00:00:00', 2.7699999809999998, 25.093086240000002, -99, 1689, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-06-10 00:00:00', 0, 25.41007042, -99, 2545, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-06-11 00:00:00', 1.0299999710000001, 27.112766270000002, -99, 2134, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-06-12 00:00:00', 46.150001529999997, 26.857259750000001, -99, 2236, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-06-13 00:00:00', 16.399999619999999, 24.78494263, -99, 2199, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-06-14 00:00:00', 5.5100002290000001, 25.336694720000001, -99, 716, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-06-15 00:00:00', 85.519996640000002, 25.025938029999999, -99, 602, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-06-16 00:00:00', 1.5299999710000001, 23.817663190000001, -99, 1580, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-06-17 00:00:00', 0, 25.96208, -99, 2658, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-06-18 00:00:00', 0.189999998, 26.042005540000002, -99, 2287, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-06-19 00:00:00', 0.079999998000000003, 26.479314800000001, -99, 1533, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-06-20 00:00:00', 21.049999239999998, 25.982206340000001, -99, 977, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-06-21 00:00:00', 5.9099998469999999, 23.591728209999999, -99, 2767, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-06-22 00:00:00', 0, 23.493265149999999, -99, 2675, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-06-23 00:00:00', 19, 26.39484787, -99, 2697, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-06-24 00:00:00', 16.510000229999999, 24.137962340000001, -99, 2588, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-06-25 00:00:00', 1.5, 25.874767299999998, -99, 2300, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-06-26 00:00:00', 59.659999849999998, 28.011207580000001, -99, 2497, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-06-27 00:00:00', 2.0899999139999998, 25.433418270000001, -99, 1794, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-06-28 00:00:00', 0.079999998000000003, 24.636163710000002, -99, 2550, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-06-29 00:00:00', 24.299999239999998, 25.936500550000002, -99, 543, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-06-30 00:00:00', 0, 24.10956573, -99, 2651, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-07-01 00:00:00', 0, 25.617759700000001, -99, 2685, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-07-02 00:00:00', 0, 27.509078980000002, -99, 2441, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-07-03 00:00:00', 0, 28.65010071, -99, 2594, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-07-04 00:00:00', 0.34999999399999998, 28.201042180000002, -99, 1000, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-07-05 00:00:00', 1.039999962, 28.146940229999998, -99, 972, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-07-06 00:00:00', 1.3899999860000001, 26.43034935, -99, 1340, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-07-07 00:00:00', 0.20000000300000001, 26.894048690000002, -99, 1398, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-07-08 00:00:00', 0.560000002, 26.76606941, -99, 2631, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-07-09 00:00:00', 2.9800000190000002, 26.774278639999999, -99, 2131, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-07-10 00:00:00', 0, 26.051767349999999, -99, 2066, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-07-11 00:00:00', 2.9900000100000002, 27.271951680000001, -99, 1356, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-07-12 00:00:00', 4.7800002099999999, 24.958929059999999, -99, 851, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-07-13 00:00:00', 19.040000920000001, 24.123407360000002, -99, 2390, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-07-14 00:00:00', 0.27000001099999998, 24.27383614, -99, 2365, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-07-15 00:00:00', 0.14000000100000001, 26.664670940000001, -99, 2555, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-07-16 00:00:00', 0.079999998000000003, 27.06744003, -99, 2151, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-07-17 00:00:00', 0, 27.531877519999998, -99, 2483, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-07-18 00:00:00', 0, 27.51910019, -99, 2554, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-07-19 00:00:00', 1.769999981, 27.999309539999999, -99, 2225, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-07-20 00:00:00', 0.189999998, 26.95251274, -99, 1442, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-07-21 00:00:00', 0.74000001000000004, 26.413251880000001, -99, 1538, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-07-22 00:00:00', 0, 25.651557919999998, -99, 2595, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-07-23 00:00:00', 0, 28.176063540000001, -99, 2411, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-07-24 00:00:00', 0, 29.046941759999999, -99, 2600, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-07-25 00:00:00', 0, 27.679788590000001, -99, 2352, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-07-26 00:00:00', 0.219999999, 27.961448669999999, -99, 2480, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-07-27 00:00:00', 0.219999999, 27.235635760000001, -99, 2072, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-07-28 00:00:00', 8.4099998469999999, 27.381599430000001, -99, 2083, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-07-29 00:00:00', 0, 27.051267620000001, -99, 2475, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-07-30 00:00:00', 0.62000000499999997, 28.194749829999999, -99, 1381, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-07-31 00:00:00', 6.1799998279999997, 27.494787219999999, -99, 228, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-08-01 00:00:00', 2.2300000190000002, 24.51572037, -99, 2437, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-08-02 00:00:00', 0.40000000600000002, 26.3575573, -99, 2513, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-08-03 00:00:00', 1.1699999569999999, 27.808542249999999, -99, 130, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-08-04 00:00:00', 9.75, 25.260919569999999, -99, 2385, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-08-05 00:00:00', 30.209999079999999, 24.910484310000001, -99, 674, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-08-06 00:00:00', 3.329999924, 24.400468830000001, -99, 2318, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-08-07 00:00:00', 7.0599999430000002, 25.060794829999999, -99, 2243, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-08-08 00:00:00', 33.490001679999999, 25.8990078, -99, 1419, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-08-09 00:00:00', 0.029999998999999999, 25.106439590000001, -99, 2323, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-08-10 00:00:00', 0.49000000999999999, 26.796356200000002, -99, 2424, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-08-11 00:00:00', 18.620000839999999, 26.826990129999999, -99, 941, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-08-12 00:00:00', 36.75, 25.346488950000001, -99, 431, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-08-13 00:00:00', 29.379999160000001, 24.40642738, -99, 1144, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-08-14 00:00:00', 11.31000042, 24.473482130000001, -99, 1169, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-08-15 00:00:00', 2.9800000190000002, 24.793899540000002, -99, 1361, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-08-16 00:00:00', 0.920000017, 25.19015503, -99, 1390, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-08-17 00:00:00', 0.10000000100000001, 25.041126250000001, -99, 2336, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-08-18 00:00:00', 0, 24.915601729999999, -99, 2512, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-08-19 00:00:00', 0, 25.23629189, -99, 2466, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-08-20 00:00:00', 0, 26.378795619999998, -99, 2427, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-08-21 00:00:00', 0, 25.628885270000001, -99, 2202, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-08-22 00:00:00', 0.090000003999999995, 26.643354420000001, -99, 1727, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-08-23 00:00:00', 0.23000000400000001, 25.978961940000001, -99, 2006, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-08-24 00:00:00', 0, 25.819303510000001, -99, 2401, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-08-25 00:00:00', 1.230000019, 27.132896420000002, -99, 2392, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-08-26 00:00:00', 0, 27.291810989999998, -99, 2390, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-08-27 00:00:00', 0, 26.998130799999998, -99, 2393, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-08-28 00:00:00', 0, 26.288066860000001, -99, 2371, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-08-29 00:00:00', 0, 26.88229179, -99, 2382, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-08-30 00:00:00', 8.9700002669999996, 26.366741179999998, -99, 2184, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-08-31 00:00:00', 0.15999999600000001, 22.368448260000001, -99, 994, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-09-01 00:00:00', 0, 22.322399140000002, -99, 2400, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-09-02 00:00:00', 0, 24.091350559999999, -99, 2292, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-09-03 00:00:00', 0, 25.32317162, -99, 2298, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-09-04 00:00:00', 0, 24.02493286, -99, 2327, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-09-05 00:00:00', 9.8299999239999991, 25.278837200000002, -99, 2231, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-09-06 00:00:00', 9.5100002289999992, 20.011322020000001, -99, 2274, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-09-07 00:00:00', 13.43999958, 21.477901459999998, -99, 1412, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-09-08 00:00:00', 0, 22.381645200000001, -99, 2274, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-09-09 00:00:00', 0, 23.095094679999999, -99, 2353, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-09-10 00:00:00', 0, 22.644828799999999, -99, 2329, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-09-11 00:00:00', 0, 23.766002660000002, -99, 2317, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-09-12 00:00:00', 0, 23.746276859999998, -99, 2267, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-09-13 00:00:00', 0.829999983, 24.31549072, -99, 2132, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-09-14 00:00:00', 0, 24.78908157, -99, 2180, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-09-15 00:00:00', 0, 24.99141693, -99, 2044, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-09-16 00:00:00', 3.2300000190000002, 26.036228179999998, -99, 2157, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-09-17 00:00:00', 24.100000380000001, 25.725513459999998, -99, 1706, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-09-18 00:00:00', 14.579999920000001, 22.40546608, -99, 1694, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-09-19 00:00:00', 82.040000919999997, 21.870910640000002, -99, 1030, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-09-20 00:00:00', 0, 19.562505720000001, -99, 1922, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-09-21 00:00:00', 0, 20.58029938, -99, 2072, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-09-22 00:00:00', 3.2599999899999998, 21.381322860000001, -99, 2006, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-09-23 00:00:00', 0, 18.961742399999999, -99, 2150, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-09-24 00:00:00', 0, 20.058687209999999, -99, 2170, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-09-25 00:00:00', 0, 21.088251110000002, -99, 2160, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-09-26 00:00:00', 0, 22.02287102, -99, 2066, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-09-27 00:00:00', 0, 21.692857740000001, -99, 2056, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-09-28 00:00:00', 0, 23.06653786, -99, 2047, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-09-29 00:00:00', 0, 23.256481170000001, -99, 1923, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-09-30 00:00:00', 0, 24.493341449999999, -99, 1959, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-10-01 00:00:00', 0, 24.557254790000002, -99, 1941, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-10-02 00:00:00', 0, 24.652904509999999, -99, 1943, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-10-03 00:00:00', 0, 24.799774169999999, -99, 1849, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-10-04 00:00:00', 0, 24.667734150000001, -99, 1777, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-10-05 00:00:00', 0, 24.887231830000001, -99, 1747, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-10-06 00:00:00', 0, 23.129161830000001, -99, 1906, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-10-07 00:00:00', 0.050000001000000002, 21.939981459999998, -99, 1918, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-10-08 00:00:00', 0, 21.9335804, -99, 1852, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-10-09 00:00:00', 0, 20.02584839, -99, 1892, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-10-10 00:00:00', 0, 20.670454029999998, -99, 1923, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-10-11 00:00:00', 0, 19.59646416, -99, 1914, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-10-12 00:00:00', 0, 20.847795489999999, -99, 1871, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-10-13 00:00:00', 0, 20.833610530000001, -99, 1846, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-10-14 00:00:00', 0.01, 22.226821900000001, -99, 1763, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-10-15 00:00:00', 0.070000000000000007, 19.302017209999999, -99, 1527, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-10-16 00:00:00', 0.34000000400000002, 17.907140729999998, -99, 1768, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-10-17 00:00:00', 0, 16.820884700000001, -99, 1858, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-10-18 00:00:00', 0, 16.637437819999999, -99, 1855, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-10-19 00:00:00', 0, 16.261156079999999, -99, 1842, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-10-20 00:00:00', 0, 15.846598630000001, -99, 1790, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-10-21 00:00:00', 0, 16.607957840000001, -99, 1758, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-10-22 00:00:00', 0, 16.936447139999999, -99, 1721, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-10-23 00:00:00', 0, 17.194929120000001, -99, 1763, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-10-24 00:00:00', 0, 16.260747909999999, -99, 1722, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-10-25 00:00:00', 0, 16.65771294, -99, 1715, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-10-26 00:00:00', 0, 16.46144104, -99, 1701, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-10-27 00:00:00', 0, 16.314332960000002, -99, 1701, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-10-28 00:00:00', 0, 17.608282089999999, -99, 1487, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-10-29 00:00:00', 0, 17.021793370000001, -99, 1559, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-10-30 00:00:00', 0, 17.067758560000001, -99, 1554, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-10-31 00:00:00', 0, 16.80086708, -99, 1661, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-11-01 00:00:00', 0, 15.71464634, -99, 1680, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-11-02 00:00:00', 0, 14.219032289999999, -99, 1627, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-11-03 00:00:00', 0, 14.135169980000001, -99, 1623, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-11-04 00:00:00', 0, 13.61967754, -99, 1667, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-11-05 00:00:00', 0, 11.731441500000001, -99, 1625, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-11-06 00:00:00', 0, 11.5255394, -99, 1578, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-11-07 00:00:00', 0, 13.038801189999999, -99, 1533, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-11-08 00:00:00', 0, 12.85118866, -99, 1580, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-11-09 00:00:00', 0, 13.249903679999999, -99, 1560, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-11-10 00:00:00', 0, 12.87292957, -99, 1547, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-11-11 00:00:00', 0, 13.149770739999999, -99, 1503, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-11-12 00:00:00', 0, 12.41290188, -99, 1472, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-11-13 00:00:00', 0, 14.92918873, -99, 1394, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-11-14 00:00:00', 0, 14.871583940000001, -99, 1287, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-11-15 00:00:00', 0, 11.8026886, -99, 1454, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-11-16 00:00:00', 0, 11.404995919999999, -99, 1462, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-11-17 00:00:00', 0, 10.753490449999999, -99, 1445, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-11-18 00:00:00', 0, 10.50265503, -99, 1447, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-11-19 00:00:00', 0.44999998800000002, 8.8016099929999996, -99, 1432, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-11-20 00:00:00', 0, 12.05562782, -99, 1342, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-11-21 00:00:00', 0, 8.528549194, -99, 1440, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-11-22 00:00:00', 0, 8.0539960859999997, -99, 1392, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-11-23 00:00:00', 0, 7.9989299770000004, -99, 1422, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-11-24 00:00:00', 0, 9.4437503809999992, -99, 1408, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-11-25 00:00:00', 0, 7.7357645030000004, -99, 1357, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-11-26 00:00:00', 0, 8.4769382479999997, -99, 1196, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-11-27 00:00:00', 0, 8.0368566510000008, -99, 1354, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-11-28 00:00:00', 0, 8.2155160899999995, -99, 1396, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-11-29 00:00:00', 0, 7.1127367020000003, -99, 1386, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-11-30 00:00:00', 0, 7.10135746, -99, 1376, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-12-01 00:00:00', 0, 8.5470581049999996, -99, 1337, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-12-02 00:00:00', 0, 8.4450054170000008, -99, 1334, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-12-03 00:00:00', 0, 8.3841390610000008, -99, 1349, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-12-04 00:00:00', 0, 8.535511971, -99, 1360, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-12-05 00:00:00', 0, 6.9997940060000001, -99, 1332, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-12-06 00:00:00', 0, 8.3081703190000002, -99, 1166, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-12-07 00:00:00', 0, 11.04780293, -99, 736, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-12-08 00:00:00', 0, 10.900371549999999, -99, 1132, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-12-09 00:00:00', 0.090000003999999995, 11.481365200000001, -99, 1108, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-12-10 00:00:00', 0, 11.52651882, -99, 1244, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-12-11 00:00:00', 0, 10.13007736, -99, 1272, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-12-12 00:00:00', 0, 7.670663834, -99, 1284, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-12-13 00:00:00', 0, 5.810715675, -99, 1250, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-12-14 00:00:00', 0, 5.7455778119999996, -99, 1266, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-12-15 00:00:00', 0, 7.5233826639999997, -99, 1270, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-12-16 00:00:00', 0.15000000599999999, 8.4866933820000003, -99, 300, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-12-17 00:00:00', 0, 9.8181591029999993, -99, 1165, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-12-18 00:00:00', 0, 11.610631939999999, -99, 1165, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-12-19 00:00:00', 1.1000000240000001, 13.98378849, -99, 397, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-12-20 00:00:00', 0.109999999, 14.14225388, -99, 470, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-12-21 00:00:00', 0, 11.51759434, -99, 1253, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-12-22 00:00:00', 0, 8.2953624730000008, -99, 1271, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-12-23 00:00:00', 0.02, 6.6642866129999998, -99, 1284, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-12-24 00:00:00', 0, 5.9098210330000001, -99, 1195, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-12-25 00:00:00', 0, 5.908025265, -99, 1188, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-12-26 00:00:00', 0, 5.6019468310000002, -99, 1184, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-12-27 00:00:00', 0, 5.7818269730000003, -99, 992, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-12-28 00:00:00', 0, 6.3997564320000002, -99, 828, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-12-29 00:00:00', 0, 6.5339751240000004, -99, 846, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-12-30 00:00:00', 0, 6.5520777700000004, -99, 740, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-12-31 00:00:00', 0, 7.0772953029999996, -99, 1061, 'lud', 'lud_2008');
INSERT INTO public.cdy_cldat VALUES ('2009-01-01 00:00:00', 0, 5.7745070460000001, -99, 825, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-01-02 00:00:00', 0, 3.715238571, -99, 1101, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-01-03 00:00:00', 0.980000019, 5.1293997759999996, -99, 696, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-01-04 00:00:00', 0.070000000000000007, 8.4168415070000009, -99, 1030, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-01-05 00:00:00', 0, 6.8967595099999999, -99, 1318, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-01-06 00:00:00', 0, 5.439166546, -99, 1259, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-01-07 00:00:00', 0, 4.6366910929999996, -99, 1301, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-01-08 00:00:00', 0, 4.0941100119999998, -99, 1283, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-01-09 00:00:00', 0, 4.132137299, -99, 899, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-01-10 00:00:00', 0, 7.994146347, -99, 1247, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-01-11 00:00:00', 0, 5.4981455800000001, -99, 1352, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-01-12 00:00:00', 0, 5.8220629690000001, -99, 1371, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-01-13 00:00:00', 0, 4.8671560290000002, -99, 1357, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-01-14 00:00:00', 0, 6.8622326850000004, -99, 1365, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-01-15 00:00:00', 0.02, 7.0770030019999997, -99, 1284, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-01-16 00:00:00', 0.34000000400000002, 9.7164659499999999, -99, 377, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-01-17 00:00:00', 0.5, 12.01536274, -99, 923, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-01-18 00:00:00', 2.5599999430000002, 10.956358910000001, -99, 808, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-01-19 00:00:00', 0, 10.373643879999999, -99, 1336, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-01-20 00:00:00', 0, 7.8017086979999997, -99, 1410, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-01-21 00:00:00', 0, 7.439146042, -99, 1441, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-01-22 00:00:00', 0, 8.2421302799999996, -99, 1341, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-01-23 00:00:00', 0, 9.5515193939999996, -99, 1242, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-01-24 00:00:00', 0, 11.923971180000001, -99, 733, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-01-25 00:00:00', 0, 10.535676, -99, 1010, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-01-26 00:00:00', 0, 11.934508320000001, -99, 1112, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-01-27 00:00:00', 0, 8.3205127720000007, -99, 1396, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-01-28 00:00:00', 0, 9.7651500700000007, -99, 1386, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-01-29 00:00:00', 0, 7.5623970030000001, -99, 1426, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-01-30 00:00:00', 0, 7.0929017070000002, -99, 1423, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-01-31 00:00:00', 0, 8.4608879090000002, -99, 1549, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-02-01 00:00:00', 0, 7.808355808, -99, 1602, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-02-02 00:00:00', 0, 7.4839062690000002, -99, 1523, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-02-03 00:00:00', 0, 8.0415983200000003, -99, 1384, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-02-04 00:00:00', 0, 8.3359527589999995, -99, 1580, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-02-05 00:00:00', 0.02, 11.15393353, -99, 1228, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-02-06 00:00:00', 0, 11.129784580000001, -99, 1524, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-02-07 00:00:00', 0, 8.0053453450000003, -99, 1640, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-02-08 00:00:00', 0, 6.8205008510000003, -99, 1696, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-02-09 00:00:00', 0.01, 7.5931429860000001, -99, 1215, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-02-10 00:00:00', 9.7899999619999996, 9.8365373609999995, -99, 616, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-02-11 00:00:00', 0, 9.5538711549999995, -99, 1588, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-02-12 00:00:00', 0, 8.4537220000000008, -99, 1669, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-02-13 00:00:00', 1.5, 8.6655416489999997, -99, 1705, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-02-14 00:00:00', 0, 9.4923219680000006, -99, 1718, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-02-15 00:00:00', 0, 8.552360535, -99, 1793, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-02-16 00:00:00', 0, 8.2611684800000003, -99, 1568, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-02-17 00:00:00', 0, 8.5536880489999998, -99, 1825, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-02-18 00:00:00', 0, 8.7793779369999996, -99, 1855, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-02-19 00:00:00', 0, 9.6743783949999997, -99, 1753, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-02-20 00:00:00', 0, 10.972224239999999, -99, 1804, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-02-21 00:00:00', 0, 11.40007973, -99, 1756, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-02-22 00:00:00', 0, 11.829883580000001, -99, 1780, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-02-23 00:00:00', 0, 11.96713448, -99, 1542, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-02-24 00:00:00', 0, 12.21335697, -99, 1013, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-02-25 00:00:00', 0, 12.45858574, -99, 1893, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-02-26 00:00:00', 0, 11.41997814, -99, 1983, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-02-27 00:00:00', 0, 10.02144146, -99, 2004, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-02-28 00:00:00', 0, 9.3279466630000005, -99, 2041, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-03-01 00:00:00', 0, 10.094371799999999, -99, 1843, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-03-02 00:00:00', 0.039999999000000001, 12.297014239999999, -99, 1936, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-03-03 00:00:00', 0.01, 12.40805149, -99, 1819, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-03-04 00:00:00', 0, 15.88664436, -99, 1791, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-03-05 00:00:00', 0, 14.35272121, -99, 2044, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-03-06 00:00:00', 0, 12.52596569, -99, 1886, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-03-07 00:00:00', 0, 13.633496279999999, -99, 2043, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-03-08 00:00:00', 0, 12.17110825, -99, 1756, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-03-09 00:00:00', 0, 10.438200950000001, -99, 2121, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-03-10 00:00:00', 0, 11.49713326, -99, 2159, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-03-11 00:00:00', 0, 10.723666189999999, -99, 2232, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-03-12 00:00:00', 0, 11.94712925, -99, 2223, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-03-13 00:00:00', 0, 12.9796114, -99, 2233, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-03-14 00:00:00', 0, 13.49379444, -99, 2133, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-03-15 00:00:00', 0, 13.146254539999999, -99, 2191, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-03-16 00:00:00', 0, 14.627488140000001, -99, 2143, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-03-17 00:00:00', 0, 13.683742519999999, -99, 2204, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-03-18 00:00:00', 0, 14.6207695, -99, 2161, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-03-19 00:00:00', 0, 16.68940353, -99, 2183, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-03-20 00:00:00', 3.5, 16.933210370000001, -99, 2225, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-03-21 00:00:00', 0, 13.310076710000001, -99, 2260, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-03-22 00:00:00', 0, 15.239997860000001, -99, 1521, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-03-23 00:00:00', 0, 15.27194881, -99, 2289, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-03-24 00:00:00', 4.5100002290000001, 15.79261208, -99, 2086, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-03-25 00:00:00', 1.5299999710000001, 15.805605890000001, -99, 1649, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-03-26 00:00:00', 0.68000000699999996, 12.60782146, -99, 2373, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-03-27 00:00:00', 18.81999969, 15.36844921, -99, 965, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-03-28 00:00:00', 0.25999999000000001, 12.91238403, -99, 1328, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-03-29 00:00:00', 0.01, 16.336053849999999, -99, 1415, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-03-30 00:00:00', 0, 14.88361931, -99, 2402, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-03-31 00:00:00', 0, 15.51989174, -99, 2473, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-04-01 00:00:00', 0, 16.785728450000001, -99, 2074, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-04-02 00:00:00', 4.9899997709999999, 17.172702789999999, -99, 2367, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-04-03 00:00:00', 0, 18.556549069999999, -99, 2430, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-04-04 00:00:00', 0, 17.384073260000001, -99, 2443, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-04-05 00:00:00', 1.1299999949999999, 16.128061290000002, -99, 2395, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-04-06 00:00:00', 8.8199996949999999, 17.363756179999999, -99, 717, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-04-07 00:00:00', 0.93000000699999996, 13.75258255, -99, 2474, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-04-08 00:00:00', 37.020000459999999, 17.534763340000001, -99, 1360, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-04-09 00:00:00', 0, 14.009866710000001, -99, 2054, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-04-10 00:00:00', 0, 14.342011449999999, -99, 2509, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-04-11 00:00:00', 0, 16.361406330000001, -99, 2491, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-04-12 00:00:00', 0, 18.991001130000001, -99, 2522, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-04-13 00:00:00', 0, 17.931694029999999, -99, 2551, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-04-14 00:00:00', 0, 19.680498119999999, -99, 2563, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-04-15 00:00:00', 1.4199999569999999, 20.65665817, -99, 2496, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-04-16 00:00:00', 0, 21.260997769999999, -99, 2464, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-04-17 00:00:00', 0, 19.163928989999999, -99, 2675, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-04-18 00:00:00', 0, 19.556262969999999, -99, 2679, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-04-19 00:00:00', 0, 20.106349949999998, -99, 2660, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-04-20 00:00:00', 0.070000000000000007, 22.916770939999999, -99, 2226, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-04-21 00:00:00', 0, 23.250968929999999, -99, 2201, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-04-22 00:00:00', 0, 21.243053440000001, -99, 2623, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-04-23 00:00:00', 0, 19.247510909999999, -99, 2656, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-04-24 00:00:00', 0, 18.859939579999999, -99, 2752, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-04-25 00:00:00', 0, 17.378225329999999, -99, 2769, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-04-26 00:00:00', 0, 18.921791079999998, -99, 2713, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-04-27 00:00:00', 0, 19.877094270000001, -99, 2597, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-04-28 00:00:00', 0, 22.89189339, -99, 2604, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-04-29 00:00:00', 0, 22.47786331, -99, 2401, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-04-30 00:00:00', 0, 22.289871219999998, -99, 2682, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-05-01 00:00:00', 0, 22.311922070000001, -99, 2637, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-05-02 00:00:00', 0, 23.627042769999999, -99, 2648, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-05-03 00:00:00', 2.7799999710000001, 24.986368179999999, -99, 1847, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-05-04 00:00:00', 0.02, 22.276458739999999, -99, 940, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-05-05 00:00:00', 0.01, 18.952404019999999, -99, 2416, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-05-06 00:00:00', 0, 20.106422420000001, -99, 2736, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-05-07 00:00:00', 0, 20.535703659999999, -99, 2700, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-05-08 00:00:00', 0, 20.967470169999999, -99, 2535, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-05-09 00:00:00', 0, 22.645851140000001, -99, 2719, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-05-10 00:00:00', 0, 24.086942669999999, -99, 2361, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-05-11 00:00:00', 0, 20.84002113, -99, 2764, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-05-12 00:00:00', 0, 20.6792202, -99, 2833, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-05-13 00:00:00', 0, 20.81596184, -99, 2803, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-05-14 00:00:00', 0, 23.77365494, -99, 2806, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-05-15 00:00:00', 0, 25.224130630000001, -99, 2718, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-05-16 00:00:00', 0, 25.664299010000001, -99, 2784, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-05-17 00:00:00', 0, 25.735410689999998, -99, 2816, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-05-18 00:00:00', 0, 23.558506009999999, -99, 2855, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-05-19 00:00:00', 0, 26.14203835, -99, 2678, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-05-20 00:00:00', 0, 24.564685820000001, -99, 2736, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-05-21 00:00:00', 0, 27.70664215, -99, 2676, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-05-22 00:00:00', 0.050000001000000002, 25.66172791, -99, 2832, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-05-23 00:00:00', 0, 25.071210860000001, -99, 2648, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-05-24 00:00:00', 0, 24.883903499999999, -99, 2822, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-05-25 00:00:00', 0, 21.962703699999999, -99, 2615, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-05-26 00:00:00', 0, 21.845184329999999, -99, 2877, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-05-27 00:00:00', 0, 22.80236244, -99, 2848, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-05-28 00:00:00', 0, 25.411224369999999, -99, 2855, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-05-29 00:00:00', 0.310000002, 24.42515564, -99, 2836, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-05-30 00:00:00', 0, 23.26146889, -99, 2758, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-05-31 00:00:00', 0.87000000499999997, 22.994674679999999, -99, 2769, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-06-01 00:00:00', 0, 23.637722019999998, -99, 2795, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-06-02 00:00:00', 0, 25.16420364, -99, 2799, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-06-03 00:00:00', 0, 27.013957980000001, -99, 2854, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-06-04 00:00:00', 0, 26.866418840000001, -99, 2829, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-06-05 00:00:00', 0, 28.52884865, -99, 2221, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-06-06 00:00:00', 0, 26.516040799999999, -99, 2550, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-06-07 00:00:00', 0, 25.315008160000001, -99, 2926, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-06-08 00:00:00', 0, 23.071674349999999, -99, 2978, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-06-09 00:00:00', 0, 24.7810688, -99, 2875, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-06-10 00:00:00', 1.190000057, 24.585689540000001, -99, 2921, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-06-11 00:00:00', 0.25, 26.54150963, -99, 2836, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-06-12 00:00:00', 0, 27.211528779999998, -99, 2803, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-06-13 00:00:00', 0.109999999, 27.106267930000001, -99, 2093, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-06-14 00:00:00', 0.280000001, 24.937381739999999, -99, 2790, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-06-15 00:00:00', 3.369999886, 26.445880890000002, -99, 1648, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-06-16 00:00:00', 0, 22.125368120000001, -99, 1653, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-06-17 00:00:00', 0, 23.791370390000001, -99, 2804, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-06-18 00:00:00', 0, 24.281883239999999, -99, 2851, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-06-19 00:00:00', 0, 25.174219130000001, -99, 2829, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-06-20 00:00:00', 0, 25.487806320000001, -99, 2882, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-06-21 00:00:00', 0, 26.232635500000001, -99, 2950, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-06-22 00:00:00', 0, 26.86731911, -99, 2896, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-06-23 00:00:00', 0, 27.129003520000001, -99, 2871, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-06-24 00:00:00', 0, 28.432159420000001, -99, 2677, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-06-25 00:00:00', 0, 27.401248930000001, -99, 2777, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-06-26 00:00:00', 0, 27.640016559999999, -99, 2701, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-06-27 00:00:00', 0, 29.420289990000001, -99, 2772, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-06-28 00:00:00', 0, 31.554489140000001, -99, 2774, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-06-29 00:00:00', 17.38999939, 29.727592470000001, -99, 2705, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-06-30 00:00:00', 3.3499999049999998, 24.608335490000002, -99, 1312, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-07-01 00:00:00', 0.86000001400000003, 23.10786629, -99, 2088, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-07-02 00:00:00', 0.109999999, 24.872833249999999, -99, 1307, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-07-03 00:00:00', 0, 25.45935631, -99, 2673, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-07-04 00:00:00', 0, 25.810188289999999, -99, 2837, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-07-05 00:00:00', 0, 27.158775330000001, -99, 2859, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-07-06 00:00:00', 0, 26.601001740000001, -99, 2869, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-07-07 00:00:00', 0, 27.219545360000001, -99, 2846, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-07-08 00:00:00', 0, 29.134410859999999, -99, 2751, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-07-09 00:00:00', 0.40000000600000002, 28.855983729999998, -99, 608, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-07-10 00:00:00', 0.02, 27.765419009999999, -99, 2543, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-07-11 00:00:00', 0.119999997, 27.848447799999999, -99, 2146, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-07-12 00:00:00', 0, 28.268413540000001, -99, 2643, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-07-13 00:00:00', 6.9299998279999997, 27.291357040000001, -99, 2569, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-07-14 00:00:00', 0.56999999300000004, 24.61694717, -99, 882, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-07-15 00:00:00', 0, 26.817255020000001, -99, 2725, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-07-16 00:00:00', 0, 27.46443558, -99, 2692, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-07-17 00:00:00', 0, 29.517372129999998, -99, 2309, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-07-18 00:00:00', 0, 27.530681609999998, -99, 2636, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-07-19 00:00:00', 0, 26.849929809999999, -99, 2635, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-07-20 00:00:00', 0.01, 29.42318916, -99, 2351, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-07-21 00:00:00', 2.8199999330000001, 26.973522190000001, -99, 2498, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-07-22 00:00:00', 0.090000003999999995, 26.684720989999999, -99, 2129, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-07-23 00:00:00', 0.310000002, 26.412588119999999, -99, 729, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-07-24 00:00:00', 0.20000000300000001, 26.650766369999999, -99, 1170, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-07-25 00:00:00', 0, 26.25645256, -99, 2548, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-07-26 00:00:00', 0.01, 28.490230560000001, -99, 2874, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-07-27 00:00:00', 2.289999962, 28.676643370000001, -99, 1211, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-07-28 00:00:00', 0, 25.557073590000002, -99, 1320, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-07-29 00:00:00', 0.52999997099999996, 24.556108470000002, -99, 1645, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-07-30 00:00:00', 0.039999999000000001, 24.631826400000001, -99, 2753, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-07-31 00:00:00', 0, 25.117397310000001, -99, 2906, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-08-01 00:00:00', 0.30000001199999998, 26.572095869999998, -99, 2732, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-08-02 00:00:00', 0, 28.082118990000001, -99, 2609, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-08-03 00:00:00', 11.06999969, 28.481281280000001, -99, 1842, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-08-04 00:00:00', 0.20000000300000001, 28.55438805, -99, 1840, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-08-05 00:00:00', 0, 28.37239456, -99, 2192, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-08-06 00:00:00', 0, 28.303981780000001, -99, 2558, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-08-07 00:00:00', 0, 28.010135649999999, -99, 2477, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-08-08 00:00:00', 0, 28.70030594, -99, 2483, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-08-09 00:00:00', 0, 29.049434659999999, -99, 2159, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-08-10 00:00:00', 0, 28.045810700000001, -99, 2474, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-08-11 00:00:00', 2.4800000190000002, 28.772163389999999, -99, 1779, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-08-12 00:00:00', 0, 28.746717449999998, -99, 2224, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-08-13 00:00:00', 3.3199999330000001, 29.491409300000001, -99, 2356, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-08-14 00:00:00', 0, 28.93614006, -99, 1708, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-08-15 00:00:00', 2.4700000289999999, 26.98405266, -99, 1282, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-08-16 00:00:00', 0, 25.704950329999999, -99, 1487, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-08-17 00:00:00', 0.730000019, 25.519090649999999, -99, 1187, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-08-18 00:00:00', 16.530000690000001, 26.097282409999998, -99, 1449, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-08-19 00:00:00', 0.50999998999999996, 24.037273410000001, -99, 987, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-08-20 00:00:00', 0, 24.523612979999999, -99, 2516, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-08-21 00:00:00', 1.3999999759999999, 25.158559799999999, -99, 1100, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-08-22 00:00:00', 0, 25.129293440000001, -99, 2500, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-08-23 00:00:00', 0.050000001000000002, 26.468711849999998, -99, 2446, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-08-24 00:00:00', 0, 25.902259829999998, -99, 2446, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-08-25 00:00:00', 0.55000001200000004, 25.288721079999998, -99, 2297, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-08-26 00:00:00', 0, 26.118219379999999, -99, 2026, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-08-27 00:00:00', 0, 25.555414200000001, -99, 2199, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-08-28 00:00:00', 0, 25.644765849999999, -99, 2237, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-08-29 00:00:00', 0.01, 26.099571229999999, -99, 2277, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-08-30 00:00:00', 6.4699997900000001, 27.020889279999999, -99, 856, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-08-31 00:00:00', 4.0599999430000002, 23.507677080000001, -99, 670, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-09-01 00:00:00', 0.469999999, 24.054277419999998, -99, 2067, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-09-02 00:00:00', 1.809999943, 25.738214490000001, -99, 2375, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-09-03 00:00:00', 9.0699996949999999, 24.742868420000001, -99, 881, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-09-04 00:00:00', 0, 22.073881149999998, -99, 2173, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-09-05 00:00:00', 0, 23.38963699, -99, 2348, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-09-06 00:00:00', 0, 22.787528989999998, -99, 2407, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-09-07 00:00:00', 0, 23.306787490000001, -99, 2390, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-09-08 00:00:00', 0, 23.439306259999999, -99, 2372, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-09-09 00:00:00', 38.22000122, 23.3948307, -99, 1848, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-09-10 00:00:00', 16.290000920000001, 22.50763512, -99, 1621, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-09-11 00:00:00', 12.670000079999999, 22.498462679999999, -99, 810, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-09-12 00:00:00', 0.439999998, 21.651380540000002, -99, 1901, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-09-13 00:00:00', 0, 23.712665560000001, -99, 2097, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-09-14 00:00:00', 0, 23.556766509999999, -99, 2212, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-09-15 00:00:00', 0, 22.53109169, -99, 2238, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-09-16 00:00:00', 0, 23.97754669, -99, 2142, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-09-17 00:00:00', 0, 22.440183640000001, -99, 2235, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-09-18 00:00:00', 0, 23.2201767, -99, 2218, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-09-19 00:00:00', 0, 23.95610237, -99, 2183, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-09-20 00:00:00', 0, 24.841566090000001, -99, 2091, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-09-21 00:00:00', 0, 24.63875389, -99, 2062, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-09-22 00:00:00', 0, 25.570722580000002, -99, 1933, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-09-23 00:00:00', 0, 25.33938217, -99, 1858, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-09-24 00:00:00', 0, 25.148870469999999, -99, 1975, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-09-25 00:00:00', 0, 25.667844769999999, -99, 2018, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-09-26 00:00:00', 0, 24.673063280000001, -99, 2016, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-09-27 00:00:00', 0, 24.975786209999999, -99, 2049, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-09-28 00:00:00', 0, 23.11432838, -99, 2083, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-09-29 00:00:00', 0, 24.262168880000001, -99, 2067, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-09-30 00:00:00', 0, 23.53608131, -99, 2035, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-10-01 00:00:00', 0, 24.55509567, -99, 1977, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-10-02 00:00:00', 0, 25.789089199999999, -99, 1866, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-10-03 00:00:00', 0, 25.297973630000001, -99, 1920, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-10-04 00:00:00', 0, 24.651666639999998, -99, 1075, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-10-05 00:00:00', 0, 20.70791054, -99, 1890, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-10-06 00:00:00', 0, 22.060886379999999, -99, 1949, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-10-07 00:00:00', 0, 21.695369719999999, -99, 1965, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-10-08 00:00:00', 0, 20.711185459999999, -99, 1923, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-10-09 00:00:00', 0, 20.272735600000001, -99, 1920, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-10-10 00:00:00', 0, 19.423831939999999, -99, 1909, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-10-11 00:00:00', 0, 19.619441989999999, -99, 1924, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-10-12 00:00:00', 0, 17.80152893, -99, 1922, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-10-13 00:00:00', 0, 18.334045410000002, -99, 1894, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-10-14 00:00:00', 0, 18.214035030000002, -99, 1873, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-10-15 00:00:00', 0, 18.16639709, -99, 1854, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-10-16 00:00:00', 0, 18.46994591, -99, 1823, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-10-17 00:00:00', 0, 17.819236759999999, -99, 1853, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-10-18 00:00:00', 0, 18.233285899999998, -99, 1753, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-10-19 00:00:00', 0, 16.755325320000001, -99, 1810, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-10-20 00:00:00', 0, 16.194593430000001, -99, 1840, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-10-21 00:00:00', 0, 15.44859505, -99, 1836, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-10-22 00:00:00', 0, 15.47985458, -99, 1818, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-10-23 00:00:00', 0, 14.79983807, -99, 1837, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-10-24 00:00:00', 0, 14.530704500000001, -99, 1800, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-10-25 00:00:00', 0, 13.74684429, -99, 1781, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-10-26 00:00:00', 0, 13.14930916, -99, 1764, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-10-27 00:00:00', 0, 12.284667969999999, -99, 1757, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-10-28 00:00:00', 0, 12.72022915, -99, 1699, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-10-29 00:00:00', 0, 13.62502956, -99, 1665, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-10-30 00:00:00', 0, 14.978165629999999, -99, 1683, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-10-31 00:00:00', 0, 14.031015399999999, -99, 1658, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-11-01 00:00:00', 0, 14.702842710000001, -99, 1609, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-11-02 00:00:00', 0, 14.59951115, -99, 1563, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-11-03 00:00:00', 0, 15.089106559999999, -99, 1387, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-11-04 00:00:00', 0, 13.968976019999999, -99, 1572, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-11-05 00:00:00', 0, 13.89678383, -99, 1560, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-11-06 00:00:00', 0, 13.696627619999999, -99, 1563, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-11-07 00:00:00', 0, 12.824790950000001, -99, 1554, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-11-08 00:00:00', 0, 12.94207954, -99, 1546, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-11-09 00:00:00', 1.1399999860000001, 15.62557316, -99, 955, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-11-10 00:00:00', 0, 13.03904152, -99, 1481, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-11-11 00:00:00', 0, 10.420405390000001, -99, 1581, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-11-12 00:00:00', 0, 10.20307732, -99, 1530, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-11-13 00:00:00', 0, 13.13232517, -99, 912, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-11-14 00:00:00', 0.12999999500000001, 15.1809864, -99, 531, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-11-15 00:00:00', 0, 15.098363880000001, -99, 1214, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-11-16 00:00:00', 0, 12.13341999, -99, 1394, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-11-17 00:00:00', 0, 10.73465824, -99, 1454, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-11-18 00:00:00', 0, 10.38174725, -99, 1491, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-11-19 00:00:00', 0, 9.2796468730000008, -99, 1492, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-11-20 00:00:00', 0, 8.5559062959999999, -99, 1506, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-11-21 00:00:00', 0, 6.9885053629999998, -99, 1421, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-11-22 00:00:00', 0, 7.3429789540000003, -99, 1130, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-11-23 00:00:00', 0, 8.6048021319999997, -99, 1409, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-11-24 00:00:00', 0, 8.9624814990000008, -99, 1397, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-11-25 00:00:00', 0, 8.3575506209999997, -99, 1376, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-11-26 00:00:00', 0, 9.1083650590000005, -99, 1385, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-11-27 00:00:00', 0, 7.7952342029999997, -99, 1160, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-11-28 00:00:00', 0, 6.7311177249999998, -99, 1041, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-11-29 00:00:00', 0, 7.2563018799999996, -99, 1023, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-11-30 00:00:00', 0, 7.2689065929999996, -99, 1148, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-12-01 00:00:00', 0, 7.8317070009999998, -99, 1121, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-12-02 00:00:00', 0, 8.2897291180000003, -99, 1326, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-12-03 00:00:00', 0, 8.2204809189999999, -99, 1329, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-12-04 00:00:00', 0, 9.2858848569999992, -99, 1170, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-12-05 00:00:00', 0, 9.2694854739999997, -99, 1295, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-12-06 00:00:00', 0, 9.9740524290000003, -99, 1307, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-12-07 00:00:00', 0, 8.8352184299999994, -99, 1342, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-12-08 00:00:00', 0, 5.787537575, -99, 1284, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-12-09 00:00:00', 0, 6.1272244450000004, -99, 842, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-12-10 00:00:00', 0, 9.0657405850000004, -99, 1121, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-12-11 00:00:00', 0, 9.6591300960000002, -99, 940, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-12-12 00:00:00', 0, 9.4343776699999999, -99, 818, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-12-13 00:00:00', 0, 8.2529602050000008, -99, 1279, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-12-14 00:00:00', 0.029999998999999999, 7.7570519449999997, -99, 805, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-12-15 00:00:00', 0, 10.526277540000001, -99, 1204, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-12-16 00:00:00', 0, 7.7427911759999999, -99, 1155, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-12-17 00:00:00', 0, 8.1534051900000009, -99, 1263, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-12-18 00:00:00', 0, 6.4589881900000004, -99, 1295, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-12-19 00:00:00', 0, 6.2435522079999997, -99, 1186, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-12-20 00:00:00', 0, 6.250331879, -99, 491, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-12-21 00:00:00', 0, 5.5963315959999997, -99, 1281, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-12-22 00:00:00', 0, 5.9999232290000002, -99, 1299, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-12-23 00:00:00', 0, 4.8930277819999999, -99, 1314, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-12-24 00:00:00', 0, 4.9340949060000003, -99, 1310, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-12-25 00:00:00', 0, 5.6562504770000004, -99, 1295, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-12-26 00:00:00', 0, 3.8307657239999999, -99, 1273, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-12-27 00:00:00', 0, 4.270293713, -99, 1179, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-12-28 00:00:00', 0, 3.198005915, -99, 1271, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-12-29 00:00:00', 0, 4.0349221230000003, -99, 1196, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-12-30 00:00:00', 0, 3.6931388379999999, -99, 1251, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-12-31 00:00:00', 0, 4.0129137039999998, -99, 1272, 'lud', 'lud_2009');
INSERT INTO public.cdy_cldat VALUES ('2010-01-01 00:00:00', 0, 5.2884430890000003, -99, 1279, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-01-02 00:00:00', 0, 6.075830936, -99, 672, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-01-03 00:00:00', 0.119999997, 7.661916733, -99, 385, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-01-04 00:00:00', 0, 6.8520231249999997, -99, 879, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-01-05 00:00:00', 0, 6.4044828410000001, -99, 1059, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-01-06 00:00:00', 0, 5.4967999460000003, -99, 607, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-01-07 00:00:00', 0, 5.3628087039999999, -99, 1036, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-01-08 00:00:00', 0, 5.8336715699999999, -99, 684, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-01-09 00:00:00', 0, 5.6859889030000001, -99, 650, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-01-10 00:00:00', 0, 5.7209548950000002, -99, 565, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-01-11 00:00:00', 0, 5.2473301890000004, -99, 659, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-01-12 00:00:00', 0.039999999000000001, 4.9835338589999996, -99, 539, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-01-13 00:00:00', 0, 6.3654818530000004, -99, 900, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-01-14 00:00:00', 0, 5.1110954279999996, -99, 1100, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-01-15 00:00:00', 0, 5.818389893, -99, 1100, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-01-16 00:00:00', 0, 4.100128174, -99, 1367, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-01-17 00:00:00', 0, 5.6827816960000002, -99, 784, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-01-18 00:00:00', 0, 6.4771680829999996, -99, 717, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-01-19 00:00:00', 0, 4.6914358140000001, -99, 748, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-01-20 00:00:00', 0, 4.7909145359999998, -99, 961, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-01-21 00:00:00', 0, 3.7872769829999999, -99, 1146, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-01-22 00:00:00', 0, 4.9529614449999997, -99, 791, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-01-23 00:00:00', 0, 4.4907708169999996, -99, 1044, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-01-24 00:00:00', 0, 5.495285988, -99, 1287, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-01-25 00:00:00', 0, 5.7356967929999998, -99, 1432, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-01-26 00:00:00', 0, 4.7776274680000004, -99, 1503, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-01-27 00:00:00', 0, 6.5586705209999998, -99, 1418, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-01-28 00:00:00', 0.01, 8.8961906430000006, -99, 1430, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-01-29 00:00:00', 0, 12.22723579, -99, 1285, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-01-30 00:00:00', 0, 8.9615459439999992, -99, 1556, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-01-31 00:00:00', 0, 7.7264685630000001, -99, 1603, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-02-01 00:00:00', 0, 5.4601645469999998, -99, 1516, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-02-02 00:00:00', 0, 6.5924968719999999, -99, 1582, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-02-03 00:00:00', 0, 6.8364195820000004, -99, 1641, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-02-04 00:00:00', 0, 7.687728882, -99, 1626, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-02-05 00:00:00', 0, 9.0246486659999992, -99, 1507, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-02-06 00:00:00', 0, 10.76935005, -99, 961, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-02-07 00:00:00', 0, 12.693125719999999, -99, 631, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-02-08 00:00:00', 3.579999924, 14.80278397, -99, 531, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-02-09 00:00:00', 0, 13.30003548, -99, 1530, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-02-10 00:00:00', 0, 7.1308588979999996, -99, 1234, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-02-11 00:00:00', 0, 7.3429813389999996, -99, 1416, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-02-12 00:00:00', 0, 8.5153188709999998, -99, 1543, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-02-13 00:00:00', 0, 9.5287141799999997, -99, 1711, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-02-14 00:00:00', 0, 9.0146541599999992, -99, 1735, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-02-15 00:00:00', 0, 8.5037107469999995, -99, 1753, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-02-16 00:00:00', 0, 7.712137222, -99, 1762, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-02-17 00:00:00', 0, 8.6227073670000003, -99, 1842, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-02-18 00:00:00', 0, 7.3273749349999999, -99, 1811, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-02-19 00:00:00', 0, 7.6801314349999998, -99, 1842, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-02-20 00:00:00', 0, 8.3671646119999998, -99, 1831, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-02-21 00:00:00', 0, 9.9730129240000007, -99, 1859, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-02-22 00:00:00', 0, 10.345794679999999, -99, 1319, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-02-23 00:00:00', 0.119999997, 13.88070583, -99, 1775, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-02-24 00:00:00', 0, 11.516459469999999, -99, 1853, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-02-25 00:00:00', 0, 12.73344707, -99, 1617, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-02-26 00:00:00', 0, 13.23211098, -99, 1840, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-02-27 00:00:00', 0, 14.00263786, -99, 1878, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-02-28 00:00:00', 0, 14.192108149999999, -99, 1623, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-03-01 00:00:00', 0, 15.79223251, -99, 1874, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-03-02 00:00:00', 0, 14.309958460000001, -99, 2001, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-03-03 00:00:00', 0.02, 14.47803783, -99, 1023, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-03-04 00:00:00', 0.029999998999999999, 13.235828400000001, -99, 546, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-03-05 00:00:00', 0, 11.967903140000001, -99, 2046, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-03-06 00:00:00', 0.02, 12.19155788, -99, 1424, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-03-07 00:00:00', 0, 11.7582407, -99, 2067, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-03-08 00:00:00', 0, 12.086466789999999, -99, 2068, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-03-09 00:00:00', 0, 12.808658599999999, -99, 2127, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-03-10 00:00:00', 0, 13.906529430000001, -99, 1865, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-03-11 00:00:00', 0, 13.488828659999999, -99, 2103, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-03-12 00:00:00', 0, 14.162021640000001, -99, 2124, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-03-13 00:00:00', 0, 14.723786349999999, -99, 2118, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-03-14 00:00:00', 0, 15.430661199999999, -99, 2173, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-03-15 00:00:00', 0, 15.40286541, -99, 2197, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-03-16 00:00:00', 0, 16.14995575, -99, 2187, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-03-17 00:00:00', 0, 16.790401459999998, -99, 2201, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-03-18 00:00:00', 0, 17.71709633, -99, 2235, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-03-19 00:00:00', 0, 18.894777300000001, -99, 2237, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-03-20 00:00:00', 0, 18.635086059999999, -99, 2260, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-03-21 00:00:00', 0, 18.790750500000001, -99, 2114, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-03-22 00:00:00', 0, 20.132808690000001, -99, 2174, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-03-23 00:00:00', 0, 19.562240599999999, -99, 2300, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-03-24 00:00:00', 0, 20.028745650000001, -99, 2350, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-03-25 00:00:00', 0, 18.786281590000002, -99, 2329, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-03-26 00:00:00', 0, 19.488241200000001, -99, 2314, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-03-27 00:00:00', 0, 19.908626559999998, -99, 2358, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-03-28 00:00:00', 0, 18.68649864, -99, 2378, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-03-29 00:00:00', 0, 19.58213997, -99, 2367, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-03-30 00:00:00', 0, 21.544435499999999, -99, 2355, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-03-31 00:00:00', 0, 19.173578259999999, -99, 2396, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-04-01 00:00:00', 0, 18.651144030000001, -99, 2443, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-04-02 00:00:00', 0.18000000699999999, 17.9243679, -99, 2261, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-04-03 00:00:00', 0, 18.30972672, -99, 2456, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-04-04 00:00:00', 0, 18.37614632, -99, 2408, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-04-05 00:00:00', 0, 20.940685269999999, -99, 2427, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-04-06 00:00:00', 0, 19.255395889999999, -99, 2536, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-04-07 00:00:00', 0, 17.706996920000002, -99, 2530, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-04-08 00:00:00', 0, 19.156297680000002, -99, 2456, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-04-09 00:00:00', 0, 20.608760830000001, -99, 2499, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-04-10 00:00:00', 0, 20.598411559999999, -99, 2503, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-04-11 00:00:00', 0, 21.557146070000002, -99, 2514, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-04-12 00:00:00', 0, 23.003612520000001, -99, 1829, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-04-13 00:00:00', 0, 19.917802810000001, -99, 2577, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-04-14 00:00:00', 0, 21.276330949999998, -99, 2628, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-04-15 00:00:00', 0, 21.201745989999999, -99, 2572, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-04-16 00:00:00', 0, 22.96390152, -99, 2439, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-04-17 00:00:00', 0, 24.375949859999999, -99, 2518, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-04-18 00:00:00', 0.01, 27.726928709999999, -99, 1680, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-04-19 00:00:00', 0, 28.048477170000002, -99, 2518, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-04-20 00:00:00', 0, 25.091653820000001, -99, 2570, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-04-21 00:00:00', 0.28999999199999998, 25.676893230000001, -99, 1527, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-04-22 00:00:00', 0, 21.983348849999999, -99, 2147, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-04-23 00:00:00', 0, 22.20213699, -99, 2595, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-04-24 00:00:00', 0, 22.498851779999999, -99, 2507, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-04-25 00:00:00', 0, 19.826419829999999, -99, 2727, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-04-26 00:00:00', 0, 21.63265419, -99, 2574, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-04-27 00:00:00', 0, 25.991760249999999, -99, 1789, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-04-28 00:00:00', 0, 24.271114350000001, -99, 2444, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-04-29 00:00:00', 0, 22.820247649999999, -99, 2621, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-04-30 00:00:00', 0.99000001000000004, 24.794879909999999, -99, 2129, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-05-01 00:00:00', 0, 22.22751427, -99, 2581, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-05-02 00:00:00', 0, 24.056575779999999, -99, 2667, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-05-03 00:00:00', 0, 24.218067170000001, -99, 2692, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-05-04 00:00:00', 0, 25.01931763, -99, 2621, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-05-05 00:00:00', 0.20000000300000001, 26.800376889999999, -99, 2173, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-05-06 00:00:00', 0, 24.777622220000001, -99, 1924, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-05-07 00:00:00', 2.880000114, 25.175170900000001, -99, 2119, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-05-08 00:00:00', 0, 21.65328598, -99, 2707, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-05-09 00:00:00', 0, 23.746971129999999, -99, 2724, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-05-10 00:00:00', 0.23000000400000001, 24.353834150000001, -99, 2751, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-05-11 00:00:00', 0, 23.768943790000002, -99, 2735, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-05-12 00:00:00', 0, 23.021177290000001, -99, 2791, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-05-13 00:00:00', 0, 24.740331650000002, -99, 2720, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-05-14 00:00:00', 0, 23.523960110000001, -99, 2777, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-05-15 00:00:00', 0, 25.590019229999999, -99, 2790, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-05-16 00:00:00', 0, 29.98608398, -99, 2799, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-05-17 00:00:00', 0, 29.08623695, -99, 1826, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-05-18 00:00:00', 0.050000001000000002, 28.484561920000001, -99, 1279, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-05-19 00:00:00', 0, 23.70173836, -99, 2817, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-05-20 00:00:00', 0, 24.432922359999999, -99, 2894, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-05-21 00:00:00', 0, 23.155458450000001, -99, 2900, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-05-22 00:00:00', 0, 24.604881290000002, -99, 2821, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-05-23 00:00:00', 0, 29.214960099999999, -99, 2559, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-05-24 00:00:00', 0, 27.407361980000001, -99, 2823, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-05-25 00:00:00', 0, 26.268224719999999, -99, 2900, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-05-26 00:00:00', 0, 25.582967759999999, -99, 2961, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-05-27 00:00:00', 0, 27.82958794, -99, 2801, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-05-28 00:00:00', 0, 30.01178741, -99, 2243, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-05-29 00:00:00', 0, 25.916322709999999, -99, 2811, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-05-30 00:00:00', 0, 24.294670100000001, -99, 2860, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-05-31 00:00:00', 0, 24.357946399999999, -99, 2907, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-06-01 00:00:00', 0, 26.145080570000001, -99, 2858, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-06-02 00:00:00', 0.25999999000000001, 28.25219727, -99, 2674, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-06-03 00:00:00', 1.809999943, 27.714637759999999, -99, 2203, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-06-04 00:00:00', 8.1599998469999999, 26.919361110000001, -99, 2654, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-06-05 00:00:00', 0, 21.81836891, -99, 2732, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-06-06 00:00:00', 0, 23.835731509999999, -99, 2828, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-06-07 00:00:00', 19.489999770000001, 25.435548780000001, -99, 967, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-06-08 00:00:00', 31.459999079999999, 20.814182280000001, -99, 2243, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-06-09 00:00:00', 0, 21.65801239, -99, 2767, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-06-10 00:00:00', 0, 23.14333534, -99, 2696, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-06-11 00:00:00', 0, 24.623140339999999, -99, 2773, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-06-12 00:00:00', 0, 26.435817719999999, -99, 2748, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-06-13 00:00:00', 0.709999979, 26.378713609999998, -99, 2784, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-06-14 00:00:00', 0.5, 25.270153050000001, -99, 1914, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-06-15 00:00:00', 0.029999998999999999, 25.44909668, -99, 2138, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-06-16 00:00:00', 0, 24.144126889999999, -99, 2732, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-06-17 00:00:00', 0, 25.595333100000001, -99, 2811, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-06-18 00:00:00', 0, 26.510017399999999, -99, 2779, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-06-19 00:00:00', 0, 27.94058609, -99, 2854, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-06-20 00:00:00', 0, 30.13229561, -99, 2842, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-06-21 00:00:00', 0, 30.019575119999999, -99, 2828, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-06-22 00:00:00', 0, 30.95510483, -99, 2780, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-06-23 00:00:00', 0, 28.965271000000001, -99, 2771, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-06-24 00:00:00', 14.350000380000001, 28.45199203, -99, 2635, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-06-25 00:00:00', 0, 22.628673549999998, -99, 2670, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-06-26 00:00:00', 0, 26.461093900000002, -99, 2823, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-06-27 00:00:00', 3.420000076, 29.308032990000001, -99, 2754, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-06-28 00:00:00', 0, 26.288248060000001, -99, 2757, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-06-29 00:00:00', 0, 27.393907550000002, -99, 2201, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-06-30 00:00:00', 1.25, 28.488147739999999, -99, 1285, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-07-01 00:00:00', 16.75, 26.025878909999999, -99, 2574, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-07-02 00:00:00', 0, 26.354192730000001, -99, 2214, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-07-03 00:00:00', 0, 29.642147059999999, -99, 2210, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-07-04 00:00:00', 24.620000839999999, 28.928974149999998, -99, 1321, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-07-05 00:00:00', 47.189998629999998, 24.754333500000001, -99, 2280, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-07-06 00:00:00', 5.4499998090000004, 24.154186249999999, -99, 1371, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-07-07 00:00:00', 0.80000001200000004, 25.303392410000001, -99, 1944, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-07-08 00:00:00', 0, 27.56481552, -99, 2694, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-07-09 00:00:00', 0.34000000400000002, 28.051204680000001, -99, 2666, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-07-10 00:00:00', 0.23000000400000001, 28.362129209999999, -99, 2552, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-07-11 00:00:00', 17.299999239999998, 28.500719069999999, -99, 2737, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-07-12 00:00:00', 14.69999981, 24.842868800000002, -99, 232, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-07-13 00:00:00', 1.3799999949999999, 24.201612470000001, -99, 1635, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-07-14 00:00:00', 0, 25.73430634, -99, 2685, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-07-15 00:00:00', 0, 28.300243380000001, -99, 2629, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-07-16 00:00:00', 0, 28.95020676, -99, 2611, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-07-17 00:00:00', 0, 29.558814999999999, -99, 2028, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-07-18 00:00:00', 0.75999998999999996, 27.942150120000001, -99, 2073, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-07-19 00:00:00', 22.600000380000001, 28.34651947, -99, 1178, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-07-20 00:00:00', 22.850000380000001, 24.785694119999999, -99, 603, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-07-21 00:00:00', 25.549999239999998, 24.631790160000001, -99, 600, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-07-22 00:00:00', 18.469999309999999, 24.968091959999999, -99, 652, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-07-23 00:00:00', 0, 24.493047709999999, -99, 1757, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-07-24 00:00:00', 0, 27.110395430000001, -99, 2490, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-07-25 00:00:00', 1.7799999710000001, 27.82148552, -99, 2041, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-07-26 00:00:00', 4.6599998469999999, 28.536027910000001, -99, 1909, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-07-27 00:00:00', 5.2899999619999996, 25.964012149999999, -99, 1188, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-07-28 00:00:00', 4.1900000569999998, 25.54423714, -99, 1539, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-07-29 00:00:00', 0, 26.53150368, -99, 1909, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-07-30 00:00:00', 1.3999999759999999, 27.643373489999998, -99, 2412, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-07-31 00:00:00', 6.3899998660000001, 26.380476000000002, -99, 1978, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-08-01 00:00:00', 0, 25.551591869999999, -99, 1849, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-08-02 00:00:00', 0.14000000100000001, 26.508733750000001, -99, 2248, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-08-03 00:00:00', 0, 27.00728226, -99, 2482, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-08-04 00:00:00', 0.980000019, 27.372550960000002, -99, 2480, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-08-05 00:00:00', 2.0099999899999998, 27.341350559999999, -99, 1584, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-08-06 00:00:00', 7.2600002290000001, 26.271924970000001, -99, 660, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-08-07 00:00:00', 1.3300000430000001, 25.466381070000001, -99, 1609, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-08-08 00:00:00', 5.8600001339999999, 27.386520390000001, -99, 2196, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-08-09 00:00:00', 0, 26.485061649999999, -99, 2483, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-08-10 00:00:00', 0.029999998999999999, 27.938386919999999, -99, 2208, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-08-11 00:00:00', 0.33000001299999998, 26.466571810000001, -99, 617, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-08-12 00:00:00', 0, 25.658811570000001, -99, 1463, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-08-13 00:00:00', 14.350000380000001, 26.065189360000002, -99, 1881, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-08-14 00:00:00', 0.52999997099999996, 26.220121379999998, -99, 794, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-08-15 00:00:00', 0.28999999199999998, 25.835636139999998, -99, 2189, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-08-16 00:00:00', 1.3300000430000001, 26.488147739999999, -99, 2076, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-08-17 00:00:00', 14.97999954, 27.244485860000001, -99, 1834, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-08-18 00:00:00', 14.380000109999999, 27.356910710000001, -99, 1553, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-08-19 00:00:00', 3.210000038, 26.981626510000002, -99, 732, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-08-20 00:00:00', 0.14000000100000001, 26.62145615, -99, 1093, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-08-21 00:00:00', 3.119999886, 26.32234764, -99, 1917, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-08-22 00:00:00', 5.8899998660000001, 25.345705030000001, -99, 2164, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-08-23 00:00:00', 1.7599999900000001, 25.078208920000002, -99, 2033, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-08-24 00:00:00', 0.86000001400000003, 25.427442549999999, -99, 1688, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-08-25 00:00:00', 0.97000002900000004, 24.661634450000001, -99, 2393, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-08-26 00:00:00', 0.090000003999999995, 24.622425079999999, -99, 2155, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-08-27 00:00:00', 0, 24.808975220000001, -99, 2444, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-08-28 00:00:00', 0, 25.56311607, -99, 2455, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-08-29 00:00:00', 0, 25.89432716, -99, 2345, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-08-30 00:00:00', 0, 25.946319580000001, -99, 2320, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-08-31 00:00:00', 0, 26.564350130000001, -99, 2188, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-09-01 00:00:00', 0, 26.49454308, -99, 2066, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-09-02 00:00:00', 4.6799998279999997, 26.9907608, -99, 1477, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-09-03 00:00:00', 11.68999958, 26.107389449999999, -99, 2074, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-09-04 00:00:00', 3.8599998950000001, 24.478458400000001, -99, 2034, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-09-05 00:00:00', 0.790000021, 25.250173570000001, -99, 1960, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-09-06 00:00:00', 0.02, 25.668577190000001, -99, 2174, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-09-07 00:00:00', 18.170000080000001, 26.71377373, -99, 2050, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-09-08 00:00:00', 7.829999924, 22.912986759999999, -99, 1998, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-09-09 00:00:00', 3.829999924, 24.089441300000001, -99, 1460, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-09-10 00:00:00', 1.6799999480000001, 25.281486510000001, -99, 898, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-09-11 00:00:00', 50.729999540000001, 24.988912580000001, -99, 1258, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-09-12 00:00:00', 0.47999998900000002, 22.861932750000001, -99, 1621, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-09-13 00:00:00', 3.0499999519999998, 24.543424609999999, -99, 2037, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-09-14 00:00:00', 0.23000000400000001, 23.86133766, -99, 1672, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-09-15 00:00:00', 0, 23.044258119999999, -99, 2256, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-09-16 00:00:00', 0, 22.295242309999999, -99, 2181, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-09-17 00:00:00', 0, 22.947248460000001, -99, 2117, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-09-18 00:00:00', 0.050000001000000002, 21.016439439999999, -99, 2265, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-09-19 00:00:00', 3.9700000289999999, 21.307821270000002, -99, 2196, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-09-20 00:00:00', 2.2599999899999998, 21.26210403, -99, 1196, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-09-21 00:00:00', 15.31000042, 23.850440979999998, -99, 1756, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-09-22 00:00:00', 26.870000839999999, 23.868337629999999, -99, 708, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-09-23 00:00:00', 0.829999983, 22.629266739999998, -99, 1669, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-09-24 00:00:00', 0, 23.505453110000001, -99, 1965, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-09-25 00:00:00', 0, 22.345664979999999, -99, 2157, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-09-26 00:00:00', 0, 21.910633090000001, -99, 2114, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-09-27 00:00:00', 0, 22.060119629999999, -99, 2126, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-09-28 00:00:00', 0, 21.145694729999999, -99, 2130, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-09-29 00:00:00', 0, 21.020717619999999, -99, 2093, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-09-30 00:00:00', 0, 21.76769638, -99, 2055, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-10-01 00:00:00', 0, 21.407108310000002, -99, 2044, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-10-02 00:00:00', 0, 21.621681209999998, -99, 2036, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-10-03 00:00:00', 0, 22.17521095, -99, 1992, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-10-04 00:00:00', 0, 22.662662510000001, -99, 1937, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-10-05 00:00:00', 0, 22.74089622, -99, 1878, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-10-06 00:00:00', 0, 22.616195680000001, -99, 1925, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-10-07 00:00:00', 0, 23.061908720000002, -99, 1881, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-10-08 00:00:00', 0, 22.70727158, -99, 1892, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-10-09 00:00:00', 0, 22.742706299999998, -99, 1877, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-10-10 00:00:00', 0, 21.621652600000001, -99, 1906, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-10-11 00:00:00', 0, 21.132457729999999, -99, 1648, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-10-12 00:00:00', 0, 19.432785030000002, -99, 1819, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-10-13 00:00:00', 0, 20.714962010000001, -99, 1860, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-10-14 00:00:00', 0, 20.482355120000001, -99, 1847, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-10-15 00:00:00', 0, 20.521310809999999, -99, 1836, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-10-16 00:00:00', 0, 21.322507860000002, -99, 1794, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-10-17 00:00:00', 0, 21.39189339, -99, 1715, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-10-18 00:00:00', 0, 21.682409289999999, -99, 1705, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-10-19 00:00:00', 0, 21.626560210000001, -99, 1572, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-10-20 00:00:00', 0, 22.168764110000001, -99, 1599, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-10-21 00:00:00', 0, 21.905984879999998, -99, 1609, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-10-22 00:00:00', 0, 19.575254439999998, -99, 899, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-10-23 00:00:00', 0, 15.839388850000001, -99, 1721, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-10-24 00:00:00', 0, 14.84663677, -99, 1819, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-10-25 00:00:00', 0, 14.36398602, -99, 1817, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-10-26 00:00:00', 0, 13.54946136, -99, 1774, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-10-27 00:00:00', 0, 13.44730854, -99, 1764, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-10-28 00:00:00', 0, 14.04890537, -99, 1754, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-10-29 00:00:00', 0, 14.71701622, -99, 1248, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-10-30 00:00:00', 0, 15.87749767, -99, 1581, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-10-31 00:00:00', 0, 15.46291637, -99, 1641, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-11-01 00:00:00', 0, 14.48817062, -99, 1646, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-11-02 00:00:00', 0, 13.59227753, -99, 1657, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-11-03 00:00:00', 0, 14.39652538, -99, 1632, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-11-04 00:00:00', 0, 13.45045567, -99, 1608, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-11-05 00:00:00', 0, 13.87922287, -99, 1615, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-11-06 00:00:00', 0, 13.499407769999999, -99, 1607, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-11-07 00:00:00', 0, 13.998317719999999, -99, 1591, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-11-08 00:00:00', 0, 14.01049137, -99, 1558, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-11-09 00:00:00', 0, 13.92711926, -99, 1567, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-11-10 00:00:00', 0, 12.703371049999999, -99, 1583, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-11-11 00:00:00', 0, 10.98553944, -99, 1565, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-11-12 00:00:00', 0, 11.380817410000001, -99, 1552, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-11-13 00:00:00', 0, 10.50026798, -99, 1532, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-11-14 00:00:00', 0, 11.725317, -99, 1498, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-11-15 00:00:00', 0, 13.12875652, -99, 1454, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-11-16 00:00:00', 0, 12.25194645, -99, 1404, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-11-17 00:00:00', 0, 12.567517280000001, -99, 1393, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-11-18 00:00:00', 0, 12.869821549999999, -99, 1307, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-11-19 00:00:00', 0, 10.48469925, -99, 1420, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-11-20 00:00:00', 0, 10.46803474, -99, 1441, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-11-21 00:00:00', 0, 10.49983406, -99, 1406, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-11-22 00:00:00', 0, 9.0747499470000008, -99, 884, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-11-23 00:00:00', 0, 11.45141888, -99, 1346, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-11-24 00:00:00', 0, 9.3704614639999999, -99, 1415, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-11-25 00:00:00', 0, 12.3773365, -99, 1196, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-11-26 00:00:00', 0, 12.0011425, -99, 1363, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-11-27 00:00:00', 0, 10.023928639999999, -99, 1397, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-11-28 00:00:00', 0, 8.0743541719999996, -99, 1399, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-11-29 00:00:00', 0, 7.5724005700000001, -99, 1402, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-11-30 00:00:00', 0, 8.1866998669999997, -99, 1397, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-12-01 00:00:00', 0, 6.8284282679999997, -99, 1401, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-12-02 00:00:00', 0, 6.7094769479999998, -99, 1384, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-12-03 00:00:00', 0, 6.2897000309999997, -99, 1399, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-12-04 00:00:00', 0, 6.1206703190000002, -99, 1367, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-12-05 00:00:00', 0, 6.7612881659999999, -99, 1356, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-12-06 00:00:00', 0, 7.0710735319999998, -99, 1322, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-12-07 00:00:00', 0, 5.8990488049999996, -99, 1325, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-12-08 00:00:00', 0, 5.8647012710000004, -99, 1336, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-12-09 00:00:00', 0, 6.6600694660000004, -99, 1189, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-12-10 00:00:00', 0, 6.0630626679999997, -99, 1203, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-12-11 00:00:00', 0, 7.3341555600000001, -99, 1293, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-12-12 00:00:00', 0, 8.2237987520000004, -99, 1277, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-12-13 00:00:00', 0, 6.191939831, -99, 1237, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-12-14 00:00:00', 0, 5.6783738140000004, -99, 1339, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-12-15 00:00:00', 0, 6.3009057039999998, -99, 1328, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-12-16 00:00:00', 0, 5.3188862800000001, -99, 1293, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-12-17 00:00:00', 0, 5.2887287140000003, -99, 1184, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-12-18 00:00:00', 0, 5.1493573189999999, -99, 1238, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-12-19 00:00:00', 0, 5.2909216880000001, -99, 1282, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-12-20 00:00:00', 0, 5.700930595, -99, 1287, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-12-21 00:00:00', 0, 5.2260217669999998, -99, 1297, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-12-22 00:00:00', 0, 3.304816008, -99, 1218, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-12-23 00:00:00', 0, 6.1639485360000004, -99, 1239, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-12-24 00:00:00', 0, 5.8244323729999996, -99, 1221, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-12-25 00:00:00', 0, 4.5077862739999999, -99, 1123, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-12-26 00:00:00', 0, 4.1082334520000003, -99, 1207, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-12-27 00:00:00', 0, 4.458345413, -99, 1249, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-12-28 00:00:00', 0.439999998, 4.1004180909999999, -99, 1239, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-12-29 00:00:00', 11.80000019, 7.9107050900000004, -99, 835, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-12-30 00:00:00', 11.920000079999999, 10.267453189999999, -99, 339, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-12-31 00:00:00', 0, 10.150704380000001, -99, 1096, 'lud', 'lud_2010');
INSERT INTO public.cdy_cldat VALUES ('2011-01-01 00:00:00', 0, 7.1565589899999997, -99, 782, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-01-02 00:00:00', 0, 7.5706677439999996, -99, 540, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-01-03 00:00:00', 0, 7.3346457479999998, -99, 467, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-01-04 00:00:00', 0, 5.9910573960000004, -99, 905, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-01-05 00:00:00', 0, 4.3214030269999997, -99, 671, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-01-06 00:00:00', 0, 4.071722984, -99, 581, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-01-07 00:00:00', 0, 3.5202736849999998, -99, 595, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-01-08 00:00:00', 0, 3.7274527549999998, -99, 1022, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-01-09 00:00:00', 0, 3.3975105289999998, -99, 824, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-01-10 00:00:00', 0, 4.327887058, -99, 1092, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-01-11 00:00:00', 0, 3.7530982490000002, -99, 1064, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-01-12 00:00:00', 0, 3.3552117350000001, -99, 1248, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-01-13 00:00:00', 0, 5.4033446310000004, -99, 1239, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-01-14 00:00:00', 0, 8.9048109049999997, -99, 998, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-01-15 00:00:00', 0, 9.7787408829999993, -99, 1118, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-01-16 00:00:00', 0, 4.8786468510000001, -99, 1411, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-01-17 00:00:00', 0, 4.5658364300000001, -99, 667, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-01-18 00:00:00', 0, 2.392403603, -99, 1430, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-01-19 00:00:00', 0, 3.7947731020000002, -99, 1452, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-01-20 00:00:00', 0, 4.5386724469999997, -99, 844, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-01-21 00:00:00', 0, 7.3550467490000004, -99, 1430, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-01-22 00:00:00', 0, 7.1701350210000001, -99, 1360, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-01-23 00:00:00', 0, 5.088620186, -99, 1527, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-01-24 00:00:00', 0, 4.3270082470000002, -99, 1527, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-01-25 00:00:00', 0, 3.460529089, -99, 1515, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-01-26 00:00:00', 0, 4.8867998119999996, -99, 1536, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-01-27 00:00:00', 0, 5.6584696770000003, -99, 1482, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-01-28 00:00:00', 0, 4.2901396749999998, -99, 1319, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-01-29 00:00:00', 0, 4.9106497759999996, -99, 1363, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-01-30 00:00:00', 0, 7.3410053250000002, -99, 1436, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-01-31 00:00:00', 0, 5.2618670459999999, -99, 1545, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-02-01 00:00:00', 0, 6.8674087520000002, -99, 1588, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-02-02 00:00:00', 0, 7.4526019100000003, -99, 1335, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-02-03 00:00:00', 0, 8.5890932079999995, -99, 1306, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-02-04 00:00:00', 0, 8.2402057650000007, -99, 1123, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-02-05 00:00:00', 0, 9.8614339829999995, -99, 1481, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-02-06 00:00:00', 0.15000000599999999, 12.942019459999999, -99, 1011, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-02-07 00:00:00', 2.75, 15.88064861, -99, 562, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-02-08 00:00:00', 0, 7.6795134540000003, -99, 1705, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-02-09 00:00:00', 0, 6.6484079359999999, -99, 1513, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-02-10 00:00:00', 0, 8.6318588260000002, -99, 1541, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-02-11 00:00:00', 0, 8.3212976459999997, -99, 1084, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-02-12 00:00:00', 0.209999993, 9.6869344710000007, -99, 988, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-02-13 00:00:00', 1.289999962, 13.885316850000001, -99, 484, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-02-14 00:00:00', 0.519999981, 12.935955999999999, -99, 1058, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-02-15 00:00:00', 2.7400000100000002, 11.2406702, -99, 1075, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-02-16 00:00:00', 7.4000000950000002, 9.8106031419999997, -99, 1187, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-02-17 00:00:00', 0, 7.5193710329999996, -99, 1719, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-02-18 00:00:00', 0.050000001000000002, 7.3046593670000002, -99, 1500, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-02-19 00:00:00', 0, 9.8844728469999996, -99, 1556, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-02-20 00:00:00', 0.61000001400000003, 7.6705083849999998, -99, 991, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-02-21 00:00:00', 0, 7.8153667450000004, -99, 1701, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-02-22 00:00:00', 0, 8.2614955899999991, -99, 1272, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-02-23 00:00:00', 0.090000003999999995, 10.773105620000001, -99, 843, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-02-24 00:00:00', 0, 8.7802019120000008, -99, 1802, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-02-25 00:00:00', 8.1899995800000003, 9.3262043000000006, -99, 1031, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-02-26 00:00:00', 0, 8.8927650450000009, -99, 1706, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-02-27 00:00:00', 0, 7.8554253579999997, -99, 1930, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-02-28 00:00:00', 0.43000000700000002, 8.0453424449999993, -99, 1492, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-03-01 00:00:00', 0, 10.38254547, -99, 1267, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-03-02 00:00:00', 0.920000017, 10.03143787, -99, 917, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-03-03 00:00:00', 0.30000001199999998, 12.04462528, -99, 1199, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-03-04 00:00:00', 0.059999998999999998, 12.16511345, -99, 1401, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-03-05 00:00:00', 0, 9.1317377089999994, -99, 1373, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-03-06 00:00:00', 0, 10.24774837, -99, 2032, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-03-07 00:00:00', 0, 11.44891644, -99, 1837, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-03-08 00:00:00', 0.02, 11.928548810000001, -99, 2041, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-03-09 00:00:00', 0, 11.885319709999999, -99, 2124, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-03-10 00:00:00', 0, 11.14108753, -99, 2131, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-03-11 00:00:00', 0, 11.604436870000001, -99, 2213, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-03-12 00:00:00', 0, 12.212262150000001, -99, 2046, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-03-13 00:00:00', 0, 12.812766079999999, -99, 2152, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-03-14 00:00:00', 0, 13.2484436, -99, 2227, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-03-15 00:00:00', 0, 14.657863620000001, -99, 2196, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-03-16 00:00:00', 0, 15.43588066, -99, 2136, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-03-17 00:00:00', 0, 17.097032550000002, -99, 1596, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-03-18 00:00:00', 0, 18.81958199, -99, 2009, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-03-19 00:00:00', 0, 17.858543399999999, -99, 1593, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-03-20 00:00:00', 0, 16.125923159999999, -99, 2302, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-03-21 00:00:00', 0, 14.04935074, -99, 2237, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-03-22 00:00:00', 0, 13.06704807, -99, 2358, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-03-23 00:00:00', 0.119999997, 13.767649649999999, -99, 2324, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-03-24 00:00:00', 0, 15.05676746, -99, 2348, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-03-25 00:00:00', 0, 13.605324749999999, -99, 2376, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-03-26 00:00:00', 0, 17.83602905, -99, 2360, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-03-27 00:00:00', 0, 17.761312480000001, -99, 2350, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-03-28 00:00:00', 0, 18.32332993, -99, 1767, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-03-29 00:00:00', 1.8700000050000001, 18.289606089999999, -99, 2356, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-03-30 00:00:00', 0, 16.158803939999999, -99, 2415, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-03-31 00:00:00', 0, 15.416360859999999, -99, 2438, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-04-01 00:00:00', 0.070000000000000007, 15.74210167, -99, 2410, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-04-02 00:00:00', 5.7100000380000004, 16.00964737, -99, 2433, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-04-03 00:00:00', 0, 15.497669220000001, -99, 2496, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-04-04 00:00:00', 0, 13.404795650000001, -99, 2506, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-04-05 00:00:00', 0, 14.811621669999999, -99, 2429, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-04-06 00:00:00', 0, 15.76175117, -99, 1535, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-04-07 00:00:00', 0, 15.863454819999999, -99, 2522, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-04-08 00:00:00', 0, 14.29546738, -99, 2462, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-04-09 00:00:00', 7.2600002290000001, 15.25374317, -99, 1523, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-04-10 00:00:00', 0.059999998999999998, 18.275987629999999, -99, 1305, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-04-11 00:00:00', 0.039999999000000001, 18.463863369999999, -99, 991, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-04-12 00:00:00', 0, 17.898338320000001, -99, 2306, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-04-13 00:00:00', 0, 17.525154109999999, -99, 2518, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-04-14 00:00:00', 0, 18.190219880000001, -99, 2515, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-04-15 00:00:00', 1.4199999569999999, 19.246835709999999, -99, 1764, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-04-16 00:00:00', 0.99000001000000004, 19.000703810000001, -99, 2100, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-04-17 00:00:00', 2.2400000100000002, 19.37513161, -99, 2085, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-04-18 00:00:00', 1.2599999900000001, 17.203361510000001, -99, 2401, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-04-19 00:00:00', 0, 15.879079819999999, -99, 2512, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-04-20 00:00:00', 0, 16.35708618, -99, 2597, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-04-21 00:00:00', 0.01, 17.448671340000001, -99, 2664, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-04-22 00:00:00', 0, 17.110767360000001, -99, 2672, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-04-23 00:00:00', 0, 18.277898789999998, -99, 2701, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-04-24 00:00:00', 0, 20.183345790000001, -99, 2698, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-04-25 00:00:00', 0, 21.232608800000001, -99, 2731, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-04-26 00:00:00', 0, 22.784854889999998, -99, 2701, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-04-27 00:00:00', 0, 22.052946089999999, -99, 2622, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-04-28 00:00:00', 0, 21.70178413, -99, 2589, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-04-29 00:00:00', 0, 24.24931145, -99, 2392, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-04-30 00:00:00', 0, 23.77361488, -99, 2637, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-05-01 00:00:00', 0, 24.837467190000002, -99, 2519, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-05-02 00:00:00', 0, 22.493143079999999, -99, 2687, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-05-03 00:00:00', 0, 24.138013839999999, -99, 2581, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-05-04 00:00:00', 5.3000001909999996, 26.02290344, -99, 2671, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-05-05 00:00:00', 3.8900001049999999, 24.110988620000001, -99, 2622, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-05-06 00:00:00', 0.63999998599999997, 22.930700300000002, -99, 2236, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-05-07 00:00:00', 0, 22.603595729999999, -99, 2682, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-05-08 00:00:00', 0, 22.04514503, -99, 2749, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-05-09 00:00:00', 0, 23.439155580000001, -99, 2762, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-05-10 00:00:00', 0, 26.201827999999999, -99, 2687, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-05-11 00:00:00', 0, 24.806901929999999, -99, 2770, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-05-12 00:00:00', 0, 25.92163086, -99, 2722, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-05-13 00:00:00', 0.029999998999999999, 25.5798378, -99, 1756, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-05-14 00:00:00', 0, 22.451091770000001, -99, 2828, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-05-15 00:00:00', 0, 24.795331950000001, -99, 2799, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-05-16 00:00:00', 0, 26.640352249999999, -99, 2793, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-05-17 00:00:00', 0, 27.514862059999999, -99, 2742, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-05-18 00:00:00', 0.050000001000000002, 27.875116349999999, -99, 2738, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-05-19 00:00:00', 0, 26.864089969999998, -99, 2598, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-05-20 00:00:00', 2.3499999049999998, 27.460994719999999, -99, 2746, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-05-21 00:00:00', 2.130000114, 23.889245989999999, -99, 2688, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-05-22 00:00:00', 0.20000000300000001, 21.956060409999999, -99, 2394, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-05-23 00:00:00', 0, 21.828207020000001, -99, 2782, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-05-24 00:00:00', 0, 24.784139629999999, -99, 2780, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-05-25 00:00:00', 0, 29.525531770000001, -99, 2611, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-05-26 00:00:00', 3.7999999519999998, 25.776208879999999, -99, 2686, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-05-27 00:00:00', 0.38999998600000002, 23.580560680000001, -99, 2655, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-05-28 00:00:00', 0, 25.803506850000002, -99, 2780, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-05-29 00:00:00', 0, 27.513324740000002, -99, 2743, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-05-30 00:00:00', 0, 23.650180819999999, -99, 2732, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-05-31 00:00:00', 15.100000380000001, 26.60586357, -99, 2781, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-06-01 00:00:00', 31.870000839999999, 21.761400219999999, -99, 1834, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-06-02 00:00:00', 0.029999998999999999, 19.48532295, -99, 2870, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-06-03 00:00:00', 0, 23.477968220000001, -99, 2841, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-06-04 00:00:00', 0, 24.965526579999999, -99, 2834, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-06-05 00:00:00', 0, 26.85855484, -99, 2766, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-06-06 00:00:00', 0, 27.686187740000001, -99, 2794, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-06-07 00:00:00', 0, 26.64333916, -99, 2803, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-06-08 00:00:00', 8.9200000760000009, 27.523815160000002, -99, 2802, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-06-09 00:00:00', 0.10000000100000001, 28.097925190000002, -99, 2775, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-06-10 00:00:00', 0, 25.565130230000001, -99, 2808, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-06-11 00:00:00', 3.3499999049999998, 28.552185059999999, -99, 2777, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-06-12 00:00:00', 0, 23.18336296, -99, 2784, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-06-13 00:00:00', 0, 26.875808719999998, -99, 2744, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-06-14 00:00:00', 2.630000114, 29.044073099999999, -99, 2783, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-06-15 00:00:00', 0.34999999399999998, 26.389064789999999, -99, 2737, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-06-16 00:00:00', 0, 27.681806559999998, -99, 2472, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-06-17 00:00:00', 7.6500000950000002, 26.685203550000001, -99, 2048, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-06-18 00:00:00', 0.31999999299999998, 24.2598877, -99, 2133, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-06-19 00:00:00', 0.280000001, 26.060104370000001, -99, 2730, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-06-20 00:00:00', 0.01, 27.8181057, -99, 1326, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-06-21 00:00:00', 0.029999998999999999, 26.622739790000001, -99, 2792, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-06-22 00:00:00', 0, 28.882978439999999, -99, 2739, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-06-23 00:00:00', 0.039999999000000001, 29.853017810000001, -99, 2522, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-06-24 00:00:00', 25.909999849999998, 29.289611820000001, -99, 2574, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-06-25 00:00:00', 17.120000839999999, 26.119207379999999, -99, 2526, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-06-26 00:00:00', 2.880000114, 26.857795719999999, -99, 851, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-06-27 00:00:00', 8.2899999619999996, 27.035184860000001, -99, 2652, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-06-28 00:00:00', 4.6199998860000004, 26.333423610000001, -99, 1479, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-06-29 00:00:00', 0.41999998700000002, 26.680038450000001, -99, 1237, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-06-30 00:00:00', 1.0299999710000001, 25.96315384, -99, 2447, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-07-01 00:00:00', 1.269999981, 25.873630519999999, -99, 1015, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-07-02 00:00:00', 0.31999999299999998, 25.639444350000002, -99, 2564, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-07-03 00:00:00', 1.6200000050000001, 28.149858470000002, -99, 2262, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-07-04 00:00:00', 0, 24.170917509999999, -99, 2787, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-07-05 00:00:00', 0, 27.36813545, -99, 2786, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-07-06 00:00:00', 0.029999998999999999, 28.255254749999999, -99, 2230, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-07-07 00:00:00', 11.399999619999999, 27.860519409999998, -99, 2200, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-07-08 00:00:00', 0.769999981, 26.629730219999999, -99, 1757, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-07-09 00:00:00', 12.869999890000001, 25.945961, -99, 2345, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-07-10 00:00:00', 0, 26.767381669999999, -99, 2622, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-07-11 00:00:00', 0, 27.66834068, -99, 2572, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-07-12 00:00:00', 0.46000000800000002, 28.318006520000001, -99, 2699, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-07-13 00:00:00', 1.1499999759999999, 27.937946320000002, -99, 1872, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-07-14 00:00:00', 3.7200000289999999, 27.840934749999999, -99, 1075, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-07-15 00:00:00', 30.709999079999999, 26.28937531, -99, 1903, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-07-16 00:00:00', 0.02, 24.32032967, -99, 2057, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-07-17 00:00:00', 0, 26.390029909999999, -99, 2768, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-07-18 00:00:00', 0.68000000699999996, 27.385057450000001, -99, 2200, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-07-19 00:00:00', 0, 27.626186369999999, -99, 2618, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-07-20 00:00:00', 0, 28.49035263, -99, 2515, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-07-21 00:00:00', 0, 28.43989182, -99, 2172, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-07-22 00:00:00', 0.99000001000000004, 28.59646034, -99, 2279, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-07-23 00:00:00', 18.209999079999999, 28.080383300000001, -99, 1283, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-07-24 00:00:00', 0, 26.95517731, -99, 1917, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-07-25 00:00:00', 0, 27.670726779999999, -99, 1236, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-07-26 00:00:00', 0, 26.995571139999999, -99, 2102, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-07-27 00:00:00', 0.23999999499999999, 28.62122536, -99, 2218, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-07-28 00:00:00', 4.8699998860000004, 27.663345339999999, -99, 1942, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-07-29 00:00:00', 7.1399998660000001, 25.90273857, -99, 1506, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-07-30 00:00:00', 0.37000000500000002, 26.691122060000001, -99, 2295, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-07-31 00:00:00', 0.27000001099999998, 28.092098239999999, -99, 2392, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-08-01 00:00:00', 0.280000001, 28.638374330000001, -99, 2622, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-08-02 00:00:00', 0.109999999, 28.393699649999999, -99, 2590, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-08-03 00:00:00', 0.469999999, 27.79428291, -99, 2566, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-08-04 00:00:00', 2.460000038, 27.059778210000001, -99, 1376, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-08-05 00:00:00', 8.5699996949999999, 26.920494080000001, -99, 2216, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-08-06 00:00:00', 3.6800000669999999, 26.726474759999999, -99, 2282, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-08-07 00:00:00', 0.439999998, 27.472562790000001, -99, 1727, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-08-08 00:00:00', 12.39000034, 26.60425949, -99, 643, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-08-09 00:00:00', 6.4400000569999998, 26.234298710000001, -99, 1995, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-08-10 00:00:00', 0, 26.216009140000001, -99, 2233, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-08-11 00:00:00', 0.23999999499999999, 27.109378809999999, -99, 2274, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-08-12 00:00:00', 21.43000031, 26.850786209999999, -99, 1897, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-08-13 00:00:00', 1.6299999949999999, 23.378646849999999, -99, 1829, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-08-14 00:00:00', 6.8400001530000001, 24.979600909999998, -99, 1142, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-08-15 00:00:00', 52, 24.557073590000002, -99, 1107, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-08-16 00:00:00', 0.31999999299999998, 23.755491259999999, -99, 2197, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-08-17 00:00:00', 0, 24.292036060000001, -99, 2391, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-08-18 00:00:00', 0.23999999499999999, 26.069358829999999, -99, 2326, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-08-19 00:00:00', 18.25, 26.1878624, -99, 2161, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-08-20 00:00:00', 0, 25.341758729999999, -99, 1713, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-08-21 00:00:00', 0, 26.675737380000001, -99, 2359, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-08-22 00:00:00', 0, 27.270214079999999, -99, 2359, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-08-23 00:00:00', 5.4899997709999999, 28.603418349999998, -99, 1850, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-08-24 00:00:00', 5.0999999049999998, 25.213886259999999, -99, 545, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-08-25 00:00:00', 0, 25.311573030000002, -99, 2055, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-08-26 00:00:00', 0.070000000000000007, 26.823272710000001, -99, 2118, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-08-27 00:00:00', 4.6100001339999999, 27.609531400000002, -99, 893, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-08-28 00:00:00', 0.49000000999999999, 25.181270600000001, -99, 589, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-08-29 00:00:00', 0, 26.401412959999998, -99, 1549, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-08-30 00:00:00', 1.0700000519999999, 26.966707230000001, -99, 2231, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-08-31 00:00:00', 2.75, 27.443195339999999, -99, 2150, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-09-01 00:00:00', 2.2799999710000001, 25.695066449999999, -99, 1664, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-09-02 00:00:00', 10.93000031, 26.377096179999999, -99, 2284, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-09-03 00:00:00', 1.25, 25.128799440000002, -99, 2242, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-09-04 00:00:00', 1.7999999520000001, 25.412572860000001, -99, 1784, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-09-05 00:00:00', 3.4500000480000002, 27.194164279999999, -99, 1330, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-09-06 00:00:00', 3.4500000480000002, 26.546880720000001, -99, 1839, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-09-07 00:00:00', 0, 26.02875328, -99, 1727, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-09-08 00:00:00', 23.049999239999998, 26.23350143, -99, 1922, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-09-09 00:00:00', 28.510000229999999, 24.71245193, -99, 887, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-09-10 00:00:00', 11.5, 25.011108400000001, -99, 1928, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-09-11 00:00:00', 20.579999919999999, 25.674369810000002, -99, 2029, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-09-12 00:00:00', 1.7599999900000001, 26.025087360000001, -99, 2031, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-09-13 00:00:00', 0, 26.107442859999999, -99, 1986, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-09-14 00:00:00', 0.75, 26.841953279999998, -99, 1852, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-09-15 00:00:00', 9.8199996949999999, 26.638122559999999, -99, 986, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-09-16 00:00:00', 9.8900003430000005, 23.21305847, -99, 824, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-09-17 00:00:00', 0, 22.790565489999999, -99, 1870, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-09-18 00:00:00', 0, 23.350963589999999, -99, 2041, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-09-19 00:00:00', 0.64999997600000003, 24.26298332, -99, 1892, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-09-20 00:00:00', 0, 23.04384422, -99, 2222, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-09-21 00:00:00', 0, 23.081892010000001, -99, 2166, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-09-22 00:00:00', 0, 23.934185029999998, -99, 2020, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-09-23 00:00:00', 0, 23.783014300000001, -99, 2139, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-09-24 00:00:00', 0, 22.70330238, -99, 2158, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-09-25 00:00:00', 0, 22.903705599999999, -99, 2075, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-09-26 00:00:00', 0, 23.15355301, -99, 2049, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-09-27 00:00:00', 0, 23.81012535, -99, 2022, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-09-28 00:00:00', 0, 23.112554549999999, -99, 2021, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-09-29 00:00:00', 0, 23.32865906, -99, 1939, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-09-30 00:00:00', 0, 23.141225810000002, -99, 1993, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-10-01 00:00:00', 0, 23.209512709999998, -99, 1875, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-10-02 00:00:00', 0, 23.516927720000002, -99, 1907, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-10-03 00:00:00', 0, 23.21737671, -99, 1954, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-10-04 00:00:00', 0, 23.245311739999998, -99, 1985, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-10-05 00:00:00', 0, 22.950384140000001, -99, 1953, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-10-06 00:00:00', 0, 23.03437233, -99, 1850, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-10-07 00:00:00', 0, 23.275730129999999, -99, 1827, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-10-08 00:00:00', 0, 22.498289110000002, -99, 1428, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-10-09 00:00:00', 0, 21.371793749999998, -99, 1938, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-10-10 00:00:00', 0, 20.754329680000001, -99, 1920, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-10-11 00:00:00', 0, 20.38361931, -99, 1919, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-10-12 00:00:00', 0, 20.759443279999999, -99, 1903, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-10-13 00:00:00', 0, 20.576028820000001, -99, 1279, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-10-14 00:00:00', 0, 20.048652650000001, -99, 1876, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-10-15 00:00:00', 0, 19.316541669999999, -99, 1896, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-10-16 00:00:00', 0, 17.48624229, -99, 1865, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-10-17 00:00:00', 0, 16.733186719999999, -99, 1841, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-10-18 00:00:00', 0, 16.752813339999999, -99, 1828, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-10-19 00:00:00', 0, 16.1644516, -99, 1816, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-10-20 00:00:00', 0, 16.818317409999999, -99, 1784, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-10-21 00:00:00', 0, 16.827411649999998, -99, 1695, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-10-22 00:00:00', 0, 17.835716250000001, -99, 1552, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-10-23 00:00:00', 0, 17.52174187, -99, 1566, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-10-24 00:00:00', 0, 16.450225830000001, -99, 1757, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-10-25 00:00:00', 0, 15.76778126, -99, 1767, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-10-26 00:00:00', 0, 14.956730840000001, -99, 1733, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-10-27 00:00:00', 0, 15.03813267, -99, 1769, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-10-28 00:00:00', 0, 13.795976639999999, -99, 1683, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-10-29 00:00:00', 0, 14.088107109999999, -99, 1688, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-10-30 00:00:00', 0, 14.21446896, -99, 1690, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-10-31 00:00:00', 0, 14.40148735, -99, 1660, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-11-01 00:00:00', 0, 14.724308969999999, -99, 1605, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-11-02 00:00:00', 0, 14.179337500000001, -99, 1601, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-11-03 00:00:00', 0, 14.710068700000001, -99, 1607, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-11-04 00:00:00', 0.029999998999999999, 15.53074932, -99, 1352, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-11-05 00:00:00', 0, 15.681777, -99, 1576, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-11-06 00:00:00', 0, 15.344651219999999, -99, 1606, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-11-07 00:00:00', 0, 12.91092587, -99, 1621, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-11-08 00:00:00', 0, 11.687721249999999, -99, 1551, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-11-09 00:00:00', 0, 15.056494710000001, -99, 1225, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-11-10 00:00:00', 0, 16.458219530000001, -99, 615, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-11-11 00:00:00', 0, 17.42042923, -99, 1489, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-11-12 00:00:00', 0, 14.79358292, -99, 1534, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-11-13 00:00:00', 0, 12.83640385, -99, 1497, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-11-14 00:00:00', 0, 12.91208172, -99, 1469, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-11-15 00:00:00', 0, 12.910539630000001, -99, 1436, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-11-16 00:00:00', 0, 13.634943959999999, -99, 1473, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-11-17 00:00:00', 0, 12.94044781, -99, 1473, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-11-18 00:00:00', 0, 12.211890220000001, -99, 1435, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-11-19 00:00:00', 0, 13.46240616, -99, 1408, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-11-20 00:00:00', 0, 13.02530003, -99, 1390, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-11-21 00:00:00', 0, 12.42549992, -99, 1368, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-11-22 00:00:00', 0, 13.845633510000001, -99, 1340, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-11-23 00:00:00', 0, 12.132019039999999, -99, 1339, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-11-24 00:00:00', 0, 13.668312070000001, -99, 1006, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-11-25 00:00:00', 0, 11.67278099, -99, 1374, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-11-26 00:00:00', 0, 10.968065259999999, -99, 1367, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-11-27 00:00:00', 0, 10.41938305, -99, 1359, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-11-28 00:00:00', 0, 10.009428979999999, -99, 1389, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-11-29 00:00:00', 0, 10.93292332, -99, 1368, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-11-30 00:00:00', 0, 8.6778287889999994, -99, 1379, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-12-01 00:00:00', 0, 10.851998330000001, -99, 808, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-12-02 00:00:00', 0, 11.38188457, -99, 1345, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-12-03 00:00:00', 0, 12.084504129999999, -99, 1346, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-12-04 00:00:00', 0, 10.81974602, -99, 1343, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-12-05 00:00:00', 0.58999997400000004, 9.1372919079999999, -99, 1312, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-12-06 00:00:00', 2.3499999049999998, 11.65290356, -99, 1237, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-12-07 00:00:00', 0, 14.41718197, -99, 1216, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-12-08 00:00:00', 0, 12.998602869999999, -99, 1160, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-12-09 00:00:00', 0, 14.82297516, -99, 1102, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-12-10 00:00:00', 0, 11.94521999, -99, 1276, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-12-11 00:00:00', 0, 8.8419361110000008, -99, 1324, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-12-12 00:00:00', 0, 6.7561655040000002, -99, 1309, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-12-13 00:00:00', 0, 6.6885948180000003, -99, 1339, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-12-14 00:00:00', 0, 5.5130624770000001, -99, 1345, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-12-15 00:00:00', 0, 4.4588999749999996, -99, 1265, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-12-16 00:00:00', 0, 4.4866876600000003, -99, 1328, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-12-17 00:00:00', 0, 4.6632685660000002, -99, 1261, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-12-18 00:00:00', 0, 2.2301590440000001, -99, 1294, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-12-19 00:00:00', 0, 3.6400017739999999, -99, 1206, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-12-20 00:00:00', 0, 6.7749595640000004, -99, 1094, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-12-21 00:00:00', 0, 5.9016890530000001, -99, 1310, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-12-22 00:00:00', 0, 4.6457443239999998, -99, 1230, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-12-23 00:00:00', 0, 3.4524965289999998, -99, 1321, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-12-24 00:00:00', 0, 2.3043439389999998, -99, 1191, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-12-25 00:00:00', 0, 2.2322039600000001, -99, 1325, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-12-26 00:00:00', 0, 2.094689131, -99, 1153, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-12-27 00:00:00', 0, 2.1171383860000001, -99, 1310, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-12-28 00:00:00', 0, 3.5120513440000001, -99, 1309, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-12-29 00:00:00', 0, 6.218735218, -99, 1318, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-12-30 00:00:00', 0, 3.3541808130000001, -99, 1287, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-12-31 00:00:00', 0, 4.016875744, -99, 1247, 'lud', 'lud_2011');
INSERT INTO public.cdy_cldat VALUES ('2012-01-01 00:00:00', 0, 7.3155369759999997, -99, 1152, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-01-02 00:00:00', 0, 7.949954033, -99, 1243, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-01-03 00:00:00', 0, 5.249762058, -99, 1236, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-01-04 00:00:00', 0, 4.8357272150000004, -99, 814, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-01-05 00:00:00', 0, 8.4171962740000001, -99, 1143, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-01-06 00:00:00', 0.540000021, 9.1045179370000007, -99, 536, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-01-07 00:00:00', 0, 9.9874467849999995, -99, 772, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-01-08 00:00:00', 0, 5.4034476280000003, -99, 1331, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-01-09 00:00:00', 0, 3.9241425990000001, -99, 1346, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-01-10 00:00:00', 0, 2.5844023229999999, -99, 1311, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-01-11 00:00:00', 0, 3.3071789740000002, -99, 1370, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-01-12 00:00:00', 0, 3.5614559649999999, -99, 1405, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-01-13 00:00:00', 0, 4.1038312909999997, -99, 1368, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-01-14 00:00:00', 0.69999998799999996, 5.7192239760000003, -99, 984, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-01-15 00:00:00', 3.0699999330000001, 10.28166199, -99, 302, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-01-16 00:00:00', 1.9299999480000001, 10.903511999999999, -99, 290, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-01-17 00:00:00', 0, 9.8696498869999996, -99, 1008, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-01-18 00:00:00', 0, 7.8362312320000003, -99, 763, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-01-19 00:00:00', 0, 6.7230319979999997, -99, 915, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-01-20 00:00:00', 0, 4.6055188180000002, -99, 1361, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-01-21 00:00:00', 0, 4.336645603, -99, 1373, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-01-22 00:00:00', 0, 7.4699416159999998, -99, 1224, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-01-23 00:00:00', 0, 4.8514485360000004, -99, 1533, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-01-24 00:00:00', 0, 4.8647828100000003, -99, 1491, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-01-25 00:00:00', 0, 8.0607042310000008, -99, 1403, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-01-26 00:00:00', 0, 5.8395719530000001, -99, 1522, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-01-27 00:00:00', 0, 6.9281983379999996, -99, 1424, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-01-28 00:00:00', 0, 4.4496994020000002, -99, 1536, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-01-29 00:00:00', 0, 4.7553896900000003, -99, 1585, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-01-30 00:00:00', 0, 5.0997385980000001, -99, 1600, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-01-31 00:00:00', 0, 5.1127552989999998, -99, 1348, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-02-01 00:00:00', 0, 6.5834646220000002, -99, 1601, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-02-02 00:00:00', 0, 7.0792078969999999, -99, 1570, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-02-03 00:00:00', 0, 10.251068119999999, -99, 552, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-02-04 00:00:00', 0.01, 9.9577226640000003, -99, 539, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-02-05 00:00:00', 0, 9.9619731900000001, -99, 1542, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-02-06 00:00:00', 0, 7.3879489899999999, -99, 1642, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-02-07 00:00:00', 0, 4.121630669, -99, 1738, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-02-08 00:00:00', 0, 3.5678839679999999, -99, 1675, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-02-09 00:00:00', 0, 2.4624795910000001, -99, 1728, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-02-10 00:00:00', 0, 4.3789372440000003, -99, 1733, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-02-11 00:00:00', 0.01, 4.5591278080000004, -99, 1588, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-02-12 00:00:00', 0.070000000000000007, 9.1244525910000007, -99, 1241, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-02-13 00:00:00', 0, 12.52384853, -99, 1474, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-02-14 00:00:00', 0, 8.9577255250000007, -99, 1467, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-02-15 00:00:00', 0, 4.685152531, -99, 1800, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-02-16 00:00:00', 0, 3.3639602659999999, -99, 1845, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-02-17 00:00:00', 0, 4.7706632610000002, -99, 1312, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-02-18 00:00:00', 0, 6.2181534770000004, -99, 1404, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-02-19 00:00:00', 0, 7.8837175369999999, -99, 902, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-02-20 00:00:00', 0.01, 9.8236026760000001, -99, 1502, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-02-21 00:00:00', 0, 10.61303711, -99, 1195, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-02-22 00:00:00', 0, 11.71983051, -99, 1787, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-02-23 00:00:00', 0, 8.3079843520000001, -99, 1696, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-02-24 00:00:00', 0, 7.8268756870000002, -99, 1735, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-02-25 00:00:00', 0, 7.272838116, -99, 1942, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-02-26 00:00:00', 0, 6.3947477340000001, -99, 1991, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-02-27 00:00:00', 0, 8.9633789060000009, -99, 1842, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-02-28 00:00:00', 0, 9.9692811970000008, -99, 1842, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-02-29 00:00:00', 0, 8.3367490770000003, -99, 1944, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-03-01 00:00:00', 0, 9.6790924070000006, -99, 2010, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-03-02 00:00:00', 0, 8.9877376560000002, -99, 2022, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-03-03 00:00:00', 0, 11.098219869999999, -99, 2016, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-03-04 00:00:00', 0.01, 13.284646029999999, -99, 1537, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-03-05 00:00:00', 0, 17.618335720000001, -99, 1500, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-03-06 00:00:00', 0, 14.73631859, -99, 2033, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-03-07 00:00:00', 0, 9.8933887479999996, -99, 2078, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-03-08 00:00:00', 0, 9.4053354260000006, -99, 2098, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-03-09 00:00:00', 0, 8.5923433300000003, -99, 2155, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-03-10 00:00:00', 0, 8.09720993, -99, 2159, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-03-11 00:00:00', 0, 8.2670879359999994, -99, 2138, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-03-12 00:00:00', 0.109999999, 10.44079494, -99, 2040, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-03-13 00:00:00', 0, 12.76712704, -99, 2062, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-03-14 00:00:00', 0, 10.205829619999999, -99, 1862, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-03-15 00:00:00', 0, 9.8306293490000005, -99, 2222, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-03-16 00:00:00', 0, 12.3353138, -99, 2063, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-03-17 00:00:00', 0, 13.300542829999999, -99, 2170, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-03-18 00:00:00', 0, 14.71652126, -99, 2151, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-03-19 00:00:00', 0, 16.97204971, -99, 2090, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-03-20 00:00:00', 0, 18.67351532, -99, 1940, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-03-21 00:00:00', 0, 10.55479145, -99, 2202, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-03-22 00:00:00', 0, 10.10477734, -99, 2366, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-03-23 00:00:00', 0, 11.24002934, -99, 2343, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-03-24 00:00:00', 0, 13.50668716, -99, 2363, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-03-25 00:00:00', 0, 14.73665619, -99, 2175, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-03-26 00:00:00', 0, 17.45384979, -99, 1889, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-03-27 00:00:00', 0, 17.00870514, -99, 1639, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-03-28 00:00:00', 0, 15.9164362, -99, 2232, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-03-29 00:00:00', 0, 15.5084877, -99, 2442, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-03-30 00:00:00', 0, 16.087812419999999, -99, 2491, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-03-31 00:00:00', 0, 17.04536629, -99, 2189, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-04-01 00:00:00', 0, 19.328332899999999, -99, 2242, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-04-02 00:00:00', 0, 19.25089264, -99, 2392, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-04-03 00:00:00', 0, 20.896539690000001, -99, 2353, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-04-04 00:00:00', 0, 19.447879790000002, -99, 2458, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-04-05 00:00:00', 0, 19.12944031, -99, 2485, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-04-06 00:00:00', 0, 17.081373209999999, -99, 2518, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-04-07 00:00:00', 0, 18.92924309, -99, 2501, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-04-08 00:00:00', 0, 19.039056779999999, -99, 2476, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-04-09 00:00:00', 0, 21.26534462, -99, 2378, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-04-10 00:00:00', 14.52000046, 17.9018631, -99, 1121, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-04-11 00:00:00', 1.9900000099999999, 17.816204070000001, -99, 2467, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-04-12 00:00:00', 2.0199999809999998, 16.37269783, -99, 2552, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-04-13 00:00:00', 1.460000038, 18.64734077, -99, 2007, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-04-14 00:00:00', 0, 16.898189540000001, -99, 1590, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-04-15 00:00:00', 0.36000001399999998, 15.4520483, -99, 2555, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-04-16 00:00:00', 2.1800000669999999, 18.015060420000001, -99, 1978, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-04-17 00:00:00', 0.050000001000000002, 18.929122920000001, -99, 2557, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-04-18 00:00:00', 0, 18.57516098, -99, 2410, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-04-19 00:00:00', 0, 20.14936638, -99, 2516, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-04-20 00:00:00', 0.050000001000000002, 22.29884148, -99, 1751, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-04-21 00:00:00', 0, 19.823535920000001, -99, 2389, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-04-22 00:00:00', 3.3599998950000001, 18.904655460000001, -99, 2092, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-04-23 00:00:00', 0, 17.35220146, -99, 2594, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-04-24 00:00:00', 0, 20.363903050000001, -99, 2187, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-04-25 00:00:00', 0.02, 18.892164229999999, -99, 2458, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-04-26 00:00:00', 0.189999998, 18.808898930000002, -99, 2127, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-04-27 00:00:00', 0.49000000999999999, 17.507448199999999, -99, 2280, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-04-28 00:00:00', 0.5, 18.892053600000001, -99, 2560, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-04-29 00:00:00', 1.3899999860000001, 17.9322567, -99, 2524, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-04-30 00:00:00', 1.6699999569999999, 16.772859570000001, -99, 2474, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-05-01 00:00:00', 0, 17.885810849999999, -99, 2645, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-05-02 00:00:00', 0, 18.010370250000001, -99, 2775, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-05-03 00:00:00', 0, 18.36977005, -99, 2781, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-05-04 00:00:00', 0, 19.05922318, -99, 2780, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-05-05 00:00:00', 0, 21.334041599999999, -99, 2540, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-05-06 00:00:00', 0, 22.918972019999998, -99, 2358, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-05-07 00:00:00', 0, 22.26548004, -99, 2476, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-05-08 00:00:00', 0, 23.864326479999999, -99, 2583, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-05-09 00:00:00', 0.280000001, 24.073219300000002, -99, 2657, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-05-10 00:00:00', 0.15000000599999999, 25.344564439999999, -99, 2410, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-05-11 00:00:00', 0.090000003999999995, 25.75561523, -99, 2577, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-05-12 00:00:00', 0.10000000100000001, 24.436435700000001, -99, 2680, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-05-13 00:00:00', 0, 21.95931053, -99, 2649, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-05-14 00:00:00', 0.01, 23.99697304, -99, 2714, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-05-15 00:00:00', 0, 22.491369250000002, -99, 2779, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-05-16 00:00:00', 0, 23.78081512, -99, 2828, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-05-17 00:00:00', 0, 25.750732419999999, -99, 2248, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-05-18 00:00:00', 0, 25.107355120000001, -99, 2692, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-05-19 00:00:00', 0.01, 24.597494130000001, -99, 2762, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-05-20 00:00:00', 1.6100000139999999, 23.985710139999998, -99, 2777, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-05-21 00:00:00', 0, 24.519571299999999, -99, 2779, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-05-22 00:00:00', 0, 25.791793819999999, -99, 2832, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-05-23 00:00:00', 0, 23.614135739999998, -99, 2897, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-05-24 00:00:00', 0, 24.6469059, -99, 2920, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-05-25 00:00:00', 0, 25.268768309999999, -99, 2626, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-05-26 00:00:00', 0, 26.57543755, -99, 1982, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-05-27 00:00:00', 0, 25.489034650000001, -99, 2887, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-05-28 00:00:00', 0, 25.382287980000001, -99, 2827, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-05-29 00:00:00', 0, 25.316169739999999, -99, 2889, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-05-30 00:00:00', 0, 25.650693889999999, -99, 2938, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-05-31 00:00:00', 0, 27.684707639999999, -99, 2817, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-06-01 00:00:00', 0.02, 30.374956130000001, -99, 2774, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-06-02 00:00:00', 0.029999998999999999, 30.200468059999999, -99, 2864, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-06-03 00:00:00', 0, 28.515050890000001, -99, 2900, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-06-04 00:00:00', 0.44999998800000002, 28.544837950000002, -99, 2897, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-06-05 00:00:00', 1.1799999480000001, 27.688602450000001, -99, 2765, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-06-06 00:00:00', 0.02, 24.722463609999998, -99, 1803, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-06-07 00:00:00', 0.23000000400000001, 26.075099949999998, -99, 2186, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-06-08 00:00:00', 0, 24.221935269999999, -99, 2816, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-06-09 00:00:00', 0, 25.327938079999999, -99, 2816, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-06-10 00:00:00', 0.10000000100000001, 26.847023010000001, -99, 2830, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-06-11 00:00:00', 0, 25.74521446, -99, 2834, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-06-12 00:00:00', 0, 25.78330231, -99, 2883, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-06-13 00:00:00', 0, 27.446777340000001, -99, 2833, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-06-14 00:00:00', 0, 26.871759409999999, -99, 2895, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-06-15 00:00:00', 0, 26.94113922, -99, 2849, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-06-16 00:00:00', 0, 29.172437670000001, -99, 2857, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-06-17 00:00:00', 0.14000000100000001, 29.983932500000002, -99, 2808, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-06-18 00:00:00', 0.039999999000000001, 30.194833760000002, -99, 1531, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-06-19 00:00:00', 0, 27.937784189999999, -99, 2827, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-06-20 00:00:00', 0, 28.23867035, -99, 2829, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-06-21 00:00:00', 0, 29.983276369999999, -99, 2859, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-06-22 00:00:00', 0, 30.08253479, -99, 2783, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-06-23 00:00:00', 0, 29.64626122, -99, 2808, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-06-24 00:00:00', 0.25999999000000001, 30.419158939999999, -99, 2735, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-06-25 00:00:00', 0, 26.993602750000001, -99, 2668, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-06-26 00:00:00', 0, 29.930007929999999, -99, 2234, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-06-27 00:00:00', 1.3500000240000001, 28.05174637, -99, 2629, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-06-28 00:00:00', 0.02, 25.242692949999999, -99, 2807, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-06-29 00:00:00', 0.119999997, 27.868272780000002, -99, 2784, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-06-30 00:00:00', 0, 27.942876819999999, -99, 2845, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-07-01 00:00:00', 0, 29.547090529999998, -99, 2790, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-07-02 00:00:00', 0, 29.826463700000001, -99, 2786, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-07-03 00:00:00', 0, 31.121576309999998, -99, 2691, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-07-04 00:00:00', 0, 28.160547260000001, -99, 2667, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-07-05 00:00:00', 0.81999999300000004, 27.878786089999998, -99, 2620, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-07-06 00:00:00', 9.4499998089999995, 28.164585110000001, -99, 2251, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-07-07 00:00:00', 4.8000001909999996, 24.472772599999999, -99, 2147, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-07-08 00:00:00', 0.959999979, 25.694255829999999, -99, 1906, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-07-09 00:00:00', 0, 27.90890503, -99, 2689, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-07-10 00:00:00', 27.079999919999999, 29.83261108, -99, 2173, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-07-11 00:00:00', 11.97000027, 26.996009829999998, -99, 2420, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-07-12 00:00:00', 1.019999981, 26.114917760000001, -99, 2525, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-07-13 00:00:00', 6.9099998469999999, 27.216299060000001, -99, 2135, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-07-14 00:00:00', 1.9500000479999999, 25.044551850000001, -99, 2604, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-07-15 00:00:00', 0.01, 26.00889969, -99, 2496, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-07-16 00:00:00', 0.090000003999999995, 25.61474037, -99, 2678, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-07-17 00:00:00', 0, 28.26751518, -99, 2612, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-07-18 00:00:00', 0, 29.724433900000001, -99, 2685, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-07-19 00:00:00', 0.66000002599999996, 28.685735699999999, -99, 2669, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-07-20 00:00:00', 5.8400001530000001, 29.473201750000001, -99, 2528, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-07-21 00:00:00', 0, 27.291774749999998, -99, 2427, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-07-22 00:00:00', 0.01, 28.94327354, -99, 2491, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-07-23 00:00:00', 0, 29.439233779999999, -99, 2406, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-07-24 00:00:00', 3.1600000860000002, 29.16400337, -99, 2292, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-07-25 00:00:00', 1.3899999860000001, 26.380205149999998, -99, 2471, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-07-26 00:00:00', 0.25999999000000001, 26.041675569999999, -99, 2383, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-07-27 00:00:00', 0, 27.348211289999998, -99, 2513, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-07-28 00:00:00', 0.01, 28.499698639999998, -99, 2218, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-07-29 00:00:00', 0.15000000599999999, 27.612506870000001, -99, 2330, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-07-30 00:00:00', 0.94999998799999996, 27.349784849999999, -99, 1258, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-07-31 00:00:00', 0.189999998, 27.264278409999999, -99, 1861, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-08-01 00:00:00', 0, 26.923000340000002, -99, 1806, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-08-02 00:00:00', 0, 27.976211549999999, -99, 2337, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-08-03 00:00:00', 0, 28.593866349999999, -99, 2474, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-08-04 00:00:00', 1.789999962, 26.952116010000001, -99, 2233, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-08-05 00:00:00', 1.1599999670000001, 24.079536439999998, -99, 1577, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-08-06 00:00:00', 0.14000000100000001, 25.914186480000001, -99, 2551, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-08-07 00:00:00', 12.43999958, 27.915700910000002, -99, 1663, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-08-08 00:00:00', 0.75999998999999996, 26.442991259999999, -99, 1560, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-08-09 00:00:00', 0.33000001299999998, 25.65000916, -99, 2422, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-08-10 00:00:00', 2.1900000569999998, 26.25699234, -99, 1701, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-08-11 00:00:00', 1.6000000240000001, 26.424280169999999, -99, 1948, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-08-12 00:00:00', 0.109999999, 25.81679535, -99, 1082, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-08-13 00:00:00', 0.02, 25.981616970000001, -99, 1891, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-08-14 00:00:00', 13.329999920000001, 27.105756759999998, -99, 2032, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-08-15 00:00:00', 0.23000000400000001, 25.373374940000001, -99, 2160, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-08-16 00:00:00', 0.17000000200000001, 26.644838329999999, -99, 2375, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-08-17 00:00:00', 0.81999999300000004, 27.54439545, -99, 2327, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-08-18 00:00:00', 0.40000000600000002, 27.213123320000001, -99, 2018, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-08-19 00:00:00', 0, 28.213817599999999, -99, 1052, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-08-20 00:00:00', 6.3099999430000002, 26.2094059, -99, 1052, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-08-21 00:00:00', 11.43999958, 25.482738489999999, -99, 858, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-08-22 00:00:00', 6.329999924, 25.35914803, -99, 866, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-08-23 00:00:00', 0.059999998999999998, 24.793708800000001, -99, 2137, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-08-24 00:00:00', 0.059999998999999998, 26.338830949999998, -99, 1667, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-08-25 00:00:00', 0.44999998800000002, 26.295810700000001, -99, 790, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-08-26 00:00:00', 8.9700002669999996, 25.188827509999999, -99, 2211, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-08-27 00:00:00', 6.9699997900000001, 25.01346779, -99, 1194, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-08-28 00:00:00', 3.0699999330000001, 25.566671370000002, -99, 1020, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-08-29 00:00:00', 0.01, 25.516332630000001, -99, 2229, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-08-30 00:00:00', 1.1599999670000001, 26.3408947, -99, 2238, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-08-31 00:00:00', 0, 25.321428300000001, -99, 2057, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-09-01 00:00:00', 0, 26.466663359999998, -99, 2134, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-09-02 00:00:00', 4.7600002290000001, 27.461912160000001, -99, 2022, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-09-03 00:00:00', 0, 25.73546219, -99, 1656, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-09-04 00:00:00', 21.200000760000002, 26.04814339, -99, 1521, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-09-05 00:00:00', 2.4000000950000002, 25.086050029999999, -99, 1879, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-09-06 00:00:00', 0.34999999399999998, 25.646995539999999, -99, 2016, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-09-07 00:00:00', 0.37999999499999998, 25.880254749999999, -99, 2204, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-09-08 00:00:00', 1.6100000139999999, 25.645910260000001, -99, 992, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-09-09 00:00:00', 0.15000000599999999, 25.508031849999998, -99, 1370, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-09-10 00:00:00', 0, 25.514904019999999, -99, 2099, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-09-11 00:00:00', 11.10999966, 26.440290449999999, -99, 2141, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-09-12 00:00:00', 0, 26.06803322, -99, 2027, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-09-13 00:00:00', 3.6800000669999999, 26.605617519999999, -99, 1510, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-09-14 00:00:00', 15.40999985, 25.31719017, -99, 1739, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-09-15 00:00:00', 2.6900000569999998, 23.848575589999999, -99, 1964, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-09-16 00:00:00', 21.88999939, 24.10536003, -99, 1868, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-09-17 00:00:00', 6.8600001339999999, 22.308227540000001, -99, 1561, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-09-18 00:00:00', 5.9400000569999998, 23.12392998, -99, 1443, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-09-19 00:00:00', 0, 23.22024536, -99, 2056, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-09-20 00:00:00', 0, 23.259420389999999, -99, 2184, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-09-21 00:00:00', 0, 22.86735535, -99, 2088, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-09-22 00:00:00', 0, 23.117702479999998, -99, 2091, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-09-23 00:00:00', 0, 22.098918909999998, -99, 2095, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-09-24 00:00:00', 0, 22.009859089999999, -99, 2149, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-09-25 00:00:00', 0, 22.29767609, -99, 2182, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-09-26 00:00:00', 0, 22.355417249999999, -99, 2139, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-09-27 00:00:00', 0, 22.364446640000001, -99, 2077, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-09-28 00:00:00', 0, 21.661911010000001, -99, 2079, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-09-29 00:00:00', 0, 21.236217499999999, -99, 2104, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-09-30 00:00:00', 0, 21.545295719999999, -99, 2090, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-10-01 00:00:00', 0, 21.91768265, -99, 2056, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-10-02 00:00:00', 0, 22.00502586, -99, 2025, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-10-03 00:00:00', 0, 21.52701759, -99, 2027, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-10-04 00:00:00', 0, 20.972681049999998, -99, 2023, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-10-05 00:00:00', 0, 20.208538059999999, -99, 1994, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-10-06 00:00:00', 0, 20.32357025, -99, 2014, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-10-07 00:00:00', 0, 19.69780922, -99, 1985, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-10-08 00:00:00', 0, 19.359703060000001, -99, 1958, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-10-09 00:00:00', 0, 19.021390910000001, -99, 1938, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-10-10 00:00:00', 0, 17.925243380000001, -99, 1919, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-10-11 00:00:00', 0, 18.516098020000001, -99, 1895, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-10-12 00:00:00', 0, 17.803922650000001, -99, 1870, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-10-13 00:00:00', 0, 18.055763240000001, -99, 1830, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-10-14 00:00:00', 0, 19.048698430000002, -99, 1815, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-10-15 00:00:00', 0.97000002900000004, 18.993373869999999, -99, 1327, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-10-16 00:00:00', 0, 16.26521683, -99, 1818, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-10-17 00:00:00', 0, 16.257127759999999, -99, 1839, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-10-18 00:00:00', 0, 16.377296449999999, -99, 1813, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-10-19 00:00:00', 0, 16.11264229, -99, 1805, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-10-20 00:00:00', 0, 16.716314319999999, -99, 1525, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-10-21 00:00:00', 0, 16.317810059999999, -99, 1782, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-10-22 00:00:00', 0, 16.187366489999999, -99, 1669, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-10-23 00:00:00', 0.34000000400000002, 15.59430218, -99, 1733, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-10-24 00:00:00', 0, 14.81934929, -99, 1732, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-10-25 00:00:00', 0, 13.51178837, -99, 1756, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-10-26 00:00:00', 0, 12.590379710000001, -99, 1726, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-10-27 00:00:00', 0, 12.38714218, -99, 1718, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-10-28 00:00:00', 0, 13.31641293, -99, 1689, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-10-29 00:00:00', 0, 14.09615803, -99, 1681, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-10-30 00:00:00', 0, 14.688403129999999, -99, 1665, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-10-31 00:00:00', 0, 14.04329014, -99, 1656, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-11-01 00:00:00', 0, 14.64437199, -99, 1650, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-11-02 00:00:00', 0, 13.612756729999999, -99, 1621, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-11-03 00:00:00', 0, 13.852128029999999, -99, 1626, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-11-04 00:00:00', 0, 13.650533680000001, -99, 1617, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-11-05 00:00:00', 0, 13.469934459999999, -99, 1578, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-11-06 00:00:00', 0, 12.93960571, -99, 1567, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-11-07 00:00:00', 0, 12.67653275, -99, 1597, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-11-08 00:00:00', 0, 12.5661726, -99, 1556, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-11-09 00:00:00', 0, 11.75066376, -99, 1551, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-11-10 00:00:00', 0, 12.47237301, -99, 1473, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-11-11 00:00:00', 0, 11.63293648, -99, 1488, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-11-12 00:00:00', 0, 11.49746418, -99, 1522, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-11-13 00:00:00', 0, 10.620729450000001, -99, 1482, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-11-14 00:00:00', 0, 12.137760159999999, -99, 1499, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-11-15 00:00:00', 0, 10.83390236, -99, 1498, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-11-16 00:00:00', 0, 10.44943619, -99, 1473, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-11-17 00:00:00', 0, 9.9222812650000005, -99, 1466, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-11-18 00:00:00', 0, 10.99843121, -99, 1384, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-11-19 00:00:00', 0, 10.111741070000001, -99, 1469, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-11-20 00:00:00', 0, 10.47875786, -99, 1451, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-11-21 00:00:00', 0, 9.5610723499999999, -99, 1053, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-11-22 00:00:00', 0, 8.9333782199999998, -99, 1431, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-11-23 00:00:00', 0, 8.4847431180000008, -99, 1438, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-11-24 00:00:00', 0, 9.7261734010000005, -99, 1377, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-11-25 00:00:00', 0, 9.3679027559999994, -99, 1387, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-11-26 00:00:00', 0, 9.4541473390000004, -99, 1374, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-11-27 00:00:00', 0, 8.1376285549999992, -99, 1389, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-11-28 00:00:00', 0.01, 8.3043527600000004, -99, 1240, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-11-29 00:00:00', 0.079999998000000003, 9.5399999619999996, -99, 832, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-11-30 00:00:00', 0, 8.1223850249999998, -99, 1385, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-12-01 00:00:00', 0, 8.1552028659999998, -99, 1399, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-12-02 00:00:00', 0, 7.5994606019999997, -99, 910, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-12-03 00:00:00', 0, 6.1218681339999996, -99, 1376, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-12-04 00:00:00', 0, 6.0985918049999999, -99, 1368, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-12-05 00:00:00', 0, 6.6302518839999998, -99, 1255, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-12-06 00:00:00', 0, 6.9921822550000003, -99, 1329, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-12-07 00:00:00', 0, 9.3899774550000004, -99, 1051, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-12-08 00:00:00', 0, 7.423704624, -99, 1325, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-12-09 00:00:00', 0, 8.2287740710000001, -99, 1312, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-12-10 00:00:00', 0, 8.1039676669999992, -99, 1250, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-12-11 00:00:00', 0, 11.32635498, -99, 1179, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-12-12 00:00:00', 0, 7.2610235210000003, -99, 936, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-12-13 00:00:00', 11.44999981, 10.46288204, -99, 399, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-12-14 00:00:00', 0, 11.25558567, -99, 782, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-12-15 00:00:00', 0.38999998600000002, 9.8171577449999994, -99, 602, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-12-16 00:00:00', 0, 9.9373950959999995, -99, 1248, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-12-17 00:00:00', 0, 9.2107706070000006, -99, 1238, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-12-18 00:00:00', 0, 11.001077649999999, -99, 1264, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-12-19 00:00:00', 0, 8.6352939610000004, -99, 1322, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-12-20 00:00:00', 0, 6.2627935409999997, -99, 1313, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-12-21 00:00:00', 0, 6.4126319890000003, -99, 1306, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-12-22 00:00:00', 0, 4.1703906059999998, -99, 1303, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-12-23 00:00:00', 0, 6.1027116780000004, -99, 815, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-12-24 00:00:00', 0, 5.2171225550000004, -99, 949, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-12-25 00:00:00', 0, 7.1458134649999998, -99, 671, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-12-26 00:00:00', 0, 7.0032715799999998, -99, 800, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-12-27 00:00:00', 0, 7.1029157639999996, -99, 734, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-12-28 00:00:00', 1.269999981, 6.8683347699999997, -99, 580, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-12-29 00:00:00', 0, 7.120204449, -99, 1046, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-12-30 00:00:00', 0, 6.1928477290000004, -99, 749, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-12-31 00:00:00', 0, 5.5027637479999996, -99, 614, 'lud', 'lud_2012');
INSERT INTO public.cdy_cldat VALUES ('2013-01-01 00:00:00', 0, 6.1357827189999998, -99, 291, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-01-02 00:00:00', 0, 5.9390568730000002, -99, 681, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-01-03 00:00:00', 0, 5.6197719570000002, -99, 616, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-01-04 00:00:00', 0, 3.7925837040000001, -99, 770, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-01-05 00:00:00', 0, 4.2594332699999997, -99, 523, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-01-06 00:00:00', 0, 3.5176870820000001, -99, 1047, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-01-07 00:00:00', 0, 2.1691136360000001, -99, 796, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-01-08 00:00:00', 0.439999998, 2.407265663, -99, 848, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-01-09 00:00:00', 0, 3.552134514, -99, 1251, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-01-10 00:00:00', 0, 5.2494964599999996, -99, 1285, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-01-11 00:00:00', 0, 5.6307649609999997, -99, 1294, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-01-12 00:00:00', 0, 8.5723228450000004, -99, 1086, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-01-13 00:00:00', 0, 9.2838926320000006, -99, 1274, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-01-14 00:00:00', 0, 6.598322392, -99, 1153, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-01-15 00:00:00', 0, 4.48500824, -99, 1354, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-01-16 00:00:00', 0.02, 6.3415360449999998, -99, 1255, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-01-17 00:00:00', 7.3600001339999999, 10.56433105, -99, 733, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-01-18 00:00:00', 2.6900000569999998, 11.9788847, -99, 245, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-01-19 00:00:00', 0, 7.204430103, -99, 1254, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-01-20 00:00:00', 0, 6.7790904049999998, -99, 1267, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-01-21 00:00:00', 0, 6.0449357030000002, -99, 1350, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-01-22 00:00:00', 0, 4.8221626280000001, -99, 1407, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-01-23 00:00:00', 0, 4.3514418600000004, -99, 1308, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-01-24 00:00:00', 0, 4.9952201839999999, -99, 1407, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-01-25 00:00:00', 0, 5.6284751890000004, -99, 1466, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-01-26 00:00:00', 0, 5.7002115250000003, -99, 1475, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-01-27 00:00:00', 0, 5.5309844019999996, -99, 1114, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-01-28 00:00:00', 0, 6.3390378949999997, -99, 1457, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-01-29 00:00:00', 0, 5.3621468539999997, -99, 1446, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-01-30 00:00:00', 0, 5.8363146779999999, -99, 1096, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-01-31 00:00:00', 0, 7.0287408830000002, -99, 1239, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-02-01 00:00:00', 0, 6.9830679890000003, -99, 1267, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-02-02 00:00:00', 0, 12.872517589999999, -99, 1398, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-02-03 00:00:00', 2.0099999899999998, 9.5229396820000005, -99, 629, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-02-04 00:00:00', 3.3399999139999998, 12.432228090000001, -99, 564, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-02-05 00:00:00', 21.600000380000001, 12.628898619999999, -99, 798, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-02-06 00:00:00', 0.52999997099999996, 8.5614099499999998, -99, 1425, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-02-07 00:00:00', 0, 6.8233189579999998, -99, 1581, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-02-08 00:00:00', 0, 7.035795212, -99, 1625, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-02-09 00:00:00', 0, 7.2984385490000001, -99, 1621, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-02-10 00:00:00', 0, 5.7488045689999998, -99, 1623, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-02-11 00:00:00', 0, 7.6073451040000002, -99, 1497, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-02-12 00:00:00', 0, 8.0399293899999993, -99, 1622, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-02-13 00:00:00', 0, 9.2169084550000004, -99, 1655, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-02-14 00:00:00', 0, 8.9618177410000008, -99, 1370, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-02-15 00:00:00', 2.9900000100000002, 12.324851990000001, -99, 682, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-02-16 00:00:00', 7.8000001909999996, 11.48582554, -99, 167, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-02-17 00:00:00', 0.27000001099999998, 11.03065395, -99, 965, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-02-18 00:00:00', 0, 8.7005414959999996, -99, 1615, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-02-19 00:00:00', 0, 9.7741508479999997, -99, 1474, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-02-20 00:00:00', 0, 8.9608974460000006, -99, 1720, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-02-21 00:00:00', 4.420000076, 10.450329780000001, -99, 420, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-02-22 00:00:00', 1.440000057, 12.72432804, -99, 1370, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-02-23 00:00:00', 13.69999981, 13.021256449999999, -99, 220, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-02-24 00:00:00', 0, 9.7939071660000003, -99, 1769, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-02-25 00:00:00', 0, 8.8741016389999992, -99, 1438, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-02-26 00:00:00', 3.5699999330000001, 9.5903787610000002, -99, 1387, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-02-27 00:00:00', 0.34000000400000002, 12.987854, -99, 1780, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-02-28 00:00:00', 0, 10.06458282, -99, 1927, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-03-01 00:00:00', 0, 8.6454334260000003, -99, 1923, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-03-02 00:00:00', 0, 9.3456602100000001, -99, 1974, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-03-03 00:00:00', 0, 10.170011519999999, -99, 1948, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-03-04 00:00:00', 0, 10.88192177, -99, 1939, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-03-05 00:00:00', 0, 11.83770084, -99, 1964, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-03-06 00:00:00', 0, 11.535791400000001, -99, 1957, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-03-07 00:00:00', 0, 13.45574379, -99, 1993, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-03-08 00:00:00', 0, 13.36884117, -99, 2013, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-03-09 00:00:00', 0, 13.11053371, -99, 1058, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-03-10 00:00:00', 0, 16.932693480000001, -99, 1955, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-03-11 00:00:00', 0, 15.189204220000001, -99, 1800, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-03-12 00:00:00', 0, 15.09424686, -99, 1037, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-03-13 00:00:00', 1.309999943, 14.235375400000001, -99, 1406, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-03-14 00:00:00', 0.959999979, 14.62107372, -99, 1939, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-03-15 00:00:00', 0, 10.83694077, -99, 1979, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-03-16 00:00:00', 0, 12.18066788, -99, 2081, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-03-17 00:00:00', 0, 12.71259785, -99, 2110, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-03-18 00:00:00', 0, 14.59970379, -99, 2104, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-03-19 00:00:00', 0, 15.52892494, -99, 2094, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-03-20 00:00:00', 0, 15.244318010000001, -99, 1927, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-03-21 00:00:00', 0, 15.361394880000001, -99, 2132, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-03-22 00:00:00', 0, 15.963761330000001, -99, 1878, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-03-23 00:00:00', 3.9700000289999999, 16.938077929999999, -99, 1891, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-03-24 00:00:00', 0, 16.133747100000001, -99, 1565, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-03-25 00:00:00', 0, 13.7135582, -99, 2241, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-03-26 00:00:00', 0, 13.77217293, -99, 2272, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-03-27 00:00:00', 0, 16.36972046, -99, 1768, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-03-28 00:00:00', 0.769999981, 16.432380680000001, -99, 1025, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-03-29 00:00:00', 1.9700000289999999, 15.259440420000001, -99, 1550, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-03-30 00:00:00', 0, 14.38045788, -99, 2267, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-03-31 00:00:00', 0, 16.299020769999998, -99, 2284, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-04-01 00:00:00', 0, 16.491273880000001, -99, 2266, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-04-02 00:00:00', 0.01, 17.31626129, -99, 1662, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-04-03 00:00:00', 0, 16.57821083, -99, 2222, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-04-04 00:00:00', 0, 15.704683299999999, -99, 2341, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-04-05 00:00:00', 0, 14.270524979999999, -99, 2380, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-04-06 00:00:00', 0, 15.93014908, -99, 2390, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-04-07 00:00:00', 0, 17.641330719999999, -99, 1983, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-04-08 00:00:00', 0, 17.62878036, -99, 2326, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-04-09 00:00:00', 0.25, 18.351076129999999, -99, 2027, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-04-10 00:00:00', 0.039999999000000001, 20.222463609999998, -99, 2080, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-04-11 00:00:00', 0, 17.966287609999998, -99, 2343, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-04-12 00:00:00', 0, 19.050895690000001, -99, 2391, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-04-13 00:00:00', 0, 18.989288330000001, -99, 2378, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-04-14 00:00:00', 1.8600000139999999, 19.032930369999999, -99, 2229, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-04-15 00:00:00', 0, 18.51507187, -99, 2417, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-04-16 00:00:00', 0, 19.770427699999999, -99, 1953, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-04-17 00:00:00', 0, 17.129432680000001, -99, 2548, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-04-18 00:00:00', 0, 17.164939879999999, -99, 2518, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-04-19 00:00:00', 0, 17.683002470000002, -99, 2299, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-04-20 00:00:00', 0, 18.714288710000002, -99, 2366, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-04-21 00:00:00', 0.059999998999999998, 21.43029404, -99, 1222, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-04-22 00:00:00', 0, 20.183609010000001, -99, 2384, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-04-23 00:00:00', 0, 20.20278549, -99, 2319, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-04-24 00:00:00', 0.090000003999999995, 21.1357708, -99, 2376, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-04-25 00:00:00', 0.01, 22.487871169999998, -99, 1775, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-04-26 00:00:00', 3.8099999430000002, 20.931352619999998, -99, 2059, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-04-27 00:00:00', 0, 20.025785450000001, -99, 1619, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-04-28 00:00:00', 0, 20.23096275, -99, 2456, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-04-29 00:00:00', 0, 22.26921844, -99, 2409, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-04-30 00:00:00', 0, 21.384853360000001, -99, 2236, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-05-01 00:00:00', 0, 20.62690735, -99, 2532, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-05-02 00:00:00', 0, 20.091060639999998, -99, 2555, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-05-03 00:00:00', 0, 19.973047260000001, -99, 2564, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-05-04 00:00:00', 0, 19.462444309999999, -99, 2538, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-05-05 00:00:00', 0, 24.233186719999999, -99, 2374, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-05-06 00:00:00', 0, 24.840177539999999, -99, 2491, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-05-07 00:00:00', 0, 21.45501518, -99, 2562, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-05-08 00:00:00', 0.189999998, 23.341979980000001, -99, 2435, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-05-09 00:00:00', 0, 23.527387619999999, -99, 2600, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-05-10 00:00:00', 0.69999998799999996, 23.720045089999999, -99, 2428, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-05-11 00:00:00', 0.310000002, 23.445272450000001, -99, 2111, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-05-12 00:00:00', 2.369999886, 22.513751979999999, -99, 1458, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-05-13 00:00:00', 0, 19.540554050000001, -99, 2554, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-05-14 00:00:00', 0.15999999600000001, 22.312688829999999, -99, 2160, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-05-15 00:00:00', 0, 21.958169940000001, -99, 2601, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-05-16 00:00:00', 0, 23.825792310000001, -99, 2624, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-05-17 00:00:00', 0, 22.989297870000001, -99, 2666, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-05-18 00:00:00', 0, 22.943366999999999, -99, 2728, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-05-19 00:00:00', 0, 24.50328064, -99, 2654, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-05-20 00:00:00', 0, 28.085781099999998, -99, 2500, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-05-21 00:00:00', 0, 27.12802696, -99, 2678, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-05-22 00:00:00', 0, 27.293193819999999, -99, 2665, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-05-23 00:00:00', 0, 27.004102710000002, -99, 2698, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-05-24 00:00:00', 0, 28.193212509999999, -99, 2632, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-05-25 00:00:00', 0, 28.587341309999999, -99, 2591, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-05-26 00:00:00', 0, 29.70341492, -99, 2448, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-05-27 00:00:00', 0, 28.65352249, -99, 2387, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-05-28 00:00:00', 0, 26.934850690000001, -99, 2658, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-05-29 00:00:00', 0, 25.141809460000001, -99, 2472, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-05-30 00:00:00', 0, 23.84590721, -99, 2717, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-05-31 00:00:00', 0, 23.75897217, -99, 2702, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-06-01 00:00:00', 0, 27.118967059999999, -99, 2605, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-06-02 00:00:00', 0, 27.123615260000001, -99, 2548, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-06-03 00:00:00', 0, 29.111013410000002, -99, 2247, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-06-04 00:00:00', 0, 27.218191149999999, -99, 2529, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-06-05 00:00:00', 0, 28.828699109999999, -99, 2553, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-06-06 00:00:00', 0.44999998800000002, 30.71142197, -99, 2388, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-06-07 00:00:00', 0, 27.453794479999999, -99, 2540, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-06-08 00:00:00', 0, 28.764780040000002, -99, 2526, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-06-09 00:00:00', 0, 29.289070129999999, -99, 2531, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-06-10 00:00:00', 0, 29.547328950000001, -99, 2442, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-06-11 00:00:00', 2.289999962, 30.875343319999999, -99, 1636, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-06-12 00:00:00', 0, 24.832798, -99, 578, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-06-13 00:00:00', 45.909999849999998, 26.89385223, -99, 1662, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-06-14 00:00:00', 5.0199999809999998, 25.516862870000001, -99, 2498, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-06-15 00:00:00', 46.319999690000003, 24.19882965, -99, 420, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-06-16 00:00:00', 0.75999998999999996, 21.712717059999999, -99, 869, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-06-17 00:00:00', 0, 23.029783250000001, -99, 2430, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-06-18 00:00:00', 0, 22.88208771, -99, 2552, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-06-19 00:00:00', 0, 25.9791317, -99, 2567, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-06-20 00:00:00', 0, 26.412809370000002, -99, 2582, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-06-21 00:00:00', 0, 27.921710969999999, -99, 2523, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-06-22 00:00:00', 0, 29.82900047, -99, 2531, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-06-23 00:00:00', 0, 29.142475130000001, -99, 2351, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-06-24 00:00:00', 0, 28.967754360000001, -99, 2333, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-06-25 00:00:00', 0, 28.345047000000001, -99, 1972, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-06-26 00:00:00', 2.170000076, 27.63443565, -99, 2439, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-06-27 00:00:00', 0.01, 27.516529080000002, -99, 1078, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-06-28 00:00:00', 0.02, 25.48152924, -99, 2276, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-06-29 00:00:00', 1.8899999860000001, 28.45029259, -99, 1990, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-06-30 00:00:00', 0, 25.107044219999999, -99, 2522, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-07-01 00:00:00', 0, 28.242221829999998, -99, 2505, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-07-02 00:00:00', 4.3699998860000004, 29.31368256, -99, 2297, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-07-03 00:00:00', 0, 26.739025120000001, -99, 2546, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-07-04 00:00:00', 0, 29.153926850000001, -99, 2352, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-07-05 00:00:00', 0.01, 28.787343979999999, -99, 1640, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-07-06 00:00:00', 2.9100000860000002, 27.08138275, -99, 1685, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-07-07 00:00:00', 10.880000109999999, 27.76311493, -99, 1441, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-07-08 00:00:00', 46.479999540000001, 26.451143259999998, -99, 1530, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-07-09 00:00:00', 13.93000031, 24.632505420000001, -99, 691, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-07-10 00:00:00', 12.18000031, 24.249452590000001, -99, 1492, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-07-11 00:00:00', 0, 26.313074109999999, -99, 2475, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-07-12 00:00:00', 0.939999998, 27.741418840000001, -99, 2234, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-07-13 00:00:00', 0, 27.46231461, -99, 2268, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-07-14 00:00:00', 5.4499998090000004, 28.91964149, -99, 2343, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-07-15 00:00:00', 15.5, 26.644851679999999, -99, 2130, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-07-16 00:00:00', 0.18000000699999999, 26.028638839999999, -99, 1910, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-07-17 00:00:00', 9.3500003809999992, 28.015331270000001, -99, 1839, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-07-18 00:00:00', 2.25, 27.074563980000001, -99, 1870, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-07-19 00:00:00', 0.5, 29.03690147, -99, 2205, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-07-20 00:00:00', 5.7100000380000004, 25.412523270000001, -99, 214, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-07-21 00:00:00', 0, 25.995208739999999, -99, 2090, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-07-22 00:00:00', 0, 27.274564739999999, -99, 2209, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-07-23 00:00:00', 0, 26.859333039999999, -99, 1990, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-07-24 00:00:00', 0.310000002, 28.554214479999999, -99, 772, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-07-25 00:00:00', 0.709999979, 27.175632480000001, -99, 2273, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-07-26 00:00:00', 0, 26.037378310000001, -99, 1906, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-07-27 00:00:00', 0, 27.458755490000001, -99, 2262, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-07-28 00:00:00', 0, 29.223978039999999, -99, 2211, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-07-29 00:00:00', 0, 29.13065147, -99, 1818, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-07-30 00:00:00', 0.02, 27.630964280000001, -99, 1850, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-07-31 00:00:00', 7.8000001909999996, 27.935018540000002, -99, 2320, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-08-01 00:00:00', 13, 26.915990829999998, -99, 1507, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-08-02 00:00:00', 5.4400000569999998, 26.135786060000001, -99, 502, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-08-03 00:00:00', 1.519999981, 26.74419022, -99, 2316, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-08-04 00:00:00', 0.01, 28.500310899999999, -99, 1732, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-08-05 00:00:00', 46.159999849999998, 27.969961170000001, -99, 1132, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-08-06 00:00:00', 37.900001529999997, 24.728567120000001, -99, 316, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-08-07 00:00:00', 0.50999998999999996, 25.599605560000001, -99, 1490, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-08-08 00:00:00', 0, 26.612779620000001, -99, 2039, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-08-09 00:00:00', 1.9199999569999999, 25.868532179999999, -99, 1193, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-08-10 00:00:00', 1.3899999860000001, 26.314935680000001, -99, 1169, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-08-11 00:00:00', 5.0900001530000001, 26.949869159999999, -99, 1657, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-08-12 00:00:00', 0.77999997099999996, 27.10575485, -99, 756, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-08-13 00:00:00', 0.34999999399999998, 26.47750473, -99, 1840, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-08-14 00:00:00', 17.399999619999999, 26.102182389999999, -99, 1397, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-08-15 00:00:00', 16.629999160000001, 24.11741447, -99, 941, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-08-16 00:00:00', 10.02000046, 25.160875319999999, -99, 767, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-08-17 00:00:00', 2.119999886, 24.949071880000002, -99, 1037, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-08-18 00:00:00', 3.210000038, 25.324480059999999, -99, 1392, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-08-19 00:00:00', 4.8800001139999996, 24.967338560000002, -99, 1781, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-08-20 00:00:00', 0, 26.678651810000002, -99, 1807, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-08-21 00:00:00', 0, 25.650257109999998, -99, 2300, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-08-22 00:00:00', 0, 25.428091049999999, -99, 1962, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-08-23 00:00:00', 0.55000001200000004, 26.433998110000001, -99, 2176, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-08-24 00:00:00', 2.0499999519999998, 26.184293749999998, -99, 1985, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-08-25 00:00:00', 0, 27.632802959999999, -99, 2107, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-08-26 00:00:00', 0, 27.818874359999999, -99, 2217, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-08-27 00:00:00', 0, 27.69035912, -99, 2061, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-08-28 00:00:00', 0, 26.674798970000001, -99, 2072, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-08-29 00:00:00', 0.18000000699999999, 24.944150919999998, -99, 2110, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-08-30 00:00:00', 0, 24.443790440000001, -99, 1916, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-08-31 00:00:00', 0, 26.40596008, -99, 2124, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-09-01 00:00:00', 0.36000001399999998, 25.508771899999999, -99, 2035, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-09-02 00:00:00', 0, 26.515438079999999, -99, 2095, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-09-03 00:00:00', 0, 26.33277893, -99, 2185, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-09-04 00:00:00', 0, 25.47841644, -99, 2152, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-09-05 00:00:00', 0, 23.14202118, -99, 2084, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-09-06 00:00:00', 0, 22.738763809999998, -99, 2161, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-09-07 00:00:00', 0.02, 24.946741100000001, -99, 2026, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-09-08 00:00:00', 0.15000000599999999, 25.69060516, -99, 1452, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-09-09 00:00:00', 0.01, 24.598352429999998, -99, 1593, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-09-10 00:00:00', 0, 24.674533839999999, -99, 1987, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-09-11 00:00:00', 0, 24.911998749999999, -99, 1974, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-09-12 00:00:00', 0, 24.946737290000002, -99, 2016, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-09-13 00:00:00', 0, 25.34309769, -99, 1971, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-09-14 00:00:00', 0, 25.092851639999999, -99, 2102, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-09-15 00:00:00', 0.119999997, 25.241691589999999, -99, 2106, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-09-16 00:00:00', 0.219999999, 20.629034040000001, -99, 1521, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-09-17 00:00:00', 0, 20.960964199999999, -99, 2137, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-09-18 00:00:00', 0, 21.692056659999999, -99, 2125, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-09-19 00:00:00', 0, 22.714105610000001, -99, 2110, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-09-20 00:00:00', 0, 23.56647491, -99, 2074, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-09-21 00:00:00', 5.8200001720000003, 23.558200840000001, -99, 1917, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-09-22 00:00:00', 1.1000000240000001, 23.700214389999999, -99, 1639, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-09-23 00:00:00', 0.15999999600000001, 24.65662193, -99, 1758, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-09-24 00:00:00', 0, 25.838880540000002, -99, 1380, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-09-25 00:00:00', 0, 23.666021350000001, -99, 1978, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-09-26 00:00:00', 0, 24.716535570000001, -99, 1827, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-09-27 00:00:00', 0.050000001000000002, 25.205179210000001, -99, 1650, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-09-28 00:00:00', 0.029999998999999999, 23.70907021, -99, 1669, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-09-29 00:00:00', 0.029999998999999999, 23.630592350000001, -99, 1850, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-09-30 00:00:00', 0.039999999000000001, 23.428941729999998, -99, 1726, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-10-01 00:00:00', 0, 24.44551659, -99, 1719, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-10-02 00:00:00', 0, 24.200668329999999, -99, 1767, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-10-03 00:00:00', 0.30000001199999998, 23.97992897, -99, 1643, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-10-04 00:00:00', 0, 22.82514763, -99, 1480, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-10-05 00:00:00', 0, 22.95124435, -99, 1537, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-10-06 00:00:00', 0, 24.21402359, -99, 911, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-10-07 00:00:00', 0, 24.521179199999999, -99, 1548, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-10-08 00:00:00', 0, 24.788394929999999, -99, 1302, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-10-09 00:00:00', 0, 25.419652939999999, -99, 1012, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-10-10 00:00:00', 0, 24.691362380000001, -99, 1555, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-10-11 00:00:00', 0.039999999000000001, 24.248769759999998, -99, 868, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-10-12 00:00:00', 0, 21.084968570000001, -99, 866, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-10-13 00:00:00', 0.01, 21.753536220000001, -99, 1265, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-10-14 00:00:00', 0, 21.15142822, -99, 1721, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-10-15 00:00:00', 0, 20.430891039999999, -99, 1747, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-10-16 00:00:00', 0, 20.965322489999998, -99, 1720, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-10-17 00:00:00', 0, 20.015699390000002, -99, 1704, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-10-18 00:00:00', 0, 19.439088819999998, -99, 1694, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-10-19 00:00:00', 0, 17.53674698, -99, 1705, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-10-20 00:00:00', 0, 17.346042629999999, -99, 1678, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-10-21 00:00:00', 0, 17.843404769999999, -99, 1659, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-10-22 00:00:00', 0, 17.24801064, -99, 1647, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-10-23 00:00:00', 0, 18.163072589999999, -99, 1616, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-10-24 00:00:00', 0, 17.949655530000001, -99, 1616, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-10-25 00:00:00', 0, 17.737648010000001, -99, 1567, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-10-26 00:00:00', 0, 16.91027832, -99, 1552, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-10-27 00:00:00', 0, 16.646286010000001, -99, 1538, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-10-28 00:00:00', 0, 16.593320850000001, -99, 1462, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-10-29 00:00:00', 0, 15.02432537, -99, 1517, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-10-30 00:00:00', 0, 14.705828670000001, -99, 1434, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-10-31 00:00:00', 0, 17.622585300000001, -99, 1455, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-11-01 00:00:00', 0, 16.131898880000001, -99, 1336, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-11-02 00:00:00', 0, 14.766775129999999, -99, 1535, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-11-03 00:00:00', 0, 12.51852036, -99, 1545, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-11-04 00:00:00', 0, 11.400925640000001, -99, 1481, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-11-05 00:00:00', 0, 11.65619373, -99, 984, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-11-06 00:00:00', 0.310000002, 14.399956700000001, -99, 1089, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-11-07 00:00:00', 0.189999998, 14.24834156, -99, 1077, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-11-08 00:00:00', 0, 12.118197439999999, -99, 1231, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-11-09 00:00:00', 0, 11.10853958, -99, 1391, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-11-10 00:00:00', 0, 11.380104060000001, -99, 1413, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-11-11 00:00:00', 0, 10.675790790000001, -99, 1405, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-11-12 00:00:00', 0, 9.7645092009999992, -99, 1418, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-11-13 00:00:00', 0, 9.5811109539999997, -99, 1411, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-11-14 00:00:00', 0, 9.4443950650000001, -99, 1410, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-11-15 00:00:00', 0, 8.3768329619999999, -99, 1402, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-11-16 00:00:00', 0, 8.3009805679999999, -99, 1373, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-11-17 00:00:00', 0, 8.8060827259999996, -99, 1377, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-11-18 00:00:00', 0, 9.7869005199999997, -99, 1378, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-11-19 00:00:00', 0, 9.4045000079999994, -99, 1323, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-11-20 00:00:00', 0, 9.3948183059999995, -99, 1341, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-11-21 00:00:00', 0, 9.3471155170000007, -99, 1293, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-11-22 00:00:00', 0, 9.7857389450000003, -99, 1275, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-11-23 00:00:00', 0, 9.7663831709999993, -99, 1271, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-11-24 00:00:00', 0, 11.319765090000001, -99, 1236, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-11-25 00:00:00', 0, 11.670332910000001, -99, 1257, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-11-26 00:00:00', 0, 12.70061016, -99, 1251, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-11-27 00:00:00', 0, 11.00424099, -99, 1249, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-11-28 00:00:00', 0, 9.7546367650000008, -99, 1228, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-11-29 00:00:00', 0, 9.4865942000000008, -99, 1244, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-11-30 00:00:00', 0, 9.8054752349999994, -99, 1248, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-12-01 00:00:00', 0, 8.7606687549999993, -99, 1274, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-12-02 00:00:00', 0, 9.9551010130000002, -99, 1230, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-12-03 00:00:00', 0, 9.3869180679999999, -99, 1243, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-12-04 00:00:00', 0, 8.8545513150000001, -99, 1211, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-12-05 00:00:00', 0, 8.6660776140000007, -99, 1242, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-12-06 00:00:00', 0, 8.7318754199999997, -99, 1226, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-12-07 00:00:00', 0, 8.7685747149999997, -99, 1174, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-12-08 00:00:00', 0, 8.5180349349999993, -99, 1181, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-12-09 00:00:00', 0, 8.3738689419999996, -99, 1175, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-12-10 00:00:00', 0, 8.4144134519999998, -99, 1193, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-12-11 00:00:00', 0, 9.1109056469999992, -99, 1165, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-12-12 00:00:00', 0, 9.2489080430000001, -99, 1214, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-12-13 00:00:00', 0, 8.9553689960000007, -99, 1224, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-12-14 00:00:00', 0, 6.9514718059999998, -99, 1199, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-12-15 00:00:00', 0, 9.0003509519999998, -99, 1170, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-12-16 00:00:00', 0, 7.4548716549999998, -99, 1095, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-12-17 00:00:00', 0, 7.7677206989999998, -99, 907, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-12-18 00:00:00', 0, 10.188474660000001, -99, 608, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-12-19 00:00:00', 0, 10.56492424, -99, 635, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-12-20 00:00:00', 0, 9.9139919279999997, -99, 662, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-12-21 00:00:00', 0.80000001200000004, 9.7588014600000008, -99, 557, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-12-22 00:00:00', 0, 10.83855629, -99, 769, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-12-23 00:00:00', 0, 9.0738725660000004, -99, 1078, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-12-24 00:00:00', 0, 5.9549508089999996, -99, 1179, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-12-25 00:00:00', 0, 6.2018938060000002, -99, 1201, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-12-26 00:00:00', 0, 4.563868523, -99, 1235, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-12-27 00:00:00', 0, 3.6792628770000002, -99, 1188, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-12-28 00:00:00', 0, 3.5559577939999998, -99, 1241, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-12-29 00:00:00', 0, 3.7410824300000001, -99, 1234, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-12-30 00:00:00', 0, 1.938002706, -99, 1241, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-12-31 00:00:00', 0, 7.032886982, -99, 432, 'lud', 'lud_2013');
INSERT INTO public.cdy_cldat VALUES ('2014-01-01 00:00:00', 0, 6.0273604389999997, -99, 1135, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-01-02 00:00:00', 0, 3.8696677679999998, -99, 1240, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-01-03 00:00:00', 0, 3.5430853369999999, -99, 1253, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-01-04 00:00:00', 0, 4.4590792659999998, -99, 1004, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-01-05 00:00:00', 0, 3.5925726889999998, -99, 1234, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-01-06 00:00:00', 0, 3.0477690700000002, -99, 1248, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-01-07 00:00:00', 0, 4.178472996, -99, 1069, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-01-08 00:00:00', 0.059999998999999998, 5.8491268160000001, -99, 405, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-01-09 00:00:00', 0, 6.0675497060000003, -99, 1251, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-01-10 00:00:00', 0, 3.6335549349999998, -99, 1154, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-01-11 00:00:00', 0, 4.514729977, -99, 1322, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-01-12 00:00:00', 0, 4.6257672310000002, -99, 1117, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-01-13 00:00:00', 0, 7.8248581890000004, -99, 377, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-01-14 00:00:00', 0, 6.51583004, -99, 1103, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-01-15 00:00:00', 0, 6.7050642969999998, -99, 1161, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-01-16 00:00:00', 0, 6.6915159229999999, -99, 602, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-01-17 00:00:00', 12.06999969, 7.9369840619999996, -99, 563, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-01-18 00:00:00', 0, 9.2390642169999992, -99, 707, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-01-19 00:00:00', 0, 6.530761719, -99, 1346, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-01-20 00:00:00', 0, 5.9843740460000001, -99, 1305, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-01-21 00:00:00', 6.5, 9.153091431, -99, 851, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-01-22 00:00:00', 16.149999619999999, 11.547503470000001, -99, 314, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-01-23 00:00:00', 0, 10.035921099999999, -99, 1270, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-01-24 00:00:00', 0, 8.8004722599999994, -99, 1362, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-01-25 00:00:00', 0, 8.874288559, -99, 1299, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-01-26 00:00:00', 0, 9.0305318830000001, -99, 1439, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-01-27 00:00:00', 0, 7.829927444, -99, 1452, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-01-28 00:00:00', 0, 9.3672218320000002, -99, 1429, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-01-29 00:00:00', 0, 8.8961172099999999, -99, 1368, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-01-30 00:00:00', 0, 8.9115371700000008, -99, 1270, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-01-31 00:00:00', 0, 9.4187364579999997, -99, 885, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-02-01 00:00:00', 0, 9.8020095830000002, -99, 962, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-02-02 00:00:00', 0, 8.9914741520000003, -99, 972, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-02-03 00:00:00', 0.62000000499999997, 10.78312206, -99, 534, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-02-04 00:00:00', 0, 9.3445358279999997, -99, 566, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-02-05 00:00:00', 0, 12.01464081, -99, 1410, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-02-06 00:00:00', 1.4099999670000001, 9.1005735399999992, -99, 222, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-02-07 00:00:00', 2.6900000569999998, 12.29494858, -99, 813, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-02-08 00:00:00', 0, 8.7561912540000009, -99, 1311, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-02-09 00:00:00', 0, 6.1598887439999999, -99, 1627, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-02-10 00:00:00', 0, 5.7228722569999997, -99, 942, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-02-11 00:00:00', 0, 4.6007790569999996, -99, 1584, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-02-12 00:00:00', 0, 5.5420818330000001, -99, 1694, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-02-13 00:00:00', 2.7799999710000001, 4.9672303199999996, -99, 1698, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-02-14 00:00:00', 8.6000003809999992, 8.5474548339999998, -99, 572, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-02-15 00:00:00', 0.62000000499999997, 9.9541797639999992, -99, 1119, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-02-16 00:00:00', 0, 5.8934459690000001, -99, 1690, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-02-17 00:00:00', 0, 7.1925692559999996, -99, 1702, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-02-18 00:00:00', 0, 6.8308911319999996, -99, 1771, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-02-19 00:00:00', 0, 9.3609533309999993, -99, 1654, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-02-20 00:00:00', 0, 7.9845771790000004, -99, 1737, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-02-21 00:00:00', 0.64999997600000003, 8.2522172929999993, -99, 1390, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-02-22 00:00:00', 1.0299999710000001, 10.661537170000001, -99, 1119, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-02-23 00:00:00', 0, 8.7321462630000006, -99, 1786, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-02-24 00:00:00', 0, 8.3396167759999997, -99, 1831, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-02-25 00:00:00', 0, 8.5808458329999997, -99, 1876, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-02-26 00:00:00', 0.070000000000000007, 8.0326204299999997, -99, 1883, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-02-27 00:00:00', 5.1799998279999997, 9.4546213150000007, -99, 1735, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-02-28 00:00:00', 1.539999962, 10.312777519999999, -99, 1548, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-03-01 00:00:00', 1.6399999860000001, 10.05253029, -99, 1399, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-03-02 00:00:00', 0, 8.4393005369999994, -99, 1765, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-03-03 00:00:00', 0.059999998999999998, 9.0877189640000005, -99, 1545, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-03-04 00:00:00', 0, 12.64991856, -99, 1791, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-03-05 00:00:00', 1.269999981, 13.236986160000001, -99, 1736, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-03-06 00:00:00', 0, 9.7610216140000006, -99, 1935, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-03-07 00:00:00', 0, 10.346720700000001, -99, 1893, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-03-08 00:00:00', 0, 10.806728359999999, -99, 1937, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-03-09 00:00:00', 0.60000002399999997, 12.75747776, -99, 1007, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-03-10 00:00:00', 3.2599999899999998, 14.175146099999999, -99, 1652, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-03-11 00:00:00', 1.309999943, 11.264311790000001, -99, 1112, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-03-12 00:00:00', 0, 10.306161879999999, -99, 1927, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-03-13 00:00:00', 0, 10.68015003, -99, 2071, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-03-14 00:00:00', 0, 11.09371662, -99, 2091, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-03-15 00:00:00', 0, 13.22502613, -99, 1290, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-03-16 00:00:00', 0, 13.752848630000001, -99, 1897, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-03-17 00:00:00', 8, 13.61454105, -99, 1111, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-03-18 00:00:00', 0, 12.019610399999999, -99, 2093, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-03-19 00:00:00', 0, 13.05105305, -99, 2159, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-03-20 00:00:00', 0, 12.85704803, -99, 2135, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-03-21 00:00:00', 0.709999979, 15.00531387, -99, 1741, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-03-22 00:00:00', 0, 14.124119759999999, -99, 2126, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-03-23 00:00:00', 3.2200000289999999, 15.311336519999999, -99, 464, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-03-24 00:00:00', 6.0999999049999998, 15.09677029, -99, 286, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-03-25 00:00:00', 0.43000000700000002, 13.08146477, -99, 2169, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-03-26 00:00:00', 0, 15.545989990000001, -99, 2161, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-03-27 00:00:00', 0, 15.77054882, -99, 1435, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-03-28 00:00:00', 5.4600000380000004, 16.636911390000002, -99, 1719, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-03-29 00:00:00', 0, 15.20132637, -99, 2180, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-03-30 00:00:00', 0, 14.892635350000001, -99, 2342, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-03-31 00:00:00', 0, 14.481208799999999, -99, 2372, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-04-01 00:00:00', 0, 14.436115259999999, -99, 2305, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-04-02 00:00:00', 0.37000000500000002, 16.041458129999999, -99, 948, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-04-03 00:00:00', 0, 12.990140909999999, -99, 2289, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-04-04 00:00:00', 0, 15.16369057, -99, 1642, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-04-05 00:00:00', 0, 16.464460370000001, -99, 1362, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-04-06 00:00:00', 3.0699999330000001, 16.747413640000001, -99, 1969, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-04-07 00:00:00', 0.33000001299999998, 16.954744340000001, -99, 1539, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-04-08 00:00:00', 0, 13.771251680000001, -99, 2379, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-04-09 00:00:00', 0, 15.245197299999999, -99, 2434, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-04-10 00:00:00', 0, 15.05622101, -99, 2442, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-04-11 00:00:00', 0, 14.906919479999999, -99, 2404, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-04-12 00:00:00', 0.059999998999999998, 16.69500923, -99, 2251, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-04-13 00:00:00', 0.01, 19.425018309999999, -99, 1360, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-04-14 00:00:00', 0, 15.789761540000001, -99, 2204, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-04-15 00:00:00', 0, 16.56215096, -99, 1781, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-04-16 00:00:00', 0.43000000700000002, 18.566944119999999, -99, 1985, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-04-17 00:00:00', 4.1300001139999996, 16.732461929999999, -99, 1246, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-04-18 00:00:00', 17.209999079999999, 17.077917100000001, -99, 1185, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-04-19 00:00:00', 0, 14.412897109999999, -99, 2379, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-04-20 00:00:00', 0, 15.56256962, -99, 2517, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-04-21 00:00:00', 0, 16.37972641, -99, 2442, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-04-22 00:00:00', 0, 17.695735930000001, -99, 2244, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-04-23 00:00:00', 0, 19.117729189999999, -99, 2480, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-04-24 00:00:00', 0.059999998999999998, 19.112829210000001, -99, 2544, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-04-25 00:00:00', 0, 20.736433030000001, -99, 2499, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-04-26 00:00:00', 0, 20.766981120000001, -99, 2527, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-04-27 00:00:00', 0, 20.175544739999999, -99, 2616, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-04-28 00:00:00', 0, 21.08927345, -99, 2609, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-04-29 00:00:00', 0, 21.414752960000001, -99, 2607, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-04-30 00:00:00', 0, 22.030832289999999, -99, 2597, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-05-01 00:00:00', 0, 23.481178280000002, -99, 2484, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-05-02 00:00:00', 0.079999998000000003, 23.613302229999999, -99, 2435, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-05-03 00:00:00', 0, 23.444692610000001, -99, 2371, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-05-04 00:00:00', 2.25, 23.988046650000001, -99, 2315, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-05-05 00:00:00', 0, 21.833166120000001, -99, 2424, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-05-06 00:00:00', 0.56999999300000004, 23.354373930000001, -99, 2053, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-05-07 00:00:00', 0.730000019, 22.478481290000001, -99, 2451, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-05-08 00:00:00', 0, 23.109445569999998, -99, 2545, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-05-09 00:00:00', 0, 22.987575530000001, -99, 2537, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-05-10 00:00:00', 1.25, 22.0891552, -99, 2552, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-05-11 00:00:00', 0.039999999000000001, 22.233343120000001, -99, 1338, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-05-12 00:00:00', 3.829999924, 21.85900307, -99, 957, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-05-13 00:00:00', 11.89000034, 17.060081480000001, -99, 2509, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-05-14 00:00:00', 0, 18.288801190000001, -99, 2552, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-05-15 00:00:00', 0, 20.498691560000001, -99, 2581, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-05-16 00:00:00', 0, 22.0315361, -99, 2580, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-05-17 00:00:00', 0, 21.750885010000001, -99, 2522, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-05-18 00:00:00', 0, 22.309949870000001, -99, 2578, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-05-19 00:00:00', 0, 22.03205299, -99, 2574, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-05-20 00:00:00', 0.27000001099999998, 23.299251559999998, -99, 2350, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-05-21 00:00:00', 0, 22.218938829999999, -99, 2622, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-05-22 00:00:00', 0, 23.330505370000001, -99, 2621, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-05-23 00:00:00', 1.0499999520000001, 24.937873840000002, -99, 1669, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-05-24 00:00:00', 0, 22.038471220000002, -99, 2619, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-05-25 00:00:00', 0.119999997, 24.06023407, -99, 2378, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-05-26 00:00:00', 0, 22.711502079999999, -99, 2615, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-05-27 00:00:00', 0, 24.306905749999999, -99, 2473, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-05-28 00:00:00', 0, 24.12426567, -99, 2641, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-05-29 00:00:00', 0, 24.89022636, -99, 2659, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-05-30 00:00:00', 0.10000000100000001, 24.665481570000001, -99, 1821, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-05-31 00:00:00', 0.310000002, 25.42579842, -99, 2612, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-06-01 00:00:00', 0, 26.914911270000001, -99, 1748, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-06-02 00:00:00', 0, 24.15227127, -99, 2559, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-06-03 00:00:00', 0, 25.697109220000002, -99, 2633, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-06-04 00:00:00', 0, 25.70231819, -99, 2572, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-06-05 00:00:00', 0, 28.56999016, -99, 2608, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-06-06 00:00:00', 0, 28.456357959999998, -99, 2598, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-06-07 00:00:00', 0, 29.733217239999998, -99, 2616, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-06-08 00:00:00', 0, 28.012800219999999, -99, 2611, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-06-09 00:00:00', 0, 27.502393720000001, -99, 2593, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-06-10 00:00:00', 0, 27.332254410000001, -99, 2689, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-06-11 00:00:00', 0, 29.474433900000001, -99, 2542, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-06-12 00:00:00', 0.980000019, 25.98825836, -99, 2586, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-06-13 00:00:00', 0, 26.89880943, -99, 2511, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-06-14 00:00:00', 0, 26.222822189999999, -99, 2551, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-06-15 00:00:00', 0, 28.903211590000002, -99, 2537, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-06-16 00:00:00', 0, 30.849063869999998, -99, 2507, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-06-17 00:00:00', 0, 30.277601239999999, -99, 2494, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-06-18 00:00:00', 0, 30.092849730000001, -99, 2122, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-06-19 00:00:00', 0, 29.655754089999999, -99, 2476, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-06-20 00:00:00', 0, 30.261747360000001, -99, 2497, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-06-21 00:00:00', 0.28999999199999998, 31.319684980000002, -99, 2502, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-06-22 00:00:00', 0, 26.453130720000001, -99, 1945, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-06-23 00:00:00', 0.12999999500000001, 25.8365078, -99, 1880, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-06-24 00:00:00', 0.280000001, 25.282737730000001, -99, 2460, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-06-25 00:00:00', 1.0800000430000001, 28.16143799, -99, 1829, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-06-26 00:00:00', 0, 26.080793379999999, -99, 2388, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-06-27 00:00:00', 0, 27.12210846, -99, 2468, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-06-28 00:00:00', 0.87000000499999997, 29.338714599999999, -99, 2455, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-06-29 00:00:00', 1.5299999710000001, 24.501680369999999, -99, 1526, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-06-30 00:00:00', 6.1500000950000002, 26.475128170000001, -99, 1391, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-07-01 00:00:00', 0.25999999000000001, 24.497301100000001, -99, 1660, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-07-02 00:00:00', 0.029999998999999999, 25.901287079999999, -99, 1744, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-07-03 00:00:00', 0.25999999000000001, 26.850250240000001, -99, 2260, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-07-04 00:00:00', 0, 26.161817549999999, -99, 2503, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-07-05 00:00:00', 0, 26.953243260000001, -99, 2461, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-07-06 00:00:00', 0, 28.615709299999999, -99, 1483, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-07-07 00:00:00', 0, 26.982185359999999, -99, 2544, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-07-08 00:00:00', 0, 28.75864601, -99, 2543, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-07-09 00:00:00', 0, 28.919866559999999, -99, 2493, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-07-10 00:00:00', 0, 29.29361725, -99, 2493, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-07-11 00:00:00', 0, 29.87068176, -99, 2513, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-07-12 00:00:00', 0, 29.125318530000001, -99, 2476, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-07-13 00:00:00', 0.070000000000000007, 29.63489723, -99, 2414, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-07-14 00:00:00', 0, 28.39471245, -99, 2407, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-07-15 00:00:00', 0, 29.080112459999999, -99, 2258, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-07-16 00:00:00', 0, 27.734333039999999, -99, 586, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-07-17 00:00:00', 2.0299999710000001, 28.065120700000001, -99, 816, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-07-18 00:00:00', 4.2199997900000001, 25.334701540000001, -99, 2207, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-07-19 00:00:00', 0, 25.33431053, -99, 1776, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-07-20 00:00:00', 0, 25.633169169999999, -99, 2502, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-07-21 00:00:00', 0, 27.565822600000001, -99, 2393, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-07-22 00:00:00', 0, 29.018526080000001, -99, 2127, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-07-23 00:00:00', 0.33000001299999998, 28.643404010000001, -99, 1296, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-07-24 00:00:00', 0, 27.755861280000001, -99, 784, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-07-25 00:00:00', 0, 26.776721949999999, -99, 1498, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-07-26 00:00:00', 0, 27.942628859999999, -99, 1508, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-07-27 00:00:00', 0.709999979, 28.345905299999998, -99, 1296, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-07-28 00:00:00', 0.02, 26.679523469999999, -99, 1163, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-07-29 00:00:00', 1.3999999759999999, 26.410108569999998, -99, 1141, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-07-30 00:00:00', 0.01, 25.963523859999999, -99, 2237, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-07-31 00:00:00', 0.980000019, 27.881587979999999, -99, 1482, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-08-01 00:00:00', 0.02, 28.178108219999999, -99, 1822, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-08-02 00:00:00', 0.059999998999999998, 27.802169800000001, -99, 2363, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-08-03 00:00:00', 0.23000000400000001, 27.99068832, -99, 2322, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-08-04 00:00:00', 0.039999999000000001, 26.187906269999999, -99, 2330, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-08-05 00:00:00', 0.01, 26.445718769999999, -99, 2048, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-08-06 00:00:00', 1.2000000479999999, 27.174488069999999, -99, 2382, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-08-07 00:00:00', 0, 27.29867935, -99, 1822, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-08-08 00:00:00', 0, 27.611448289999998, -99, 1085, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-08-09 00:00:00', 0.079999998000000003, 27.093997959999999, -99, 2113, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-08-10 00:00:00', 0, 26.457372670000002, -99, 2432, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-08-11 00:00:00', 0, 27.501470569999999, -99, 2341, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-08-12 00:00:00', 0.02, 28.129171370000002, -99, 2279, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-08-13 00:00:00', 0, 28.266229630000002, -99, 2319, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-08-14 00:00:00', 0, 28.623706819999999, -99, 2242, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-08-15 00:00:00', 0, 27.92620659, -99, 1782, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-08-16 00:00:00', 0.039999999000000001, 24.434192660000001, -99, 2031, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-08-17 00:00:00', 0, 25.108207700000001, -99, 2359, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-08-18 00:00:00', 0, 25.251897809999999, -99, 2404, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-08-19 00:00:00', 0, 26.967832569999999, -99, 2377, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-08-20 00:00:00', 0, 27.587749479999999, -99, 2366, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-08-21 00:00:00', 0, 27.49574471, -99, 2339, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-08-22 00:00:00', 0, 26.900465010000001, -99, 2342, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-08-23 00:00:00', 0, 26.580327990000001, -99, 2334, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-08-24 00:00:00', 0, 27.177497859999999, -99, 2337, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-08-25 00:00:00', 0, 27.253549580000001, -99, 2341, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-08-26 00:00:00', 0.01, 27.461931230000001, -99, 2318, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-08-27 00:00:00', 0, 25.07625771, -99, 2271, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-08-28 00:00:00', 0, 25.87597847, -99, 1265, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-08-29 00:00:00', 0, 25.932188029999999, -99, 1815, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-08-30 00:00:00', 0.01, 25.9717865, -99, 2240, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-08-31 00:00:00', 0.10000000100000001, 26.125835420000001, -99, 2118, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-09-01 00:00:00', 12.06999969, 25.2164669, -99, 868, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-09-02 00:00:00', 7.8600001339999999, 23.628936769999999, -99, 901, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-09-03 00:00:00', 46.560001370000002, 24.888509750000001, -99, 1472, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-09-04 00:00:00', 21.370000839999999, 24.346271510000001, -99, 729, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-09-05 00:00:00', 96.239997860000003, 23.83638573, -99, 167, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-09-06 00:00:00', 0.01, 23.447572709999999, -99, 1531, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-09-07 00:00:00', 0, 24.20505142, -99, 2183, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-09-08 00:00:00', 1.059999943, 26.054018020000001, -99, 1501, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-09-09 00:00:00', 0, 24.553398130000001, -99, 2067, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-09-10 00:00:00', 0.60000002399999997, 25.309696200000001, -99, 1814, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-09-11 00:00:00', 0, 25.29174042, -99, 2087, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-09-12 00:00:00', 7.8800001139999996, 24.848121639999999, -99, 629, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-09-13 00:00:00', 0, 22.258245469999999, -99, 2091, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-09-14 00:00:00', 4.7199997900000001, 24.63974571, -99, 938, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-09-15 00:00:00', 0, 22.338319779999999, -99, 2123, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-09-16 00:00:00', 0, 23.98572922, -99, 2070, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-09-17 00:00:00', 0, 24.315883639999999, -99, 1995, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-09-18 00:00:00', 0, 24.530872339999998, -99, 1909, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-09-19 00:00:00', 0, 25.670867919999999, -99, 1984, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-09-20 00:00:00', 0, 25.935934069999998, -99, 1949, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-09-21 00:00:00', 0, 23.385442730000001, -99, 2051, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-09-22 00:00:00', 0, 23.881179809999999, -99, 2047, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-09-23 00:00:00', 0, 24.571401600000002, -99, 1936, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-09-24 00:00:00', 0, 24.509881969999999, -99, 1960, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-09-25 00:00:00', 0, 23.036519999999999, -99, 1982, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-09-26 00:00:00', 0, 23.391265870000002, -99, 1984, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-09-27 00:00:00', 0, 23.587299349999999, -99, 1877, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-09-28 00:00:00', 0, 24.294649119999999, -99, 1813, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-09-29 00:00:00', 0, 22.782846450000001, -99, 1849, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-09-30 00:00:00', 0, 22.992784499999999, -99, 1846, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-10-01 00:00:00', 0, 23.832250599999998, -99, 1643, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-10-02 00:00:00', 0, 23.981155399999999, -99, 1691, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-10-03 00:00:00', 0, 24.88284874, -99, 1538, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-10-04 00:00:00', 0, 24.289888380000001, -99, 1628, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-10-05 00:00:00', 0, 24.595922470000001, -99, 1690, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-10-06 00:00:00', 0, 24.851076129999999, -99, 1693, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-10-07 00:00:00', 0, 24.750337600000002, -99, 1621, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-10-08 00:00:00', 0.109999999, 21.278804780000002, -99, 631, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-10-09 00:00:00', 0, 18.19337273, -99, 1859, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-10-10 00:00:00', 0, 19.521780010000001, -99, 1810, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-10-11 00:00:00', 0, 19.17802811, -99, 1825, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-10-12 00:00:00', 0, 18.51663589, -99, 1836, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-10-13 00:00:00', 0.119999997, 18.777662280000001, -99, 1796, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-10-14 00:00:00', 0.23000000400000001, 18.42333794, -99, 1059, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-10-15 00:00:00', 0, 15.695249560000001, -99, 1742, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-10-16 00:00:00', 0, 16.295331950000001, -99, 1749, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-10-17 00:00:00', 0, 15.968687060000001, -99, 1710, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-10-18 00:00:00', 0, 16.587484360000001, -99, 1726, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-10-19 00:00:00', 0, 16.680070879999999, -99, 1673, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-10-20 00:00:00', 0, 17.831329350000001, -99, 1667, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-10-21 00:00:00', 0, 17.989887240000002, -99, 1672, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-10-22 00:00:00', 0, 18.794103620000001, -99, 1647, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-10-23 00:00:00', 0, 17.588136670000001, -99, 1621, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-10-24 00:00:00', 0, 18.836456299999998, -99, 1573, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-10-25 00:00:00', 0, 18.383787160000001, -99, 1577, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-10-26 00:00:00', 0, 19.459693909999999, -99, 1453, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-10-27 00:00:00', 0, 18.380340579999999, -99, 1365, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-10-28 00:00:00', 0.059999998999999998, 18.824628830000002, -99, 1287, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-10-29 00:00:00', 0, 16.06814194, -99, 1532, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-10-30 00:00:00', 0, 16.127132419999999, -99, 1529, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-10-31 00:00:00', 0, 15.23130608, -99, 1540, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-11-01 00:00:00', 0, 14.62044334, -99, 1571, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-11-02 00:00:00', 0, 14.496706959999999, -99, 1565, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-11-03 00:00:00', 0.01, 14.554489139999999, -99, 1436, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-11-04 00:00:00', 0, 15.367573739999999, -99, 1396, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-11-05 00:00:00', 0, 15.32818604, -99, 1473, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-11-06 00:00:00', 0.30000001199999998, 14.77216434, -99, 1448, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-11-07 00:00:00', 0.10000000100000001, 16.681995390000001, -99, 1143, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-11-08 00:00:00', 0, 17.77938271, -99, 1241, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-11-09 00:00:00', 0, 15.152672770000001, -99, 1383, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-11-10 00:00:00', 0, 12.656743049999999, -99, 1446, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-11-11 00:00:00', 0, 11.383416179999999, -99, 1438, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-11-12 00:00:00', 0, 11.098729130000001, -99, 1435, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-11-13 00:00:00', 0, 9.9964084629999999, -99, 1458, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-11-14 00:00:00', 0, 9.5770120619999997, -99, 1442, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-11-15 00:00:00', 0, 9.6282443999999998, -99, 1413, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-11-16 00:00:00', 0, 8.994532585, -99, 1389, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-11-17 00:00:00', 0, 8.1236391070000007, -99, 1382, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-11-18 00:00:00', 0, 8.4513502119999995, -99, 1351, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-11-19 00:00:00', 0, 8.4192972180000005, -99, 1347, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-11-20 00:00:00', 0, 8.3757066729999998, -99, 1310, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-11-21 00:00:00', 0, 8.9158945079999992, -99, 1335, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-11-22 00:00:00', 0, 8.3320188519999991, -99, 1309, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-11-23 00:00:00', 0, 7.9103927609999998, -99, 1324, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-11-24 00:00:00', 0, 9.0813293460000004, -99, 1257, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-11-25 00:00:00', 0, 8.2642555239999993, -99, 1269, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-11-26 00:00:00', 0, 9.2812051770000004, -99, 1252, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-11-27 00:00:00', 0, 8.5127916339999992, -99, 1050, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-11-28 00:00:00', 0, 10.02477551, -99, 1200, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-11-29 00:00:00', 0, 11.441617969999999, -99, 1193, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-11-30 00:00:00', 0, 11.03425884, -99, 1213, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-12-01 00:00:00', 0, 11.70989513, -99, 1283, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-12-02 00:00:00', 0, 10.146086690000001, -99, 1275, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-12-03 00:00:00', 0, 10.145633699999999, -99, 1260, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-12-04 00:00:00', 0, 10.110204700000001, -99, 1260, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-12-05 00:00:00', 0, 8.7209758760000007, -99, 1233, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-12-06 00:00:00', 0, 10.158650400000001, -99, 1248, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-12-07 00:00:00', 0, 9.4004297260000005, -99, 1255, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-12-08 00:00:00', 0, 8.1280374529999992, -99, 1233, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-12-09 00:00:00', 0, 7.4014315609999999, -99, 1245, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-12-10 00:00:00', 0, 5.8910617829999996, -99, 1262, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-12-11 00:00:00', 0, 5.311053276, -99, 937, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-12-12 00:00:00', 0, 5.0224165919999999, -99, 1198, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-12-13 00:00:00', 7.5, 7.1184163089999997, -99, 404, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-12-14 00:00:00', 6, 10.7026453, -99, 442, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-12-15 00:00:00', 0, 8.4923458099999998, -99, 1131, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-12-16 00:00:00', 0, 7.5635676380000003, -99, 1103, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-12-17 00:00:00', 0, 6.2336254120000003, -99, 924, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-12-18 00:00:00', 0, 6.2750320430000004, -99, 549, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-12-19 00:00:00', 0, 6.6407203670000001, -99, 744, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-12-20 00:00:00', 0, 5.9154520030000004, -99, 453, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-12-21 00:00:00', 0, 5.3715667720000004, -99, 505, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-12-22 00:00:00', 0, 5.9390544890000001, -99, 605, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-12-23 00:00:00', 0, 5.5069217679999998, -99, 1059, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-12-24 00:00:00', 0, 5.5525550839999998, -99, 917, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-12-25 00:00:00', 0, 6.1054272650000003, -99, 759, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-12-26 00:00:00', 0, 5.8756279950000003, -99, 861, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-12-27 00:00:00', 0, 5.2913942340000002, -99, 579, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-12-28 00:00:00', 0, 3.8053016660000001, -99, 779, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-12-29 00:00:00', 0, 2.7171828750000002, -99, 981, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-12-30 00:00:00', 0, 4.0137052539999996, -99, 916, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-12-31 00:00:00', 0, 4.8468523030000004, -99, 1137, 'lud', 'lud_2014');
INSERT INTO public.cdy_cldat VALUES ('2015-01-01 00:00:00', 0, 6.7478861810000001, -99, 1228, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-01-02 00:00:00', 2.0199999809999998, 7.4197750090000003, -99, 1199, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-01-03 00:00:00', 0.469999999, 10.227036480000001, -99, 683, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-01-04 00:00:00', 0, 8.1975460049999995, -99, 629, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-01-05 00:00:00', 0, 7.7081327440000003, -99, 800, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-01-06 00:00:00', 0, 8.1354360579999998, -99, 855, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-01-07 00:00:00', 0, 6.5055890080000003, -99, 938, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-01-08 00:00:00', 0, 5.5686569209999996, -99, 944, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-01-09 00:00:00', 0, 6.7817974090000002, -99, 509, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-01-10 00:00:00', 0, 5.8541622159999998, -99, 792, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-01-11 00:00:00', 0, 6.1961436269999997, -99, 740, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-01-12 00:00:00', 0, 6.3320026399999998, -99, 835, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-01-13 00:00:00', 1.1000000240000001, 5.1161651609999996, -99, 823, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-01-14 00:00:00', 4.4699997900000001, 9.5900745389999997, -99, 578, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-01-15 00:00:00', 0, 6.2466316219999998, -99, 1298, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-01-16 00:00:00', 0, 6.6653127669999996, -99, 1317, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-01-17 00:00:00', 0, 6.5944848059999996, -99, 1338, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-01-18 00:00:00', 0, 5.3039183620000001, -99, 1365, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-01-19 00:00:00', 0, 5.3738431929999999, -99, 1369, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-01-20 00:00:00', 0, 6.1572618480000001, -99, 536, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-01-21 00:00:00', 2.8900001049999999, 7.6413717270000001, -99, 155, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-01-22 00:00:00', 1.6299999949999999, 9.5359382630000002, -99, 502, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-01-23 00:00:00', 0, 10.34657955, -99, 908, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-01-24 00:00:00', 0, 7.4578194619999998, -99, 1300, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-01-25 00:00:00', 0, 8.8650655749999991, -99, 493, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-01-26 00:00:00', 0, 5.7862224580000001, -99, 1310, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-01-27 00:00:00', 0, 6.3875637049999998, -99, 1229, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-01-28 00:00:00', 0, 5.2323408130000004, -99, 1425, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-01-29 00:00:00', 0, 4.3374867439999996, -99, 1374, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-01-30 00:00:00', 0, 4.7278900149999998, -99, 1519, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-01-31 00:00:00', 0, 6.2446322439999999, -99, 1449, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-02-01 00:00:00', 0, 6.7127432819999999, -99, 1348, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-02-02 00:00:00', 15.81000042, 10.8267746, -99, 905, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-02-03 00:00:00', 2.5299999710000001, 10.936832430000001, -99, 372, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-02-04 00:00:00', 0, 8.6911249159999997, -99, 1518, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-02-05 00:00:00', 0, 7.2012104990000001, -99, 1561, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-02-06 00:00:00', 0, 6.2623105050000003, -99, 1223, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-02-07 00:00:00', 0, 6.4130220409999996, -99, 1542, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-02-08 00:00:00', 0, 9.0530385970000005, -99, 1485, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-02-09 00:00:00', 0, 7.8721885680000003, -99, 1597, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-02-10 00:00:00', 0, 7.4477248190000003, -99, 1621, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-02-11 00:00:00', 0, 9.1699056629999998, -99, 1343, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-02-12 00:00:00', 0, 7.7241911889999999, -99, 1679, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-02-13 00:00:00', 0, 9.6342144009999995, -99, 1654, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-02-14 00:00:00', 0, 10.221601489999999, -99, 1637, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-02-15 00:00:00', 0.070000000000000007, 9.0457696910000003, -99, 1682, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-02-16 00:00:00', 1, 14.536909100000001, -99, 1127, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-02-17 00:00:00', 0, 13.02138233, -99, 1651, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-02-18 00:00:00', 0.050000001000000002, 12.408770560000001, -99, 1148, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-02-19 00:00:00', 0.730000019, 13.78249168, -99, 1013, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-02-20 00:00:00', 7.4099998469999999, 14.59529972, -99, 405, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-02-21 00:00:00', 0, 11.82496643, -99, 1724, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-02-22 00:00:00', 0, 12.973576550000001, -99, 1739, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-02-23 00:00:00', 0, 12.880520819999999, -99, 1505, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-02-24 00:00:00', 2.0699999330000001, 14.189778329999999, -99, 808, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-02-25 00:00:00', 0, 15.256682400000001, -99, 1007, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-02-26 00:00:00', 0, 10.330804820000001, -99, 1783, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-02-27 00:00:00', 0, 9.3455314640000005, -99, 1911, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-02-28 00:00:00', 0, 10.03085709, -99, 1378, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-03-01 00:00:00', 53.259998320000001, 13.475214960000001, -99, 312, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-03-02 00:00:00', 6.2199997900000001, 12.21121883, -99, 524, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-03-03 00:00:00', 0, 11.42017937, -99, 1523, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-03-04 00:00:00', 0.079999998000000003, 8.7443590160000007, -99, 1891, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-03-05 00:00:00', 2.2200000289999999, 10.78486919, -99, 854, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-03-06 00:00:00', 0, 10.124152179999999, -99, 1934, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-03-07 00:00:00', 2.869999886, 9.4919013979999995, -99, 501, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-03-08 00:00:00', 7.3800001139999996, 9.4858055110000006, -99, 1501, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-03-09 00:00:00', 0, 8.4527444840000001, -99, 1731, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-03-10 00:00:00', 0, 7.4115109439999998, -99, 2061, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-03-11 00:00:00', 0, 10.02270603, -99, 1968, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-03-12 00:00:00', 0, 11.78226566, -99, 1449, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-03-13 00:00:00', 0, 10.99645615, -99, 1972, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-03-14 00:00:00', 2.0299999710000001, 12.76663589, -99, 1193, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-03-15 00:00:00', 6.3000001909999996, 15.35441494, -99, 1219, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-03-16 00:00:00', 12.44999981, 13.79460239, -99, 875, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-03-17 00:00:00', 0, 11.26775265, -99, 2029, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-03-18 00:00:00', 0, 12.39243793, -99, 2112, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-03-19 00:00:00', 0, 12.81503773, -99, 2128, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-03-20 00:00:00', 0, 14.45163822, -99, 2127, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-03-21 00:00:00', 0, 15.43029022, -99, 2137, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-03-22 00:00:00', 0, 16.653604510000001, -99, 2147, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-03-23 00:00:00', 0, 17.251407619999998, -99, 2176, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-03-24 00:00:00', 0, 16.070285800000001, -99, 2127, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-03-25 00:00:00', 0, 18.220615389999999, -99, 2175, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-03-26 00:00:00', 0, 17.254570009999998, -99, 2140, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-03-27 00:00:00', 0, 17.278833389999999, -99, 2296, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-03-28 00:00:00', 0.280000001, 17.75594521, -99, 2203, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-03-29 00:00:00', 8.7899999619999996, 20.010051730000001, -99, 1489, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-03-30 00:00:00', 0.15999999600000001, 17.045490260000001, -99, 1619, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-03-31 00:00:00', 0, 17.007751460000001, -99, 1682, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-04-01 00:00:00', 0.939999998, 16.891206740000001, -99, 421, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-04-02 00:00:00', 2.6099998950000001, 17.76408386, -99, 1615, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-04-03 00:00:00', 0.540000021, 18.34915161, -99, 1492, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-04-04 00:00:00', 0, 16.44495964, -99, 1562, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-04-05 00:00:00', 0, 15.74873161, -99, 2266, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-04-06 00:00:00', 0.01, 16.45533562, -99, 1264, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-04-07 00:00:00', 6.579999924, 16.975181580000001, -99, 641, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-04-08 00:00:00', 0, 13.71969891, -99, 2230, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-04-09 00:00:00', 0, 15.76971912, -99, 2364, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-04-10 00:00:00', 0, 17.382928849999999, -99, 2383, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-04-11 00:00:00', 0.10000000100000001, 17.212236399999998, -99, 2164, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-04-12 00:00:00', 0, 18.70901108, -99, 2208, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-04-13 00:00:00', 0, 18.46497536, -99, 2359, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-04-14 00:00:00', 0, 19.731159210000001, -99, 2152, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-04-15 00:00:00', 0.980000019, 19.89931679, -99, 2219, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-04-16 00:00:00', 6.3800001139999996, 18.161678309999999, -99, 1227, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-04-17 00:00:00', 0, 17.059276579999999, -99, 2406, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-04-18 00:00:00', 0, 19.72483253, -99, 2303, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-04-19 00:00:00', 0, 20.447162630000001, -99, 2335, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-04-20 00:00:00', 0, 23.93244743, -99, 2465, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-04-21 00:00:00', 0, 21.224325180000001, -99, 2501, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-04-22 00:00:00', 0, 19.614244459999998, -99, 2563, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-04-23 00:00:00', 0, 19.689216609999999, -99, 2572, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-04-24 00:00:00', 0, 19.387247089999999, -99, 2546, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-04-25 00:00:00', 0, 21.686071399999999, -99, 2556, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-04-26 00:00:00', 0, 22.414161679999999, -99, 2522, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-04-27 00:00:00', 5.6100001339999999, 22.777318950000002, -99, 2501, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-04-28 00:00:00', 1.9299999480000001, 21.456182479999999, -99, 2516, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-04-29 00:00:00', 0, 20.706647870000001, -99, 2390, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-04-30 00:00:00', 13.34000015, 21.714353559999999, -99, 2129, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-05-01 00:00:00', 0, 18.723466869999999, -99, 2500, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-05-02 00:00:00', 0, 19.939134599999999, -99, 2543, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-05-03 00:00:00', 0, 19.54793549, -99, 2580, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-05-04 00:00:00', 0, 19.14016342, -99, 2616, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-05-05 00:00:00', 0, 21.10158157, -99, 2493, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-05-06 00:00:00', 0, 22.397140499999999, -99, 2532, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-05-07 00:00:00', 0, 24.085046770000002, -99, 2418, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-05-08 00:00:00', 0, 24.65286446, -99, 2443, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-05-09 00:00:00', 0, 25.465116500000001, -99, 2473, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-05-10 00:00:00', 4.7600002290000001, 27.301004410000001, -99, 2439, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-05-11 00:00:00', 0.28999999199999998, 23.865392679999999, -99, 2263, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-05-12 00:00:00', 0.97000002900000004, 22.895038599999999, -99, 2285, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-05-13 00:00:00', 1.4099999670000001, 21.876733779999999, -99, 2132, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-05-14 00:00:00', 1.4700000289999999, 21.875690460000001, -99, 2413, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-05-15 00:00:00', 3.6600000860000002, 21.268329619999999, -99, 2443, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-05-16 00:00:00', 0, 20.551504139999999, -99, 2564, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-05-17 00:00:00', 0, 24.120355610000001, -99, 2552, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-05-18 00:00:00', 0, 25.122211459999999, -99, 2535, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-05-19 00:00:00', 1.519999981, 24.771816250000001, -99, 2392, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-05-20 00:00:00', 0, 24.004592899999999, -99, 2656, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-05-21 00:00:00', 0, 24.644310000000001, -99, 2661, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-05-22 00:00:00', 0, 23.874454499999999, -99, 2671, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-05-23 00:00:00', 0, 25.58870697, -99, 2644, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-05-24 00:00:00', 0, 26.94844818, -99, 2637, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-05-25 00:00:00', 0, 26.920286180000002, -99, 2497, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-05-26 00:00:00', 0, 26.351837159999999, -99, 2647, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-05-27 00:00:00', 0, 23.42822838, -99, 2744, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-05-28 00:00:00', 0, 25.820663450000001, -99, 2680, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-05-29 00:00:00', 0, 26.488492969999999, -99, 2432, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-05-30 00:00:00', 0, 26.201360699999999, -99, 2627, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-05-31 00:00:00', 0.5, 27.656715389999999, -99, 1551, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-06-01 00:00:00', 0, 19.184928889999998, -99, 2566, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-06-02 00:00:00', 0, 24.985101700000001, -99, 2566, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-06-03 00:00:00', 0.75999998999999996, 23.146793370000001, -99, 919, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-06-04 00:00:00', 7.4899997709999999, 23.33199501, -99, 785, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-06-05 00:00:00', 0, 21.861673360000001, -99, 2253, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-06-06 00:00:00', 0, 23.685335160000001, -99, 2582, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-06-07 00:00:00', 0, 24.60917091, -99, 2571, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-06-08 00:00:00', 0.050000001000000002, 26.142068859999998, -99, 2572, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-06-09 00:00:00', 0, 27.24361038, -99, 2529, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-06-10 00:00:00', 1.039999962, 29.12210846, -99, 2466, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-06-11 00:00:00', 0, 24.59196472, -99, 2533, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-06-12 00:00:00', 0, 26.58480072, -99, 2575, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-06-13 00:00:00', 4.3000001909999996, 29.229492189999998, -99, 2050, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-06-14 00:00:00', 5.7399997709999999, 24.645450589999999, -99, 1837, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-06-15 00:00:00', 0, 24.059795380000001, -99, 2465, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-06-16 00:00:00', 0.029999998999999999, 26.153833389999999, -99, 2527, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-06-17 00:00:00', 0, 27.487346649999999, -99, 2530, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-06-18 00:00:00', 0, 28.81700897, -99, 2544, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-06-19 00:00:00', 0, 30.067010880000002, -99, 2544, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-06-20 00:00:00', 0.109999999, 26.89414215, -99, 2406, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-06-21 00:00:00', 0, 24.596788409999998, -99, 2528, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-06-22 00:00:00', 0, 26.68047142, -99, 2554, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-06-23 00:00:00', 6.5700001720000003, 28.536731719999999, -99, 620, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-06-24 00:00:00', 8.0799999239999991, 25.482891080000002, -99, 605, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-06-25 00:00:00', 0.209999993, 22.761619570000001, -99, 2404, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-06-26 00:00:00', 0.10000000100000001, 25.326444630000001, -99, 2569, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-06-27 00:00:00', 0, 26.772323610000001, -99, 2568, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-06-28 00:00:00', 0, 28.402870180000001, -99, 2570, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-06-29 00:00:00', 22.920000080000001, 28.096204759999999, -99, 2074, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-06-30 00:00:00', 0, 23.14658356, -99, 1983, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-07-01 00:00:00', 0.029999998999999999, 26.86919975, -99, 2401, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-07-02 00:00:00', 0.83999997400000004, 27.418451309999998, -99, 2223, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-07-03 00:00:00', 0, 27.86284637, -99, 2486, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-07-04 00:00:00', 0, 27.110803600000001, -99, 2463, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-07-05 00:00:00', 0, 30.344114300000001, -99, 2223, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-07-06 00:00:00', 7.1199998860000004, 25.63078308, -99, 1271, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-07-07 00:00:00', 0, 25.457714079999999, -99, 1611, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-07-08 00:00:00', 19.079999919999999, 26.229135509999999, -99, 1929, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-07-09 00:00:00', 1.4099999670000001, 27.797588350000002, -99, 1523, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-07-10 00:00:00', 3.6800000669999999, 26.054851530000001, -99, 1043, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-07-11 00:00:00', 32.599998470000003, 24.135715480000002, -99, 1532, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-07-12 00:00:00', 38.709999080000003, 23.56315231, -99, 902, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-07-13 00:00:00', 0.01, 25.17315292, -99, 960, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-07-14 00:00:00', 0, 25.890541079999998, -99, 2373, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-07-15 00:00:00', 0, 28.04988861, -99, 2385, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-07-16 00:00:00', 18.729999540000001, 28.570043559999998, -99, 2146, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-07-17 00:00:00', 0.63999998599999997, 24.06407166, -99, 790, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-07-18 00:00:00', 8.3299999239999991, 27.491477969999998, -99, 1213, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-07-19 00:00:00', 0, 25.40612411, -99, 2213, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-07-20 00:00:00', 4.4600000380000004, 27.674654010000001, -99, 1238, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-07-21 00:00:00', 3.420000076, 26.506767270000001, -99, 2022, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-07-22 00:00:00', 0.49000000999999999, 27.970251080000001, -99, 1269, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-07-23 00:00:00', 0.280000001, 27.461269380000001, -99, 2071, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-07-24 00:00:00', 0.94999998799999996, 26.950729370000001, -99, 1779, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-07-25 00:00:00', 4.8099999430000002, 27.21095467, -99, 2041, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-07-26 00:00:00', 0.17000000200000001, 26.24545479, -99, 2244, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-07-27 00:00:00', 0, 27.19420624, -99, 2305, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-07-28 00:00:00', 0, 26.90016747, -99, 2192, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-07-29 00:00:00', 0, 26.54558372, -99, 2260, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-07-30 00:00:00', 0.46000000800000002, 27.133598330000002, -99, 1823, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-07-31 00:00:00', 0.15999999600000001, 26.19890594, -99, 1645, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-08-01 00:00:00', 0.40999999599999998, 25.551059720000001, -99, 861, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-08-02 00:00:00', 0.070000000000000007, 24.893161769999999, -99, 1700, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-08-03 00:00:00', 0.14000000100000001, 25.478218080000001, -99, 2245, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-08-04 00:00:00', 0.029999998999999999, 26.759624479999999, -99, 2194, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-08-05 00:00:00', 0.219999999, 26.88609314, -99, 1919, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-08-06 00:00:00', 1.1699999569999999, 26.1922493, -99, 2149, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-08-07 00:00:00', 4.4899997709999999, 25.83093452, -99, 210, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-08-08 00:00:00', 0.01, 25.78483009, -99, 915, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-08-09 00:00:00', 2.2799999710000001, 25.341844559999998, -99, 917, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-08-10 00:00:00', 0.17000000200000001, 26.26541138, -99, 1979, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-08-11 00:00:00', 0.15000000599999999, 28.004068369999999, -99, 1753, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-08-12 00:00:00', 0.58999997400000004, 26.45899391, -99, 1860, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-08-13 00:00:00', 0.209999993, 26.452098849999999, -99, 1916, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-08-14 00:00:00', 0.790000021, 27.102725979999999, -99, 2009, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-08-15 00:00:00', 0.61000001400000003, 26.58548927, -99, 2112, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-08-16 00:00:00', 0, 26.169973370000001, -99, 2064, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-08-17 00:00:00', 0.01, 27.312095639999999, -99, 2355, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-08-18 00:00:00', 0.14000000100000001, 26.248407360000002, -99, 2055, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-08-19 00:00:00', 2.039999962, 24.697607040000001, -99, 1516, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-08-20 00:00:00', 0, 27.296209340000001, -99, 1957, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-08-21 00:00:00', 6.8099999430000002, 26.165391920000001, -99, 2223, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-08-22 00:00:00', 0.55000001200000004, 23.173358919999998, -99, 2076, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-08-23 00:00:00', 0.15000000599999999, 25.709573750000001, -99, 1921, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-08-24 00:00:00', 0, 25.140462880000001, -99, 2285, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-08-25 00:00:00', 0, 25.922977450000001, -99, 2300, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-08-26 00:00:00', 0, 26.786525730000001, -99, 2268, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-08-27 00:00:00', 0, 27.466794969999999, -99, 2186, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-08-28 00:00:00', 0.41999998700000002, 25.853504180000002, -99, 2273, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-08-29 00:00:00', 0, 26.348722460000001, -99, 2264, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-08-30 00:00:00', 0, 27.272796629999998, -99, 2191, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-08-31 00:00:00', 0, 26.802345280000001, -99, 2255, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-09-01 00:00:00', 0, 26.636266710000001, -99, 2155, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-09-02 00:00:00', 0, 26.392234800000001, -99, 2234, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-09-03 00:00:00', 0, 26.538019179999999, -99, 2215, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-09-04 00:00:00', 0, 25.52880287, -99, 2262, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-09-05 00:00:00', 0, 25.844699859999999, -99, 2208, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-09-06 00:00:00', 0, 24.97702026, -99, 2239, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-09-07 00:00:00', 0, 24.825405119999999, -99, 2232, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-09-08 00:00:00', 0, 25.512302399999999, -99, 2224, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-09-09 00:00:00', 0, 24.346054079999998, -99, 2251, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-09-10 00:00:00', 0, 23.934589389999999, -99, 2258, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-09-11 00:00:00', 0, 23.583026889999999, -99, 2229, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-09-12 00:00:00', 0.37999999499999998, 24.797040939999999, -99, 2208, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-09-13 00:00:00', 0, 25.047245029999999, -99, 2154, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-09-14 00:00:00', 0, 26.077138900000001, -99, 2151, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-09-15 00:00:00', 0, 25.7989769, -99, 2087, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-09-16 00:00:00', 0.93000000699999996, 26.66154671, -99, 1211, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-09-17 00:00:00', 0, 21.49544525, -99, 2136, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-09-18 00:00:00', 0.62999999500000003, 24.53493881, -99, 2114, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-09-19 00:00:00', 0.980000019, 25.03860474, -99, 1104, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-09-20 00:00:00', 31.020000459999999, 23.264404299999999, -99, 616, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-09-21 00:00:00', 1.75, 22.103902819999998, -99, 1135, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-09-22 00:00:00', 14.02999973, 24.237451549999999, -99, 397, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-09-23 00:00:00', 0, 22.223415370000001, -99, 1697, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-09-24 00:00:00', 0.050000001000000002, 22.321144100000001, -99, 1817, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-09-25 00:00:00', 0, 22.764816280000002, -99, 1866, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-09-26 00:00:00', 0, 22.642118450000002, -99, 1930, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-09-27 00:00:00', 1.960000038, 22.804464339999999, -99, 1736, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-09-28 00:00:00', 0, 21.27630615, -99, 1976, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-09-29 00:00:00', 0, 21.363576890000001, -99, 2002, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-09-30 00:00:00', 0, 19.985900879999999, -99, 2003, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-10-01 00:00:00', 0, 20.356153490000001, -99, 2034, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-10-02 00:00:00', 0, 20.15000534, -99, 1980, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-10-03 00:00:00', 0, 21.71395111, -99, 1945, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-10-04 00:00:00', 0, 21.7161808, -99, 1891, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-10-05 00:00:00', 0, 21.685010909999999, -99, 1892, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-10-06 00:00:00', 0, 21.229406359999999, -99, 1884, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-10-07 00:00:00', 0, 22.449331279999999, -99, 1847, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-10-08 00:00:00', 0, 21.214883799999999, -99, 1868, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-10-09 00:00:00', 0, 20.637580870000001, -99, 1847, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-10-10 00:00:00', 0, 21.259447099999999, -99, 1813, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-10-11 00:00:00', 0, 22.382694239999999, -99, 1801, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-10-12 00:00:00', 0, 23.238962170000001, -99, 1712, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-10-13 00:00:00', 0, 22.819257740000001, -99, 1513, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-10-14 00:00:00', 0, 23.400442120000001, -99, 586, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-10-15 00:00:00', 0, 18.406951899999999, -99, 1724, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-10-16 00:00:00', 0, 19.58319092, -99, 1707, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-10-17 00:00:00', 0, 18.899763109999999, -99, 1693, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-10-18 00:00:00', 0, 20.054006579999999, -99, 1667, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-10-19 00:00:00', 0, 19.867338180000001, -99, 1133, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-10-20 00:00:00', 0, 20.175662989999999, -99, 1621, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-10-21 00:00:00', 0, 18.443979259999999, -99, 1682, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-10-22 00:00:00', 0, 17.672044750000001, -99, 1677, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-10-23 00:00:00', 0, 16.967271799999999, -99, 1671, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-10-24 00:00:00', 0, 17.323623659999999, -99, 1471, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-10-25 00:00:00', 0, 18.64349365, -99, 567, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-10-26 00:00:00', 0, 16.55946922, -99, 1579, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-10-27 00:00:00', 0, 15.99618721, -99, 1578, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-10-28 00:00:00', 0, 15.662282940000001, -99, 1542, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-10-29 00:00:00', 0, 13.50217628, -99, 1537, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-10-30 00:00:00', 0, 15.072110179999999, -99, 1462, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-10-31 00:00:00', 0, 14.340781209999999, -99, 1525, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-11-01 00:00:00', 0, 14.63530254, -99, 1486, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-11-02 00:00:00', 0, 14.97936344, -99, 1402, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-11-03 00:00:00', 0, 14.452849390000001, -99, 1379, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-11-04 00:00:00', 1, 14.94890594, -99, 678, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-11-05 00:00:00', 0.25, 16.861057280000001, -99, 951, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-11-06 00:00:00', 0, 14.97194672, -99, 1399, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-11-07 00:00:00', 0, 13.460861209999999, -99, 1358, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-11-08 00:00:00', 0, 13.60454464, -99, 1241, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-11-09 00:00:00', 0, 14.231437680000001, -99, 1149, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-11-10 00:00:00', 0.10000000100000001, 15.30578613, -99, 1166, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-11-11 00:00:00', 0, 13.04187965, -99, 1386, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-11-12 00:00:00', 0, 12.99310017, -99, 1189, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-11-13 00:00:00', 0, 16.22151947, -99, 1279, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-11-14 00:00:00', 0, 15.320038800000001, -99, 1350, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-11-15 00:00:00', 0, 13.844685549999999, -99, 1244, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-11-16 00:00:00', 0, 13.576976780000001, -99, 1359, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-11-17 00:00:00', 0, 11.505391120000001, -99, 1370, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-11-18 00:00:00', 0, 9.9665307999999992, -99, 1345, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-11-19 00:00:00', 0, 9.8553190229999998, -99, 1340, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-11-20 00:00:00', 0, 9.6970062259999992, -99, 1313, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-11-21 00:00:00', 0, 10.40369606, -99, 1323, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-11-22 00:00:00', 0, 10.25921917, -99, 1307, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-11-23 00:00:00', 0, 10.152261729999999, -99, 1154, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-11-24 00:00:00', 0, 10.13704491, -99, 1272, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-11-25 00:00:00', 0, 10.725917819999999, -99, 1216, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-11-26 00:00:00', 0.560000002, 11.08894634, -99, 1213, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-11-27 00:00:00', 0, 10.08416939, -99, 1216, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-11-28 00:00:00', 0, 12.11406517, -99, 1178, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-11-29 00:00:00', 0, 13.006805419999999, -99, 1068, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-11-30 00:00:00', 0, 12.787055970000001, -99, 1061, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-12-01 00:00:00', 0, 11.394643779999999, -99, 1198, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-12-02 00:00:00', 0, 10.196314810000001, -99, 1213, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-12-03 00:00:00', 0, 9.6134843829999994, -99, 1241, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-12-04 00:00:00', 0, 9.7722921370000009, -99, 1225, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-12-05 00:00:00', 0, 9.1353721619999995, -99, 1223, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-12-06 00:00:00', 0, 8.7258749009999992, -99, 1173, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-12-07 00:00:00', 0, 10.711733819999999, -99, 1184, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-12-08 00:00:00', 0, 8.3081283569999993, -99, 1015, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-12-09 00:00:00', 0.029999998999999999, 9.1054992680000009, -99, 686, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-12-10 00:00:00', 0.02, 10.174809460000001, -99, 711, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-12-11 00:00:00', 0, 13.40883255, -99, 769, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-12-12 00:00:00', 0, 8.3206224439999996, -99, 1182, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-12-13 00:00:00', 0, 6.8428168300000003, -99, 1159, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-12-14 00:00:00', 0, 4.87213707, -99, 1215, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-12-15 00:00:00', 0, 5.8902745249999997, -99, 1209, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-12-16 00:00:00', 0, 3.7571420670000002, -99, 1216, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-12-17 00:00:00', 0, 6.430603981, -99, 1121, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-12-18 00:00:00', 0, 5.8523845669999996, -99, 1215, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-12-19 00:00:00', 0, 4.2208247180000003, -99, 1223, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-12-20 00:00:00', 0, 3.4594814779999998, -99, 1186, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-12-21 00:00:00', 0, 4.2221732139999997, -99, 1192, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-12-22 00:00:00', 0, 5.76521492, -99, 981, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-12-23 00:00:00', 0, 4.4859609599999999, -99, 1122, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-12-24 00:00:00', 0, 5.614517212, -99, 1210, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-12-25 00:00:00', 0, 5.2342090609999996, -99, 1195, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-12-26 00:00:00', 0, 7.5171432500000002, -99, 1152, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-12-27 00:00:00', 0, 7.1706757550000004, -99, 1146, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-12-28 00:00:00', 0, 9.5953512189999994, -99, 1172, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-12-29 00:00:00', 0, 9.7156658169999996, -99, 1201, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-12-30 00:00:00', 0, 6.0010795589999999, -99, 1210, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-12-31 00:00:00', 0, 4.5523881910000004, -99, 1228, 'lud', 'lud_2015');
INSERT INTO public.cdy_cldat VALUES ('2016-01-01 00:00:00', 0, 7.1377925869999999, -99, 990, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-01-02 00:00:00', 0, 4.4277281759999996, -99, 1180, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-01-03 00:00:00', 0, 3.7239894869999999, -99, 1208, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-01-04 00:00:00', 0, 6.0804605479999996, -99, 584, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-01-05 00:00:00', 0, 8.2518596649999996, -99, 1202, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-01-06 00:00:00', 0, 7.4309368129999998, -99, 850, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-01-07 00:00:00', 0, 7.5213446619999997, -99, 878, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-01-08 00:00:00', 0, 8.9669075009999997, -99, 1146, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-01-09 00:00:00', 0, 9.5976152419999998, -99, 1199, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-01-10 00:00:00', 0, 5.7964797020000001, -99, 1250, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-01-11 00:00:00', 0, 3.671602488, -99, 1229, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-01-12 00:00:00', 0.090000003999999995, 7.2954878809999997, -99, 1235, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-01-13 00:00:00', 0, 10.50101757, -99, 1230, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-01-14 00:00:00', 0, 10.367979999999999, -99, 444, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-01-15 00:00:00', 0, 8.8813457489999994, -99, 649, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-01-16 00:00:00', 0, 10.94211864, -99, 618, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-01-17 00:00:00', 0, 8.2803697589999992, -99, 797, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-01-18 00:00:00', 0, 4.4131889339999999, -99, 852, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-01-19 00:00:00', 0, 6.0779657360000003, -99, 681, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-01-20 00:00:00', 0, 8.4608821869999993, -99, 627, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-01-21 00:00:00', 0, 6.8595232959999999, -99, 603, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-01-22 00:00:00', 0, 4.3377108570000003, -99, 706, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-01-23 00:00:00', 0, 4.544967175, -99, 997, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-01-24 00:00:00', 0, 4.1116380689999996, -99, 674, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-01-25 00:00:00', 0, 4.4221515660000001, -99, 674, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-01-26 00:00:00', 0, 5.9358739849999997, -99, 1282, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-01-27 00:00:00', 0, 5.2717456819999997, -99, 1380, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-01-28 00:00:00', 0.01, 6.8684663769999998, -99, 1351, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-01-29 00:00:00', 0.14000000100000001, 11.95262527, -99, 170, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-01-30 00:00:00', 0, 10.807697299999999, -99, 1309, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-01-31 00:00:00', 0, 8.9111423490000004, -99, 1482, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-02-01 00:00:00', 0, 4.504496574, -99, 1505, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-02-02 00:00:00', 0, 5.249716759, -99, 1532, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-02-03 00:00:00', 0, 7.1769032480000003, -99, 1517, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-02-04 00:00:00', 0, 7.6570777889999997, -99, 1559, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-02-05 00:00:00', 0, 7.3486442570000001, -99, 1560, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-02-06 00:00:00', 0.47999998900000002, 4.8149075510000001, -99, 1528, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-02-07 00:00:00', 0, 11.82853031, -99, 1373, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-02-08 00:00:00', 0, 7.4958200450000003, -99, 1544, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-02-09 00:00:00', 0, 8.2008543009999997, -99, 1583, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-02-10 00:00:00', 0, 8.1865739820000005, -99, 1574, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-02-11 00:00:00', 0, 11.901816370000001, -99, 1383, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-02-12 00:00:00', 0, 7.4170837399999998, -99, 1568, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-02-13 00:00:00', 0.090000003999999995, 10.05643177, -99, 1595, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-02-14 00:00:00', 0, 8.1526517869999999, -99, 1690, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-02-15 00:00:00', 0, 9.1545400620000006, -99, 1667, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-02-16 00:00:00', 0, 8.0113515849999999, -99, 1741, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-02-17 00:00:00', 0, 5.9327940940000001, -99, 1769, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-02-18 00:00:00', 0, 11.687811849999999, -99, 1677, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-02-19 00:00:00', 0.070000000000000007, 16.101823809999999, -99, 545, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-02-20 00:00:00', 0, 15.46258926, -99, 1708, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-02-21 00:00:00', 0, 13.50974083, -99, 1835, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-02-22 00:00:00', 0, 12.13345814, -99, 1865, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-02-23 00:00:00', 0, 10.371676450000001, -99, 1893, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-02-24 00:00:00', 0, 8.2783136370000001, -99, 1919, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-02-25 00:00:00', 0, 9.8081674579999998, -99, 1900, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-02-26 00:00:00', 0, 10.791481020000001, -99, 1866, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-02-27 00:00:00', 0, 11.294672009999999, -99, 1897, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-02-28 00:00:00', 0, 12.32540131, -99, 1914, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-02-29 00:00:00', 0, 12.161055559999999, -99, 1925, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-03-01 00:00:00', 0, 14.899077419999999, -99, 1767, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-03-02 00:00:00', 0, 13.69131565, -99, 1684, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-03-03 00:00:00', 0, 13.59141541, -99, 1695, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-03-04 00:00:00', 0.72000002900000004, 15.84578896, -99, 1879, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-03-05 00:00:00', 7.0300002099999999, 16.711370469999999, -99, 1418, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-03-06 00:00:00', 1.7400000099999999, 12.911896710000001, -99, 1682, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-03-07 00:00:00', 0, 12.756978030000001, -99, 1915, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-03-08 00:00:00', 0, 14.11197948, -99, 1943, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-03-09 00:00:00', 0, 15.180408480000001, -99, 1835, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-03-10 00:00:00', 0.15999999600000001, 16.20023346, -99, 1894, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-03-11 00:00:00', 5.6999998090000004, 18.516763690000001, -99, 602, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-03-12 00:00:00', 18.239999770000001, 15.77278519, -99, 806, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-03-13 00:00:00', 0.15000000599999999, 14.860146520000001, -99, 872, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-03-14 00:00:00', 0, 14.21141815, -99, 1994, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-03-15 00:00:00', 0, 13.12277508, -99, 2090, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-03-16 00:00:00', 0, 13.483682630000001, -99, 1620, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-03-17 00:00:00', 0.5, 15.040227890000001, -99, 420, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-03-18 00:00:00', 0.079999998000000003, 14.04309559, -99, 2068, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-03-19 00:00:00', 0.540000021, 17.353672029999998, -99, 1992, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-03-20 00:00:00', 0, 15.714528079999999, -99, 2141, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-03-21 00:00:00', 0, 15.05916405, -99, 2246, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-03-22 00:00:00', 0, 14.272542, -99, 2298, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-03-23 00:00:00', 0, 13.3539896, -99, 1987, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-03-24 00:00:00', 0, 15.194524769999999, -99, 1371, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-03-25 00:00:00', 0.01, 18.320211409999999, -99, 2129, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-03-26 00:00:00', 0.01, 18.000740050000001, -99, 2236, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-03-27 00:00:00', 0, 16.2704792, -99, 2263, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-03-28 00:00:00', 0, 15.622031209999999, -99, 2198, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-03-29 00:00:00', 0, 17.09096718, -99, 2259, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-03-30 00:00:00', 0, 16.574007030000001, -99, 2255, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-03-31 00:00:00', 0, 17.318571089999999, -99, 2251, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-04-01 00:00:00', 0, 20.495130540000002, -99, 1936, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-04-02 00:00:00', 0, 20.707668300000002, -99, 1910, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-04-03 00:00:00', 0, 22.91993141, -99, 1639, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-04-04 00:00:00', 0, 21.885480879999999, -99, 2218, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-04-05 00:00:00', 0, 21.576545719999999, -99, 1399, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-04-06 00:00:00', 0.050000001000000002, 20.29317284, -99, 1241, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-04-07 00:00:00', 0, 17.9712429, -99, 2320, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-04-08 00:00:00', 0, 15.460052490000001, -99, 2316, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-04-09 00:00:00', 0.01, 20.25500298, -99, 1653, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-04-10 00:00:00', 0, 20.519977570000002, -99, 1109, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-04-11 00:00:00', 0, 20.14827919, -99, 2333, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-04-12 00:00:00', 0, 20.220151900000001, -99, 2436, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-04-13 00:00:00', 0, 20.000183109999998, -99, 2421, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-04-14 00:00:00', 0, 19.364931110000001, -99, 2460, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-04-15 00:00:00', 0, 19.798274989999999, -99, 2002, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-04-16 00:00:00', 0, 22.682724, -99, 2402, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-04-17 00:00:00', 0, 23.95952415, -99, 2207, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-04-18 00:00:00', 0, 23.850473399999998, -99, 2424, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-04-19 00:00:00', 0.029999998999999999, 24.102743149999998, -99, 2193, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-04-20 00:00:00', 0, 24.364538190000001, -99, 2469, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-04-21 00:00:00', 0.050000001000000002, 23.217769619999999, -99, 2457, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-04-22 00:00:00', 0, 22.44991684, -99, 2387, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-04-23 00:00:00', 0, 17.861833570000002, -99, 2533, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-04-24 00:00:00', 0, 18.42137146, -99, 2596, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-04-25 00:00:00', 0, 18.039785389999999, -99, 2556, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-04-26 00:00:00', 0, 19.18138313, -99, 2571, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-04-27 00:00:00', 0, 20.296676640000001, -99, 2425, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-04-28 00:00:00', 0, 21.119462970000001, -99, 2622, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-04-29 00:00:00', 0, 21.613460539999998, -99, 2643, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-04-30 00:00:00', 0, 19.69708061, -99, 2697, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-05-01 00:00:00', 0, 22.459852219999998, -99, 2568, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-05-02 00:00:00', 0, 22.038167949999998, -99, 2573, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-05-03 00:00:00', 0.01, 27.021795269999998, -99, 1018, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-05-04 00:00:00', 0.01, 24.7454319, -99, 1743, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-05-05 00:00:00', 0, 22.120307919999998, -99, 2401, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-05-06 00:00:00', 0.14000000100000001, 21.79225731, -99, 2470, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-05-07 00:00:00', 0, 22.993822099999999, -99, 2418, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-05-08 00:00:00', 0, 25.241857530000001, -99, 2489, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-05-09 00:00:00', 0, 27.00372505, -99, 2441, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-05-10 00:00:00', 5.9000000950000002, 28.55802727, -99, 2496, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-05-11 00:00:00', 0, 19.8730011, -99, 2320, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-05-12 00:00:00', 0, 24.264657969999998, -99, 2501, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-05-13 00:00:00', 0.959999979, 25.83592033, -99, 2550, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-05-14 00:00:00', 0, 23.799053189999999, -99, 2566, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-05-15 00:00:00', 0, 26.128038409999998, -99, 2586, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-05-16 00:00:00', 0, 24.906688689999999, -99, 2568, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-05-17 00:00:00', 0, 25.690374370000001, -99, 2635, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-05-18 00:00:00', 0, 24.86340332, -99, 2637, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-05-19 00:00:00', 0, 27.83592415, -99, 2602, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-05-20 00:00:00', 0, 30.131855009999999, -99, 2602, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-05-21 00:00:00', 0, 27.0461235, -99, 2584, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-05-22 00:00:00', 0, 28.520336149999999, -99, 2618, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-05-23 00:00:00', 37.930000309999997, 27.716785430000002, -99, 1449, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-05-24 00:00:00', 0.20000000300000001, 21.43924904, -99, 2041, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-05-25 00:00:00', 0, 23.06876183, -99, 2617, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-05-26 00:00:00', 0, 23.736431119999999, -99, 2606, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-05-27 00:00:00', 0, 26.635498049999999, -99, 2627, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-05-28 00:00:00', 0, 27.079301829999999, -99, 2497, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-05-29 00:00:00', 1.9900000099999999, 22.056816099999999, -99, 2608, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-05-30 00:00:00', 0.25, 20.771205899999998, -99, 1778, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-05-31 00:00:00', 0, 23.327768330000001, -99, 2609, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-06-01 00:00:00', 0.059999998999999998, 25.86598206, -99, 2552, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-06-02 00:00:00', 0, 29.230525969999999, -99, 2481, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-06-03 00:00:00', 0, 28.28105927, -99, 2513, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-06-04 00:00:00', 0, 29.232995989999999, -99, 2532, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-06-05 00:00:00', 0, 29.890830990000001, -99, 2524, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-06-06 00:00:00', 19.18000031, 25.42166138, -99, 2539, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-06-07 00:00:00', 0.079999998000000003, 27.484596249999999, -99, 2477, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-06-08 00:00:00', 0.050000001000000002, 26.48719406, -99, 2521, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-06-09 00:00:00', 0, 27.788806919999999, -99, 2393, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-06-10 00:00:00', 0.219999999, 28.010791780000002, -99, 2567, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-06-11 00:00:00', 0.059999998999999998, 26.06624794, -99, 1982, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-06-12 00:00:00', 0, 27.274799349999999, -99, 2427, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-06-13 00:00:00', 4.2699999809999998, 29.6985569, -99, 2336, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-06-14 00:00:00', 2.9000000950000002, 28.689146040000001, -99, 2414, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-06-15 00:00:00', 0.050000001000000002, 25.410560610000001, -99, 1625, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-06-16 00:00:00', 1.4299999480000001, 24.4222374, -99, 2440, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-06-17 00:00:00', 0.02, 27.961725229999999, -99, 2247, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-06-18 00:00:00', 4.4800000190000002, 30.076885220000001, -99, 1593, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-06-19 00:00:00', 0, 29.164031980000001, -99, 2343, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-06-20 00:00:00', 0, 30.02399063, -99, 1846, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-06-21 00:00:00', 0.15000000599999999, 27.96696472, -99, 1734, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-06-22 00:00:00', 8.2399997710000008, 27.78868675, -99, 686, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-06-23 00:00:00', 0, 26.31875801, -99, 2447, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-06-24 00:00:00', 0, 28.865182879999999, -99, 2558, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-06-25 00:00:00', 0, 29.157270430000001, -99, 2542, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-06-26 00:00:00', 0, 28.600915910000001, -99, 2266, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-06-27 00:00:00', 4.8400001530000001, 29.379131319999999, -99, 1677, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-06-28 00:00:00', 0, 24.11677933, -99, 2327, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-06-29 00:00:00', 0, 28.703985209999999, -99, 2312, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-06-30 00:00:00', 0, 30.380348210000001, -99, 2265, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-07-01 00:00:00', 12.630000109999999, 28.320230479999999, -99, 2068, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-07-02 00:00:00', 12.06000042, 24.1479435, -99, 606, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-07-03 00:00:00', 0.62000000499999997, 25.28050232, -99, 1168, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-07-04 00:00:00', 0, 26.7392292, -99, 2485, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-07-05 00:00:00', 0.41999998700000002, 28.428394319999999, -99, 2218, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-07-06 00:00:00', 0.939999998, 22.21185303, -99, 2142, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-07-07 00:00:00', 0.189999998, 27.537265779999998, -99, 1885, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-07-08 00:00:00', 0.15000000599999999, 29.359405519999999, -99, 2484, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-07-09 00:00:00', 1.3300000430000001, 28.363019940000001, -99, 532, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-07-10 00:00:00', 0, 26.15428352, -99, 2448, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-07-11 00:00:00', 0.62000000499999997, 28.77814484, -99, 1961, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-07-12 00:00:00', 0.88999998599999997, 28.28044319, -99, 1980, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-07-13 00:00:00', 0, 28.80357742, -99, 2186, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-07-14 00:00:00', 1.5800000430000001, 28.579164509999998, -99, 1735, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-07-15 00:00:00', 16.899999619999999, 27.59132576, -99, 1376, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-07-16 00:00:00', 1.3999999759999999, 27.305818559999999, -99, 1532, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-07-17 00:00:00', 4.7600002290000001, 26.221506120000001, -99, 1180, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-07-18 00:00:00', 1.019999981, 25.548191070000001, -99, 1219, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-07-19 00:00:00', 0, 26.785661699999999, -99, 2418, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-07-20 00:00:00', 0, 28.358402250000001, -99, 2419, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-07-21 00:00:00', 0, 28.835197449999999, -99, 2236, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-07-22 00:00:00', 0, 27.222299580000001, -99, 2207, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-07-23 00:00:00', 6.0900001530000001, 22.257074360000001, -99, 1884, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-07-24 00:00:00', 14.65999985, 26.866224290000002, -99, 2261, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-07-25 00:00:00', 0.10000000100000001, 28.245077129999999, -99, 1567, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-07-26 00:00:00', 0.02, 28.484886169999999, -99, 1496, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-07-27 00:00:00', 7.8200001720000003, 26.468702319999998, -99, 984, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-07-28 00:00:00', 2.460000038, 26.388975139999999, -99, 2078, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-07-29 00:00:00', 0.709999979, 27.351486210000001, -99, 2175, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-07-30 00:00:00', 0.77999997099999996, 26.147420879999999, -99, 1931, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-07-31 00:00:00', 0.02, 26.723102570000002, -99, 2221, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-08-01 00:00:00', 0, 26.28702736, -99, 2189, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-08-02 00:00:00', 0.44999998800000002, 26.214551929999999, -99, 1705, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-08-03 00:00:00', 0, 26.244853970000001, -99, 2419, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-08-04 00:00:00', 1.210000038, 28.280242919999999, -99, 2448, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-08-05 00:00:00', 2.630000114, 28.331579210000001, -99, 1667, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-08-06 00:00:00', 25.700000760000002, 27.70903015, -99, 710, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-08-07 00:00:00', 0.15000000599999999, 25.60835075, -99, 825, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-08-08 00:00:00', 2.539999962, 25.953985209999999, -99, 2089, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-08-09 00:00:00', 0.050000001000000002, 27.066177369999998, -99, 2263, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-08-10 00:00:00', 7.6300001139999996, 25.028266909999999, -99, 1416, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-08-11 00:00:00', 1.9099999670000001, 27.03002167, -99, 1011, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-08-12 00:00:00', 0.18000000699999999, 25.307552340000001, -99, 1894, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-08-13 00:00:00', 0, 25.702478410000001, -99, 2356, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-08-14 00:00:00', 0.50999998999999996, 26.998302460000001, -99, 2334, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-08-15 00:00:00', 0, 25.08669853, -99, 2387, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-08-16 00:00:00', 0.14000000100000001, 27.300245289999999, -99, 2411, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-08-17 00:00:00', 0.23000000400000001, 26.191766739999998, -99, 2260, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-08-18 00:00:00', 0.14000000100000001, 25.876766199999999, -99, 1580, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-08-19 00:00:00', 0, 27.637454989999998, -99, 2118, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-08-20 00:00:00', 1.190000057, 27.718320850000001, -99, 680, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-08-21 00:00:00', 0, 25.080669400000001, -99, 2132, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-08-22 00:00:00', 2.1800000669999999, 23.886150359999998, -99, 2120, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-08-23 00:00:00', 0.52999997099999996, 23.957639690000001, -99, 2152, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-08-24 00:00:00', 4.1900000569999998, 27.56886673, -99, 280, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-08-25 00:00:00', 1.4299999480000001, 24.323875430000001, -99, 1223, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-08-26 00:00:00', 4.3899998660000001, 25.55773735, -99, 2244, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-08-27 00:00:00', 2.7000000480000002, 25.193460460000001, -99, 306, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-08-28 00:00:00', 2.4800000190000002, 24.260343550000002, -99, 2079, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-08-29 00:00:00', 5.5900001530000001, 25.07605362, -99, 786, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-08-30 00:00:00', 0, 25.104969019999999, -99, 1914, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-08-31 00:00:00', 0, 23.691545489999999, -99, 2101, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-09-01 00:00:00', 2.8199999330000001, 13.847897529999999, -99, 2209, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-09-02 00:00:00', 0, 24.192426680000001, -99, 2158, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-09-03 00:00:00', 0, 24.76068497, -99, 2289, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-09-04 00:00:00', 0, 25.57338524, -99, 2184, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-09-05 00:00:00', 0, 26.4815197, -99, 2104, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-09-06 00:00:00', 0, 26.511482239999999, -99, 2185, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-09-07 00:00:00', 0, 26.569530489999998, -99, 2165, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-09-08 00:00:00', 0, 26.719902040000001, -99, 2142, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-09-09 00:00:00', 0, 26.4689312, -99, 2136, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-09-10 00:00:00', 0, 26.46099281, -99, 2108, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-09-11 00:00:00', 0, 26.1852169, -99, 2120, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-09-12 00:00:00', 0, 26.266054149999999, -99, 2063, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-09-13 00:00:00', 0.01, 26.382822040000001, -99, 1965, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-09-14 00:00:00', 0, 22.621868129999999, -99, 2030, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-09-15 00:00:00', 0, 23.07296371, -99, 2118, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-09-16 00:00:00', 0, 24.06608391, -99, 2077, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-09-17 00:00:00', 0, 25.333333970000002, -99, 2035, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-09-18 00:00:00', 0, 24.973379139999999, -99, 1963, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-09-19 00:00:00', 0, 26.031616209999999, -99, 1806, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-09-20 00:00:00', 0.68000000699999996, 25.91279793, -99, 1879, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-09-21 00:00:00', 4.4099998469999999, 26.405038829999999, -99, 1765, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-09-22 00:00:00', 0, 23.029047009999999, -99, 1689, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-09-23 00:00:00', 0, 21.855520250000001, -99, 1942, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-09-24 00:00:00', 0, 23.288606640000001, -99, 1872, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-09-25 00:00:00', 0, 23.460607530000001, -99, 1887, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-09-26 00:00:00', 0, 24.066217420000001, -99, 1706, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-09-27 00:00:00', 0, 23.196008679999998, -99, 1772, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-09-28 00:00:00', 0, 23.934085849999999, -99, 1672, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-09-29 00:00:00', 0, 24.517948149999999, -99, 1730, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-09-30 00:00:00', 0, 25.041217799999998, -99, 1732, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-10-01 00:00:00', 0, 26.104328160000001, -99, 1866, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-10-02 00:00:00', 0, 25.818244929999999, -99, 1821, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-10-03 00:00:00', 0.02, 26.150541310000001, -99, 1824, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-10-04 00:00:00', 0, 26.23130608, -99, 1827, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-10-05 00:00:00', 0, 24.805624009999999, -99, 1731, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-10-06 00:00:00', 0, 20.510410310000001, -99, 1849, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-10-07 00:00:00', 0, 22.746763229999999, -99, 1854, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-10-08 00:00:00', 0, 21.089078900000001, -99, 1844, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-10-09 00:00:00', 0, 20.336402889999999, -99, 1833, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-10-10 00:00:00', 0, 20.042123790000002, -99, 1817, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-10-11 00:00:00', 0, 19.628698350000001, -99, 1808, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-10-12 00:00:00', 0, 19.430583949999999, -99, 1816, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-10-13 00:00:00', 0, 17.079048159999999, -99, 1831, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-10-14 00:00:00', 0, 17.007234570000001, -99, 1831, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-10-15 00:00:00', 0, 17.481748580000001, -99, 1797, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-10-16 00:00:00', 0, 16.57025719, -99, 1789, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-10-17 00:00:00', 0, 15.92012405, -99, 1755, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-10-18 00:00:00', 0, 15.83141708, -99, 1740, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-10-19 00:00:00', 0, 15.983080859999999, -99, 1679, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-10-20 00:00:00', 0, 17.42963409, -99, 1652, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-10-21 00:00:00', 0, 16.736875529999999, -99, 1597, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-10-22 00:00:00', 0, 16.687955859999999, -99, 1661, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-10-23 00:00:00', 0, 16.40995216, -99, 1646, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-10-24 00:00:00', 0, 16.292552950000001, -99, 1633, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-10-25 00:00:00', 0, 15.57385921, -99, 1619, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-10-26 00:00:00', 0, 13.905131340000001, -99, 1600, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-10-27 00:00:00', 0, 14.599186899999999, -99, 1606, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-10-28 00:00:00', 0, 13.763740540000001, -99, 1571, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-10-29 00:00:00', 0, 13.586219789999999, -99, 1530, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-10-30 00:00:00', 0, 13.7171669, -99, 1276, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-10-31 00:00:00', 0, 12.377148630000001, -99, 1508, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-11-01 00:00:00', 0, 13.08222389, -99, 1496, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-11-02 00:00:00', 0, 12.920523640000001, -99, 1509, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-11-03 00:00:00', 0, 12.644314769999999, -99, 1498, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-11-04 00:00:00', 0, 13.505720139999999, -99, 1470, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-11-05 00:00:00', 0, 12.91971302, -99, 1466, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-11-06 00:00:00', 0, 11.12542725, -99, 1482, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-11-07 00:00:00', 0, 11.441716189999999, -99, 1493, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-11-08 00:00:00', 0, 13.71741009, -99, 1493, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-11-09 00:00:00', 0, 10.461248400000001, -99, 1492, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-11-10 00:00:00', 0, 9.1864671710000003, -99, 1416, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-11-11 00:00:00', 0, 10.96626472, -99, 1329, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-11-12 00:00:00', 0, 11.53536034, -99, 961, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-11-13 00:00:00', 0, 13.82111549, -99, 1355, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-11-14 00:00:00', 0, 11.131658549999999, -99, 1375, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-11-15 00:00:00', 0, 9.4946994779999994, -99, 1352, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-11-16 00:00:00', 0, 9.2234439849999994, -99, 1366, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-11-17 00:00:00', 0, 12.547009470000001, -99, 1352, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-11-18 00:00:00', 0, 10.52242088, -99, 1329, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-11-19 00:00:00', 0, 8.8135013579999999, -99, 1323, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-11-20 00:00:00', 0, 9.3316297529999996, -99, 1298, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-11-21 00:00:00', 0, 9.2151288989999998, -99, 1088, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-11-22 00:00:00', 0, 10.16633129, -99, 1284, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-11-23 00:00:00', 0, 12.758212090000001, -99, 905, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-11-24 00:00:00', 0, 11.28952599, -99, 1121, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-11-25 00:00:00', 0, 13.49958992, -99, 1202, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-11-26 00:00:00', 0, 14.63746834, -99, 1084, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-11-27 00:00:00', 0, 11.772788050000001, -99, 1224, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-11-28 00:00:00', 0, 11.47817802, -99, 1240, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-11-29 00:00:00', 0, 7.4119582179999997, -99, 1145, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-11-30 00:00:00', 0, 9.4046621320000003, -99, 1186, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-12-01 00:00:00', 0, 10.240309720000001, -99, 1216, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-12-02 00:00:00', 0, 8.3794736860000008, -99, 1262, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-12-03 00:00:00', 0, 6.9911603930000004, -99, 1246, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-12-04 00:00:00', 0, 6.6782932280000002, -99, 1229, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-12-05 00:00:00', 0, 8.0125675199999993, -99, 1220, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-12-06 00:00:00', 0, 7.8562502859999999, -99, 1202, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-12-07 00:00:00', 0, 8.0619430540000003, -99, 1206, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-12-08 00:00:00', 0, 9.6695232390000001, -99, 1046, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-12-09 00:00:00', 0, 9.5314750670000006, -99, 1112, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-12-10 00:00:00', 0, 9.0414152150000007, -99, 1159, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-12-11 00:00:00', 0, 10.34282494, -99, 1092, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-12-12 00:00:00', 0, 11.737575530000001, -99, 631, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-12-13 00:00:00', 0, 10.79019928, -99, 773, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-12-14 00:00:00', 0, 10.269804000000001, -99, 1000, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-12-15 00:00:00', 0, 7.4297842980000004, -99, 772, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-12-16 00:00:00', 0, 5.5858173369999999, -99, 1142, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-12-17 00:00:00', 0, 4.6158990859999998, -99, 1210, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-12-18 00:00:00', 0, 9.4843282700000007, -99, 1204, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-12-19 00:00:00', 0, 8.1062297819999998, -99, 1183, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-12-20 00:00:00', 0, 10.54536057, -99, 1210, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-12-21 00:00:00', 0, 9.275655746, -99, 1197, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-12-22 00:00:00', 0, 5.7811565399999996, -99, 1212, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-12-23 00:00:00', 0, 5.2468409539999996, -99, 1183, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-12-24 00:00:00', 0, 5.7418074609999996, -99, 1123, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-12-25 00:00:00', 0, 10.60723114, -99, 1041, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-12-26 00:00:00', 0, 9.2785997390000006, -99, 1154, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-12-27 00:00:00', 0, 6.8434386250000001, -99, 1170, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-12-28 00:00:00', 0, 6.6681585309999996, -99, 1126, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-12-29 00:00:00', 0, 6.4031596180000001, -99, 1095, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-12-30 00:00:00', 0, 6.8382263180000002, -99, 1090, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-12-31 00:00:00', 0, 7.1431951519999997, -99, 1164, 'lud', 'lud_2016');
INSERT INTO public.cdy_cldat VALUES ('2017-01-01 00:00:00', 0.039999999000000001, 7.7396001820000002, -99, 1183, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-01-02 00:00:00', 0, 7.9872946740000001, -99, 1197, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-01-03 00:00:00', 0.01, 8.7534141539999997, -99, 773, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-01-04 00:00:00', 0, 5.9367790219999996, -99, 1058, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-01-05 00:00:00', 0, 8.6308345790000001, -99, 1141, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-01-06 00:00:00', 0.87999999500000003, 9.6410675050000005, -99, 586, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-01-07 00:00:00', 0.25, 10.409218790000001, -99, 442, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-01-08 00:00:00', 0, 6.0646681789999999, -99, 1124, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-01-09 00:00:00', 0, 6.17538929, -99, 1272, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-01-10 00:00:00', 0, 5.0572323800000003, -99, 1333, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-01-11 00:00:00', 0, 1.6605622769999999, -99, 1311, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-01-12 00:00:00', 0, 1.858952999, -99, 1347, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-01-13 00:00:00', 0, 2.3764560220000002, -99, 1331, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-01-14 00:00:00', 0, 6.3439965249999997, -99, 735, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-01-15 00:00:00', 2.630000114, 5.7895865439999996, -99, 896, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-01-16 00:00:00', 0, 9.7348918910000002, -99, 790, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-01-17 00:00:00', 0, 6.717167377, -99, 643, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-01-18 00:00:00', 0, 4.7032628059999997, -99, 763, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-01-19 00:00:00', 0, 6.1446766850000003, -99, 1341, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-01-20 00:00:00', 0, 5.8469171519999996, -99, 1349, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-01-21 00:00:00', 0.769999981, 7.4474010469999996, -99, 801, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-01-22 00:00:00', 0, 8.3960695269999999, -99, 1342, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-01-23 00:00:00', 0, 9.0657224660000004, -99, 994, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-01-24 00:00:00', 0.01, 9.2171049119999999, -99, 451, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-01-25 00:00:00', 8.3999996190000008, 12.397336960000001, -99, 600, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-01-26 00:00:00', 31.709999079999999, 13.644648549999999, -99, 183, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-01-27 00:00:00', 0.41999998700000002, 11.74978542, -99, 1200, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-01-28 00:00:00', 0, 9.6742324830000008, -99, 1224, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-01-29 00:00:00', 0, 12.299307819999999, -99, 1001, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-01-30 00:00:00', 0.02, 8.1868677139999999, -99, 721, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-01-31 00:00:00', 0, 8.7036933899999998, -99, 1020, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-02-01 00:00:00', 0, 8.4067831040000005, -99, 1365, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-02-02 00:00:00', 0, 7.0000176429999996, -99, 912, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-02-03 00:00:00', 0, 9.7333784100000003, -99, 954, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-02-04 00:00:00', 0.079999998000000003, 9.3366317750000007, -99, 873, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-02-05 00:00:00', 0, 15.203616139999999, -99, 865, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-02-06 00:00:00', 0, 10.583753590000001, -99, 1425, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-02-07 00:00:00', 0, 9.2200288770000007, -99, 1483, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-02-08 00:00:00', 0, 9.5664625169999997, -99, 1193, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-02-09 00:00:00', 0, 5.2929277419999998, -99, 1598, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-02-10 00:00:00', 0, 8.9189872739999991, -99, 1649, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-02-11 00:00:00', 0, 7.2238111500000004, -99, 1659, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-02-12 00:00:00', 0, 6.3828978540000003, -99, 1687, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-02-13 00:00:00', 0, 8.5357246399999998, -99, 1691, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-02-14 00:00:00', 0, 7.855405331, -99, 1510, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-02-15 00:00:00', 0, 12.025315279999999, -99, 1491, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-02-16 00:00:00', 0, 15.217153550000001, -99, 1494, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-02-17 00:00:00', 0, 15.21706867, -99, 1258, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-02-18 00:00:00', 0, 14.96083164, -99, 1286, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-02-19 00:00:00', 0, 16.89008522, -99, 1494, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-02-20 00:00:00', 0, 13.260802269999999, -99, 1686, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-02-21 00:00:00', 0, 13.40559483, -99, 1670, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-02-22 00:00:00', 0, 8.6242027280000002, -99, 1859, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-02-23 00:00:00', 0, 8.2632808690000008, -99, 1883, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-02-24 00:00:00', 0, 10.78966331, -99, 1901, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-02-25 00:00:00', 0, 9.6261901860000005, -99, 1798, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-02-26 00:00:00', 0, 9.5542812349999995, -99, 1912, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-02-27 00:00:00', 0, 9.7069559099999996, -99, 1944, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-02-28 00:00:00', 0, 11.37704372, -99, 885, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-03-01 00:00:00', 0, 10.53992176, -99, 1847, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-03-02 00:00:00', 0, 12.099448199999999, -99, 1907, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-03-03 00:00:00', 0, 11.63377476, -99, 1635, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-03-04 00:00:00', 0, 11.54636097, -99, 1901, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-03-05 00:00:00', 0, 9.2167186739999991, -99, 1977, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-03-06 00:00:00', 0.55000001200000004, 10.032773969999999, -99, 1964, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-03-07 00:00:00', 0.090000003999999995, 12.257141109999999, -99, 1248, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-03-08 00:00:00', 3.119999886, 14.565917969999999, -99, 1251, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-03-09 00:00:00', 0.85000002399999997, 10.41426468, -99, 989, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-03-10 00:00:00', 8.1899995800000003, 10.757324219999999, -99, 1176, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-03-11 00:00:00', 0.12999999500000001, 8.1329841609999995, -99, 1755, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-03-12 00:00:00', 0, 7.7333145139999999, -99, 2061, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-03-13 00:00:00', 0, 8.5622959139999999, -99, 2089, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-03-14 00:00:00', 0, 7.5204496379999997, -99, 2011, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-03-15 00:00:00', 0, 10.02882576, -99, 1039, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-03-16 00:00:00', 0, 12.822479250000001, -99, 975, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-03-17 00:00:00', 0, 10.805981640000001, -99, 2113, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-03-18 00:00:00', 0, 11.723454479999999, -99, 2126, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-03-19 00:00:00', 0, 12.33936787, -99, 2134, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-03-20 00:00:00', 0, 14.487061499999999, -99, 2178, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-03-21 00:00:00', 0, 15.74388027, -99, 1923, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-03-22 00:00:00', 0, 17.235996249999999, -99, 1915, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-03-23 00:00:00', 0, 18.609617230000001, -99, 2079, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-03-24 00:00:00', 0, 18.619516369999999, -99, 2224, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-03-25 00:00:00', 0.01, 16.699726099999999, -99, 2243, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-03-26 00:00:00', 0, 17.201410289999998, -99, 2247, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-03-27 00:00:00', 0, 18.759819029999999, -99, 2197, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-03-28 00:00:00', 0, 20.487758639999999, -99, 2214, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-03-29 00:00:00', 0, 20.13527298, -99, 2240, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-03-30 00:00:00', 0, 20.342718120000001, -99, 2253, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-03-31 00:00:00', 0, 20.629106520000001, -99, 2170, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-04-01 00:00:00', 0, 21.277637479999999, -99, 2207, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-04-02 00:00:00', 0.01, 20.33346367, -99, 2299, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-04-03 00:00:00', 0.01, 20.80295563, -99, 2276, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-04-04 00:00:00', 0.37000000500000002, 21.90010071, -99, 1397, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-04-05 00:00:00', 14.579999920000001, 18.93581009, -99, 1568, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-04-06 00:00:00', 0.039999999000000001, 18.69797325, -99, 1697, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-04-07 00:00:00', 0, 17.102388380000001, -99, 2259, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-04-08 00:00:00', 0, 14.366233830000001, -99, 2399, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-04-09 00:00:00', 0, 14.328040120000001, -99, 2498, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-04-10 00:00:00', 0, 14.026636119999999, -99, 2512, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-04-11 00:00:00', 0, 14.899174690000001, -99, 2474, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-04-12 00:00:00', 0, 16.27312469, -99, 2490, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-04-13 00:00:00', 0, 16.128999709999999, -99, 2460, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-04-14 00:00:00', 0, 18.057924270000001, -99, 2456, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-04-15 00:00:00', 0, 18.59127045, -99, 2500, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-04-16 00:00:00', 0, 20.046901699999999, -99, 2517, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-04-17 00:00:00', 0, 20.365009310000001, -99, 2501, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-04-18 00:00:00', 0, 21.999748230000002, -99, 2507, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-04-19 00:00:00', 0, 23.589256290000002, -99, 2440, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-04-20 00:00:00', 0, 23.653638839999999, -99, 2381, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-04-21 00:00:00', 0.560000002, 28.461040499999999, -99, 2446, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-04-22 00:00:00', 4.1199998860000004, 22.010118479999999, -99, 1185, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-04-23 00:00:00', 1.4700000289999999, 22.341159820000001, -99, 2128, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-04-24 00:00:00', 0, 19.49221992, -99, 2522, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-04-25 00:00:00', 0, 20.436658860000001, -99, 2525, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-04-26 00:00:00', 0.25, 19.8494873, -99, 2524, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-04-27 00:00:00', 0, 22.927314760000002, -99, 2533, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-04-28 00:00:00', 0, 21.047597889999999, -99, 2561, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-04-29 00:00:00', 3.2599999899999998, 22.105674740000001, -99, 2489, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-04-30 00:00:00', 0, 23.08800888, -99, 2570, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-05-01 00:00:00', 0, 19.11192131, -99, 2601, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-05-02 00:00:00', 0, 20.703371050000001, -99, 2209, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-05-03 00:00:00', 0, 26.509889600000001, -99, 507, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-05-04 00:00:00', 0, 21.73034286, -99, 2459, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-05-05 00:00:00', 0, 22.964305880000001, -99, 2504, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-05-06 00:00:00', 0, 23.507577900000001, -99, 2384, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-05-07 00:00:00', 0, 25.745759960000001, -99, 2506, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-05-08 00:00:00', 0, 26.068754200000001, -99, 2511, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-05-09 00:00:00', 0, 27.74646568, -99, 2242, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-05-10 00:00:00', 0.17000000200000001, 27.049989700000001, -99, 2484, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-05-11 00:00:00', 0, 27.03576851, -99, 2428, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-05-12 00:00:00', 0.029999998999999999, 26.69670868, -99, 2523, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-05-13 00:00:00', 0, 26.80213547, -99, 2468, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-05-14 00:00:00', 0.01, 25.946086879999999, -99, 2484, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-05-15 00:00:00', 0.62000000499999997, 26.044582370000001, -99, 2462, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-05-16 00:00:00', 0.01, 27.602117539999998, -99, 798, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-05-17 00:00:00', 0.029999998999999999, 24.904005049999999, -99, 2339, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-05-18 00:00:00', 0, 24.768976210000002, -99, 2516, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-05-19 00:00:00', 0.01, 24.31303024, -99, 2535, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-05-20 00:00:00', 3.130000114, 23.555700300000002, -99, 2567, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-05-21 00:00:00', 2.6900000569999998, 27.522260670000001, -99, 618, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-05-22 00:00:00', 0, 23.32435036, -99, 2387, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-05-23 00:00:00', 0, 24.90215302, -99, 2555, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-05-24 00:00:00', 0, 24.516412729999999, -99, 2557, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-05-25 00:00:00', 0, 26.93309975, -99, 2562, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-05-26 00:00:00', 0, 29.141221999999999, -99, 2572, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-05-27 00:00:00', 0, 24.82463074, -99, 2649, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-05-28 00:00:00', 0.44999998800000002, 28.093988419999999, -99, 2620, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-05-29 00:00:00', 0, 24.838993070000001, -99, 2484, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-05-30 00:00:00', 0.34000000400000002, 23.951539990000001, -99, 2587, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-05-31 00:00:00', 1.0499999520000001, 19.74291801, -99, 1197, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-06-01 00:00:00', 0, 23.45370483, -99, 2573, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-06-02 00:00:00', 0, 24.973857880000001, -99, 2612, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-06-03 00:00:00', 0, 26.704963679999999, -99, 2605, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-06-04 00:00:00', 0, 28.87337685, -99, 2576, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-06-05 00:00:00', 0, 31.363279339999998, -99, 2509, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-06-06 00:00:00', 5.1500000950000002, 33.896938319999997, -99, 2095, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-06-07 00:00:00', 0.33000001299999998, 21.342742919999999, -99, 2351, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-06-08 00:00:00', 5.9699997900000001, 25.342973709999999, -99, 1832, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-06-09 00:00:00', 0, 23.785289760000001, -99, 2488, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-06-10 00:00:00', 0.81999999300000004, 24.627643590000002, -99, 2495, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-06-11 00:00:00', 0.33000001299999998, 22.801401139999999, -99, 2561, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-06-12 00:00:00', 0, 25.361505510000001, -99, 2511, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-06-13 00:00:00', 0, 25.96081161, -99, 2549, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-06-14 00:00:00', 0.34000000400000002, 24.8107872, -99, 2487, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-06-15 00:00:00', 1.9900000099999999, 27.01935005, -99, 2000, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-06-16 00:00:00', 0.02, 26.111066820000001, -99, 2461, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-06-17 00:00:00', 6.7600002290000001, 27.279502870000002, -99, 1414, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-06-18 00:00:00', 0, 26.715261460000001, -99, 2416, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-06-19 00:00:00', 17.670000080000001, 28.851251600000001, -99, 2133, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-06-20 00:00:00', 9.7600002289999992, 23.010923389999999, -99, 2101, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-06-21 00:00:00', 2.5199999809999998, 23.229759219999998, -99, 1483, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-06-22 00:00:00', 0.039999999000000001, 23.042867659999999, -99, 2120, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-06-23 00:00:00', 0, 23.534837719999999, -99, 2530, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-06-24 00:00:00', 0, 26.884832379999999, -99, 2500, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-06-25 00:00:00', 0.109999999, 28.491540910000001, -99, 2478, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-06-26 00:00:00', 0.86000001400000003, 29.58930969, -99, 2342, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-06-27 00:00:00', 1.3300000430000001, 28.492385859999999, -99, 2012, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-06-28 00:00:00', 34.939998629999998, 25.838823319999999, -99, 412, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-06-29 00:00:00', 17.579999919999999, 24.626102450000001, -99, 541, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-06-30 00:00:00', 1.1100000139999999, 25.580612179999999, -99, 1681, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-07-01 00:00:00', 0.01, 26.92053795, -99, 2429, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-07-02 00:00:00', 1.9500000479999999, 28.331117630000001, -99, 1833, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-07-03 00:00:00', 0.02, 24.755826949999999, -99, 2502, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-07-04 00:00:00', 5.4400000569999998, 27.276670459999998, -99, 2518, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-07-05 00:00:00', 0.039999999000000001, 23.85956955, -99, 2473, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-07-06 00:00:00', 9.3100004199999997, 23.978673929999999, -99, 2439, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-07-07 00:00:00', 0.49000000999999999, 25.33957672, -99, 2446, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-07-08 00:00:00', 0, 28.795948030000002, -99, 2356, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-07-09 00:00:00', 0, 29.1315937, -99, 2336, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-07-10 00:00:00', 0.039999999000000001, 30.366071699999999, -99, 2380, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-07-11 00:00:00', 4.3600001339999999, 27.287687300000002, -99, 2107, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-07-12 00:00:00', 1.730000019, 23.942005160000001, -99, 1876, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-07-13 00:00:00', 0.01, 25.579204560000001, -99, 1893, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-07-14 00:00:00', 3.710000038, 28.374792100000001, -99, 2049, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-07-15 00:00:00', 0.01, 28.031457899999999, -99, 2057, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-07-16 00:00:00', 0, 27.802776340000001, -99, 1970, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-07-17 00:00:00', 0.15000000599999999, 28.31499672, -99, 1973, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-07-18 00:00:00', 0.44999998800000002, 26.658882139999999, -99, 409, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-07-19 00:00:00', 0, 28.195089339999999, -99, 2377, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-07-20 00:00:00', 5.8600001339999999, 28.91834068, -99, 861, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-07-21 00:00:00', 0.02, 27.312910080000002, -99, 2373, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-07-22 00:00:00', 0.62000000499999997, 28.23116302, -99, 1662, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-07-23 00:00:00', 1.2799999710000001, 27.375785830000002, -99, 2305, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-07-24 00:00:00', 12.15999985, 25.42794228, -99, 1916, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-07-25 00:00:00', 0.02, 26.550390239999999, -99, 2255, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-07-26 00:00:00', 0.02, 27.272716519999999, -99, 2041, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-07-27 00:00:00', 3.369999886, 26.885484699999999, -99, 1948, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-07-28 00:00:00', 1.3300000430000001, 26.489389419999998, -99, 2086, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-07-29 00:00:00', 0.61000001400000003, 28.376882550000001, -99, 1461, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-07-30 00:00:00', 3.2999999519999998, 27.49787521, -99, 954, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-07-31 00:00:00', 4.75, 26.32525635, -99, 521, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-08-01 00:00:00', 30.31999969, 26.489339829999999, -99, 345, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-08-02 00:00:00', 15.02999973, 25.155311579999999, -99, 1556, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-08-03 00:00:00', 0.87000000499999997, 26.758014679999999, -99, 2066, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-08-04 00:00:00', 0, 26.877292629999999, -99, 2153, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-08-05 00:00:00', 0.730000019, 25.772954940000002, -99, 2398, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-08-06 00:00:00', 5.5500001909999996, 26.369483949999999, -99, 2309, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-08-07 00:00:00', 1.289999962, 28.16500473, -99, 837, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-08-08 00:00:00', 0.15000000599999999, 27.005626679999999, -99, 1935, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-08-09 00:00:00', 14.84000015, 27.658220289999999, -99, 2201, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-08-10 00:00:00', 0.41999998700000002, 26.739337920000001, -99, 2374, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-08-11 00:00:00', 0.059999998999999998, 27.775814059999998, -99, 2348, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-08-12 00:00:00', 0.01, 25.254642489999998, -99, 2181, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-08-13 00:00:00', 24.079999919999999, 27.29257011, -99, 2331, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-08-14 00:00:00', 0.02, 24.84734344, -99, 2224, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-08-15 00:00:00', 1.769999981, 27.723327640000001, -99, 2229, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-08-16 00:00:00', 0, 26.920730590000002, -99, 2388, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-08-17 00:00:00', 0.029999998999999999, 26.99579048, -99, 2402, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-08-18 00:00:00', 0.039999999000000001, 27.827348709999999, -99, 2365, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-08-19 00:00:00', 1.5299999710000001, 26.4455986, -99, 1544, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-08-20 00:00:00', 0, 26.078521729999999, -99, 1330, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-08-21 00:00:00', 0, 26.424663540000001, -99, 1979, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-08-22 00:00:00', 15.39000034, 25.59873962, -99, 2161, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-08-23 00:00:00', 0, 25.573198319999999, -99, 2087, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-08-24 00:00:00', 1.7000000479999999, 25.92023468, -99, 2028, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-08-25 00:00:00', 11.100000380000001, 26.91676331, -99, 391, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-08-26 00:00:00', 4.8000001909999996, 24.56240845, -99, 2115, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-08-27 00:00:00', 0.01, 25.62872505, -99, 2322, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-08-28 00:00:00', 0, 25.33045006, -99, 2212, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-08-29 00:00:00', 5.3499999049999998, 26.52286148, -99, 515, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-08-30 00:00:00', 10.52999973, 25.925891880000002, -99, 1170, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-08-31 00:00:00', 7.4499998090000004, 26.332794190000001, -99, 1491, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-09-01 00:00:00', 8.6000003809999992, 23.80525398, -99, 715, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-09-02 00:00:00', 0.070000000000000007, 24.144289019999999, -99, 1578, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-09-03 00:00:00', 0.01, 24.37655067, -99, 2145, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-09-04 00:00:00', 5.25, 25.366024020000001, -99, 1086, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-09-05 00:00:00', 0.56999999300000004, 23.258983610000001, -99, 2196, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-09-06 00:00:00', 6.4099998469999999, 25.441871639999999, -99, 2074, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-09-07 00:00:00', 0.52999997099999996, 24.594877239999999, -99, 2112, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-09-08 00:00:00', 0, 22.620586400000001, -99, 2162, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-09-09 00:00:00', 0, 25.751028059999999, -99, 2061, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-09-10 00:00:00', 0, 25.59047318, -99, 2098, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-09-11 00:00:00', 0, 24.179821010000001, -99, 1417, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-09-12 00:00:00', 0, 23.804643630000001, -99, 2126, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-09-13 00:00:00', 0.02, 25.362604139999998, -99, 1973, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-09-14 00:00:00', 0, 24.465036390000002, -99, 2116, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-09-15 00:00:00', 0, 24.612154010000001, -99, 2137, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-09-16 00:00:00', 0, 24.58973503, -99, 2040, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-09-17 00:00:00', 0, 24.483263019999999, -99, 2121, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-09-18 00:00:00', 0, 22.683334349999999, -99, 2188, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-09-19 00:00:00', 0.01, 21.541208269999998, -99, 2149, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-09-20 00:00:00', 0, 22.45995331, -99, 2096, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-09-21 00:00:00', 0.64999997600000003, 22.889051439999999, -99, 1962, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-09-22 00:00:00', 6.7899999619999996, 23.605176929999999, -99, 1861, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-09-23 00:00:00', 3.210000038, 22.463472370000002, -99, 1264, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-09-24 00:00:00', 0, 20.63475227, -99, 1923, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-09-25 00:00:00', 0, 23.553510670000001, -99, 1956, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-09-26 00:00:00', 0, 24.105873110000001, -99, 1946, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-09-27 00:00:00', 0, 24.269981380000001, -99, 1926, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-09-28 00:00:00', 0, 24.590547560000001, -99, 1948, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-09-29 00:00:00', 0, 24.091644290000001, -99, 1976, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-09-30 00:00:00', 0, 22.654060359999999, -99, 1969, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-10-01 00:00:00', 0, 21.278623580000001, -99, 1959, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-10-02 00:00:00', 0, 20.39969254, -99, 1948, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-10-03 00:00:00', 0, 21.898441309999999, -99, 1955, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-10-04 00:00:00', 0, 21.997926710000002, -99, 1935, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-10-05 00:00:00', 0, 20.791395189999999, -99, 1907, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-10-06 00:00:00', 0, 20.210752490000001, -99, 1911, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-10-07 00:00:00', 0, 20.751806259999999, -99, 1871, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-10-08 00:00:00', 0, 20.421316149999999, -99, 1838, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-10-09 00:00:00', 0, 20.887725830000001, -99, 1821, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-10-10 00:00:00', 0, 21.37789154, -99, 1807, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-10-11 00:00:00', 0, 20.076078410000001, -99, 1790, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-10-12 00:00:00', 0, 20.930028920000002, -99, 1797, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-10-13 00:00:00', 0, 20.57268715, -99, 1775, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-10-14 00:00:00', 0, 19.1241436, -99, 1781, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-10-15 00:00:00', 0, 18.030033110000002, -99, 1759, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-10-16 00:00:00', 0, 17.841936109999999, -99, 1754, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-10-17 00:00:00', 0, 16.492975229999999, -99, 1766, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-10-18 00:00:00', 0, 17.196861269999999, -99, 1752, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-10-19 00:00:00', 0, 16.382724759999999, -99, 1749, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-10-20 00:00:00', 0, 16.075864790000001, -99, 1702, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-10-21 00:00:00', 0, 16.160327909999999, -99, 1686, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-10-22 00:00:00', 0, 16.29034042, -99, 1618, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-10-23 00:00:00', 0, 15.528332710000001, -99, 1628, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-10-24 00:00:00', 0, 14.39963627, -99, 1641, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-10-25 00:00:00', 0, 15.72684574, -99, 1638, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-10-26 00:00:00', 0, 14.919333460000001, -99, 1610, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-10-27 00:00:00', 0, 14.766417499999999, -99, 1573, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-10-28 00:00:00', 0, 14.393539430000001, -99, 1567, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-10-29 00:00:00', 0, 14.51450348, -99, 1486, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-10-30 00:00:00', 0, 14.90847301, -99, 1475, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-10-31 00:00:00', 0, 13.50897217, -99, 1412, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-11-01 00:00:00', 0, 15.296279910000001, -99, 1498, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-11-02 00:00:00', 0, 14.08800793, -99, 1421, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-11-03 00:00:00', 0, 14.58192635, -99, 1436, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-11-04 00:00:00', 0, 13.414517399999999, -99, 1442, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-11-05 00:00:00', 0, 14.31161404, -99, 1459, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-11-06 00:00:00', 0, 13.22014332, -99, 1385, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-11-07 00:00:00', 0, 14.25494576, -99, 1131, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-11-08 00:00:00', 0, 13.878878589999999, -99, 1299, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-11-09 00:00:00', 0, 12.88286209, -99, 1345, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-11-10 00:00:00', 0, 11.507681850000001, -99, 1275, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-11-11 00:00:00', 0, 11.51446533, -99, 1247, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-11-12 00:00:00', 0, 10.440666200000001, -99, 1139, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-11-13 00:00:00', 0, 14.357017519999999, -99, 1095, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-11-14 00:00:00', 0.18000000699999999, 10.659559249999999, -99, 1048, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-11-15 00:00:00', 0, 14.87785053, -99, 488, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-11-16 00:00:00', 0, 13.29182911, -99, 927, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-11-17 00:00:00', 0, 12.785950659999999, -99, 1163, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-11-18 00:00:00', 0, 13.769418720000001, -99, 1259, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-11-19 00:00:00', 0, 9.8647022250000003, -99, 1319, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-11-20 00:00:00', 0, 8.2156200409999993, -99, 1303, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-11-21 00:00:00', 0, 8.9777364730000002, -99, 1308, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-11-22 00:00:00', 0, 7.4477319719999997, -99, 1324, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-11-23 00:00:00', 0, 9.4368467329999994, -99, 1304, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-11-24 00:00:00', 0, 7.5130472179999996, -99, 1277, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-11-25 00:00:00', 0, 9.3658094409999997, -99, 1263, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-11-26 00:00:00', 0, 7.2146792409999998, -99, 1262, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-11-27 00:00:00', 0, 9.9669589999999992, -99, 1244, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-11-28 00:00:00', 0, 8.8164405820000002, -99, 1204, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-11-29 00:00:00', 0, 7.8665466310000003, -99, 1217, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-11-30 00:00:00', 0, 7.9319663050000004, -99, 1240, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-12-01 00:00:00', 0, 7.9139308929999999, -99, 1281, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-12-02 00:00:00', 0, 6.4402112960000002, -99, 1244, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-12-03 00:00:00', 0, 7.3345627779999996, -99, 1136, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-12-04 00:00:00', 0, 8.2568283079999993, -99, 1192, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-12-05 00:00:00', 0, 7.5622453690000002, -99, 1200, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-12-06 00:00:00', 0, 10.63378906, -99, 1209, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-12-07 00:00:00', 0, 8.3110294339999999, -99, 1225, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-12-08 00:00:00', 0, 10.04878139, -99, 1225, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-12-09 00:00:00', 0, 6.332884312, -99, 1220, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-12-10 00:00:00', 0.189999998, 8.2050504679999996, -99, 1067, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-12-11 00:00:00', 23.270000459999999, 13.21280861, -99, 225, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-12-12 00:00:00', 0.10000000100000001, 11.157728199999999, -99, 624, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-12-13 00:00:00', 0, 10.28594112, -99, 795, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-12-14 00:00:00', 0, 9.3791599269999999, -99, 882, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-12-15 00:00:00', 0, 8.0546941759999999, -99, 806, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-12-16 00:00:00', 0, 4.4808511729999996, -99, 1138, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-12-17 00:00:00', 0, 5.4325122830000003, -99, 1183, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-12-18 00:00:00', 0, 8.2150382999999998, -99, 1201, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-12-19 00:00:00', 0, 8.4000396730000002, -99, 1175, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-12-20 00:00:00', 0, 8.3198986050000006, -99, 1162, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-12-21 00:00:00', 0, 7.9420976640000003, -99, 1170, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-12-22 00:00:00', 0, 8.7369527819999995, -99, 1207, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-12-23 00:00:00', 0, 8.5605335240000002, -99, 1099, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-12-24 00:00:00', 0, 6.0339865680000004, -99, 1049, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-12-25 00:00:00', 0, 6.8679814339999998, -99, 1196, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-12-26 00:00:00', 0, 6.1768131259999999, -99, 915, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-12-27 00:00:00', 0, 6.9671692849999998, -99, 703, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-12-28 00:00:00', 0, 4.8462481500000001, -99, 1163, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-12-29 00:00:00', 0, 5.9811477660000003, -99, 1163, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-12-30 00:00:00', 0, 5.79994297, -99, 1182, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-12-31 00:00:00', 0, 6.030659676, -99, 1114, 'lud', 'lud_2017');
INSERT INTO public.cdy_cldat VALUES ('2018-01-01 00:00:00', 0, 4.8407449720000004, -99, 1114, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-01-02 00:00:00', 0, 8.1144065859999994, -99, 893, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-01-03 00:00:00', 0, 6.537726879, -99, 665, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-01-04 00:00:00', 0, 5.3241930010000003, -99, 1037, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-01-05 00:00:00', 0, 5.9925322530000003, -99, 980, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-01-06 00:00:00', 0, 4.4889297490000004, -99, 1184, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-01-07 00:00:00', 0, 4.5293865200000001, -99, 1283, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-01-08 00:00:00', 0, 5.5297155379999996, -99, 1294, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-01-09 00:00:00', 0, 4.7281103130000002, -99, 1316, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-01-10 00:00:00', 0, 6.8656506540000004, -99, 1215, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-01-11 00:00:00', 0, 8.0045080179999992, -99, 898, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-01-12 00:00:00', 0, 9.2462968829999994, -99, 1230, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-01-13 00:00:00', 0, 4.6259756090000002, -99, 1342, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-01-14 00:00:00', 0, 4.4678602219999997, -99, 1345, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-01-15 00:00:00', 0, 7.0550804139999999, -99, 1346, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-01-16 00:00:00', 0, 4.3298568729999998, -99, 1406, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-01-17 00:00:00', 0, 7.4822325709999999, -99, 1257, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-01-18 00:00:00', 0, 6.5081362719999998, -99, 1263, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-01-19 00:00:00', 0, 9.0673122409999998, -99, 1394, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-01-20 00:00:00', 0, 7.5754170419999998, -99, 1440, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-01-21 00:00:00', 0, 4.518835545, -99, 1455, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-01-22 00:00:00', 0, 3.3425288200000001, -99, 1448, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-01-23 00:00:00', 0.72000002900000004, 6.666832447, -99, 150, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-01-24 00:00:00', 0, 6.3650140759999996, -99, 1392, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-01-25 00:00:00', 0, 7.9407486919999997, -99, 1394, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-01-26 00:00:00', 0, 9.0816354750000006, -99, 759, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-01-27 00:00:00', 0, 8.818998337, -99, 1077, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-01-28 00:00:00', 0, 6.672989845, -99, 745, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-01-29 00:00:00', 0, 6.4815244669999998, -99, 1287, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-01-30 00:00:00', 0, 9.0120620729999992, -99, 1426, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-01-31 00:00:00', 0, 10.71963882, -99, 1182, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-02-01 00:00:00', 0, 10.22661591, -99, 1435, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-02-02 00:00:00', 0, 10.13833618, -99, 1528, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-02-03 00:00:00', 0, 7.1015906329999998, -99, 1569, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-02-04 00:00:00', 0, 7.5742464070000004, -99, 1481, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-02-05 00:00:00', 0, 6.9829850200000001, -99, 1510, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-02-06 00:00:00', 0, 6.8097825050000003, -99, 1450, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-02-07 00:00:00', 0, 5.8861627580000002, -99, 1390, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-02-08 00:00:00', 0, 4.989860535, -99, 1528, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-02-09 00:00:00', 0, 5.8166174890000004, -99, 1665, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-02-10 00:00:00', 0, 5.9734287259999999, -99, 1635, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-02-11 00:00:00', 1.0900000329999999, 8.1994152069999995, -99, 1138, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-02-12 00:00:00', 4.5199999809999998, 12.73457241, -99, 777, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-02-13 00:00:00', 0, 9.8823080060000006, -99, 1634, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-02-14 00:00:00', 0, 8.2015151979999992, -99, 1672, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-02-15 00:00:00', 0, 10.33672333, -99, 1604, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-02-16 00:00:00', 0, 9.1272850040000009, -99, 1639, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-02-17 00:00:00', 0, 11.75084305, -99, 1702, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-02-18 00:00:00', 0, 8.0123977659999994, -99, 1780, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-02-19 00:00:00', 0, 7.0991730689999999, -99, 1737, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-02-20 00:00:00', 0, 10.1255703, -99, 1729, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-02-21 00:00:00', 0, 11.68377113, -99, 1689, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-02-22 00:00:00', 0, 11.619905470000001, -99, 1466, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-02-23 00:00:00', 0.01, 11.88210392, -99, 1368, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-02-24 00:00:00', 0.83999997400000004, 15.474200250000001, -99, 1306, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-02-25 00:00:00', 0, 12.607153889999999, -99, 1830, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-02-26 00:00:00', 0, 13.66093826, -99, 1819, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-02-27 00:00:00', 0, 14.24435997, -99, 1825, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-02-28 00:00:00', 0, 14.85594845, -99, 1472, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-03-01 00:00:00', 0, 14.11627388, -99, 910, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-03-02 00:00:00', 0, 14.65050697, -99, 1792, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-03-03 00:00:00', 0.31999999299999998, 14.525068279999999, -99, 358, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-03-04 00:00:00', 0, 12.738883019999999, -99, 1773, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-03-05 00:00:00', 0, 12.63823032, -99, 1910, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-03-06 00:00:00', 0, 12.07068443, -99, 1965, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-03-07 00:00:00', 0, 11.111006740000001, -99, 2007, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-03-08 00:00:00', 0, 11.94114113, -99, 1968, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-03-09 00:00:00', 0, 14.8091135, -99, 1953, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-03-10 00:00:00', 0, 14.72816849, -99, 1776, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-03-11 00:00:00', 0, 14.52884197, -99, 1982, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-03-12 00:00:00', 0, 15.565795899999999, -99, 1975, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-03-13 00:00:00', 0, 15.29759979, -99, 2047, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-03-14 00:00:00', 0, 15.33697701, -99, 2053, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-03-15 00:00:00', 0.01, 15.975700379999999, -99, 2053, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-03-16 00:00:00', 0, 12.6256485, -99, 2118, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-03-17 00:00:00', 0, 14.16819572, -99, 2187, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-03-18 00:00:00', 0, 12.78449249, -99, 2133, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-03-19 00:00:00', 0, 12.62066841, -99, 2152, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-03-20 00:00:00', 0.109999999, 14.48478794, -99, 1810, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-03-21 00:00:00', 0.17000000200000001, 17.599084850000001, -99, 1163, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-03-22 00:00:00', 0, 14.4242878, -99, 1967, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-03-23 00:00:00', 0, 16.15046692, -99, 2184, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-03-24 00:00:00', 0, 16.63409042, -99, 2016, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-03-25 00:00:00', 0, 17.000364300000001, -99, 2233, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-03-26 00:00:00', 0, 15.91085434, -99, 2296, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-03-27 00:00:00', 0, 15.45240879, -99, 2304, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-03-28 00:00:00', 0, 16.73607445, -99, 2328, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-03-29 00:00:00', 0, 17.638900759999999, -99, 2342, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-03-30 00:00:00', 0, 16.734518049999998, -99, 2421, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-03-31 00:00:00', 0, 16.086473460000001, -99, 2405, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-04-01 00:00:00', 0, 16.091293329999999, -99, 2304, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-04-02 00:00:00', 0, 18.86620331, -99, 2215, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-04-03 00:00:00', 0.10000000100000001, 20.243761060000001, -99, 1972, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-04-04 00:00:00', 0, 18.620819090000001, -99, 2198, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-04-05 00:00:00', 0, 21.119161609999999, -99, 1490, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-04-06 00:00:00', 0, 19.144945140000001, -99, 2246, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-04-07 00:00:00', 0, 17.635728839999999, -99, 2284, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-04-08 00:00:00', 0.27000001099999998, 20.46892738, -99, 2264, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-04-09 00:00:00', 0.01, 20.040012359999999, -99, 2259, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-04-10 00:00:00', 2.1400001049999999, 20.688493730000001, -99, 1581, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-04-11 00:00:00', 6.2800002099999999, 16.95508766, -99, 1985, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-04-12 00:00:00', 0, 16.42974091, -99, 2393, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-04-13 00:00:00', 0, 14.17155266, -99, 2398, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-04-14 00:00:00', 0, 16.881866460000001, -99, 2314, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-04-15 00:00:00', 0, 18.65982056, -99, 2378, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-04-16 00:00:00', 2.3199999330000001, 20.443719860000002, -99, 2210, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-04-17 00:00:00', 0, 20.708749770000001, -99, 2401, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-04-18 00:00:00', 0, 22.213512420000001, -99, 2446, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-04-19 00:00:00', 0.38999998600000002, 22.16304779, -99, 2113, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-04-20 00:00:00', 3.210000038, 19.97447777, -99, 1806, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-04-21 00:00:00', 0, 17.437688829999999, -99, 2529, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-04-22 00:00:00', 0, 16.34182358, -99, 2593, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-04-23 00:00:00', 0, 18.476039889999999, -99, 2605, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-04-24 00:00:00', 0, 17.654739379999999, -99, 2592, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-04-25 00:00:00', 0, 19.69964409, -99, 2559, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-04-26 00:00:00', 0, 23.076622010000001, -99, 2545, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-04-27 00:00:00', 0, 22.569234850000001, -99, 2328, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-04-28 00:00:00', 0, 24.68523407, -99, 2513, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-04-29 00:00:00', 0, 21.605064389999999, -99, 2528, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-04-30 00:00:00', 0, 21.842882159999998, -99, 2607, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-05-01 00:00:00', 0, 26.79155922, -99, 2442, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-05-02 00:00:00', 1.4500000479999999, 26.015922549999999, -99, 571, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-05-03 00:00:00', 0, 19.19964027, -99, 2340, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-05-04 00:00:00', 0, 23.975660319999999, -99, 2424, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-05-05 00:00:00', 0.15999999600000001, 23.159248349999999, -99, 2417, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-05-06 00:00:00', 0.93000000699999996, 24.095247270000002, -99, 775, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-05-07 00:00:00', 1.3300000430000001, 21.754093170000001, -99, 2396, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-05-08 00:00:00', 0.01, 23.182804109999999, -99, 1255, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-05-09 00:00:00', 0, 19.468263629999999, -99, 2494, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-05-10 00:00:00', 0, 20.783027650000001, -99, 2563, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-05-11 00:00:00', 0, 24.600070949999999, -99, 2548, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-05-12 00:00:00', 1.8600000139999999, 26.061250690000001, -99, 1696, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-05-13 00:00:00', 3.170000076, 24.107118610000001, -99, 2382, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-05-14 00:00:00', 0, 20.813276290000001, -99, 1964, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-05-15 00:00:00', 1.269999981, 22.776142119999999, -99, 2343, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-05-16 00:00:00', 0, 24.95535469, -99, 2516, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-05-17 00:00:00', 0.070000000000000007, 24.540596010000002, -99, 1700, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-05-18 00:00:00', 0, 25.337797160000001, -99, 2453, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-05-19 00:00:00', 0.25999999000000001, 23.940788269999999, -99, 1936, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-05-20 00:00:00', 0, 25.04030418, -99, 2725, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-05-21 00:00:00', 0, 23.311204910000001, -99, 2490, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-05-22 00:00:00', 0, 25.22436523, -99, 2593, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-05-23 00:00:00', 0, 25.94848442, -99, 2699, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-05-24 00:00:00', 0, 24.27845383, -99, 2709, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-05-25 00:00:00', 0, 23.170064929999999, -99, 2709, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-05-26 00:00:00', 0, 25.168193819999999, -99, 2671, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-05-27 00:00:00', 0, 27.626127239999999, -99, 2528, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-05-28 00:00:00', 0, 25.944204330000002, -99, 2686, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-05-29 00:00:00', 0, 26.234722139999999, -99, 2636, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-05-30 00:00:00', 0, 28.299392699999999, -99, 2592, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-05-31 00:00:00', 0, 29.05800056, -99, 2631, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-06-01 00:00:00', 6.3400001530000001, 29.092866900000001, -99, 2533, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-06-02 00:00:00', 0, 23.63694572, -99, 2537, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-06-03 00:00:00', 0, 27.236021040000001, -99, 2539, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-06-04 00:00:00', 0, 29.276512149999999, -99, 2488, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-06-05 00:00:00', 11.85999966, 30.701055530000001, -99, 2365, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-06-06 00:00:00', 2.869999886, 22.647008899999999, -99, 2247, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-06-07 00:00:00', 0, 26.761743549999998, -99, 2488, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-06-08 00:00:00', 0.079999998000000003, 28.717189789999999, -99, 2435, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-06-09 00:00:00', 1.8200000519999999, 22.49715424, -99, 1833, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-06-10 00:00:00', 0, 26.367330549999998, -99, 2409, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-06-11 00:00:00', 0, 27.792160030000002, -99, 2522, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-06-12 00:00:00', 0, 28.737825390000001, -99, 2557, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-06-13 00:00:00', 0, 29.039491649999999, -99, 2532, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-06-14 00:00:00', 0.079999998000000003, 32.39438629, -99, 2239, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-06-15 00:00:00', 3.9800000190000002, 31.19357681, -99, 1896, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-06-16 00:00:00', 7.9000000950000002, 23.842313770000001, -99, 1708, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-06-17 00:00:00', 3.0899999139999998, 21.57619858, -99, 1646, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-06-18 00:00:00', 0, 24.02565002, -99, 1756, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-06-19 00:00:00', 0, 25.178190229999998, -99, 2527, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-06-20 00:00:00', 0.23999999499999999, 26.478569029999999, -99, 2511, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-06-21 00:00:00', 0, 27.626399989999999, -99, 2521, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-06-22 00:00:00', 0.050000001000000002, 27.079690930000002, -99, 2266, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-06-23 00:00:00', 0.20000000300000001, 27.94133759, -99, 884, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-06-24 00:00:00', 0, 26.022192, -99, 2528, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-06-25 00:00:00', 0, 29.047920229999999, -99, 2423, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-06-26 00:00:00', 5.4600000380000004, 28.204025269999999, -99, 2434, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-06-27 00:00:00', 10.670000079999999, 25.880907059999998, -99, 401, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-06-28 00:00:00', 26.010000229999999, 24.112140660000001, -99, 525, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-06-29 00:00:00', 12.670000079999999, 25.274667740000002, -99, 1272, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-06-30 00:00:00', 0.40999999599999998, 27.534641270000002, -99, 2039, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-07-01 00:00:00', 0.029999998999999999, 28.341392519999999, -99, 2330, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-07-02 00:00:00', 21.340000150000002, 29.44432831, -99, 1477, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-07-03 00:00:00', 15.630000109999999, 23.18860626, -99, 567, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-07-04 00:00:00', 1.269999981, 22.940170290000001, -99, 1425, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-07-05 00:00:00', 0.01, 25.260215760000001, -99, 1674, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-07-06 00:00:00', 0, 26.011222839999999, -99, 2516, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-07-07 00:00:00', 0, 27.96736336, -99, 2560, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-07-08 00:00:00', 0.01, 28.259941099999999, -99, 2531, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-07-09 00:00:00', 0, 28.67420959, -99, 2464, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-07-10 00:00:00', 0.18000000699999999, 28.763902659999999, -99, 2195, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-07-11 00:00:00', 0.039999999000000001, 27.94057274, -99, 1041, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-07-12 00:00:00', 0.980000019, 28.917045590000001, -99, 1547, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-07-13 00:00:00', 12.06999969, 23.63547325, -99, 1919, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-07-14 00:00:00', 0.01, 26.50810242, -99, 2422, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-07-15 00:00:00', 0, 27.087661740000001, -99, 2437, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-07-16 00:00:00', 9.1000003809999992, 26.281827929999999, -99, 1662, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-07-17 00:00:00', 16.030000690000001, 25.753168110000001, -99, 1933, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-07-18 00:00:00', 4.6100001339999999, 27.714015960000001, -99, 1926, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-07-19 00:00:00', 2.0999999049999998, 25.798631669999999, -99, 2384, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-07-20 00:00:00', 2.75, 28.543741229999998, -99, 1842, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-07-21 00:00:00', 5.7199997900000001, 28.092887879999999, -99, 2066, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-07-22 00:00:00', 0.189999998, 26.753736499999999, -99, 1256, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-07-23 00:00:00', 2.8499999049999998, 27.477621079999999, -99, 1679, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-07-24 00:00:00', 0.119999997, 26.718669890000001, -99, 2094, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-07-25 00:00:00', 15.18000031, 28.729158399999999, -99, 1653, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-07-26 00:00:00', 3.9800000190000002, 25.211923599999999, -99, 1334, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-07-27 00:00:00', 3, 24.855728150000001, -99, 1863, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-07-28 00:00:00', 0.15000000599999999, 25.934761049999999, -99, 1749, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-07-29 00:00:00', 0.560000002, 26.185575490000002, -99, 1428, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-07-30 00:00:00', 0, 26.487241740000002, -99, 2392, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-07-31 00:00:00', 0.15999999600000001, 24.747295380000001, -99, 2392, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-08-01 00:00:00', 0, 25.658557890000001, -99, 2498, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-08-02 00:00:00', 0, 28.83494949, -99, 2485, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-08-03 00:00:00', 0.55000001200000004, 27.012409210000001, -99, 2229, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-08-04 00:00:00', 0.66000002599999996, 28.104011539999998, -99, 2268, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-08-05 00:00:00', 0, 28.527122500000001, -99, 2011, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-08-06 00:00:00', 3.0499999519999998, 25.469633099999999, -99, 1024, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-08-07 00:00:00', 0.46000000800000002, 23.50427818, -99, 438, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-08-08 00:00:00', 0.93000000699999996, 24.438156129999999, -99, 984, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-08-09 00:00:00', 1.3799999949999999, 24.840524670000001, -99, 1947, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-08-10 00:00:00', 0.50999998999999996, 26.399423599999999, -99, 2353, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-08-11 00:00:00', 1.6699999569999999, 28.22400665, -99, 956, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-08-12 00:00:00', 3.2599999899999998, 26.656700130000001, -99, 1905, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-08-13 00:00:00', 1.2599999900000001, 26.960197449999999, -99, 1395, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-08-14 00:00:00', 3.1600000860000002, 26.241502759999999, -99, 1862, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-08-15 00:00:00', 0, 26.230689999999999, -99, 2123, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-08-16 00:00:00', 0.029999998999999999, 26.4005394, -99, 1846, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-08-17 00:00:00', 13.119999890000001, 27.554037090000001, -99, 1550, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-08-18 00:00:00', 6.0300002099999999, 25.724590299999999, -99, 1850, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-08-19 00:00:00', 0.15000000599999999, 25.47860146, -99, 2117, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-08-20 00:00:00', 0.25999999000000001, 28.262025829999999, -99, 2144, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-08-21 00:00:00', 2.8499999049999998, 26.351833339999999, -99, 1669, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-08-22 00:00:00', 0.980000019, 27.78702354, -99, 1885, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-08-23 00:00:00', 11, 25.5830555, -99, 1831, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-08-24 00:00:00', 0.02, 25.655858989999999, -99, 2096, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-08-25 00:00:00', 0, 26.932477949999999, -99, 2225, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-08-26 00:00:00', 0, 25.264526369999999, -99, 2248, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-08-27 00:00:00', 1.6000000240000001, 27.297208789999999, -99, 2180, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-08-28 00:00:00', 0.029999998999999999, 26.59439278, -99, 1864, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-08-29 00:00:00', 0.209999993, 26.439149860000001, -99, 1968, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-08-30 00:00:00', 0.10000000100000001, 23.266847609999999, -99, 2057, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-08-31 00:00:00', 0, 27.371150969999999, -99, 2034, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-09-01 00:00:00', 0, 26.72776794, -99, 2089, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-09-02 00:00:00', 7.1199998860000004, 25.37191391, -99, 1586, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-09-03 00:00:00', 18.260000229999999, 25.013492580000001, -99, 1425, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-09-04 00:00:00', 0.28999999199999998, 24.458831790000001, -99, 1939, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-09-05 00:00:00', 9.9600000380000004, 25.77673149, -99, 1906, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-09-06 00:00:00', 15.039999959999999, 28.016862870000001, -99, 1527, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-09-07 00:00:00', 15.649999619999999, 24.908597950000001, -99, 1200, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-09-08 00:00:00', 0.87999999500000003, 23.17885017, -99, 1620, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-09-09 00:00:00', 14.130000109999999, 26.848482130000001, -99, 1066, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-09-10 00:00:00', 2.7699999809999998, 25.023944849999999, -99, 1966, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-09-11 00:00:00', 0, 25.554435730000002, -99, 2084, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-09-12 00:00:00', 10.93000031, 25.62951279, -99, 1573, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-09-13 00:00:00', 0.079999998000000003, 24.16940117, -99, 1976, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-09-14 00:00:00', 0, 23.923065189999999, -99, 2100, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-09-15 00:00:00', 0, 25.077203749999999, -99, 1568, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-09-16 00:00:00', 0, 23.857505799999998, -99, 2123, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-09-17 00:00:00', 0, 23.336746219999998, -99, 2124, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-09-18 00:00:00', 0, 21.891048430000001, -99, 2136, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-09-19 00:00:00', 0, 22.603065489999999, -99, 2127, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-09-20 00:00:00', 0, 22.91065025, -99, 2075, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-09-21 00:00:00', 0, 24.76233101, -99, 1978, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-09-22 00:00:00', 43.75, 22.479711529999999, -99, 356, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-09-23 00:00:00', 16.379999160000001, 20.13716316, -99, 283, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-09-24 00:00:00', 44.47000122, 19.61822128, -99, 824, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-09-25 00:00:00', 0, 19.402133939999999, -99, 1990, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-09-26 00:00:00', 0, 23.16088676, -99, 1871, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-09-27 00:00:00', 4.1300001139999996, 22.951387409999999, -99, 1942, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-09-28 00:00:00', 15.56999969, 23.56208801, -99, 1865, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-09-29 00:00:00', 0, 20.167545319999999, -99, 1947, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-09-30 00:00:00', 0, 21.386249540000001, -99, 1947, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-10-01 00:00:00', 0, 21.268781659999998, -99, 1957, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-10-02 00:00:00', 0, 21.769746779999998, -99, 1936, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-10-03 00:00:00', 0.01, 21.654312130000001, -99, 1910, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-10-04 00:00:00', 0, 21.12611961, -99, 1894, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-10-05 00:00:00', 0, 19.748157500000001, -99, 1891, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-10-06 00:00:00', 0, 20.542406079999999, -99, 1853, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-10-07 00:00:00', 0, 18.67380524, -99, 1878, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-10-08 00:00:00', 0, 17.85283089, -99, 1851, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-10-09 00:00:00', 0, 18.22757339, -99, 1798, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-10-10 00:00:00', 0, 19.4431324, -99, 1691, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-10-11 00:00:00', 0.029999998999999999, 19.55838013, -99, 1777, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-10-12 00:00:00', 0, 16.434974669999999, -99, 1800, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-10-13 00:00:00', 0, 17.836595540000001, -99, 1803, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-10-14 00:00:00', 0, 16.547492980000001, -99, 1771, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-10-15 00:00:00', 0, 16.582918169999999, -99, 1767, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-10-16 00:00:00', 0, 15.489181520000001, -99, 1639, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-10-17 00:00:00', 0, 16.51719666, -99, 1696, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-10-18 00:00:00', 0, 16.552949909999999, -99, 1679, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-10-19 00:00:00', 0, 15.89792347, -99, 1699, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-10-20 00:00:00', 0, 14.09860516, -99, 1718, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-10-21 00:00:00', 0, 13.67943859, -99, 1689, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-10-22 00:00:00', 0, 13.917324069999999, -99, 1662, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-10-23 00:00:00', 0, 13.780353549999999, -99, 1634, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-10-24 00:00:00', 0, 13.30164051, -99, 1627, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-10-25 00:00:00', 0, 12.474123000000001, -99, 1613, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-10-26 00:00:00', 0, 14.51787567, -99, 1558, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-10-27 00:00:00', 0, 14.25304317, -99, 1558, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-10-28 00:00:00', 0, 13.81611633, -99, 1564, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-10-29 00:00:00', 0, 14.37502003, -99, 1530, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-10-30 00:00:00', 0, 15.30128288, -99, 1488, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-10-31 00:00:00', 0, 15.3933897, -99, 1440, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-11-01 00:00:00', 0, 15.72854424, -99, 1334, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-11-02 00:00:00', 0, 16.774818419999999, -99, 1033, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-11-03 00:00:00', 0.61000001400000003, 16.905931469999999, -99, 892, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-11-04 00:00:00', 0, 13.78724003, -99, 1282, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-11-05 00:00:00', 0, 16.446342470000001, -99, 1461, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-11-06 00:00:00', 0, 11.4835577, -99, 1530, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-11-07 00:00:00', 0, 10.726336480000001, -99, 1526, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-11-08 00:00:00', 0, 9.6661729810000008, -99, 1445, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-11-09 00:00:00', 0, 10.90575218, -99, 1402, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-11-10 00:00:00', 0, 22.056344989999999, -99, 1388, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-11-11 00:00:00', 0, 11.66981983, -99, 861, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-11-12 00:00:00', 0.059999998999999998, 13.52546978, -99, 1024, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-11-13 00:00:00', 0.10000000100000001, 12.48390579, -99, 818, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-11-14 00:00:00', 0.20000000300000001, 14.105714799999999, -99, 809, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-11-15 00:00:00', 0, 12.756238939999999, -99, 1343, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-11-16 00:00:00', 0, 12.134700779999999, -99, 1355, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-11-17 00:00:00', 0, 10.53213596, -99, 1225, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-11-18 00:00:00', 0, 9.0999727250000007, -99, 1284, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-11-19 00:00:00', 0, 13.448025700000001, -99, 1269, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-11-20 00:00:00', 0, 12.111504549999999, -99, 1297, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-11-21 00:00:00', 0, 10.567345619999999, -99, 1314, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-11-22 00:00:00', 0, 9.5095882419999995, -99, 1239, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-11-23 00:00:00', 0, 10.435389519999999, -99, 1282, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-11-24 00:00:00', 0, 12.00465584, -99, 1281, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-11-25 00:00:00', 0, 8.605806351, -99, 1267, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-11-26 00:00:00', 0, 9.4607276920000007, -99, 1248, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-11-27 00:00:00', 0, 10.413648609999999, -99, 876, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-11-28 00:00:00', 0, 13.486134529999999, -99, 1191, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-11-29 00:00:00', 0, 10.1270752, -99, 888, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-11-30 00:00:00', 0, 10.17951298, -99, 1224, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-12-01 00:00:00', 0, 8.3717298509999996, -99, 1269, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-12-02 00:00:00', 0, 8.3331699369999992, -99, 1232, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-12-03 00:00:00', 0, 7.4404759409999999, -99, 1219, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-12-04 00:00:00', 0, 8.0725841519999992, -99, 1116, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-12-05 00:00:00', 0, 7.4301276209999996, -99, 1065, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-12-06 00:00:00', 0, 7.3099546430000002, -99, 1186, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-12-07 00:00:00', 0, 8.4640092849999995, -99, 1203, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-12-08 00:00:00', 0, 7.5176405910000001, -99, 1204, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-12-09 00:00:00', 0, 7.6865739819999996, -99, 1166, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-12-10 00:00:00', 3.3499999049999998, 8.0260686870000004, -99, 304, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-12-11 00:00:00', 0.37000000500000002, 8.8141288759999998, -99, 1121, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-12-12 00:00:00', 14.130000109999999, 10.88031387, -99, 488, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-12-13 00:00:00', 0, 6.7281951900000001, -99, 1157, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-12-14 00:00:00', 0, 7.539264202, -99, 1185, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-12-15 00:00:00', 0, 7.7397618289999999, -99, 1223, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-12-16 00:00:00', 0, 5.6582040789999999, -99, 1240, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-12-17 00:00:00', 0, 4.5889677999999998, -99, 1237, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-12-18 00:00:00', 0, 4.1605243679999999, -99, 1233, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-12-19 00:00:00', 0, 4.1807250979999999, -99, 1225, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-12-20 00:00:00', 0, 2.7263906000000002, -99, 1224, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-12-21 00:00:00', 0, 3.8148889540000002, -99, 1228, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-12-22 00:00:00', 0, 1.82242167, -99, 1213, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-12-23 00:00:00', 0, 3.7808682920000001, -99, 1006, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-12-24 00:00:00', 0, 2.7246823309999999, -99, 1174, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-12-25 00:00:00', 0, 3.1365587709999998, -99, 1124, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-12-26 00:00:00', 0, 2.6089193819999998, -99, 1193, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-12-27 00:00:00', 0, 2.1492290500000002, -99, 1188, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-12-28 00:00:00', 0, 5.0772614479999998, -99, 1201, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-12-29 00:00:00', 0, 2.817131281, -99, 1208, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-12-30 00:00:00', 0, 2.9299929140000001, -99, 1123, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-12-31 00:00:00', 0, 3.0099165440000002, -99, 1211, 'lud', 'lud_2018');
INSERT INTO public.cdy_cldat VALUES ('2019-01-01 00:00:00', 0, 4.1882071500000002, -99, 698, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-01-02 00:00:00', 0, 7.7033886909999998, -99, 1116, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-01-03 00:00:00', 0, 4.3072762490000001, -99, 1138, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-01-04 00:00:00', 0.029999998999999999, 7.2451128960000002, -99, 860, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-01-05 00:00:00', 0.34999999399999998, 7.9487862590000002, -99, 242, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-01-06 00:00:00', 0.14000000100000001, 9.8385543819999999, -99, 563, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-01-07 00:00:00', 0, 5.2812676429999996, -99, 1242, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-01-08 00:00:00', 0, 8.6570940019999991, -99, 1022, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-01-09 00:00:00', 0, 6.9773893359999999, -99, 1265, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-01-10 00:00:00', 0.02, 5.4252462389999998, -99, 1045, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-01-11 00:00:00', 0.01, 7.2355675699999997, -99, 1152, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-01-12 00:00:00', 0.37000000500000002, 6.9956197739999997, -99, 931, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-01-13 00:00:00', 0, 7.658181667, -99, 1293, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-01-14 00:00:00', 0, 5.0700063709999998, -99, 1345, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-01-15 00:00:00', 0, 6.0146613120000003, -99, 1277, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-01-16 00:00:00', 0, 4.0060219760000004, -99, 775, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-01-17 00:00:00', 0, 4.7561154370000001, -99, 1346, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-01-18 00:00:00', 0, 5.5099020000000003, -99, 808, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-01-19 00:00:00', 0, 8.1611280439999998, -99, 952, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-01-20 00:00:00', 0.10000000100000001, 8.7312784190000006, -99, 680, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-01-21 00:00:00', 3.3099999430000002, 10.938724519999999, -99, 172, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-01-22 00:00:00', 2.8199999330000001, 10.373523710000001, -99, 275, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-01-23 00:00:00', 0, 6.7454552650000004, -99, 1388, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-01-24 00:00:00', 0, 6.3909502030000001, -99, 1404, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-01-25 00:00:00', 0.01, 7.4341206550000001, -99, 1312, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-01-26 00:00:00', 0, 5.4721608159999997, -99, 1362, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-01-27 00:00:00', 0, 6.004623413, -99, 1416, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-01-28 00:00:00', 0, 5.5814929009999998, -99, 1519, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-01-29 00:00:00', 0, 5.4803447719999996, -99, 1524, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-01-30 00:00:00', 0.01, 8.0528583529999995, -99, 507, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-01-31 00:00:00', 0.40999999599999998, 6.8032088279999998, -99, 494, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-02-01 00:00:00', 0.37000000500000002, 8.7278566360000003, -99, 500, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-02-02 00:00:00', 0, 5.8583598139999999, -99, 1458, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-02-03 00:00:00', 0, 6.9319128990000003, -99, 1505, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-02-04 00:00:00', 0, 5.9163422580000002, -99, 1382, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-02-05 00:00:00', 0.02, 9.0996780400000006, -99, 1170, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-02-06 00:00:00', 0.40999999599999998, 9.1174440380000004, -99, 1078, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-02-07 00:00:00', 15.119999890000001, 12.14268017, -99, 391, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-02-08 00:00:00', 0, 7.2286634449999996, -99, 1567, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-02-09 00:00:00', 0, 7.6164112089999998, -99, 1628, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-02-10 00:00:00', 0, 8.0238256450000005, -99, 1502, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-02-11 00:00:00', 0, 9.7651147839999997, -99, 1525, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-02-12 00:00:00', 0, 10.67844582, -99, 786, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-02-13 00:00:00', 0, 9.0118112559999997, -99, 1259, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-02-14 00:00:00', 6.1900000569999998, 11.245604520000001, -99, 432, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-02-15 00:00:00', 0.059999998999999998, 12.333043099999999, -99, 881, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-02-16 00:00:00', 0, 11.554715160000001, -99, 1586, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-02-17 00:00:00', 0.070000000000000007, 10.72973633, -99, 587, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-02-18 00:00:00', 5.079999924, 8.6760959629999999, -99, 868, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-02-19 00:00:00', 0, 9.9726076129999992, -99, 1578, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-02-20 00:00:00', 6.5500001909999996, 12.87670898, -99, 919, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-02-21 00:00:00', 0.88999998599999997, 13.7698698, -99, 929, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-02-22 00:00:00', 0, 13.18780327, -99, 1748, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-02-23 00:00:00', 0, 9.1942872999999992, -99, 1700, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-02-24 00:00:00', 0, 8.6698274610000006, -99, 1851, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-02-25 00:00:00', 1.3300000430000001, 7.3234071729999997, -99, 1838, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-02-26 00:00:00', 8.9700002669999996, 8.8080701829999999, -99, 1768, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-02-27 00:00:00', 0.02, 10.00260448, -99, 1626, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-02-28 00:00:00', 0, 6.5020952220000003, -99, 1741, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-03-01 00:00:00', 0.01, 8.0539932249999993, -99, 1661, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-03-02 00:00:00', 4.7199997900000001, 12.39331245, -99, 468, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-03-03 00:00:00', 0.029999998999999999, 11.32933998, -99, 1293, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-03-04 00:00:00', 0, 12.3253994, -99, 1652, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-03-05 00:00:00', 0, 9.6992139819999998, -99, 1901, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-03-06 00:00:00', 0, 11.478910450000001, -99, 1923, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-03-07 00:00:00', 0, 8.9853610990000004, -99, 1942, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-03-08 00:00:00', 0.36000001399999998, 11.81703568, -99, 1080, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-03-09 00:00:00', 0, 10.680141450000001, -99, 1990, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-03-10 00:00:00', 0, 10.352141380000001, -99, 2014, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-03-11 00:00:00', 3.380000114, 12.448480610000001, -99, 483, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-03-12 00:00:00', 0, 8.8747730259999997, -99, 2059, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-03-13 00:00:00', 0.02, 11.48874569, -99, 1598, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-03-14 00:00:00', 1.1200000050000001, 12.169741630000001, -99, 1106, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-03-15 00:00:00', 0, 9.478497505, -99, 2073, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-03-16 00:00:00', 0, 12.488646510000001, -99, 2031, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-03-17 00:00:00', 0, 14.98383331, -99, 1716, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-03-18 00:00:00', 0, 12.17817116, -99, 2062, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-03-19 00:00:00', 0, 12.632394789999999, -99, 2092, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-03-20 00:00:00', 0.02, 14.842905999999999, -99, 2080, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-03-21 00:00:00', 0, 14.770587920000001, -99, 2172, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-03-22 00:00:00', 0, 13.85855198, -99, 2216, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-03-23 00:00:00', 0, 13.571961399999999, -99, 1349, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-03-24 00:00:00', 0, 14.33695412, -99, 933, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-03-25 00:00:00', 0, 15.06873131, -99, 1277, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-03-26 00:00:00', 0, 12.41898632, -99, 2261, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-03-27 00:00:00', 0, 14.33955383, -99, 2223, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-03-28 00:00:00', 0, 16.221689219999998, -99, 2167, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-03-29 00:00:00', 0, 17.807928090000001, -99, 2195, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-03-30 00:00:00', 0, 17.575193410000001, -99, 2285, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-03-31 00:00:00', 0, 17.41692162, -99, 2380, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-04-01 00:00:00', 0, 16.067604060000001, -99, 2318, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-04-02 00:00:00', 0, 13.86991405, -99, 2311, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-04-03 00:00:00', 0, 16.854225159999999, -99, 2202, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-04-04 00:00:00', 0, 17.811012269999999, -99, 2246, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-04-05 00:00:00', 0, 19.535079960000001, -99, 2189, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-04-06 00:00:00', 0.059999998999999998, 19.027236940000002, -99, 2260, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-04-07 00:00:00', 0.050000001000000002, 18.777730940000001, -99, 2300, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-04-08 00:00:00', 0.01, 20.463273999999998, -99, 2279, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-04-09 00:00:00', 0.039999999000000001, 18.24341583, -99, 2351, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-04-10 00:00:00', 0, 21.541707989999999, -99, 2256, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-04-11 00:00:00', 0, 22.139471050000001, -99, 2256, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-04-12 00:00:00', 0, 22.544118879999999, -99, 2304, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-04-13 00:00:00', 0.01, 19.888082499999999, -99, 1296, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-04-14 00:00:00', 0.029999998999999999, 20.498365400000001, -99, 2205, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-04-15 00:00:00', 2.170000076, 21.654617309999999, -99, 2281, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-04-16 00:00:00', 7.0599999430000002, 18.618326190000001, -99, 1383, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-04-17 00:00:00', 28.709999079999999, 18.189010620000001, -99, 647, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-04-18 00:00:00', 0, 15.044993399999999, -99, 2194, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-04-19 00:00:00', 0, 16.66674042, -99, 2444, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-04-20 00:00:00', 0, 19.16519547, -99, 2436, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-04-21 00:00:00', 0, 19.55830765, -99, 2474, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-04-22 00:00:00', 0, 20.723711009999999, -99, 2481, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-04-23 00:00:00', 0, 21.81633759, -99, 2485, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-04-24 00:00:00', 0.33000001299999998, 23.391309740000001, -99, 2455, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-04-25 00:00:00', 0.119999997, 22.295372010000001, -99, 2376, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-04-26 00:00:00', 0, 21.177532200000002, -99, 2513, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-04-27 00:00:00', 0, 22.44971275, -99, 2607, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-04-28 00:00:00', 0, 22.21828842, -99, 2594, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-04-29 00:00:00', 0.01, 22.32377052, -99, 2628, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-04-30 00:00:00', 0.219999999, 22.510030749999999, -99, 2247, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-05-01 00:00:00', 0, 23.557090760000001, -99, 2390, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-05-02 00:00:00', 1.9700000289999999, 21.652267460000001, -99, 1691, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-05-03 00:00:00', 0, 19.84463882, -99, 2500, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-05-04 00:00:00', 0, 20.74001312, -99, 2616, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-05-05 00:00:00', 0, 18.654796600000001, -99, 2512, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-05-06 00:00:00', 0, 20.824398039999998, -99, 2588, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-05-07 00:00:00', 0, 19.422664640000001, -99, 2544, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-05-08 00:00:00', 0, 22.135379790000002, -99, 2603, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-05-09 00:00:00', 0, 21.265340810000001, -99, 2559, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-05-10 00:00:00', 3.4900000100000002, 24.900409700000001, -99, 2398, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-05-11 00:00:00', 0, 23.098270419999999, -99, 1948, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-05-12 00:00:00', 0.029999998999999999, 21.497306819999999, -99, 2506, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-05-13 00:00:00', 4.4699997900000001, 21.655157089999999, -99, 1252, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-05-14 00:00:00', 0, 21.49919701, -99, 2499, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-05-15 00:00:00', 0.15000000599999999, 22.513828279999998, -99, 1820, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-05-16 00:00:00', 0.01, 21.168087010000001, -99, 2153, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-05-17 00:00:00', 2.5299999710000001, 22.951042180000002, -99, 457, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-05-18 00:00:00', 0, 20.803548809999999, -99, 2515, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-05-19 00:00:00', 0, 22.900379180000002, -99, 2608, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-05-20 00:00:00', 0.01, 23.259668349999998, -99, 2554, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-05-21 00:00:00', 0, 24.524400709999998, -99, 2644, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-05-22 00:00:00', 0.109999999, 24.225643160000001, -99, 2399, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-05-23 00:00:00', 0.69999998799999996, 25.0503006, -99, 1109, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-05-24 00:00:00', 9.7399997710000008, 21.067922589999998, -99, 2104, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-05-25 00:00:00', 0, 21.081621169999998, -99, 2599, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-05-26 00:00:00', 0, 21.640768049999998, -99, 2628, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-05-27 00:00:00', 0, 23.716577529999999, -99, 2702, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-05-28 00:00:00', 0, 22.984523769999999, -99, 2720, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-05-29 00:00:00', 0, 26.093418119999999, -99, 2688, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-05-30 00:00:00', 0, 25.432001110000002, -99, 2701, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-05-31 00:00:00', 0, 27.157245639999999, -99, 2671, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-06-01 00:00:00', 0, 28.350156779999999, -99, 2572, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-06-02 00:00:00', 0, 28.35962868, -99, 2544, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-06-03 00:00:00', 0.75, 29.34587479, -99, 2517, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-06-04 00:00:00', 0, 25.280258180000001, -99, 2203, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-06-05 00:00:00', 0, 26.984529500000001, -99, 2404, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-06-06 00:00:00', 0.280000001, 29.08140564, -99, 2571, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-06-07 00:00:00', 0, 23.898273469999999, -99, 2584, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-06-08 00:00:00', 0, 24.540765759999999, -99, 2551, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-06-09 00:00:00', 0, 25.926889419999998, -99, 2578, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-06-10 00:00:00', 0, 26.936025619999999, -99, 2609, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-06-11 00:00:00', 0.12999999500000001, 26.767408369999998, -99, 2424, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-06-12 00:00:00', 0.94999998799999996, 30.426113130000001, -99, 2322, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-06-13 00:00:00', 0, 20.833225250000002, -99, 2551, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-06-14 00:00:00', 0, 27.4458828, -99, 2626, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-06-15 00:00:00', 1.5900000329999999, 25.560554499999999, -99, 2562, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-06-16 00:00:00', 0, 24.887001040000001, -99, 2515, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-06-17 00:00:00', 8.7700004580000002, 27.748338700000001, -99, 2547, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-06-18 00:00:00', 0, 22.151054380000001, -99, 2079, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-06-19 00:00:00', 0, 25.404499049999998, -99, 2542, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-06-20 00:00:00', 0.50999998999999996, 26.606279369999999, -99, 1278, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-06-21 00:00:00', 0, 23.563880919999999, -99, 2552, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-06-22 00:00:00', 0, 25.78410912, -99, 2467, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-06-23 00:00:00', 0.15999999600000001, 28.065845490000001, -99, 2524, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-06-24 00:00:00', 1.3400000329999999, 27.88614845, -99, 835, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-06-25 00:00:00', 0, 24.874593730000001, -99, 2378, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-06-26 00:00:00', 0, 27.309335709999999, -99, 2566, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-06-27 00:00:00', 0, 27.79965782, -99, 2538, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-06-28 00:00:00', 0, 27.166299819999999, -99, 2545, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-06-29 00:00:00', 0.02, 29.068647380000002, -99, 2541, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-06-30 00:00:00', 0.41999998700000002, 28.344150540000001, -99, 2491, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-07-01 00:00:00', 0.01, 27.695871350000001, -99, 2531, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-07-02 00:00:00', 0, 26.948608400000001, -99, 2571, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-07-03 00:00:00', 0.01, 29.360862730000001, -99, 2393, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-07-04 00:00:00', 5.2300000190000002, 29.95505524, -99, 2365, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-07-05 00:00:00', 0.689999998, 26.771306989999999, -99, 1950, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-07-06 00:00:00', 11.27999973, 28.438007349999999, -99, 1649, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-07-07 00:00:00', 0.36000001399999998, 27.505512240000002, -99, 2426, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-07-08 00:00:00', 2.4800000190000002, 28.996421810000001, -99, 1842, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-07-09 00:00:00', 12.630000109999999, 25.157907489999999, -99, 1543, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-07-10 00:00:00', 1.460000038, 25.729162219999999, -99, 2348, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-07-11 00:00:00', 13.25, 28.82960701, -99, 2101, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-07-12 00:00:00', 0.75, 24.013174060000001, -99, 1632, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-07-13 00:00:00', 10.630000109999999, 21.62837219, -99, 2036, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-07-14 00:00:00', 32.569999690000003, 23.051158910000002, -99, 963, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-07-15 00:00:00', 38.479999540000001, 23.594997410000001, -99, 1850, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-07-16 00:00:00', 12.65999985, 23.507684709999999, -99, 1117, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-07-17 00:00:00', 0.039999999000000001, 24.286172870000001, -99, 2117, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-07-18 00:00:00', 0.15000000599999999, 25.84308815, -99, 2161, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-07-19 00:00:00', 4.5100002290000001, 25.072286609999999, -99, 2023, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-07-20 00:00:00', 2.6099998950000001, 27.046016689999998, -99, 2130, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-07-21 00:00:00', 2.4300000669999999, 26.539884570000002, -99, 2225, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-07-22 00:00:00', 0.25, 27.561187740000001, -99, 2225, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-07-23 00:00:00', 3.9900000100000002, 28.593687060000001, -99, 2281, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-07-24 00:00:00', 0.25999999000000001, 29.002561570000001, -99, 2156, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-07-25 00:00:00', 6.6599998469999999, 26.644321439999999, -99, 693, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-07-26 00:00:00', 2.369999886, 25.870294569999999, -99, 1237, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-07-27 00:00:00', 9.6499996190000008, 26.393426900000001, -99, 1048, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-07-28 00:00:00', 10.64000034, 25.26662636, -99, 1746, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-07-29 00:00:00', 0, 27.293563840000001, -99, 2153, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-07-30 00:00:00', 2.7200000289999999, 28.44993401, -99, 1576, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-07-31 00:00:00', 0.519999981, 25.652046200000001, -99, 671, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-08-01 00:00:00', 14.77999973, 26.29654884, -99, 786, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-08-02 00:00:00', 15.93999958, 23.373973849999999, -99, 1481, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-08-03 00:00:00', 0.01, 25.66160202, -99, 2001, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-08-04 00:00:00', 0.01, 27.022253039999999, -99, 2371, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-08-05 00:00:00', 0.30000001199999998, 28.15712547, -99, 2337, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-08-06 00:00:00', 2.6800000669999999, 27.36962509, -99, 1460, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-08-07 00:00:00', 0.029999998999999999, 26.49155807, -99, 2310, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-08-08 00:00:00', 3.1500000950000002, 27.847373959999999, -99, 2353, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-08-09 00:00:00', 2.5499999519999998, 27.766220090000001, -99, 375, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-08-10 00:00:00', 0, 26.333955759999998, -99, 1998, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-08-11 00:00:00', 1.690000057, 26.756654739999998, -99, 2191, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-08-12 00:00:00', 1.6100000139999999, 28.243640899999999, -99, 1452, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-08-13 00:00:00', 0, 24.398227689999999, -99, 838, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-08-14 00:00:00', 0.059999998999999998, 25.927972789999998, -99, 1897, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-08-15 00:00:00', 16.940000529999999, 27.865215299999999, -99, 1896, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-08-16 00:00:00', 20.350000380000001, 26.65891457, -99, 1573, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-08-17 00:00:00', 51.790000919999997, 25.990737920000001, -99, 337, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-08-18 00:00:00', 2.8900001049999999, 21.795509339999999, -99, 2233, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-08-19 00:00:00', 0.790000021, 24.829105380000001, -99, 2106, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-08-20 00:00:00', 0, 25.02318382, -99, 2369, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-08-21 00:00:00', 0, 25.391511919999999, -99, 2358, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-08-22 00:00:00', 3.2000000480000002, 26.59646034, -99, 2305, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-08-23 00:00:00', 5.4499998090000004, 26.265645979999999, -99, 2281, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-08-24 00:00:00', 3.0299999710000001, 27.243638990000001, -99, 2205, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-08-25 00:00:00', 18.979999540000001, 25.442220689999999, -99, 1872, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-08-26 00:00:00', 0, 25.857355120000001, -99, 1892, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-08-27 00:00:00', 0.44999998800000002, 26.920133589999999, -99, 2113, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-08-28 00:00:00', 0.189999998, 27.62266159, -99, 2200, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-08-29 00:00:00', 0.280000001, 27.480348589999998, -99, 2155, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-08-30 00:00:00', 0, 26.350355149999999, -99, 1963, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-08-31 00:00:00', 3.710000038, 27.021078110000001, -99, 2016, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-09-01 00:00:00', 5.2699999809999998, 27.87847137, -99, 896, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-09-02 00:00:00', 0, 25.581562040000001, -99, 2042, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-09-03 00:00:00', 1.6000000240000001, 27.120944980000001, -99, 2070, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-09-04 00:00:00', 22.649999619999999, 23.14187622, -99, 1967, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-09-05 00:00:00', 6.3600001339999999, 22.511707309999998, -99, 2093, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-09-06 00:00:00', 0.119999997, 26.446683879999998, -99, 1983, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-09-07 00:00:00', 0, 27.037769319999999, -99, 1910, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-09-08 00:00:00', 0, 27.217206950000001, -99, 2032, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-09-09 00:00:00', 0, 26.399354930000001, -99, 2135, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-09-10 00:00:00', 0, 27.20162582, -99, 2083, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-09-11 00:00:00', 0, 27.89325333, -99, 2082, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-09-12 00:00:00', 0, 27.735694890000001, -99, 1919, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-09-13 00:00:00', 0, 24.839405060000001, -99, 2030, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-09-14 00:00:00', 0, 26.3832016, -99, 1863, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-09-15 00:00:00', 0, 26.2478981, -99, 1886, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-09-16 00:00:00', 0.689999998, 24.039718629999999, -99, 1960, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-09-17 00:00:00', 0, 25.1696682, -99, 2087, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-09-18 00:00:00', 0, 24.74598503, -99, 1522, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-09-19 00:00:00', 0, 24.725746149999999, -99, 957, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-09-20 00:00:00', 0.059999998999999998, 23.4500885, -99, 1691, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-09-21 00:00:00', 0, 22.86497116, -99, 2012, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-09-22 00:00:00', 0.77999997099999996, 23.81474686, -99, 1788, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-09-23 00:00:00', 0, 22.27598953, -99, 1948, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-09-24 00:00:00', 0, 23.78419495, -99, 1848, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-09-25 00:00:00', 1, 24.55267143, -99, 1821, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-09-26 00:00:00', 0.72000002900000004, 25.089765549999999, -99, 1570, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-09-27 00:00:00', 6.7300000190000002, 22.05530357, -99, 1656, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-09-28 00:00:00', 18.600000380000001, 23.500406269999999, -99, 990, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-09-29 00:00:00', 7.8800001139999996, 21.95035553, -99, 1059, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-09-30 00:00:00', 0.81999999300000004, 21.432781219999999, -99, 1427, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-10-01 00:00:00', 0, 21.450838090000001, -99, 1692, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-10-02 00:00:00', 0, 20.843925479999999, -99, 1790, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-10-03 00:00:00', 0.56999999300000004, 21.610651019999999, -99, 1679, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-10-04 00:00:00', 0.029999998999999999, 18.757135389999998, -99, 1371, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-10-05 00:00:00', 0, 18.991342540000002, -99, 1829, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-10-06 00:00:00', 0, 19.722654339999998, -99, 1212, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-10-07 00:00:00', 0, 21.19660378, -99, 1819, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-10-08 00:00:00', 0, 19.838880540000002, -99, 1828, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-10-09 00:00:00', 0.02, 18.974639889999999, -99, 1802, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-10-10 00:00:00', 0, 17.753755569999999, -99, 1797, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-10-11 00:00:00', 0, 19.72663498, -99, 1787, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-10-12 00:00:00', 0, 19.374784470000002, -99, 1738, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-10-13 00:00:00', 0, 19.587612149999998, -99, 1741, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-10-14 00:00:00', 0, 20.45701408, -99, 1710, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-10-15 00:00:00', 0, 20.23027802, -99, 1682, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-10-16 00:00:00', 0, 20.174171449999999, -99, 1611, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-10-17 00:00:00', 0.029999998999999999, 20.05746078, -99, 1589, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-10-18 00:00:00', 0.10000000100000001, 18.68034935, -99, 1535, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-10-19 00:00:00', 0, 16.613925930000001, -99, 1661, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-10-20 00:00:00', 0, 17.222682949999999, -99, 1401, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-10-21 00:00:00', 0, 15.87816143, -99, 1677, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-10-22 00:00:00', 0, 16.609952929999999, -99, 1673, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-10-23 00:00:00', 0, 15.40581703, -99, 1620, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-10-24 00:00:00', 0, 16.039627079999999, -99, 1599, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-10-25 00:00:00', 0, 16.437454219999999, -99, 1568, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-10-26 00:00:00', 0, 16.309610370000001, -99, 1555, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-10-27 00:00:00', 0, 15.79842949, -99, 1560, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-10-28 00:00:00', 0, 15.25921535, -99, 1527, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-10-29 00:00:00', 0, 16.07530212, -99, 1508, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-10-30 00:00:00', 0, 17.877893449999998, -99, 1402, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-10-31 00:00:00', 0, 16.40662575, -99, 1479, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-11-01 00:00:00', 0, 15.493407250000001, -99, 1327, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-11-02 00:00:00', 0, 16.32870483, -99, 745, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-11-03 00:00:00', 0.070000000000000007, 16.51403809, -99, 1189, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-11-04 00:00:00', 0, 15.878487590000001, -99, 1473, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-11-05 00:00:00', 0, 16.014499659999998, -99, 1477, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-11-06 00:00:00', 1.2000000479999999, 14.10282803, -99, 1359, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-11-07 00:00:00', 4.9400000569999998, 17.212608339999999, -99, 752, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-11-08 00:00:00', 1.1100000139999999, 13.824224470000001, -99, 1413, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-11-09 00:00:00', 0, 13.728958130000001, -99, 1435, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-11-10 00:00:00', 0, 11.54240227, -99, 1412, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-11-11 00:00:00', 0, 11.34842587, -99, 1013, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-11-12 00:00:00', 0, 11.779866220000001, -99, 978, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-11-13 00:00:00', 0, 12.779707910000001, -99, 598, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-11-14 00:00:00', 1.0700000519999999, 15.50192642, -99, 393, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-11-15 00:00:00', 0.30000001199999998, 16.606618879999999, -99, 1005, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-11-16 00:00:00', 3, 16.75435448, -99, 496, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-11-17 00:00:00', 0, 13.561724659999999, -99, 1333, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-11-18 00:00:00', 0, 13.573390959999999, -99, 1328, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-11-19 00:00:00', 0, 10.82494545, -99, 1203, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-11-20 00:00:00', 0, 10.340370180000001, -99, 988, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-11-21 00:00:00', 0, 9.4088172910000001, -99, 738, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-11-22 00:00:00', 0.14000000100000001, 12.573707580000001, -99, 372, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-11-23 00:00:00', 0, 15.61852741, -99, 1206, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-11-24 00:00:00', 0, 12.822618479999999, -99, 1234, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-11-25 00:00:00', 0, 9.9357891079999998, -99, 1205, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-11-26 00:00:00', 28.209999079999999, 13.124920850000001, -99, 797, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-11-27 00:00:00', 6.1900000569999998, 14.539356229999999, -99, 784, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-11-28 00:00:00', 0.109999999, 15.11113834, -99, 841, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-11-29 00:00:00', 0, 12.78393078, -99, 1140, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-11-30 00:00:00', 0, 12.319248200000001, -99, 1212, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-12-01 00:00:00', 0, 9.9669904710000008, -99, 1256, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-12-02 00:00:00', 0, 8.0475025179999999, -99, 1263, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-12-03 00:00:00', 0, 7.5629715920000002, -99, 1283, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-12-04 00:00:00', 0, 6.1627731319999999, -99, 1217, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-12-05 00:00:00', 0, 5.1819324489999996, -99, 1215, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-12-06 00:00:00', 0, 7.6310863490000003, -99, 1256, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-12-07 00:00:00', 0, 8.1686849590000001, -99, 1243, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-12-08 00:00:00', 0, 6.9196128850000003, -99, 1229, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-12-09 00:00:00', 0, 7.5981011389999997, -99, 803, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-12-10 00:00:00', 0, 6.6486659049999997, -99, 1012, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-12-11 00:00:00', 0.02, 4.2883157729999999, -99, 863, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-12-12 00:00:00', 10.100000380000001, 12.292348860000001, -99, 240, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-12-13 00:00:00', 9.4600000380000004, 12.84770775, -99, 75, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-12-14 00:00:00', 0, 9.7499284740000007, -99, 858, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-12-15 00:00:00', 0, 8.8664722440000006, -99, 1160, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-12-16 00:00:00', 0, 9.4196300510000004, -99, 810, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-12-17 00:00:00', 0, 10.05321884, -99, 820, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-12-18 00:00:00', 0, 7.3478054999999998, -99, 756, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-12-19 00:00:00', 0, 6.9653158189999997, -99, 494, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-12-20 00:00:00', 0.039999999000000001, 8.9646129610000003, -99, 569, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-12-21 00:00:00', 0, 7.166042805, -99, 894, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-12-22 00:00:00', 0, 5.2928638460000004, -99, 610, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-12-23 00:00:00', 0, 7.5403008460000001, -99, 597, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-12-24 00:00:00', 0, 7.3295927049999996, -99, 485, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-12-25 00:00:00', 0, 5.5318222050000001, -99, 412, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-12-26 00:00:00', 0, 6.4183039669999999, -99, 480, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-12-27 00:00:00', 0, 5.696063519, -99, 398, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-12-28 00:00:00', 0, 5.4226174350000003, -99, 470, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-12-29 00:00:00', 0, 4.2092189790000001, -99, 893, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-12-30 00:00:00', 0, 4.380250931, -99, 536, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-12-31 00:00:00', 0, 4.0598187450000003, -99, 907, 'lud', 'lud_2019');
INSERT INTO public.cdy_cldat VALUES ('1983-07-01 00:00:00', 0.029999998999999999, 8.9166221619999995, -99, 1411, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-07-02 00:00:00', 2.2000000480000002, 9.5489511490000005, -99, 734, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-07-03 00:00:00', 0.209999993, 6.1812286380000003, -99, 1296, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-07-04 00:00:00', 0, 11.9649868, -99, 2077, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-07-05 00:00:00', 0, 10.31920242, -99, 2520, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-07-06 00:00:00', 0, 11.963786130000001, -99, 2578, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-07-07 00:00:00', 0, 14.802626610000001, -99, 2034, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-07-08 00:00:00', 0.039999999000000001, 15.09422112, -99, 1019, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-07-09 00:00:00', 0, 16.428371429999999, -99, 1937, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-07-10 00:00:00', 0, 13.50632858, -99, 2657, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-07-11 00:00:00', 0, 14.70967007, -99, 2743, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-07-12 00:00:00', 0, 14.28821087, -99, 2142, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-07-13 00:00:00', 0, 13.90087509, -99, 1894, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-07-14 00:00:00', 0, 12.170171740000001, -99, 2189, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-07-15 00:00:00', 0.029999998999999999, 10.787644390000001, -99, 1674, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-07-16 00:00:00', 0, 12.517590520000001, -99, 2016, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-07-17 00:00:00', 4.0199999809999998, 8.2155075069999999, -99, 2311, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-07-18 00:00:00', 2.6400001049999999, 15.095026020000001, -99, 1631, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-07-19 00:00:00', 0.050000001000000002, 11.744651790000001, -99, 1861, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-07-20 00:00:00', 0, 7.5160808560000003, -99, 1858, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-07-21 00:00:00', 0, 6.0463285449999997, -99, 2030, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-07-22 00:00:00', 0, 12.82881641, -99, 2560, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-07-23 00:00:00', 0, 8.7757720950000007, -99, 2286, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-07-24 00:00:00', 0, 14.029458050000001, -99, 2430, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-07-25 00:00:00', 0, 14.098131179999999, -99, 2614, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-07-26 00:00:00', 0.87999999500000003, 14.40346813, -99, 1804, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-07-27 00:00:00', 0, 17.077068329999999, -99, 2041, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-07-28 00:00:00', 1.6699999569999999, 14.80506134, -99, 1688, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-07-29 00:00:00', 0.689999998, 12.8024416, -99, 1026, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-07-30 00:00:00', 0, 13.379063609999999, -99, 1840, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-07-31 00:00:00', 0, 9.5549716950000008, -99, 2146, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-08-01 00:00:00', 1, 16.482759479999999, -99, 1220, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-08-02 00:00:00', 4.2699999809999998, 11.509168620000001, -99, 1501, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-08-03 00:00:00', 0, 7.051721573, -99, 2218, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-08-04 00:00:00', 0.029999998999999999, 7.4249029159999997, -99, 1310, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-08-05 00:00:00', 0, 8.4508647920000008, -99, 1692, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-08-06 00:00:00', 0, 15.0823307, -99, 1145, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-08-07 00:00:00', 0, 11.221097950000001, -99, 1184, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-08-08 00:00:00', 0, 11.9543438, -99, 1753, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-08-09 00:00:00', 0, 10.43455696, -99, 1753, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-08-10 00:00:00', 0, 10.079594609999999, -99, 2066, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-08-11 00:00:00', 0.10000000100000001, 8.6576538089999993, -99, 2516, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-08-12 00:00:00', 0.439999998, 13.96941376, -99, 835, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-08-13 00:00:00', 0, 9.8746395109999998, -99, 1901, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-08-14 00:00:00', 0, 8.3009815220000007, -99, 1919, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-08-15 00:00:00', 0, 14.645128250000001, -99, 1483, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-08-16 00:00:00', 7.9099998469999999, 14.292720790000001, -99, 1184, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-08-17 00:00:00', 0.079999998000000003, 9.7727289200000005, -99, 1490, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-08-18 00:00:00', 0, 5.652536392, -99, 1962, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-08-19 00:00:00', 0, 9.6999759670000003, -99, 2156, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-08-20 00:00:00', 0, 15.282728199999999, -99, 1717, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-08-21 00:00:00', 0, 16.699743269999999, -99, 2095, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-08-22 00:00:00', 0, 15.59210777, -99, 1544, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-08-23 00:00:00', 0, 15.41140747, -99, 1037, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-08-24 00:00:00', 0, 12.960816380000001, -99, 1800, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-08-25 00:00:00', 0, 13.434155459999999, -99, 1721, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-08-26 00:00:00', 0, 7.6708889009999996, -99, 1069, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-08-27 00:00:00', 0, 13.3713274, -99, 2070, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-08-28 00:00:00', 0, 11.44250298, -99, 1958, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-08-29 00:00:00', 0, 6.7818064690000002, -99, 1980, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-08-30 00:00:00', 0, 6.1508674619999999, -99, 1397, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-08-31 00:00:00', 0, 4.6616802220000002, -99, 1728, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-09-01 00:00:00', 2.5, 14.164015770000001, -99, 1915, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-09-02 00:00:00', 0.55000001200000004, 15.578240389999999, -99, 1170, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-09-03 00:00:00', 10.149999619999999, 15.21758842, -99, 842, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-09-04 00:00:00', 10.77999973, 13.29537296, -99, 1249, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-09-05 00:00:00', 7.8000001909999996, 13.29266739, -99, 734, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-09-06 00:00:00', 10.989999770000001, 10.591600420000001, -99, 1026, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-09-07 00:00:00', 2.5599999430000002, 7.3196911809999996, -99, 1112, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-09-08 00:00:00', 6.0300002099999999, 9.9338150019999993, -99, 900, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-09-09 00:00:00', 2.8099999430000002, 10.48684883, -99, 727, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-09-10 00:00:00', 18.280000690000001, 9.8507127759999999, -99, 410, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-09-11 00:00:00', 2.3399999139999998, 10.3334341, -99, 1037, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-09-12 00:00:00', 10.15999985, 8.6445827479999995, -99, 551, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-09-13 00:00:00', 6.0900001530000001, 10.23173046, -99, 936, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-09-14 00:00:00', 2.789999962, 10.310262679999999, -99, 986, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-09-15 00:00:00', 9.6999998089999995, 10.19560719, -99, 328, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-09-16 00:00:00', 0.75, 11.681129459999999, -99, 774, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-09-17 00:00:00', 5.7899999619999996, 9.9452705380000008, -99, 958, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-09-18 00:00:00', 4.75, 10.50102425, -99, 439, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-09-19 00:00:00', 0.27000001099999998, 10.349129680000001, -99, 1310, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-09-20 00:00:00', 0.34999999399999998, 10.35204315, -99, 1231, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-09-21 00:00:00', 14.27000046, 9.8778915410000003, -99, 666, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-09-22 00:00:00', 0.219999999, 9.5849447249999997, -99, 1109, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-09-23 00:00:00', 0, 5.0304169649999997, -99, 929, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-09-24 00:00:00', 0.18000000699999999, 7.8119077680000002, -99, 688, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-09-25 00:00:00', 0, 5.2205314639999996, -99, 954, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-09-26 00:00:00', 0, 9.5019617079999996, -99, 875, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-09-27 00:00:00', 0, 13.616801260000001, -99, 1094, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-09-28 00:00:00', 0, 10.903953550000001, -99, 1361, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-09-29 00:00:00', 0.090000003999999995, 6.7763562200000003, -99, 731, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-09-30 00:00:00', 0, 7.7678189279999996, -99, 1400, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-10-01 00:00:00', 1.2599999900000001, -0.55351376500000005, -99, 1192, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-10-02 00:00:00', 1.210000038, 6.4454298019999996, -99, 346, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-10-03 00:00:00', 0.93000000699999996, 12.161521909999999, -99, 392, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-10-04 00:00:00', 0.23000000400000001, 13.12539482, -99, 796, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-10-05 00:00:00', 6.9000000950000002, 14.448374749999999, -99, 886, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-10-06 00:00:00', 1.9299999480000001, 10.28751945, -99, 871, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-10-07 00:00:00', 8.7200002669999996, 6.2521643640000004, -99, 310, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-10-08 00:00:00', 9.6899995800000003, 6.2975120540000002, -99, 792, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-10-09 00:00:00', 0.87000000499999997, 3.1742975709999999, -99, 868, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-10-10 00:00:00', 15, 3.0482048989999999, -99, 173, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-10-11 00:00:00', 8.3800001139999996, 8.0433549880000008, -99, 511, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-10-12 00:00:00', 4.1399998660000001, 6.7555227279999999, -99, 544, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-10-13 00:00:00', 0.25, 10.19033432, -99, 583, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-10-14 00:00:00', 0.44999998800000002, 10.103677749999999, -99, 756, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-10-15 00:00:00', 3.9100000860000002, 7.3449549669999996, -99, 536, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-10-16 00:00:00', 14.739999770000001, 9.4392127989999999, -99, 536, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-10-17 00:00:00', 6.1500000950000002, 8.4293441770000008, -99, 529, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-10-18 00:00:00', 8.1400003430000005, 5.7053484919999997, -99, 295, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-10-19 00:00:00', 4.4800000190000002, 10.67490482, -99, 511, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-10-20 00:00:00', 5.1999998090000004, 5.3464083670000004, -99, 569, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-10-21 00:00:00', 0, 3.4368345740000001, -99, 634, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-10-22 00:00:00', 0, 3.7665665150000001, -99, 295, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-10-23 00:00:00', 0.10000000100000001, 7.8950686450000003, -99, 662, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-10-24 00:00:00', 0.12999999500000001, 6.168999672, -99, 688, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-10-25 00:00:00', 9.1599998469999999, 1.4839301110000001, -99, 245, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-10-26 00:00:00', 0, 7.3751363750000003, -99, 594, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-10-27 00:00:00', 2.9000000950000002, 9.8993473049999992, -99, 270, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-10-28 00:00:00', 0.23000000400000001, 4.7941827769999996, -99, 454, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-10-29 00:00:00', 0, -0.50741767900000001, -99, 576, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-10-30 00:00:00', 3.0299999710000001, 1.64767313, -99, 292, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-10-31 00:00:00', 0.40000000600000002, 7.0749421119999996, -99, 378, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-11-01 00:00:00', 0.959999979, 7.2740898129999998, -99, 277, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-11-02 00:00:00', 0, 6.5257601740000002, -99, 562, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-11-03 00:00:00', 0.14000000100000001, 3.9056236740000001, -99, 281, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-11-04 00:00:00', 0.25999999000000001, 5.7328152660000002, -99, 176, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-11-05 00:00:00', 0.52999997099999996, 6.5904979709999996, -99, 266, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-11-06 00:00:00', 0, 4.8975954059999998, -99, 472, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-11-07 00:00:00', 0, 8.7332677840000006, -99, 274, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-11-08 00:00:00', 0, 6.2064471240000003, -99, 256, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-11-09 00:00:00', 0.43000000700000002, 4.1789784430000001, -99, 396, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-11-10 00:00:00', 0, 8.1492061610000004, -99, 292, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-11-11 00:00:00', 0, 3.3782343859999999, -99, 504, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-11-12 00:00:00', 0, -3.6120681760000002, -99, 403, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-11-13 00:00:00', 0, -3.0457289219999999, -99, 443, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-11-14 00:00:00', 3.8900001049999999, -6.1492347719999998, -99, 216, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-11-15 00:00:00', 0, 4.8816938399999996, -99, 378, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-11-16 00:00:00', 0.039999999000000001, -1.835635066, -99, 346, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-11-17 00:00:00', 0.33000001299999998, -2.690378666, -99, 256, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-11-18 00:00:00', 0.280000001, 2.225760937, -99, 320, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-11-19 00:00:00', 3.9500000480000002, -2.4925799369999999, -99, 173, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-11-20 00:00:00', 0.43000000700000002, 5.9065046309999998, -99, 295, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-11-21 00:00:00', 0.059999998999999998, 0.34151372299999999, -99, 306, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-11-22 00:00:00', 2.75, -2.9260029790000002, -99, 317, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-11-23 00:00:00', 0, -0.51219743500000003, -99, 259, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-11-24 00:00:00', 0, -0.41524404300000001, -99, 292, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-11-25 00:00:00', 16.420000080000001, -1.139214993, -99, 119, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-11-26 00:00:00', 4.8800001139999996, 8.1714944840000001, -99, 302, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-11-27 00:00:00', 18.719999309999999, 7.8275470729999999, -99, 158, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-11-28 00:00:00', 0, 0.57788455500000002, -99, 158, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-11-29 00:00:00', 3.1900000569999998, 0.022363656999999999, -99, 79, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-11-30 00:00:00', 0, -4.1882834430000004, -99, 248, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-12-01 00:00:00', 0, -9.5755119319999995, -99, 198, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-12-02 00:00:00', 0, -4.6838369369999997, -99, 151, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-12-03 00:00:00', 0.039999999000000001, -2.2107219699999998, -99, 216, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-12-04 00:00:00', 0.109999999, 2.5266444680000002, -99, 223, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-12-05 00:00:00', 0.15000000599999999, 3.1242115500000001, -99, 166, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-12-06 00:00:00', 0.18000000699999999, 1.1847398280000001, -99, 227, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-12-07 00:00:00', 0.02, -0.77705532300000002, -99, 299, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-12-08 00:00:00', 4.0500001909999996, -1.8043911459999999, -99, 104, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-12-09 00:00:00', 18.969999309999999, 5.0537166600000001, -99, 112, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-12-10 00:00:00', 0.02, -0.38077706099999997, -99, 263, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-12-11 00:00:00', 0, -8.1672506330000001, -99, 270, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-12-12 00:00:00', 0, -7.2522783280000001, -99, 112, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-12-13 00:00:00', 0, -7.2848157880000004, -99, 212, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-12-14 00:00:00', 0, -5.4731664660000003, -99, 112, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-12-15 00:00:00', 0, -6.0923275950000004, -99, 248, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-12-16 00:00:00', 0, -5.1667995449999999, -99, 256, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-12-17 00:00:00', 0.30000001199999998, -4.2196784020000004, -99, 104, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-12-18 00:00:00', 1.9700000289999999, -1.190966964, -99, 101, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-12-19 00:00:00', 11.100000380000001, 0.25504368500000002, -99, 101, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-12-20 00:00:00', 1.2999999520000001, 1.1845648289999999, -99, 108, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-12-21 00:00:00', 2.4800000190000002, 2.8218855860000001, -99, 104, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-12-22 00:00:00', 4.8000001909999996, 2.3553211690000002, -99, 101, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-12-23 00:00:00', 0.38999998600000002, 5.0081696510000002, -99, 198, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-12-24 00:00:00', 8.3599996569999995, -0.621455431, -99, 104, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-12-25 00:00:00', 0.20000000300000001, 0.64062708599999996, -99, 158, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-12-26 00:00:00', 0, 4.5803985599999999, -99, 205, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-12-27 00:00:00', 8, -0.25051632499999998, -99, 144, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-12-28 00:00:00', 0.709999979, 7.6361813549999997, -99, 137, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-12-29 00:00:00', 1.7200000289999999, 2.0649178030000002, -99, 151, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-12-30 00:00:00', 0.97000002900000004, 4.3348584179999996, -99, 230, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1983-12-31 00:00:00', 6.8499999049999998, 2.8491110800000001, -99, 108, 'ask', 'ask_1983');
INSERT INTO public.cdy_cldat VALUES ('1984-01-01 00:00:00', 0.63999998599999997, 6.4447383880000002, -99, 194, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-01-02 00:00:00', 17.920000080000001, 2.569216967, -99, 155, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-01-03 00:00:00', 2.6800000669999999, 3.1118137840000002, -99, 158, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-01-04 00:00:00', 0.34000000400000002, 1.6353234050000001, -99, 205, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-01-05 00:00:00', 3.75, 0.23439338800000001, -99, 101, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-01-06 00:00:00', 2.4100000860000002, 2.4786503309999999, -99, 176, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-01-07 00:00:00', 11.40999985, 1.8305041790000001, -99, 115, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-01-08 00:00:00', 0.5, 1.182358027, -99, 130, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-01-09 00:00:00', 0, -1.0439021589999999, -99, 79, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-01-10 00:00:00', 2.8199999330000001, -5.7006788249999998, -99, 198, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-01-11 00:00:00', 8.9099998469999999, 0.15206368300000001, -99, 158, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-01-12 00:00:00', 2.170000076, 5.268087864, -99, 194, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-01-13 00:00:00', 14.55000019, 0.68436849099999997, -99, 65, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-01-14 00:00:00', 11.43000031, 1.209426761, -99, 101, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-01-15 00:00:00', 6.0100002290000001, -0.029235784000000001, -99, 90, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-01-16 00:00:00', 7.1799998279999997, -0.098759583999999997, -99, 194, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-01-17 00:00:00', 3.3599998950000001, 0.30345836300000001, -99, 176, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-01-18 00:00:00', 0.519999981, 0.62731838200000001, -99, 349, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-01-19 00:00:00', 5.7899999619999996, -1.1755417589999999, -99, 230, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-01-20 00:00:00', 0.20000000300000001, 0.121456169, -99, 212, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-01-21 00:00:00', 0, -2.774880886, -99, 220, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-01-22 00:00:00', 0.40000000600000002, -5.8541569710000001, -99, 356, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-01-23 00:00:00', 0.75999998999999996, -2.492804289, -99, 320, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-01-24 00:00:00', 3.460000038, -2.5644805430000002, -99, 130, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-01-25 00:00:00', 0.17000000200000001, -1.0988006589999999, -99, 184, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-01-26 00:00:00', 0, -10.183173180000001, -99, 245, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-01-27 00:00:00', 0.75999998999999996, -1.167062998, -99, 133, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-01-28 00:00:00', 0.12999999500000001, 0.77533417900000001, -99, 338, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-01-29 00:00:00', 3.460000038, 0.40263882299999998, -99, 310, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-01-30 00:00:00', 0.61000001400000003, 0.46228417799999999, -99, 338, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-01-31 00:00:00', 2.0999999049999998, 1.1006320709999999, -99, 155, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-02-01 00:00:00', 0, -0.15064451100000001, -99, 338, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-02-02 00:00:00', 4.3699998860000004, 0.31528735200000002, -99, 155, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-02-03 00:00:00', 7.2899999619999996, 1.5235804319999999, -99, 245, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-02-04 00:00:00', 4.8000001909999996, 1.6690912250000001, -99, 497, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-02-05 00:00:00', 2.1800000669999999, 3.694218636, -99, 522, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-02-06 00:00:00', 9.6800003050000001, 1.92813766, -99, 392, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-02-07 00:00:00', 4.579999924, -1.5396206379999999, -99, 266, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-02-08 00:00:00', 2.6900000569999998, 1.0538427829999999, -99, 292, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-02-09 00:00:00', 0, -0.45266932199999999, -99, 630, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-02-10 00:00:00', 3.0099999899999998, -1.3996793030000001, -99, 306, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-02-11 00:00:00', 0.050000001000000002, 3.1592137810000001, -99, 317, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-02-12 00:00:00', 0, -0.83229100700000003, -99, 472, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-02-13 00:00:00', 0, -6.0948324200000004, -99, 526, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-02-14 00:00:00', 0, -4.7816739080000001, -99, 335, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-02-15 00:00:00', 0.12999999500000001, -1.087387085, -99, 288, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-02-16 00:00:00', 0, -4.5581898689999996, -99, 490, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-02-17 00:00:00', 0, -6.9020690919999996, -99, 612, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-02-18 00:00:00', 0, -5.1602396969999997, -99, 666, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-02-19 00:00:00', 0, -3.7690501209999998, -99, 806, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-02-20 00:00:00', 0.02, -3.604168177, -99, 490, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-02-21 00:00:00', 0.050000001000000002, -1.6462632420000001, -99, 601, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-02-22 00:00:00', 0.01, -0.94397807099999997, -99, 486, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-02-23 00:00:00', 0.15000000599999999, -1.1997604369999999, -99, 515, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-02-24 00:00:00', 0.029999998999999999, -0.59528583300000004, -99, 680, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-02-25 00:00:00', 0.15000000599999999, -2.6631977560000002, -99, 313, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-02-26 00:00:00', 0.280000001, -0.24037465499999999, -99, 252, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-02-27 00:00:00', 0.25, 0.60873568099999997, -99, 353, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-02-28 00:00:00', 0, -0.48841968200000002, -99, 425, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-02-29 00:00:00', 0.62000000499999997, -0.55057090500000005, -99, 428, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-03-01 00:00:00', 1.5099999900000001, 1.297657847, -99, 630, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-03-02 00:00:00', 11.369999890000001, -2.1848993299999999, -99, 367, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-03-03 00:00:00', 0.89999997600000003, -0.002619344, -99, 436, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-03-04 00:00:00', 1.460000038, -0.11758608399999999, -99, 482, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-03-05 00:00:00', 0, 1.318453908, -99, 1022, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-03-06 00:00:00', 0.15000000599999999, 0.96694058199999999, -99, 850, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-03-07 00:00:00', 0, 2.0766673089999999, -99, 1224, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-03-08 00:00:00', 0, -0.90830451300000004, -99, 1271, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-03-09 00:00:00', 4.4699997900000001, -4.930992603, -99, 1084, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-03-10 00:00:00', 1.039999962, -0.88567835100000003, -99, 493, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-03-11 00:00:00', 0.079999998000000003, -1.2158997060000001, -99, 407, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-03-12 00:00:00', 0.090000003999999995, -0.67137813599999996, -99, 878, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-03-13 00:00:00', 0, -0.019987520000000002, -99, 1044, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-03-14 00:00:00', 0, -0.206980363, -99, 875, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-03-15 00:00:00', 0.039999999000000001, -0.93678921500000001, -99, 569, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-03-16 00:00:00', 0.37999999499999998, 0.043899911999999999, -99, 612, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-03-17 00:00:00', 0, -0.38302609300000001, -99, 1267, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-03-18 00:00:00', 0, -2.8795173169999999, -99, 1307, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-03-19 00:00:00', 0, -4.8614349370000003, -99, 1325, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-03-20 00:00:00', 0, -3.7399530410000001, -99, 1094, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-03-21 00:00:00', 0, -2.9580075739999998, -99, 1656, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-03-22 00:00:00', 0, -1.9540730710000001, -99, 1289, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-03-23 00:00:00', 0, -2.295751095, -99, 1584, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-03-24 00:00:00', 5.4499998090000004, -0.84586906399999995, -99, 1166, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-03-25 00:00:00', 2.6500000950000002, -0.14170524500000001, -99, 587, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-03-26 00:00:00', 0.81999999300000004, 0.38769343499999998, -99, 1271, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-03-27 00:00:00', 1.2599999900000001, 0.75995123399999998, -99, 583, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-03-28 00:00:00', 5.079999924, 1.0463616849999999, -99, 673, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-03-29 00:00:00', 0.810000002, 2.6539199349999998, -99, 493, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-03-30 00:00:00', 0, 2.1974143979999998, -99, 1386, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-03-31 00:00:00', 1.8999999759999999, -1.4762675759999999, -99, 1278, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-04-01 00:00:00', 1.1399999860000001, -1.251677036, -99, 1469, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-04-02 00:00:00', 0.23999999499999999, -1.98845768, -99, 1422, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-04-03 00:00:00', 2.710000038, 0.35527694199999998, -99, 648, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-04-04 00:00:00', 1.960000038, 0.75115346900000002, -99, 1199, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-04-05 00:00:00', 8.5900001530000001, 3.83189249, -99, 576, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-04-06 00:00:00', 2.8399999139999998, 1.4293848280000001, -99, 1404, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-04-07 00:00:00', 2.5, 3.9103581909999998, -99, 731, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-04-08 00:00:00', 0, 1.467226267, -99, 1256, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-04-09 00:00:00', 0.41999998700000002, 0.12655523399999999, -99, 781, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-04-10 00:00:00', 0, 0.77740931499999999, -99, 1346, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-04-11 00:00:00', 1.1299999949999999, 1.2050439120000001, -99, 1462, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-04-12 00:00:00', 0, 2.8529324530000002, -99, 2135, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-04-13 00:00:00', 0, -0.85006910599999996, -99, 1339, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-04-14 00:00:00', 0, 1.431418538, -99, 1530, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-04-15 00:00:00', 0.17000000200000001, 4.6880569459999997, -99, 1357, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-04-16 00:00:00', 0, 3.318149805, -99, 1753, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-04-17 00:00:00', 0, 0.65364819799999996, -99, 1962, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-04-18 00:00:00', 0, 0.106619097, -99, 1634, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-04-19 00:00:00', 0, -0.41871526799999997, -99, 1332, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-04-20 00:00:00', 0, 6.919885635, -99, 1008, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-04-21 00:00:00', 0, 0.78400635699999999, -99, 2038, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-04-22 00:00:00', 0, 4.4683218, -99, 2261, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-04-23 00:00:00', 0, -0.29694241300000002, -99, 2293, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-04-24 00:00:00', 0, 1.291585684, -99, 2261, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-04-25 00:00:00', 0, 2.5984935760000001, -99, 2423, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-04-26 00:00:00', 0, 2.1537299160000001, -99, 2081, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-04-27 00:00:00', 0, -0.886130631, -99, 2480, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-04-28 00:00:00', 0, 2.2448329930000002, -99, 2437, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-04-29 00:00:00', 0, 0.90113037799999995, -99, 2023, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-04-30 00:00:00', 0, 3.5555663110000002, -99, 2286, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-05-01 00:00:00', 6.829999924, 7.2266540529999999, -99, 1606, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-05-02 00:00:00', 9.1899995800000003, 7.1540727620000002, -99, 817, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-05-03 00:00:00', 0, 3.1520049569999999, -99, 1728, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-05-04 00:00:00', 0, 4.6636896129999998, -99, 1364, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-05-05 00:00:00', 0, 5.8139333720000002, -99, 1876, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-05-06 00:00:00', 0.62999999500000003, 5.1873078350000004, -99, 2509, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-05-07 00:00:00', 0.47999998900000002, 2.045025587, -99, 2149, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-05-08 00:00:00', 1.6499999759999999, 2.108624458, -99, 2488, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-05-09 00:00:00', 0.029999998999999999, -1.287393808, -99, 2124, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-05-10 00:00:00', 0.23000000400000001, 1.0682014230000001, -99, 2045, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-05-11 00:00:00', 0, 1.4235464330000001, -99, 2243, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-05-12 00:00:00', 0, 0.354671925, -99, 2650, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-05-13 00:00:00', 0, 0.17664785699999999, -99, 2740, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-05-14 00:00:00', 0, 2.081463099, -99, 2898, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-05-15 00:00:00', 0.10000000100000001, 7.2871408459999998, -99, 713, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-05-16 00:00:00', 3.7999999519999998, 9.4414548870000008, -99, 1897, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-05-17 00:00:00', 4.9499998090000004, 11.342401499999999, -99, 929, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-05-18 00:00:00', 0, 8.5669479370000001, -99, 1303, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-05-19 00:00:00', 0, 5.134099483, -99, 1328, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-05-20 00:00:00', 2, 5.5960412030000004, -99, 1490, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-05-21 00:00:00', 0, 11.74201965, -99, 1937, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-05-22 00:00:00', 6.0900001530000001, 13.179273609999999, -99, 1512, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-05-23 00:00:00', 0.89999997600000003, 10.53925991, -99, 1566, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-05-24 00:00:00', 0.68000000699999996, 10.31802559, -99, 2246, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-05-25 00:00:00', 9.1700000760000009, 8.8904466630000005, -99, 1238, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-05-26 00:00:00', 0.88999998599999997, 10.875486370000001, -99, 1562, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-05-27 00:00:00', 0, 9.4468364719999993, -99, 1328, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-05-28 00:00:00', 0.790000021, 7.6196365359999998, -99, 1703, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-05-29 00:00:00', 0.36000001399999998, 12.068075179999999, -99, 1253, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-05-30 00:00:00', 0.01, 12.36672592, -99, 1807, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-05-31 00:00:00', 0.38999998600000002, 9.4415426250000003, -99, 1868, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-06-01 00:00:00', 5, 10.237962720000001, -99, 1573, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-06-02 00:00:00', 6.8600001339999999, 10.701508520000001, -99, 1361, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-06-03 00:00:00', 0.91000002599999996, 7.8181309700000003, -99, 1670, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-06-04 00:00:00', 0, 14.034720419999999, -99, 2588, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-06-05 00:00:00', 1.559999943, 14.44611263, -99, 1804, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-06-06 00:00:00', 14.94999981, 14.106534959999999, -99, 882, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-06-07 00:00:00', 0.40999999599999998, 12.482042310000001, -99, 2372, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-06-08 00:00:00', 0, 8.7096929549999995, -99, 2200, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-06-09 00:00:00', 0, 10.69538784, -99, 2052, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-06-10 00:00:00', 0.109999999, 7.5454411510000003, -99, 2092, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-06-11 00:00:00', 0, 4.2830948830000004, -99, 2365, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-06-12 00:00:00', 0.070000000000000007, 3.509453535, -99, 1984, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-06-13 00:00:00', 2.4100000860000002, 10.62538719, -99, 1631, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-06-14 00:00:00', 1.1000000240000001, 11.822402950000001, -99, 2066, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-06-15 00:00:00', 1.460000038, 10.64632797, -99, 1962, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-06-16 00:00:00', 0.119999997, 10.82869625, -99, 1033, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-06-17 00:00:00', 0.039999999000000001, 10.941883089999999, -99, 1292, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-06-18 00:00:00', 0.070000000000000007, 10.27967834, -99, 1296, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-06-19 00:00:00', 0, 10.80604649, -99, 1818, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-06-20 00:00:00', 0, 12.493128779999999, -99, 1796, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-06-21 00:00:00', 2.5499999519999998, 11.909840579999999, -99, 2120, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-06-22 00:00:00', 13.670000079999999, 7.6830496789999998, -99, 954, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-06-23 00:00:00', 6.1999998090000004, 10.005499840000001, -99, 1717, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-06-24 00:00:00', 0.25999999000000001, 9.1364383700000005, -99, 1620, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-06-25 00:00:00', 1.2200000289999999, 9.2843322750000006, -99, 1210, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-06-26 00:00:00', 0.33000001299999998, 7.5228886599999996, -99, 1858, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-06-27 00:00:00', 7.2800002099999999, 10.57347107, -99, 1307, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-06-28 00:00:00', 0.310000002, 9.2916831969999993, -99, 1494, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-06-29 00:00:00', 1.4900000099999999, 7.4160985950000002, -99, 1894, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-06-30 00:00:00', 2.3599998950000001, 5.6171808240000001, -99, 2002, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-07-01 00:00:00', 0.109999999, 7.8503341669999998, -99, 1804, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-07-02 00:00:00', 3.119999886, 8.1779909130000004, -99, 1681, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-07-03 00:00:00', 0.029999998999999999, 5.4754810330000003, -99, 1519, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-07-04 00:00:00', 0, 9.41711235, -99, 1303, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-07-05 00:00:00', 0.029999998999999999, 9.6999578480000004, -99, 1685, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-07-06 00:00:00', 0, 9.2193632129999994, -99, 1073, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-07-07 00:00:00', 0, 9.8227653499999992, -99, 1148, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-07-08 00:00:00', 0, 7.6994915009999998, -99, 2567, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-07-09 00:00:00', 2.8199999330000001, 13.769736290000001, -99, 2621, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-07-10 00:00:00', 5.5300002099999999, 15.82218552, -99, 2279, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-07-11 00:00:00', 12.52999973, 16.476665499999999, -99, 1858, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-07-12 00:00:00', 0.89999997600000003, 15.49527168, -99, 1998, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-07-13 00:00:00', 2.630000114, 12.67776585, -99, 1876, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-07-14 00:00:00', 0.36000001399999998, 13.49710941, -99, 1512, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-07-15 00:00:00', 1, 13.158506389999999, -99, 2052, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-07-16 00:00:00', 2.0999999049999998, 9.8633852009999998, -99, 1393, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-07-17 00:00:00', 0, 12.296936990000001, -99, 1260, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-07-18 00:00:00', 0, 10.587991710000001, -99, 1901, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-07-19 00:00:00', 0, 10.36340809, -99, 2074, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-07-20 00:00:00', 0.039999999000000001, 11.86986542, -99, 1901, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-07-21 00:00:00', 0.079999998000000003, 11.865412709999999, -99, 2038, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-07-22 00:00:00', 0.119999997, 8.4358825680000002, -99, 1397, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-07-23 00:00:00', 0.039999999000000001, 9.2203073500000006, -99, 1444, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-07-24 00:00:00', 0.02, 9.3305959699999992, -99, 1757, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-07-25 00:00:00', 0, 12.33879471, -99, 1526, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-07-26 00:00:00', 0.090000003999999995, 12.372586249999999, -99, 2041, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-07-27 00:00:00', 0, 10.11127853, -99, 1663, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-07-28 00:00:00', 0.14000000100000001, 11.38199711, -99, 947, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-07-29 00:00:00', 0, 12.269856450000001, -99, 1274, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-07-30 00:00:00', 0.090000003999999995, 13.70132828, -99, 2372, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-07-31 00:00:00', 13.260000229999999, 15.915998460000001, -99, 1768, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-08-01 00:00:00', 7.6900000569999998, 15.556743620000001, -99, 713, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-08-02 00:00:00', 1.2400000099999999, 11.93684483, -99, 2135, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-08-03 00:00:00', 2.4000000950000002, 13.942234989999999, -99, 1541, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-08-04 00:00:00', 0.560000002, 15.67128372, -99, 1462, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-08-05 00:00:00', 11.77000046, 10.548700330000001, -99, 522, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-08-06 00:00:00', 1.559999943, 12.91987801, -99, 950, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-08-07 00:00:00', 0, 8.7920665739999997, -99, 1739, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-08-08 00:00:00', 0, 9.7262859339999999, -99, 1670, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-08-09 00:00:00', 0, 10.10463142, -99, 2455, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-08-10 00:00:00', 0, 9.2965440749999999, -99, 2243, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-08-11 00:00:00', 0, 10.13457489, -99, 2048, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-08-12 00:00:00', 0, 10.167604450000001, -99, 2164, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-08-13 00:00:00', 0, 10.797351839999999, -99, 2300, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-08-14 00:00:00', 0, 10.22329903, -99, 1300, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-08-15 00:00:00', 0.029999998999999999, 10.69650173, -99, 1847, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-08-16 00:00:00', 0, 7.8920226099999997, -99, 1771, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-08-17 00:00:00', 0, 8.4634962080000005, -99, 1876, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-08-18 00:00:00', 0, 8.7218036649999995, -99, 1346, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-08-19 00:00:00', 0, 9.5704298019999996, -99, 1652, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-08-20 00:00:00', 0, 11.73203754, -99, 2142, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-08-21 00:00:00', 0, 12.03465366, -99, 2214, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-08-22 00:00:00', 0, 12.72896194, -99, 1865, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-08-23 00:00:00', 0, 14.687472339999999, -99, 1822, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-08-24 00:00:00', 0, 14.59579563, -99, 1721, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-08-25 00:00:00', 0, 13.117736819999999, -99, 1354, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-08-26 00:00:00', 0.059999998999999998, 15.04480553, -99, 1480, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-08-27 00:00:00', 0.050000001000000002, 10.896698949999999, -99, 1447, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-08-28 00:00:00', 0, 9.1162309649999997, -99, 1444, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-08-29 00:00:00', 2.0699999330000001, 15.534812929999999, -99, 605, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-08-30 00:00:00', 0.46000000800000002, 11.5287199, -99, 1066, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-08-31 00:00:00', 7.7399997709999999, 15.90646935, -99, 997, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-09-01 00:00:00', 2.329999924, 13.97615719, -99, 954, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-09-02 00:00:00', 3.25, 9.6922864910000008, -99, 907, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-09-03 00:00:00', 4.0700001720000003, 15.11894798, -99, 724, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-09-04 00:00:00', 20.18000031, 11.09501743, -99, 400, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-09-05 00:00:00', 0, 6.5470514299999998, -99, 1602, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-09-06 00:00:00', 0, 4.753430367, -99, 1926, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-09-07 00:00:00', 1.6799999480000001, 4.2939372059999998, -99, 1411, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-09-08 00:00:00', 3.8199999330000001, 8.3633127209999998, -99, 612, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-09-09 00:00:00', 10.68000031, 9.6021194459999997, -99, 612, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-09-10 00:00:00', 3.8399999139999998, 10.222146990000001, -99, 828, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-09-11 00:00:00', 10.52000046, 8.1981258389999994, -99, 907, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-09-12 00:00:00', 0.23999999499999999, 8.9270820620000002, -99, 1220, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-09-13 00:00:00', 12.52000046, 7.8128843310000002, -99, 1073, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-09-14 00:00:00', 0.15999999600000001, 11.90172005, -99, 490, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-09-15 00:00:00', 0, 12.283454900000001, -99, 979, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-09-16 00:00:00', 0, 10.138061520000001, -99, 1138, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-09-17 00:00:00', 0, 9.0791292190000004, -99, 965, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-09-18 00:00:00', 4.2600002290000001, 10.842387199999999, -99, 1210, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-09-19 00:00:00', 3.9700000289999999, 9.1715240480000002, -99, 864, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-09-20 00:00:00', 12.84000015, 8.1866559980000009, -99, 860, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-09-21 00:00:00', 2.6099998950000001, 10.70863628, -99, 666, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-09-22 00:00:00', 1.2000000479999999, 8.8443460460000001, -99, 896, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-09-23 00:00:00', 3.4700000289999999, 6.3150601389999999, -99, 731, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-09-24 00:00:00', 0.88999998599999997, 7.762074471, -99, 886, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-09-25 00:00:00', 0.439999998, 6.8925967220000004, -99, 896, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-09-26 00:00:00', 0.62999999500000003, 8.3709144589999998, -99, 572, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-09-27 00:00:00', 0, 9.6090631480000006, -99, 677, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-09-28 00:00:00', 0, 5.1805520060000001, -99, 864, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-09-29 00:00:00', 0.280000001, 8.1024827960000003, -99, 1130, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-09-30 00:00:00', 1.5900000329999999, 10.101273539999999, -99, 436, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-10-01 00:00:00', 11.260000229999999, 7.7707567209999997, -99, 367, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-10-02 00:00:00', 2.7799999710000001, 12.63185024, -99, 385, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-10-03 00:00:00', 1.4900000099999999, 8.2066812519999992, -99, 799, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-10-04 00:00:00', 0.30000001199999998, 10.414872170000001, -99, 846, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-10-05 00:00:00', 20.969999309999999, 8.8040466310000003, -99, 299, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-10-06 00:00:00', 3.2400000100000002, 9.9910850520000007, -99, 446, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-10-07 00:00:00', 14.97000027, 9.1985454559999997, -99, 518, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-10-08 00:00:00', 3.380000114, 7.9922494889999998, -99, 558, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-10-09 00:00:00', 0, 11.55591965, -99, 947, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-10-10 00:00:00', 0.15000000599999999, 5.3676624300000002, -99, 882, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-10-11 00:00:00', 8.3000001910000005, 8.3631114960000001, -99, 342, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-10-12 00:00:00', 0.189999998, 6.2479081150000004, -99, 738, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-10-13 00:00:00', 3.9700000289999999, 4.4707388879999996, -99, 299, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-10-14 00:00:00', 0, 12.08253479, -99, 850, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-10-15 00:00:00', 0, 8.6876373289999993, -99, 767, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-10-16 00:00:00', 0.439999998, 5.3477134700000004, -99, 454, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-10-17 00:00:00', 1.039999962, 11.37344551, -99, 299, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-10-18 00:00:00', 5.420000076, 8.9941511149999993, -99, 209, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-10-19 00:00:00', 12.52999973, 10.761282919999999, -99, 518, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-10-20 00:00:00', 9.5200004580000002, 9.3166360860000008, -99, 418, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-10-21 00:00:00', 1.9199999569999999, 8.8212680819999996, -99, 500, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-10-22 00:00:00', 12.369999890000001, 7.2473597529999996, -99, 241, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-10-23 00:00:00', 28.38999939, 13.04231834, -99, 324, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-10-24 00:00:00', 4.9899997709999999, 5.6950759890000002, -99, 482, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-10-25 00:00:00', 4.5599999430000002, 8.5073709490000002, -99, 288, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-10-26 00:00:00', 1.940000057, 10.74071026, -99, 493, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-10-27 00:00:00', 0.01, 5.76928091, -99, 533, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-10-28 00:00:00', 1.2799999710000001, 5.9945044520000001, -99, 400, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-10-29 00:00:00', 1.3200000519999999, 8.3738698960000004, -99, 241, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-10-30 00:00:00', 0, 12.24075317, -99, 241, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-10-31 00:00:00', 0.10000000100000001, 9.7354478839999992, -99, 529, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-11-01 00:00:00', 0, 9.338108063, -99, 342, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-11-02 00:00:00', 0, 6.6249370570000004, -99, 626, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-11-03 00:00:00', 0, 5.4792928700000001, -99, 230, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-11-04 00:00:00', 1.5700000519999999, 5.8570146559999996, -99, 436, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-11-05 00:00:00', 0.37000000500000002, 6.5363168720000004, -99, 310, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-11-06 00:00:00', 3.8499999049999998, 3.3675589559999999, -99, 205, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-11-07 00:00:00', 1.0499999520000001, 6.0533447269999998, -99, 317, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-11-08 00:00:00', 0.62999999500000003, 7.4476423260000004, -99, 436, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-11-09 00:00:00', 0, 7.6669626239999999, -99, 310, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-11-10 00:00:00', 0, 9.0827827449999994, -99, 191, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-11-11 00:00:00', 3.5199999809999998, 7.3694787030000004, -99, 220, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-11-12 00:00:00', 0, 5.5820569989999997, -99, 475, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-11-13 00:00:00', 0, 3.548442364, -99, 490, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-11-14 00:00:00', 0, 2.3471257689999998, -99, 472, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-11-15 00:00:00', 0, 2.8440248970000002, -99, 382, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-11-16 00:00:00', 0, 1.7823872569999999, -99, 292, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-11-17 00:00:00', 0.27000001099999998, 1.529494643, -99, 155, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-11-18 00:00:00', 1.769999981, 0.71431899099999996, -99, 180, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-11-19 00:00:00', 0.090000003999999995, 0.38745549299999998, -99, 162, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-11-20 00:00:00', 1.2000000479999999, 1.393832207, -99, 133, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-11-21 00:00:00', 3.6600000860000002, 2.9650580880000001, -99, 126, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-11-22 00:00:00', 28.059999470000001, 5.1113815310000001, -99, 122, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-11-23 00:00:00', 17.479999540000001, 7.0971970559999997, -99, 302, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-11-24 00:00:00', 10.30000019, 6.5035386089999996, -99, 216, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-11-25 00:00:00', 4.0900001530000001, 6.0187754629999999, -99, 245, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-11-26 00:00:00', 0.01, 4.1531019210000002, -99, 281, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-11-27 00:00:00', 0, -0.19554896699999999, -99, 133, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-11-28 00:00:00', 2.7599999899999998, 5.4626088140000002, -99, 119, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-11-29 00:00:00', 0.090000003999999995, 6.990933418, -99, 119, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-11-30 00:00:00', 0, 4.4534020419999996, -99, 115, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-12-01 00:00:00', 0, 2.1669330599999999, -99, 284, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-12-02 00:00:00', 0, 2.2823700900000001, -99, 119, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-12-03 00:00:00', 0.050000001000000002, 0.32184481599999998, -99, 112, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-12-04 00:00:00', 0.029999998999999999, 3.2994225030000002, -99, 126, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-12-05 00:00:00', 0.039999999000000001, 2.018277168, -99, 209, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-12-06 00:00:00', 3.460000038, 4.3169050220000003, -99, 112, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-12-07 00:00:00', 0, 4.3679671290000002, -99, 130, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-12-08 00:00:00', 1.3999999759999999, 5.8719081879999999, -99, 202, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-12-09 00:00:00', 2.1500000950000002, 4.5260095600000003, -99, 223, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-12-10 00:00:00', 0.49000000999999999, 4.3145465850000004, -99, 169, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-12-11 00:00:00', 0, 6.1703901290000003, -99, 202, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-12-12 00:00:00', 0.079999998000000003, 0.18240368400000001, -99, 108, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-12-13 00:00:00', 0, 3.6643331049999999, -99, 112, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-12-14 00:00:00', 0, 1.5275106430000001, -99, 108, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-12-15 00:00:00', 0, -0.23836833199999999, -99, 108, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-12-16 00:00:00', 0.27000001099999998, -1.2474100589999999, -99, 166, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-12-17 00:00:00', 6.6599998469999999, -1.4973806140000001, -99, 184, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-12-18 00:00:00', 0.40000000600000002, -1.386365056, -99, 184, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-12-19 00:00:00', 2.9700000289999999, 1.8953326939999999, -99, 119, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-12-20 00:00:00', 5.0100002290000001, 2.9609739780000002, -99, 104, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-12-21 00:00:00', 6.5199999809999998, 4.122097492, -99, 148, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-12-22 00:00:00', 0.02, 1.4020081760000001, -99, 169, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-12-23 00:00:00', 2.7200000289999999, 3.0002987380000001, -99, 115, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-12-24 00:00:00', 0.75, 3.381129026, -99, 104, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-12-25 00:00:00', 0.58999997400000004, 0.30904564299999998, -99, 140, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-12-26 00:00:00', 0.41999998700000002, 0.31755712600000002, -99, 155, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-12-27 00:00:00', 0.209999993, 0.402532846, -99, 158, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-12-28 00:00:00', 0.43000000700000002, 0.106553935, -99, 126, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-12-29 00:00:00', 0.059999998999999998, -0.151347339, -99, 155, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-12-30 00:00:00', 0, -3.2559750080000001, -99, 115, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1984-12-31 00:00:00', 3.4700000289999999, -5.5465731619999996, -99, 158, 'ask', 'ask_1984');
INSERT INTO public.cdy_cldat VALUES ('1985-01-01 00:00:00', 1.059999943, -2.0848758219999999, -99, 119, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-01-02 00:00:00', 0.079999998000000003, -2.0848758219999999, -99, 248, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-01-03 00:00:00', 0.25, -9.7068271639999999, -99, 198, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-01-04 00:00:00', 0.28999999199999998, -9.67533493, -99, 263, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-01-05 00:00:00', 0.829999983, -10.505842210000001, -99, 274, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-01-06 00:00:00', 1.3400000329999999, -15.300626749999999, -99, 256, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-01-07 00:00:00', 0, -15.86312199, -99, 266, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-01-08 00:00:00', 0.039999999000000001, -15.86312199, -99, 166, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-01-09 00:00:00', 4.8899998660000001, -16.425617219999999, -99, 238, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-01-10 00:00:00', 0.10000000100000001, -11.044018749999999, -99, 295, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-01-11 00:00:00', 1.190000057, -14.797585489999999, -99, 155, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-01-12 00:00:00', 0.119999997, -12.171096800000001, -99, 310, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-01-13 00:00:00', 0.109999999, -12.171096800000001, -99, 346, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-01-14 00:00:00', 0.540000021, -9.5446081159999991, -99, 310, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-01-15 00:00:00', 0.039999999000000001, -5.8796606059999998, -99, 176, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-01-16 00:00:00', 0, -5.7525327209999997, -99, 266, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-01-17 00:00:00', 0.039999999000000001, -5.6254048350000003, -99, 302, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-01-18 00:00:00', 0, -6.2998337749999997, -99, 324, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-01-19 00:00:00', 0, -9.4140756129999996, -99, 317, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-01-20 00:00:00', 0.079999998000000003, -12.528317449999999, -99, 155, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-01-21 00:00:00', 5.6300001139999996, -6.5921902660000002, -99, 202, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-01-22 00:00:00', 7.7300000190000002, -3.354979277, -99, 137, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-01-23 00:00:00', 2.0499999519999998, 1.395650625, -99, 414, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-01-24 00:00:00', 0.83999997400000004, -0.39444911500000002, -99, 270, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-01-25 00:00:00', 1.9500000479999999, -1.2745459079999999, -99, 202, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-01-26 00:00:00', 2.8399999139999998, -3.143844128, -99, 140, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-01-27 00:00:00', 0, -6.773157597, -99, 425, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-01-28 00:00:00', 0, -15.259141919999999, -99, 349, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-01-29 00:00:00', 16.31999969, -5.5525403019999997, -99, 184, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-01-30 00:00:00', 0.63999998599999997, 1.7006882430000001, -99, 378, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-01-31 00:00:00', 6.4499998090000004, 1.8515577320000001, -99, 205, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-02-01 00:00:00', 2.2000000480000002, 3.5988991260000001, -99, 212, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-02-02 00:00:00', 0.86000001400000003, 3.5877046589999999, -99, 306, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-02-03 00:00:00', 0, -3.4006145000000001, -99, 482, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-02-04 00:00:00', 9.2399997710000008, -3.7339355950000002, -99, 11, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-02-05 00:00:00', 0.810000002, 0.92773866699999996, -99, 396, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-02-06 00:00:00', 0.36000001399999998, -2.8724100589999999, -99, 335, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-02-07 00:00:00', 0.01, -6.6725587839999996, -99, 382, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-02-08 00:00:00', 0.189999998, -8.2771224980000007, -99, 590, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-02-09 00:00:00', 0.44999998800000002, -8.6650152210000009, -99, 558, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-02-10 00:00:00', 0.119999997, -12.28565216, -99, 630, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-02-11 00:00:00', 0, -13.42262268, -99, 695, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-02-12 00:00:00', 0, -13.458435059999999, -99, 659, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-02-13 00:00:00', 0, -13.55074024, -99, 698, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-02-14 00:00:00', 0.219999999, -13.051863669999999, -99, 551, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-02-15 00:00:00', 0.75, -15.466473580000001, -99, 450, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-02-16 00:00:00', 0.059999998999999998, -12.492601390000001, -99, 763, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-02-17 00:00:00', 0.070000000000000007, -5.2590017319999998, -99, 562, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-02-18 00:00:00', 0, -12.99517822, -99, 832, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-02-19 00:00:00', 0, -15.817685129999999, -99, 853, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-02-20 00:00:00', 0.5, -9.3671951290000006, -99, 302, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-02-21 00:00:00', 0, -0.52202683699999997, -99, 637, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-02-22 00:00:00', 0.050000001000000002, -5.4948024750000002, -99, 472, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-02-23 00:00:00', 3.9000000950000002, -2.8767125610000002, -99, 238, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-02-24 00:00:00', 0, 0.78424155699999998, -99, 803, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-02-25 00:00:00', 0, 0.54409861599999998, -99, 432, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-02-26 00:00:00', 0.61000001400000003, 0.027729098000000001, -99, 238, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-02-27 00:00:00', 0, 0.35319221000000001, -99, 583, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-02-28 00:00:00', 0, -0.325181365, -99, 486, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-03-01 00:00:00', 1.6699999569999999, 0.094488538999999996, -99, 216, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-03-02 00:00:00', 1.809999943, -1.262074471, -99, 176, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-03-03 00:00:00', 0.23000000400000001, 0.77470797300000005, -99, 367, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-03-04 00:00:00', 6.1300001139999996, 0.414343089, -99, 295, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-03-05 00:00:00', 0.029999998999999999, 1.5191073420000001, -99, 954, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-03-06 00:00:00', 2.25, -1.133978009, -99, 558, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-03-07 00:00:00', 1.0800000430000001, 0.65222489800000005, -99, 583, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-03-08 00:00:00', 0, 0.0073637299999999998, -99, 698, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-03-09 00:00:00', 0, 0.13094362600000001, -99, 626, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-03-10 00:00:00', 3.5, -1.809402347, -99, 385, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-03-11 00:00:00', 0, 0.64409381200000004, -99, 1278, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-03-12 00:00:00', 0.029999998999999999, -1.505012631, -99, 468, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-03-13 00:00:00', 0.25999999000000001, -1.3288402560000001, -99, 551, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-03-14 00:00:00', 1.7200000289999999, -0.98027813399999997, -99, 691, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-03-15 00:00:00', 0, -1.5605447290000001, -99, 1253, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-03-16 00:00:00', 0.01, -4.3285903929999998, -99, 1202, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-03-17 00:00:00', 0.090000003999999995, -5.9997997280000002, -99, 1372, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-03-18 00:00:00', 0, -3.0070478920000001, -99, 1346, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-03-19 00:00:00', 1.8500000240000001, -1.622668982, -99, 583, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-03-20 00:00:00', 1.25, 0.49004429599999999, -99, 335, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-03-21 00:00:00', 1.8999999759999999, 0.71222281499999995, -99, 410, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-03-22 00:00:00', 0.109999999, 1.774939179, -99, 817, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-03-23 00:00:00', 0.209999993, 1.56325984, -99, 1030, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-03-24 00:00:00', 2.289999962, -0.80740499499999996, -99, 1318, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-03-25 00:00:00', 3.1800000669999999, 1.1059378390000001, -99, 504, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-03-26 00:00:00', 11.239999770000001, -0.70247364000000001, -99, 407, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-03-27 00:00:00', 1.690000057, 1.1518895629999999, -99, 1343, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-03-28 00:00:00', 2.420000076, -2.621844292, -99, 1307, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-03-29 00:00:00', 3.0099999899999998, -2.006828547, -99, 940, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-03-30 00:00:00', 10.989999770000001, -0.78256833599999998, -99, 302, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-03-31 00:00:00', 0.30000001199999998, 4.9803347589999998, -99, 954, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-04-01 00:00:00', 4.9299998279999997, 3.4155204299999999, -99, 475, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-04-02 00:00:00', 0.86000001400000003, 7.0806822780000003, -99, 529, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-04-03 00:00:00', 0.99000001000000004, 1.653756499, -99, 450, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-04-04 00:00:00', 0.18000000699999999, 10.41514778, -99, 997, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-04-05 00:00:00', 2.5299999710000001, 6.0094451900000001, -99, 824, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-04-06 00:00:00', 0.519999981, 2.8506536480000002, -99, 734, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-04-07 00:00:00', 3.380000114, 4.1272702219999999, -99, 781, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-04-08 00:00:00', 7.2399997709999999, 3.67636919, -99, 576, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-04-09 00:00:00', 0.49000000999999999, 4.9886751169999997, -99, 500, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-04-10 00:00:00', 0.47999998900000002, 0.62004500600000001, -99, 594, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-04-11 00:00:00', 15.77000046, 0.360206902, -99, 554, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-04-12 00:00:00', 0.23000000400000001, 3.789535522, -99, 932, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-04-13 00:00:00', 2.5499999519999998, 3.3095462320000002, -99, 1188, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-04-14 00:00:00', 3.5299999710000001, 3.621818304, -99, 788, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-04-15 00:00:00', 1.2599999900000001, 4.2923130990000002, -99, 1379, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-04-16 00:00:00', 0, 3.5631773469999999, -99, 2027, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-04-17 00:00:00', 0.029999998999999999, -0.305255473, -99, 504, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-04-18 00:00:00', 0, 3.2382361890000002, -99, 1789, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-04-19 00:00:00', 0.519999981, 0.239355758, -99, 1361, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-04-20 00:00:00', 0.38999998600000002, 6.305429459, -99, 720, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-04-21 00:00:00', 0, 4.0199756620000002, -99, 1562, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-04-22 00:00:00', 0.050000001000000002, 0.066778868000000005, -99, 1843, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-04-23 00:00:00', 0.14000000100000001, 3.1526098249999999, -99, 2228, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-04-24 00:00:00', 2.2000000480000002, -3.4109230039999998, -99, 918, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-04-25 00:00:00', 0.029999998999999999, -0.59792911999999998, -99, 1228, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-04-26 00:00:00', 7.420000076, 0.25530171400000001, -99, 1555, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-04-27 00:00:00', 2.7799999710000001, 1.8366137739999999, -99, 1213, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-04-28 00:00:00', 0.97000002900000004, 0.46776709, -99, 1372, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-04-29 00:00:00', 0.20000000300000001, 1.830398202, -99, 1188, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-04-30 00:00:00', 0, 2.5907537939999998, -99, 2419, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-05-01 00:00:00', 4.9400000569999998, 0.48814627500000002, -99, 1260, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-05-02 00:00:00', 0.15000000599999999, 1.1104329820000001, -99, 1152, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-05-03 00:00:00', 0.959999979, 0.18306066100000001, -99, 1570, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-05-04 00:00:00', 0.119999997, 4.0800757409999999, -99, 1498, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-05-05 00:00:00', 0.050000001000000002, 4.0911083220000002, -99, 1091, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-05-06 00:00:00', 0, 4.7445025440000004, -99, 2444, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-05-07 00:00:00', 0, 7.8049559589999999, -99, 2088, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-05-08 00:00:00', 0.01, 9.1272745129999997, -99, 2344, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-05-09 00:00:00', 6.4699997900000001, 7.9991602899999998, -99, 1202, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-05-10 00:00:00', 0.920000017, 7.3732948299999999, -99, 583, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-05-11 00:00:00', 0, 8.5916709900000008, -99, 1944, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-05-12 00:00:00', 0.20000000300000001, 7.1786932950000004, -99, 2023, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-05-13 00:00:00', 0, 7.9921278950000003, -99, 1102, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-05-14 00:00:00', 0.23999999499999999, 10.07914925, -99, 2257, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-05-15 00:00:00', 12.34000015, 10.80905533, -99, 1570, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-05-16 00:00:00', 13.93999958, 6.5055212969999996, -99, 1282, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-05-17 00:00:00', 0.01, 4.6113514899999997, -99, 1800, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-05-18 00:00:00', 0, 9.2244806290000003, -99, 947, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-05-19 00:00:00', 0, 6.9947214129999997, -99, 2761, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-05-20 00:00:00', 0, 6.7184548380000004, -99, 2894, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-05-21 00:00:00', 0, 7.0323686600000004, -99, 2912, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-05-22 00:00:00', 0, 7.590313911, -99, 1876, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-05-23 00:00:00', 0, 7.6021995540000002, -99, 1865, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-05-24 00:00:00', 4.6999998090000004, 3.0185375209999998, -99, 1958, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-05-25 00:00:00', 0, 12.48592949, -99, 2394, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-05-26 00:00:00', 0, 10.72165489, -99, 2401, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-05-27 00:00:00', 0.31999999299999998, 13.83543205, -99, 2311, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-05-28 00:00:00', 0.560000002, 13.76261425, -99, 1354, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-05-29 00:00:00', 0.12999999500000001, 9.2352733610000008, -99, 2617, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-05-30 00:00:00', 0, 4.9294176099999998, -99, 2992, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-05-31 00:00:00', 0, 9.0672655110000004, -99, 2837, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-06-01 00:00:00', 0, 6.3417592049999998, -99, 3067, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-06-02 00:00:00', 0, 6.3893761629999997, -99, 2866, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-06-03 00:00:00', 0, 7.6596813199999998, -99, 2912, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-06-04 00:00:00', 0, 9.3951101300000008, -99, 2534, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-06-05 00:00:00', 0.85000002399999997, 12.10092545, -99, 972, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-06-06 00:00:00', 10.239999770000001, 9.8553504939999996, -99, 1962, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-06-07 00:00:00', 5.9600000380000004, 7.9470024109999997, -99, 976, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-06-08 00:00:00', 0.46000000800000002, 6.8307733539999997, -99, 1955, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-06-09 00:00:00', 3.0999999049999998, 4.829845905, -99, 1307, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-06-10 00:00:00', 11.60999966, 8.0628051759999995, -99, 1883, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-06-11 00:00:00', 3.789999962, 6.6430125240000004, -99, 2293, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-06-12 00:00:00', 9.4200000760000009, 9.8197898860000006, -99, 738, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-06-13 00:00:00', 1.25, 6.7674169539999998, -99, 1476, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-06-14 00:00:00', 1.4500000479999999, 10.134748460000001, -99, 1760, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-06-15 00:00:00', 0.079999998000000003, 6.3278603550000003, -99, 1566, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-06-16 00:00:00', 0.039999999000000001, 8.0566902159999998, -99, 2358, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-06-17 00:00:00', 0.059999998999999998, 4.2669138909999997, -99, 1620, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-06-18 00:00:00', 0, 7.1899847980000002, -99, 1778, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-06-19 00:00:00', 0, 4.5387363430000001, -99, 2498, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-06-20 00:00:00', 0, 10.89825916, -99, 1613, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-06-21 00:00:00', 0, 9.8363885880000002, -99, 2581, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-06-22 00:00:00', 2.5299999710000001, 10.134517669999999, -99, 1343, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-06-23 00:00:00', 0.689999998, 12.65112019, -99, 2153, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-06-24 00:00:00', 0, 8.5198612209999993, -99, 2077, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-06-25 00:00:00', 12.420000079999999, 13.363609309999999, -99, 756, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-06-26 00:00:00', 4.9499998090000004, 10.366178509999999, -99, 1901, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-06-27 00:00:00', 0.10000000100000001, 10.39361572, -99, 2585, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-06-28 00:00:00', 0.44999998800000002, 9.5833578110000008, -99, 1937, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-06-29 00:00:00', 0.119999997, 9.8899154659999997, -99, 2333, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-06-30 00:00:00', 0, 9.5608863829999997, -99, 2268, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-07-01 00:00:00', 0.029999998999999999, 9.1690979000000006, -99, 2218, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-07-02 00:00:00', 0, 10.03665638, -99, 2128, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-07-03 00:00:00', 0, 9.3869380949999996, -99, 2664, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-07-04 00:00:00', 0, 10.355018619999999, -99, 2542, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-07-05 00:00:00', 0, 12.91506004, -99, 2930, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-07-06 00:00:00', 0.790000021, 13.65045643, -99, 2156, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-07-07 00:00:00', 0.070000000000000007, 11.522008899999999, -99, 2606, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-07-08 00:00:00', 4.9499998090000004, 10.62516022, -99, 1843, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-07-09 00:00:00', 0.01, 7.9917926789999996, -99, 1444, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-07-10 00:00:00', 0, 8.0122747420000007, -99, 2102, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-07-11 00:00:00', 0.050000001000000002, 9.7962503430000005, -99, 1246, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-07-12 00:00:00', 0.14000000100000001, 13.70176983, -99, 1307, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-07-13 00:00:00', 0.039999999000000001, 16.005205149999998, -99, 2329, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-07-14 00:00:00', 2.75, 12.348144530000001, -99, 1559, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-07-15 00:00:00', 0.20000000300000001, 16.18624496, -99, 1818, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-07-16 00:00:00', 1.230000019, 10.977411269999999, -99, 724, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-07-17 00:00:00', 0, 11.12688112, -99, 2142, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-07-18 00:00:00', 9.4099998469999999, 11.27635098, -99, 1591, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-07-19 00:00:00', 8.7200002669999996, 15.12234688, -99, 1397, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-07-20 00:00:00', 0.829999983, 11.88698864, -99, 1865, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-07-21 00:00:00', 3.3399999139999998, 8.5352344510000009, -99, 2038, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-07-22 00:00:00', 20.709999079999999, 9.6308794019999997, -99, 1328, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-07-23 00:00:00', 0.02, 12.65967178, -99, 2531, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-07-24 00:00:00', 2.1500000950000002, 12.67496204, -99, 976, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-07-25 00:00:00', 0, 7.9113302230000002, -99, 2592, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-07-26 00:00:00', 5.75, 8.6493043899999993, -99, 2452, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-07-27 00:00:00', 1.3799999949999999, 15.622932430000001, -99, 1577, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-07-28 00:00:00', 5.3499999049999998, 11.09132099, -99, 1300, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-07-29 00:00:00', 11.35999966, 15.866005899999999, -99, 832, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-07-30 00:00:00', 11.75, 13.70283031, -99, 1256, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-07-31 00:00:00', 0.62000000499999997, 12.47028637, -99, 1123, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-08-01 00:00:00', 0.10000000100000001, 13.73922825, -99, 1613, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-08-02 00:00:00', 5.9600000380000004, 10.69581795, -99, 911, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-08-03 00:00:00', 19.299999239999998, 13.61270332, -99, 1426, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-08-04 00:00:00', 9.6899995800000003, 10.09993839, -99, 1703, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-08-05 00:00:00', 12.06000042, 11.814383510000001, -99, 961, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-08-06 00:00:00', 1.9099999670000001, 12.3488121, -99, 1735, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-08-07 00:00:00', 0.070000000000000007, 12.12097168, -99, 1620, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-08-08 00:00:00', 3.4700000289999999, 9.0139026639999997, -99, 1411, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-08-09 00:00:00', 0, 7.9898791310000004, -99, 1829, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-08-10 00:00:00', 9.0399999619999996, 9.0409147740000009, -99, 770, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-08-11 00:00:00', 5.1100001339999999, 10.09195042, -99, 2268, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-08-12 00:00:00', 0.30000001199999998, 14.495249749999999, -99, 1948, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-08-13 00:00:00', 0, 9.4913129810000001, -99, 1894, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-08-14 00:00:00', 7.5500001909999996, 12.818519589999999, -99, 1753, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-08-15 00:00:00', 0.829999983, 14.979925160000001, -99, 2315, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-08-16 00:00:00', 3.4400000569999998, 14.499668120000001, -99, 1832, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-08-17 00:00:00', 2.619999886, 13.23762417, -99, 824, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-08-18 00:00:00', 0, 10.9623127, -99, 1508, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-08-19 00:00:00', 3.3399999139999998, 10.88001347, -99, 1534, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-08-20 00:00:00', 1.789999962, 14.37032986, -99, 1163, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-08-21 00:00:00', 0.91000002599999996, 15.076723100000001, -99, 1307, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-08-22 00:00:00', 5.4299998279999997, 12.861795430000001, -99, 1408, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-08-23 00:00:00', 0.15000000599999999, 10.13200951, -99, 1656, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-08-24 00:00:00', 2.0699999330000001, 12.7162571, -99, 652, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-08-25 00:00:00', 1.9299999480000001, 11.308039669999999, -99, 1494, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-08-26 00:00:00', 3.380000114, 11.36527061, -99, 1559, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-08-27 00:00:00', 0, 10.957723619999999, -99, 1750, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-08-28 00:00:00', 0.670000017, 11.633554459999999, -99, 1001, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-08-29 00:00:00', 0, 14.753590579999999, -99, 1976, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-08-30 00:00:00', 0, 8.0488595959999998, -99, 1750, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-08-31 00:00:00', 1.8799999949999999, 12.48977852, -99, 1264, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-09-01 00:00:00', 10.10999966, 15.3091507, -99, 1685, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-09-02 00:00:00', 0.15000000599999999, 11.31087112, -99, 1595, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-09-03 00:00:00', 15.35999966, 12.066926, -99, 569, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-09-04 00:00:00', 0.109999999, 11.825087549999999, -99, 1487, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-09-05 00:00:00', 11.15999985, 6.1647787090000001, -99, 482, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-09-06 00:00:00', 0.80000001200000004, 8.8661851879999993, -99, 1339, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-09-07 00:00:00', 2.9000000950000002, 8.0833692549999991, -99, 1415, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-09-08 00:00:00', 0.15999999600000001, 8.0685911180000005, -99, 929, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-09-09 00:00:00', 0, 8.8127250670000006, -99, 1829, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-09-10 00:00:00', 0.310000002, 8.8248462679999999, -99, 688, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-09-11 00:00:00', 0, 12.121731759999999, -99, 1019, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-09-12 00:00:00', 0, 7.965313911, -99, 1184, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-09-13 00:00:00', 0.029999998999999999, 9.7305116649999999, -99, 673, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-09-14 00:00:00', 18.709999079999999, 5.5218324660000002, -99, 234, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-09-15 00:00:00', 7.329999924, 10.75706005, -99, 976, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-09-16 00:00:00', 15.579999920000001, 8.6693286900000004, -99, 652, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-09-17 00:00:00', 0.61000001400000003, 10.03283882, -99, 1148, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-09-18 00:00:00', 0.050000001000000002, 6.8561921119999996, -99, 1260, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-09-19 00:00:00', 0, 10.61214638, -99, 857, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-09-20 00:00:00', 0.74000001000000004, 6.4741005899999999, -99, 871, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-09-21 00:00:00', 5.6999998090000004, 8.1294927599999998, -99, 328, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-09-22 00:00:00', 0.059999998999999998, 8.2421321869999993, -99, 832, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-09-23 00:00:00', 0.69999998799999996, 1.384645581, -99, 670, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-09-24 00:00:00', 1.269999981, 8.7301769260000004, -99, 590, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-09-25 00:00:00', 0.23000000400000001, 11.991984370000001, -99, 1076, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-09-26 00:00:00', 0.74000001000000004, 2.2963125710000001, -99, 922, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-09-27 00:00:00', 0.029999998999999999, 11.782128330000001, -99, 864, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-09-28 00:00:00', 0, 9.9458503720000007, -99, 1109, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-09-29 00:00:00', 0, 5.4765310290000002, -99, 493, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-09-30 00:00:00', 0, 10.47236633, -99, 1112, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-10-01 00:00:00', 0, 12.929123880000001, -99, 1019, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-10-02 00:00:00', 0, 10.96208191, -99, 900, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-10-03 00:00:00', 0.87999999500000003, 12.21530437, -99, 652, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-10-04 00:00:00', 1.019999981, 15.116585730000001, -99, 220, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-10-05 00:00:00', 0, 11.77539253, -99, 914, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-10-06 00:00:00', 0, 7.6338520049999996, -99, 950, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-10-07 00:00:00', 21.13999939, 11.70786667, -99, 252, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-10-08 00:00:00', 8.9399995800000003, 10.037052149999999, -99, 270, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-10-09 00:00:00', 6.1500000950000002, 6.2894859309999998, -99, 328, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-10-10 00:00:00', 0.670000017, 7.5888895989999998, -99, 817, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-10-11 00:00:00', 0.28999999199999998, 7.5738692280000004, -99, 612, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-10-12 00:00:00', 0, 8.2575511929999994, -99, 720, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-10-13 00:00:00', 0, 2.5197942260000001, -99, 562, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-10-14 00:00:00', 0.029999998999999999, 10.03001499, -99, 324, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-10-15 00:00:00', 0.02, 9.159023285, -99, 670, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-10-16 00:00:00', 0.050000001000000002, 10.296164510000001, -99, 461, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-10-17 00:00:00', 0.050000001000000002, 10.36000538, -99, 407, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-10-18 00:00:00', 0.27000001099999998, 10.42367935, -99, 371, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-10-19 00:00:00', 0, 4.3417725559999996, -99, 529, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-10-20 00:00:00', 0, 7.7769479749999997, -99, 310, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-10-21 00:00:00', 0, 9.2441854479999996, -99, 292, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-10-22 00:00:00', 0, 4.6111168859999996, -99, 612, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-10-23 00:00:00', 0, 1.337617517, -99, 601, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-10-24 00:00:00', 0, -2.8271927830000001, -99, 691, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-10-25 00:00:00', 0, 0.92432838699999997, -99, 601, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-10-26 00:00:00', 0, 3.042893887, -99, 346, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-10-27 00:00:00', 0, 1.2644692660000001, -99, 558, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-10-28 00:00:00', 0, 5.4748373030000002, -99, 403, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-10-29 00:00:00', 0, 0.31020593600000002, -99, 634, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-10-30 00:00:00', 0.36000001399999998, 0.37353742099999998, -99, 259, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-10-31 00:00:00', 0.34999999399999998, 6.2001070980000001, -99, 414, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-11-01 00:00:00', 3.9900000100000002, 0.0080470079999999996, -99, 425, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-11-02 00:00:00', 4.4499998090000004, 2.85126853, -99, 360, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-11-03 00:00:00', 1.6200000050000001, 1.8520189520000001, -99, 439, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-11-04 00:00:00', 0.18000000699999999, 1.7776464219999999, -99, 360, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-11-05 00:00:00', 14.89000034, -0.013100331, -99, 166, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-11-06 00:00:00', 9.8000001910000005, 4.0299496650000002, -99, 263, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-11-07 00:00:00', 2.079999924, 4.1975765230000004, -99, 302, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-11-08 00:00:00', 4.0300002099999999, 1.104940534, -99, 335, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-11-09 00:00:00', 10.210000040000001, 6.5447945589999996, -99, 317, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-11-10 00:00:00', 4.4099998469999999, 4.6123013500000001, -99, 263, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-11-11 00:00:00', 1.230000019, 0.84861743499999998, -99, 385, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-11-12 00:00:00', 0, 0.74461108399999998, -99, 378, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-11-13 00:00:00', 0, 0.152650863, -99, 338, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-11-14 00:00:00', 0, -1.2256524559999999, -99, 472, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-11-15 00:00:00', 0, -2.6947498319999998, -99, 212, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-11-16 00:00:00', 0.10000000100000001, 0.333224297, -99, 299, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-11-17 00:00:00', 0.33000001299999998, -0.67402523800000003, -99, 198, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-11-18 00:00:00', 0, -1.517276525, -99, 320, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-11-19 00:00:00', 0, -2.118208885, -99, 209, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-11-20 00:00:00', 0.68000000699999996, 0.37147384900000002, -99, 7, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-11-21 00:00:00', 0.56999999300000004, 0.15214633899999999, -99, 194, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-11-22 00:00:00', 1.4500000479999999, 0.82905930299999997, -99, 220, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-11-23 00:00:00', 0.189999998, 2.2446887489999998, -99, 299, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-11-24 00:00:00', 1.519999981, 0.94515794500000005, -99, 216, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-11-25 00:00:00', 4, -3.7011256220000002, -99, 338, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-11-26 00:00:00', 1.710000038, -2.3418664929999999, -99, 241, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-11-27 00:00:00', 1.9700000289999999, -2.492408991, -99, 252, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-11-28 00:00:00', 3.920000076, -1.510270834, -99, 144, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-11-29 00:00:00', 0, -10.7246542, -99, 234, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-11-30 00:00:00', 0, -13.965723990000001, -99, 259, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-12-01 00:00:00', 21.280000690000001, -12.9762907, -99, 151, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-12-02 00:00:00', 20.450000760000002, 0.20093910400000001, -99, 166, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-12-03 00:00:00', 0.52999997099999996, 6.3815884589999996, -99, 155, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-12-04 00:00:00', 3.8900001049999999, 7.9251937870000004, -99, 238, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-12-05 00:00:00', 10.52000046, 7.5044760699999999, -99, 137, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-12-06 00:00:00', 16.040000920000001, 5.7111477849999996, -99, 173, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-12-07 00:00:00', 4.670000076, 2.2780408859999999, -99, 216, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-12-08 00:00:00', 0.49000000999999999, -0.72119069099999999, -99, 191, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-12-09 00:00:00', 16.56999969, 0.33646661, -99, 112, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-12-10 00:00:00', 0.34999999399999998, 2.283834696, -99, 184, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-12-11 00:00:00', 0.029999998999999999, -0.70468175399999999, -99, 223, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-12-12 00:00:00', 0.66000002599999996, -2.5867395399999999, -99, 140, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-12-13 00:00:00', 7.7600002290000001, 0.79100054500000005, -99, 122, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-12-14 00:00:00', 3.920000076, 3.2117927069999999, -99, 108, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-12-15 00:00:00', 0.75, 6.0182361599999998, -99, 194, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-12-16 00:00:00', 1.730000019, 5.7657818790000004, -99, 101, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-12-17 00:00:00', 0.20000000300000001, 2.2809808249999999, -99, 148, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-12-18 00:00:00', 7.0399999619999996, -0.75422084300000003, -99, 104, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-12-19 00:00:00', 3.2699999809999998, 4.0463128089999998, -99, 148, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-12-20 00:00:00', 7.1100001339999999, 3.6368761059999999, -99, 220, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-12-21 00:00:00', 2.579999924, 5.6962389949999999, -99, 137, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-12-22 00:00:00', 0.20000000300000001, 6.4314327240000004, -99, 101, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-12-23 00:00:00', 0.209999993, 4.7624468799999997, -99, 187, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-12-24 00:00:00', 1.190000057, 5.2356939320000002, -99, 101, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-12-25 00:00:00', 5.1599998469999999, 3.8339595790000001, -99, 104, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-12-26 00:00:00', 0.20000000300000001, 5.2026867870000002, -99, 205, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-12-27 00:00:00', 0.219999999, -5.8049712180000004, -99, 173, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-12-28 00:00:00', 0, -6.408339024, -99, 230, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-12-29 00:00:00', 0.469999999, -7.2137384410000003, -99, 202, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-12-30 00:00:00', 1.960000038, -9.1393527980000009, -99, 176, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1985-12-31 00:00:00', 0, -3.1540551190000001, -99, 108, 'ask', 'ask_1985');
INSERT INTO public.cdy_cldat VALUES ('1986-01-01 00:00:00', 0, -5.1433997150000001, -99, 101, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-01-02 00:00:00', 0.090000003999999995, -8.9474639889999992, -99, 101, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-01-03 00:00:00', 0.01, -3.5194814210000001, -99, 173, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-01-04 00:00:00', 0.050000001000000002, -7.8944839240000002, -99, 126, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-01-05 00:00:00', 1.3999999759999999, -12.269486430000001, -99, 130, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-01-06 00:00:00', 2.2400000100000002, -3.7636020179999998, -99, 119, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-01-07 00:00:00', 0.469999999, -6.1591081619999999, -99, 238, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-01-08 00:00:00', 0, -14.97125816, -99, 223, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-01-09 00:00:00', 0, -15.17365646, -99, 216, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-01-10 00:00:00', 2.6400001049999999, -19.366037370000001, -99, 151, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-01-11 00:00:00', 1.559999943, -2.2144417760000001, -99, 259, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-01-12 00:00:00', 4.0700001720000003, 2.2583796980000002, -99, 126, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-01-13 00:00:00', 7.4299998279999997, 3.5868961810000002, -99, 302, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-01-14 00:00:00', 5.8400001530000001, 2.97530961, -99, 133, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-01-15 00:00:00', 0.039999999000000001, 0.74670261100000002, -99, 230, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-01-16 00:00:00', 0.25999999000000001, -1.9846340419999999, -99, 292, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-01-17 00:00:00', 0.43000000700000002, -3.84841466, -99, 331, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-01-18 00:00:00', 6.4099998469999999, -3.7165868280000001, -99, 238, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-01-19 00:00:00', 25.670000080000001, 2.302445412, -99, 32, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-01-20 00:00:00', 7.0300002099999999, 1.132104158, -99, 317, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-01-21 00:00:00', 8.4600000380000004, 3.3969237799999998, -99, 140, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-01-22 00:00:00', 8.2600002289999992, 2.97759676, -99, 400, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-01-23 00:00:00', 4.4499998090000004, 1.974014878, -99, 205, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-01-24 00:00:00', 2.0899999139999998, 1.029731631, -99, 342, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-01-25 00:00:00', 0.01, 0.00100668, -99, 464, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-01-26 00:00:00', 0, -2.088536978, -99, 277, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-01-27 00:00:00', 0.58999997400000004, -4.5109553340000001, -99, 436, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-01-28 00:00:00', 1.1699999569999999, -2.8686001299999999, -99, 97, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-01-29 00:00:00', 0, -1.7876864669999999, -99, 364, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-01-30 00:00:00', 0, -0.42805728300000001, -99, 162, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-01-31 00:00:00', 0, -0.403104872, -99, 230, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-02-01 00:00:00', 0.94999998799999996, -0.14988347899999999, -99, 198, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-02-02 00:00:00', 0.31999999299999998, -1.4790877099999999, -99, 61, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-02-03 00:00:00', 0, -2.4568786619999998, -99, 562, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-02-04 00:00:00', 0.029999998999999999, -3.1804008480000001, -99, 554, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-02-05 00:00:00', 0.37000000500000002, -6.0521330830000002, -99, 238, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-02-06 00:00:00', 0, -4.5212092400000001, -99, 536, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-02-07 00:00:00', 0.30000001199999998, -7.2158522610000002, -99, 468, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-02-08 00:00:00', 0.49000000999999999, -8.6429414750000007, -99, 522, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-02-09 00:00:00', 0, -14.10716248, -99, 565, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-02-10 00:00:00', 0, -13.922167780000001, -99, 630, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-02-11 00:00:00', 0, -13.325030330000001, -99, 576, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-02-12 00:00:00', 0, -10.362895010000001, -99, 547, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-02-13 00:00:00', 0.28999999199999998, -11.096134190000001, -99, 403, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-02-14 00:00:00', 0, -5.4939260479999996, -99, 274, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-02-15 00:00:00', 0, -3.252037048, -99, 774, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-02-16 00:00:00', 0, -3.5040645600000002, -99, 364, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-02-17 00:00:00', 0.189999998, -4.3373885149999998, -99, 792, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-02-18 00:00:00', 0.37999999499999998, -6.1513986589999998, -99, 508, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-02-19 00:00:00', 0.17000000200000001, -5.9323210719999997, -99, 785, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-02-20 00:00:00', 0.059999998999999998, -9.8585748669999997, -99, 828, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-02-21 00:00:00', 0, -16.347707750000001, -99, 882, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-02-22 00:00:00', 0, -14.63645077, -99, 641, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-02-23 00:00:00', 0.15999999600000001, -13.772631649999999, -99, 958, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-02-24 00:00:00', 0, -7.3035469060000002, -99, 983, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-02-25 00:00:00', 0, -14.160769459999999, -99, 914, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-02-26 00:00:00', 0, -14.43233871, -99, 1030, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-02-27 00:00:00', 0, -7.5332202910000001, -99, 900, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-02-28 00:00:00', 0, -6.4597163200000001, -99, 1145, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-03-01 00:00:00', 0, -9.4669198990000005, -99, 950, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-03-02 00:00:00', 0, -11.086767200000001, -99, 1217, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-03-03 00:00:00', 0, -13.59027386, -99, 1019, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-03-04 00:00:00', 5.6999998090000004, -8.1231050489999994, -99, 281, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-03-05 00:00:00', 2.0299999710000001, -0.188157991, -99, 385, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-03-06 00:00:00', 0, 0.60271078300000003, -99, 1040, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-03-07 00:00:00', 0, -0.71727466600000001, -99, 1242, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-03-08 00:00:00', 0, -0.69379049500000001, -99, 709, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-03-09 00:00:00', 2.0599999430000002, -0.65702998599999995, -99, 414, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-03-10 00:00:00', 0.01, -0.71269142600000002, -99, 619, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-03-11 00:00:00', 0.20000000300000001, 0.207048118, -99, 418, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-03-12 00:00:00', 0.119999997, -0.57180666899999999, -99, 338, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-03-13 00:00:00', 0.18000000699999999, -0.131097347, -99, 396, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-03-14 00:00:00', 0, 0.46126622, -99, 464, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-03-15 00:00:00', 0, -0.079967856000000004, -99, 522, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-03-16 00:00:00', 0, -0.29842701599999999, -99, 547, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-03-17 00:00:00', 0.119999997, 0.019582382999999998, -99, 799, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-03-18 00:00:00', 0, 1.7137117390000001, -99, 1336, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-03-19 00:00:00', 0, -0.088267066000000005, -99, 1454, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-03-20 00:00:00', 3.0999999049999998, -0.48415729400000002, -99, 644, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-03-21 00:00:00', 0, -0.375496477, -99, 1361, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-03-22 00:00:00', 11.31000042, 1.2022324799999999, -99, 425, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-03-23 00:00:00', 7.0900001530000001, 4.3997769360000003, -99, 1116, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-03-24 00:00:00', 6.2899999619999996, 1.6786434649999999, -99, 504, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-03-25 00:00:00', 1.2599999900000001, 0.71802330000000003, -99, 727, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-03-26 00:00:00', 0.050000001000000002, 1.9999083280000001, -99, 1523, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-03-27 00:00:00', 4, 2.025833607, -99, 691, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-03-28 00:00:00', 11.39000034, 2.6653922799999998, -99, 407, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-03-29 00:00:00', 2.6099998950000001, 3.3049509530000001, -99, 655, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-03-30 00:00:00', 4.3699998860000004, 0.46352994400000003, -99, 716, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-03-31 00:00:00', 0.540000021, -0.118298113, -99, 958, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-04-01 00:00:00', 0.47999998900000002, -0.46596953299999999, -99, 1091, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-04-02 00:00:00', 0, 1.2387280460000001, -99, 1055, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-04-03 00:00:00', 0, -0.211502314, -99, 1062, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-04-04 00:00:00', 0.15999999600000001, -1.9013615850000001, -99, 1753, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-04-05 00:00:00', 0, -1.33400476, -99, 1674, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-04-06 00:00:00', 0.36000001399999998, -3.145862341, -99, 1127, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-04-07 00:00:00', 0.039999999000000001, 1.466880798, -99, 864, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-04-08 00:00:00', 0, 1.7051138880000001, -99, 1415, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-04-09 00:00:00', 0.079999998000000003, 1.0897557739999999, -99, 1940, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-04-10 00:00:00', 0.12999999500000001, -0.17383474099999999, -99, 1735, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-04-11 00:00:00', 0, -4.7996149060000004, -99, 2012, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-04-12 00:00:00', 0.039999999000000001, -4.1339869499999997, -99, 1699, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-04-13 00:00:00', 0.62000000499999997, -3.8857810499999998, -99, 1156, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-04-14 00:00:00', 0.25, -0.256514668, -99, 1346, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-04-15 00:00:00', 3.7200000289999999, 1.5928353070000001, -99, 878, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-04-16 00:00:00', 3.920000076, 4.0638995170000003, -99, 1278, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-04-17 00:00:00', 6.1500000950000002, 3.0164589880000001, -99, 817, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-04-18 00:00:00', 5.0599999430000002, 0.50556284200000001, -99, 1444, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-04-19 00:00:00', 0.18000000699999999, 3.650378227, -99, 666, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-04-20 00:00:00', 1.3200000519999999, 1.1159989829999999, -99, 1883, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-04-21 00:00:00', 1.6000000240000001, 3.1483426090000002, -99, 1814, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-04-22 00:00:00', 1.1799999480000001, 5.7577953339999999, -99, 1717, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-04-23 00:00:00', 0.50999998999999996, 4.006639957, -99, 1332, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-04-24 00:00:00', 0.980000019, 1.4197947980000001, -99, 1084, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-04-25 00:00:00', 0, 5.0735297199999998, -99, 1962, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-04-26 00:00:00', 0, 3.0389523509999998, -99, 1800, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-04-27 00:00:00', 0, 5.2903718949999998, -99, 990, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-04-28 00:00:00', 0, 4.8328027730000001, -99, 1314, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-04-29 00:00:00', 2.539999962, 5.4010095600000003, -99, 1253, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-04-30 00:00:00', 0.01, 5.4161939620000004, -99, 2009, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-05-01 00:00:00', 0, 4.1585283280000001, -99, 2322, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-05-02 00:00:00', 0, 6.0263462069999996, -99, 2466, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-05-03 00:00:00', 0, 8.3406677249999994, -99, 2470, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-05-04 00:00:00', 0.469999999, 9.3792610169999993, -99, 1685, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-05-05 00:00:00', 1.0800000430000001, 11.300472259999999, -99, 1613, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-05-06 00:00:00', 0.090000003999999995, 10.501627920000001, -99, 2048, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-05-07 00:00:00', 8.3999996190000008, 11.01139832, -99, 1206, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-05-08 00:00:00', 0.959999979, 9.7109746930000007, -99, 1458, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-05-09 00:00:00', 0.670000017, 5.5735306739999997, -99, 1879, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-05-10 00:00:00', 5.6999998090000004, 7.2570004460000002, -99, 533, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-05-11 00:00:00', 1.9700000289999999, 10.005373949999999, -99, 936, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-05-12 00:00:00', 1.6499999759999999, 7.483133316, -99, 1372, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-05-13 00:00:00', 0.050000001000000002, 10.360545159999999, -99, 1886, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-05-14 00:00:00', 0, 5.5009107589999999, -99, 2279, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-05-15 00:00:00', 9.2100000380000004, 5.4301838870000001, -99, 846, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-05-16 00:00:00', 0.86000001400000003, 6.1614847179999996, -99, 1699, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-05-17 00:00:00', 1.6699999569999999, 4.02387476, -99, 2570, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-05-18 00:00:00', 0.33000001299999998, 8.7442321780000007, -99, 1112, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-05-19 00:00:00', 0, 9.7188329699999993, -99, 2815, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-05-20 00:00:00', 0.14000000100000001, 4.8671402930000003, -99, 2682, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-05-21 00:00:00', 3.2699999809999998, 11.94072628, -99, 1912, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-05-22 00:00:00', 0, 8.194673538, -99, 2628, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-05-23 00:00:00', 7.5399999619999996, 5.2163586620000002, -99, 734, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-05-24 00:00:00', 0.20000000300000001, 8.5244731900000001, -99, 1541, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-05-25 00:00:00', 0.88999998599999997, 6.0899248119999996, -99, 832, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-05-26 00:00:00', 0, 9.712095261, -99, 1973, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-05-27 00:00:00', 0.62000000499999997, 7.8689784999999999, -99, 1534, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-05-28 00:00:00', 0, 8.2728738780000004, -99, 2585, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-05-29 00:00:00', 0, 3.7548804279999999, -99, 2606, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-05-30 00:00:00', 0, 2.8634932040000001, -99, 2326, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-05-31 00:00:00', 0, 1.511547923, -99, 2538, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-06-01 00:00:00', 0, 4.7861113550000001, -99, 2412, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-06-02 00:00:00', 0, 7.7575693130000003, -99, 2297, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-06-03 00:00:00', 7.2600002290000001, 4.8118195530000003, -99, 1274, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-06-04 00:00:00', 0.769999981, 9.1429109569999998, -99, 1033, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-06-05 00:00:00', 7.4299998279999997, 6.5148315429999997, -99, 842, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-06-06 00:00:00', 2.4700000289999999, 7.072998524, -99, 1228, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-06-07 00:00:00', 0.69999998799999996, 9.3944110869999999, -99, 1152, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-06-08 00:00:00', 1.0700000519999999, 9.1670904160000006, -99, 1076, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-06-09 00:00:00', 0, 7.0042963030000003, -99, 1958, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-06-10 00:00:00', 0.219999999, 7.967444897, -99, 2711, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-06-11 00:00:00', 1.940000057, 11.05054092, -99, 1678, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-06-12 00:00:00', 0, 5.306851387, -99, 2120, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-06-13 00:00:00', 0, 2.8830559249999999, -99, 2891, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-06-14 00:00:00', 0, 5.5323867800000004, -99, 2182, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-06-15 00:00:00', 0, 7.4357099529999999, -99, 2768, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-06-16 00:00:00', 0, 12.023905750000001, -99, 2664, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-06-17 00:00:00', 6.329999924, 14.058993340000001, -99, 2437, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-06-18 00:00:00', 0.15000000599999999, 16.218761440000002, -99, 1318, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-06-19 00:00:00', 0.10000000100000001, 10.732563020000001, -99, 932, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-06-20 00:00:00', 0.10000000100000001, 9.8686571119999993, -99, 1062, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-06-21 00:00:00', 0, 10.603407860000001, -99, 2743, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-06-22 00:00:00', 0, 8.097529411, -99, 2434, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-06-23 00:00:00', 0, 9.6485528949999999, -99, 3017, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-06-24 00:00:00', 0, 10.54696369, -99, 2848, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-06-25 00:00:00', 0, 9.7435436249999992, -99, 1822, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-06-26 00:00:00', 0, 9.4365539550000008, -99, 2732, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-06-27 00:00:00', 0, 9.4102706909999991, -99, 2819, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-06-28 00:00:00', 0, 10.52110386, -99, 2542, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-06-29 00:00:00', 0, 12.38561058, -99, 2437, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-06-30 00:00:00', 0, 10.3831749, -99, 2534, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-07-01 00:00:00', 0, 10.913606639999999, -99, 2210, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-07-02 00:00:00', 0, 12.3618784, -99, 2005, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-07-03 00:00:00', 0.75, 10.88500404, -99, 1685, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-07-04 00:00:00', 2.1400001049999999, 14.035410880000001, -99, 1019, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-07-05 00:00:00', 7.75, 14.753252979999999, -99, 1307, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-07-06 00:00:00', 0.219999999, 12.97224522, -99, 2315, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-07-07 00:00:00', 0.43000000700000002, 8.7741403580000004, -99, 1904, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-07-08 00:00:00', 1.5299999710000001, 8.0717010499999997, -99, 2466, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-07-09 00:00:00', 2.0699999330000001, 6.9832482340000004, -99, 2236, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-07-10 00:00:00', 2.2999999519999998, 8.9459552759999994, -99, 2102, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-07-11 00:00:00', 0.14000000100000001, 7.5568594930000001, -99, 2412, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-07-12 00:00:00', 0, 8.0827531809999993, -99, 2347, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-07-13 00:00:00', 0, 9.1966371539999994, -99, 2243, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-07-14 00:00:00', 0, 6.020233631, -99, 2560, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-07-15 00:00:00', 0, 10.89825916, -99, 1760, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-07-16 00:00:00', 0, 15.30031395, -99, 1465, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-07-17 00:00:00', 1.3700000050000001, 16.66369057, -99, 1343, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-07-18 00:00:00', 0.40999999599999998, 9.5160074229999996, -99, 2088, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-07-19 00:00:00', 0, 9.318835258, -99, 1904, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-07-20 00:00:00', 0.55000001200000004, 6.5771932599999996, -99, 626, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-07-21 00:00:00', 2.539999962, 13.39398289, -99, 1984, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-07-22 00:00:00', 1.539999962, 12.53421307, -99, 1685, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-07-23 00:00:00', 0.40000000600000002, 9.2020978929999995, -99, 1976, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-07-24 00:00:00', 0, 8.0871162410000004, -99, 1746, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-07-25 00:00:00', 6.1900000569999998, 11.90663528, -99, 871, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-07-26 00:00:00', 0.039999999000000001, 12.16988754, -99, 1591, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-07-27 00:00:00', 0, 9.9466876979999999, -99, 1901, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-07-28 00:00:00', 2.8399999139999998, 11.938697810000001, -99, 1670, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-07-29 00:00:00', 7.7699999809999998, 15.88774014, -99, 720, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-07-30 00:00:00', 0, 13.04793549, -99, 1775, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-07-31 00:00:00', 0.33000001299999998, 12.510854719999999, -99, 1436, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-08-01 00:00:00', 1.5499999520000001, 13.169166560000001, -99, 2102, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-08-02 00:00:00', 0, 8.2848844530000001, -99, 1584, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-08-03 00:00:00', 0.730000019, 9.74609375, -99, 2513, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-08-04 00:00:00', 0.15000000599999999, 17.498437880000001, -99, 868, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-08-05 00:00:00', 2.8599998950000001, 11.599506379999999, -99, 1627, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-08-06 00:00:00', 0, 9.6000709529999995, -99, 1602, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-08-07 00:00:00', 2.1400001049999999, 13.116429330000001, -99, 1498, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-08-08 00:00:00', 2, 13.44397831, -99, 1318, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-08-09 00:00:00', 0.12999999500000001, 12.902061460000001, -99, 1361, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-08-10 00:00:00', 0, 7.4884729390000002, -99, 1728, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-08-11 00:00:00', 0, 6.592936516, -99, 1649, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-08-12 00:00:00', 0.87999999500000003, 9.3473997119999996, -99, 1829, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-08-13 00:00:00', 0.18000000699999999, 13.05377865, -99, 1343, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-08-14 00:00:00', 3.0499999519999998, 12.410521510000001, -99, 1634, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-08-15 00:00:00', 10.869999890000001, 15.138503070000001, -99, 1926, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-08-16 00:00:00', 3.5299999710000001, 10.037513730000001, -99, 1516, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-08-17 00:00:00', 0.280000001, 11.582331659999999, -99, 1645, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-08-18 00:00:00', 0.23000000400000001, 8.6735935210000008, -99, 1609, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-08-19 00:00:00', 0.43000000700000002, 8.9548845289999992, -99, 1102, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-08-20 00:00:00', 0.31999999299999998, 9.7023420330000008, -99, 1580, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-08-21 00:00:00', 2.2000000480000002, 7.7625989909999999, -99, 1670, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-08-22 00:00:00', 0.15000000599999999, 10.038696290000001, -99, 1735, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-08-23 00:00:00', 0.55000001200000004, 3.4722349640000001, -99, 1678, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-08-24 00:00:00', 0.66000002599999996, 5.2180848119999999, -99, 1793, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-08-25 00:00:00', 0.10000000100000001, 4.1706600189999996, -99, 1919, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-08-26 00:00:00', 6.7899999619999996, 5.2448167799999998, -99, 583, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-08-27 00:00:00', 14.47999954, 12.37657452, -99, 608, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-08-28 00:00:00', 4.6799998279999997, 12.075728420000001, -99, 713, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-08-29 00:00:00', 2.4400000569999998, 9.1288547520000005, -99, 1012, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-08-30 00:00:00', 0.36000001399999998, 7.6636300090000002, -99, 1469, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-08-31 00:00:00', 1.8999999759999999, 9.0068035129999995, -99, 1368, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-09-01 00:00:00', 2.539999962, 11.442897800000001, -99, 1040, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-09-02 00:00:00', 4.3000001909999996, 9.7700672149999992, -99, 1102, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-09-03 00:00:00', 2.4400000569999998, 9.8976840970000008, -99, 817, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-09-04 00:00:00', 0, 9.4353733060000007, -99, 1379, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-09-05 00:00:00', 1.5499999520000001, 9.4134893420000001, -99, 576, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-09-06 00:00:00', 8.75, 10.827439310000001, -99, 875, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-09-07 00:00:00', 5.4400000569999998, 6.416235447, -99, 925, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-09-08 00:00:00', 4.2100000380000004, 5.7657465930000003, -99, 1271, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-09-09 00:00:00', 2.1800000669999999, 4.7324347500000004, -99, 1519, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-09-10 00:00:00', 2.329999924, 8.0605115890000008, -99, 1314, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-09-11 00:00:00', 0.99000001000000004, 7.2291507719999997, -99, 1321, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-09-12 00:00:00', 0.20000000300000001, 4.9124498369999996, -99, 1656, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-09-13 00:00:00', 4.2100000380000004, 1.5043036940000001, -99, 1339, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-09-14 00:00:00', 9.6199998860000004, 6.944782257, -99, 457, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-09-15 00:00:00', 0.34000000400000002, 4.3327860830000002, -99, 1246, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-09-16 00:00:00', 0.34999999399999998, 4.3813595769999996, -99, 1368, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-09-17 00:00:00', 0, 3.7778098579999999, -99, 1174, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-09-18 00:00:00', 0, 2.4515647889999999, -99, 1566, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-09-19 00:00:00', 0, 6.186713696, -99, 824, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-09-20 00:00:00', 0, 8.9068095679999999, -99, 576, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-09-21 00:00:00', 0.5, 11.62690544, -99, 576, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-09-22 00:00:00', 1.25, 10.488983149999999, -99, 763, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-09-23 00:00:00', 0.28999999199999998, 11.65318012, -99, 702, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-09-24 00:00:00', 0, 4.6836385729999996, -99, 1235, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-09-25 00:00:00', 0.44999998800000002, 1.8570249080000001, -99, 1127, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-09-26 00:00:00', 0.029999998999999999, 8.6639909740000007, -99, 1177, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-09-27 00:00:00', 0, 7.5913081169999996, -99, 558, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-09-28 00:00:00', 0.540000021, 9.8889465330000004, -99, 623, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-09-29 00:00:00', 0, 13.69072628, -99, 796, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-09-30 00:00:00', 0.079999998000000003, 4.0551910400000004, -99, 486, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-10-01 00:00:00', 0.039999999000000001, 12.263074870000001, -99, 630, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-10-02 00:00:00', 0, 7.4449586869999997, -99, 864, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-10-03 00:00:00', 0, 5.7495183939999999, -99, 788, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-10-04 00:00:00', 0, 3.679173708, -99, 767, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-10-05 00:00:00', 2.8199999330000001, -0.44068565999999998, -99, 774, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-10-06 00:00:00', 0.039999999000000001, 9.3445768359999999, -99, 731, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-10-07 00:00:00', 1.539999962, 10.460233690000001, -99, 238, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-10-08 00:00:00', 0, 10.47772121, -99, 799, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-10-09 00:00:00', 0.050000001000000002, 8.0855607989999996, -99, 497, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-10-10 00:00:00', 0.280000001, 12.512560840000001, -99, 378, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-10-11 00:00:00', 0, 10.11434841, -99, 1001, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-10-12 00:00:00', 0, 2.3422014710000001, -99, 763, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-10-13 00:00:00', 0, 6.5949931140000002, -99, 871, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-10-14 00:00:00', 0, 6.079487801, -99, 727, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-10-15 00:00:00', 7.2600002290000001, 10.208498000000001, -99, 173, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-10-16 00:00:00', 0, 10.40191841, -99, 925, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-10-17 00:00:00', 0, 3.6843128200000002, -99, 835, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-10-18 00:00:00', 3.4900000100000002, 2.6460540290000001, -99, 475, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-10-19 00:00:00', 14.06000042, 7.7779350279999999, -99, 320, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-10-20 00:00:00', 10.399999619999999, 3.8838951590000002, -99, 324, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-10-21 00:00:00', 13.75, 3.478544474, -99, 634, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-10-22 00:00:00', 6.6500000950000002, 6.6002330779999996, -99, 482, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-10-23 00:00:00', 4.2100000380000004, 3.8581087589999998, -99, 382, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-10-24 00:00:00', 4.0399999619999996, 2.7769720549999999, -99, 436, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-10-25 00:00:00', 1.8600000139999999, 5.4603600500000002, -99, 367, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-10-26 00:00:00', 4.5500001909999996, 7.0531916619999997, -99, 486, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-10-27 00:00:00', 7.7300000190000002, 8.6541194919999995, -99, 454, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-10-28 00:00:00', 5.2699999809999998, 7.5533943179999996, -99, 198, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-10-29 00:00:00', 2.6099998950000001, 10.927091600000001, -99, 533, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-10-30 00:00:00', 5.7399997709999999, 6.0430459980000002, -99, 504, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-10-31 00:00:00', 3.2300000190000002, 6.1048870089999996, -99, 562, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-11-01 00:00:00', 4.1799998279999997, 4.5984702110000004, -99, 263, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-11-02 00:00:00', 0, 2.9928669929999998, -99, 648, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-11-03 00:00:00', 2.5899999139999998, -1.343060613, -99, 306, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-11-04 00:00:00', 1.1699999569999999, 4.8242664340000001, -99, 436, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-11-05 00:00:00', 8.3400001530000001, 6.6490659709999997, -99, 148, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-11-06 00:00:00', 0.439999998, 5.2333846089999998, -99, 457, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-11-07 00:00:00', 0.60000002399999997, 3.550905228, -99, 245, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-11-08 00:00:00', 5.7699999809999998, 7.9171772000000002, -99, 158, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-11-09 00:00:00', 0.52999997099999996, 5.0160470009999996, -99, 385, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-11-10 00:00:00', 0.280000001, 5.021854877, -99, 202, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-11-11 00:00:00', 5.9299998279999997, 10.221062659999999, -99, 166, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-11-12 00:00:00', 0.560000002, 5.6004514690000002, -99, 299, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-11-13 00:00:00', 0, 0.80720901499999997, -99, 335, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-11-14 00:00:00', 3.7699999809999998, 3.1284012790000002, -99, 94, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-11-15 00:00:00', 1.3899999860000001, 5.4495935439999998, -99, 270, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-11-16 00:00:00', 0.31999999299999998, 5.6414117810000004, -99, 263, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-11-17 00:00:00', 2.7799999710000001, 5.5213322639999998, -99, 130, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-11-18 00:00:00', 8.9200000760000009, 4.8464794160000002, -99, 194, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-11-19 00:00:00', 4.9699997900000001, 6.1620922089999999, -99, 274, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-11-20 00:00:00', 1.4500000479999999, 2.9905529020000001, -99, 212, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-11-21 00:00:00', 0.17000000200000001, 2.8871443270000001, -99, 248, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-11-22 00:00:00', 1.0700000519999999, 2.7837357520000001, -99, 216, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-11-23 00:00:00', 1.8799999949999999, 5.7904000279999996, -99, 288, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-11-24 00:00:00', 8.4099998469999999, 4.4845628739999999, -99, 166, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-11-25 00:00:00', 0.959999979, 9.1424970630000004, -99, 230, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-11-26 00:00:00', 2.670000076, 9.7535181049999995, -99, 180, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-11-27 00:00:00', 0.23999999499999999, 3.4748501780000001, -99, 338, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-11-28 00:00:00', 0, 6.2638697619999997, -99, 184, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-11-29 00:00:00', 0.28999999199999998, 6.9455761909999998, -99, 126, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-11-30 00:00:00', 0, 6.7216868400000003, -99, 277, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-12-01 00:00:00', 1.7200000289999999, 6.2974824910000002, -99, 155, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-12-02 00:00:00', 4.6500000950000002, 5.9825377460000002, -99, 234, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-12-03 00:00:00', 6.3499999049999998, 6.7463030819999998, -99, 126, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-12-04 00:00:00', 7.6100001339999999, 9.3826904300000002, -99, 115, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-12-05 00:00:00', 2.7599999899999998, 9.3630104060000008, -99, 115, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-12-06 00:00:00', 0.77999997099999996, 4.9722161290000004, -99, 245, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-12-07 00:00:00', 0.34999999399999998, 0.0034268670000000001, -99, 259, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-12-08 00:00:00', 0.31999999299999998, 2.5273411270000001, -99, 115, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-12-09 00:00:00', 0.219999999, 4.099898338, -99, 212, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-12-10 00:00:00', 3.9000000950000002, 4.588671207, -99, 148, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-12-11 00:00:00', 0, 2.6778056619999999, -99, 202, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-12-12 00:00:00', 0.85000002399999997, 0.73942393100000003, -99, 158, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-12-13 00:00:00', 1.8799999949999999, 1.480834126, -99, 180, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-12-14 00:00:00', 5.170000076, -0.64992648399999997, -99, 122, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-12-15 00:00:00', 6.5500001909999996, -0.19957324900000001, -99, 108, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-12-16 00:00:00', 1.8700000050000001, 0.195223972, -99, 205, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-12-17 00:00:00', 5.3600001339999999, 1.5213403700000001, -99, 194, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-12-18 00:00:00', 14.56999969, 1.43440485, -99, 173, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-12-19 00:00:00', 2.880000114, 0.27615997199999998, -99, 104, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-12-20 00:00:00', 0, -0.52131331000000003, -99, 169, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-12-21 00:00:00', 0.01, -4.8143453599999999, -99, 212, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-12-22 00:00:00', 0, -5.6548576349999999, -99, 234, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-12-23 00:00:00', 0.079999998000000003, -3.8326108460000001, -99, 202, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-12-24 00:00:00', 0, -4.2551136019999998, -99, 137, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-12-25 00:00:00', 2.4300000669999999, -8.4405136110000001, -99, 104, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-12-26 00:00:00', 0.46000000800000002, -2.017558336, -99, 115, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-12-27 00:00:00', 2.619999886, -3.8126966950000001, -99, 151, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-12-28 00:00:00', 6.5100002290000001, 0.91399145100000001, -99, 104, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-12-29 00:00:00', 0.709999979, 3.5051832200000002, -99, 230, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-12-30 00:00:00', 11.039999959999999, 0.88264614299999999, -99, 140, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1986-12-31 00:00:00', 2.710000038, 0.103560083, -99, 194, 'ask', 'ask_1986');
INSERT INTO public.cdy_cldat VALUES ('1987-01-01 00:00:00', 0, 0.021428721000000001, -99, 248, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-01-02 00:00:00', 0, -2.600007534, -99, 180, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-01-03 00:00:00', 0, -7.7843465810000003, -99, 270, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-01-04 00:00:00', 7.5999999049999998, -9.5820283889999995, -99, 101, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-01-05 00:00:00', 1.3600000139999999, -0.919252336, -99, 122, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-01-06 00:00:00', 0.99000001000000004, -4.1648936269999997, -99, 212, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-01-07 00:00:00', 0.119999997, -8.3378248209999999, -99, 248, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-01-08 00:00:00', 4.75, -12.232900620000001, -99, 155, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-01-09 00:00:00', 0.23999999499999999, -7.5655741689999996, -99, 241, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-01-10 00:00:00', 0.72000002900000004, -14.523782730000001, -99, 184, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-01-11 00:00:00', 1.480000019, -16.12221718, -99, 245, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-01-12 00:00:00', 1.1699999569999999, -13.58068752, -99, 245, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-01-13 00:00:00', 0.38999998600000002, -11.868337629999999, -99, 259, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-01-14 00:00:00', 0.15000000599999999, -10.797421460000001, -99, 191, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-01-15 00:00:00', 0.12999999500000001, -6.697133064, -99, 158, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-01-16 00:00:00', 0.15000000599999999, -3.5314962859999999, -99, 220, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-01-17 00:00:00', 0, -2.9278974529999999, -99, 245, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-01-18 00:00:00', 0, -6.3037838940000004, -99, 248, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-01-19 00:00:00', 0.050000001000000002, -6.2793145179999996, -99, 198, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-01-20 00:00:00', 1.1299999949999999, -7.7076349259999999, -99, 119, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-01-21 00:00:00', 0.74000001000000004, -7.1303901669999998, -99, 205, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-01-22 00:00:00', 4.8699998860000004, 0.18987602000000001, -99, 173, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-01-23 00:00:00', 0.63999998599999997, 1.201576352, -99, 220, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-01-24 00:00:00', 0.920000017, -0.28552886799999999, -99, 151, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-01-25 00:00:00', 0.43000000700000002, 1.58823216, -99, 65, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-01-26 00:00:00', 0, -0.67121803800000002, -99, 450, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-01-27 00:00:00', 2.3499999049999998, -7.325195313, -99, 270, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-01-28 00:00:00', 0.109999999, -4.2650966639999996, -99, 425, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-01-29 00:00:00', 0.029999998999999999, -10.85488129, -99, 439, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-01-30 00:00:00', 0.50999998999999996, -15.544155119999999, -99, 245, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-01-31 00:00:00', 0.27000001099999998, 0.54383575900000003, -99, 320, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-02-01 00:00:00', 0, -2.929367542, -99, 428, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-02-02 00:00:00', 0, -7.0359826090000004, -99, 558, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-02-03 00:00:00', 0, -6.7323789600000001, -99, 508, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-02-04 00:00:00', 0.090000003999999995, -3.4554281229999999, -99, 266, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-02-05 00:00:00', 1.25, -0.51756781299999999, -99, 238, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-02-06 00:00:00', 9.1300001139999996, 2.6022489069999999, -99, 238, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-02-07 00:00:00', 0.109999999, 1.419560194, -99, 666, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-02-08 00:00:00', 0.23000000400000001, -0.75377827900000005, -99, 194, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-02-09 00:00:00', 2.5899999139999998, 0.67994552900000005, -99, 522, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-02-10 00:00:00', 3.380000114, 1.5103079079999999, -99, 284, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-02-11 00:00:00', 0.18000000699999999, 2.053879738, -99, 414, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-02-12 00:00:00', 4.7899999619999996, -0.56821083999999999, -99, 248, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-02-13 00:00:00', 0.050000001000000002, 0.15149559100000001, -99, 518, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-02-14 00:00:00', 0, -0.52937340700000002, -99, 594, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-02-15 00:00:00', 0, -3.954951286, -99, 709, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-02-16 00:00:00', 0, -1.845169783, -99, 475, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-02-17 00:00:00', 0, -4.7135491370000002, -99, 763, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-02-18 00:00:00', 0, -2.4878554340000001, -99, 824, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-02-19 00:00:00', 0, -5.0831456179999996, -99, 853, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-02-20 00:00:00', 0.02, -6.4017062190000003, -99, 756, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-02-21 00:00:00', 0.029999998999999999, -3.3133797650000001, -99, 428, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-02-22 00:00:00', 0, 0.022811115, -99, 738, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-02-23 00:00:00', 0, -5.162621498, -99, 968, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-02-24 00:00:00', 0, -4.1172256469999997, -99, 936, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-02-25 00:00:00', 0, -5.5173635479999996, -99, 698, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-02-26 00:00:00', 0, -3.6353566650000002, -99, 857, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-02-27 00:00:00', 7.1300001139999996, -3.167776108, -99, 194, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-02-28 00:00:00', 2.880000114, -0.47022035699999998, -99, 216, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-03-01 00:00:00', 0, -4.2940368649999998, -99, 716, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-03-02 00:00:00', 0.34000000400000002, -5.9784083370000003, -99, 493, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-03-03 00:00:00', 0, -9.8304662700000005, -99, 950, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-03-04 00:00:00', 0.769999981, -13.349692340000001, -99, 857, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-03-05 00:00:00', 0.46000000800000002, -6.178565979, -99, 659, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-03-06 00:00:00', 0, -9.0618095400000005, -99, 925, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-03-07 00:00:00', 0, -12.365559579999999, -99, 954, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-03-08 00:00:00', 0.039999999000000001, -7.8113021849999997, -99, 526, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-03-09 00:00:00', 0, -3.438599586, -99, 1044, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-03-10 00:00:00', 0, -6.5536103250000002, -99, 1260, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-03-11 00:00:00', 0, -5.9893493649999998, -99, 1271, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-03-12 00:00:00', 0, -6.4326510429999999, -99, 817, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-03-13 00:00:00', 0, -6.5987815860000003, -99, 1307, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-03-14 00:00:00', 0, -6.3199634549999999, -99, 1120, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-03-15 00:00:00', 4.1900000569999998, -5.8290195469999997, -99, 403, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-03-16 00:00:00', 0, -0.90344291899999996, -99, 900, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-03-17 00:00:00', 5.6799998279999997, -6.0290994639999997, -99, 598, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-03-18 00:00:00', 2.5299999710000001, 0.045177284999999998, -99, 968, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-03-19 00:00:00', 0.18000000699999999, 0.49197024099999997, -99, 1001, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-03-20 00:00:00', 1.3999999759999999, -2.3281602860000001, -99, 1350, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-03-21 00:00:00', 2.8399999139999998, -2.0459094050000002, -99, 1238, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-03-22 00:00:00', 1.0700000519999999, -0.55960208199999995, -99, 1166, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-03-23 00:00:00', 1.1599999670000001, -1.1003583669999999, -99, 792, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-03-24 00:00:00', 0.80000001200000004, 0.92074823400000005, -99, 590, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-03-25 00:00:00', 5.5, 0.51246434500000004, -99, 522, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-03-26 00:00:00', 2.1600000860000002, 1.4855875970000001, -99, 1418, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-03-27 00:00:00', 7.1599998469999999, 5.3723068239999998, -99, 364, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-03-28 00:00:00', 9.1599998469999999, 4.5512309069999999, -99, 335, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-03-29 00:00:00', 0.14000000100000001, 2.2581627370000001, -99, 1123, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-03-30 00:00:00', 0, 1.025970101, -99, 1760, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-03-31 00:00:00', 0, -1.4453482630000001, -99, 738, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-04-01 00:00:00', 0.40000000600000002, -0.94411575800000003, -99, 1278, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-04-02 00:00:00', 0.10000000100000001, -1.019096851, -99, 407, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-04-03 00:00:00', 0, 1.7965829369999999, -99, 1328, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-04-04 00:00:00', 0, 1.7555627819999999, -99, 1336, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-04-05 00:00:00', 0.23000000400000001, 3.2034463880000001, -99, 493, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-04-06 00:00:00', 0, 0.44858905700000001, -99, 1746, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-04-07 00:00:00', 2.3599998950000001, 1.6407206059999999, -99, 1282, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-04-08 00:00:00', 0.99000001000000004, 4.3473033909999996, -99, 940, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-04-09 00:00:00', 6.5700001720000003, 5.0884084700000001, -99, 641, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-04-10 00:00:00', 5.4899997709999999, 2.7796115879999999, -99, 634, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-04-11 00:00:00', 4.1399998660000001, 1.547613621, -99, 943, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-04-12 00:00:00', 2.539999962, -0.058788013, -99, 1166, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-04-13 00:00:00', 0.10000000100000001, -0.41999185100000003, -99, 1267, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-04-14 00:00:00', 0.14000000100000001, 2.9104933740000001, -99, 972, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-04-15 00:00:00', 0.029999998999999999, 4.4286432270000002, -99, 1019, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-04-16 00:00:00', 0, 0.67176848600000005, -99, 1526, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-04-17 00:00:00', 0, 2.544016123, -99, 1663, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-04-18 00:00:00', 0, 0.89030748599999998, -99, 2034, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-04-19 00:00:00', 2.25, 2.7828183169999998, -99, 1361, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-04-20 00:00:00', 5.8400001530000001, 7.4618315700000002, -99, 1354, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-04-21 00:00:00', 0.050000001000000002, 5.8013496399999998, -99, 1577, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-04-22 00:00:00', 0, 4.0188884739999997, -99, 1120, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-04-23 00:00:00', 0, 6.9728631969999997, -99, 1843, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-04-24 00:00:00', 0, 3.1004395480000002, -99, 1980, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-04-25 00:00:00', 0, 3.5904445649999999, -99, 2257, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-04-26 00:00:00', 0, 4.0424652099999996, -99, 2128, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-04-27 00:00:00', 0, 0.95966380799999995, -99, 2344, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-04-28 00:00:00', 0, 4.7798023220000001, -99, 2412, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-04-29 00:00:00', 0, 6.2231998439999998, -99, 2322, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-04-30 00:00:00', 0.27000001099999998, 12.326714519999999, -99, 1541, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-05-01 00:00:00', 1.5900000329999999, 10.51809883, -99, 1519, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-05-02 00:00:00', 0.050000001000000002, 6.4419913290000004, -99, 1818, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-05-03 00:00:00', 0, -0.053960316000000001, -99, 2059, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-05-04 00:00:00', 0, 3.5336060520000001, -99, 1865, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-05-05 00:00:00', 0.119999997, 2.0054306980000001, -99, 1098, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-05-06 00:00:00', 0, 5.9621376990000003, -99, 2567, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-05-07 00:00:00', 0, 2.0190477370000002, -99, 2664, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-05-08 00:00:00', 0, 4.7060661320000001, -99, 2156, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-05-09 00:00:00', 0.109999999, 5.6259531970000003, -99, 1825, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-05-10 00:00:00', 0.49000000999999999, 5.594654083, -99, 2171, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-05-11 00:00:00', 7.5, 4.1460056300000003, -99, 860, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-05-12 00:00:00', 1.6499999759999999, 6.7494764329999999, -99, 1091, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-05-13 00:00:00', 3.170000076, 3.8618321419999999, -99, 1220, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-05-14 00:00:00', 2.289999962, 4.170157433, -99, 1919, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-05-15 00:00:00', 2.2999999519999998, 5.3478245739999997, -99, 792, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-05-16 00:00:00', 0.790000021, 6.0047454829999998, -99, 1710, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-05-17 00:00:00', 1.3400000329999999, 6.4227285390000004, -99, 1660, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-05-18 00:00:00', 0.079999998000000003, 4.0050806999999997, -99, 2466, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-05-19 00:00:00', 2.75, 3.4512860769999998, -99, 1073, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-05-20 00:00:00', 5.1500000950000002, 4.3563675880000003, -99, 1912, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-05-21 00:00:00', 5.2899999619999996, 5.0659470559999997, -99, 1667, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-05-22 00:00:00', 0, 5.4214215279999998, -99, 1181, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-05-23 00:00:00', 0, 4.7203583719999997, -99, 3010, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-05-24 00:00:00', 0, 4.7751450540000002, -99, 2884, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-05-25 00:00:00', 0, 4.8931560520000001, -99, 2880, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-05-26 00:00:00', 0, 3.416643858, -99, 2855, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-05-27 00:00:00', 0.029999998999999999, 6.4060802460000001, -99, 1094, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-05-28 00:00:00', 0.070000000000000007, 6.2218408580000002, -99, 1660, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-05-29 00:00:00', 0.25999999000000001, 6.7165560720000004, -99, 1332, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-05-30 00:00:00', 1.710000038, 2.7218635080000002, -99, 1890, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-05-31 00:00:00', 5.6999998090000004, 9.1112213129999997, -99, 605, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-06-01 00:00:00', 4.0700001720000003, 8.4911794660000002, -99, 1033, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-06-02 00:00:00', 0.090000003999999995, 8.8598165509999998, -99, 1310, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-06-03 00:00:00', 0.94999998799999996, 8.1164484019999996, -99, 1980, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-06-04 00:00:00', 4.1799998279999997, 9.606071472, -99, 1159, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-06-05 00:00:00', 0.090000003999999995, 9.7159795760000005, -99, 1246, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-06-06 00:00:00', 5.1399998660000001, 9.5513782500000008, -99, 1076, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-06-07 00:00:00', 5, 9.173508644, -99, 997, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-06-08 00:00:00', 15.77000046, 8.3420486450000002, -99, 799, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-06-09 00:00:00', 0.050000001000000002, 8.8581008909999994, -99, 1980, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-06-10 00:00:00', 0.039999999000000001, 5.4191374779999997, -99, 2484, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-06-11 00:00:00', 7.4400000569999998, 4.0918436050000002, -99, 940, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-06-12 00:00:00', 0.02, 9.2577152250000001, -99, 2614, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-06-13 00:00:00', 3.579999924, 3.0359115600000002, -99, 1807, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-06-14 00:00:00', 11.989999770000001, 8.2525587080000005, -99, 720, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-06-15 00:00:00', 0.039999999000000001, 3.9555282589999998, -99, 1886, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-06-16 00:00:00', 0.20000000300000001, 9.0993461609999997, -99, 1494, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-06-17 00:00:00', 11.81999969, 9.1344165799999999, -99, 1087, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-06-18 00:00:00', 2.4900000100000002, 8.5672616959999992, -99, 896, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-06-19 00:00:00', 0.079999998000000003, 8.0851583480000002, -99, 1541, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-06-20 00:00:00', 2.0499999519999998, 5.1185417180000004, -99, 2153, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-06-21 00:00:00', 0.43000000700000002, 8.7813529970000008, -99, 1613, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-06-22 00:00:00', 1.7599999900000001, 2.9441912170000002, -99, 1048, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-06-23 00:00:00', 3.5599999430000002, 9.7801647190000001, -99, 1552, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-06-24 00:00:00', 0.25999999000000001, 4.7242345810000002, -99, 2056, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-06-25 00:00:00', 5.6799998279999997, 6.2834959030000004, -99, 1987, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-06-26 00:00:00', 0.23999999499999999, 10.31171131, -99, 1742, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-06-27 00:00:00', 0.280000001, 9.2251090999999992, -99, 1642, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-06-28 00:00:00', 2.7400000100000002, 7.8577528000000001, -99, 1793, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-06-29 00:00:00', 1.539999962, 14.86438942, -99, 958, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-06-30 00:00:00', 3.2799999710000001, 15.76056099, -99, 1678, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-07-01 00:00:00', 0.079999998000000003, 10.566973689999999, -99, 2203, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-07-02 00:00:00', 0, 9.7535667420000003, -99, 2632, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-07-03 00:00:00', 0, 6.8944063189999998, -99, 2660, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-07-04 00:00:00', 0, 6.8976349829999997, -99, 2412, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-07-05 00:00:00', 0, 9.0472764970000004, -99, 2538, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-07-06 00:00:00', 0, 12.0891161, -99, 2822, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-07-07 00:00:00', 0, 14.487812999999999, -99, 2603, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-07-08 00:00:00', 1.4099999670000001, 13.7949152, -99, 2243, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-07-09 00:00:00', 2.1099998950000001, 8.4400510789999998, -99, 2012, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-07-10 00:00:00', 0.86000001400000003, 10.00868034, -99, 2117, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-07-11 00:00:00', 8.0399999619999996, 10.633518219999999, -99, 641, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-07-12 00:00:00', 0.070000000000000007, 14.118407250000001, -99, 1984, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-07-13 00:00:00', 0, 8.9893646240000002, -99, 1840, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-07-14 00:00:00', 0, 10.91604137, -99, 2149, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-07-15 00:00:00', 2.130000114, 9.9685802460000001, -99, 2138, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-07-16 00:00:00', 2.2699999809999998, 15.391363139999999, -99, 2048, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-07-17 00:00:00', 8.1300001139999996, 14.60944462, -99, 504, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-07-18 00:00:00', 13.18999958, 14.43621635, -99, 1040, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-07-19 00:00:00', 0.94999998799999996, 13.59838772, -99, 1703, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-07-20 00:00:00', 0.50999998999999996, 12.838662149999999, -99, 742, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-07-21 00:00:00', 0.14000000100000001, 13.65958786, -99, 1328, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-07-22 00:00:00', 1.940000057, 15.174613000000001, -99, 1073, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-07-23 00:00:00', 0, 13.99202442, -99, 2380, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-07-24 00:00:00', 1.9900000099999999, 13.548455239999999, -99, 1235, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-07-25 00:00:00', 2.8599998950000001, 10.756200789999999, -99, 2239, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-07-26 00:00:00', 0.72000002900000004, 8.8552618029999994, -99, 1512, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-07-27 00:00:00', 0.01, 9.9833526609999996, -99, 1613, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-07-28 00:00:00', 0.75999998999999996, 9.6424474720000006, -99, 1120, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-07-29 00:00:00', 0.64999997600000003, 10.908773419999999, -99, 1537, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-07-30 00:00:00', 0.20000000300000001, 11.61324024, -99, 1656, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-07-31 00:00:00', 4.1599998469999999, 10.24292374, -99, 1217, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-08-01 00:00:00', 8.7700004580000002, 12.90348148, -99, 1534, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-08-02 00:00:00', 1.7799999710000001, 10.895558360000001, -99, 1904, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-08-03 00:00:00', 2.369999886, 9.5739889139999992, -99, 1710, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-08-04 00:00:00', 1.7200000289999999, 8.047604561, -99, 1735, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-08-05 00:00:00', 9.7299995419999998, 11.484063150000001, -99, 1087, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-08-06 00:00:00', 1.1699999569999999, 8.169101715, -99, 1696, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-08-07 00:00:00', 7.6300001139999996, 7.8279409409999996, -99, 727, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-08-08 00:00:00', 4.1500000950000002, 10.66474152, -99, 1696, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-08-09 00:00:00', 0.55000001200000004, 9.5613470080000003, -99, 1656, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-08-10 00:00:00', 6.2699999809999998, 6.8920192719999998, -99, 1678, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-08-11 00:00:00', 0.99000001000000004, 5.1322827340000003, -99, 1523, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-08-12 00:00:00', 0.37999999499999998, 6.5688734049999997, -99, 1789, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-08-13 00:00:00', 9.2299995419999998, 4.6848578449999998, -99, 1256, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-08-14 00:00:00', 2.579999924, 14.200586319999999, -99, 1271, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-08-15 00:00:00', 0.43000000700000002, 12.130434040000001, -99, 1523, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-08-16 00:00:00', 0.670000017, 10.8929882, -99, 1048, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-08-17 00:00:00', 0.25999999000000001, 14.194303509999999, -99, 1274, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-08-18 00:00:00', 4.2699999809999998, 13.52846813, -99, 961, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-08-19 00:00:00', 0.039999999000000001, 14.41687202, -99, 2088, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-08-20 00:00:00', 0, 7.3205642700000002, -99, 1951, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-08-21 00:00:00', 0, 10.372579569999999, -99, 1480, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-08-22 00:00:00', 0.14000000100000001, 14.958022120000001, -99, 1210, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-08-23 00:00:00', 0, 17.456766129999998, -99, 893, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-08-24 00:00:00', 0, 14.670414920000001, -99, 1372, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-08-25 00:00:00', 3.7400000100000002, 14.631032940000001, -99, 446, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-08-26 00:00:00', 3.130000114, 12.834558489999999, -99, 706, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-08-27 00:00:00', 0.079999998000000003, 12.24616241, -99, 1390, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-08-28 00:00:00', 0.37000000500000002, 11.495822909999999, -99, 1138, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-08-29 00:00:00', 0, 8.2402887339999999, -99, 1652, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-08-30 00:00:00', 0.36000001399999998, 9.9457445139999994, -99, 882, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-08-31 00:00:00', 0, 11.891981120000001, -99, 2063, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-09-01 00:00:00', 0, 7.7677383420000004, -99, 1850, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-09-02 00:00:00', 0, 9.8899707790000004, -99, 1620, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-09-03 00:00:00', 0, 5.4451661109999998, -99, 1922, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-09-04 00:00:00', 1.4500000479999999, 13.52660942, -99, 1048, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-09-05 00:00:00', 12.56000042, 13.772627829999999, -99, 310, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-09-06 00:00:00', 22.100000380000001, 10.162235259999999, -99, 1328, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-09-07 00:00:00', 1.309999943, 11.35536671, -99, 1498, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-09-08 00:00:00', 1.5700000519999999, 8.150775909, -99, 1332, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-09-09 00:00:00', 0.109999999, 8.5134897229999993, -99, 1422, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-09-10 00:00:00', 7.2199997900000001, 9.0342302320000005, -99, 706, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-09-11 00:00:00', 3.0599999430000002, 9.9271936420000007, -99, 932, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-09-12 00:00:00', 27, 11.36204815, -99, 353, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-09-13 00:00:00', 0.33000001299999998, 10.91925049, -99, 1728, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-09-14 00:00:00', 0.36000001399999998, 8.9278717039999993, -99, 1447, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-09-15 00:00:00', 0.939999998, 12.212948799999999, -99, 1303, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-09-16 00:00:00', 0.75, 7.8404097559999997, -99, 598, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-09-17 00:00:00', 6.1399998660000001, 9.2564420700000003, -99, 342, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-09-18 00:00:00', 0, 12.111605640000001, -99, 1202, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-09-19 00:00:00', 1.0700000519999999, 5.5638976099999997, -99, 1159, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-09-20 00:00:00', 0.090000003999999995, 7.6337823870000001, -99, 904, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-09-21 00:00:00', 2.2699999809999998, 9.932526588, -99, 641, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-09-22 00:00:00', 5.329999924, 13.76931667, -99, 842, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-09-23 00:00:00', 0.02, 5.286376476, -99, 1019, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-09-24 00:00:00', 9.2899999619999996, 6.2281880379999999, -99, 806, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-09-25 00:00:00', 3.670000076, 6.9821686740000004, -99, 936, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-09-26 00:00:00', 0.689999998, 4.8474283219999998, -99, 1037, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-09-27 00:00:00', 1.9099999670000001, 6.1388297080000003, -99, 1073, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-09-28 00:00:00', 0, 4.8203053469999997, -99, 990, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-09-29 00:00:00', 0, 0.30944448699999999, -99, 1260, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-09-30 00:00:00', 0, 2.2407011990000001, -99, 1174, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-10-01 00:00:00', 0, 3.7125060560000001, -99, 1058, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-10-02 00:00:00', 0, 5.9428100590000001, -99, 1192, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-10-03 00:00:00', 0, 4.7419953350000004, -99, 1228, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-10-04 00:00:00', 0, 7.5364313129999996, -99, 1022, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-10-05 00:00:00', 1.7400000099999999, 7.0071706770000004, -99, 889, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-10-06 00:00:00', 8.0600004199999997, 11.49438095, -99, 320, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-10-07 00:00:00', 5.9600000380000004, 8.6353731160000002, -99, 842, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-10-08 00:00:00', 9.8699998860000004, 9.678017616, -99, 551, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-10-09 00:00:00', 1.1200000050000001, 7.336447239, -99, 508, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-10-10 00:00:00', 0, 8.1444187160000006, -99, 868, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-10-11 00:00:00', 1.3500000240000001, 10.472594259999999, -99, 475, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-10-12 00:00:00', 17.969999309999999, 7.4474925990000003, -99, 176, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-10-13 00:00:00', 0.219999999, 6.4412455560000001, -99, 450, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-10-14 00:00:00', 3.75, 8.0902328489999995, -99, 655, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-10-15 00:00:00', 14, 6.3305869100000001, -99, 562, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-10-16 00:00:00', 0.41999998700000002, 13.296610830000001, -99, 482, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-10-17 00:00:00', 0, 10.088723180000001, -99, 832, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-10-18 00:00:00', 0, 5.4544091220000004, -99, 691, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-10-19 00:00:00', 0, 7.200719833, -99, 814, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-10-20 00:00:00', 0, 8.1018609999999995, -99, 598, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-10-21 00:00:00', 0.40000000600000002, 9.6062288280000008, -99, 421, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-10-22 00:00:00', 14.80000019, 7.8848009110000001, -99, 230, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-10-23 00:00:00', 0, 5.6403307910000002, -99, 680, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-10-24 00:00:00', 0.959999979, 5.1179308890000001, -99, 472, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-10-25 00:00:00', 0.310000002, 2.3709728719999998, -99, 508, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-10-26 00:00:00', 0, 3.8153412339999999, -99, 432, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-10-27 00:00:00', 0, 4.9438729290000003, -99, 529, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-10-28 00:00:00', 0.93000000699999996, 7.6070613859999998, -99, 403, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-10-29 00:00:00', 4.7399997709999999, 6.8257927890000003, -99, 158, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-10-30 00:00:00', 0, 5.858558178, -99, 212, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-10-31 00:00:00', 15.079999920000001, 5.0752916340000001, -99, 216, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-11-01 00:00:00', 1.1299999949999999, 5.2946233749999996, -99, 299, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-11-02 00:00:00', 0, 7.1032929420000004, -99, 446, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-11-03 00:00:00', 0, 2.9456179140000001, -99, 356, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-11-04 00:00:00', 0, 1.858430982, -99, 500, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-11-05 00:00:00', 0, 6.1907896999999998, -99, 472, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-11-06 00:00:00', 0.039999999000000001, 8.2224121090000004, -99, 299, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-11-07 00:00:00', 0, 7.3667221070000002, -99, 216, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-11-08 00:00:00', 0.119999997, 4.2131867410000003, -99, 335, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-11-09 00:00:00', 0.059999998999999998, 1.373690128, -99, 292, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-11-10 00:00:00', 0.40000000600000002, 1.6979435679999999, -99, 421, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-11-11 00:00:00', 14.80000019, 1.983983278, -99, 346, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-11-12 00:00:00', 14.81000042, 6.9293756479999997, -99, 155, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-11-13 00:00:00', 10, 5.0567679410000004, -99, 284, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-11-14 00:00:00', 0.77999997099999996, 1.5402363539999999, -99, 443, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-11-15 00:00:00', 0.68000000699999996, 2.70310235, -99, 353, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-11-16 00:00:00', 7.920000076, 5.2388854030000003, -99, 227, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-11-17 00:00:00', 2.7999999519999998, 7.6355557440000004, -99, 230, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-11-18 00:00:00', 8.0900001530000001, 7.8554964070000004, -99, 324, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-11-19 00:00:00', 2.5099999899999998, 9.2466478349999992, -99, 238, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-11-20 00:00:00', 1.75, 3.2777073379999999, -99, 144, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-11-21 00:00:00', 6.8400001530000001, 2.975358248, -99, 324, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-11-22 00:00:00', 0.88999998599999997, 6.2233014109999996, -99, 302, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-11-23 00:00:00', 0.44999998800000002, 2.654287815, -99, 263, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-11-24 00:00:00', 0.10000000100000001, 3.6133971210000002, -99, 252, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-11-25 00:00:00', 2.6500000950000002, 3.3143031600000001, -99, 97, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-11-26 00:00:00', 3.5099999899999998, 2.5960216520000001, -99, 108, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-11-27 00:00:00', 0.47999998900000002, 2.3553624150000001, -99, 144, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-11-28 00:00:00', 0, 1.9501790999999999, -99, 126, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-11-29 00:00:00', 0, 0.917363763, -99, 205, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-11-30 00:00:00', 0.039999999000000001, -0.986359239, -99, 317, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-12-01 00:00:00', 0, -0.64429926900000001, -99, 288, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-12-02 00:00:00', 0, -0.69279611100000005, -99, 295, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-12-03 00:00:00', 0, -2.5182013510000001, -99, 274, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-12-04 00:00:00', 0, -0.93508350799999995, -99, 166, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-12-05 00:00:00', 0.079999998000000003, -0.29898783600000001, -99, 144, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-12-06 00:00:00', 0, -0.16267472499999999, -99, 151, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-12-07 00:00:00', 0, -3.2102937699999998, -99, 270, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-12-08 00:00:00', 0, -6.754639149, -99, 266, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-12-09 00:00:00', 0.25, -6.0338344570000002, -99, 216, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-12-10 00:00:00', 0, 2.1882717610000002, -99, 212, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-12-11 00:00:00', 0, 1.2078102829999999, -99, 252, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-12-12 00:00:00', 0, -4.9313340190000003, -99, 212, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-12-13 00:00:00', 0.560000002, -5.5233573910000002, -99, 205, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-12-14 00:00:00', 1.190000057, -2.8131487370000001, -99, 112, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-12-15 00:00:00', 0.209999993, 0.44541343999999999, -99, 169, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-12-16 00:00:00', 0.119999997, -4.6488251690000002, -99, 173, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-12-17 00:00:00', 2.6500000950000002, -0.109190896, -99, 198, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-12-18 00:00:00', 9.7799997330000004, 2.0087275509999998, -99, 169, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-12-19 00:00:00', 1.289999962, 6.064079285, -99, 209, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-12-20 00:00:00', 4.3099999430000002, 6.1502184870000001, -99, 126, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-12-21 00:00:00', 2.880000114, 5.4034485820000002, -99, 104, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-12-22 00:00:00', 0, 6.5911731720000004, -99, 223, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-12-23 00:00:00', 0, 5.0901193620000003, -99, 101, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-12-24 00:00:00', 0.37999999499999998, -0.93049299699999999, -99, 104, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-12-25 00:00:00', 0.31999999299999998, 0.887905061, -99, 191, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-12-26 00:00:00', 6.1100001339999999, 6.0996131900000004, -99, 126, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-12-27 00:00:00', 9.6999998089999995, 7.3484759329999996, -99, 184, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-12-28 00:00:00', 8.1400003430000005, 7.3427357669999997, -99, 101, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-12-29 00:00:00', 6.8000001909999996, 8.7022171020000005, -99, 101, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-12-30 00:00:00', 0, 7.4087805749999998, -99, 234, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1987-12-31 00:00:00', 0.039999999000000001, 4.6462197300000003, -99, 122, 'ask', 'ask_1987');
INSERT INTO public.cdy_cldat VALUES ('1988-01-01 00:00:00', 7.2699999809999998, 7.5097312929999998, -99, 194, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-01-02 00:00:00', 16.420000080000001, 6.2260022160000004, -99, 104, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-01-03 00:00:00', 12.18000031, 6.1791820529999999, -99, 112, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-01-04 00:00:00', 2.75, 4.901125908, -99, 133, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-01-05 00:00:00', 3.0599999430000002, 1.3415644170000001, -99, 112, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-01-06 00:00:00', 14.380000109999999, 1.1511760950000001, -99, 101, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-01-07 00:00:00', 5.0399999619999996, 5.8140597339999998, -99, 194, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-01-08 00:00:00', 0, 1.7359439130000001, -99, 270, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-01-09 00:00:00', 1.0800000430000001, -2.100712299, -99, 104, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-01-10 00:00:00', 10.43000031, 4.1012516019999996, -99, 126, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-01-11 00:00:00', 5.8499999049999998, 4.6154065129999999, -99, 140, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-01-12 00:00:00', 0.10000000100000001, 2.2443733219999999, -99, 184, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-01-13 00:00:00', 0, 0.844013393, -99, 155, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-01-14 00:00:00', 0.079999998000000003, 0.79946434499999997, -99, 148, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-01-15 00:00:00', 0.039999999000000001, 2.9301526550000001, -99, 274, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-01-16 00:00:00', 0.38999998600000002, 2.0937407019999998, -99, 176, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-01-17 00:00:00', 0.49000000999999999, 2.3722472190000001, -99, 144, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-01-18 00:00:00', 1.8500000240000001, 1.569631577, -99, 263, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-01-19 00:00:00', 0.01, 2.4072351460000001, -99, 151, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-01-20 00:00:00', 0.109999999, 0.57803058600000001, -99, 169, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-01-21 00:00:00', 0.579999983, 1.9785383940000001, -99, 234, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-01-22 00:00:00', 0.790000021, 2.077002287, -99, 140, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-01-23 00:00:00', 0.01, -0.102908053, -99, 328, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-01-24 00:00:00', 6.8600001339999999, -2.3679547310000002, -99, 263, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-01-25 00:00:00', 9.8900003430000005, 1.79868114, -99, 220, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-01-26 00:00:00', 1.25, 4.659041405, -99, 320, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-01-27 00:00:00', 0.039999999000000001, 4.1202807430000004, -99, 374, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-01-28 00:00:00', 10.06000042, -0.40370851800000002, -99, 310, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-01-29 00:00:00', 6.8699998860000004, 1.185593009, -99, 173, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-01-30 00:00:00', 0.079999998000000003, 3.7381069660000001, -99, 292, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-01-31 00:00:00', 4.3000001909999996, 1.549436569, -99, 126, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-02-01 00:00:00', 8.3599996569999995, 2.722864628, -99, 148, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-02-02 00:00:00', 8.5900001530000001, 3.7143924240000001, -99, 281, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-02-03 00:00:00', 0.540000021, 2.6402952669999999, -99, 230, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-02-04 00:00:00', 7.2699999809999998, 3.3966989519999999, -99, 266, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-02-05 00:00:00', 5.0599999430000002, 1.8702813389999999, -99, 508, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-02-06 00:00:00', 21.450000760000002, 3.8387448790000001, -99, 389, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-02-07 00:00:00', 2.2999999519999998, 1.8154803509999999, -99, 580, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-02-08 00:00:00', 1.6100000139999999, 0.42202109100000001, -99, 277, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-02-09 00:00:00', 11.31999969, -2.603003502, -99, 90, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-02-10 00:00:00', 4.3499999049999998, 1.354056597, -99, 227, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-02-11 00:00:00', 1.8300000430000001, 2.4353857040000002, -99, 418, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-02-12 00:00:00', 0.33000001299999998, 1.510702014, -99, 518, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-02-13 00:00:00', 0.72000002900000004, -1.083491325, -99, 695, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-02-14 00:00:00', 2.3399999139999998, 2.0006725790000002, -99, 313, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-02-15 00:00:00', 0, 0.62087023299999999, -99, 695, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-02-16 00:00:00', 10.14000034, -0.25181433600000003, -99, 112, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-02-17 00:00:00', 2.7599999899999998, 2.7094450000000001, -99, 313, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-02-18 00:00:00', 3.579999924, 1.5023280379999999, -99, 284, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-02-19 00:00:00', 0.55000001200000004, 3.3123803139999999, -99, 677, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-02-20 00:00:00', 0.079999998000000003, 0.412142754, -99, 443, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-02-21 00:00:00', 1.0900000329999999, 0.77702897800000004, -99, 713, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-02-22 00:00:00', 3.9400000569999998, 2.9367208480000002, -99, 472, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-02-23 00:00:00', 1.0800000430000001, 0.65316200300000005, -99, 569, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-02-24 00:00:00', 0.23000000400000001, -0.37135785799999999, -99, 475, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-02-25 00:00:00', 0.15000000599999999, -1.5114461180000001, -99, 403, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-02-26 00:00:00', 0.560000002, -0.55945426200000004, -99, 346, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-02-27 00:00:00', 3.1600000860000002, -0.26315170500000001, -99, 828, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-02-28 00:00:00', 0.36000001399999998, -1.6190898419999999, -99, 576, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-02-29 00:00:00', 1.2799999710000001, 0.88098996900000004, -99, 342, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-03-01 00:00:00', 0.23999999499999999, -1.762412071, -99, 929, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-03-02 00:00:00', 0.189999998, -3.1635601520000001, -99, 864, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-03-03 00:00:00', 4.7899999619999996, 0.080817416000000003, -99, 241, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-03-04 00:00:00', 2.579999924, 0.59713989499999998, -99, 886, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-03-05 00:00:00', 0.939999998, 0.72379851299999998, -99, 994, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-03-06 00:00:00', 3.3199999330000001, -2.1380240920000002, -99, 706, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-03-07 00:00:00', 0.23000000400000001, 0.54018849099999999, -99, 893, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-03-08 00:00:00', 0, -1.0861613750000001, -99, 1192, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-03-09 00:00:00', 1.0099999900000001, -5.3851661679999996, -99, 464, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-03-10 00:00:00', 2.420000076, 2.2964100840000001, -99, 778, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-03-11 00:00:00', 3.3900001049999999, 0.54451614599999998, -99, 713, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-03-12 00:00:00', 0.75999998999999996, -1.1790634390000001, -99, 1202, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-03-13 00:00:00', 1.75, -2.8071689609999999, -99, 1008, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-03-14 00:00:00', 0.670000017, -3.6959176060000001, -99, 990, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-03-15 00:00:00', 13.130000109999999, -3.778183222, -99, 407, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-03-16 00:00:00', 3.6800000669999999, 0.82828974700000002, -99, 457, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-03-17 00:00:00', 0.37000000500000002, -0.44587475100000001, -99, 1217, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-03-18 00:00:00', 0, -3.2403223510000001, -99, 1501, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-03-19 00:00:00', 4.5700001720000003, -3.686885357, -99, 839, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-03-20 00:00:00', 4.8000001909999996, 2.284193277, -99, 803, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-03-21 00:00:00', 0.12999999500000001, 3.1272640229999999, -99, 634, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-03-22 00:00:00', 0, 0.42108115600000001, -99, 1447, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-03-23 00:00:00', 2.9500000480000002, -0.33442592599999998, -99, 943, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-03-24 00:00:00', 10.22000027, 2.526230574, -99, 511, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-03-25 00:00:00', 4.5700001720000003, 3.1897096629999999, -99, 983, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-03-26 00:00:00', 8.1999998089999995, 3.5866980549999998, -99, 756, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-03-27 00:00:00', 7.4299998279999997, 4.4502687449999998, -99, 644, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-03-28 00:00:00', 1.2999999520000001, 2.156112432, -99, 1440, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-03-29 00:00:00', 12.369999890000001, 2.8450322149999998, -99, 565, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-03-30 00:00:00', 0.280000001, 3.9256658550000001, -99, 965, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-03-31 00:00:00', 0.01, 4.9772777560000003, -99, 864, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-04-01 00:00:00', 0, 2.4453012940000001, -99, 788, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-04-02 00:00:00', 0, 2.9200036530000002, -99, 1228, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-04-03 00:00:00', 0, 3.3888359069999998, -99, 742, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-04-04 00:00:00', 0, 2.7351083759999999, -99, 1051, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-04-05 00:00:00', 0, 0.643640459, -99, 1040, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-04-06 00:00:00', 0, -1.6357523199999999, -99, 1386, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-04-07 00:00:00', 0, -0.064798407000000002, -99, 1472, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-04-08 00:00:00', 0, 3.7262909409999998, -99, 1404, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-04-09 00:00:00', 0.219999999, -0.229228243, -99, 1469, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-04-10 00:00:00', 5.3899998660000001, -1.1714183090000001, -99, 515, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-04-11 00:00:00', 0.920000017, 4.0506114960000001, -99, 983, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-04-12 00:00:00', 0.12999999500000001, 5.469202042, -99, 1717, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-04-13 00:00:00', 0, -1.5318800210000001, -99, 2156, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-04-14 00:00:00', 0, -2.224107981, -99, 1768, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-04-15 00:00:00', 0, 0.45541572600000002, -99, 2110, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-04-16 00:00:00', 1.0099999900000001, 5.223162651, -99, 850, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-04-17 00:00:00', 0.69999998799999996, 9.4969358439999993, -99, 1105, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-04-18 00:00:00', 0, 7.5611219409999997, -99, 896, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-04-19 00:00:00', 0, 3.5828001500000002, -99, 1148, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-04-20 00:00:00', 0, 9.3950309749999992, -99, 1238, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-04-21 00:00:00', 1.5900000329999999, 5.377317905, -99, 752, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-04-22 00:00:00', 0.310000002, 1.146390676, -99, 1829, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-04-23 00:00:00', 0, -1.7500723600000001, -99, 1998, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-04-24 00:00:00', 0.30000001199999998, -3.9026355740000001, -99, 1804, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-04-25 00:00:00', 0, 0.049248452999999998, -99, 2081, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-04-26 00:00:00', 0, -1.938700557, -99, 2099, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-04-27 00:00:00', 0, -1.95491159, -99, 2484, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-04-28 00:00:00', 2.4300000669999999, 1.665974617, -99, 2300, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-04-29 00:00:00', 1.6399999860000001, 4.3142013549999998, -99, 983, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-04-30 00:00:00', 0.01, 2.7318735119999999, -99, 2203, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-05-01 00:00:00', 0, 7.082811832, -99, 1865, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-05-02 00:00:00', 0.97000002900000004, 9.6825437549999993, -99, 943, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-05-03 00:00:00', 1.1599999670000001, 7.4736866949999996, -99, 1620, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-05-04 00:00:00', 3.670000076, 6.5166673660000001, -99, 983, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-05-05 00:00:00', 0.23000000400000001, 8.6718988419999992, -99, 792, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-05-06 00:00:00', 0, 7.6596384049999999, -99, 1926, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-05-07 00:00:00', 0, 5.5128412249999998, -99, 2200, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-05-08 00:00:00', 0, 8.818449974, -99, 2329, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-05-09 00:00:00', 0, 9.1815738679999992, -99, 1670, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-05-10 00:00:00', 0, 7.6220436100000004, -99, 2290, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-05-11 00:00:00', 0, 4.3237133029999999, -99, 2642, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-05-12 00:00:00', 0, 8.636544228, -99, 2538, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-05-13 00:00:00', 0, 9.3896217350000004, -99, 2639, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-05-14 00:00:00', 0, 8.6961021420000009, -99, 2689, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-05-15 00:00:00', 0, 9.1577405929999998, -99, 2758, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-05-16 00:00:00', 0, 8.1648397450000001, -99, 2804, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-05-17 00:00:00', 0.01, 6.0890183450000004, -99, 2758, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-05-18 00:00:00', 0.12999999500000001, 3.7671575549999998, -99, 1940, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-05-19 00:00:00', 1.8500000240000001, 0.39903053599999999, -99, 2390, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-05-20 00:00:00', 9.0399999619999996, 5.3713297840000003, -99, 1206, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-05-21 00:00:00', 0.18000000699999999, 5.6303968429999998, -99, 1768, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-05-22 00:00:00', 0.029999998999999999, 2.2351937290000001, -99, 2567, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-05-23 00:00:00', 0, 3.7295231819999999, -99, 2344, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-05-24 00:00:00', 0.49000000999999999, 8.7093000410000005, -99, 1213, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-05-25 00:00:00', 0, 6.1801919940000003, -99, 2311, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-05-26 00:00:00', 0.059999998999999998, 12.887083049999999, -99, 2214, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-05-27 00:00:00', 2.4800000190000002, 13.04827785, -99, 2596, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-05-28 00:00:00', 4.5599999430000002, 13.81342888, -99, 2704, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-05-29 00:00:00', 7.0900001530000001, 14.01655674, -99, 1771, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-05-30 00:00:00', 4.0500001909999996, 7.8745250699999998, -99, 2621, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-05-31 00:00:00', 4.6300001139999996, 11.953975679999999, -99, 1530, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-06-01 00:00:00', 1.3700000050000001, 9.9452991490000002, -99, 1764, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-06-02 00:00:00', 0.91000002599999996, 10.868746760000001, -99, 1768, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-06-03 00:00:00', 1.039999962, 9.1551675800000005, -99, 1022, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-06-04 00:00:00', 2.3199999330000001, 7.1946220399999996, -99, 1724, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-06-05 00:00:00', 0.109999999, 8.7166662220000006, -99, 2081, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-06-06 00:00:00', 5.8099999430000002, 8.7281770709999993, -99, 1847, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-06-07 00:00:00', 0.119999997, 11.943052290000001, -99, 1793, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-06-08 00:00:00', 4.5999999049999998, 13.84554863, -99, 1624, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-06-09 00:00:00', 0, 14.834008219999999, -99, 2315, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-06-10 00:00:00', 0, 14.37260723, -99, 2448, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-06-11 00:00:00', 0, 13.285326, -99, 2596, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-06-12 00:00:00', 0, 6.0969562530000001, -99, 2988, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-06-13 00:00:00', 0, 8.7647695540000008, -99, 2412, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-06-14 00:00:00', 0, 12.371171, -99, 2560, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-06-15 00:00:00', 0, 7.8748726839999996, -99, 1678, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-06-16 00:00:00', 0, 11.12619209, -99, 2444, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-06-17 00:00:00', 0, 8.8642883300000008, -99, 2567, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-06-18 00:00:00', 0, 11.84801388, -99, 1343, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-06-19 00:00:00', 0, 11.41092205, -99, 1724, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-06-20 00:00:00', 0, 11.794884679999999, -99, 1386, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-06-21 00:00:00', 1.7599999900000001, 11.60712242, -99, 2056, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-06-22 00:00:00', 1.5800000430000001, 13.128177640000001, -99, 612, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-06-23 00:00:00', 0, 10.58518887, -99, 2772, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-06-24 00:00:00', 2.5, 11.1973381, -99, 2542, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-06-25 00:00:00', 4.7699999809999998, 11.51649761, -99, 2056, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-06-26 00:00:00', 3.5299999710000001, 13.568392749999999, -99, 2365, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-06-27 00:00:00', 4.8200001720000003, 15.99048805, -99, 972, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-06-28 00:00:00', 5.0700001720000003, 14.379514690000001, -99, 1897, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-06-29 00:00:00', 2.5999999049999998, 14.73117828, -99, 1714, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-06-30 00:00:00', 0, 13.16186428, -99, 2128, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-07-01 00:00:00', 9.4099998469999999, 16.461357119999999, -99, 1472, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-07-02 00:00:00', 0.01, 14.22520924, -99, 2333, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-07-03 00:00:00', 2.8099999430000002, 12.14328098, -99, 1674, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-07-04 00:00:00', 0.74000001000000004, 14.22801304, -99, 2340, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-07-05 00:00:00', 4.329999924, 14.50997162, -99, 947, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-07-06 00:00:00', 1.5, 13.33507919, -99, 2344, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-07-07 00:00:00', 0.01, 12.58788013, -99, 2275, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-07-08 00:00:00', 1.2999999520000001, 10.21291733, -99, 2102, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-07-09 00:00:00', 5.1500000950000002, 8.9939746859999996, -99, 1382, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-07-10 00:00:00', 0.56999999300000004, 9.5529317860000003, -99, 1332, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-07-11 00:00:00', 5.3000001909999996, 16.454517360000001, -99, 2203, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-07-12 00:00:00', 0.050000001000000002, 9.145344734, -99, 2934, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-07-13 00:00:00', 28.38999939, 9.8341312409999997, -99, 1624, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-07-14 00:00:00', 6.7399997709999999, 14.26886272, -99, 1609, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-07-15 00:00:00', 6.4899997709999999, 10.63782215, -99, 1174, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-07-16 00:00:00', 0.039999999000000001, 13.286612509999999, -99, 1865, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-07-17 00:00:00', 3.0699999330000001, 10.0915041, -99, 1919, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-07-18 00:00:00', 7.5100002290000001, 11.712091450000001, -99, 1660, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-07-19 00:00:00', 0, 13.026744839999999, -99, 2088, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-07-20 00:00:00', 0.209999993, 11.1211462, -99, 1159, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-07-21 00:00:00', 0.439999998, 10.77725124, -99, 817, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-07-22 00:00:00', 17.629999160000001, 12.14517975, -99, 475, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-07-23 00:00:00', 2.9400000569999998, 16.180900569999999, -99, 1213, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-07-24 00:00:00', 0.670000017, 17.485170360000001, -99, 990, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-07-25 00:00:00', 0.689999998, 11.553715710000001, -99, 2156, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-07-26 00:00:00', 0.790000021, 14.86593914, -99, 1026, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-07-27 00:00:00', 0.029999998999999999, 9.5277671809999998, -99, 2437, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-07-28 00:00:00', 1.519999981, 9.4774036410000004, -99, 2372, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-07-29 00:00:00', 6.4099998469999999, 13.555121420000001, -99, 1195, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-07-30 00:00:00', 10.630000109999999, 11.568818090000001, -99, 1832, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-07-31 00:00:00', 8.1099996569999995, 12.258302690000001, -99, 1890, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-08-01 00:00:00', 4.5100002290000001, 8.0874948500000006, -99, 1789, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-08-02 00:00:00', 0.039999999000000001, 10.38166618, -99, 1994, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-08-03 00:00:00', 0.64999997600000003, 7.5465836519999998, -99, 2254, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-08-04 00:00:00', 1.8799999949999999, 11.02160645, -99, 1184, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-08-05 00:00:00', 0.050000001000000002, 10.93287754, -99, 1681, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-08-06 00:00:00', 0, 12.9245863, -99, 2020, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-08-07 00:00:00', 0, 13.89484406, -99, 2203, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-08-08 00:00:00', 0.01, 11.395595549999999, -99, 2272, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-08-09 00:00:00', 0, 9.5322942729999998, -99, 2408, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-08-10 00:00:00', 0, 12.73518181, -99, 1548, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-08-11 00:00:00', 0.119999997, 11.86247444, -99, 1217, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-08-12 00:00:00', 7.0599999430000002, 12.078454020000001, -99, 587, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-08-13 00:00:00', 1.6299999949999999, 14.08412457, -99, 1372, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-08-14 00:00:00', 0.029999998999999999, 9.7974185939999998, -99, 1721, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-08-15 00:00:00', 0, 15.747649190000001, -99, 1685, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-08-16 00:00:00', 0.41999998700000002, 11.221823690000001, -99, 1584, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-08-17 00:00:00', 0, 12.61822224, -99, 1429, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-08-18 00:00:00', 0.30000001199999998, 7.671609879, -99, 2038, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-08-19 00:00:00', 5.6399998660000001, 13.921014789999999, -99, 540, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-08-20 00:00:00', 5.170000076, 13.625014309999999, -99, 1418, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-08-21 00:00:00', 7.6199998860000004, 11.91010475, -99, 1393, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-08-22 00:00:00', 2.079999924, 10.797311779999999, -99, 1105, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-08-23 00:00:00', 4.6300001139999996, 9.151330948, -99, 1192, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-08-24 00:00:00', 0.56999999300000004, 6.5107498169999998, -99, 1112, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-08-25 00:00:00', 5.4099998469999999, 12.41862392, -99, 580, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-08-26 00:00:00', 1.0800000430000001, 10.371518139999999, -99, 1386, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-08-27 00:00:00', 1.6699999569999999, 7.48107481, -99, 1076, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-08-28 00:00:00', 4.2699999809999998, 13.722500800000001, -99, 1181, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-08-29 00:00:00', 3.539999962, 13.323855399999999, -99, 1854, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-08-30 00:00:00', 5.7699999809999998, 10.566752429999999, -99, 1505, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-08-31 00:00:00', 1.1799999480000001, 11.835054400000001, -99, 1210, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-09-01 00:00:00', 5.8000001909999996, 9.5328941349999994, -99, 850, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-09-02 00:00:00', 1.7400000099999999, 15.17882633, -99, 961, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-09-03 00:00:00', 5.0700001720000003, 11.160746570000001, -99, 1307, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-09-04 00:00:00', 1.7999999520000001, 9.2806539539999999, -99, 1562, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-09-05 00:00:00', 5.1399998660000001, 7.8849248889999997, -99, 950, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-09-06 00:00:00', 0, 9.0699863430000001, -99, 1728, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-09-07 00:00:00', 0, 6.5655913349999997, -99, 1886, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-09-08 00:00:00', 0, 8.7523326869999991, -99, 1858, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-09-09 00:00:00', 0, 9.4849262240000005, -99, 1717, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-09-10 00:00:00', 1.0700000519999999, 9.3144807820000004, -99, 817, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-09-11 00:00:00', 2.5199999809999998, 12.961131099999999, -99, 547, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-09-12 00:00:00', 15.350000380000001, 9.3772783279999992, -99, 479, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-09-13 00:00:00', 3.210000038, 8.9901866909999999, -99, 1188, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-09-14 00:00:00', 0.029999998999999999, 9.2560615540000004, -99, 1490, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-09-15 00:00:00', 0.14000000100000001, 5.0743188860000004, -99, 896, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-09-16 00:00:00', 0, 12.40344906, -99, 1472, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-09-17 00:00:00', 0.070000000000000007, 7.5815615650000003, -99, 684, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-09-18 00:00:00', 0.029999998999999999, 11.58923721, -99, 1123, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-09-19 00:00:00', 0.070000000000000007, 13.16065598, -99, 886, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-09-20 00:00:00', 0.070000000000000007, 12.83589458, -99, 472, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-09-21 00:00:00', 0.029999998999999999, 11.823654169999999, -99, 468, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-09-22 00:00:00', 0, 11.602711680000001, -99, 850, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-09-23 00:00:00', 10.85999966, 12.15502167, -99, 590, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-09-24 00:00:00', 20.68000031, 9.7408542629999992, -99, 454, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-09-25 00:00:00', 3.2000000480000002, 8.7574338909999998, -99, 1235, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-09-26 00:00:00', 5.4699997900000001, 9.3341016769999996, -99, 421, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-09-27 00:00:00', 6.1100001339999999, 9.8469791410000003, -99, 461, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-09-28 00:00:00', 13.920000079999999, 14.00563335, -99, 551, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-09-29 00:00:00', 9.3500003809999992, 9.8496646880000007, -99, 886, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-09-30 00:00:00', 1.1000000240000001, 5.608932018, -99, 1044, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-10-01 00:00:00', 0, 3.062120438, -99, 774, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-10-02 00:00:00', 0, 4.7877798079999998, -99, 1033, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-10-03 00:00:00', 0, 5.1644029619999996, -99, 1098, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-10-04 00:00:00', 0, 7.2186856270000002, -99, 317, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-10-05 00:00:00', 2.4300000669999999, 10.934986110000001, -99, 421, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-10-06 00:00:00', 18.25, 10.39696884, -99, 299, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-10-07 00:00:00', 19.079999919999999, 7.4133558270000002, -99, 378, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-10-08 00:00:00', 9.5900001530000001, 8.463493347, -99, 428, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-10-09 00:00:00', 15.079999920000001, 8.6396646500000003, -99, 202, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-10-10 00:00:00', 1.980000019, 8.2545471189999997, -99, 886, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-10-11 00:00:00', 0, 1.3089579339999999, -99, 922, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-10-12 00:00:00', 6.9099998469999999, 7.3480849270000004, -99, 90, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-10-13 00:00:00', 0.810000002, 10.555137630000001, -99, 634, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-10-14 00:00:00', 0, 7.5471987719999998, -99, 396, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-10-15 00:00:00', 0, 8.9224452969999994, -99, 580, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-10-16 00:00:00', 0.14000000100000001, 9.0507078169999993, -99, 522, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-10-17 00:00:00', 0.20000000300000001, 9.0405159000000008, -99, 374, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-10-18 00:00:00', 0.039999999000000001, 8.8883895870000007, -99, 389, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-10-19 00:00:00', 2.7000000480000002, 9.6893606190000003, -99, 565, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-10-20 00:00:00', 1.6699999569999999, 8.1635179519999994, -99, 187, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-10-21 00:00:00', 0, 7.8397340770000001, -99, 346, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-10-22 00:00:00', 0.769999981, 6.8087673190000002, -99, 148, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-10-23 00:00:00', 0.15999999600000001, 8.4273185730000009, -99, 306, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-10-24 00:00:00', 0.01, 7.6238350869999998, -99, 684, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-10-25 00:00:00', 0, 0.334539533, -99, 713, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-10-26 00:00:00', 0.33000001299999998, 0.84851032500000001, -99, 194, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-10-27 00:00:00', 1.1200000050000001, 5.999978542, -99, 220, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-10-28 00:00:00', 1.1499999759999999, 10.396286959999999, -99, 493, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-10-29 00:00:00', 0.40000000600000002, 1.9120594259999999, -99, 479, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-10-30 00:00:00', 1.539999962, -3.137760401, -99, 421, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-10-31 00:00:00', 2.4000000950000002, 1.802917957, -99, 425, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-11-01 00:00:00', 4.1399998660000001, 2.902212381, -99, 216, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-11-02 00:00:00', 0, 3.1394557949999999, -99, 598, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-11-03 00:00:00', 0.23999999499999999, -5.502974987, -99, 418, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-11-04 00:00:00', 0.050000001000000002, 2.3072888850000002, -99, 439, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-11-05 00:00:00', 0, -1.9333310130000001, -99, 238, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-11-06 00:00:00', 0.189999998, 0.48752337699999998, -99, 367, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-11-07 00:00:00', 0, 6.7248086929999999, -99, 461, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-11-08 00:00:00', 0, 2.6214971540000001, -99, 464, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-11-09 00:00:00', 1.0499999520000001, 1.832558393, -99, 479, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-11-10 00:00:00', 2.039999962, 2.308925152, -99, 198, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-11-11 00:00:00', 0.540000021, 7.1497931479999997, -99, 400, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-11-12 00:00:00', 1.980000019, 5.3382945060000004, -99, 407, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-11-13 00:00:00', 3.75, 4.0624608990000004, -99, 288, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-11-14 00:00:00', 0.5, 4.7297673229999999, -99, 227, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-11-15 00:00:00', 0.050000001000000002, 4.6914715769999997, -99, 292, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-11-16 00:00:00', 0, 5.1555314059999997, -99, 270, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-11-17 00:00:00', 3.5099999899999998, 8.1836585999999993, -99, 310, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-11-18 00:00:00', 2.7599999899999998, 6.9159727100000001, -99, 180, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-11-19 00:00:00', 0, -1.6672576670000001, -99, 328, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-11-20 00:00:00', 0.090000003999999995, -3.6939573289999998, -99, 360, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-11-21 00:00:00', 1.3300000430000001, -6.2620706559999997, -99, 403, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-11-22 00:00:00', 0.31999999299999998, -6.4994463920000003, -99, 270, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-11-23 00:00:00', 0.029999998999999999, 2.0935776229999998, -99, 295, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-11-24 00:00:00', 0.079999998000000003, 4.629171371, -99, 151, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-11-25 00:00:00', 0.14000000100000001, 7.9145874980000004, -99, 277, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-11-26 00:00:00', 0.47999998900000002, 5.8110413550000004, -99, 313, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-11-27 00:00:00', 0.920000017, 2.0759150979999998, -99, 205, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-11-28 00:00:00', 10.350000380000001, 1.3572683329999999, -99, 7, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-11-29 00:00:00', 0.74000001000000004, 5.48460722, -99, 274, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-11-30 00:00:00', 0, -4.659089088, -99, 202, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-12-01 00:00:00', 0.10000000100000001, -0.626465261, -99, 238, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-12-02 00:00:00', 0.029999998999999999, -1.8721030949999999, -99, 256, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-12-03 00:00:00', 6.3499999049999998, -1.5557919739999999, -99, 47, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-12-04 00:00:00', 12.31999969, -1.7605894799999999, -99, 151, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-12-05 00:00:00', 4.2399997709999999, 3.9082963469999998, -99, 223, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-12-06 00:00:00', 0.14000000100000001, 1.7882964610000001, -99, 212, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-12-07 00:00:00', 0.25999999000000001, 0.72255706799999997, -99, 277, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-12-08 00:00:00', 1.7799999710000001, -1.5079579350000001, -99, 133, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-12-09 00:00:00', 0.52999997099999996, 2.5493323800000001, -99, 248, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-12-10 00:00:00', 0.939999998, 2.5422744750000001, -99, 169, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-12-11 00:00:00', 2.0899999139999998, 7.7903289789999999, -99, 115, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-12-12 00:00:00', 0, 4.2472162249999998, -99, 238, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-12-13 00:00:00', 0.209999993, -0.19021826999999999, -99, 194, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-12-14 00:00:00', 0, 3.2678198809999999, -99, 169, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-12-15 00:00:00', 0.34999999399999998, -1.560099602, -99, 184, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-12-16 00:00:00', 2.6600000860000002, 2.0507140160000001, -99, 133, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-12-17 00:00:00', 0.37999999499999998, 2.0189561839999999, -99, 212, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-12-18 00:00:00', 9.5900001530000001, 1.6171239610000001, -99, 101, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-12-19 00:00:00', 0.55000001200000004, 2.9016330240000001, -99, 191, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-12-20 00:00:00', 0.61000001400000003, -2.2152571679999999, -99, 166, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-12-21 00:00:00', 0.62000000499999997, 0.57444459199999998, -99, 216, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-12-22 00:00:00', 0.89999997600000003, 5.7060613629999999, -99, 205, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-12-23 00:00:00', 10.619999890000001, 5.0269618029999998, -99, 101, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-12-24 00:00:00', 2.1800000669999999, 3.5192165370000001, -99, 176, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-12-25 00:00:00', 0.81999999300000004, 2.1385242940000002, -99, 104, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-12-26 00:00:00', 1.269999981, 7.4228959080000001, -99, 101, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-12-27 00:00:00', 0.920000017, 6.8377757069999996, -99, 234, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-12-28 00:00:00', 0.119999997, 4.7430934909999998, -99, 234, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-12-29 00:00:00', 0.070000000000000007, 7.4571795459999999, -99, 169, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-12-30 00:00:00', 0.10000000100000001, 5.9668130870000002, -99, 227, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1988-12-31 00:00:00', 0.46000000800000002, 2.9646363259999999, -99, 248, 'ask', 'ask_1988');
INSERT INTO public.cdy_cldat VALUES ('1989-01-01 00:00:00', 0.66000002599999996, 1.5249631400000001, -99, 119, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-01-02 00:00:00', 0.029999998999999999, 0.115950637, -99, 227, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-01-03 00:00:00', 0, 2.6659631730000002, -99, 256, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-01-04 00:00:00', 0.37000000500000002, 1.5690146679999999, -99, 234, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-01-05 00:00:00', 7.5100002290000001, 2.7827537059999998, -99, 137, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-01-06 00:00:00', 0.280000001, -0.045632932000000001, -99, 151, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-01-07 00:00:00', 0.91000002599999996, 0.88253259699999997, -99, 176, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-01-08 00:00:00', 0.75, 5.030131817, -99, 148, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-01-09 00:00:00', 1.789999962, 7.199456692, -99, 61, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-01-10 00:00:00', 0.689999998, 6.0161027909999998, -99, 184, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-01-11 00:00:00', 0.059999998999999998, 1.5877455469999999, -99, 148, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-01-12 00:00:00', 2.1900000569999998, 1.8217417, -99, 144, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-01-13 00:00:00', 0.36000001399999998, 4.0929155350000004, -99, 338, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-01-14 00:00:00', 5.1999998090000004, 3.3900701999999998, -99, 209, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-01-15 00:00:00', 1.289999962, 5.7989125250000004, -99, 61, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-01-16 00:00:00', 0.75, 7.0447435379999996, -99, 112, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-01-17 00:00:00', 0.119999997, 6.6031579970000003, -99, 371, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-01-18 00:00:00', 0, 4.0561985969999999, -99, 115, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-01-19 00:00:00', 0, 5.7533168789999998, -99, 137, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-01-20 00:00:00', 0, 3.5480337139999998, -99, 202, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-01-21 00:00:00', 0.66000002599999996, 0.49459281599999999, -99, 29, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-01-22 00:00:00', 0.029999998999999999, 3.4439857009999999, -99, 328, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-01-23 00:00:00', 0.20000000300000001, 0.095051169000000005, -99, 212, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-01-24 00:00:00', 0.090000003999999995, 6.3304057120000001, -99, 212, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-01-25 00:00:00', 0, -0.0020267739999999999, -99, 238, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-01-26 00:00:00', 0, -1.9120769500000001, -99, 223, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-01-27 00:00:00', 0, 1.002623796, -99, 356, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-01-28 00:00:00', 1.5299999710000001, 4.1450762750000001, -99, 58, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-01-29 00:00:00', 0, 0.44522652000000001, -99, 425, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-01-30 00:00:00', 0, 4.9746923450000002, -99, 346, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-01-31 00:00:00', 0, 6.4961171149999997, -99, 281, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-02-01 00:00:00', 0, 5.1275882719999997, -99, 259, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-02-02 00:00:00', 0.029999998999999999, 2.6247572899999998, -99, 324, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-02-03 00:00:00', 0.18000000699999999, 4.5236978529999998, -99, 230, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-02-04 00:00:00', 7.8899998660000001, 4.4099650380000002, -99, 252, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-02-05 00:00:00', 1.559999943, 4.3437962529999998, -99, 526, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-02-06 00:00:00', 0, 4.190348148, -99, 551, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-02-07 00:00:00', 0.34999999399999998, 7.5541024209999996, -99, 529, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-02-08 00:00:00', 0.050000001000000002, 7.0215315819999997, -99, 245, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-02-09 00:00:00', 0, 2.5272917750000001, -99, 461, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-02-10 00:00:00', 0, 3.2182981970000002, -99, 266, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-02-11 00:00:00', 1.75, -0.206788272, -99, 601, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-02-12 00:00:00', 4.0100002290000001, 3.6922199729999998, -99, 515, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-02-13 00:00:00', 3.6500000950000002, 1.993748426, -99, 461, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-02-14 00:00:00', 0.730000019, 3.3043518070000002, -99, 565, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-02-15 00:00:00', 6.1100001339999999, 2.038720369, -99, 14, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-02-16 00:00:00', 2.6099998950000001, 0.60483497399999997, -99, 641, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-02-17 00:00:00', 0, -3.069386959, -99, 641, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-02-18 00:00:00', 5.8600001339999999, -0.241077974, -99, 18, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-02-19 00:00:00', 0.60000002399999997, 7.6183886530000002, -99, 493, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-02-20 00:00:00', 1.5499999520000001, 4.5353980060000003, -99, 392, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-02-21 00:00:00', 0.74000001000000004, 1.6615719799999999, -99, 637, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-02-22 00:00:00', 3.0699999330000001, 1.254508376, -99, 641, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-02-23 00:00:00', 4.9899997709999999, 4.0494933130000001, -99, 580, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-02-24 00:00:00', 0.560000002, 1.1283688549999999, -99, 796, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-02-25 00:00:00', 4.8699998860000004, 2.2173137660000002, -99, 526, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-02-26 00:00:00', 1.1100000139999999, 2.9241156579999998, -99, 688, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-02-27 00:00:00', 0.91000002599999996, 1.864621401, -99, 238, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-02-28 00:00:00', 3.4300000669999999, 2.3132770059999999, -99, 554, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-03-01 00:00:00', 6.7699999809999998, 1.8412852289999999, -99, 144, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-03-02 00:00:00', 0, 3.6369814869999999, -99, 616, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-03-03 00:00:00', 0.280000001, 1.653539777, -99, 641, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-03-04 00:00:00', 0.80000001200000004, 2.8734877110000001, -99, 544, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-03-05 00:00:00', 0.090000003999999995, 6.2278776169999999, -99, 320, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-03-06 00:00:00', 0, 4.8054337499999997, -99, 929, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-03-07 00:00:00', 4.5100002290000001, 4.3513650889999997, -99, 461, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-03-08 00:00:00', 0.80000001200000004, 5.0356183049999999, -99, 137, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-03-09 00:00:00', 1.1699999569999999, 1.959427834, -99, 367, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-03-10 00:00:00', 4.3200001720000003, 6.5106668470000004, -99, 428, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-03-11 00:00:00', 0.050000001000000002, 7.3645176890000004, -99, 1033, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-03-12 00:00:00', 4.8099999430000002, 2.8069095609999999, -99, 846, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-03-13 00:00:00', 3.2799999710000001, 3.9004321100000001, -99, 342, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-03-14 00:00:00', 5.8800001139999996, 3.5425260070000002, -99, 929, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-03-15 00:00:00', 6.7199997900000001, 4.2188324929999999, -99, 162, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-03-16 00:00:00', 0.5, 1.675492048, -99, 1210, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-03-17 00:00:00', 0, 1.5033923389999999, -99, 1328, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-03-18 00:00:00', 0.540000021, -1.655772448, -99, 1354, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-03-19 00:00:00', 1.8899999860000001, 3.0959930419999999, -99, 317, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-03-20 00:00:00', 2.1400001049999999, 6.248586178, -99, 342, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-03-21 00:00:00', 6.2699999809999998, 1.173277736, -99, 482, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-03-22 00:00:00', 11.579999920000001, 1.601902962, -99, 234, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-03-23 00:00:00', 8.1099996569999995, 2.3954086299999999, -99, 803, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-03-24 00:00:00', 12.60999966, 2.0773339270000002, -99, 875, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-03-25 00:00:00', 0.38999998600000002, 4.5345783229999999, -99, 1390, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-03-26 00:00:00', 0, 2.1633281709999999, -99, 796, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-03-27 00:00:00', 0, 4.7429671290000002, -99, 1361, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-03-28 00:00:00', 1.6299999949999999, 7.7163391109999999, -99, 1404, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-03-29 00:00:00', 0.070000000000000007, 2.5771651269999998, -99, 1559, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-03-30 00:00:00', 0.30000001199999998, 2.1287121770000001, -99, 659, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-03-31 00:00:00', 0, 7.3954072000000002, -99, 1303, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-04-01 00:00:00', 0, 3.6441061499999998, -99, 1807, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-04-02 00:00:00', 0.28999999199999998, -0.37423303699999999, -99, 1400, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-04-03 00:00:00', 0.070000000000000007, -3.5528695579999998, -99, 1426, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-04-04 00:00:00', 0, -1.6981815099999999, -99, 1285, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-04-05 00:00:00', 1.980000019, 1.290388584, -99, 1559, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-04-06 00:00:00', 1.480000019, 2.4277079110000002, -99, 274, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-04-07 00:00:00', 2.5, 5.0298662189999996, -99, 551, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-04-08 00:00:00', 0.5, 3.8892965319999999, -99, 1296, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-04-09 00:00:00', 0, 3.1012177470000002, -99, 1426, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-04-10 00:00:00', 6.2399997709999999, 3.1145932670000001, -99, 522, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-04-11 00:00:00', 0.119999997, 6.5255885119999997, -99, 1418, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-04-12 00:00:00', 11.369999890000001, 10.07442951, -99, 634, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-04-13 00:00:00', 0.219999999, 9.6203413009999998, -99, 1195, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-04-14 00:00:00', 0, 8.3303565979999998, -99, 1710, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-04-15 00:00:00', 0.769999981, 5.878083706, -99, 857, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-04-16 00:00:00', 0, 7.4141669270000001, -99, 1141, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-04-17 00:00:00', 0.039999999000000001, 1.3072990179999999, -99, 1843, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-04-18 00:00:00', 0.58999997400000004, 2.1449127200000002, -99, 1246, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-04-19 00:00:00', 2.5199999809999998, 0.57182896100000002, -99, 1436, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-04-20 00:00:00', 1.8200000519999999, 4.3063445089999997, -99, 1242, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-04-21 00:00:00', 0, 0.49476882799999999, -99, 1757, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-04-22 00:00:00', 0, 1.7550061939999999, -99, 2174, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-04-23 00:00:00', 0.17000000200000001, 0.046442303999999997, -99, 1660, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-04-24 00:00:00', 3.8599998950000001, -0.96351915600000004, -99, 1602, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-04-25 00:00:00', 5.9499998090000004, 4.0675725939999996, -99, 666, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-04-26 00:00:00', 5.9600000380000004, 1.0900824069999999, -99, 1300, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-04-27 00:00:00', 0, 2.5472116470000001, -99, 1912, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-04-28 00:00:00', 0, 0.60490095600000005, -99, 2282, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-04-29 00:00:00', 0, -0.74679005099999995, -99, 1998, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-04-30 00:00:00', 0, -1.9727020260000001, -99, 2239, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-05-01 00:00:00', 0.15999999600000001, 2.1261353490000001, -99, 1300, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-05-02 00:00:00', 0, 9.1977910999999999, -99, 1030, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-05-03 00:00:00', 0, 5.852789402, -99, 2092, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-05-04 00:00:00', 0.029999998999999999, 6.3927850719999997, -99, 2466, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-05-05 00:00:00', 0.059999998999999998, 5.7605729099999996, -99, 2527, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-05-06 00:00:00', 0, 5.5731921199999999, -99, 2711, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-05-07 00:00:00', 0.029999998999999999, 4.3685746190000003, -99, 1433, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-05-08 00:00:00', 0.209999993, 7.249566078, -99, 2146, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-05-09 00:00:00', 0.029999998999999999, 7.9288764, -99, 1156, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-05-10 00:00:00', 0, 1.1751443150000001, -99, 2362, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-05-11 00:00:00', 0.37999999499999998, 1.2638294699999999, -99, 1865, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-05-12 00:00:00', 7.3699998860000004, 9.1354837419999999, -99, 799, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-05-13 00:00:00', 0.99000001000000004, 4.2302355770000002, -99, 1541, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-05-14 00:00:00', 0, 7.1359844209999999, -99, 2646, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-05-15 00:00:00', 0, 4.1420712469999996, -99, 2398, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-05-16 00:00:00', 0, 8.5258960720000001, -99, 2452, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-05-17 00:00:00', 0, 6.849702358, -99, 2902, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-05-18 00:00:00', 0, 4.0688958169999996, -99, 2941, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-05-19 00:00:00', 0, 6.6546173099999999, -99, 1933, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-05-20 00:00:00', 0, 8.4094772340000006, -99, 2653, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-05-21 00:00:00', 0, 7.1176118849999996, -99, 2819, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-05-22 00:00:00', 0, 6.6835689540000001, -99, 2930, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-05-23 00:00:00', 0, 8.670114517, -99, 2945, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-05-24 00:00:00', 0, 10.145749090000001, -99, 2664, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-05-25 00:00:00', 0, 11.4095583, -99, 2668, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-05-26 00:00:00', 0, 10.81708336, -99, 2718, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-05-27 00:00:00', 0, 2.2448222640000002, -99, 2966, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-05-28 00:00:00', 0, 4.7887716290000002, -99, 2905, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-05-29 00:00:00', 0, 7.619791985, -99, 1552, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-05-30 00:00:00', 5.2600002290000001, 3.6658561230000002, -99, 850, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-05-31 00:00:00', 0.83999997400000004, 6.2111172679999997, -99, 2207, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-06-01 00:00:00', 0.52999997099999996, 5.7754325870000001, -99, 2023, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-06-02 00:00:00', 0.059999998999999998, 2.9111514089999999, -99, 2149, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-06-03 00:00:00', 0, 2.1383950710000001, -99, 2290, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-06-04 00:00:00', 9.4799995419999998, 8.0328330989999994, -99, 1469, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-06-05 00:00:00', 4.25, 9.1251325609999991, -99, 1030, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-06-06 00:00:00', 0.280000001, 6.6430625919999997, -99, 1832, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-06-07 00:00:00', 0, 2.1472458840000002, -99, 2520, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-06-08 00:00:00', 0.80000001200000004, 4.5979762080000004, -99, 2189, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-06-09 00:00:00', 3.579999924, 4.8400750160000001, -99, 2282, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-06-10 00:00:00', 0.23999999499999999, 3.328043461, -99, 2718, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-06-11 00:00:00', 0.01, 10.676966670000001, -99, 2052, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-06-12 00:00:00', 0, 10.63317966, -99, 2614, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-06-13 00:00:00', 0, 9.1150388719999995, -99, 2840, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-06-14 00:00:00', 0, 10.8511095, -99, 2315, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-06-15 00:00:00', 0, 9.6769590379999997, -99, 2884, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-06-16 00:00:00', 0, 8.9555797580000007, -99, 3085, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-06-17 00:00:00', 0, 8.7682762150000002, -99, 2588, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-06-18 00:00:00', 0, 10.77142334, -99, 2884, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-06-19 00:00:00', 0, 11.07541466, -99, 2696, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-06-20 00:00:00', 0, 11.86701298, -99, 2707, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-06-21 00:00:00', 0, 11.885264400000001, -99, 2646, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-06-22 00:00:00', 0, 13.53933239, -99, 2786, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-06-23 00:00:00', 0, 13.627117159999999, -99, 2419, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-06-24 00:00:00', 0, 11.10878563, -99, 1555, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-06-25 00:00:00', 0, 12.07045555, -99, 2718, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-06-26 00:00:00', 0.85000002399999997, 12.26823044, -99, 2862, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-06-27 00:00:00', 9.4399995800000003, 13.37883186, -99, 1688, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-06-28 00:00:00', 4.0100002290000001, 12.87356949, -99, 1778, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-06-29 00:00:00', 1.210000038, 11.756699559999999, -99, 1472, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-06-30 00:00:00', 0.01, 5.6137828829999998, -99, 2441, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-07-01 00:00:00', 11.27000046, 8.1942100520000007, -99, 1048, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-07-02 00:00:00', 0.40999999599999998, 12.203117369999999, -99, 1372, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-07-03 00:00:00', 0, 9.0620326999999996, -99, 2480, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-07-04 00:00:00', 0, 9.4259243010000002, -99, 2970, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-07-05 00:00:00', 0, 11.781942369999999, -99, 2992, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-07-06 00:00:00', 0, 11.597419739999999, -99, 3024, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-07-07 00:00:00', 0.029999998999999999, 13.920090679999999, -99, 2894, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-07-08 00:00:00', 0.36000001399999998, 17.920087809999998, -99, 2563, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-07-09 00:00:00', 2.8099999430000002, 16.594758989999999, -99, 2016, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-07-10 00:00:00', 0.01, 13.550582889999999, -99, 1469, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-07-11 00:00:00', 0.18000000699999999, 10.08480453, -99, 1548, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-07-12 00:00:00', 0.20000000300000001, 8.9311933519999993, -99, 1192, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-07-13 00:00:00', 3.75, 13.300951960000001, -99, 1534, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-07-14 00:00:00', 0.280000001, 10.866300580000001, -99, 1775, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-07-15 00:00:00', 1.8700000050000001, 9.6741724009999999, -99, 817, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-07-16 00:00:00', 0, 10.514398570000001, -99, 1634, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-07-17 00:00:00', 2.3599998950000001, 7.8329644199999997, -99, 1750, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-07-18 00:00:00', 0, 9.1349325179999994, -99, 2646, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-07-19 00:00:00', 0, 5.8925242420000004, -99, 1973, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-07-20 00:00:00', 0, 12.22043133, -99, 1674, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-07-21 00:00:00', 0, 9.8671159740000007, -99, 2149, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-07-22 00:00:00', 0, 8.2539548870000008, -99, 2038, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-07-23 00:00:00', 1.7400000099999999, 13.97597599, -99, 1476, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-07-24 00:00:00', 2.380000114, 14.681654930000001, -99, 1156, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-07-25 00:00:00', 0, 14.62608719, -99, 2722, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-07-26 00:00:00', 1.8600000139999999, 13.882176400000001, -99, 2207, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-07-27 00:00:00', 0.039999999000000001, 15.04596138, -99, 1667, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-07-28 00:00:00', 0, 9.5842504500000008, -99, 1508, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-07-29 00:00:00', 0, 10.94311523, -99, 1055, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-07-30 00:00:00', 19.670000080000001, 12.95320892, -99, 1202, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-07-31 00:00:00', 1.6000000240000001, 12.111915590000001, -99, 1829, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-08-01 00:00:00', 5.5999999049999998, 9.9321441650000004, -99, 1451, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-08-02 00:00:00', 0.310000002, 11.30309963, -99, 1404, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-08-03 00:00:00', 0.18000000699999999, 11.662386890000001, -99, 1710, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-08-04 00:00:00', 0.920000017, 10.23454094, -99, 2070, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-08-05 00:00:00', 0.079999998000000003, 11.538269039999999, -99, 1595, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-08-06 00:00:00', 0, 11.49755669, -99, 2254, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-08-07 00:00:00', 0.40000000600000002, 7.7725129129999999, -99, 1710, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-08-08 00:00:00', 0, 13.046525000000001, -99, 1667, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-08-09 00:00:00', 5.6500000950000002, 13.394675250000001, -99, 576, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-08-10 00:00:00', 0.070000000000000007, 13.77831364, -99, 1292, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-08-11 00:00:00', 3.1600000860000002, 14.29766178, -99, 749, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-08-12 00:00:00', 0.050000001000000002, 14.37430573, -99, 1267, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-08-13 00:00:00', 0.029999998999999999, 10.607814790000001, -99, 1526, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-08-14 00:00:00', 0.40999999599999998, 13.06130886, -99, 1566, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-08-15 00:00:00', 0.89999997600000003, 12.39061356, -99, 1368, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-08-16 00:00:00', 4.0900001530000001, 13.60265923, -99, 1678, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-08-17 00:00:00', 0, 14.48299885, -99, 2088, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-08-18 00:00:00', 0.17000000200000001, 10.76095963, -99, 1692, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-08-19 00:00:00', 0, 8.6329135889999993, -99, 2023, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-08-20 00:00:00', 0, 15.01828766, -99, 1508, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-08-21 00:00:00', 0, 13.63416958, -99, 1991, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-08-22 00:00:00', 0, 9.1907892229999995, -99, 1688, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-08-23 00:00:00', 1.769999981, 8.6233358379999991, -99, 1339, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-08-24 00:00:00', 2.130000114, 13.591041560000001, -99, 1393, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-08-25 00:00:00', 0.280000001, 9.4131355289999998, -99, 1793, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-08-26 00:00:00', 0, 7.7236261370000001, -99, 1472, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-08-27 00:00:00', 8.1800003050000001, 7.048303604, -99, 1087, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-08-28 00:00:00', 0.47999998900000002, 9.9153022770000003, -99, 1829, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-08-29 00:00:00', 0, 5.7469549180000001, -99, 1793, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-08-30 00:00:00', 2.170000076, 6.3545780179999998, -99, 914, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-08-31 00:00:00', 5.829999924, 11.895645139999999, -99, 313, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-09-01 00:00:00', 0.30000001199999998, 11.749409679999999, -99, 1724, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-09-02 00:00:00', 0.62000000499999997, 8.9800157550000002, -99, 1627, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-09-03 00:00:00', 0, 5.0308003430000001, -99, 1793, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-09-04 00:00:00', 0, 7.0151085850000001, -99, 1732, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-09-05 00:00:00', 0.280000001, 6.0801439290000001, -99, 1145, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-09-06 00:00:00', 0.01, 9.8824491499999993, -99, 1235, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-09-07 00:00:00', 0.33000001299999998, 10.92600346, -99, 1094, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-09-08 00:00:00', 2.6900000569999998, 12.11991787, -99, 479, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-09-09 00:00:00', 0.579999983, 13.28592396, -99, 742, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-09-10 00:00:00', 0, 13.704771040000001, -99, 875, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-09-11 00:00:00', 0, 10.519522670000001, -99, 1800, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-09-12 00:00:00', 0, 9.6898527150000007, -99, 1555, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-09-13 00:00:00', 3.9000000950000002, 10.571564670000001, -99, 1566, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-09-14 00:00:00', 0.99000001000000004, 13.61998653, -99, 1015, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-09-15 00:00:00', 5.75, 7.4484009740000001, -99, 1390, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-09-16 00:00:00', 5.8200001720000003, 8.4666662220000006, -99, 1170, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-09-17 00:00:00', 6.8200001720000003, 12.754489899999999, -99, 590, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-09-18 00:00:00', 0, 12.264660839999999, -99, 1030, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-09-19 00:00:00', 6.2600002290000001, 15.679588320000001, -99, 662, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-09-20 00:00:00', 0, 8.1577053070000005, -99, 1566, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-09-21 00:00:00', 0, 12.03204536, -99, 1422, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-09-22 00:00:00', 0, 13.74425125, -99, 1177, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-09-23 00:00:00', 0, 12.432833670000001, -99, 958, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-09-24 00:00:00', 0, 11.39703465, -99, 814, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-09-25 00:00:00', 2.460000038, 6.3700957300000001, -99, 1192, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-09-26 00:00:00', 0, 7.7242345810000002, -99, 994, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-09-27 00:00:00', 0.01, 3.1594364640000001, -99, 1192, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-09-28 00:00:00', 0.12999999500000001, 7.6797757149999999, -99, 868, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-09-29 00:00:00', 0.050000001000000002, 7.7266793250000001, -99, 810, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-09-30 00:00:00', 0.15000000599999999, 9.8122138979999995, -99, 1055, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-10-01 00:00:00', 0.070000000000000007, 8.5720329280000005, -99, 529, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-10-02 00:00:00', 0, 10.19296932, -99, 925, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-10-03 00:00:00', 0, 4.6569404600000004, -99, 1220, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-10-04 00:00:00', 0, 1.6486934419999999, -99, 378, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-10-05 00:00:00', 0.01, 7.0480966570000003, -99, 994, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-10-06 00:00:00', 6.7399997709999999, 7.1714401250000002, -99, 634, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-10-07 00:00:00', 2, 6.8535108569999998, -99, 788, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-10-08 00:00:00', 0.86000001400000003, 5.2759914400000003, -99, 479, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-10-09 00:00:00', 0.60000002399999997, 4.2753148080000001, -99, 468, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-10-10 00:00:00', 4.0500001909999996, 5.3270502090000003, -99, 918, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-10-11 00:00:00', 0.119999997, 5.0200672150000001, -99, 889, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-10-12 00:00:00', 10.850000380000001, 5.9714469909999996, -99, 292, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-10-13 00:00:00', 8.2899999619999996, 11.025622370000001, -99, 518, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-10-14 00:00:00', 4.670000076, 6.5582714080000004, -99, 612, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-10-15 00:00:00', 7.6199998860000004, 4.339021206, -99, 778, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-10-16 00:00:00', 5.2899999619999996, 4.4429240229999998, -99, 184, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-10-17 00:00:00', 0.38999998600000002, 12.82882023, -99, 392, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-10-18 00:00:00', 0, 10.494678499999999, -99, 630, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-10-19 00:00:00', 0, 7.2758288379999998, -99, 414, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-10-20 00:00:00', 12.579999920000001, 9.7779769900000009, -99, 252, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-10-21 00:00:00', 6.6900000569999998, 9.0403928760000003, -99, 158, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-10-22 00:00:00', 1.7200000289999999, 13.358117099999999, -99, 374, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-10-23 00:00:00', 6.4699997900000001, 11.67671299, -99, 389, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-10-24 00:00:00', 0.52999997099999996, 10.015349390000001, -99, 504, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-10-25 00:00:00', 3.7999999519999998, 11.459042549999999, -99, 403, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-10-26 00:00:00', 0.34999999399999998, 12.260849, -99, 468, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-10-27 00:00:00', 0, 4.9244022369999998, -99, 263, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-10-28 00:00:00', 2.2400000100000002, 7.9719166760000002, -99, 554, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-10-29 00:00:00', 6.0700001720000003, 8.8192205430000001, -99, 270, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-10-30 00:00:00', 0.33000001299999998, 9.6821689610000004, -99, 529, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-10-31 00:00:00', 1.9299999480000001, 5.6037983889999996, -99, 472, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-11-01 00:00:00', 0.01, 4.7515077589999999, -99, 533, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-11-02 00:00:00', 0.60000002399999997, 5.5530214310000003, -99, 338, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-11-03 00:00:00', 0.87000000499999997, 9.0933637619999992, -99, 320, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-11-04 00:00:00', 2.0999999049999998, 6.643618107, -99, 299, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-11-05 00:00:00', 7.9800000190000002, 6.5276489260000004, -99, 212, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-11-06 00:00:00', 0.980000019, 3.000607252, -99, 194, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-11-07 00:00:00', 0.01, -1.1053636069999999, -99, 428, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-11-08 00:00:00', 3.0099999899999998, 3.5240058900000002, -99, 281, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-11-09 00:00:00', 2.670000076, 5.9375185970000004, -99, 356, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-11-10 00:00:00', 3.039999962, 3.5854532720000001, -99, 65, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-11-11 00:00:00', 0, 8.0612373349999995, -99, 212, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-11-12 00:00:00', 0, 3.6454300879999999, -99, 382, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-11-13 00:00:00', 0, 0.91999280500000002, -99, 230, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-11-14 00:00:00', 0.090000003999999995, 3.2169306280000001, -99, 277, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-11-15 00:00:00', 0, 6.1924886700000004, -99, 464, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-11-16 00:00:00', 0, -1.792998195, -99, 421, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-11-17 00:00:00', 0, -2.2958660129999999, -99, 450, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-11-18 00:00:00', 0, 1.8405369519999999, -99, 428, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-11-19 00:00:00', 0, 2.4767951969999999, -99, 374, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-11-20 00:00:00', 0, -4.8325715069999999, -99, 284, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-11-21 00:00:00', 0.02, -1.474375129, -99, 248, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-11-22 00:00:00', 0, 0.11817691499999999, -99, 371, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-11-23 00:00:00', 0.94999998799999996, -5.449113369, -99, 266, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-11-24 00:00:00', 0, -0.407167524, -99, 360, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-11-25 00:00:00', 4.1999998090000004, -6.6622624400000001, -99, 115, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-11-26 00:00:00', 0.33000001299999998, 0.63052642299999995, -99, 194, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-11-27 00:00:00', 0, -0.21893532600000001, -99, 130, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-11-28 00:00:00', 0, 0.888211906, -99, 230, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-11-29 00:00:00', 0.119999997, -4.9432525629999997, -99, 187, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-11-30 00:00:00', 0, -1.569614887, -99, 227, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-12-01 00:00:00', 0, -0.48454326399999997, -99, 292, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-12-02 00:00:00', 0, -4.3219590190000003, -99, 292, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-12-03 00:00:00', 0.059999998999999998, -0.53692507700000003, -99, 234, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-12-04 00:00:00', 0, 3.2838325500000001, -99, 252, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-12-05 00:00:00', 0.050000001000000002, -2.292878151, -99, 256, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-12-06 00:00:00', 0.88999998599999997, 1.0018328430000001, -99, 176, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-12-07 00:00:00', 0, 2.1228837970000001, -99, 270, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-12-08 00:00:00', 0.01, 0.61849033799999997, -99, 220, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-12-09 00:00:00', 0, 0.99566447700000005, -99, 173, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-12-10 00:00:00', 2.2200000289999999, -1.7992905379999999, -99, 119, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-12-11 00:00:00', 0.17000000200000001, 2.1016829010000002, -99, 256, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-12-12 00:00:00', 0.83999997400000004, -3.5691702369999998, -99, 144, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-12-13 00:00:00', 0, -1.12261045, -99, 205, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-12-14 00:00:00', 6.1599998469999999, -1.3072428700000001, -99, 108, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-12-15 00:00:00', 0.059999998999999998, -0.90679663399999999, -99, 180, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-12-16 00:00:00', 11.25, -10.243085860000001, -99, 104, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-12-17 00:00:00', 3.7999999519999998, 1.135289311, -99, 115, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-12-18 00:00:00', 9.7700004580000002, 6.3907742499999998, -99, 209, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-12-19 00:00:00', 4.6999998090000004, 6.6160683630000001, -99, 151, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-12-20 00:00:00', 17.629999160000001, -0.37633350500000001, -99, 104, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-12-21 00:00:00', 2.9400000569999998, 4.2596368790000003, -99, 180, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-12-22 00:00:00', 0.5, 8.0684471129999995, -99, 130, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-12-23 00:00:00', 0.790000021, 3.2101953029999999, -99, 176, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-12-24 00:00:00', 0.10000000100000001, 4.2856059069999999, -99, 101, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-12-25 00:00:00', 0, 6.2956352229999997, -99, 155, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-12-26 00:00:00', 0, 5.439661503, -99, 104, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-12-27 00:00:00', 0, 2.2710919380000001, -99, 122, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-12-28 00:00:00', 0, 0.96108484299999997, -99, 194, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-12-29 00:00:00', 0.090000003999999995, 1.4122945069999999, -99, 169, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-12-30 00:00:00', 0.74000001000000004, -0.058192998000000003, -99, 112, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1989-12-31 00:00:00', 0.189999998, -0.861603856, -99, 115, 'ask', 'ask_1989');
INSERT INTO public.cdy_cldat VALUES ('1990-01-01 00:00:00', 0.059999998999999998, -0.67431289000000005, -99, 108, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-01-02 00:00:00', 0.27000001099999998, -0.268808514, -99, 104, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-01-03 00:00:00', 0, -1.213417411, -99, 104, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-01-04 00:00:00', 2.0199999809999998, -1.7713208199999999, -99, 122, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-01-05 00:00:00', 0, -1.9320828910000001, -99, 194, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-01-06 00:00:00', 0.49000000999999999, 0.99757671400000003, -99, 205, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-01-07 00:00:00', 3.869999886, -0.025798054000000001, -99, 115, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-01-08 00:00:00', 4.829999924, 3.4399206640000002, -99, 270, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-01-09 00:00:00', 0.27000001099999998, 0.46353340100000001, -99, 187, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-01-10 00:00:00', 2.079999924, 1.631515861, -99, 58, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-01-11 00:00:00', 0.790000021, 6.7746839520000002, -99, 122, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-01-12 00:00:00', 0.93000000699999996, 5.4600181579999996, -99, 158, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-01-13 00:00:00', 0.63999998599999997, 4.1532793049999999, -99, 310, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-01-14 00:00:00', 1.4099999670000001, 0.39273208399999998, -99, 194, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-01-15 00:00:00', 4.9600000380000004, 1.916779518, -99, 151, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-01-16 00:00:00', 2.7200000289999999, 8.0277271270000004, -99, 241, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-01-17 00:00:00', 1.2200000289999999, 6.8871755600000002, -99, 212, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-01-18 00:00:00', 2.079999924, 4.3659653660000002, -99, 202, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-01-19 00:00:00', 3.369999886, 1.849002123, -99, 166, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-01-20 00:00:00', 0.31999999299999998, 4.0389404300000002, -99, 281, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-01-21 00:00:00', 0.119999997, 5.9063849450000001, -99, 263, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-01-22 00:00:00', 4.5700001720000003, 7.4232349400000004, -99, 151, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-01-23 00:00:00', 13.039999959999999, 5.4434361459999998, -99, 22, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-01-24 00:00:00', 6.7100000380000004, 4.0220251080000002, -99, 378, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-01-25 00:00:00', 17.13999939, 1.106240511, -99, 162, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-01-26 00:00:00', 3.0299999710000001, 4.9087820049999999, -99, 173, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-01-27 00:00:00', 4.0199999809999998, 2.2542204859999999, -99, 256, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-01-28 00:00:00', 7.2800002099999999, 1.977057576, -99, 68, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-01-29 00:00:00', 0, 3.8177361489999999, -99, 371, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-01-30 00:00:00', 2.6400001049999999, 3.458466053, -99, 133, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-01-31 00:00:00', 4.3800001139999996, 6.7927722929999996, -99, 144, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-02-01 00:00:00', 0.029999998999999999, 7.1001615520000003, -99, 288, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-02-02 00:00:00', 6.9299998279999997, 5.6417469980000003, -99, 385, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-02-03 00:00:00', 10.619999890000001, 5.093958378, -99, 248, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-02-04 00:00:00', 1.1100000139999999, 3.3340985769999998, -99, 284, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-02-05 00:00:00', 0, 6.4890761379999997, -99, 410, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-02-06 00:00:00', 0, 2.6932940479999998, -99, 554, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-02-07 00:00:00', 37.049999239999998, 4.2815008160000003, -99, 18, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-02-08 00:00:00', 1.5700000519999999, 8.7269411090000002, -99, 364, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-02-09 00:00:00', 0.920000017, 4.7509627339999998, -99, 511, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-02-10 00:00:00', 2.8099999430000002, 5.4820632930000004, -99, 446, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-02-11 00:00:00', 1.7400000099999999, 3.0695672040000002, -99, 630, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-02-12 00:00:00', 9.2700004580000002, 1.7324355840000001, -99, 313, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-02-13 00:00:00', 4.670000076, 2.7139811520000001, -99, 583, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-02-14 00:00:00', 0.27000001099999998, 0.52953392300000002, -99, 421, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-02-15 00:00:00', 0.01, -2.3250920769999999, -99, 443, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-02-16 00:00:00', 3.3599998950000001, -1.402735472, -99, 342, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-02-17 00:00:00', 3.7999999519999998, 0.14856019600000001, -99, 349, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-02-18 00:00:00', 0, 3.9546127320000002, -99, 580, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-02-19 00:00:00', 2.75, 4.0236721040000001, -99, 331, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-02-20 00:00:00', 0.25, 9.1245250700000007, -99, 497, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-02-21 00:00:00', 1.3700000050000001, 9.9768981930000002, -99, 220, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-02-22 00:00:00', 0, 4.5594458580000001, -99, 626, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-02-23 00:00:00', 0, 3.7882401940000001, -99, 936, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-02-24 00:00:00', 0, 5.6689438819999998, -99, 173, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-02-25 00:00:00', 4.0300002099999999, 7.9135804179999996, -99, 832, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-02-26 00:00:00', 15.22000027, 6.3028135299999999, -99, 191, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-02-27 00:00:00', 7.170000076, 2.0004689689999999, -99, 295, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-02-28 00:00:00', 2.5899999139999998, 2.925906897, -99, 464, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-03-01 00:00:00', 0.55000001200000004, 2.0652663709999999, -99, 713, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-03-02 00:00:00', 0.28999999199999998, -0.0090012219999999997, -99, 1048, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-03-03 00:00:00', 0.769999981, -2.032693386, -99, 799, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-03-04 00:00:00', 2.880000114, 5.0613570210000001, -99, 727, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-03-05 00:00:00', 6.25, 3.5618443489999998, -99, 198, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-03-06 00:00:00', 4.8899998660000001, 4.8076043129999997, -99, 234, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-03-07 00:00:00', 3.380000114, 0.78069800099999997, -99, 349, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-03-08 00:00:00', 0.50999998999999996, 7.4143266680000002, -99, 457, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-03-09 00:00:00', 6.0500001909999996, 6.1307864189999997, -99, 832, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-03-10 00:00:00', 2.7400000100000002, 0.44856676499999998, -99, 205, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-03-11 00:00:00', 0.01, 7.6315441130000004, -99, 803, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-03-12 00:00:00', 0.14000000100000001, 5.6680388449999999, -99, 1174, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-03-13 00:00:00', 0.119999997, 0.88317310800000004, -99, 742, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-03-14 00:00:00', 0.40000000600000002, 4.0842442510000003, -99, 745, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-03-15 00:00:00', 0, 3.921065569, -99, 958, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-03-16 00:00:00', 0, 5.8554697039999999, -99, 1163, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-03-17 00:00:00', 0, 3.8523330690000002, -99, 1278, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-03-18 00:00:00', 0, 4.7745580670000001, -99, 1296, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-03-19 00:00:00', 5.7899999619999996, 7.3512492180000004, -99, 565, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-03-20 00:00:00', 0, 4.1942372319999999, -99, 1454, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-03-21 00:00:00', 1.210000038, 4.1819262500000001, -99, 418, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-03-22 00:00:00', 0.059999998999999998, 6.8854966160000002, -99, 911, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-03-23 00:00:00', 0.119999997, 5.7824940680000001, -99, 626, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-03-24 00:00:00', 4.4800000190000002, 7.1714520449999997, -99, 414, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-03-25 00:00:00', 1.1000000240000001, 2.3128607269999999, -99, 1091, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-03-26 00:00:00', 0, 2.3254477979999999, -99, 1735, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-03-27 00:00:00', 0, -2.860404253, -99, 1609, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-03-28 00:00:00', 0, -1.244363785, -99, 1688, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-03-29 00:00:00', 0, -1.964958668, -99, 1152, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-03-30 00:00:00', 0, 4.4750227929999999, -99, 1116, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-03-31 00:00:00', 0, 6.2624678610000002, -99, 1757, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-04-01 00:00:00', 0, 2.115360737, -99, 1674, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-04-02 00:00:00', 1.769999981, 3.1953904629999998, -99, 1228, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-04-03 00:00:00', 1.5, 7.8671474459999997, -99, 990, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-04-04 00:00:00', 0.920000017, 1.5695858, -99, 1480, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-04-05 00:00:00', 0.33000001299999998, -2.0565338130000002, -99, 1692, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-04-06 00:00:00', 0.119999997, -1.036994338, -99, 1588, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-04-07 00:00:00', 0, -1.1732277870000001, -99, 1919, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-04-08 00:00:00', 0, -2.8017630580000001, -99, 2092, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-04-09 00:00:00', 0, -4.5807361599999998, -99, 2095, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-04-10 00:00:00', 3.5499999519999998, -2.6031420230000002, -99, 324, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-04-11 00:00:00', 0.34999999399999998, 4.3906559940000003, -99, 1408, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-04-12 00:00:00', 0.070000000000000007, 1.246335387, -99, 932, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-04-13 00:00:00', 0.63999998599999997, 7.3032345769999996, -99, 605, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-04-14 00:00:00', 1.1000000240000001, 5.7240800859999998, -99, 662, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-04-15 00:00:00', 14.899999619999999, 3.1745641230000001, -99, 482, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-04-16 00:00:00', 1.5800000430000001, 4.0167093280000001, -99, 1321, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-04-17 00:00:00', 2.0199999809999998, 1.057033777, -99, 1728, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-04-18 00:00:00', 0, -0.238683537, -99, 2027, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-04-19 00:00:00', 0.119999997, 3.8780918120000001, -99, 1192, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-04-20 00:00:00', 0.10000000100000001, 6.9831261629999997, -99, 1400, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-04-21 00:00:00', 0.23000000400000001, 8.1043510439999995, -99, 1753, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-04-22 00:00:00', 0, 7.1332235339999999, -99, 2160, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-04-23 00:00:00', 0, 5.7256331439999997, -99, 2308, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-04-24 00:00:00', 0, 5.4792385100000001, -99, 1962, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-04-25 00:00:00', 0, 5.6262731549999998, -99, 2171, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-04-26 00:00:00', 6.9499998090000004, 4.1817073819999999, -99, 1163, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-04-27 00:00:00', 1.9900000099999999, 3.4983487129999999, -99, 1757, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-04-28 00:00:00', 0, 3.6631429199999999, -99, 1336, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-04-29 00:00:00', 0, 6.0201768879999999, -99, 1476, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-04-30 00:00:00', 0, 7.6297202110000004, -99, 2290, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-05-01 00:00:00', 0, 3.4004981519999999, -99, 2581, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-05-02 00:00:00', 0, 8.3306589130000006, -99, 2596, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-05-03 00:00:00', 0, 7.4235782620000004, -99, 2603, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-05-04 00:00:00', 0, 7.8121800419999996, -99, 2668, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-05-05 00:00:00', 0, 6.779498577, -99, 2516, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-05-06 00:00:00', 0, 10.241001130000001, -99, 2585, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-05-07 00:00:00', 0, 11.61985683, -99, 2135, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-05-08 00:00:00', 0.12999999500000001, 11.055069919999999, -99, 2084, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-05-09 00:00:00', 0.029999998999999999, 8.4849328990000004, -99, 1912, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-05-10 00:00:00', 3.8399999139999998, 9.3485908510000009, -99, 1598, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-05-11 00:00:00', 0, 10.731319429999999, -99, 1591, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-05-12 00:00:00', 0.519999981, 5.2937307359999997, -99, 1415, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-05-13 00:00:00', 2.9300000669999999, 9.7783069610000002, -99, 824, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-05-14 00:00:00', 3.6800000669999999, 6.7953076360000004, -99, 1382, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-05-15 00:00:00', 0.86000001400000003, 7.7391805649999998, -99, 1465, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-05-16 00:00:00', 2.4500000480000002, 8.8987188340000003, -99, 1724, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-05-17 00:00:00', 3.329999924, 9.5632963180000008, -99, 1645, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-05-18 00:00:00', 0, 5.686481476, -99, 1220, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-05-19 00:00:00', 0, 4.4626307489999997, -99, 2596, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-05-20 00:00:00', 0, 3.158900976, -99, 2585, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-05-21 00:00:00', 0, 7.0189204219999999, -99, 1973, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-05-22 00:00:00', 0, 7.5054912570000001, -99, 1807, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-05-23 00:00:00', 0.050000001000000002, 4.3462615009999999, -99, 2084, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-05-24 00:00:00', 1.3899999860000001, 5.1358571050000004, -99, 2491, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-05-25 00:00:00', 0, 6.275058746, -99, 2801, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-05-26 00:00:00', 0.20000000300000001, 5.0884943009999999, -99, 2131, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-05-27 00:00:00', 0.52999997099999996, 5.7994756699999996, -99, 1969, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-05-28 00:00:00', 0, 2.3392722610000001, -99, 2689, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-05-29 00:00:00', 0, 2.0788547990000001, -99, 2776, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-05-30 00:00:00', 0.059999998999999998, 2.1368677620000001, -99, 839, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-05-31 00:00:00', 0, 9.8215408330000002, -99, 1048, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-06-01 00:00:00', 0, 9.9556608200000003, -99, 2545, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-06-02 00:00:00', 4.4099998469999999, 11.707684520000001, -99, 983, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-06-03 00:00:00', 1.5700000519999999, 9.1756238939999992, -99, 1897, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-06-04 00:00:00', 9.0900001530000001, 10.94165802, -99, 727, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-06-05 00:00:00', 0.89999997600000003, 11.32032394, -99, 1865, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-06-06 00:00:00', 1.190000057, 7.8807878489999998, -99, 2135, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-06-07 00:00:00', 13.90999985, 10.969852449999999, -99, 904, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-06-08 00:00:00', 21.840000150000002, 12.895982740000001, -99, 742, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-06-09 00:00:00', 4.6599998469999999, 9.2817325589999999, -99, 850, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-06-10 00:00:00', 0, 9.210810661, -99, 2279, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-06-11 00:00:00', 0.68000000699999996, 7.3241214750000001, -99, 2333, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-06-12 00:00:00', 0, 10.13295078, -99, 2578, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-06-13 00:00:00', 0, 10.329207419999999, -99, 1199, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-06-14 00:00:00', 0.02, 10.741835590000001, -99, 853, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-06-15 00:00:00', 0, 10.395259859999999, -99, 1476, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-06-16 00:00:00', 0.25, 7.1942491530000003, -99, 1084, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-06-17 00:00:00', 0, 10.45145035, -99, 1292, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-06-18 00:00:00', 0, 10.79377556, -99, 2099, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-06-19 00:00:00', 4.7199997900000001, 12.10175037, -99, 907, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-06-20 00:00:00', 0.119999997, 13.58442879, -99, 1462, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-06-21 00:00:00', 0.029999998999999999, 13.18778419, -99, 2506, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-06-22 00:00:00', 12.19999981, 12.04162884, -99, 965, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-06-23 00:00:00', 0.87999999500000003, 11.98577976, -99, 2117, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-06-24 00:00:00', 1.9500000479999999, 10.71303844, -99, 2531, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-06-25 00:00:00', 0.14000000100000001, 12.222557070000001, -99, 1627, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-06-26 00:00:00', 0.050000001000000002, 13.176308629999999, -99, 1199, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-06-27 00:00:00', 2.8499999049999998, 13.56184769, -99, 1361, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-06-28 00:00:00', 0, 16.230489729999999, -99, 2434, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-06-29 00:00:00', 0, 8.3640565870000003, -99, 2783, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-06-30 00:00:00', 7.170000076, 9.8323593139999996, -99, 2268, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-07-01 00:00:00', 11.5, 14.877708439999999, -99, 2099, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-07-02 00:00:00', 7.0300002099999999, 12.351719859999999, -99, 1310, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-07-03 00:00:00', 0.25, 7.0961074829999999, -99, 2272, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-07-04 00:00:00', 0.30000001199999998, 5.4769830700000002, -99, 1987, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-07-05 00:00:00', 9.8500003809999992, 12.77978706, -99, 1044, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-07-06 00:00:00', 10.119999890000001, 11.078669550000001, -99, 1220, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-07-07 00:00:00', 1.190000057, 11.101607319999999, -99, 2246, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-07-08 00:00:00', 4.2100000380000004, 12.78733635, -99, 511, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-07-09 00:00:00', 3.7000000480000002, 13.042102809999999, -99, 1717, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-07-10 00:00:00', 1.0299999710000001, 10.639725690000001, -99, 2095, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-07-11 00:00:00', 0.34999999399999998, 11.710141180000001, -99, 1548, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-07-12 00:00:00', 0, 10.19134045, -99, 2250, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-07-13 00:00:00', 0, 8.868784904, -99, 1818, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-07-14 00:00:00', 0, 6.3265018460000002, -99, 2812, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-07-15 00:00:00', 0, 8.4965190889999995, -99, 2804, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-07-16 00:00:00', 0.40999999599999998, 7.9614925379999999, -99, 1472, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-07-17 00:00:00', 0.01, 11.908487320000001, -99, 1616, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-07-18 00:00:00', 0, 13.551452640000001, -99, 1310, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-07-19 00:00:00', 0, 13.434816359999999, -99, 1674, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-07-20 00:00:00', 0, 9.5883083340000006, -99, 2700, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-07-21 00:00:00', 0, 12.34697723, -99, 2275, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-07-22 00:00:00', 0.109999999, 11.10852528, -99, 2455, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-07-23 00:00:00', 3.4900000100000002, 10.331248280000001, -99, 2099, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-07-24 00:00:00', 0, 10.9712944, -99, 1742, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-07-25 00:00:00', 0, 13.917643549999999, -99, 1858, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-07-26 00:00:00', 0, 9.2052898410000008, -99, 2128, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-07-27 00:00:00', 0, 10.43916035, -99, 2765, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-07-28 00:00:00', 1.1699999569999999, 13.27049828, -99, 1994, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-07-29 00:00:00', 0.029999998999999999, 16.081443790000002, -99, 2369, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-07-30 00:00:00', 1, 11.0835743, -99, 2016, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-07-31 00:00:00', 0, 15.158324240000001, -99, 2498, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-08-01 00:00:00', 0, 9.5701208110000007, -99, 2275, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-08-02 00:00:00', 0, 11.05306435, -99, 2621, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-08-03 00:00:00', 0, 14.205615999999999, -99, 2660, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-08-04 00:00:00', 0, 17.10402298, -99, 2218, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-08-05 00:00:00', 0.74000001000000004, 13.852429389999999, -99, 1436, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-08-06 00:00:00', 0.43000000700000002, 10.666782380000001, -99, 1735, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-08-07 00:00:00', 0.059999998999999998, 9.0501995090000005, -99, 2185, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-08-08 00:00:00', 2.2300000190000002, 11.8922472, -99, 713, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-08-09 00:00:00', 6.6900000569999998, 13.471150400000001, -99, 605, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-08-10 00:00:00', 8.7200002669999996, 14.902499199999999, -99, 1523, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-08-11 00:00:00', 0.27000001099999998, 12.970026969999999, -99, 1084, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-08-12 00:00:00', 0, 12.6909647, -99, 1984, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-08-13 00:00:00', 0, 13.24484825, -99, 2012, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-08-14 00:00:00', 0, 15.143109320000001, -99, 1973, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-08-15 00:00:00', 6.3000001909999996, 13.534076689999999, -99, 1523, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-08-16 00:00:00', 2.6900000569999998, 16.796831130000001, -99, 1703, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-08-17 00:00:00', 7.579999924, 10.75807095, -99, 1224, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-08-18 00:00:00', 6.2600002290000001, 11.16513443, -99, 1537, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-08-19 00:00:00', 18.989999770000001, 9.7236461639999998, -99, 1760, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-08-20 00:00:00', 15.77999973, 13.200548169999999, -99, 749, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-08-21 00:00:00', 0.280000001, 12.474473, -99, 1307, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-08-22 00:00:00', 0.109999999, 11.03087902, -99, 1055, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-08-23 00:00:00', 0, 12.60777283, -99, 2268, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-08-24 00:00:00', 0, 6.7933783529999996, -99, 1555, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-08-25 00:00:00', 0, 11.348092080000001, -99, 1127, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-08-26 00:00:00', 0, 8.5904712679999999, -99, 2246, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-08-27 00:00:00', 0, 6.2455244060000004, -99, 1811, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-08-28 00:00:00', 0, 13.135528559999999, -99, 1487, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-08-29 00:00:00', 0, 14.21257782, -99, 1872, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-08-30 00:00:00', 2.8900001049999999, 15.64096069, -99, 1253, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-08-31 00:00:00', 2.1800000669999999, 11.58835697, -99, 1559, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-09-01 00:00:00', 2.0899999139999998, 12.507371900000001, -99, 929, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-09-02 00:00:00', 0, 8.9854764940000003, -99, 1105, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-09-03 00:00:00', 16.219999309999999, 13.985669140000001, -99, 616, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-09-04 00:00:00', 29.709999079999999, 13.55282974, -99, 385, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-09-05 00:00:00', 7.9400000569999998, 11.225790979999999, -99, 403, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-09-06 00:00:00', 5.1399998660000001, 10.25120926, -99, 511, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-09-07 00:00:00', 0.37000000500000002, 6.7664289469999996, -99, 1584, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-09-08 00:00:00', 2.9800000190000002, 9.7942533489999999, -99, 1426, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-09-09 00:00:00', 0.050000001000000002, 10.87775993, -99, 1292, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-09-10 00:00:00', 0.050000001000000002, 11.8486805, -99, 1516, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-09-11 00:00:00', 0.49000000999999999, 10.343403820000001, -99, 1346, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-09-12 00:00:00', 0.119999997, 7.0327029230000004, -99, 1062, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-09-13 00:00:00', 0, 10.835487369999999, -99, 1163, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-09-14 00:00:00', 0, 9.1651964190000008, -99, 799, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-09-15 00:00:00', 0, 9.3976430890000007, -99, 1184, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-09-16 00:00:00', 0, 4.3133091930000003, -99, 1627, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-09-17 00:00:00', 2.0299999710000001, 5.8787050250000004, -99, 817, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-09-18 00:00:00', 3.7300000190000002, 6.3912444109999997, -99, 1267, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-09-19 00:00:00', 14.06999969, 12.16933918, -99, 821, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-09-20 00:00:00', 21.559999470000001, 8.0871620180000008, -99, 864, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-09-21 00:00:00', 18.739999770000001, 8.0062999730000008, -99, 616, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-09-22 00:00:00', 0.47999998900000002, 8.1140661240000007, -99, 961, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-09-23 00:00:00', 6.9800000190000002, 4.6869330409999996, -99, 1134, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-09-24 00:00:00', 25.329999919999999, 9.8282651899999998, -99, 270, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-09-25 00:00:00', 2.2699999809999998, 8.942346573, -99, 716, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-09-26 00:00:00', 0.34999999399999998, 2.3051991460000001, -99, 778, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-09-27 00:00:00', 1.440000057, 5.4889898300000004, -99, 533, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-09-28 00:00:00', 2.880000114, 8.8992023469999992, -99, 173, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-09-29 00:00:00', 0.119999997, 12.990055079999999, -99, 652, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-09-30 00:00:00', 6.670000076, 10.66655731, -99, 299, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-10-01 00:00:00', 0, 10.04399967, -99, 914, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-10-02 00:00:00', 0, 4.7781596180000001, -99, 396, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-10-03 00:00:00', 0.37000000500000002, 10.7538147, -99, 821, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-10-04 00:00:00', 3, 11.40234375, -99, 695, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-10-05 00:00:00', 9.0600004199999997, 8.8652257920000004, -99, 180, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-10-06 00:00:00', 4.1100001339999999, 13.34689522, -99, 32, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-10-07 00:00:00', 1.6499999759999999, 10.06143761, -99, 554, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-10-08 00:00:00', 0.209999993, 5.923083782, -99, 731, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-10-09 00:00:00', 0.579999983, 7.7271299359999999, -99, 392, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-10-10 00:00:00', 2.210000038, 11.030793190000001, -99, 518, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-10-11 00:00:00', 10.350000380000001, 9.8308248519999992, -99, 47, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-10-12 00:00:00', 0, 10.700347900000001, -99, 641, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-10-13 00:00:00', 0, 10.6895647, -99, 950, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-10-14 00:00:00', 0, 6.9859843250000004, -99, 662, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-10-15 00:00:00', 0, 11.09365749, -99, 713, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-10-16 00:00:00', 0, 12.84034634, -99, 641, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-10-17 00:00:00', 1.0700000519999999, 4.762025833, -99, 551, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-10-18 00:00:00', 0.039999999000000001, 10.691599849999999, -99, 266, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-10-19 00:00:00', 0.14000000100000001, 11.14970207, -99, 194, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-10-20 00:00:00', 0, 9.7152547840000008, -99, 446, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-10-21 00:00:00', 0, 3.0937757490000002, -99, 774, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-10-22 00:00:00', 0, 3.2011382579999998, -99, 734, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-10-23 00:00:00', 0, 3.8800826069999999, -99, 745, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-10-24 00:00:00', 0, 4.7693462369999997, -99, 727, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-10-25 00:00:00', 0, 2.1778531069999998, -99, 587, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-10-26 00:00:00', 0.28999999199999998, 4.5545854569999999, -99, 508, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-10-27 00:00:00', 0.69999998799999996, 6.5667467119999996, -99, 410, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-10-28 00:00:00', 18.870000839999999, 7.7710423469999999, -99, 475, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-10-29 00:00:00', 25.61000061, 7.7373900410000003, -99, 176, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-10-30 00:00:00', 4.4000000950000002, 3.0149612430000001, -99, 349, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-10-31 00:00:00', 4.75, 6.4810700419999998, -99, 148, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-11-01 00:00:00', 2.119999886, 6.6967868800000003, -99, 410, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-11-02 00:00:00', 1.6399999860000001, 4.3428645130000003, -99, 580, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-11-03 00:00:00', 0.89999997600000003, 3.2666583060000001, -99, 475, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-11-04 00:00:00', 3.8399999139999998, 0.59704709099999997, -99, 475, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-11-05 00:00:00', 0, 0.69423240399999997, -99, 583, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-11-06 00:00:00', 0, -1.397697687, -99, 493, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-11-07 00:00:00', 0, -2.554266691, -99, 414, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-11-08 00:00:00', 0, 1.051163912, -99, 392, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-11-09 00:00:00', 0, -2.2148814200000002, -99, 468, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-11-10 00:00:00', 0.189999998, 1.314739704, -99, 230, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-11-11 00:00:00', 0, 2.8326964380000001, -99, 133, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-11-12 00:00:00', 0.37999999499999998, 4.5710864070000001, -99, 72, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-11-13 00:00:00', 4.4299998279999997, 5.8752498629999996, -99, 112, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-11-14 00:00:00', 7.0900001530000001, 8.0518865589999997, -99, 83, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-11-15 00:00:00', 0.579999983, 8.7475423810000006, -99, 292, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-11-16 00:00:00', 10.68000031, 7.980766773, -99, 158, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-11-17 00:00:00', 1.059999943, 8.0306711199999992, -99, 270, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-11-18 00:00:00', 7.2600002290000001, 3.8724493980000001, -99, 187, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-11-19 00:00:00', 5.6999998090000004, 3.3446252350000001, -99, 191, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-11-20 00:00:00', 0.810000002, 1.700329542, -99, 230, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-11-21 00:00:00', 0.02, 2.7495493889999998, -99, 306, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-11-22 00:00:00', 0, -1.356967926, -99, 338, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-11-23 00:00:00', 8.6199998860000004, -3.2329025269999998, -99, 259, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-11-24 00:00:00', 0.219999999, 0.89230847400000002, -99, 180, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-11-25 00:00:00', 0, 1.758335352, -99, 230, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-11-26 00:00:00', 6.0999999049999998, 3.7620491980000001, -99, 130, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-11-27 00:00:00', 0, 0.84061193499999998, -99, 295, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-11-28 00:00:00', 0.86000001400000003, -2.569839478, -99, 324, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-11-29 00:00:00', 0.40000000600000002, 1.529063582, -99, 320, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-11-30 00:00:00', 0, -0.72618287800000003, -99, 310, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-12-01 00:00:00', 0, -3.3825311660000001, -99, 295, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-12-02 00:00:00', 0.039999999000000001, -3.525048494, -99, 83, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-12-03 00:00:00', 1.3899999860000001, 5.2181773189999996, -99, 230, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-12-04 00:00:00', 0.30000001199999998, 1.7783327099999999, -99, 220, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-12-05 00:00:00', 0.029999998999999999, -0.81979554899999996, -99, 306, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-12-06 00:00:00', 0.86000001400000003, -2.910229921, -99, 151, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-12-07 00:00:00', 0.50999998999999996, 5.2821860310000002, -99, 140, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-12-08 00:00:00', 0, 0.11314674500000001, -99, 140, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-12-09 00:00:00', 0.090000003999999995, -0.868752301, -99, 220, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-12-10 00:00:00', 0, 2.33530426, -99, 173, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-12-11 00:00:00', 3.920000076, 2.81726265, -99, 256, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-12-12 00:00:00', 3.5, -1.08600688, -99, 151, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-12-13 00:00:00', 0, 2.891571522, -99, 266, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-12-14 00:00:00', 0.070000000000000007, -4.9603519440000001, -99, 169, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-12-15 00:00:00', 0, 0.63312691499999996, -99, 212, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-12-16 00:00:00', 0.189999998, -3.8192746639999999, -99, 245, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-12-17 00:00:00', 0.02, -2.4569761749999999, -99, 216, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-12-18 00:00:00', 0.070000000000000007, -0.68956911600000004, -99, 126, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-12-19 00:00:00', 1.7999999520000001, -1.939744234, -99, 104, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-12-20 00:00:00', 5.1500000950000002, -1.573078156, -99, 126, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-12-21 00:00:00', 0, 2.2239315510000002, -99, 248, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-12-22 00:00:00', 3.1099998950000001, -1.2944692369999999, -99, 104, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-12-23 00:00:00', 0.029999998999999999, 5.6217718120000004, -99, 198, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-12-24 00:00:00', 0.670000017, 5.0464663510000003, -99, 184, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-12-25 00:00:00', 1.5700000519999999, 3.126888514, -99, 216, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-12-26 00:00:00', 13.77000046, 2.9834756850000002, -99, 173, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-12-27 00:00:00', 4.4499998090000004, 1.055889487, -99, 180, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-12-28 00:00:00', 13.89000034, 0.95763015699999998, -99, 234, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-12-29 00:00:00', 2.0599999430000002, 2.4594511990000001, -99, 169, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-12-30 00:00:00', 2.7000000480000002, 2.3163225650000001, -99, 234, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1990-12-31 00:00:00', 2.8599998950000001, 3.1308631899999999, -99, 198, 'ask', 'ask_1990');
INSERT INTO public.cdy_cldat VALUES ('1991-01-01 00:00:00', 8.5399999619999996, 2.4950194360000002, -99, 148, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-01-02 00:00:00', 10.40999985, 2.135576725, -99, 212, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-01-03 00:00:00', 8.6800003050000001, 3.5093982220000002, -99, 216, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-01-04 00:00:00', 0.10000000100000001, 1.308701992, -99, 220, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-01-05 00:00:00', 5.7199997900000001, 4.1914577480000004, -99, 130, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-01-06 00:00:00', 15.93999958, 3.2385680680000002, -99, 122, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-01-07 00:00:00', 5.0300002099999999, 2.7944231030000002, -99, 144, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-01-08 00:00:00', 15.170000079999999, 3.4884672160000001, -99, 191, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-01-09 00:00:00', 10.210000040000001, 3.878900051, -99, 169, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-01-10 00:00:00', 3.3599998950000001, 3.848760366, -99, 137, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-01-11 00:00:00', 0.46000000800000002, 3.8450202939999998, -99, 310, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-01-12 00:00:00', 2.0999999049999998, 3.7174081800000001, -99, 263, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-01-13 00:00:00', 0, -1.5878896709999999, -99, 331, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-01-14 00:00:00', 0, -1.7300958630000001, -99, 324, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-01-15 00:00:00', 0, -4.7966952320000003, -99, 191, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-01-16 00:00:00', 0, -3.1011211869999999, -99, 295, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-01-17 00:00:00', 0, -3.058905363, -99, 288, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-01-18 00:00:00', 0, -4.1102385520000002, -99, 234, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-01-19 00:00:00', 0.14000000100000001, -3.8258125779999999, -99, 130, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-01-20 00:00:00', 6.2699999809999998, -0.754942, -99, 65, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-01-21 00:00:00', 0.689999998, 2.9289042950000002, -99, 155, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-01-22 00:00:00', 0, -1.6794190410000001, -99, 374, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-01-23 00:00:00', 0.029999998999999999, -1.945023537, -99, 187, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-01-24 00:00:00', 0.109999999, 2.7105546, -99, 302, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-01-25 00:00:00', 0.050000001000000002, 2.798641682, -99, 259, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-01-26 00:00:00', 0, 2.6527953150000001, -99, 212, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-01-27 00:00:00', 0, -0.045875712999999999, -99, 457, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-01-28 00:00:00', 0.029999998999999999, 0.74478155400000001, -99, 353, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-01-29 00:00:00', 0, 2.1793415550000002, -99, 389, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-01-30 00:00:00', 0, -1.127652168, -99, 256, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-01-31 00:00:00', 0, -2.317945242, -99, 508, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-02-01 00:00:00', 0, -6.0652565960000002, -99, 551, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-02-02 00:00:00', 0, -7.6868371959999999, -99, 533, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-02-03 00:00:00', 0, -5.0533394810000001, -99, 547, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-02-04 00:00:00', 0.02, -2.4274334909999999, -99, 446, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-02-05 00:00:00', 0.15000000599999999, -1.515039325, -99, 400, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-02-06 00:00:00', 0.02, -5.4573564530000001, -99, 472, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-02-07 00:00:00', 0.029999998999999999, -3.6919615270000001, -99, 461, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-02-08 00:00:00', 1.1499999759999999, -6.5297446250000002, -99, 202, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-02-09 00:00:00', 6.5300002099999999, -3.3854422569999998, -99, 162, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-02-10 00:00:00', 1.460000038, -5.569107056, -99, 313, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-02-11 00:00:00', 4.579999924, -3.6790764330000001, -99, 194, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-02-12 00:00:00', 0.070000000000000007, -3.0729749200000001, -99, 583, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-02-13 00:00:00', 0.109999999, -16.426013950000002, -99, 655, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-02-14 00:00:00', 1.8200000519999999, -10.25456142, -99, 688, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-02-15 00:00:00', 3.8199999330000001, -9.9309940339999994, -99, 410, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-02-16 00:00:00', 0.769999981, -1.9411758180000001, -99, 464, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-02-17 00:00:00', 0, -1.5381724830000001, -99, 637, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-02-18 00:00:00', 0, -4.6579284669999996, -99, 547, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-02-19 00:00:00', 0, -6.7926650049999999, -99, 439, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-02-20 00:00:00', 0.37999999499999998, 0.56246906500000005, -99, 522, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-02-21 00:00:00', 1.0800000430000001, 0.98714816599999999, -99, 313, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-02-22 00:00:00', 6.7300000190000002, 1.1441073420000001, -99, 652, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-02-23 00:00:00', 5.5500001909999996, 1.7935158010000001, -99, 310, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-02-24 00:00:00', 1.3999999759999999, 6.0392241479999997, -99, 616, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-02-25 00:00:00', 0, 2.1297566890000001, -99, 994, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-02-26 00:00:00', 0.02, 2.0277953150000001, -99, 1001, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-02-27 00:00:00', 0, -0.52898836100000002, -99, 835, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-02-28 00:00:00', 0.12999999500000001, -1.684905171, -99, 328, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-03-01 00:00:00', 0, 0.074883349000000002, -99, 392, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-03-02 00:00:00', 0.109999999, 0.60081034899999997, -99, 583, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-03-03 00:00:00', 2.5099999899999998, 0.75708413100000005, -99, 367, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-03-04 00:00:00', 0, 2.562076807, -99, 1130, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-03-05 00:00:00', 7.9600000380000004, 1.0298910139999999, -99, 187, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-03-06 00:00:00', 1.6299999949999999, 2.9949617389999998, -99, 421, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-03-07 00:00:00', 1.8899999860000001, 2.8876523970000001, -99, 450, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-03-08 00:00:00', 0, 2.1818282600000001, -99, 803, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-03-09 00:00:00', 0, 2.6019492149999999, -99, 392, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-03-10 00:00:00', 0.959999979, 2.5147280689999998, -99, 414, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-03-11 00:00:00', 0.050000001000000002, 2.3570783139999998, -99, 464, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-03-12 00:00:00', 0, 3.0110247139999999, -99, 533, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-03-13 00:00:00', 0, 5.3132967950000003, -99, 605, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-03-14 00:00:00', 0.070000000000000007, 5.0807256699999996, -99, 680, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-03-15 00:00:00', 1.1299999949999999, 5.3754000660000001, -99, 580, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-03-16 00:00:00', 0, 3.9030961990000002, -99, 504, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-03-17 00:00:00', 0, 2.6761662959999999, -99, 817, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-03-18 00:00:00', 0.189999998, 3.879203081, -99, 1296, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-03-19 00:00:00', 18.309999470000001, 4.3013086319999996, -99, 396, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-03-20 00:00:00', 4.8699998860000004, 5.3919329640000004, -99, 1231, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-03-21 00:00:00', 0.109999999, 4.9689798359999999, -99, 504, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-03-22 00:00:00', 0, 3.7876882549999999, -99, 1256, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-03-23 00:00:00', 0.039999999000000001, 2.0650579929999999, -99, 1141, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-03-24 00:00:00', 0, -1.8347265720000001, -99, 1400, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-03-25 00:00:00', 0, -2.1798522469999999, -99, 1674, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-03-26 00:00:00', 0, 0.93619096300000004, -99, 1685, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-03-27 00:00:00', 0.039999999000000001, 0.079389967000000006, -99, 1138, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-03-28 00:00:00', 0, -0.65105658799999999, -99, 1343, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-03-29 00:00:00', 0, -2.2252771849999999, -99, 1764, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-03-30 00:00:00', 0.20000000300000001, -0.484143883, -99, 785, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-03-31 00:00:00', 1.6699999569999999, 2.2126932140000002, -99, 850, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-04-01 00:00:00', 13.09000015, 4.1293373109999996, -99, 504, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-04-02 00:00:00', 4.8800001139999996, 7.261625767, -99, 335, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-04-03 00:00:00', 1.0299999710000001, 7.7443709370000002, -99, 716, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-04-04 00:00:00', 0, 2.7112624649999999, -99, 1706, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-04-05 00:00:00', 0.25, 5.1737608909999997, -99, 1195, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-04-06 00:00:00', 0, 4.1246137620000001, -99, 1289, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-04-07 00:00:00', 1.8600000139999999, 3.9941515920000001, -99, 936, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-04-08 00:00:00', 4, 4.5368652340000004, -99, 1789, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-04-09 00:00:00', 0, 4.0762510299999999, -99, 1829, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-04-10 00:00:00', 0, 2.0108330250000002, -99, 785, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-04-11 00:00:00', 0, 6.3363966940000003, -99, 1843, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-04-12 00:00:00', 0, 5.7731833459999997, -99, 2038, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-04-13 00:00:00', 0, 6.0371255870000002, -99, 1811, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-04-14 00:00:00', 0, 6.4778017999999999, -99, 1840, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-04-15 00:00:00', 0.070000000000000007, 2.4487838750000002, -99, 1660, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-04-16 00:00:00', 0.23999999499999999, 3.4078466889999999, -99, 1624, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-04-17 00:00:00', 0, 2.7396698000000002, -99, 2261, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-04-18 00:00:00', 0, -4.6408262249999996, -99, 1746, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-04-19 00:00:00', 0.63999998599999997, -2.6755950450000001, -99, 2027, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-04-20 00:00:00', 0.039999999000000001, -3.4848732949999999, -99, 1973, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-04-21 00:00:00', 4.3400001530000001, -4.8831686970000003, -99, 1516, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-04-22 00:00:00', 2.289999962, 1.4265203479999999, -99, 2160, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-04-23 00:00:00', 0.189999998, -0.76635509700000004, -99, 1760, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-04-24 00:00:00', 0, 1.3133150339999999, -99, 1552, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-04-25 00:00:00', 0, 1.439757347, -99, 1829, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-04-26 00:00:00', 2.0999999049999998, 0.86759287100000004, -99, 1962, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-04-27 00:00:00', 9.8199996949999999, 3.6524004940000001, -99, 677, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-04-28 00:00:00', 3.3900001049999999, 4.8141298289999996, -99, 1008, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-04-29 00:00:00', 0.939999998, 3.625275373, -99, 727, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-04-30 00:00:00', 3.039999962, 3.017273903, -99, 850, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-05-01 00:00:00', 3.2799999710000001, 5.1009998320000003, -99, 536, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-05-02 00:00:00', 1.5299999710000001, 4.5488333699999997, -99, 1642, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-05-03 00:00:00', 5.1799998279999997, 4.676471233, -99, 947, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-05-04 00:00:00', 7.079999924, 3.0990884300000001, -99, 1069, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-05-05 00:00:00', 3.6900000569999998, 5.7505602839999996, -99, 439, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-05-06 00:00:00', 0, 5.2315793040000003, -99, 2390, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-05-07 00:00:00', 0, 0.25870063900000001, -99, 2707, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-05-08 00:00:00', 0, -0.0082413769999999994, -99, 2686, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-05-09 00:00:00', 0, 1.220089078, -99, 2736, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-05-10 00:00:00', 0.01, 2.8176503180000001, -99, 2398, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-05-11 00:00:00', 0.059999998999999998, 4.7531204220000003, -99, 1292, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-05-12 00:00:00', 0.10000000100000001, 7.4914345740000003, -99, 1714, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-05-13 00:00:00', 1.0900000329999999, 4.784920692, -99, 770, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-05-14 00:00:00', 0.02, 6.9076633449999996, -99, 2624, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-05-15 00:00:00', 0, 4.4496355059999999, -99, 2045, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-05-16 00:00:00', 0, 3.5722529889999999, -99, 2502, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-05-17 00:00:00', 0, 3.856472015, -99, 2387, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-05-18 00:00:00', 0, 1.954153061, -99, 2282, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-05-19 00:00:00', 0, 2.3110387330000002, -99, 2002, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-05-20 00:00:00', 0.41999998700000002, 9.3886165619999993, -99, 1652, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-05-21 00:00:00', 0, 7.4305901529999998, -99, 2326, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-05-22 00:00:00', 0, 7.8168020250000003, -99, 1512, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-05-23 00:00:00', 0.87999999500000003, 6.3155570030000003, -99, 2394, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-05-24 00:00:00', 0, 3.493344784, -99, 2423, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-05-25 00:00:00', 0, 7.0211987499999999, -99, 2164, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-05-26 00:00:00', 0, 3.456479549, -99, 2473, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-05-27 00:00:00', 0.050000001000000002, 7.4453434940000003, -99, 1490, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-05-28 00:00:00', 0, 4.9713902470000004, -99, 1606, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-05-29 00:00:00', 0, 7.5815200809999999, -99, 1886, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-05-30 00:00:00', 0, 4.1853141779999996, -99, 2891, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-05-31 00:00:00', 0, 7.3813638690000003, -99, 2308, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-06-01 00:00:00', 0, 5.7775120739999997, -99, 2675, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-06-02 00:00:00', 0.28999999199999998, 2.343931913, -99, 1627, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-06-03 00:00:00', 3.1500000950000002, 1.819561005, -99, 1325, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-06-04 00:00:00', 0.37000000500000002, 5.8872666359999997, -99, 2286, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-06-05 00:00:00', 0.310000002, 4.8563399309999999, -99, 2196, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-06-06 00:00:00', 0, 1.186934114, -99, 2646, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-06-07 00:00:00', 0, 9.0091981889999992, -99, 1757, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-06-08 00:00:00', 0, 4.491566658, -99, 2822, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-06-09 00:00:00', 1.4199999569999999, 2.078649521, -99, 929, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-06-10 00:00:00', 0.14000000100000001, 8.6986894610000007, -99, 1224, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-06-11 00:00:00', 0.20000000300000001, 11.01446533, -99, 1580, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-06-12 00:00:00', 8.5299997330000004, 9.4055089949999999, -99, 353, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-06-13 00:00:00', 2.0299999710000001, 11.603322029999999, -99, 1930, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-06-14 00:00:00', 3.3900001049999999, 9.1427078250000005, -99, 1483, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-06-15 00:00:00', 24.489999770000001, 9.0756378170000005, -99, 2110, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-06-16 00:00:00', 2.5999999049999998, 10.364573480000001, -99, 1170, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-06-17 00:00:00', 4.1900000569999998, 9.6901922230000004, -99, 2070, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-06-18 00:00:00', 3.1099998950000001, 6.051688671, -99, 1879, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-06-19 00:00:00', 3.869999886, 9.0624809269999993, -99, 1350, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-06-20 00:00:00', 0.80000001200000004, 6.0636186600000004, -99, 2214, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-06-21 00:00:00', 3.5999999049999998, 5.1984992029999999, -99, 2495, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-06-22 00:00:00', 0.10000000100000001, 13.07684231, -99, 2081, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-06-23 00:00:00', 3.329999924, 9.2370080950000002, -99, 1253, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-06-24 00:00:00', 1.8799999949999999, 11.057464599999999, -99, 1796, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-06-25 00:00:00', 8.5100002289999992, 11.52157688, -99, 1040, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-06-26 00:00:00', 0.66000002599999996, 14.06707668, -99, 1879, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-06-27 00:00:00', 0.55000001200000004, 10.77494621, -99, 2621, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-06-28 00:00:00', 7.6399998660000001, 10.526429179999999, -99, 1681, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-06-29 00:00:00', 0.18000000699999999, 11.222990039999999, -99, 922, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-06-30 00:00:00', 1.6699999569999999, 10.608529089999999, -99, 1069, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-07-01 00:00:00', 0.070000000000000007, 12.68772888, -99, 1548, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-07-02 00:00:00', 0, 12.3856535, -99, 2275, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-07-03 00:00:00', 0, 14.799024579999999, -99, 2747, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-07-04 00:00:00', 0, 14.004863739999999, -99, 2776, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-07-05 00:00:00', 0, 11.93829727, -99, 3067, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-07-06 00:00:00', 0, 13.67808533, -99, 3006, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-07-07 00:00:00', 0, 14.79292107, -99, 2981, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-07-08 00:00:00', 8.0299997330000004, 17.986955640000001, -99, 1879, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-07-09 00:00:00', 2.5499999519999998, 15.2045393, -99, 1174, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-07-10 00:00:00', 0, 12.454401969999999, -99, 2765, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-07-11 00:00:00', 0.61000001400000003, 7.5048036580000002, -99, 2923, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-07-12 00:00:00', 0.43000000700000002, 17.001558299999999, -99, 2005, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-07-13 00:00:00', 0.670000017, 13.93396664, -99, 1944, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-07-14 00:00:00', 0.15000000599999999, 14.067307469999999, -99, 2308, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-07-15 00:00:00', 5.0999999049999998, 11.312808990000001, -99, 893, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-07-16 00:00:00', 1.690000057, 14.34191704, -99, 1526, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-07-17 00:00:00', 2.079999924, 12.35496807, -99, 2084, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-07-18 00:00:00', 10.22999954, 11.293567660000001, -99, 1433, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-07-19 00:00:00', 2.2400000100000002, 12.6734724, -99, 1685, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-07-20 00:00:00', 0.079999998000000003, 12.51921082, -99, 1897, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-07-21 00:00:00', 0.280000001, 11.69868374, -99, 918, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-07-22 00:00:00', 0, 12.079963680000001, -99, 1148, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-07-23 00:00:00', 0, 10.042491910000001, -99, 2466, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-07-24 00:00:00', 4.3800001139999996, 13.005930899999999, -99, 1926, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-07-25 00:00:00', 3.3599998950000001, 12.147855760000001, -99, 2239, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-07-26 00:00:00', 0, 13.419487, -99, 2354, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-07-27 00:00:00', 0, 10.537770269999999, -99, 1739, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-07-28 00:00:00', 0, 9.0396814350000003, -99, 2617, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-07-29 00:00:00', 0, 13.354959490000001, -99, 2761, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-07-30 00:00:00', 0, 15.09339237, -99, 2408, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-07-31 00:00:00', 0.920000017, 16.73255348, -99, 1969, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-08-01 00:00:00', 1.8799999949999999, 16.957523349999999, -99, 1368, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-08-02 00:00:00', 7.8400001530000001, 17.463714599999999, -99, 1253, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-08-03 00:00:00', 0, 17.352579120000001, -99, 1678, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-08-04 00:00:00', 0, 14.600378989999999, -99, 2308, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-08-05 00:00:00', 1.1299999949999999, 11.646811489999999, -99, 1519, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-08-06 00:00:00', 2.5099999899999998, 16.909175869999999, -99, 637, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-08-07 00:00:00', 0, 16.701536180000002, -99, 1879, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-08-08 00:00:00', 0, 12.672472000000001, -99, 2041, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-08-09 00:00:00', 0.62999999500000003, 11.124188419999999, -99, 1001, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-08-10 00:00:00', 1.1699999569999999, 15.243690490000001, -99, 1782, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-08-11 00:00:00', 3.630000114, 16.32739449, -99, 1354, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-08-12 00:00:00', 1.0900000329999999, 13.57130527, -99, 2088, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-08-13 00:00:00', 0.58999997400000004, 10.73550797, -99, 1951, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-08-14 00:00:00', 0.01, 9.1291847229999998, -99, 1753, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-08-15 00:00:00', 0.070000000000000007, 8.6713275910000007, -99, 1904, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-08-16 00:00:00', 0.88999998599999997, 14.681995390000001, -99, 1152, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-08-17 00:00:00', 11.18999958, 12.83265018, -99, 1094, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-08-18 00:00:00', 0.209999993, 13.02138615, -99, 1750, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-08-19 00:00:00', 0.25, 13.34469414, -99, 1314, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-08-20 00:00:00', 0.77999997099999996, 11.845681190000001, -99, 1505, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-08-21 00:00:00', 0, 10.473964690000001, -99, 2146, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-08-22 00:00:00', 0, 12.38150692, -99, 2088, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-08-23 00:00:00', 0, 15.40710545, -99, 1429, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-08-24 00:00:00', 5.0500001909999996, 11.870195389999999, -99, 1480, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-08-25 00:00:00', 0.14000000100000001, 11.892952920000001, -99, 1386, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-08-26 00:00:00', 0, 9.5067749020000001, -99, 1472, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-08-27 00:00:00', 0.89999997600000003, 6.9804224970000002, -99, 1102, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-08-28 00:00:00', 0, 10.93876362, -99, 2048, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-08-29 00:00:00', 0, 7.3984413150000004, -99, 2153, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-08-30 00:00:00', 0, 6.5257205960000002, -99, 1429, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-08-31 00:00:00', 0, 11.3784771, -99, 1112, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-09-01 00:00:00', 0, 12.79166603, -99, 1933, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-09-02 00:00:00', 0, 14.502916340000001, -99, 1966, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-09-03 00:00:00', 0, 11.66876984, -99, 2041, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-09-04 00:00:00', 0.050000001000000002, 12.31134224, -99, 1404, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-09-05 00:00:00', 0, 13.507077219999999, -99, 1386, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-09-06 00:00:00', 0, 5.0538415910000003, -99, 1638, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-09-07 00:00:00', 0.059999998999999998, 9.3717918400000002, -99, 1249, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-09-08 00:00:00', 0, 10.171452520000001, -99, 1505, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-09-09 00:00:00', 0.40999999599999998, 9.3203287120000002, -99, 922, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-09-10 00:00:00', 0.209999993, 12.69707966, -99, 886, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-09-11 00:00:00', 0.10000000100000001, 9.7480316160000005, -99, 1566, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-09-12 00:00:00', 0, 6.9326777460000004, -99, 1760, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-09-13 00:00:00', 0, 3.556013584, -99, 1094, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-09-14 00:00:00', 0, 5.5755925179999997, -99, 1541, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-09-15 00:00:00', 0.689999998, 14.033988000000001, -99, 1062, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-09-16 00:00:00', 9.7399997710000008, 5.4667477609999997, -99, 846, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-09-17 00:00:00', 3.6400001049999999, 12.51719379, -99, 846, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-09-18 00:00:00', 0.72000002900000004, 10.65911674, -99, 835, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-09-19 00:00:00', 0.74000001000000004, 6.8339281080000003, -99, 1372, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-09-20 00:00:00', 0.01, 8.8747749329999994, -99, 1379, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-09-21 00:00:00', 1.0900000329999999, 6.6019310950000003, -99, 1418, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-09-22 00:00:00', 9.75, 12.39342499, -99, 590, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-09-23 00:00:00', 5.2600002290000001, 8.9811763760000005, -99, 1256, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-09-24 00:00:00', 1.2799999710000001, 10.632197379999999, -99, 698, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-09-25 00:00:00', 1.6799999480000001, 10.53169823, -99, 576, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-09-26 00:00:00', 14.90999985, 11.410841939999999, -99, 328, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-09-27 00:00:00', 0, 7.6801328660000001, -99, 1123, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-09-28 00:00:00', 0, 2.350126505, -99, 1048, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-09-29 00:00:00', 7.4899997709999999, 7.6829509739999997, -99, 263, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-09-30 00:00:00', 1.019999981, 10.197481160000001, -99, 454, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-10-01 00:00:00', 13.97999954, 7.0318984990000004, -99, 749, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-10-02 00:00:00', 0.25, 7.9822545050000002, -99, 1022, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-10-03 00:00:00', 5.0100002290000001, 5.1031665799999999, -99, 302, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-10-04 00:00:00', 0.050000001000000002, 7.0448684689999999, -99, 1037, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-10-05 00:00:00', 0, 7.6991205220000003, -99, 864, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-10-06 00:00:00', 0.02, 8.9760971069999993, -99, 868, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-10-07 00:00:00', 0, 1.8977836370000001, -99, 684, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-10-08 00:00:00', 0, 11.55812645, -99, 684, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-10-09 00:00:00', 0, 10.724859240000001, -99, 968, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-10-10 00:00:00', 0, 9.0178651809999995, -99, 655, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-10-11 00:00:00', 0, 10.12612438, -99, 958, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-10-12 00:00:00', 0, 11.33795166, -99, 832, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-10-13 00:00:00', 9.3400001530000001, 10.305707930000001, -99, 356, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-10-14 00:00:00', 1.1499999759999999, 10.299092290000001, -99, 331, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-10-15 00:00:00', 2.9000000950000002, 11.54820919, -99, 446, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-10-16 00:00:00', 8.75, 8.433829308, -99, 428, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-10-17 00:00:00', 20.040000920000001, 9.7115545270000005, -99, 572, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-10-18 00:00:00', 3.5499999519999998, 6.5536923409999996, -99, 580, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-10-19 00:00:00', 0.469999999, 7.2490582469999998, -99, 457, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-10-20 00:00:00', 0, 0.658673167, -99, 644, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-10-21 00:00:00', 0.40000000600000002, -3.4558522699999998, -99, 637, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-10-22 00:00:00', 0, 2.008978844, -99, 454, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-10-23 00:00:00', 0, 1.18168509, -99, 677, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-10-24 00:00:00', 0, 4.0498199460000004, -99, 497, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-10-25 00:00:00', 0, 1.726179838, -99, 529, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-10-26 00:00:00', 0, 2.795853138, -99, 590, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-10-27 00:00:00', 0, 0.42458257100000002, -99, 623, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-10-28 00:00:00', 0.02, 3.2244455809999999, -99, 662, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-10-29 00:00:00', 0.059999998999999998, 4.5104856489999996, -99, 407, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-10-30 00:00:00', 0, 1.731066108, -99, 583, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-10-31 00:00:00', 0, 2.243997335, -99, 454, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-11-01 00:00:00', 16.68000031, 1.5885624890000001, -99, 198, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-11-02 00:00:00', 5.4899997709999999, 5.2237491609999998, -99, 360, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-11-03 00:00:00', 5.6900000569999998, 8.6123218539999993, -99, 342, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-11-04 00:00:00', 1.1799999480000001, 3.7903583049999998, -99, 490, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-11-05 00:00:00', 3.4300000669999999, 3.0928690429999999, -99, 565, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-11-06 00:00:00', 13.27999973, 3.5552718639999998, -99, 475, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-11-07 00:00:00', 7.829999924, 5.0623793600000004, -99, 400, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-11-08 00:00:00', 3.369999886, 7.2680702210000003, -99, 414, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-11-09 00:00:00', 1.8700000050000001, 3.7873630519999999, -99, 414, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-11-10 00:00:00', 10.880000109999999, 1.1458197830000001, -99, 385, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-11-11 00:00:00', 7.670000076, 3.408643246, -99, 299, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-11-12 00:00:00', 6.5900001530000001, 2.4549703599999999, -99, 320, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-11-13 00:00:00', 6.0700001720000003, 4.0715317730000002, -99, 382, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-11-14 00:00:00', 2.920000076, 3.8933396340000002, -99, 212, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-11-15 00:00:00', 2.2000000480000002, 3.094906092, -99, 277, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-11-16 00:00:00', 0, 1.561110497, -99, 392, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-11-17 00:00:00', 0, 0.49726912400000001, -99, 126, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-11-18 00:00:00', 0.18000000699999999, 1.4426336289999999, -99, 158, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-11-19 00:00:00', 0.28999999199999998, 2.3759973049999998, -99, 306, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-11-20 00:00:00', 0, -1.4449313880000001, -99, 281, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-11-21 00:00:00', 2.3900001049999999, -5.6411499980000004, -99, 216, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-11-22 00:00:00', 0.27000001099999998, 0.83782959000000001, -99, 281, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-11-23 00:00:00', 0.079999998000000003, 7.130002975, -99, 223, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-11-24 00:00:00', 0.079999998000000003, 6.5272212029999999, -99, 259, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-11-25 00:00:00', 0, 3.1210427279999999, -99, 382, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-11-26 00:00:00', 2.0599999430000002, 0.39804044399999999, -99, 104, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-11-27 00:00:00', 0.02, 4.1791257860000002, -99, 169, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-11-28 00:00:00', 0.15000000599999999, 5.1945323940000003, -99, 205, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-11-29 00:00:00', 0.119999997, 5.3535299299999997, -99, 140, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-11-30 00:00:00', 0, 3.8926713469999998, -99, 223, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-12-01 00:00:00', 0.029999998999999999, 1.5368061070000001, -99, 266, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-12-02 00:00:00', 0.079999998000000003, 1.590899944, -99, 230, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-12-03 00:00:00', 0.029999998999999999, 2.1644370560000001, -99, 263, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-12-04 00:00:00', 0, 4.8409442900000004, -99, 270, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-12-05 00:00:00', 0, -0.67111301400000001, -99, 281, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-12-06 00:00:00', 0.050000001000000002, -3.4476716519999999, -99, 256, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-12-07 00:00:00', 0, -3.8520526890000002, -99, 238, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-12-08 00:00:00', 0, 0.32072350399999999, -99, 234, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-12-09 00:00:00', 0, -1.206423998, -99, 148, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-12-10 00:00:00', 0, -2.0791685580000001, -99, 234, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-12-11 00:00:00', 0, -6.4393057819999999, -99, 238, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-12-12 00:00:00', 0, -5.4675836560000004, -99, 112, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-12-13 00:00:00', 0.15000000599999999, 2.5922811029999999, -99, 122, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-12-14 00:00:00', 0.64999997600000003, 6.0786514279999997, -99, 230, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-12-15 00:00:00', 0, 5.639187336, -99, 205, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-12-16 00:00:00', 0.050000001000000002, 1.5613791939999999, -99, 191, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-12-17 00:00:00', 14.40999985, -0.098322972999999994, -99, 194, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-12-18 00:00:00', 1.1799999480000001, 3.3849482540000002, -99, 205, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-12-19 00:00:00', 11.149999619999999, 2.7829973699999999, -99, 148, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-12-20 00:00:00', 5.1999998090000004, 3.1733884809999999, -99, 173, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-12-21 00:00:00', 0.18000000699999999, 1.672083378, -99, 115, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-12-22 00:00:00', 3.0299999710000001, -0.25231084199999998, -99, 101, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-12-23 00:00:00', 16.88999939, 3.6953570839999998, -99, 101, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-12-24 00:00:00', 0.039999999000000001, 2.6628160479999998, -99, 234, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-12-25 00:00:00', 6.2899999619999996, 0.72173571599999997, -99, 223, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-12-26 00:00:00', 1.7200000289999999, 3.416824579, -99, 216, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-12-27 00:00:00', 0.090000003999999995, 1.861742735, -99, 227, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-12-28 00:00:00', 0.47999998900000002, -2.160145998, -99, 194, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-12-29 00:00:00', 0.070000000000000007, 5.3390841480000004, -99, 176, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-12-30 00:00:00', 0, 2.0082170960000001, -99, 144, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1991-12-31 00:00:00', 0.91000002599999996, -0.63608688099999999, -99, 144, 'ask', 'ask_1991');
INSERT INTO public.cdy_cldat VALUES ('1992-01-01 00:00:00', 3.1800000669999999, 3.9123604300000001, -99, 94, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-01-02 00:00:00', 2.5599999430000002, 6.8543829919999997, -99, 97, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-01-03 00:00:00', 12.899999619999999, 7.4701628680000001, -99, 126, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-01-04 00:00:00', 2.3599998950000001, 4.4482431409999998, -99, 263, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-01-05 00:00:00', 0, 2.4999103549999999, -99, 144, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-01-06 00:00:00', 0.31999999299999998, 0.94089358999999995, -99, 130, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-01-07 00:00:00', 0.079999998000000003, 5.8929653169999998, -99, 241, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-01-08 00:00:00', 9.3599996569999995, 3.1833837030000001, -99, 137, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-01-09 00:00:00', 1.6000000240000001, 3.9211440089999998, -99, 263, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-01-10 00:00:00', 0, -2.2998476029999999, -99, 266, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-01-11 00:00:00', 0.18000000699999999, -3.4615638259999999, -99, 126, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-01-12 00:00:00', 0, 4.7095437049999997, -99, 284, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-01-13 00:00:00', 0.15999999600000001, -4.1271471980000003, -99, 112, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-01-14 00:00:00', 0, 4.7834119800000003, -99, 259, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-01-15 00:00:00', 0, 5.8510494230000001, -99, 313, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-01-16 00:00:00', 0.25999999000000001, 4.8832154269999997, -99, 162, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-01-17 00:00:00', 0.33000001299999998, 2.1196649070000002, -99, 205, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-01-18 00:00:00', 4.1599998469999999, 2.4270350930000002, -99, 191, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-01-19 00:00:00', 7.7899999619999996, 5.7926516530000001, -99, 176, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-01-20 00:00:00', 0, -0.579473197, -99, 184, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-01-21 00:00:00', 0, -7.2791934009999997, -99, 407, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-01-22 00:00:00', 0, -8.0711288450000005, -99, 403, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-01-23 00:00:00', 0, -6.6145629880000003, -99, 374, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-01-24 00:00:00', 0, -3.4580056670000001, -99, 306, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-01-25 00:00:00', 0.77999997099999996, -4.8271284100000003, -99, 216, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-01-26 00:00:00', 0, 1.5083632469999999, -99, 274, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-01-27 00:00:00', 0.14000000100000001, -2.2195382119999998, -99, 223, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-01-28 00:00:00', 0, 2.7123119830000002, -99, 238, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-01-29 00:00:00', 0, 1.7171009779999999, -99, 461, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-01-30 00:00:00', 0.090000003999999995, -0.19552744899999999, -99, 389, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-01-31 00:00:00', 0.12999999500000001, 2.2918937210000001, -99, 310, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-02-01 00:00:00', 0.050000001000000002, 1.8562746050000001, -99, 259, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-02-02 00:00:00', 9.2700004580000002, 3.116882801, -99, 241, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-02-03 00:00:00', 3.7000000480000002, 2.577693462, -99, 353, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-02-04 00:00:00', 0.17000000200000001, 1.4241542819999999, -99, 562, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-02-05 00:00:00', 0.280000001, 1.2991359229999999, -99, 378, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-02-06 00:00:00', 0.52999997099999996, 4.4818587299999999, -99, 356, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-02-07 00:00:00', 0, 5.0796813959999998, -99, 428, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-02-08 00:00:00', 0, 4.5371370320000004, -99, 284, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-02-09 00:00:00', 2.1800000669999999, 0.84226953999999998, -99, 680, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-02-10 00:00:00', 4.6799998279999997, 3.767867088, -99, 511, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-02-11 00:00:00', 1.309999943, 2.6652643679999999, -99, 601, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-02-12 00:00:00', 7.2199997900000001, 1.618411303, -99, 310, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-02-13 00:00:00', 0.02, 6.5055136679999999, -99, 554, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-02-14 00:00:00', 4.7100000380000004, 3.8145289419999999, -99, 454, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-02-15 00:00:00', 3.2300000190000002, 4.5217723850000002, -99, 266, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-02-16 00:00:00', 0.709999979, 0.43492671799999999, -99, 500, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-02-17 00:00:00', 0, -4.0497293470000004, -99, 785, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-02-18 00:00:00', 0.18000000699999999, -7.2483806609999997, -99, 313, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-02-19 00:00:00', 0, 1.143375993, -99, 792, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-02-20 00:00:00', 0, -2.014262199, -99, 554, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-02-21 00:00:00', 0.12999999500000001, 3.3864197730000001, -99, 724, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-02-22 00:00:00', 5.4299998279999997, 1.711371779, -99, 281, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-02-23 00:00:00', 0, 4.2308421129999996, -99, 716, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-02-24 00:00:00', 0.43000000700000002, 0.98464947899999999, -99, 302, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-02-25 00:00:00', 0.029999998999999999, 4.6665625569999998, -99, 526, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-02-26 00:00:00', 0.079999998000000003, 2.259161711, -99, 346, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-02-27 00:00:00', 0, 4.1865634920000003, -99, 601, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-02-28 00:00:00', 0.87999999500000003, 4.4619770049999996, -99, 443, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-02-29 00:00:00', 0, 0.87986326199999998, -99, 774, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-03-01 00:00:00', 0.18000000699999999, 4.3692421909999997, -99, 958, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-03-02 00:00:00', 10.68000031, 5.7166509630000002, -99, 371, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-03-03 00:00:00', 1.0900000329999999, 4.0689306260000002, -99, 385, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-03-04 00:00:00', 0.090000003999999995, 2.3665242200000001, -99, 529, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-03-05 00:00:00', 0, 4.0989227289999999, -99, 475, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-03-06 00:00:00', 0.579999983, 5.5952696800000004, -99, 468, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-03-07 00:00:00', 0, 1.450879931, -99, 778, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-03-08 00:00:00', 0, 1.3660068510000001, -99, 680, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-03-09 00:00:00', 0, -0.013832924, -99, 637, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-03-10 00:00:00', 6.5999999049999998, 3.1204345230000001, -99, 785, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-03-11 00:00:00', 5.4899997709999999, 2.4290342329999999, -99, 918, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-03-12 00:00:00', 14.31999969, 1.532871962, -99, 335, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-03-13 00:00:00', 2.5, 1.480233669, -99, 731, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-03-14 00:00:00', 1.8899999860000001, -0.61165994400000001, -99, 1091, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-03-15 00:00:00', 1.769999981, -5.0825548170000001, -99, 986, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-03-16 00:00:00', 0.99000001000000004, 0.31535944300000002, -99, 1062, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-03-17 00:00:00', 0.17000000200000001, 2.7178666589999998, -99, 1094, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-03-18 00:00:00', 1.3500000240000001, 2.4146707059999999, -99, 497, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-03-19 00:00:00', 3.2000000480000002, 5.8005352019999998, -99, 1073, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-03-20 00:00:00', 4.0599999430000002, 5.590666294, -99, 310, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-03-21 00:00:00', 8.4799995419999998, 6.5545859340000003, -99, 331, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-03-22 00:00:00', 6.1799998279999997, 4.5733337399999998, -99, 1202, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-03-23 00:00:00', 2.4100000860000002, 1.754159212, -99, 554, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-03-24 00:00:00', 0.01, 2.847742319, -99, 576, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-03-25 00:00:00', 0.090000003999999995, 0.441854686, -99, 1098, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-03-26 00:00:00', 0.34000000400000002, 2.2281181810000001, -99, 432, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-03-27 00:00:00', 1.230000019, 2.8622767929999999, -99, 1001, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-03-28 00:00:00', 0.119999997, 0.81154638499999998, -99, 1159, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-03-29 00:00:00', 0, -1.128865719, -99, 1786, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-03-30 00:00:00', 0, -2.6356172560000002, -99, 1274, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-03-31 00:00:00', 0, 1.9960604909999999, -99, 1580, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-04-01 00:00:00', 3.9300000669999999, 2.947709084, -99, 702, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-04-02 00:00:00', 8.8000001910000005, 4.0109515189999998, -99, 403, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-04-03 00:00:00', 0, 2.06356144, -99, 900, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-04-04 00:00:00', 1.5499999520000001, -0.61353594099999997, -99, 1264, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-04-05 00:00:00', 1.6299999949999999, 0.489005417, -99, 1411, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-04-06 00:00:00', 1.059999943, 1.4143917560000001, -99, 900, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-04-07 00:00:00', 0, 4.2912373539999997, -99, 1469, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-04-08 00:00:00', 0, 2.9265444280000001, -99, 1732, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-04-09 00:00:00', 0, 0.70225781200000004, -99, 1944, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-04-10 00:00:00', 0, 1.671434522, -99, 1202, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-04-11 00:00:00', 0, 3.431767464, -99, 1526, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-04-12 00:00:00', 1.4299999480000001, 5.8130927090000002, -99, 1476, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-04-13 00:00:00', 3.829999924, 5.7894239430000001, -99, 1534, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-04-14 00:00:00', 3.4900000100000002, 2.1686868669999999, -99, 1469, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-04-15 00:00:00', 9.4499998089999995, 4.6044692989999998, -99, 652, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-04-16 00:00:00', 0.23000000400000001, 0.78317928299999995, -99, 1404, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-04-17 00:00:00', 0.55000001200000004, -2.035630941, -99, 1944, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-04-18 00:00:00', 3.0099999899999998, -0.212309942, -99, 731, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-04-19 00:00:00', 0.12999999500000001, 4.9045758250000002, -99, 1692, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-04-20 00:00:00', 0, 2.3754184249999999, -99, 2383, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-04-21 00:00:00', 0, -2.4368720050000001, -99, 1235, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-04-22 00:00:00', 0.12999999500000001, 4.954894543, -99, 896, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-04-23 00:00:00', 0.14000000100000001, 4.690676689, -99, 835, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-04-24 00:00:00', 2.329999924, 3.5229289530000001, -99, 868, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-04-25 00:00:00', 6.079999924, 9.0624485020000005, -99, 1490, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-04-26 00:00:00', 5.1300001139999996, 3.7270741460000001, -99, 911, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-04-27 00:00:00', 0.039999999000000001, 8.5271492000000002, -99, 1948, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-04-28 00:00:00', 9.6999998089999995, 7.1567974090000002, -99, 850, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-04-29 00:00:00', 0.070000000000000007, 6.9495830539999996, -99, 1310, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-04-30 00:00:00', 1.559999943, 4.6098895070000001, -99, 2052, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-05-01 00:00:00', 15.84000015, 8.0729389190000003, -99, 306, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-05-02 00:00:00', 2.4100000860000002, 5.82008028, -99, 1980, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-05-03 00:00:00', 0, 5.2202219960000003, -99, 1627, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-05-04 00:00:00', 0, 2.4945602419999999, -99, 1634, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-05-05 00:00:00', 0, 6.9596529010000001, -99, 1973, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-05-06 00:00:00', 0.15000000599999999, 5.5343580250000004, -99, 1246, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-05-07 00:00:00', 1.8600000139999999, 8.8907909390000004, -99, 1026, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-05-08 00:00:00', 3.9400000569999998, 8.3512344360000004, -99, 1850, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-05-09 00:00:00', 1.2000000479999999, 3.9373421670000002, -99, 2027, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-05-10 00:00:00', 0.27000001099999998, 1.816487312, -99, 1962, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-05-11 00:00:00', 0.119999997, 1.3626546859999999, -99, 2416, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-05-12 00:00:00', 5.2100000380000004, 2.3069334029999999, -99, 486, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-05-13 00:00:00', 0, 10.20651913, -99, 2196, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-05-14 00:00:00', 0, 6.6247067450000001, -99, 2812, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-05-15 00:00:00', 0, 10.337641720000001, -99, 2675, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-05-16 00:00:00', 0, 8.982011795, -99, 2106, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-05-17 00:00:00', 0, 6.7013869289999999, -99, 2833, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-05-18 00:00:00', 0, 6.275034904, -99, 2754, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-05-19 00:00:00', 0, 9.2859315870000003, -99, 2758, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-05-20 00:00:00', 0, 9.5801916120000001, -99, 2772, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-05-21 00:00:00', 0, 11.31106567, -99, 2470, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-05-22 00:00:00', 0, 13.038788800000001, -99, 2250, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-05-23 00:00:00', 0, 12.60272026, -99, 2938, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-05-24 00:00:00', 0, 12.07653713, -99, 2938, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-05-25 00:00:00', 0, 10.605761530000001, -99, 2974, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-05-26 00:00:00', 0, 10.42380047, -99, 2952, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-05-27 00:00:00', 0, 10.08932495, -99, 2916, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-05-28 00:00:00', 0, 9.8531799319999998, -99, 2912, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-05-29 00:00:00', 0, 9.4012994770000002, -99, 2718, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-05-30 00:00:00', 0, 11.992443079999999, -99, 2866, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-05-31 00:00:00', 0, 11.26340199, -99, 2999, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-06-01 00:00:00', 0, 11.35112286, -99, 2801, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-06-02 00:00:00', 0, 15.072912219999999, -99, 1796, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-06-03 00:00:00', 0.939999998, 16.612627029999999, -99, 1717, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-06-04 00:00:00', 0, 13.350590710000001, -99, 2340, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-06-05 00:00:00', 0, 14.969867710000001, -99, 2722, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-06-06 00:00:00', 0, 14.44144535, -99, 2214, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-06-07 00:00:00', 0, 13.59423161, -99, 2610, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-06-08 00:00:00', 0, 13.863821980000001, -99, 2614, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-06-09 00:00:00', 0.33000001299999998, 14.152958870000001, -99, 2797, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-06-10 00:00:00', 0, 11.08720875, -99, 3002, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-06-11 00:00:00', 0, 7.3653907780000001, -99, 2801, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-06-12 00:00:00', 0, 11.07899666, -99, 2660, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-06-13 00:00:00', 0, 9.4999351500000007, -99, 2722, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-06-14 00:00:00', 0.050000001000000002, 12.57696438, -99, 1235, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-06-15 00:00:00', 0, 15.34947968, -99, 2261, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-06-16 00:00:00', 0, 12.476459500000001, -99, 2383, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-06-17 00:00:00', 0, 6.1864800449999997, -99, 2981, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-06-18 00:00:00', 0.050000001000000002, 9.7684593199999998, -99, 2117, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-06-19 00:00:00', 0, 6.7362003330000002, -99, 2542, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-06-20 00:00:00', 0, 9.49958992, -99, 3042, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-06-21 00:00:00', 0, 10.97655582, -99, 1861, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-06-22 00:00:00', 0, 7.4682030680000002, -99, 1498, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-06-23 00:00:00', 0, 7.1579670909999997, -99, 2797, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-06-24 00:00:00', 0, 5.8678412440000001, -99, 2578, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-06-25 00:00:00', 0, 7.4915828700000002, -99, 2498, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-06-26 00:00:00', 0, 8.308117867, -99, 2941, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-06-27 00:00:00', 0, 10.48103809, -99, 2754, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-06-28 00:00:00', 0, 10.197271349999999, -99, 2801, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-06-29 00:00:00', 0, 12.047846789999999, -99, 2326, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-06-30 00:00:00', 0, 14.24505138, -99, 2243, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-07-01 00:00:00', 5.579999924, 17.24954224, -99, 1314, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-07-02 00:00:00', 0, 12.562766079999999, -99, 2869, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-07-03 00:00:00', 0, 6.8918814660000001, -99, 2603, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-07-04 00:00:00', 13.100000380000001, 14.83524418, -99, 1292, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-07-05 00:00:00', 0, 14.4899044, -99, 1775, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-07-06 00:00:00', 0, 10.29001045, -99, 2804, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-07-07 00:00:00', 0, 9.4681215289999994, -99, 2963, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-07-08 00:00:00', 0, 7.6592164040000004, -99, 2394, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-07-09 00:00:00', 0.939999998, 10.159811019999999, -99, 1980, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-07-10 00:00:00', 2.2599999899999998, 14.516389849999999, -99, 1872, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-07-11 00:00:00', 0.28999999199999998, 14.70362473, -99, 2189, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-07-12 00:00:00', 2.8199999330000001, 13.61422634, -99, 1555, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-07-13 00:00:00', 4.2399997709999999, 13.108062739999999, -99, 1346, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-07-14 00:00:00', 3.3499999049999998, 14.09358501, -99, 1962, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-07-15 00:00:00', 0.43000000700000002, 12.168921470000001, -99, 1760, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-07-16 00:00:00', 0, 8.6466188430000006, -99, 2135, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-07-17 00:00:00', 1.269999981, 13.135636330000001, -99, 961, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-07-18 00:00:00', 1.6499999759999999, 15.064683909999999, -99, 1861, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-07-19 00:00:00', 0.28999999199999998, 13.24314594, -99, 1768, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-07-20 00:00:00', 0, 17.33595085, -99, 1894, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-07-21 00:00:00', 1.8400000329999999, 14.443750380000001, -99, 1894, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-07-22 00:00:00', 0, 15.34978008, -99, 2354, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-07-23 00:00:00', 0, 9.5235624310000002, -99, 2423, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-07-24 00:00:00', 0.02, 13.12637806, -99, 1811, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-07-25 00:00:00', 0, 17.430198669999999, -99, 1991, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-07-26 00:00:00', 0.029999998999999999, 14.64674568, -99, 1706, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-07-27 00:00:00', 6.4400000569999998, 12.570199970000001, -99, 1343, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-07-28 00:00:00', 0.66000002599999996, 10.31433487, -99, 2041, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-07-29 00:00:00', 0, 11.059453960000001, -99, 1728, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-07-30 00:00:00', 0, 13.04125595, -99, 1724, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-07-31 00:00:00', 0, 11.794900419999999, -99, 2484, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-08-01 00:00:00', 0.029999998999999999, 10.54854488, -99, 2624, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-08-02 00:00:00', 0, 16.527648930000002, -99, 1850, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-08-03 00:00:00', 0.62999999500000003, 13.523785589999999, -99, 1084, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-08-04 00:00:00', 0.540000021, 14.05342484, -99, 1969, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-08-05 00:00:00', 0.37000000500000002, 12.503057480000001, -99, 1123, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-08-06 00:00:00', 0.109999999, 15.67170048, -99, 1681, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-08-07 00:00:00', 0, 8.9283456799999996, -99, 2340, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-08-08 00:00:00', 0.209999993, 11.14478302, -99, 1796, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-08-09 00:00:00', 0.49000000999999999, 15.36559677, -99, 1919, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-08-10 00:00:00', 0.980000019, 15.549379350000001, -99, 1494, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-08-11 00:00:00', 1.059999943, 13.702569009999999, -99, 1634, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-08-12 00:00:00', 34.119998930000001, 12.196250920000001, -99, 1138, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-08-13 00:00:00', 7.4699997900000001, 13.1245327, -99, 1703, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-08-14 00:00:00', 0.790000021, 9.3868722919999996, -99, 1685, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-08-15 00:00:00', 0, 13.010924340000001, -99, 1811, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-08-16 00:00:00', 2.3900001049999999, 10.92986488, -99, 1051, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-08-17 00:00:00', 0.17000000200000001, 14.130217549999999, -99, 1955, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-08-18 00:00:00', 0.050000001000000002, 12.04953003, -99, 1670, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-08-19 00:00:00', 0, 6.9435148240000002, -99, 1915, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-08-20 00:00:00', 16.31999969, 10.199774740000001, -99, 1717, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-08-21 00:00:00', 10.369999890000001, 13.41972923, -99, 533, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-08-22 00:00:00', 0.23000000400000001, 14.22271156, -99, 1624, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-08-23 00:00:00', 6.0100002290000001, 11.495265959999999, -99, 1476, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-08-24 00:00:00', 2.4400000569999998, 8.6881952289999997, -99, 853, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-08-25 00:00:00', 5.1900000569999998, 11.605711940000001, -99, 853, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-08-26 00:00:00', 11.30000019, 13.292589189999999, -99, 1764, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-08-27 00:00:00', 5.0399999619999996, 13.848849299999999, -99, 749, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-08-28 00:00:00', 0.540000021, 18.244237900000002, -99, 1058, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-08-29 00:00:00', 23.920000080000001, 13.969813350000001, -99, 378, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-08-30 00:00:00', 4.1199998860000004, 8.5232410430000005, -99, 1307, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-08-31 00:00:00', 0.66000002599999996, 12.567248340000001, -99, 1058, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-09-01 00:00:00', 4.25, 10.375401500000001, -99, 976, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-09-02 00:00:00', 11.56999969, 9.3779754640000004, -99, 774, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-09-03 00:00:00', 6.3400001530000001, 12.581469540000001, -99, 1069, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-09-04 00:00:00', 3.2699999809999998, 9.1676435470000008, -99, 1429, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-09-05 00:00:00', 1.5499999520000001, 7.5532126430000002, -99, 1440, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-09-06 00:00:00', 0.01, 6.2086677549999996, -99, 1699, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-09-07 00:00:00', 1.0900000329999999, 8.0025129320000001, -99, 706, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-09-08 00:00:00', 2.0299999710000001, 6.3819675450000002, -99, 1004, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-09-09 00:00:00', 1.3700000050000001, 8.1926460270000003, -99, 1037, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-09-10 00:00:00', 0, 13.32681942, -99, 1048, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-09-11 00:00:00', 3.9100000860000002, 11.531926159999999, -99, 1728, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-09-12 00:00:00', 0.01, 10.528367039999999, -99, 1642, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-09-13 00:00:00', 5.5300002099999999, 7.9444961550000004, -99, 947, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-09-14 00:00:00', 2.079999924, 11.183726310000001, -99, 882, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-09-15 00:00:00', 1.960000038, 8.8161859509999996, -99, 997, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-09-16 00:00:00', 0.310000002, 13.44627571, -99, 911, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-09-17 00:00:00', 0, 8.5148820880000002, -99, 1382, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-09-18 00:00:00', 0, 9.3788833619999998, -99, 1472, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-09-19 00:00:00', 0, 11.68620872, -99, 1494, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-09-20 00:00:00', 0, 12.044993399999999, -99, 1501, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-09-21 00:00:00', 0, 10.274409289999999, -99, 1134, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-09-22 00:00:00', 0, 13.224084850000001, -99, 1076, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-09-23 00:00:00', 0, 13.178245540000001, -99, 734, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-09-24 00:00:00', 0, 10.546742439999999, -99, 1012, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-09-25 00:00:00', 0, 9.9707489010000003, -99, 1055, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-09-26 00:00:00', 0, 10.382999420000001, -99, 1127, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-09-27 00:00:00', 0, 12.744030950000001, -99, 508, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-09-28 00:00:00', 0, 11.69531059, -99, 763, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-09-29 00:00:00', 0, 10.50355148, -99, 1188, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-09-30 00:00:00', 0, 8.6953363419999992, -99, 1192, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-10-01 00:00:00', 0, 6.5262002939999997, -99, 1076, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-10-02 00:00:00', 0.01, 8.8586692809999992, -99, 630, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-10-03 00:00:00', 0, 8.9913539890000003, -99, 925, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-10-04 00:00:00', 0, 7.4322991370000002, -99, 886, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-10-05 00:00:00', 13.079999920000001, 8.3141202930000002, -99, 724, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-10-06 00:00:00', 0.10000000100000001, 7.2337145810000001, -99, 486, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-10-07 00:00:00', 0, 4.4901876449999998, -99, 1069, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-10-08 00:00:00', 3.1099998950000001, 3.9927160740000001, -99, 511, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-10-09 00:00:00', 1, 9.2711524959999991, -99, 792, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-10-10 00:00:00', 0.730000019, 1.6567285060000001, -99, 875, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-10-11 00:00:00', 0, 7.8953938480000003, -99, 936, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-10-12 00:00:00', 0.37999999499999998, 2.4636900420000001, -99, 770, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-10-13 00:00:00', 13.09000015, 1.2078011040000001, -99, 310, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-10-14 00:00:00', 19.590000150000002, 7.0882625580000003, -99, 342, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-10-15 00:00:00', 2.25, 5.7277665139999998, -99, 425, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-10-16 00:00:00', 1.6699999569999999, 2.452312708, -99, 544, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-10-17 00:00:00', 1.6499999759999999, -0.13966910499999999, -99, 580, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-10-18 00:00:00', 17.379999160000001, 2.3219261169999998, -99, 493, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-10-19 00:00:00', 18.590000150000002, 4.7848148349999997, -99, 385, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-10-20 00:00:00', 1.440000057, 5.5612812040000001, -99, 486, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-10-21 00:00:00', 7.8099999430000002, 5.3270573619999997, -99, 522, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-10-22 00:00:00', 0, -0.029837961999999999, -99, 551, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-10-23 00:00:00', 4.7100000380000004, -3.3898162840000001, -99, 335, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-10-24 00:00:00', 0.769999981, 4.9344811440000003, -99, 374, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-10-25 00:00:00', 0.090000003999999995, 0.48656043399999999, -99, 587, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-10-26 00:00:00', 0.37000000500000002, 4.1237621310000003, -99, 443, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-10-27 00:00:00', 17.63999939, -2.0145885940000001, -99, 457, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-10-28 00:00:00', 8.9700002669999996, 3.2406084540000002, -99, 331, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-10-29 00:00:00', 2.1600000860000002, 3.2404828069999998, -99, 378, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-10-30 00:00:00', 9.6999998089999995, -0.89955037800000004, -99, 536, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-10-31 00:00:00', 3.1400001049999999, -0.76578992599999995, -99, 511, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-11-01 00:00:00', 1.3899999860000001, 2.476211309, -99, 216, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-11-02 00:00:00', 20.63999939, 6.3563838009999998, -99, 108, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-11-03 00:00:00', 3.7300000190000002, 7.0513892169999997, -99, 511, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-11-04 00:00:00', 1.9500000479999999, 5.1713161469999998, -99, 428, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-11-05 00:00:00', 0.47999998900000002, 4.2037630080000001, -99, 259, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-11-06 00:00:00', 2.0599999430000002, 9.3315277099999996, -99, 324, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-11-07 00:00:00', 7.670000076, 10.49200821, -99, 299, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-11-08 00:00:00', 0, 1.8589864970000001, -99, 565, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-11-09 00:00:00', 0.87999999500000003, -1.7548073529999999, -99, 392, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-11-10 00:00:00', 4.2899999619999996, 2.7188425060000001, -99, 464, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-11-11 00:00:00', 16.059999470000001, 4.3600797650000001, -99, 162, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-11-12 00:00:00', 2.7300000190000002, 3.2497820850000001, -99, 382, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-11-13 00:00:00', 6.1799998279999997, 1.7514846319999999, -99, 331, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-11-14 00:00:00', 0.01, 0.88856512300000001, -99, 421, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-11-15 00:00:00', 0.920000017, -2.0541579720000001, -99, 353, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-11-16 00:00:00', 6.6100001339999999, -1.0983307360000001, -99, 173, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-11-17 00:00:00', 3.5699999330000001, 4.233470917, -99, 241, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-11-18 00:00:00', 3.3499999049999998, 3.7007575039999998, -99, 292, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-11-19 00:00:00', 11.260000229999999, 4.4268789289999999, -99, 277, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-11-20 00:00:00', 10.02999973, 4.3335466379999996, -99, 331, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-11-21 00:00:00', 0.89999997600000003, 1.803480744, -99, 331, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-11-22 00:00:00', 2.6600000860000002, 1.2182222599999999, -99, 281, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-11-23 00:00:00', 5.8499999049999998, 0.37934833800000001, -99, 130, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-11-24 00:00:00', 1.1100000139999999, 8.1257457730000002, -99, 313, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-11-25 00:00:00', 14.869999890000001, 3.4062604900000002, -99, 187, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-11-26 00:00:00', 7.1799998279999997, 5.8978018759999999, -99, 284, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-11-27 00:00:00', 2.829999924, 3.3540110589999999, -99, 241, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-11-28 00:00:00', 0.75999998999999996, 4.2402853970000001, -99, 328, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-11-29 00:00:00', 0.079999998000000003, 1.0407294030000001, -99, 295, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-11-30 00:00:00', 5.0300002099999999, 0.57580721400000001, -99, 194, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-12-01 00:00:00', 7.6399998660000001, 7.7482995990000001, -99, 310, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-12-02 00:00:00', 8.6899995800000003, 4.8428812030000001, -99, 238, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-12-03 00:00:00', 4.8899998660000001, 6.7037796969999999, -99, 241, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-12-04 00:00:00', 2.329999924, 4.0175542829999999, -99, 198, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-12-05 00:00:00', 2.5, 1.9963349100000001, -99, 187, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-12-06 00:00:00', 1.3200000519999999, 2.6072733399999999, -99, 230, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-12-07 00:00:00', 1.4099999670000001, 1.841333508, -99, 112, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-12-08 00:00:00', 0.28999999199999998, 1.5468448400000001, -99, 184, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-12-09 00:00:00', 0.439999998, 4.1757426259999999, -99, 209, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-12-10 00:00:00', 0.25, 4.0868887899999997, -99, 241, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-12-11 00:00:00', 12.079999920000001, 3.2263917919999998, -99, 112, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-12-12 00:00:00', 1.3600000139999999, 2.6790053839999999, -99, 230, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-12-13 00:00:00', 6.9000000950000002, 1.009431958, -99, 148, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-12-14 00:00:00', 0, 3.5003209110000002, -99, 187, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-12-15 00:00:00', 0, 7.1246361729999999, -99, 230, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-12-16 00:00:00', 0.47999998900000002, 4.5239849090000002, -99, 198, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-12-17 00:00:00', 0.090000003999999995, 4.0247521400000004, -99, 238, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-12-18 00:00:00', 4.2199997900000001, 1.8140692709999999, -99, 162, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-12-19 00:00:00', 0, 5.0638408659999996, -99, 140, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-12-20 00:00:00', 0, -0.94109231199999999, -99, 205, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-12-21 00:00:00', 0, -4.446454525, -99, 223, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-12-22 00:00:00', 0, 0.482855439, -99, 133, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-12-23 00:00:00', 0, -0.39443969699999998, -99, 148, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-12-24 00:00:00', 0.070000000000000007, -0.083066820999999999, -99, 198, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-12-25 00:00:00', 0.070000000000000007, -0.110463083, -99, 209, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-12-26 00:00:00', 0, -2.289389849, -99, 234, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-12-27 00:00:00', 0, -0.87974524499999995, -99, 162, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-12-28 00:00:00', 0, -2.845282316, -99, 241, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-12-29 00:00:00', 0, 1.3031355140000001, -99, 227, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-12-30 00:00:00', 0, 1.478253603, -99, 248, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1992-12-31 00:00:00', 0, 0.179199308, -99, 216, 'ask', 'ask_1992');
INSERT INTO public.cdy_cldat VALUES ('1993-01-01 00:00:00', 0, -1.069242239, -99, 220, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-01-02 00:00:00', 0, -5.4340796469999999, -99, 274, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-01-03 00:00:00', 0, -8.932177544, -99, 284, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-01-04 00:00:00', 0, -8.6845798490000004, -99, 126, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-01-05 00:00:00', 2.8399999139999998, -9.0280351640000003, -99, 119, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-01-06 00:00:00', 0.55000001200000004, 1.037090302, -99, 104, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-01-07 00:00:00', 1.8200000519999999, 0.81254124599999999, -99, 212, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-01-08 00:00:00', 1.1699999569999999, 0.530857146, -99, 274, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-01-09 00:00:00', 2.6500000950000002, 1.817851901, -99, 104, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-01-10 00:00:00', 18.670000080000001, 3.380543232, -99, 140, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-01-11 00:00:00', 6.9400000569999998, 4.7947597499999999, -99, 209, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-01-12 00:00:00', 0.38999998600000002, 2.8643226620000002, -99, 180, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-01-13 00:00:00', 17.270000459999999, 2.980185509, -99, 144, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-01-14 00:00:00', 1.3600000139999999, 2.325535774, -99, 238, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-01-15 00:00:00', 5.0900001530000001, 2.4482519630000001, -99, 126, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-01-16 00:00:00', 0.86000001400000003, 5.3515343670000002, -99, 187, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-01-17 00:00:00', 0, 7.9043893809999997, -99, 241, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-01-18 00:00:00', 1.0299999710000001, 3.8665652279999998, -99, 367, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-01-19 00:00:00', 5.670000076, 3.2125315670000001, -99, 263, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-01-20 00:00:00', 3.2200000289999999, 4.0671648979999997, -99, 220, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-01-21 00:00:00', 4.0300002099999999, 5.4420671460000003, -99, 202, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-01-22 00:00:00', 5.4800000190000002, 6.6084737779999996, -99, 212, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-01-23 00:00:00', 20.239999770000001, 2.1856203079999998, -99, 295, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-01-24 00:00:00', 6.6100001339999999, 1.7567396159999999, -99, 212, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-01-25 00:00:00', 6.079999924, 1.1327058080000001, -99, 356, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-01-26 00:00:00', 6.1100001339999999, 0.53890705100000003, -99, 338, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-01-27 00:00:00', 0.01, -3.5152056219999999, -99, 446, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-01-28 00:00:00', 0, -3.8872323039999999, -99, 396, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-01-29 00:00:00', 0, -2.8923528190000001, -99, 490, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-01-30 00:00:00', 0, -5.4021191599999998, -99, 468, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-01-31 00:00:00', 0, -5.1149353980000001, -99, 281, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-02-01 00:00:00', 0, -4.8550748830000003, -99, 468, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-02-02 00:00:00', 0, -4.8973731989999996, -99, 486, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-02-03 00:00:00', 0.40000000600000002, 3.1893258090000001, -99, 565, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-02-04 00:00:00', 0, 4.1069374080000003, -99, 522, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-02-05 00:00:00', 0.980000019, 4.7068791389999998, -99, 439, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-02-06 00:00:00', 4.2899999619999996, 3.0923638339999999, -99, 338, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-02-07 00:00:00', 0.050000001000000002, -0.32097989300000002, -99, 367, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-02-08 00:00:00', 0.14000000100000001, 2.347059727, -99, 464, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-02-09 00:00:00', 0.10000000100000001, 3.770557165, -99, 515, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-02-10 00:00:00', 0.050000001000000002, 1.259945512, -99, 698, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-02-11 00:00:00', 0, 0.75991845099999999, -99, 619, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-02-12 00:00:00', 0, 0.57829499200000001, -99, 439, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-02-13 00:00:00', 0.25999999000000001, 2.4163296220000001, -99, 500, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-02-14 00:00:00', 0.050000001000000002, 1.8315340280000001, -99, 580, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-02-15 00:00:00', 0.579999983, -1.0339802499999999, -99, 202, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-02-16 00:00:00', 3.2999999519999998, 1.6706210370000001, -99, 446, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-02-17 00:00:00', 0, 4.7178974150000004, -99, 828, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-02-18 00:00:00', 4.9899997709999999, -0.83656615000000001, -99, 187, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-02-19 00:00:00', 4.5999999049999998, 1.32074666, -99, 727, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-02-20 00:00:00', 10.06000042, -1.2257772680000001, -99, 371, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-02-21 00:00:00', 0.01, -1.369737625, -99, 896, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-02-22 00:00:00', 0, -9.6846637730000005, -99, 598, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-02-23 00:00:00', 0, -8.3015193939999996, -99, 990, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-02-24 00:00:00', 0, -7.6593947409999998, -99, 914, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-02-25 00:00:00', 0.23000000400000001, -9.3199348450000006, -99, 839, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-02-26 00:00:00', 2.5, -2.030415058, -99, 349, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-02-27 00:00:00', 1.9700000289999999, 0.36134993999999998, -99, 979, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-02-28 00:00:00', 1.4199999569999999, -2.2042739390000001, -99, 886, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-03-01 00:00:00', 0, -2.921778679, -99, 634, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-03-02 00:00:00', 0, -0.22841566799999999, -99, 547, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-03-03 00:00:00', 0, -0.73774427200000003, -99, 529, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-03-04 00:00:00', 0, -2.1099448199999999, -99, 767, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-03-05 00:00:00', 0.939999998, -1.884247303, -99, 446, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-03-06 00:00:00', 0, 0.30557194399999998, -99, 576, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-03-07 00:00:00', 0, 0.35167768599999999, -99, 1091, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-03-08 00:00:00', 0, -2.4622898100000001, -99, 1040, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-03-09 00:00:00', 0, -2.7910542490000001, -99, 1044, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-03-10 00:00:00', 0.029999998999999999, -2.9731450079999999, -99, 922, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-03-11 00:00:00', 0, -0.39651611399999998, -99, 828, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-03-12 00:00:00', 0, -1.1706943510000001, -99, 450, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-03-13 00:00:00', 1, 0.95307183299999998, -99, 601, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-03-14 00:00:00', 0, 3.6435484890000001, -99, 1235, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-03-15 00:00:00', 0, 2.0601906780000001, -99, 1040, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-03-16 00:00:00', 1.6599999670000001, 6.5436558720000004, -99, 997, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-03-17 00:00:00', 1.6499999759999999, 5.0699286460000001, -99, 745, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-03-18 00:00:00', 2.5, 6.9045186039999997, -99, 673, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-03-19 00:00:00', 0, 3.1855676169999998, -99, 1116, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-03-20 00:00:00', 0, 4.7781505580000001, -99, 943, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-03-21 00:00:00', 0, 3.9779951570000001, -99, 630, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-03-22 00:00:00', 8.1800003050000001, 4.5863890649999997, -99, 428, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-03-23 00:00:00', 2.7200000289999999, 2.9736587999999999, -99, 1080, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-03-24 00:00:00', 1.9199999569999999, 1.8672497269999999, -99, 1386, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-03-25 00:00:00', 0, 1.218088627, -99, 1670, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-03-26 00:00:00', 0, -0.814501107, -99, 1685, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-03-27 00:00:00', 0, -0.64332348100000003, -99, 1440, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-03-28 00:00:00', 0, -3.514515877, -99, 1480, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-03-29 00:00:00', 1.289999962, -4.1653537749999998, -99, 1465, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-03-30 00:00:00', 0, -3.6842999459999999, -99, 1872, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-03-31 00:00:00', 0.49000000999999999, -1.5900534390000001, -99, 738, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-04-01 00:00:00', 0.029999998999999999, 2.8134586810000002, -99, 922, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-04-02 00:00:00', 0, 4.0005893710000002, -99, 1418, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-04-03 00:00:00', 0.059999998999999998, 1.503745675, -99, 853, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-04-04 00:00:00', 0.189999998, 3.773925781, -99, 580, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-04-05 00:00:00', 3.8399999139999998, 3.9040362829999999, -99, 1098, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-04-06 00:00:00', 1.440000057, 5.2765140529999996, -99, 860, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-04-07 00:00:00', 0.280000001, 4.6350893969999998, -99, 824, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-04-08 00:00:00', 0.039999999000000001, 4.3668761250000001, -99, 526, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-04-09 00:00:00', 0, 3.497938633, -99, 968, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-04-10 00:00:00', 0, 0.17875321199999999, -99, 1242, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-04-11 00:00:00', 0, 0.34858515899999998, -99, 2030, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-04-12 00:00:00', 0, 0.308848768, -99, 1681, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-04-13 00:00:00', 0, 0.300485373, -99, 1948, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-04-14 00:00:00', 0, 0.67642831800000003, -99, 1757, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-04-15 00:00:00', 0, 1.028568983, -99, 2189, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-04-16 00:00:00', 0.20000000300000001, -1.3659106489999999, -99, 1267, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-04-17 00:00:00', 2.1800000669999999, 7.2844619750000001, -99, 878, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-04-18 00:00:00', 1.4299999480000001, 4.5248074530000002, -99, 1116, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-04-19 00:00:00', 0, 2.8778483869999998, -99, 2084, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-04-20 00:00:00', 0, 3.5606317519999999, -99, 936, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-04-21 00:00:00', 1.519999981, 6.3193640709999999, -99, 1274, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-04-22 00:00:00', 1.7999999520000001, 4.7906022070000001, -99, 1339, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-04-23 00:00:00', 1.3700000050000001, 8.6405735020000005, -99, 1112, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-04-24 00:00:00', 0.14000000100000001, 8.3730592730000009, -99, 1721, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-04-25 00:00:00', 0, 9.0447740549999995, -99, 1807, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-04-26 00:00:00', 0, 8.6130914690000004, -99, 2304, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-04-27 00:00:00', 0, 8.635048866, -99, 2135, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-04-28 00:00:00', 0, 10.39959335, -99, 2272, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-04-29 00:00:00', 0, 9.6429891590000008, -99, 2455, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-04-30 00:00:00', 0, 9.2607698440000004, -99, 2279, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-05-01 00:00:00', 0, 10.100746150000001, -99, 2362, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-05-02 00:00:00', 0.090000003999999995, 8.9699258799999999, -99, 1494, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-05-03 00:00:00', 0.10000000100000001, 7.6639728549999999, -99, 2128, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-05-04 00:00:00', 0, 2.6202247139999999, -99, 2056, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-05-05 00:00:00', 0, 0.27570334099999999, -99, 1775, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-05-06 00:00:00', 0.039999999000000001, -1.4506657119999999, -99, 2599, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-05-07 00:00:00', 0, 8.0864343640000005, -99, 2545, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-05-08 00:00:00', 0, 4.0881857869999996, -99, 2318, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-05-09 00:00:00', 0, 8.5438308719999991, -99, 2383, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-05-10 00:00:00', 0, 10.865663530000001, -99, 2646, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-05-11 00:00:00', 0, 10.666284559999999, -99, 2344, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-05-12 00:00:00', 0, 10.421339039999999, -99, 2351, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-05-13 00:00:00', 0.10000000100000001, 7.1892409319999997, -99, 2221, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-05-14 00:00:00', 2.2400000100000002, 8.7791690829999993, -99, 976, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-05-15 00:00:00', 0.12999999500000001, 5.3506860730000003, -99, 1580, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-05-16 00:00:00', 0, 3.796909571, -99, 2592, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-05-17 00:00:00', 0, 7.4252367020000003, -99, 2876, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-05-18 00:00:00', 0, 11.37351894, -99, 2718, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-05-19 00:00:00', 0, 9.857458115, -99, 2423, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-05-20 00:00:00', 0.079999998000000003, 11.97343826, -99, 2077, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-05-21 00:00:00', 5.1399998660000001, 14.33586407, -99, 1346, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-05-22 00:00:00', 0.10000000100000001, 10.985720629999999, -99, 770, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-05-23 00:00:00', 0, 10.915081020000001, -99, 1264, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-05-24 00:00:00', 0, 10.37476444, -99, 1480, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-05-25 00:00:00', 0.10000000100000001, 5.616120338, -99, 1451, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-05-26 00:00:00', 0, 7.9808278079999999, -99, 2178, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-05-27 00:00:00', 0.36000001399999998, 6.1332454680000001, -99, 2574, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-05-28 00:00:00', 9.1899995800000003, 9.6038780209999999, -99, 569, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-05-29 00:00:00', 0.01, 7.5158944129999998, -99, 1796, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-05-30 00:00:00', 7.5199999809999998, 7.2633585930000004, -99, 1458, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-05-31 00:00:00', 7.3200001720000003, 10.3771944, -99, 1760, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-06-01 00:00:00', 0, 10.80811501, -99, 1202, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-06-02 00:00:00', 0, 3.86283946, -99, 2448, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-06-03 00:00:00', 0, 6.6176748280000002, -99, 2855, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-06-04 00:00:00', 0, 6.2707781789999997, -99, 2934, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-06-05 00:00:00', 0, 7.7925047870000004, -99, 2707, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-06-06 00:00:00', 0, 9.0932083129999999, -99, 2480, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-06-07 00:00:00', 0, 9.3567600249999998, -99, 2538, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-06-08 00:00:00', 0, 9.3968544010000006, -99, 2693, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-06-09 00:00:00', 0, 9.1975479129999993, -99, 2412, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-06-10 00:00:00', 0, 13.26418018, -99, 2912, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-06-11 00:00:00', 0.20000000300000001, 13.918922419999999, -99, 2502, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-06-12 00:00:00', 0, 12.35577488, -99, 1796, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-06-13 00:00:00', 0, 14.447484019999999, -99, 2268, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-06-14 00:00:00', 0, 6.8354368210000001, -99, 1724, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-06-15 00:00:00', 1.75, 8.1293611529999996, -99, 1976, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-06-16 00:00:00', 4.0399999619999996, 9.8544254299999992, -99, 1022, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-06-17 00:00:00', 0.87999999500000003, 11.141773219999999, -99, 2304, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-06-18 00:00:00', 2.829999924, 11.11219406, -99, 1199, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-06-19 00:00:00', 2.3499999049999998, 13.517757420000001, -99, 2174, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-06-20 00:00:00', 0.519999981, 9.8941555020000003, -99, 2336, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-06-21 00:00:00', 0.689999998, 8.3911266330000007, -99, 1696, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-06-22 00:00:00', 1.2599999900000001, 5.3690581320000001, -99, 2034, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-06-23 00:00:00', 3.0199999809999998, 9.9368352889999993, -99, 1663, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-06-24 00:00:00', 2.119999886, 6.7997770309999996, -99, 2128, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-06-25 00:00:00', 0.40999999599999998, 8.7461576460000003, -99, 1372, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-06-26 00:00:00', 2.75, 8.9457702640000001, -99, 1703, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-06-27 00:00:00', 2.3900001049999999, 8.747407913, -99, 1728, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-06-28 00:00:00', 0, 8.716404915, -99, 2736, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-06-29 00:00:00', 0, 9.8563432689999999, -99, 2056, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-06-30 00:00:00', 0, 9.4475326539999998, -99, 2725, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-07-01 00:00:00', 0, 8.7719078059999998, -99, 2660, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-07-02 00:00:00', 2.1400001049999999, 6.897424698, -99, 2232, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-07-03 00:00:00', 5.2800002099999999, 12.55110073, -99, 932, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-07-04 00:00:00', 0.050000001000000002, 14.38664913, -99, 2153, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-07-05 00:00:00', 0, 12.44698238, -99, 2322, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-07-06 00:00:00', 3.2799999710000001, 7.5744442940000001, -99, 1246, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-07-07 00:00:00', 1.3799999949999999, 10.50684547, -99, 1832, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-07-08 00:00:00', 0.86000001400000003, 9.0542678829999996, -99, 1256, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-07-09 00:00:00', 13.649999619999999, 14.096665379999999, -99, 781, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-07-10 00:00:00', 0.52999997099999996, 10.461235050000001, -99, 2120, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-07-11 00:00:00', 0.119999997, 8.5882978439999995, -99, 2257, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-07-12 00:00:00', 0.709999979, 9.7110776899999998, -99, 1739, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-07-13 00:00:00', 0.74000001000000004, 9.9408445360000002, -99, 1879, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-07-14 00:00:00', 0, 6.5783720020000001, -99, 2416, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-07-15 00:00:00', 0, 8.0747480389999993, -99, 2772, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-07-16 00:00:00', 6.0500001909999996, 5.751510143, -99, 2329, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-07-17 00:00:00', 0.38999998600000002, 14.761885639999999, -99, 1303, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-07-18 00:00:00', 0, 13.779066090000001, -99, 2149, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-07-19 00:00:00', 9.9799995419999998, 10.708539010000001, -99, 2005, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-07-20 00:00:00', 3.119999886, 13.33326626, -99, 702, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-07-21 00:00:00', 11.89000034, 12.621081350000001, -99, 745, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-07-22 00:00:00', 0.44999998800000002, 11.515273090000001, -99, 1994, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-07-23 00:00:00', 3.0899999139999998, 11.35659027, -99, 1368, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-07-24 00:00:00', 1.9299999480000001, 14.58378124, -99, 1804, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-07-25 00:00:00', 8.6599998469999999, 13.77427864, -99, 1123, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-07-26 00:00:00', 5.75, 11.06484318, -99, 1926, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-07-27 00:00:00', 4.3000001909999996, 9.9837818150000004, -99, 2236, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-07-28 00:00:00', 0.579999983, 12.536395069999999, -99, 1580, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-07-29 00:00:00', 9.9200000760000009, 11.51398659, -99, 2092, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-07-30 00:00:00', 2.289999962, 16.047321320000002, -99, 889, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-07-31 00:00:00', 2.0699999330000001, 12.791994089999999, -99, 1393, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-08-01 00:00:00', 0.070000000000000007, 10.87922287, -99, 1847, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-08-02 00:00:00', 3.8099999430000002, 8.6150178910000008, -99, 1541, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-08-03 00:00:00', 3.8599998950000001, 14.53689861, -99, 1717, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-08-04 00:00:00', 1.460000038, 11.79803658, -99, 1645, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-08-05 00:00:00', 19.020000459999999, 10.683586119999999, -99, 1760, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-08-06 00:00:00', 7.1599998469999999, 10.63238239, -99, 1386, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-08-07 00:00:00', 0, 12.72343826, -99, 1544, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-08-08 00:00:00', 0, 13.26975822, -99, 1544, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-08-09 00:00:00', 17.350000380000001, 12.830453869999999, -99, 612, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-08-10 00:00:00', 6.3600001339999999, 13.812725070000001, -99, 1678, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-08-11 00:00:00', 7.1199998860000004, 9.7860641479999995, -99, 1440, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-08-12 00:00:00', 17.5, 11.94497681, -99, 932, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-08-13 00:00:00', 0.059999998999999998, 9.8024349209999997, -99, 2005, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-08-14 00:00:00', 4.3000001909999996, 7.0668902400000002, -99, 2056, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-08-15 00:00:00', 0.56999999300000004, 15.018959049999999, -99, 1415, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-08-16 00:00:00', 0.81999999300000004, 14.810794830000001, -99, 889, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-08-17 00:00:00', 0, 8.8938941959999998, -99, 1847, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-08-18 00:00:00', 0, 9.4577865600000006, -99, 1663, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-08-19 00:00:00', 0, 12.248553279999999, -99, 1760, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-08-20 00:00:00', 0.94999998799999996, 12.855315210000001, -99, 817, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-08-21 00:00:00', 0.37999999499999998, 11.953334809999999, -99, 1789, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-08-22 00:00:00', 0.219999999, 8.7773962020000003, -99, 1364, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-08-23 00:00:00', 0.5, 6.2197589869999996, -99, 1876, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-08-24 00:00:00', 4.3200001720000003, 8.3149309159999998, -99, 1588, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-08-25 00:00:00', 0, 7.5271277430000003, -99, 1465, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-08-26 00:00:00', 0.02, 5.2990360259999996, -99, 1742, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-08-27 00:00:00', 0.070000000000000007, 8.4116497040000002, -99, 1886, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-08-28 00:00:00', 0, 6.4804711340000001, -99, 2012, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-08-29 00:00:00', 3.1500000950000002, 7.8126339910000002, -99, 688, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-08-30 00:00:00', 2.9800000190000002, 10.97487926, -99, 1346, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-08-31 00:00:00', 0, 9.5655717849999995, -99, 1217, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-09-01 00:00:00', 2.9300000669999999, 4.6924161910000004, -99, 1526, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-09-02 00:00:00', 1.6499999759999999, 12.30459785, -99, 803, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-09-03 00:00:00', 1.1299999949999999, 11.312208180000001, -99, 1098, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-09-04 00:00:00', 6.3899998660000001, 6.2461633680000004, -99, 1523, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-09-05 00:00:00', 0, 5.7019681929999999, -99, 1883, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-09-06 00:00:00', 0.80000001200000004, 8.3477630620000003, -99, 1040, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-09-07 00:00:00', 0, 9.9494237900000009, -99, 900, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-09-08 00:00:00', 0, 9.1362485889999991, -99, 1631, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-09-09 00:00:00', 0.87999999500000003, 12.382323270000001, -99, 551, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-09-10 00:00:00', 24.649999619999999, 13.603958130000001, -99, 515, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-09-11 00:00:00', 15.579999920000001, 13.611478809999999, -99, 565, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-09-12 00:00:00', 0.86000001400000003, 9.6472949979999996, -99, 698, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-09-13 00:00:00', 19.18000031, 9.488564491, -99, 1037, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-09-14 00:00:00', 10.40999985, 8.8154134749999997, -99, 655, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-09-15 00:00:00', 2.630000114, 10.408732410000001, -99, 598, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-09-16 00:00:00', 0.039999999000000001, 8.0588302610000007, -99, 659, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-09-17 00:00:00', 0.01, 3.5819430350000001, -99, 932, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-09-18 00:00:00', 0, 5.4928016660000001, -99, 1249, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-09-19 00:00:00', 0, 1.398011208, -99, 1249, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-09-20 00:00:00', 0, 7.834325314, -99, 1055, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-09-21 00:00:00', 1.480000019, 10.22803783, -99, 677, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-09-22 00:00:00', 3.5, 10.536023139999999, -99, 727, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-09-23 00:00:00', 0, 11.284511569999999, -99, 1069, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-09-24 00:00:00', 1.0499999520000001, 3.6578590869999998, -99, 644, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-09-25 00:00:00', 22.579999919999999, 9.4716148380000007, -99, 378, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-09-26 00:00:00', 8, 11.270037650000001, -99, 371, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-09-27 00:00:00', 1.2200000289999999, 10.723488809999999, -99, 338, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-09-28 00:00:00', 0.059999998999999998, 9.704842567, -99, 814, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-09-29 00:00:00', 0, 9.4763565060000001, -99, 824, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-09-30 00:00:00', 0, 6.7242312430000002, -99, 1037, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-10-01 00:00:00', 0.050000001000000002, 7.3270106320000004, -99, 670, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-10-02 00:00:00', 0, 9.3713302610000007, -99, 598, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-10-03 00:00:00', 7.1599998469999999, 10.09731674, -99, 256, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-10-04 00:00:00', 3.6600000860000002, 11.1422472, -99, 461, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-10-05 00:00:00', 5.829999924, 10.2764864, -99, 882, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-10-06 00:00:00', 8.7100000380000004, 10.765189169999999, -99, 320, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-10-07 00:00:00', 0.090000003999999995, 9.9031553270000003, -99, 479, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-10-08 00:00:00', 18.909999849999998, 7.3145008090000001, -99, 544, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-10-09 00:00:00', 2.289999962, 10.42955399, -99, 508, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-10-10 00:00:00', 13.380000109999999, 8.3323373790000002, -99, 364, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-10-11 00:00:00', 0.209999993, 6.2276635169999999, -99, 536, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-10-12 00:00:00', 12.34000015, 9.9340171809999998, -99, 205, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-10-13 00:00:00', 14.329999920000001, 7.864851475, -99, 356, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-10-14 00:00:00', 0.01, 3.9654750820000002, -99, 522, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-10-15 00:00:00', 2.7400000100000002, -2.0994758610000002, -99, 652, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-10-16 00:00:00', 3.619999886, 0.98766374599999995, -99, 749, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-10-17 00:00:00', 0, 1.8191264869999999, -99, 896, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-10-18 00:00:00', 0, -3.726702929, -99, 886, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-10-19 00:00:00', 0, -2.0855536460000001, -99, 882, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-10-20 00:00:00', 1.3500000240000001, -2.6296570300000002, -99, 504, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-10-21 00:00:00', 0.44999998800000002, 3.872103691, -99, 410, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-10-22 00:00:00', 0, 4.2275266650000001, -99, 331, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-10-23 00:00:00', 0, 2.9790046220000002, -99, 587, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-10-24 00:00:00', 0, -2.361465216, -99, 270, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-10-25 00:00:00', 0, 0.78890889900000005, -99, 612, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-10-26 00:00:00', 0, 1.911478996, -99, 428, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-10-27 00:00:00', 0, 0.063594781000000003, -99, 482, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-10-28 00:00:00', 0, 5.0363264079999999, -99, 324, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-10-29 00:00:00', 0, 5.7784280780000001, -99, 234, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-10-30 00:00:00', 0, 2.4962449069999999, -99, 436, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-10-31 00:00:00', 0, 0.039501727, -99, 281, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-11-01 00:00:00', 0, 3.4495882990000002, -99, 342, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-11-02 00:00:00', 0, 1.1070920230000001, -99, 526, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-11-03 00:00:00', 0, 5.401358128, -99, 349, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-11-04 00:00:00', 0, 6.5960683820000003, -99, 356, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-11-05 00:00:00', 0.059999998999999998, 6.0945677759999999, -99, 205, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-11-06 00:00:00', 0.039999999000000001, 5.7398328779999996, -99, 328, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-11-07 00:00:00', 0.28999999199999998, 5.0090818410000004, -99, 349, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-11-08 00:00:00', 1.0499999520000001, 4.8835620879999997, -99, 281, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-11-09 00:00:00', 0.079999998000000003, 4.6382317540000004, -99, 328, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-11-10 00:00:00', 3.4500000480000002, 3.8038039210000001, -99, 198, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-11-11 00:00:00', 10.649999619999999, 5.665316582, -99, 169, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-11-12 00:00:00', 2.0899999139999998, 5.4677991869999998, -99, 385, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-11-13 00:00:00', 8.8199996949999999, 4.7125682830000004, -99, 173, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-11-14 00:00:00', 12.460000040000001, 4.640564919, -99, 180, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-11-15 00:00:00', 0.01, 2.4382092950000001, -99, 292, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-11-16 00:00:00', 0, -0.71787744799999997, -99, 392, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-11-17 00:00:00', 0, -2.0252904890000001, -99, 353, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-11-18 00:00:00', 0, -5.0045466420000002, -99, 389, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-11-19 00:00:00', 0.23000000400000001, -4.5283966060000003, -99, 342, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-11-20 00:00:00', 0.93000000699999996, 0.85724979599999995, -99, 274, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-11-21 00:00:00', 1.8600000139999999, -0.74450480900000005, -99, 252, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-11-22 00:00:00', 4.579999924, -3.4989883900000001, -99, 256, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-11-23 00:00:00', 5.4800000190000002, -3.3910372259999999, -99, 220, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-11-24 00:00:00', 0, -4.314229965, -99, 349, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-11-25 00:00:00', 0, -10.32265759, -99, 227, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-11-26 00:00:00', 0, -3.6128821370000002, -99, 227, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-11-27 00:00:00', 0, -0.74717885299999998, -99, 331, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-11-28 00:00:00', 0, 0.170085505, -99, 292, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-11-29 00:00:00', 0, -0.62612408399999997, -99, 212, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-11-30 00:00:00', 0.050000001000000002, -3.0523760320000002, -99, 220, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-12-01 00:00:00', 0.23000000400000001, -3.2687978740000001, -99, 155, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-12-02 00:00:00', 5.6199998860000004, -4.3253893850000003, -99, 180, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-12-03 00:00:00', 3.5, 4.7415132519999998, -99, 130, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-12-04 00:00:00', 7.170000076, 6.5968961720000001, -99, 245, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-12-05 00:00:00', 1.269999981, 4.0940361019999996, -99, 270, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-12-06 00:00:00', 0.38999998600000002, 4.8095755579999997, -99, 173, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-12-07 00:00:00', 3.8599998950000001, 5.2561817169999996, -99, 126, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-12-08 00:00:00', 7.8699998860000004, 1.7795337440000001, -99, 216, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-12-09 00:00:00', 4.8899998660000001, 0.89729028899999996, -99, 169, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-12-10 00:00:00', 6.5999999049999998, -0.87863677699999998, -99, 169, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-12-11 00:00:00', 3.8599998950000001, 3.6877205370000001, -99, 115, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-12-12 00:00:00', 0, 0.29365938899999999, -99, 241, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-12-13 00:00:00', 1.4500000479999999, -0.96415007100000005, -99, 108, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-12-14 00:00:00', 0.090000003999999995, -3.4284000400000001, -99, 198, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-12-15 00:00:00', 1.3799999949999999, -1.934438229, -99, 108, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-12-16 00:00:00', 9.2600002289999992, 0.53377640199999998, -99, 122, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-12-17 00:00:00', 1.8999999759999999, 1.4039750099999999, -99, 212, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-12-18 00:00:00', 7.6900000569999998, 0.70251589999999997, -99, 173, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-12-19 00:00:00', 20.469999309999999, 7.7617273329999996, -99, 151, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-12-20 00:00:00', 0.189999998, 1.536004543, -99, 230, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-12-21 00:00:00', 1.2999999520000001, -1.9118644, -99, 234, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-12-22 00:00:00', 7.5, 0.18750545399999999, -99, 122, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-12-23 00:00:00', 0.23999999499999999, 0.14290072000000001, -99, 173, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-12-24 00:00:00', 0, -0.56146031600000001, -99, 115, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-12-25 00:00:00', 9.1800003050000001, -3.9267785549999998, -99, 133, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-12-26 00:00:00', 1.3799999949999999, 0.58107417800000005, -99, 104, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-12-27 00:00:00', 3.8499999049999998, 0.35609966500000001, -99, 108, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-12-28 00:00:00', 4.829999924, -0.298277974, -99, 104, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-12-29 00:00:00', 11.670000079999999, -1.0988352299999999, -99, 151, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-12-30 00:00:00', 7.3200001720000003, 2.0441682339999998, -99, 130, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1993-12-31 00:00:00', 0.23000000400000001, 2.6274330620000002, -99, 223, 'ask', 'ask_1993');
INSERT INTO public.cdy_cldat VALUES ('1994-01-01 00:00:00', 0.10000000100000001, 0.69168871600000004, -99, 248, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-01-02 00:00:00', 0, 0.20840436200000001, -99, 130, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-01-03 00:00:00', 5.3200001720000003, 0.64950156199999998, -99, 166, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-01-04 00:00:00', 6.3800001139999996, 1.115541339, -99, 122, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-01-05 00:00:00', 5.3200001720000003, 4.1354074479999996, -99, 151, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-01-06 00:00:00', 0.74000001000000004, 2.0269689560000002, -99, 108, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-01-07 00:00:00', 2.0199999809999998, 3.413678408, -99, 122, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-01-08 00:00:00', 0, 3.667317867, -99, 245, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-01-09 00:00:00', 0, 0.63904780100000003, -99, 209, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-01-10 00:00:00', 0.25, 2.0692522530000002, -99, 122, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-01-11 00:00:00', 0.689999998, 1.8992770910000001, -99, 162, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-01-12 00:00:00', 18.030000690000001, 1.7361102100000001, -99, 151, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-01-13 00:00:00', 4.1799998279999997, 6.2801642419999997, -99, 158, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-01-14 00:00:00', 5.5599999430000002, 4.8653788569999996, -99, 151, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-01-15 00:00:00', 0.939999998, 3.2798309329999999, -99, 216, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-01-16 00:00:00', 0, -1.9172846079999999, -99, 259, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-01-17 00:00:00', 4.4800000190000002, -7.1446743010000002, -99, 227, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-01-18 00:00:00', 10.93000031, -2.3807253839999998, -99, 94, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-01-19 00:00:00', 0.28999999199999998, 3.7550203799999999, -99, 263, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-01-20 00:00:00', 0.23000000400000001, 1.407928109, -99, 151, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-01-21 00:00:00', 1.2400000099999999, 4.0188484190000002, -99, 115, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-01-22 00:00:00', 1.809999943, 5.1044373509999996, -99, 292, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-01-23 00:00:00', 10.56999969, 3.8121376040000001, -99, 266, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-01-24 00:00:00', 1.440000057, 1.1425493959999999, -99, 281, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-01-25 00:00:00', 10.56000042, 0.84953880299999995, -99, 148, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-01-26 00:00:00', 6.2800002099999999, 1.8894968029999999, -99, 346, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-01-27 00:00:00', 6.8600001339999999, 2.7576909070000002, -99, 299, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-01-28 00:00:00', 2.170000076, 1.672530174, -99, 220, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-01-29 00:00:00', 5.2800002099999999, 2.3992023470000001, -99, 295, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-01-30 00:00:00', 0.790000021, 0.73036432299999998, -99, 371, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-01-31 00:00:00', 2.4100000860000002, 2.9660732749999998, -99, 364, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-02-01 00:00:00', 6.9499998090000004, 3.1192991729999999, -99, 212, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-02-02 00:00:00', 1.5900000329999999, 0.93843233599999998, -99, 259, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-02-03 00:00:00', 0, -0.57670468100000005, -99, 403, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-02-04 00:00:00', 0.280000001, 0.54964464899999999, -99, 202, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-02-05 00:00:00', 0.059999998999999998, 0.48770827100000003, -99, 241, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-02-06 00:00:00', 0.37000000500000002, 0.46936512000000002, -99, 158, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-02-07 00:00:00', 0.10000000100000001, 0.47083556700000001, -99, 238, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-02-08 00:00:00', 0, 0.81778031600000001, -99, 205, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-02-09 00:00:00', 11.06999969, 1.066913486, -99, 234, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-02-10 00:00:00', 2.25, 2.0150759219999999, -99, 439, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-02-11 00:00:00', 0, 0.33777564799999998, -99, 382, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-02-12 00:00:00', 0, -1.0578578709999999, -99, 407, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-02-13 00:00:00', 0.050000001000000002, -4.0972776409999998, -99, 583, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-02-14 00:00:00', 0, -5.300260067, -99, 803, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-02-15 00:00:00', 0, -4.8098769189999997, -99, 871, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-02-16 00:00:00', 0, -5.5270166400000003, -99, 868, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-02-17 00:00:00', 0, -5.4366803170000004, -99, 691, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-02-18 00:00:00', 0, -6.9095301630000003, -99, 821, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-02-19 00:00:00', 0.46000000800000002, -5.3726115229999998, -99, 486, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-02-20 00:00:00', 1.440000057, -3.3653440479999999, -99, 626, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-02-21 00:00:00', 6.7199997900000001, -3.448909998, -99, 256, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-02-22 00:00:00', 1.960000038, -8.5537223820000001, -99, 306, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-02-23 00:00:00', 0, -4.8794155119999996, -99, 551, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-02-24 00:00:00', 0, -2.8352761270000002, -99, 601, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-02-25 00:00:00', 0.01, -12.37045002, -99, 659, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-02-26 00:00:00', 11.369999890000001, -3.612289906, -99, 205, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-02-27 00:00:00', 25.38999939, 0.003087172, -99, 252, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-02-28 00:00:00', 0.47999998900000002, -0.70061540600000005, -99, 389, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-03-01 00:00:00', 4.1599998469999999, -1.5922230479999999, -99, 436, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-03-02 00:00:00', 5.9099998469999999, -1.473692894, -99, 245, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-03-03 00:00:00', 3.9300000669999999, 0.31429260999999997, -99, 389, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-03-04 00:00:00', 0, 1.903069973, -99, 810, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-03-05 00:00:00', 4.1900000569999998, 2.1640214919999998, -99, 580, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-03-06 00:00:00', 4.0100002290000001, 2.3669085499999998, -99, 868, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-03-07 00:00:00', 0.939999998, 3.9969749449999998, -99, 734, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-03-08 00:00:00', 2.329999924, 2.3086109160000001, -99, 328, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-03-09 00:00:00', 5.6399998660000001, 4.7559399600000001, -99, 382, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-03-10 00:00:00', 0.15999999600000001, 3.2634377479999999, -99, 1019, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-03-11 00:00:00', 1.940000057, 2.0908398629999998, -99, 972, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-03-12 00:00:00', 6.6300001139999996, 1.6835743190000001, -99, 767, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-03-13 00:00:00', 13.22999954, 1.5572543139999999, -99, 554, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-03-14 00:00:00', 2.6600000860000002, 2.8649311069999999, -99, 540, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-03-15 00:00:00', 2.0599999430000002, 2.2809631819999998, -99, 1217, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-03-16 00:00:00', 3.5999999049999998, 1.4832947249999999, -99, 832, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-03-17 00:00:00', 1.3700000050000001, 0.18427602900000001, -99, 749, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-03-18 00:00:00', 3.579999924, 0.22328181599999999, -99, 1037, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-03-19 00:00:00', 9.0900001530000001, 0.51150387500000005, -99, 378, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-03-20 00:00:00', 1.8300000430000001, -7.848351955, -99, 734, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-03-21 00:00:00', 0.01, -4.6808304789999999, -99, 1044, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-03-22 00:00:00', 1.480000019, -3.0626907349999999, -99, 281, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-03-23 00:00:00', 16.129999160000001, 2.8336515430000002, -99, 230, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-03-24 00:00:00', 0.01, 4.86634016, -99, 1289, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-03-25 00:00:00', 2.8499999049999998, 4.2256388659999997, -99, 508, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-03-26 00:00:00', 0.25999999000000001, 2.721749306, -99, 1170, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-03-27 00:00:00', 0, -0.45039796799999998, -99, 1364, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-03-28 00:00:00', 7.5, -0.161263868, -99, 724, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-03-29 00:00:00', 0.01, 6.7335243230000001, -99, 1213, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-03-30 00:00:00', 0, 3.379114151, -99, 1480, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-03-31 00:00:00', 4.2399997709999999, 8.8157348629999994, -99, 767, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-04-01 00:00:00', 10.75, 6.6732897759999998, -99, 500, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-04-02 00:00:00', 0.280000001, 4.8746128080000002, -99, 1022, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-04-03 00:00:00', 0.31999999299999998, 1.9968585969999999, -99, 1253, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-04-04 00:00:00', 7.1500000950000002, 3.1375720500000002, -99, 508, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-04-05 00:00:00', 1.1799999480000001, 1.213760972, -99, 1357, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-04-06 00:00:00', 0.15000000599999999, 1.672001243, -99, 1040, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-04-07 00:00:00', 0, -1.1160017250000001, -99, 1397, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-04-08 00:00:00', 0.059999998999999998, -0.80038785899999998, -99, 1454, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-04-09 00:00:00', 3.4800000190000002, 4.884554863, -99, 598, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-04-10 00:00:00', 0.37000000500000002, 1.860235691, -99, 1408, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-04-11 00:00:00', 0, 3.6799941060000001, -99, 2012, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-04-12 00:00:00', 0, 2.2762279510000001, -99, 1469, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-04-13 00:00:00', 0.23000000400000001, 4.0354990959999997, -99, 1220, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-04-14 00:00:00', 1.2599999900000001, 5.0577039719999997, -99, 61, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-04-15 00:00:00', 0, 4.6948838229999996, -99, 684, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-04-16 00:00:00', 0, 4.9314837459999996, -99, 1393, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-04-17 00:00:00', 0, 1.3472639319999999, -99, 1764, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-04-18 00:00:00', 0, -0.72720938899999998, -99, 1922, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-04-19 00:00:00', 0, 0.96844464500000005, -99, 1177, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-04-20 00:00:00', 0, 1.1011352539999999, -99, 1775, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-04-21 00:00:00', 0.30000001199999998, 5.5138955120000004, -99, 1332, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-04-22 00:00:00', 0, 2.9883315559999999, -99, 2171, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-04-23 00:00:00', 0, 5.0298638340000004, -99, 2153, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-04-24 00:00:00', 0, 8.1254920960000003, -99, 1793, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-04-25 00:00:00', 1.6100000139999999, 8.4611425400000009, -99, 1022, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-04-26 00:00:00', 0, 4.6725072860000001, -99, 1228, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-04-27 00:00:00', 0.079999998000000003, 8.1579656600000003, -99, 976, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-04-28 00:00:00', 0, 9.9036149980000001, -99, 857, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-04-29 00:00:00', 0.27000001099999998, 9.5434484479999995, -99, 1566, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-04-30 00:00:00', 0.039999999000000001, 9.3533382419999995, -99, 1552, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-05-01 00:00:00', 0, 5.8224234580000003, -99, 1865, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-05-02 00:00:00', 0, 0.706857026, -99, 1724, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-05-03 00:00:00', 0, 0.85531479099999996, -99, 2556, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-05-04 00:00:00', 6.8899998660000001, 7.9151349069999997, -99, 1037, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-05-05 00:00:00', 0.039999999000000001, 7.0012583729999998, -99, 1591, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-05-06 00:00:00', 1.8600000139999999, 3.85537982, -99, 724, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-05-07 00:00:00', 0.119999997, 9.6415662770000008, -99, 979, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-05-08 00:00:00', 0, 9.2502193449999996, -99, 2192, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-05-09 00:00:00', 0, 9.9506750109999995, -99, 1062, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-05-10 00:00:00', 0, 7.5150141719999999, -99, 2624, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-05-11 00:00:00', 0, 8.2724275590000005, -99, 2502, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-05-12 00:00:00', 0, 7.7151732439999998, -99, 2596, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-05-13 00:00:00', 0, 8.6516056060000004, -99, 2718, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-05-14 00:00:00', 0, 7.2790002820000002, -99, 2664, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-05-15 00:00:00', 0.23999999499999999, 10.670418740000001, -99, 1278, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-05-16 00:00:00', 0.039999999000000001, 9.4971551900000009, -99, 1735, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-05-17 00:00:00', 8.9200000760000009, 3.8574068549999998, -99, 958, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-05-18 00:00:00', 4.6999998090000004, 10.25528336, -99, 940, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-05-19 00:00:00', 0.039999999000000001, 9.3487510680000003, -99, 662, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-05-20 00:00:00', 0, 6.0461158749999999, -99, 2614, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-05-21 00:00:00', 1.5900000329999999, 3.112421989, -99, 2419, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-05-22 00:00:00', 0.72000002900000004, 9.6164712909999999, -99, 562, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-05-23 00:00:00', 12.630000109999999, 10.36979389, -99, 918, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-05-24 00:00:00', 2.0899999139999998, 10.45027733, -99, 1346, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-05-25 00:00:00', 3.7699999809999998, 9.9115800860000007, -99, 1238, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-05-26 00:00:00', 0.079999998000000003, 7.7189536089999997, -99, 1764, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-05-27 00:00:00', 0, 5.5020985600000003, -99, 2480, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-05-28 00:00:00', 0, 4.2623434070000004, -99, 2041, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-05-29 00:00:00', 1.059999943, 4.120500088, -99, 2196, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-05-30 00:00:00', 0.029999998999999999, 5.0203180310000004, -99, 2372, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-05-31 00:00:00', 0.15999999600000001, 5.9009852409999999, -99, 1037, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-06-01 00:00:00', 0, 8.2082777020000002, -99, 1973, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-06-02 00:00:00', 7.2699999809999998, 8.4553537369999994, -99, 810, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-06-03 00:00:00', 1.9199999569999999, 11.36754799, -99, 1638, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-06-04 00:00:00', 1.190000057, 9.5599803919999999, -99, 1519, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-06-05 00:00:00', 5.8699998860000004, 5.5143995290000003, -99, 1980, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-06-06 00:00:00', 1.1200000050000001, 8.0845270159999991, -99, 2686, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-06-07 00:00:00', 0, 11.55841446, -99, 2153, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-06-08 00:00:00', 0, 9.1076717380000005, -99, 2369, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-06-09 00:00:00', 3.7699999809999998, 7.3967561719999999, -99, 2243, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-06-10 00:00:00', 3.039999962, 8.2662229539999998, -99, 1645, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-06-11 00:00:00', 0.01, 6.8294496540000003, -99, 2538, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-06-12 00:00:00', 0, 5.1187005040000004, -99, 1480, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-06-13 00:00:00', 0, 10.954415320000001, -99, 1894, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-06-14 00:00:00', 0.039999999000000001, 7.9265160559999996, -99, 2254, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-06-15 00:00:00', 9.1999998089999995, 4.78145504, -99, 979, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-06-16 00:00:00', 0.050000001000000002, 7.2753400800000003, -99, 2491, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-06-17 00:00:00', 0.46000000800000002, 3.9932417870000001, -99, 2419, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-06-18 00:00:00', 11.43999958, 7.3715624809999998, -99, 846, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-06-19 00:00:00', 1, 11.72276974, -99, 1372, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-06-20 00:00:00', 0, 7.2037773129999998, -99, 2840, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-06-21 00:00:00', 17.979999540000001, 10.70249462, -99, 742, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-06-22 00:00:00', 0.43000000700000002, 11.766114229999999, -99, 2257, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-06-23 00:00:00', 0, 10.42642307, -99, 2437, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-06-24 00:00:00', 0, 4.7662873269999997, -99, 3020, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-06-25 00:00:00', 5.8800001139999996, 9.7497749329999994, -99, 2567, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-06-26 00:00:00', 0, 13.815560339999999, -99, 2398, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-06-27 00:00:00', 0, 11.500719070000001, -99, 2815, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-06-28 00:00:00', 0, 11.92068386, -99, 2387, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-06-29 00:00:00', 12.539999959999999, 16.623476029999999, -99, 1105, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-06-30 00:00:00', 0.01, 9.5088977809999999, -99, 2106, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-07-01 00:00:00', 0, 6.6649994850000001, -99, 2524, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-07-02 00:00:00', 0, 7.456766129, -99, 2938, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-07-03 00:00:00', 0, 12.2871027, -99, 2873, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-07-04 00:00:00', 0.219999999, 16.08870697, -99, 2531, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-07-05 00:00:00', 5.0500001909999996, 14.46649742, -99, 706, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-07-06 00:00:00', 0, 13.5652504, -99, 2196, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-07-07 00:00:00', 0.109999999, 10.98951626, -99, 2520, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-07-08 00:00:00', 0.219999999, 11.88923645, -99, 1998, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-07-09 00:00:00', 0, 13.46783447, -99, 1854, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-07-10 00:00:00', 0, 9.0604953770000005, -99, 2401, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-07-11 00:00:00', 0, 13.43215466, -99, 2563, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-07-12 00:00:00', 0, 16.076522829999998, -99, 2826, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-07-13 00:00:00', 0, 17.251628879999998, -99, 2603, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-07-14 00:00:00', 0.219999999, 17.23694038, -99, 2466, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-07-15 00:00:00', 0.769999981, 16.054912569999999, -99, 1955, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-07-16 00:00:00', 0.55000001200000004, 15.03523064, -99, 2023, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-07-17 00:00:00', 0, 8.3098525999999993, -99, 1696, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-07-18 00:00:00', 0, 8.1508550639999999, -99, 2444, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-07-19 00:00:00', 0, 12.14517021, -99, 2459, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-07-20 00:00:00', 0, 10.085696220000001, -99, 2722, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-07-21 00:00:00', 0, 11.13069153, -99, 2578, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-07-22 00:00:00', 0, 13.910163880000001, -99, 2059, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-07-23 00:00:00', 0, 14.235220910000001, -99, 2311, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-07-24 00:00:00', 0, 15.32407665, -99, 2214, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-07-25 00:00:00', 0.050000001000000002, 19.257986070000001, -99, 2272, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-07-26 00:00:00', 0, 19.05946732, -99, 2448, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-07-27 00:00:00', 0, 13.99071884, -99, 1649, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-07-28 00:00:00', 5.2899999619999996, 17.16905594, -99, 1627, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-07-29 00:00:00', 0.01, 17.98196793, -99, 1775, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-07-30 00:00:00', 1.9099999670000001, 10.127609250000001, -99, 2102, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-07-31 00:00:00', 0, 18.381166459999999, -99, 2592, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-08-01 00:00:00', 14.27000046, 21.157466889999998, -99, 990, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-08-02 00:00:00', 0.40000000600000002, 18.42206573, -99, 2200, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-08-03 00:00:00', 0, 11.947681429999999, -99, 2174, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-08-04 00:00:00', 0, 14.635301589999999, -99, 2444, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-08-05 00:00:00', 0.10000000100000001, 19.56593895, -99, 1591, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-08-06 00:00:00', 0, 17.278518680000001, -99, 1868, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-08-07 00:00:00', 0, 13.072615620000001, -99, 2236, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-08-08 00:00:00', 0, 9.479401588, -99, 2200, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-08-09 00:00:00', 0.18000000699999999, 13.404939649999999, -99, 1811, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-08-10 00:00:00', 0, 12.44326687, -99, 1796, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-08-11 00:00:00', 10.960000040000001, 16.612806320000001, -99, 421, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-08-12 00:00:00', 9.4300003050000001, 16.669881820000001, -99, 1163, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-08-13 00:00:00', 4.25, 13.74495029, -99, 1472, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-08-14 00:00:00', 5.7600002290000001, 9.9833383560000009, -99, 1264, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-08-15 00:00:00', 0, 12.660488129999999, -99, 1109, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-08-16 00:00:00', 0, 9.4204645159999991, -99, 1289, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-08-17 00:00:00', 19.489999770000001, 10.212334630000001, -99, 990, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-08-18 00:00:00', 7.9600000380000004, 11.91357517, -99, 227, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-08-19 00:00:00', 1.440000057, 13.3052578, -99, 1307, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-08-20 00:00:00', 0.14000000100000001, 11.73981476, -99, 1706, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-08-21 00:00:00', 0.14000000100000001, 8.4154405590000003, -99, 1307, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-08-22 00:00:00', 0, 6.6120014190000003, -99, 2117, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-08-23 00:00:00', 0.959999979, 8.6307888029999997, -99, 2171, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-08-24 00:00:00', 11.80000019, 14.746196749999999, -99, 511, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-08-25 00:00:00', 3.4700000289999999, 8.1249799730000003, -99, 1267, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-08-26 00:00:00', 1.1399999860000001, 10.61500549, -99, 1145, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-08-27 00:00:00', 9.1000003809999992, 10.449562070000001, -99, 745, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-08-28 00:00:00', 20.790000920000001, 7.5056309700000003, -99, 1004, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-08-29 00:00:00', 3.119999886, 11.080584529999999, -99, 1476, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-08-30 00:00:00', 0.15999999600000001, 7.5761060709999999, -99, 1480, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-08-31 00:00:00', 0, 6.0192246440000003, -99, 1832, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-09-01 00:00:00', 8.6599998469999999, 12.857318879999999, -99, 403, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-09-02 00:00:00', 6.5900001530000001, 13.60235119, -99, 763, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-09-03 00:00:00', 6.2399997709999999, 12.62173748, -99, 1069, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-09-04 00:00:00', 5.6300001139999996, 9.7031831739999994, -99, 806, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-09-05 00:00:00', 3.9300000669999999, 12.745904919999999, -99, 814, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-09-06 00:00:00', 0.01, 8.9753894810000006, -99, 1440, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-09-07 00:00:00', 0.40000000600000002, 8.6129951479999995, -99, 1040, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-09-08 00:00:00', 7.2199997900000001, 10.775040629999999, -99, 986, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-09-09 00:00:00', 19.799999239999998, 11.661782260000001, -99, 648, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-09-10 00:00:00', 16.670000080000001, 10.662890429999999, -99, 583, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-09-11 00:00:00', 2.670000076, 9.7307672499999995, -99, 1156, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-09-12 00:00:00', 10.31999969, 8.8103370670000007, -99, 706, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-09-13 00:00:00', 1.25, 12.64617157, -99, 828, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-09-14 00:00:00', 26.36000061, 6.4370422359999999, -99, 1487, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-09-15 00:00:00', 22.590000150000002, 11.740019800000001, -99, 295, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-09-16 00:00:00', 4.9400000569999998, 11.274442669999999, -99, 526, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-09-17 00:00:00', 1.0099999900000001, 11.04903603, -99, 590, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-09-18 00:00:00', 0.20000000300000001, 10.09641457, -99, 576, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-09-19 00:00:00', 0.939999998, 9.7166709900000008, -99, 749, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-09-20 00:00:00', 0, 8.2015686040000002, -99, 1217, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-09-21 00:00:00', 0, 9.7831249239999991, -99, 1253, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-09-22 00:00:00', 0, 7.4057002069999998, -99, 1415, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-09-23 00:00:00', 0, 3.3065679069999998, -99, 1476, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-09-24 00:00:00', 0.119999997, 6.489936352, -99, 1120, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-09-25 00:00:00', 0, 10.48328972, -99, 688, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-09-26 00:00:00', 0.41999998700000002, 6.766510963, -99, 580, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-09-27 00:00:00', 1.9299999480000001, 8.8113965990000001, -99, 655, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-09-28 00:00:00', 2.4100000860000002, 5.9687461849999996, -99, 806, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-09-29 00:00:00', 0.63999998599999997, 11.87121868, -99, 493, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-09-30 00:00:00', 3.2799999710000001, 10.286485669999999, -99, 522, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-10-01 00:00:00', 0, 8.0135030749999991, -99, 1134, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-10-02 00:00:00', 17.350000380000001, 4.6850485800000001, -99, 374, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-10-03 00:00:00', 0.43000000700000002, 8.235315323, -99, 950, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-10-04 00:00:00', 2.8900001049999999, 1.5057761670000001, -99, 742, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-10-05 00:00:00', 0, 1.428382874, -99, 1073, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-10-06 00:00:00', 0.039999999000000001, -0.41151067600000002, -99, 569, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-10-07 00:00:00', 0.039999999000000001, 9.5367212299999995, -99, 414, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-10-08 00:00:00', 2.6500000950000002, 8.3671102519999998, -99, 313, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-10-09 00:00:00', 0.17000000200000001, 6.2787795070000003, -99, 648, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-10-10 00:00:00', 0, -0.476065189, -99, 673, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-10-11 00:00:00', 0, 3.97530961, -99, 637, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-10-12 00:00:00', 0, 7.1035804750000002, -99, 835, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-10-13 00:00:00', 0, 7.4052858349999999, -99, 317, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-10-14 00:00:00', 0, 9.08945179, -99, 590, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-10-15 00:00:00', 0, 5.9352765080000003, -99, 317, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-10-16 00:00:00', 0, 1.5465109349999999, -99, 677, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-10-17 00:00:00', 0.02, -3.7287275790000001, -99, 734, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-10-18 00:00:00', 0, -3.2457735539999999, -99, 500, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-10-19 00:00:00', 0, 0.848074675, -99, 716, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-10-20 00:00:00', 0, 5.0490903850000004, -99, 666, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-10-21 00:00:00', 0.079999998000000003, 4.6338925360000003, -99, 619, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-10-22 00:00:00', 8.8199996949999999, 6.0828394890000004, -99, 486, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-10-23 00:00:00', 3.4100000860000002, 8.5402975080000001, -99, 439, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-10-24 00:00:00', 2.1099998950000001, 9.1412563319999993, -99, 252, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-10-25 00:00:00', 1.519999981, 5.5093069080000001, -99, 295, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-10-26 00:00:00', 3.460000038, 8.0492944719999997, -99, 274, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-10-27 00:00:00', 4.2199997900000001, 7.5945038800000004, -99, 338, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-10-28 00:00:00', 2.9000000950000002, 4.0115118030000003, -99, 302, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-10-29 00:00:00', 7.2300000190000002, 5.2388815879999999, -99, 378, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-10-30 00:00:00', 7, 5.6049232480000004, -99, 277, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-10-31 00:00:00', 16.190000529999999, 7.1742286679999996, -99, 270, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-11-01 00:00:00', 4.5900001530000001, 9.088685989, -99, 144, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-11-02 00:00:00', 0, 5.473096848, -99, 554, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-11-03 00:00:00', 0, 0.75468659400000004, -99, 421, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-11-04 00:00:00', 0, 5.8160543440000003, -99, 425, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-11-05 00:00:00', 0, 5.579020023, -99, 540, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-11-06 00:00:00', 0.28999999199999998, 5.4903368950000004, -99, 360, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-11-07 00:00:00', 0.189999998, 7.3922414779999999, -99, 180, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-11-08 00:00:00', 0.109999999, 6.320728302, -99, 184, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-11-09 00:00:00', 0.01, 4.4784979820000004, -99, 425, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-11-10 00:00:00', 0.050000001000000002, 3.82038784, -99, 187, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-11-11 00:00:00', 0.829999983, 4.9592185019999997, -99, 256, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-11-12 00:00:00', 0, 3.962269306, -99, 306, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-11-13 00:00:00', 17.93000031, 0.056549437000000001, -99, 173, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-11-14 00:00:00', 9.7200002669999996, 2.050541162, -99, 119, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-11-15 00:00:00', 6.0900001530000001, 10.03975105, -99, 349, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-11-16 00:00:00', 4.2399997709999999, 6.9526352879999997, -99, 360, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-11-17 00:00:00', 3.420000076, 4.6572079659999996, -99, 284, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-11-18 00:00:00', 0, 1.376052737, -99, 407, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-11-19 00:00:00', 3.9900000100000002, -2.529066324, -99, 155, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-11-20 00:00:00', 13.630000109999999, 4.2761063579999998, -99, 86, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-11-21 00:00:00', 0.01, 6.1257362369999999, -99, 338, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-11-22 00:00:00', 0.119999997, 2.7567446229999999, -99, 270, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-11-23 00:00:00', 2.1800000669999999, 3.5238308909999998, -99, 216, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-11-24 00:00:00', 0.17000000200000001, 7.3089318280000004, -99, 230, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-11-25 00:00:00', 0.75, 5.5097503659999996, -99, 241, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-11-26 00:00:00', 0.81999999300000004, 6.6310596469999998, -99, 180, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-11-27 00:00:00', 0.219999999, 6.426510811, -99, 198, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-11-28 00:00:00', 0, 2.6366941929999999, -99, 288, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-11-29 00:00:00', 0, 5.7742743489999997, -99, 241, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-11-30 00:00:00', 0, 4.9869213099999996, -99, 216, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-12-01 00:00:00', 0, 3.4443321230000001, -99, 281, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-12-02 00:00:00', 0, -1.0027771000000001, -99, 205, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-12-03 00:00:00', 1.8899999860000001, -3.9580438139999998, -99, 205, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-12-04 00:00:00', 8.7700004580000002, 2.3613135810000001, -99, 187, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-12-05 00:00:00', 3.789999962, 7.114275932, -99, 162, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-12-06 00:00:00', 2.2300000190000002, 4.7666230199999999, -99, 198, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-12-07 00:00:00', 0.829999983, 3.0492823119999999, -99, 148, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-12-08 00:00:00', 13.60999966, 5.389066219, -99, 140, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-12-09 00:00:00', 0.23000000400000001, 5.7962732319999999, -99, 230, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-12-10 00:00:00', 3.329999924, 3.3663206099999998, -99, 112, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-12-11 00:00:00', 20.209999079999999, 6.9377565380000004, -99, 137, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-12-12 00:00:00', 3.0099999899999998, 8.8183393480000003, -99, 144, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-12-13 00:00:00', 0.56999999300000004, 7.7024855609999996, -99, 173, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-12-14 00:00:00', 0, 0.20820592299999999, -99, 252, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-12-15 00:00:00', 0.23000000400000001, -4.3521881100000002, -99, 133, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-12-16 00:00:00', 6.1900000569999998, 1.6969046590000001, -99, 194, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-12-17 00:00:00', 0.37000000500000002, 1.3829040530000001, -99, 130, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-12-18 00:00:00', 1, 2.8516778949999999, -99, 104, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-12-19 00:00:00', 5.1300001139999996, 1.87570262, -99, 212, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-12-20 00:00:00', 0.37000000500000002, 2.412606239, -99, 151, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-12-21 00:00:00', 0.039999999000000001, -2.240714788, -99, 220, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-12-22 00:00:00', 0.14000000100000001, -3.427930355, -99, 205, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-12-23 00:00:00', 0, -2.9111199380000001, -99, 173, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-12-24 00:00:00', 0, -1.398557067, -99, 133, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-12-25 00:00:00', 1.6200000050000001, -2.7379553319999999, -99, 191, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-12-26 00:00:00', 10.18999958, -1.704252243, -99, 187, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-12-27 00:00:00', 0.090000003999999995, 0.47634252900000001, -99, 176, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-12-28 00:00:00', 10.22000027, -1.1471946239999999, -99, 104, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-12-29 00:00:00', 18.959999079999999, 7.7736177440000001, -99, 108, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-12-30 00:00:00', 13.77999973, 5.0003185270000001, -99, 140, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1994-12-31 00:00:00', 1.9700000289999999, 5.1714019779999996, -99, 162, 'ask', 'ask_1994');
INSERT INTO public.cdy_cldat VALUES ('1995-01-01 00:00:00', 5.1100001339999999, 0.64230942700000004, -99, 97, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-01-02 00:00:00', 0.01, -2.9201166629999999, -99, 119, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-01-03 00:00:00', 0, -7.2629671099999999, -99, 216, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-01-04 00:00:00', 0, -10.530455590000001, -99, 245, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-01-05 00:00:00', 0, -9.3767871859999996, -99, 194, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-01-06 00:00:00', 0, -9.0295343399999997, -99, 148, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-01-07 00:00:00', 0, -5.7347517010000004, -99, 130, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-01-08 00:00:00', 7.4699997900000001, -8.1324806209999991, -99, 86, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-01-09 00:00:00', 13.5, -0.081279299999999999, -99, 191, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-01-10 00:00:00', 0.540000021, 2.6697733399999999, -99, 230, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-01-11 00:00:00', 0, 0.480767369, -99, 191, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-01-12 00:00:00', 0, -1.271084189, -99, 256, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-01-13 00:00:00', 0.28999999199999998, -16.445989610000002, -99, 137, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-01-14 00:00:00', 1.3799999949999999, 1.196943045, -99, 191, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-01-15 00:00:00', 0.49000000999999999, 3.654018164, -99, 216, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-01-16 00:00:00', 0, 1.212242126, -99, 158, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-01-17 00:00:00', 0, 0.207078546, -99, 212, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-01-18 00:00:00', 8.3999996190000008, 1.6651669739999999, -99, 130, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-01-19 00:00:00', 7.4600000380000004, 1.612273812, -99, 173, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-01-20 00:00:00', 4.6599998469999999, 1.736045361, -99, 137, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-01-21 00:00:00', 5.5599999430000002, 1.6397025590000001, -99, 158, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-01-22 00:00:00', 18.219999309999999, 0.61689424500000001, -99, 205, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-01-23 00:00:00', 7.7699999809999998, 0.146962494, -99, 155, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-01-24 00:00:00', 4.1900000569999998, 2.2929134370000002, -99, 299, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-01-25 00:00:00', 3.369999886, 1.7473329310000001, -99, 295, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-01-26 00:00:00', 5.3200001720000003, -0.29149246200000001, -99, 155, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-01-27 00:00:00', 3.1600000860000002, -1.796443939, -99, 328, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-01-28 00:00:00', 3.1099998950000001, -0.41599574700000003, -99, 151, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-01-29 00:00:00', 7.8200001720000003, 1.205631256, -99, 97, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-01-30 00:00:00', 0.01, -5.1489391329999998, -99, 338, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-01-31 00:00:00', 22.629999160000001, -8.0744915010000007, -99, 155, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-02-01 00:00:00', 0.89999997600000003, 0.18833772800000001, -99, 245, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-02-02 00:00:00', 0.20000000300000001, 2.1040427679999998, -99, 457, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-02-03 00:00:00', 1.2999999520000001, -1.2163124080000001, -99, 212, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-02-04 00:00:00', 0.89999997600000003, 4.2713761330000004, -99, 288, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-02-05 00:00:00', 0.34999999399999998, 3.3455755709999999, -99, 356, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-02-06 00:00:00', 4.7399997709999999, 4.9889540669999999, -99, 169, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-02-07 00:00:00', 0.5, 5.0134210589999997, -99, 558, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-02-08 00:00:00', 0, -0.404279053, -99, 630, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-02-09 00:00:00', 0.079999998000000003, -3.615071774, -99, 590, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-02-10 00:00:00', 0.119999997, -2.9523191450000001, -99, 407, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-02-11 00:00:00', 11.89000034, -1.4580562109999999, -99, 234, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-02-12 00:00:00', 0.02, 1.2772014140000001, -99, 644, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-02-13 00:00:00', 0.579999983, 4.5108041759999997, -99, 389, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-02-14 00:00:00', 7.0700001720000003, 5.681770802, -99, 544, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-02-15 00:00:00', 8.1099996569999995, 4.2754173279999996, -99, 385, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-02-16 00:00:00', 12.35999966, 5.2298460010000003, -99, 472, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-02-17 00:00:00', 4.8499999049999998, 4.3590908050000001, -99, 400, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-02-18 00:00:00', 1.7200000289999999, 2.2648735050000002, -99, 731, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-02-19 00:00:00', 7.2899999619999996, 1.89031148, -99, 587, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-02-20 00:00:00', 7.4499998090000004, 1.362954378, -99, 673, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-02-21 00:00:00', 1.9199999569999999, 3.0944623949999999, -99, 216, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-02-22 00:00:00', 0.15999999600000001, 3.6801817419999998, -99, 317, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-02-23 00:00:00', 6.4099998469999999, 2.9945435520000001, -99, 490, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-02-24 00:00:00', 0.43000000700000002, 1.373932004, -99, 828, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-02-25 00:00:00', 0.829999983, -1.4591252800000001, -99, 864, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-02-26 00:00:00', 0.40000000600000002, -0.55342131900000002, -99, 295, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-02-27 00:00:00', 9.2299995419999998, -2.236456156, -99, 601, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-02-28 00:00:00', 1.7999999520000001, 2.44216013, -99, 266, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-03-01 00:00:00', 15.18999958, 7.3681707379999999, -99, 191, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-03-02 00:00:00', 6.5500001909999996, 1.2771931889999999, -99, 522, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-03-03 00:00:00', 5.420000076, -1.3763393159999999, -99, 248, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-03-04 00:00:00', 0.72000002900000004, 1.66449976, -99, 785, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-03-05 00:00:00', 2.7200000289999999, -0.93971937900000002, -99, 140, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-03-06 00:00:00', 1.75, 0.206678957, -99, 472, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-03-07 00:00:00', 0.27000001099999998, 0.24999585699999999, -99, 904, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-03-08 00:00:00', 1.4900000099999999, 0.94028514600000002, -99, 450, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-03-09 00:00:00', 0.69999998799999996, 0.63650399400000002, -99, 533, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-03-10 00:00:00', 0, -1.49770534, -99, 1253, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-03-11 00:00:00', 0.01, 0.81086385299999997, -99, 1228, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-03-12 00:00:00', 0, 1.047120571, -99, 1238, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-03-13 00:00:00', 0, 0.90144586599999998, -99, 922, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-03-14 00:00:00', 0, 0.67505603999999997, -99, 814, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-03-15 00:00:00', 0.80000001200000004, -3.4636902809999999, -99, 457, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-03-16 00:00:00', 4.4600000380000004, -1.0228612420000001, -99, 832, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-03-17 00:00:00', 10.149999619999999, 1.0222181079999999, -99, 367, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-03-18 00:00:00', 3.0099999899999998, 0.92618787300000005, -99, 774, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-03-19 00:00:00', 4.9000000950000002, 1.3724814649999999, -99, 806, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-03-20 00:00:00', 0.43000000700000002, 2.2274849410000002, -99, 774, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-03-21 00:00:00', 0, 1.70387876, -99, 1390, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-03-22 00:00:00', 0, -1.3523137569999999, -99, 497, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-03-23 00:00:00', 0.050000001000000002, 3.0183103080000002, -99, 1156, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-03-24 00:00:00', 6.9899997709999999, 3.5579278470000002, -99, 641, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-03-25 00:00:00', 2.1099998950000001, 4.0322527890000002, -99, 1066, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-03-26 00:00:00', 0.88999998599999997, 1.2878742219999999, -99, 796, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-03-27 00:00:00', 2.0199999809999998, 0.16568730800000001, -99, 1336, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-03-28 00:00:00', 1.3999999759999999, -2.0714836120000002, -99, 619, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-03-29 00:00:00', 0.14000000100000001, -7.2064867020000003, -99, 1346, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-03-30 00:00:00', 2.8499999049999998, -3.8969337940000002, -99, 1631, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-03-31 00:00:00', 4.2399997709999999, -0.0073276900000000004, -99, 493, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-04-01 00:00:00', 0, 3.3325400350000001, -99, 1325, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-04-02 00:00:00', 0.52999997099999996, 4.8889236450000002, -99, 1040, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-04-03 00:00:00', 1.4900000099999999, 5.321834087, -99, 691, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-04-04 00:00:00', 0.730000019, -0.47236335299999999, -99, 1487, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-04-05 00:00:00', 10.77000046, -0.35935291600000002, -99, 432, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-04-06 00:00:00', 5.079999924, 6.1887664789999999, -99, 943, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-04-07 00:00:00', 0.23000000400000001, 5.5091986659999996, -99, 1044, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-04-08 00:00:00', 0.30000001199999998, 2.0732152460000002, -99, 1915, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-04-09 00:00:00', 0, -1.2543009519999999, -99, 1613, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-04-10 00:00:00', 0.079999998000000003, -0.23870036, -99, 914, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-04-11 00:00:00', 0.31999999299999998, 5.1092667580000004, -99, 1674, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-04-12 00:00:00', 0.079999998000000003, 3.2312610149999998, -99, 1105, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-04-13 00:00:00', 0, 0.14108775600000001, -99, 1516, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-04-14 00:00:00', 1.4099999670000001, 4.2352433200000004, -99, 968, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-04-15 00:00:00', 1.4700000289999999, 4.4143166540000003, -99, 670, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-04-16 00:00:00', 0.280000001, 2.4089803700000001, -99, 1462, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-04-17 00:00:00', 4.5599999430000002, -1.119110227, -99, 1562, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-04-18 00:00:00', 5.170000076, 0.19125685100000001, -99, 716, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-04-19 00:00:00', 0.01, 0.024569210000000001, -99, 1753, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-04-20 00:00:00', 0.75, 0.033249556999999999, -99, 1710, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-04-21 00:00:00', 0, 0.095362529000000001, -99, 1681, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-04-22 00:00:00', 0, 5.299352646, -99, 1595, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-04-23 00:00:00', 0, 4.3321104049999999, -99, 1670, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-04-24 00:00:00', 0, 10.12397861, -99, 2347, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-04-25 00:00:00', 0, 10.19238949, -99, 1753, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-04-26 00:00:00', 0, 7.3782291410000003, -99, 2275, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-04-27 00:00:00', 0.28999999199999998, 2.7483851910000001, -99, 634, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-04-28 00:00:00', 0, 2.97151494, -99, 2167, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-04-29 00:00:00', 0, -1.369241476, -99, 1498, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-04-30 00:00:00', 0, -0.29511317599999998, -99, 2225, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-05-01 00:00:00', 0, 1.5654329060000001, -99, 2610, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-05-02 00:00:00', 0, 3.6562023159999999, -99, 2491, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-05-03 00:00:00', 0, 4.9968996050000003, -99, 2138, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-05-04 00:00:00', 0, 6.5826444630000003, -99, 2401, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-05-05 00:00:00', 0, 5.8024005890000003, -99, 2203, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-05-06 00:00:00', 0, 5.8395113949999997, -99, 2423, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-05-07 00:00:00', 5.75, 4.3188190459999998, -99, 1282, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-05-08 00:00:00', 6.1999998090000004, 8.2694120410000007, -99, 860, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-05-09 00:00:00', 0.519999981, 7.2142400740000001, -99, 767, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-05-10 00:00:00', 1.769999981, 3.2009534839999998, -99, 1606, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-05-11 00:00:00', 0, 3.3788301939999998, -99, 2084, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-05-12 00:00:00', 0, -1.5934287309999999, -99, 2196, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-05-13 00:00:00', 0.01, 3.7599112990000001, -99, 2063, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-05-14 00:00:00', 0.50999998999999996, 4.2192330360000003, -99, 2156, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-05-15 00:00:00', 1.769999981, 0.49982288499999999, -99, 2236, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-05-16 00:00:00', 0.37000000500000002, 1.738532424, -99, 2423, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-05-17 00:00:00', 6.4600000380000004, -0.65345287299999999, -99, 1652, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-05-18 00:00:00', 0.189999998, 5.2420372960000003, -99, 1634, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-05-19 00:00:00', 2.4500000480000002, 1.816048503, -99, 1415, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-05-20 00:00:00', 1.3200000519999999, 3.5957164760000002, -99, 1778, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-05-21 00:00:00', 0, 0.63601595200000005, -99, 2520, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-05-22 00:00:00', 0, 0.24552211199999999, -99, 2718, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-05-23 00:00:00', 0, 0.96888554100000002, -99, 2830, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-05-24 00:00:00', 0, 7.9188151360000001, -99, 2765, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-05-25 00:00:00', 0, 11.292941089999999, -99, 756, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-05-26 00:00:00', 1.9900000099999999, 9.9090623860000004, -99, 1519, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-05-27 00:00:00', 19.63999939, 5.6544718740000004, -99, 976, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-05-28 00:00:00', 4.1599998469999999, 9.6341371539999994, -99, 2574, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-05-29 00:00:00', 1.4099999670000001, 14.37535095, -99, 868, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-05-30 00:00:00', 0.01, 9.063814163, -99, 1944, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-05-31 00:00:00', 0.87999999500000003, 10.536072730000001, -99, 1876, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-06-01 00:00:00', 4.670000076, 9.2939920429999994, -99, 799, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-06-02 00:00:00', 0, 4.9986815450000002, -99, 2102, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-06-03 00:00:00', 0, 5.1328949929999999, -99, 2401, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-06-04 00:00:00', 0.029999998999999999, 8.0629873280000002, -99, 1703, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-06-05 00:00:00', 7.25, 11.58381367, -99, 1429, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-06-06 00:00:00', 1.1699999569999999, 10.81050301, -99, 1296, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-06-07 00:00:00', 17.409999849999998, 5.1995749470000003, -99, 706, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-06-08 00:00:00', 8.5699996949999999, 7.8327579500000004, -99, 1156, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-06-09 00:00:00', 6.9000000950000002, 9.2376041410000003, -99, 1699, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-06-10 00:00:00', 2.1800000669999999, 8.1712865830000005, -99, 1314, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-06-11 00:00:00', 1.2400000099999999, 8.1764240259999994, -99, 2016, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-06-12 00:00:00', 0.38999998600000002, 5.01928997, -99, 1782, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-06-13 00:00:00', 10.55000019, 7.9948201179999998, -99, 1541, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-06-14 00:00:00', 2.3599998950000001, 11.42060375, -99, 835, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-06-15 00:00:00', 1.2799999710000001, 10.77928638, -99, 680, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-06-16 00:00:00', 2.4400000569999998, 9.9643888470000004, -99, 1145, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-06-17 00:00:00', 2.6600000860000002, 10.266435619999999, -99, 1238, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-06-18 00:00:00', 0.070000000000000007, 11.07834053, -99, 2164, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-06-19 00:00:00', 0, 8.3879327769999996, -99, 2387, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-06-20 00:00:00', 0.540000021, 9.5335187910000005, -99, 1523, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-06-21 00:00:00', 0.83999997400000004, 11.759341239999999, -99, 1584, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-06-22 00:00:00', 0, 8.7112112049999997, -99, 2344, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-06-23 00:00:00', 0.050000001000000002, 8.9953145980000002, -99, 2862, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-06-24 00:00:00', 0, 8.4361085889999998, -99, 2351, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-06-25 00:00:00', 0, 11.20489693, -99, 3110, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-06-26 00:00:00', 0, 12.48547363, -99, 2657, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-06-27 00:00:00', 0, 12.780614849999999, -99, 2876, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-06-28 00:00:00', 0, 11.80818081, -99, 2646, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-06-29 00:00:00', 0, 12.253587720000001, -99, 2678, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-06-30 00:00:00', 0.15000000599999999, 8.9163703919999993, -99, 1930, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-07-01 00:00:00', 0, 8.4687833789999996, -99, 2840, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-07-02 00:00:00', 0.10000000100000001, 6.297664642, -99, 3038, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-07-03 00:00:00', 5.5300002099999999, 9.5065631869999994, -99, 634, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-07-04 00:00:00', 3.2000000480000002, 9.6217193600000002, -99, 1544, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-07-05 00:00:00', 0.14000000100000001, 7.8031778340000004, -99, 1962, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-07-06 00:00:00', 0, 11.640133860000001, -99, 2052, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-07-07 00:00:00', 0, 12.29624081, -99, 2527, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-07-08 00:00:00', 0, 12.963747980000001, -99, 2527, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-07-09 00:00:00', 6.1599998469999999, 11.433103559999999, -99, 2419, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-07-10 00:00:00', 0.47999998900000002, 15.188885689999999, -99, 2560, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-07-11 00:00:00', 0, 11.462484359999999, -99, 3060, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-07-12 00:00:00', 0.029999998999999999, 12.4634409, -99, 2383, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-07-13 00:00:00', 0, 17.489616389999998, -99, 1127, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-07-14 00:00:00', 0, 14.49179268, -99, 1717, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-07-15 00:00:00', 3.0299999710000001, 16.15712929, -99, 1930, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-07-16 00:00:00', 12.44999981, 13.24307632, -99, 1386, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-07-17 00:00:00', 10.170000079999999, 13.193302149999999, -99, 2102, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-07-18 00:00:00', 2.2000000480000002, 13.73312855, -99, 1681, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-07-19 00:00:00', 0, 14.191576960000001, -99, 2005, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-07-20 00:00:00', 0, 12.43876266, -99, 1829, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-07-21 00:00:00', 0, 14.37536716, -99, 2081, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-07-22 00:00:00', 0.15999999600000001, 12.527852060000001, -99, 1969, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-07-23 00:00:00', 0, 9.2222528459999999, -99, 1588, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-07-24 00:00:00', 0, 12.338197709999999, -99, 1872, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-07-25 00:00:00', 0, 7.2706818579999997, -99, 2498, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-07-26 00:00:00', 0, 9.2444763180000002, -99, 2826, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-07-27 00:00:00', 0, 15.79016685, -99, 2084, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-07-28 00:00:00', 0, 16.33780861, -99, 2023, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-07-29 00:00:00', 0, 14.98469734, -99, 2153, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-07-30 00:00:00', 0, 14.08959961, -99, 2570, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-07-31 00:00:00', 0, 14.635512350000001, -99, 2563, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-08-01 00:00:00', 0, 16.341005330000002, -99, 2617, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-08-02 00:00:00', 0, 12.386833190000001, -99, 2336, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-08-03 00:00:00', 0, 13.43878555, -99, 2117, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-08-04 00:00:00', 1.8600000139999999, 7.9679818149999999, -99, 1944, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-08-05 00:00:00', 0, 11.755781170000001, -99, 2308, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-08-06 00:00:00', 0, 13.896139140000001, -99, 2268, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-08-07 00:00:00', 0, 10.489665029999999, -99, 2545, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-08-08 00:00:00', 0, 7.682475567, -99, 2520, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-08-09 00:00:00', 0, 7.2094316479999998, -99, 2358, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-08-10 00:00:00', 0, 8.8511447909999994, -99, 2074, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-08-11 00:00:00', 0, 10.72743225, -99, 2578, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-08-12 00:00:00', 0, 14.2094326, -99, 2498, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-08-13 00:00:00', 0.050000001000000002, 15.66370678, -99, 1562, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-08-14 00:00:00', 0, 10.62654781, -99, 1847, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-08-15 00:00:00', 0, 10.368443490000001, -99, 1451, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-08-16 00:00:00', 0, 9.5185537339999993, -99, 1937, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-08-17 00:00:00', 0, 13.691233629999999, -99, 1912, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-08-18 00:00:00', 0, 12.040160180000001, -99, 2268, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-08-19 00:00:00', 0, 11.987745289999999, -99, 2297, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-08-20 00:00:00', 0, 12.574707979999999, -99, 2027, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-08-21 00:00:00', 0, 12.539354319999999, -99, 1782, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-08-22 00:00:00', 0.039999999000000001, 14.80143166, -99, 1998, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-08-23 00:00:00', 1.210000038, 15.20990372, -99, 1044, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-08-24 00:00:00', 2.4900000100000002, 14.29304028, -99, 2002, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-08-25 00:00:00', 1.4700000289999999, 15.217289920000001, -99, 637, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-08-26 00:00:00', 0.01, 12.95601559, -99, 1728, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-08-27 00:00:00', 0.52999997099999996, 10.39434719, -99, 1541, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-08-28 00:00:00', 0.280000001, 6.3380837440000004, -99, 1814, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-08-29 00:00:00', 0, 7.8387875559999998, -99, 1897, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-08-30 00:00:00', 0, 4.7722506520000003, -99, 1912, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-08-31 00:00:00', 0, 5.3914670940000002, -99, 2020, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-09-01 00:00:00', 0.709999979, 9.9359893800000005, -99, 1300, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-09-02 00:00:00', 0.090000003999999995, 9.5984973910000004, -99, 1483, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-09-03 00:00:00', 8.6700000760000009, 12.247071269999999, -99, 1174, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-09-04 00:00:00', 1.3500000240000001, 12.67961311, -99, 1451, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-09-05 00:00:00', 0.97000002900000004, 8.3429279330000004, -99, 1202, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-09-06 00:00:00', 0.12999999500000001, 10.696253779999999, -99, 1156, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-09-07 00:00:00', 0.310000002, 10.038269039999999, -99, 1706, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-09-08 00:00:00', 0.49000000999999999, 14.755932809999999, -99, 1044, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-09-09 00:00:00', 4.4800000190000002, 15.71439743, -99, 482, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-09-10 00:00:00', 0, 14.488041880000001, -99, 911, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-09-11 00:00:00', 4.4499998090000004, 13.05004692, -99, 360, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-09-12 00:00:00', 0, 13.660590170000001, -99, 1278, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-09-13 00:00:00', 8.8400001530000001, 11.2355938, -99, 875, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-09-14 00:00:00', 1.2000000479999999, 14.49939919, -99, 320, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-09-15 00:00:00', 0.27000001099999998, 9.7320079800000006, -99, 1444, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-09-16 00:00:00', 0.209999993, 10.259513849999999, -99, 1058, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-09-17 00:00:00', 0.46000000800000002, 11.116773609999999, -99, 540, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-09-18 00:00:00', 0.540000021, 11.66961193, -99, 958, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-09-19 00:00:00', 0.20000000300000001, 11.95675945, -99, 583, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-09-20 00:00:00', 0, 8.4804019929999992, -99, 1501, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-09-21 00:00:00', 0, 4.6568756100000002, -99, 1202, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-09-22 00:00:00', 0.090000003999999995, 7.491873741, -99, 1202, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-09-23 00:00:00', 0, 10.1397295, -99, 1357, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-09-24 00:00:00', 0.579999983, 8.8800745009999993, -99, 1044, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-09-25 00:00:00', 5.4000000950000002, 7.6779689790000001, -99, 950, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-09-26 00:00:00', 1.559999943, 11.35483456, -99, 799, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-09-27 00:00:00', 4.7199997900000001, 5.8688292500000001, -99, 587, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-09-28 00:00:00', 2.4100000860000002, 6.512668133, -99, 1058, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-09-29 00:00:00', 1.9299999480000001, 4.5859065059999997, -99, 839, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-09-30 00:00:00', 0.01, 3.0770168299999998, -99, 1159, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-10-01 00:00:00', 0.46000000800000002, -1.827086926, -99, 562, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-10-02 00:00:00', 0, 5.8963170050000002, -99, 1048, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-10-03 00:00:00', 0.80000001200000004, 8.6711502080000002, -99, 1109, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-10-04 00:00:00', 1.5700000519999999, 13.10935211, -99, 745, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-10-05 00:00:00', 3.6400001049999999, 15.22970581, -99, 281, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-10-06 00:00:00', 0.97000002900000004, 9.6490631100000002, -99, 990, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-10-07 00:00:00', 0.47999998900000002, 11.93689537, -99, 461, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-10-08 00:00:00', 0, 14.125615120000001, -99, 716, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-10-09 00:00:00', 0, 11.38812828, -99, 954, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-10-10 00:00:00', 0, 10.263763429999999, -99, 745, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-10-11 00:00:00', 0, 7.0028042790000002, -99, 1048, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-10-12 00:00:00', 0.15000000599999999, 10.038447379999999, -99, 288, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-10-13 00:00:00', 0.039999999000000001, 13.24437618, -99, 310, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-10-14 00:00:00', 0, 13.271075250000001, -99, 522, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-10-15 00:00:00', 0, 12.78740215, -99, 590, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-10-16 00:00:00', 0, 10.544155119999999, -99, 389, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-10-17 00:00:00', 1.6399999860000001, 11.96875477, -99, 274, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-10-18 00:00:00', 0, 9.2717990879999999, -99, 457, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-10-19 00:00:00', 0.64999997600000003, 9.5559597019999991, -99, 245, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-10-20 00:00:00', 0, 9.0500230790000007, -99, 713, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-10-21 00:00:00', 0, 3.940202475, -99, 709, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-10-22 00:00:00', 0, 0.10879299000000001, -99, 443, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-10-23 00:00:00', 0, 3.203399181, -99, 479, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-10-24 00:00:00', 0.75999998999999996, 6.6898374560000002, -99, 558, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-10-25 00:00:00', 0.439999998, 8.4291906359999995, -99, 414, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-10-26 00:00:00', 1.6499999759999999, 7.9862141610000004, -99, 407, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-10-27 00:00:00', 3.369999886, 11.306999210000001, -99, 162, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-10-28 00:00:00', 0.02, 6.4154686930000002, -99, 544, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-10-29 00:00:00', 0, 1.4570271969999999, -99, 540, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-10-30 00:00:00', 0.41999998700000002, 3.1003465650000002, -99, 576, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-10-31 00:00:00', 5.75, 3.020849943, -99, 61, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-11-01 00:00:00', 0.10000000100000001, 6.1014170649999997, -99, 443, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-11-02 00:00:00', 0.37999999499999998, -0.068186671000000004, -99, 209, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-11-03 00:00:00', 0, 3.5665884019999998, -99, 518, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-11-04 00:00:00', 0, -1.9408799409999999, -99, 572, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-11-05 00:00:00', 0.20000000300000001, -6.2836356159999998, -99, 500, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-11-06 00:00:00', 0.33000001299999998, 1.6250085830000001, -99, 223, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-11-07 00:00:00', 0.80000001200000004, 3.2572705750000002, -99, 572, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-11-08 00:00:00', 0.81999999300000004, -0.039907694000000001, -99, 158, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-11-09 00:00:00', 5.920000076, 7.2026872629999996, -99, 410, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-11-10 00:00:00', 0.209999993, 7.1776385310000004, -99, 198, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-11-11 00:00:00', 0.059999998999999998, 6.0682482719999999, -99, 104, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-11-12 00:00:00', 0, 7.5285830499999999, -99, 392, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-11-13 00:00:00', 0, 1.4300915000000001, -99, 497, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-11-14 00:00:00', 0.980000019, -3.6661500930000002, -99, 270, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-11-15 00:00:00', 1.6699999569999999, 1.330691099, -99, 72, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-11-16 00:00:00', 10.170000079999999, 4.6578187939999998, -99, 7, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-11-17 00:00:00', 0.01, -0.426914185, -99, 356, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-11-18 00:00:00', 0.63999998599999997, -4.145224571, -99, 364, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-11-19 00:00:00', 1.6799999480000001, 0.87284374200000003, -99, 353, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-11-20 00:00:00', 0, -6.2053318019999999, -99, 346, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-11-21 00:00:00', 0, -1.137737751, -99, 349, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-11-22 00:00:00', 0.079999998000000003, -3.7023735050000002, -99, 184, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-11-23 00:00:00', 0.10000000100000001, 1.7538548709999999, -99, 256, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-11-24 00:00:00', 0, 8.0443782810000002, -99, 158, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-11-25 00:00:00', 0, 5.7708764080000003, -99, 241, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-11-26 00:00:00', 0, 1.4451987740000001, -99, 277, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-11-27 00:00:00', 0, 1.8688632249999999, -99, 259, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-11-28 00:00:00', 0, 2.262223482, -99, 151, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-11-29 00:00:00', 0, 3.782283783, -99, 184, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-11-30 00:00:00', 0, 1.1194713119999999, -99, 245, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-12-01 00:00:00', 0, -1.016257524, -99, 328, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-12-02 00:00:00', 0, -3.657026052, -99, 194, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-12-03 00:00:00', 0.050000001000000002, -1.218925714, -99, 266, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-12-04 00:00:00', 0.31999999299999998, -0.16799515500000001, -99, 227, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-12-05 00:00:00', 0.14000000100000001, -1.427120924, -99, 216, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-12-06 00:00:00', 0.10000000100000001, 0.097317248999999995, -99, 245, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-12-07 00:00:00', 0.43000000700000002, -1.7306982280000001, -99, 133, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-12-08 00:00:00', 0, -3.71792984, -99, 176, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-12-09 00:00:00', 0, -8.8945112230000003, -99, 212, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-12-10 00:00:00', 0.050000001000000002, -4.4030509000000002, -99, 112, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-12-11 00:00:00', 0, 3.8111176489999998, -99, 263, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-12-12 00:00:00', 1.3400000329999999, 0.417028069, -99, 184, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-12-13 00:00:00', 0.10000000100000001, -1.666044235, -99, 126, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-12-14 00:00:00', 0, -1.4330430030000001, -99, 230, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-12-15 00:00:00', 0, -4.98845005, -99, 216, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-12-16 00:00:00', 0, -3.1376049519999998, -99, 248, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-12-17 00:00:00', 0, -5.2071294779999997, -99, 241, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-12-18 00:00:00', 0, -5.0798926350000002, -99, 234, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-12-19 00:00:00', 0.43000000700000002, -1.877456188, -99, 194, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-12-20 00:00:00', 0, -4.9784684180000003, -99, 202, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-12-21 00:00:00', 0, -11.963376050000001, -99, 144, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-12-22 00:00:00', 7.9400000569999998, -4.2782325739999996, -99, 104, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-12-23 00:00:00', 0.01, -2.1746051309999999, -99, 130, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-12-24 00:00:00', 0, -9.0618467329999994, -99, 220, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-12-25 00:00:00', 0.23000000400000001, -14.39795971, -99, 115, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-12-26 00:00:00', 0, -5.7766981120000001, -99, 234, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-12-27 00:00:00', 0.40999999599999998, -16.402414319999998, -99, 216, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-12-28 00:00:00', 0.01, -5.2385892869999999, -99, 234, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-12-29 00:00:00', 0, -9.6105184559999994, -99, 212, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-12-30 00:00:00', 0, -10.602874760000001, -99, 241, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1995-12-31 00:00:00', 0, -8.5020933149999998, -99, 259, 'ask', 'ask_1995');
INSERT INTO public.cdy_cldat VALUES ('1996-01-01 00:00:00', 0, -4.8350319859999997, -99, 126, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-01-02 00:00:00', 0, -2.094556093, -99, 140, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-01-03 00:00:00', 0, -4.0763087269999998, -99, 162, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-01-04 00:00:00', 0, -7.4051871299999998, -99, 140, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-01-05 00:00:00', 0, -7.6763095860000004, -99, 259, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-01-06 00:00:00', 0.109999999, -3.436401606, -99, 209, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-01-07 00:00:00', 0.560000002, -2.7399752140000002, -99, 40, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-01-08 00:00:00', 0, -0.58954763399999999, -99, 198, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-01-09 00:00:00', 0, 0.311430812, -99, 47, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-01-10 00:00:00', 1.789999962, 0.53450262500000001, -99, 140, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-01-11 00:00:00', 0.039999999000000001, -0.112015635, -99, 191, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-01-12 00:00:00', 0.14000000100000001, -0.27172812800000001, -99, 169, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-01-13 00:00:00', 0, 0.29866880200000001, -99, 320, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-01-14 00:00:00', 0, 0.167209044, -99, 302, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-01-15 00:00:00', 0, -0.82626539499999996, -99, 245, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-01-16 00:00:00', 0, -1.331546903, -99, 266, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-01-17 00:00:00', 0, -1.11920774, -99, 112, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-01-18 00:00:00', 0, -1.4664055110000001, -99, 209, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-01-19 00:00:00', 0, -2.3434653280000002, -99, 202, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-01-20 00:00:00', 0, -1.934293032, -99, 382, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-01-21 00:00:00', 0.15000000599999999, -2.532152414, -99, 245, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-01-22 00:00:00', 0.029999998999999999, -2.1838235859999999, -99, 212, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-01-23 00:00:00', 0, -5.1892805099999997, -99, 353, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-01-24 00:00:00', 0.280000001, -3.547280073, -99, 349, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-01-25 00:00:00', 0.38999998600000002, -4.664773941, -99, 277, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-01-26 00:00:00', 0.109999999, -5.0065517430000002, -99, 356, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-01-27 00:00:00', 0, -3.314570904, -99, 410, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-01-28 00:00:00', 0, -9.8556690220000007, -99, 425, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-01-29 00:00:00', 0, -6.7522015570000002, -99, 446, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-01-30 00:00:00', 0, -6.1890196800000004, -99, 421, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-01-31 00:00:00', 0, -11.57602406, -99, 385, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-02-01 00:00:00', 0, -7.3514847760000004, -99, 482, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-02-02 00:00:00', 0.090000003999999995, -6.2251205440000001, -99, 227, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-02-03 00:00:00', 0, -4.0231776239999997, -99, 277, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-02-04 00:00:00', 0, -9.3159513470000004, -99, 587, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-02-05 00:00:00', 0, -5.0940937999999996, -99, 360, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-02-06 00:00:00', 0, -9.9938087459999991, -99, 637, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-02-07 00:00:00', 0, -8.7620058059999995, -99, 655, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-02-08 00:00:00', 0.050000001000000002, -9.4100904459999999, -99, 475, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-02-09 00:00:00', 0, -9.9935903550000003, -99, 680, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-02-10 00:00:00', 0.090000003999999995, -8.2750778199999999, -99, 306, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-02-11 00:00:00', 2.8099999430000002, -6.832447052, -99, 137, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-02-12 00:00:00', 0.15000000599999999, -3.2045319079999999, -99, 349, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-02-13 00:00:00', 0, -0.39995434899999999, -99, 230, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-02-14 00:00:00', 0, -3.1806936260000001, -99, 662, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-02-15 00:00:00', 1.3899999860000001, -9.2246589659999998, -99, 25, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-02-16 00:00:00', 2.5199999809999998, 1.3079670670000001, -99, 320, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-02-17 00:00:00', 0.64999997600000003, 0.96407550600000003, -99, 648, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-02-18 00:00:00', 5.2699999809999998, -1.494826078, -99, 58, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-02-19 00:00:00', 0.34000000400000002, -3.1234912869999998, -99, 356, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-02-20 00:00:00', 0, -5.72985363, -99, 677, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-02-21 00:00:00', 0.039999999000000001, -7.4631071090000001, -99, 774, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-02-22 00:00:00', 0, -9.481608391, -99, 601, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-02-23 00:00:00', 0, -10.35471725, -99, 652, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-02-24 00:00:00', 1.039999962, -8.1632337570000004, -99, 623, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-02-25 00:00:00', 1.1599999670000001, -3.6553697590000001, -99, 281, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-02-26 00:00:00', 0.88999998599999997, 2.9569327830000001, -99, 259, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-02-27 00:00:00', 0, -0.040769028999999998, -99, 990, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-02-28 00:00:00', 0.540000021, -2.946541071, -99, 648, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-02-29 00:00:00', 0, -3.5919590000000001, -99, 968, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-03-01 00:00:00', 0, -1.3913373950000001, -99, 1148, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-03-02 00:00:00', 0, -3.4188168050000001, -99, 709, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-03-03 00:00:00', 0, -4.9008378979999998, -99, 889, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-03-04 00:00:00', 0, -1.580559373, -99, 378, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-03-05 00:00:00', 0.25999999000000001, -4.5066046709999998, -99, 605, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-03-06 00:00:00', 0, -0.042422239, -99, 1001, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-03-07 00:00:00', 0, -0.238517016, -99, 1105, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-03-08 00:00:00', 0, -2.2049543859999998, -99, 1357, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-03-09 00:00:00', 0, -3.249751329, -99, 1343, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-03-10 00:00:00', 0.039999999000000001, -3.08542037, -99, 1202, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-03-11 00:00:00', 0.039999999000000001, -2.8579490179999998, -99, 1087, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-03-12 00:00:00', 0.10000000100000001, -4.6887297630000004, -99, 932, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-03-13 00:00:00', 0.27000001099999998, -3.029836655, -99, 619, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-03-14 00:00:00', 0.10000000100000001, -1.911364555, -99, 486, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-03-15 00:00:00', 0, -1.2324285509999999, -99, 986, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-03-16 00:00:00', 0, -0.80025553699999996, -99, 608, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-03-17 00:00:00', 0.039999999000000001, -0.46003267199999998, -99, 608, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-03-18 00:00:00', 0, -1.0892694000000001, -99, 727, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-03-19 00:00:00', 0, -1.8678447010000001, -99, 1130, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-03-20 00:00:00', 0, -2.356322289, -99, 918, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-03-21 00:00:00', 0, -2.7089836599999999, -99, 1292, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-03-22 00:00:00', 0, -1.674942851, -99, 965, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-03-23 00:00:00', 1.309999943, -0.81340682499999994, -99, 562, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-03-24 00:00:00', 0, 0.33740893, -99, 1037, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-03-25 00:00:00', 0, -3.2969975470000001, -99, 1213, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-03-26 00:00:00', 0, -1.774804592, -99, 1303, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-03-27 00:00:00', 0.920000017, -5.3019409179999997, -99, 1642, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-03-28 00:00:00', 1.6499999759999999, -0.32972171900000002, -99, 526, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-03-29 00:00:00', 1.5800000430000001, -0.18329805099999999, -99, 738, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-03-30 00:00:00', 0.790000021, -1.401169538, -99, 1019, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-03-31 00:00:00', 1.5800000430000001, -4.3870601650000003, -99, 1483, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-04-01 00:00:00', 0.689999998, -3.6747465130000001, -99, 983, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-04-02 00:00:00', 0.30000001199999998, -3.0181021690000001, -99, 1289, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-04-03 00:00:00', 0, -5.1634240150000004, -99, 1382, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-04-04 00:00:00', 0, -3.205025434, -99, 1908, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-04-05 00:00:00', 0, -2.5234534740000001, -99, 1951, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-04-06 00:00:00', 0, 1.6587452890000001, -99, 1195, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-04-07 00:00:00', 0, 1.257061601, -99, 1508, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-04-08 00:00:00', 0, 1.7030943629999999, -99, 1069, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-04-09 00:00:00', 0.43000000700000002, 1.2615398170000001, -99, 1220, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-04-10 00:00:00', 0.75999998999999996, 4.3939361569999997, -99, 709, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-04-11 00:00:00', 0.689999998, 1.521234035, -99, 1177, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-04-12 00:00:00', 0, -3.7171835899999999, -99, 1728, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-04-13 00:00:00', 0, -1.07728672, -99, 2095, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-04-14 00:00:00', 0, -3.8170430660000001, -99, 2318, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-04-15 00:00:00', 0, -3.5681598189999999, -99, 2056, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-04-16 00:00:00', 0, 1.1620019669999999, -99, 1228, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-04-17 00:00:00', 0, 3.3103306290000001, -99, 2120, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-04-18 00:00:00', 0, 2.7694380280000002, -99, 1937, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-04-19 00:00:00', 0, 4.3305802350000002, -99, 1274, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-04-20 00:00:00', 0, 7.3978242869999997, -99, 1890, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-04-21 00:00:00', 0, 10.73760223, -99, 2009, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-04-22 00:00:00', 0, 8.8385944369999994, -99, 2149, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-04-23 00:00:00', 0.30000001199999998, 12.42211533, -99, 1487, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-04-24 00:00:00', 0.56999999300000004, 6.9576601980000001, -99, 2113, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-04-25 00:00:00', 1.1499999759999999, 5.1680202480000004, -99, 1386, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-04-26 00:00:00', 0.56999999300000004, 5.6668000220000003, -99, 1573, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-04-27 00:00:00', 0, 0.92573624799999998, -99, 1256, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-04-28 00:00:00', 0, 4.5500869750000001, -99, 2113, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-04-29 00:00:00', 0, 0.89352816300000004, -99, 1418, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-04-30 00:00:00', 0, 0.96267372399999995, -99, 2088, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-05-01 00:00:00', 0, 2.8617873189999998, -99, 1800, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-05-02 00:00:00', 3.3599998950000001, 4.3452935220000004, -99, 1429, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-05-03 00:00:00', 0.36000001399999998, 7.637034893, -99, 1206, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-05-04 00:00:00', 1.3799999949999999, 5.8810472489999999, -99, 1512, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-05-05 00:00:00', 0.070000000000000007, 3.9212605950000001, -99, 1660, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-05-06 00:00:00', 0, 3.551757813, -99, 2095, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-05-07 00:00:00', 0, -1.882898688, -99, 2689, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-05-08 00:00:00', 0, 0.111027509, -99, 2513, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-05-09 00:00:00', 0.75999998999999996, 3.407904625, -99, 2120, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-05-10 00:00:00', 1.440000057, 5.5892491340000001, -99, 598, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-05-11 00:00:00', 0.72000002900000004, 4.817940235, -99, 565, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-05-12 00:00:00', 0, 7.5955724719999997, -99, 1688, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-05-13 00:00:00', 0, 6.8384714129999997, -99, 2084, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-05-14 00:00:00', 0, 6.7265648840000001, -99, 2509, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-05-15 00:00:00', 0.33000001299999998, 5.6846446989999997, -99, 2038, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-05-16 00:00:00', 0.33000001299999998, 4.9096469880000004, -99, 1609, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-05-17 00:00:00', 1.5299999710000001, 2.682226896, -99, 508, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-05-18 00:00:00', 0.75999998999999996, 7.4137806890000002, -99, 1390, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-05-19 00:00:00', 1.5299999710000001, 7.9892892839999998, -99, 954, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-05-20 00:00:00', 0.439999998, 6.8565292360000001, -99, 1224, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-05-21 00:00:00', 0, 5.5655698779999998, -99, 2560, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-05-22 00:00:00', 0.689999998, 4.5534067150000004, -99, 2588, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-05-23 00:00:00', 1.2000000479999999, 7.4456491470000001, -99, 911, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-05-24 00:00:00', 9.6700000760000009, 6.1175599099999998, -99, 634, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-05-25 00:00:00', 0.01, 8.9685859679999993, -99, 1750, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-05-26 00:00:00', 0.709999979, 6.1296992299999999, -99, 2131, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-05-27 00:00:00', 0.689999998, 6.645068169, -99, 1296, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-05-28 00:00:00', 0.75999998999999996, 5.5891723630000003, -99, 2650, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-05-29 00:00:00', 0.62999999500000003, 5.7767033579999998, -99, 389, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-05-30 00:00:00', 0.75999998999999996, 9.68710804, -99, 842, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-05-31 00:00:00', 0.070000000000000007, 11.927266120000001, -99, 2959, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-06-01 00:00:00', 0, 6.3523211479999997, -99, 1739, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-06-02 00:00:00', 0.89999997600000003, 4.7659282679999997, -99, 2160, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-06-03 00:00:00', 0, 10.119445799999999, -99, 1714, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-06-04 00:00:00', 0, 8.2040395739999994, -99, 2635, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-06-05 00:00:00', 0, 8.0461616520000003, -99, 2707, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-06-06 00:00:00', 0, 11.627513889999999, -99, 2790, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-06-07 00:00:00', 0, 10.414236069999999, -99, 2851, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-06-08 00:00:00', 0.89999997600000003, 16.654825209999998, -99, 2552, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-06-09 00:00:00', 0.89999997600000003, 14.571587559999999, -99, 1951, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-06-10 00:00:00', 0.83999997400000004, 12.23117828, -99, 2552, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-06-11 00:00:00', 0.83999997400000004, 12.10262489, -99, 1962, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-06-12 00:00:00', 1.289999962, 14.37940311, -99, 1645, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-06-13 00:00:00', 0.83999997400000004, 8.8011093139999996, -99, 2110, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-06-14 00:00:00', 0, 8.1184158330000002, -99, 2905, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-06-15 00:00:00', 0, 4.8237500190000002, -99, 2506, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-06-16 00:00:00', 0.38999998600000002, 10.112544059999999, -99, 1951, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-06-17 00:00:00', 0.439999998, 8.9723329540000005, -99, 1501, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-06-18 00:00:00', 2.8099999430000002, 7.6461009979999996, -99, 1710, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-06-19 00:00:00', 1.6699999569999999, 9.4699192050000001, -99, 1415, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-06-20 00:00:00', 1.8500000240000001, 7.819396019, -99, 1202, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-06-21 00:00:00', 0.38999998600000002, 4.2607417109999997, -99, 1940, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-06-22 00:00:00', 0.38999998600000002, 7.0208616260000003, -99, 990, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-06-23 00:00:00', 0, 9.2845945360000002, -99, 1073, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-06-24 00:00:00', 0.38999998600000002, 7.0978212359999997, -99, 2250, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-06-25 00:00:00', 0, 9.6764001850000003, -99, 1123, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-06-26 00:00:00', 0, 7.9549717900000001, -99, 1267, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-06-27 00:00:00', 0, 10.13298035, -99, 2812, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-06-28 00:00:00', 2.9100000860000002, 7.7463288309999996, -99, 2668, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-06-29 00:00:00', 1.75, 12.17905998, -99, 990, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-06-30 00:00:00', 1.7400000099999999, 9.7592735289999997, -99, 850, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-07-01 00:00:00', 0.730000019, 8.9927663800000008, -99, 1732, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-07-02 00:00:00', 0.790000021, 8.2100763319999999, -99, 2142, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-07-03 00:00:00', 1.5700000519999999, 7.9698815349999999, -99, 1847, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-07-04 00:00:00', 0.62000000499999997, 13.24028206, -99, 1480, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-07-05 00:00:00', 0.28999999199999998, 12.90036488, -99, 1814, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-07-06 00:00:00', 0, 7.6767964360000001, -99, 2326, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-07-07 00:00:00', 1.0800000430000001, 10.24588013, -99, 2387, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-07-08 00:00:00', 0.86000001400000003, 6.4117588999999997, -99, 2106, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-07-09 00:00:00', 0, 10.135849950000001, -99, 1105, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-07-10 00:00:00', 0, 9.4221076969999995, -99, 1962, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-07-11 00:00:00', 0.72000002900000004, 12.68689346, -99, 1534, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-07-12 00:00:00', 0, 11.71741486, -99, 2354, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-07-13 00:00:00', 1.5099999900000001, 5.6629314419999996, -99, 1476, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-07-14 00:00:00', 0.28999999199999998, 14.297528270000001, -99, 2243, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-07-15 00:00:00', 0.28999999199999998, 8.1883802410000008, -99, 1656, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-07-16 00:00:00', 0, 8.7838039400000003, -99, 2826, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-07-17 00:00:00', 0, 8.9314727779999998, -99, 1390, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-07-18 00:00:00', 0, 10.695481300000001, -99, 2434, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-07-19 00:00:00', 0, 5.5907087329999996, -99, 2740, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-07-20 00:00:00', 0, 6.4555158620000004, -99, 2578, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-07-21 00:00:00', 0, 11.89705086, -99, 2448, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-07-22 00:00:00', 0, 8.6299333570000005, -99, 2624, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-07-23 00:00:00', 0, 13.29962158, -99, 2045, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-07-24 00:00:00', 0.730000019, 13.075101849999999, -99, 1303, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-07-25 00:00:00', 0, 13.127266880000001, -99, 2369, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-07-26 00:00:00', 0.77999997099999996, 11.137121199999999, -99, 1627, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-07-27 00:00:00', 0.790000021, 14.81408691, -99, 1127, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-07-28 00:00:00', 0.01, 6.9755477910000003, -99, 2084, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-07-29 00:00:00', 1.5099999900000001, 8.4143104550000007, -99, 875, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-07-30 00:00:00', 0.730000019, 13.25969315, -99, 1152, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-07-31 00:00:00', 1.7999999520000001, 12.034908290000001, -99, 1303, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-08-01 00:00:00', 0.80000001200000004, 10.14583588, -99, 1487, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-08-02 00:00:00', 0.37000000500000002, 11.71094036, -99, 2117, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-08-03 00:00:00', 0, 8.2181091310000003, -99, 2354, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-08-04 00:00:00', 0, 6.4205231669999998, -99, 1980, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-08-05 00:00:00', 0, 10.8321743, -99, 2516, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-08-06 00:00:00', 0.37000000500000002, 12.7016983, -99, 2524, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-08-07 00:00:00', 1.519999981, 15.940050129999999, -99, 677, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-08-08 00:00:00', 0, 11.28959274, -99, 1858, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-08-09 00:00:00', 0, 11.99202442, -99, 1778, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-08-10 00:00:00', 0, 16.545267110000001, -99, 1796, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-08-11 00:00:00', 1.6799999480000001, 16.182739260000002, -99, 1678, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-08-12 00:00:00', 6.25, 17.20444298, -99, 716, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-08-13 00:00:00', 1.230000019, 16.956865310000001, -99, 2387, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-08-14 00:00:00', 0.059999998999999998, 14.73171711, -99, 1192, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-08-15 00:00:00', 0.01, 13.63152695, -99, 2056, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-08-16 00:00:00', 0, 10.80471706, -99, 2192, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-08-17 00:00:00', 0, 11.24782562, -99, 2192, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-08-18 00:00:00', 0, 10.691164970000001, -99, 2171, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-08-19 00:00:00', 0, 14.966578480000001, -99, 2210, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-08-20 00:00:00', 0, 16.303874969999999, -99, 2315, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-08-21 00:00:00', 0, 16.869346620000002, -99, 2282, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-08-22 00:00:00', 0, 16.459667209999999, -99, 1530, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-08-23 00:00:00', 1.480000019, 16.17883492, -99, 1451, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-08-24 00:00:00', 0.81999999300000004, 16.30233192, -99, 1339, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-08-25 00:00:00', 0, 12.779200550000001, -99, 1609, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-08-26 00:00:00', 0.74000001000000004, 12.07150745, -99, 1217, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-08-27 00:00:00', 0.80000001200000004, 8.5498695369999993, -99, 1685, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-08-28 00:00:00', 1.1299999949999999, 13.246047020000001, -99, 803, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-08-29 00:00:00', 0.37999999499999998, 13.16989708, -99, 1343, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-08-30 00:00:00', 1.480000019, 14.427363400000001, -99, 450, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-08-31 00:00:00', 0.37999999499999998, 11.72464085, -99, 976, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-09-01 00:00:00', 0.31999999299999998, 9.8868904109999995, -99, 1184, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-09-02 00:00:00', 0.28999999199999998, 7.4281339649999998, -99, 1584, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-09-03 00:00:00', 0.28999999199999998, 6.2231216429999998, -99, 803, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-09-04 00:00:00', 0, 12.26041603, -99, 1649, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-09-05 00:00:00', 0.070000000000000007, 7.3433518409999996, -99, 1937, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-09-06 00:00:00', 0, 7.2444000239999999, -99, 1519, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-09-07 00:00:00', 0, 5.3627576829999999, -99, 1732, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-09-08 00:00:00', 0, 3.6309280400000001, -99, 1717, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-09-09 00:00:00', 0.310000002, 6.3891630169999996, -99, 1710, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-09-10 00:00:00', 0, 9.7208280560000002, -99, 1364, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-09-11 00:00:00', 2.7300000190000002, 2.2671110630000002, -99, 878, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-09-12 00:00:00', 0.86000001400000003, 9.9337873460000008, -99, 745, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-09-13 00:00:00', 1.8600000139999999, 7.5876297949999998, -99, 878, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-09-14 00:00:00', 0.60000002399999997, 6.3597807880000001, -99, 907, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-09-15 00:00:00', 0, 4.4459395410000004, -99, 1526, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-09-16 00:00:00', 0, 3.611526966, -99, 1706, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-09-17 00:00:00', 0, 5.2151021960000001, -99, 1721, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-09-18 00:00:00', 0, 7.0178556439999999, -99, 1501, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-09-19 00:00:00', 0, 7.964241028, -99, 1411, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-09-20 00:00:00', 0.310000002, 7.8547077180000002, -99, 1195, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-09-21 00:00:00', 0, 7.3778262139999997, -99, 997, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-09-22 00:00:00', 0, 8.0992422099999999, -99, 803, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-09-23 00:00:00', 0, 6.6291623120000001, -99, 1145, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-09-24 00:00:00', 0.38999998600000002, 7.501938343, -99, 860, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-09-25 00:00:00', 0.68000000699999996, 4.1426243779999998, -99, 929, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-09-26 00:00:00', 0.30000001199999998, 9.3196792599999991, -99, 860, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-09-27 00:00:00', 0.68000000699999996, 10.017164230000001, -99, 367, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-09-28 00:00:00', 1.289999962, 9.7955827709999994, -99, 1112, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-09-29 00:00:00', 5.9099998469999999, 10.241539, -99, 241, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-09-30 00:00:00', 0.40999999599999998, 12.13860893, -99, 871, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-10-01 00:00:00', 1.5800000430000001, 9.2853660579999993, -99, 641, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-10-02 00:00:00', 0.69999998799999996, 4.0205783840000002, -99, 1015, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-10-03 00:00:00', 2.5899999139999998, 4.0679984090000003, -99, 587, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-10-04 00:00:00', 2.880000114, 9.0658855440000004, -99, 1084, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-10-05 00:00:00', 1.8600000139999999, 6.7806839940000003, -99, 518, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-10-06 00:00:00', 0.85000002399999997, 2.6623306269999998, -99, 1062, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-10-07 00:00:00', 1.9900000099999999, 7.8060717579999999, -99, 630, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-10-08 00:00:00', 2.880000114, 10.476016039999999, -99, 403, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-10-09 00:00:00', 2.1500000950000002, 10.42338181, -99, 590, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-10-10 00:00:00', 0.60000002399999997, 5.8063101770000003, -99, 763, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-10-11 00:00:00', 0, 2.49612546, -99, 756, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-10-12 00:00:00', 0, 9.0974998469999999, -99, 497, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-10-13 00:00:00', 0, 9.2597265239999995, -99, 709, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-10-14 00:00:00', 0, 8.4598312379999996, -99, 702, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-10-15 00:00:00', 0.69999998799999996, 10.3136034, -99, 511, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-10-16 00:00:00', 6.3000001909999996, 9.4944877620000003, -99, 302, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-10-17 00:00:00', 0, 9.6654577259999996, -99, 648, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-10-18 00:00:00', 0.980000019, 4.3262195590000001, -99, 680, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-10-19 00:00:00', 2.1800000669999999, 7.8749947550000003, -99, 454, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-10-20 00:00:00', 0.86000001400000003, 7.0565252300000001, -99, 623, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-10-21 00:00:00', 1.5900000329999999, 3.429875612, -99, 331, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-10-22 00:00:00', 0, 7.4143719670000001, -99, 720, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-10-23 00:00:00', 0, 0.66957038599999996, -99, 695, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-10-24 00:00:00', 0, 5.6371297839999999, -99, 706, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-10-25 00:00:00', 0.34999999399999998, 6.6320910450000001, -99, 533, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-10-26 00:00:00', 0.219999999, 6.1571240429999996, -99, 414, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-10-27 00:00:00', 13.760000229999999, 6.5742354389999997, -99, 86, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-10-28 00:00:00', 4.8099999430000002, 10.04150486, -99, 194, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-10-29 00:00:00', 15.55000019, 9.8409643169999992, -99, 256, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-10-30 00:00:00', 2.3900001049999999, 7.1998753549999996, -99, 396, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-10-31 00:00:00', 2.7200000289999999, 7.6070122720000004, -99, 187, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-11-01 00:00:00', 0.87000000499999997, 7.6294436450000003, -99, 554, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-11-02 00:00:00', 0, 8.0991363530000005, -99, 320, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-11-03 00:00:00', 2.0699999330000001, 12.502524380000001, -99, 230, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-11-04 00:00:00', 4.3400001530000001, 11.435088159999999, -99, 133, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-11-05 00:00:00', 12.31999969, 10.333559040000001, -99, 198, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-11-06 00:00:00', 5.3699998860000004, 5.9465560909999997, -99, 205, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-11-07 00:00:00', 0.77999997099999996, 6.0099859240000004, -99, 227, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-11-08 00:00:00', 1.5299999710000001, 1.9354311230000001, -99, 475, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-11-09 00:00:00', 2.420000076, 1.8826217649999999, -99, 241, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-11-10 00:00:00', 3.0099999899999998, -1.1145335439999999, -99, 428, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-11-11 00:00:00', 7.9400000569999998, 4.6254348749999998, -99, 184, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-11-12 00:00:00', 0.40000000600000002, 6.7354912760000003, -99, 230, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-11-13 00:00:00', 0, 1.0537987950000001, -99, 364, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-11-14 00:00:00', 0, -3.0579247469999999, -99, 414, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-11-15 00:00:00', 0, -3.2426018710000002, -99, 342, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-11-16 00:00:00', 0, -2.583091021, -99, 274, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-11-17 00:00:00', 1.769999981, 0.76684677599999995, -99, 220, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-11-18 00:00:00', 2.75, 2.352351665, -99, 180, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-11-19 00:00:00', 0.810000002, 3.0381586550000002, -99, 331, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-11-20 00:00:00', 0.23999999499999999, -0.40680140300000001, -99, 130, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-11-21 00:00:00', 3.3900001049999999, 2.0383234020000001, -99, 191, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-11-22 00:00:00', 3.2000000480000002, 0.21208956800000001, -99, 223, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-11-23 00:00:00', 0.050000001000000002, 1.134701848, -99, 187, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-11-24 00:00:00', 0.050000001000000002, -3.0551433559999999, -99, 335, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-11-25 00:00:00', 3.420000076, 0.53621822600000002, -99, 58, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-11-26 00:00:00', 1.1100000139999999, 0.47162997699999998, -99, 7, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-11-27 00:00:00', 0.090000003999999995, 0.49983382199999998, -99, 184, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-11-28 00:00:00', 0, 0.49360480899999998, -99, 220, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-11-29 00:00:00', 2.3599998950000001, -3.9120161530000002, -99, 148, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-11-30 00:00:00', 0.18000000699999999, 0.41649171699999998, -99, 205, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-12-01 00:00:00', 3.8900001049999999, -0.089810743999999998, -99, 79, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-12-02 00:00:00', 3.2300000190000002, 0.75938630100000004, -99, 259, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-12-03 00:00:00', 4.4499998090000004, 3.5467700959999999, -99, 166, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-12-04 00:00:00', 0, 3.6255118849999999, -99, 238, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-12-05 00:00:00', 0.109999999, 2.209294796, -99, 169, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-12-06 00:00:00', 0, 4.028365612, -99, 259, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-12-07 00:00:00', 0, 2.8434884550000001, -99, 274, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-12-08 00:00:00', 0, 1.2420018909999999, -99, 266, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-12-09 00:00:00', 0, -2.1368672850000001, -99, 259, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-12-10 00:00:00', 0.109999999, -0.48817011700000001, -99, 137, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-12-11 00:00:00', 0.25, -0.058766658999999999, -99, 180, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-12-12 00:00:00', 0.15999999600000001, -0.72384989300000002, -99, 230, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-12-13 00:00:00', 0.25, -0.67044556099999997, -99, 241, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-12-14 00:00:00', 4.6599998469999999, -4.7582459449999996, -99, 108, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-12-15 00:00:00', 0, 3.0175170900000001, -99, 238, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-12-16 00:00:00', 0, -5.8791265490000004, -99, 115, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-12-17 00:00:00', 0, 0.937700808, -99, 126, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-12-18 00:00:00', 1.289999962, 2.8618621829999999, -99, 112, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-12-19 00:00:00', 0, -0.43575662399999998, -99, 216, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-12-20 00:00:00', 0, -4.5264697070000004, -99, 256, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-12-21 00:00:00', 0, -8.7330207820000005, -99, 245, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-12-22 00:00:00', 0, -4.7583255769999999, -99, 212, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-12-23 00:00:00', 0, -2.6398022170000002, -99, 252, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-12-24 00:00:00', 0.090000003999999995, -11.367247580000001, -99, 176, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-12-25 00:00:00', 0, -5.5210700040000003, -99, 241, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-12-26 00:00:00', 0, -12.795802119999999, -99, 194, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-12-27 00:00:00', 0, -6.7361512179999998, -99, 126, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-12-28 00:00:00', 0, -12.91016293, -99, 245, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-12-29 00:00:00', 0.090000003999999995, -9.3614435199999999, -99, 112, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-12-30 00:00:00', 0.31999999299999998, -2.4072525499999999, -99, 205, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1996-12-31 00:00:00', 0.039999999000000001, -3.7871911530000002, -99, 256, 'ask', 'ask_1996');
INSERT INTO public.cdy_cldat VALUES ('1997-01-01 00:00:00', 0.40000000600000002, -13.58729267, -99, 198, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-01-02 00:00:00', 0.280000001, -7.0133275990000001, -99, 101, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-01-03 00:00:00', 0, -7.2087049480000003, -99, 227, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-01-04 00:00:00', 0, -5.6228437419999997, -99, 184, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-01-05 00:00:00', 0, -9.5173254010000008, -99, 223, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-01-06 00:00:00', 0, -7.1686921119999996, -99, 158, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-01-07 00:00:00', 0.18000000699999999, -9.2276077270000005, -99, 274, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-01-08 00:00:00', 0.119999997, -3.0046005249999999, -99, 274, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-01-09 00:00:00', 0.090000003999999995, -3.3557183739999998, -99, 227, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-01-10 00:00:00', 0, -8.5596857069999999, -99, 158, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-01-11 00:00:00', 0, -6.1466941830000001, -99, 248, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-01-12 00:00:00', 0.059999998999999998, -7.9503326420000002, -99, 122, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-01-13 00:00:00', 0.059999998999999998, -0.46343547099999999, -99, 137, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-01-14 00:00:00', 0, 2.6478550429999999, -99, 198, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-01-15 00:00:00', 0, -0.55722248600000002, -99, 346, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-01-16 00:00:00', 0, -1.5359191889999999, -99, 209, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-01-17 00:00:00', 0.280000001, -5.6480073930000003, -99, 385, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-01-18 00:00:00', 0.119999997, -2.3574199679999999, -99, 277, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-01-19 00:00:00', 0.109999999, 1.402244568, -99, 302, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-01-20 00:00:00', 0, 0.91072225600000001, -99, 342, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-01-21 00:00:00', 0, -2.664742231, -99, 245, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-01-22 00:00:00', 0.119999997, -0.97751247900000005, -99, 281, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-01-23 00:00:00', 0, 2.884132862, -99, 238, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-01-24 00:00:00', 0.52999997099999996, -1.5683659320000001, -99, 295, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-01-25 00:00:00', 0, 0.14611943099999999, -99, 184, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-01-26 00:00:00', 0, -2.5326776500000001, -99, 504, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-01-27 00:00:00', 0, -6.2041110990000004, -99, 346, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-01-28 00:00:00', 0, -1.6443452839999999, -99, 454, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-01-29 00:00:00', 0.119999997, -0.77272331699999997, -99, 475, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-01-30 00:00:00', 0, 3.123021364, -99, 443, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-01-31 00:00:00', 0, 0.67810237399999995, -99, 540, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-02-01 00:00:00', 0, -6.6310853959999996, -99, 554, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-02-02 00:00:00', 0.039999999000000001, -5.3767261509999997, -99, 443, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-02-03 00:00:00', 0.87999999500000003, -0.040633167999999997, -99, 540, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-02-04 00:00:00', 3.130000114, 0.076032250999999995, -99, 187, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-02-05 00:00:00', 0.01, -0.025283396, -99, 554, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-02-06 00:00:00', 0.039999999000000001, 0.56347042300000005, -99, 144, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-02-07 00:00:00', 2.0499999519999998, 3.2316613200000002, -99, 248, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-02-08 00:00:00', 0, 2.063290834, -99, 551, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-02-09 00:00:00', 0.88999998599999997, 0.96523243199999997, -99, 238, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-02-10 00:00:00', 1.7400000099999999, 2.921427011, -99, 119, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-02-11 00:00:00', 0.519999981, 3.0548570160000001, -99, 353, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-02-12 00:00:00', 7.8400001530000001, 3.3981058599999998, -99, 511, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-02-13 00:00:00', 0.64999997600000003, 4.2239618300000004, -99, 252, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-02-14 00:00:00', 1.440000057, 1.1558278799999999, -99, 392, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-02-15 00:00:00', 0.01, -1.737826943, -99, 317, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-02-16 00:00:00', 0, -6.3425812720000003, -99, 540, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-02-17 00:00:00', 2.420000076, -2.5041511060000001, -99, 389, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-02-18 00:00:00', 4.9499998090000004, 1.4026658540000001, -99, 248, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-02-19 00:00:00', 7.0500001909999996, 2.8269996640000001, -99, 716, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-02-20 00:00:00', 4, 1.48567307, -99, 716, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-02-21 00:00:00', 0, 5.0597615239999998, -99, 644, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-02-22 00:00:00', 0, 3.6502442359999998, -99, 709, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-02-23 00:00:00', 1.309999943, 6.0819654459999999, -99, 439, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-02-24 00:00:00', 4.7100000380000004, 7.6398544309999998, -99, 306, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-02-25 00:00:00', 0, 5.3284959790000004, -99, 655, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-02-26 00:00:00', 0, 2.58930397, -99, 821, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-02-27 00:00:00', 0, -0.47429495999999999, -99, 871, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-02-28 00:00:00', 0.959999979, 3.6260991100000002, -99, 461, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-03-01 00:00:00', 0.050000001000000002, 2.5877497200000001, -99, 724, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-03-02 00:00:00', 1.3300000430000001, 6.9187469479999999, -99, 328, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-03-03 00:00:00', 0, 4.4292273519999998, -99, 828, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-03-04 00:00:00', 0, 1.2332923410000001, -99, 1019, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-03-05 00:00:00', 0.050000001000000002, -1.0123877530000001, -99, 612, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-03-06 00:00:00', 0, 5.1975932120000001, -99, 1166, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-03-07 00:00:00', 0, -1.7489082810000001, -99, 781, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-03-08 00:00:00', 0, 6.087758064, -99, 1004, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-03-09 00:00:00', 0, -3.4123945240000002, -99, 1076, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-03-10 00:00:00', 0.090000003999999995, -2.3894209860000002, -99, 1267, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-03-11 00:00:00', 0.050000001000000002, 1.1939754490000001, -99, 461, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-03-12 00:00:00', 0, 1.6443895100000001, -99, 871, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-03-13 00:00:00', 1.2599999900000001, 3.933363199, -99, 875, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-03-14 00:00:00', 0.80000001200000004, 5.0640287400000004, -99, 421, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-03-15 00:00:00', 1.1399999860000001, 4.5955023769999999, -99, 522, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-03-16 00:00:00', 0.27000001099999998, -2.8227107519999999, -99, 821, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-03-17 00:00:00', 0, -0.78616666800000001, -99, 1483, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-03-18 00:00:00', 7.8400001530000001, -2.1212334629999998, -99, 342, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-03-19 00:00:00', 0.050000001000000002, -0.38712558200000002, -99, 540, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-03-20 00:00:00', 0.469999999, -7.002793789, -99, 515, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-03-21 00:00:00', 0, -0.010908987, -99, 1224, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-03-22 00:00:00', 0, -2.4980821610000001, -99, 1580, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-03-23 00:00:00', 0, -1.2347053290000001, -99, 468, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-03-24 00:00:00', 0, 1.3930432800000001, -99, 893, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-03-25 00:00:00', 0, 0.33883532900000002, -99, 1418, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-03-26 00:00:00', 1.960000038, 0.945010185, -99, 461, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-03-27 00:00:00', 4.3800001139999996, 4.3969883919999999, -99, 1570, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-03-28 00:00:00', 0.15999999600000001, 1.604307532, -99, 1285, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-03-29 00:00:00', 0.02, 3.1854403019999999, -99, 1494, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-03-30 00:00:00', 0, 0.96498238999999997, -99, 1084, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-03-31 00:00:00', 0, 4.0369620319999999, -99, 1426, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-04-01 00:00:00', 0, 3.1952600480000002, -99, 1483, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-04-02 00:00:00', 2.869999886, 4.5887146000000003, -99, 1739, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-04-03 00:00:00', 0.25, 6.8744797709999999, -99, 1145, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-04-04 00:00:00', 0.189999998, -0.20762541900000001, -99, 1742, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-04-05 00:00:00', 1.7999999520000001, 0.86564964099999997, -99, 745, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-04-06 00:00:00', 0, -0.76265174199999997, -99, 1951, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-04-07 00:00:00', 0, -5.7276830670000001, -99, 1656, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-04-08 00:00:00', 0.109999999, 1.954527736, -99, 922, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-04-09 00:00:00', 0, 4.6350140570000002, -99, 1559, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-04-10 00:00:00', 0.070000000000000007, 3.8260366920000002, -99, 745, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-04-11 00:00:00', 0, 4.3101868630000002, -99, 1897, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-04-12 00:00:00', 0.18000000699999999, -1.449860573, -99, 1987, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-04-13 00:00:00', 0.17000000200000001, -2.0077509880000002, -99, 1141, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-04-14 00:00:00', 0, 6.388385296, -99, 1814, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-04-15 00:00:00', 0, -0.98458528499999998, -99, 2246, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-04-16 00:00:00', 0, -3.3485825060000001, -99, 2167, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-04-17 00:00:00', 0, -3.330006123, -99, 2178, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-04-18 00:00:00', 0, 4.2337908740000003, -99, 1336, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-04-19 00:00:00', 0, -0.89874458300000004, -99, 1847, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-04-20 00:00:00', 0, -3.3484530449999999, -99, 2009, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-04-21 00:00:00', 1.6200000050000001, -2.0398948190000001, -99, 922, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-04-22 00:00:00', 0.31999999299999998, 0.89158296599999998, -99, 1926, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-04-23 00:00:00', 6.4400000569999998, -0.80272853399999999, -99, 1822, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-04-24 00:00:00', 6.079999924, 6.0135111810000001, -99, 353, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-04-25 00:00:00', 0.01, 4.5137462619999997, -99, 1681, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-04-26 00:00:00', 0, -1.3477903600000001, -99, 2545, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-04-27 00:00:00', 0.01, 3.700261593, -99, 2074, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-04-28 00:00:00', 2.5099999899999998, 6.5724120140000002, -99, 936, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-04-29 00:00:00', 0.15000000599999999, 7.5075101850000001, -99, 1138, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-04-30 00:00:00', 0, 5.5287852290000004, -99, 2038, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-05-01 00:00:00', 0, 5.8335089680000003, -99, 1991, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-05-02 00:00:00', 0, 8.4426126480000008, -99, 2030, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-05-03 00:00:00', 0, 5.9149074549999998, -99, 1984, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-05-04 00:00:00', 16.200000760000002, 2.9380912779999999, -99, 342, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-05-05 00:00:00', 5.8000001909999996, 9.4763355259999997, -99, 1264, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-05-06 00:00:00', 3.1099998950000001, 6.0341176990000003, -99, 1022, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-05-07 00:00:00', 0.17000000200000001, 1.001206636, -99, 2527, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-05-08 00:00:00', 1.3200000519999999, 1.837394357, -99, 1534, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-05-09 00:00:00', 2.4900000100000002, 5.1635260580000004, -99, 1840, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-05-10 00:00:00', 1.8999999759999999, 6.6925306320000004, -99, 1757, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-05-11 00:00:00', 2.9800000190000002, 7.7628660199999997, -99, 1213, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-05-12 00:00:00', 0.18000000699999999, 9.3045167919999994, -99, 2128, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-05-13 00:00:00', 0, 7.0309944150000003, -99, 2804, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-05-14 00:00:00', 1.230000019, 9.7289857860000009, -99, 1292, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-05-15 00:00:00', 0, 8.8899555209999992, -99, 2768, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-05-16 00:00:00', 0, 7.8915524479999997, -99, 2502, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-05-17 00:00:00', 0.17000000200000001, 11.39509964, -99, 2387, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-05-18 00:00:00', 0, 9.9093637470000004, -99, 2740, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-05-19 00:00:00', 15.130000109999999, 9.4106969829999993, -99, 1436, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-05-20 00:00:00', 4.6399998660000001, 8.3332881929999996, -99, 835, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-05-21 00:00:00', 1.6499999759999999, 5.7543454169999997, -99, 616, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-05-22 00:00:00', 1.190000057, 6.0104775430000004, -99, 1339, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-05-23 00:00:00', 5.25, 5.1889953609999999, -99, 1660, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-05-24 00:00:00', 0, 2.9334888459999999, -99, 2776, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-05-25 00:00:00', 0, 1.89294374, -99, 2110, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-05-26 00:00:00', 9.9799995419999998, 3.8761677739999998, -99, 770, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-05-27 00:00:00', 1.7799999710000001, 8.6448392869999999, -99, 1652, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-05-28 00:00:00', 0, 4.7090563769999996, -99, 2754, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-05-29 00:00:00', 0, 6.8464579580000002, -99, 1901, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-05-30 00:00:00', 0, 3.2738723749999998, -99, 2873, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-05-31 00:00:00', 0, 6.3127484320000002, -99, 2495, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-06-01 00:00:00', 0, 3.6712176799999998, -99, 3154, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-06-02 00:00:00', 0, 5.1750717159999997, -99, 2704, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-06-03 00:00:00', 0.050000001000000002, 6.8491826060000003, -99, 2729, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-06-04 00:00:00', 0, 9.5784940719999998, -99, 1948, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-06-05 00:00:00', 0, 1.4903885130000001, -99, 2887, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-06-06 00:00:00', 0, 12.772316930000001, -99, 2902, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-06-07 00:00:00', 0, 12.539819720000001, -99, 2498, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-06-08 00:00:00', 0.40999999599999998, 13.969324110000001, -99, 2448, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-06-09 00:00:00', 0, 14.118802069999999, -99, 1930, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-06-10 00:00:00', 0, 11.21618557, -99, 3146, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-06-11 00:00:00', 0, 6.9418511389999997, -99, 3110, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-06-12 00:00:00', 0.37999999499999998, 14.1012907, -99, 1303, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-06-13 00:00:00', 4.6900000569999998, 12.6332159, -99, 1868, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-06-14 00:00:00', 0.77999997099999996, 11.58530807, -99, 1624, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-06-15 00:00:00', 0, 12.88815308, -99, 1127, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-06-16 00:00:00', 0, 10.499115939999999, -99, 2092, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-06-17 00:00:00', 0, 6.6594657899999996, -99, 2668, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-06-18 00:00:00', 0, 5.4820318219999997, -99, 2516, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-06-19 00:00:00', 0, 5.5289845470000003, -99, 2812, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-06-20 00:00:00', 2.8599998950000001, 10.656240459999999, -99, 1530, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-06-21 00:00:00', 3.1099998950000001, 10.571396829999999, -99, 756, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-06-22 00:00:00', 1.5800000430000001, 8.8724679949999992, -99, 1958, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-06-23 00:00:00', 2.5699999330000001, 10.1926136, -99, 2023, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-06-24 00:00:00', 0.059999998999999998, 9.8340349200000006, -99, 814, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-06-25 00:00:00', 0, 9.8866472240000007, -99, 2092, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-06-26 00:00:00', 3.8199999330000001, 9.1016635889999993, -99, 1753, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-06-27 00:00:00', 0.059999998999999998, 11.72021389, -99, 1840, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-06-28 00:00:00', 0.579999983, 13.892180440000001, -99, 2578, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-06-29 00:00:00', 0.14000000100000001, 11.403344150000001, -99, 2725, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-06-30 00:00:00', 0.980000019, 16.689989090000001, -99, 1559, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-07-01 00:00:00', 0, 12.28654766, -99, 2243, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-07-02 00:00:00', 0.83999997400000004, 11.689009670000001, -99, 2556, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-07-03 00:00:00', 1.4700000289999999, 15.285413739999999, -99, 2171, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-07-04 00:00:00', 3.0599999430000002, 12.555644989999999, -99, 1980, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-07-05 00:00:00', 0, 9.9025201799999998, -99, 2228, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-07-06 00:00:00', 0, 8.0167331700000002, -99, 1994, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-07-07 00:00:00', 0, 12.332966799999999, -99, 2642, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-07-08 00:00:00', 0, 11.696697240000001, -99, 2927, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-07-09 00:00:00', 0, 8.1859645840000006, -99, 3010, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-07-10 00:00:00', 0, 8.6179447170000003, -99, 2732, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-07-11 00:00:00', 0, 10.68365288, -99, 2642, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-07-12 00:00:00', 0, 10.65614223, -99, 2686, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-07-13 00:00:00', 0, 11.574707030000001, -99, 2358, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-07-14 00:00:00', 0, 14.94756508, -99, 1354, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-07-15 00:00:00', 0, 13.955863000000001, -99, 1782, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-07-16 00:00:00', 0.769999981, 12.3131485, -99, 1703, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-07-17 00:00:00', 3.0699999330000001, 14.801181789999999, -99, 680, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-07-18 00:00:00', 0.18000000699999999, 14.32435226, -99, 2772, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-07-19 00:00:00', 0.17000000200000001, 12.69419003, -99, 1937, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-07-20 00:00:00', 0.40999999599999998, 13.177880289999999, -99, 2408, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-07-21 00:00:00', 0, 15.808444980000001, -99, 1105, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-07-22 00:00:00', 0, 13.68425465, -99, 1991, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-07-23 00:00:00', 0.119999997, 13.307749749999999, -99, 2218, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-07-24 00:00:00', 0, 15.399603839999999, -99, 2261, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-07-25 00:00:00', 0, 15.07967949, -99, 1289, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-07-26 00:00:00', 10.05000019, 13.903993610000001, -99, 1696, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-07-27 00:00:00', 2.9000000950000002, 12.64843655, -99, 1177, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-07-28 00:00:00', 5.6900000569999998, 12.886624339999999, -99, 1724, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-07-29 00:00:00', 0, 11.05739307, -99, 2286, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-07-30 00:00:00', 4.0999999049999998, 10.048951150000001, -99, 1289, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-07-31 00:00:00', 0.560000002, 13.0146122, -99, 1807, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-08-01 00:00:00', 0, 9.9831838610000005, -99, 2088, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-08-02 00:00:00', 0, 12.272769930000001, -99, 1217, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-08-03 00:00:00', 0, 15.147328379999999, -99, 2088, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-08-04 00:00:00', 0, 10.02162933, -99, 2372, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-08-05 00:00:00', 0, 11.25520611, -99, 2596, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-08-06 00:00:00', 0, 13.915446279999999, -99, 2444, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-08-07 00:00:00', 0, 13.53521538, -99, 2596, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-08-08 00:00:00', 0, 15.23845577, -99, 2444, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-08-09 00:00:00', 0, 17.159166339999999, -99, 2347, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-08-10 00:00:00', 0, 15.35370255, -99, 2250, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-08-11 00:00:00', 0, 17.396881100000002, -99, 2462, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-08-12 00:00:00', 0, 17.68868256, -99, 2491, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-08-13 00:00:00', 0, 15.663850780000001, -99, 2380, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-08-14 00:00:00', 0, 14.87495708, -99, 2153, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-08-15 00:00:00', 0, 14.01949978, -99, 2081, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-08-16 00:00:00', 0, 12.64473724, -99, 1832, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-08-17 00:00:00', 0, 12.78050232, -99, 1948, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-08-18 00:00:00', 0.14000000100000001, 16.23552132, -99, 1782, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-08-19 00:00:00', 0, 14.00011063, -99, 2088, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-08-20 00:00:00', 0, 16.095783229999999, -99, 2268, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-08-21 00:00:00', 0, 17.54389381, -99, 2250, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-08-22 00:00:00', 0.23999999499999999, 17.40774536, -99, 817, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-08-23 00:00:00', 0, 11.341746329999999, -99, 1688, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-08-24 00:00:00', 1, 18.90258408, -99, 1249, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-08-25 00:00:00', 7.0900001530000001, 18.420825959999998, -99, 1379, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-08-26 00:00:00', 0.670000017, 18.72509956, -99, 1350, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-08-27 00:00:00', 2.8599998950000001, 15.0398035, -99, 1483, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-08-28 00:00:00', 9.4399995800000003, 19.23935127, -99, 698, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-08-29 00:00:00', 0.119999997, 14.22985649, -99, 958, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-08-30 00:00:00', 0.050000001000000002, 12.50401974, -99, 1300, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-08-31 00:00:00', 0, 16.034667970000001, -99, 1577, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-09-01 00:00:00', 2.380000114, 14.63382339, -99, 1433, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-09-02 00:00:00', 0.050000001000000002, 15.280424119999999, -99, 875, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-09-03 00:00:00', 1.190000057, 8.9458465579999995, -99, 1948, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-09-04 00:00:00', 5.420000076, 13.13072968, -99, 626, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-09-05 00:00:00', 0.01, 12.197380069999999, -99, 1264, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-09-06 00:00:00', 1.8700000050000001, 11.527945519999999, -99, 1094, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-09-07 00:00:00', 1.0499999520000001, 12.36136436, -99, 1433, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-09-08 00:00:00', 0.560000002, 13.513137820000001, -99, 911, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-09-09 00:00:00', 0.41999998700000002, 12.666657450000001, -99, 1408, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-09-10 00:00:00', 0, 10.28684902, -99, 1224, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-09-11 00:00:00', 0.77999997099999996, 9.5078687669999997, -99, 1217, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-09-12 00:00:00', 3, 12.86021805, -99, 918, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-09-13 00:00:00', 2.3900001049999999, 9.3488054280000004, -99, 1116, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-09-14 00:00:00', 0.86000001400000003, 7.0068321229999997, -99, 1195, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-09-15 00:00:00', 0.38999998600000002, 9.0293512339999999, -99, 691, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-09-16 00:00:00', 0.23000000400000001, 13.311671260000001, -99, 770, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-09-17 00:00:00', 0.079999998000000003, 14.09548187, -99, 1310, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-09-18 00:00:00', 0, 5.5844421390000001, -99, 1170, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-09-19 00:00:00', 0, 3.0072386259999999, -99, 1490, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-09-20 00:00:00', 0, 4.6492624280000001, -99, 1339, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-09-21 00:00:00', 0, 6.6609587670000003, -99, 1001, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-09-22 00:00:00', 0, 7.9056363110000003, -99, 810, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-09-23 00:00:00', 0, 9.0055742260000002, -99, 472, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-09-24 00:00:00', 0, 4.4389543529999997, -99, 1253, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-09-25 00:00:00', 0, 5.5952010149999998, -99, 644, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-09-26 00:00:00', 0, 11.309511179999999, -99, 1008, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-09-27 00:00:00', 0, 7.3054981229999996, -99, 1152, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-09-28 00:00:00', 0, 2.7407188420000002, -99, 1368, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-09-29 00:00:00', 0.079999998000000003, 5.9785594939999998, -99, 554, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-09-30 00:00:00', 0, 10.13762665, -99, 1105, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-10-01 00:00:00', 1.0099999900000001, 4.9797644620000003, -99, 353, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-10-02 00:00:00', 0.039999999000000001, 9.1510982510000005, -99, 731, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-10-03 00:00:00', 0.36000001399999998, 5.8497996329999999, -99, 670, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-10-04 00:00:00', 0.119999997, 11.876135830000001, -99, 691, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-10-05 00:00:00', 0.44999998800000002, 13.582804680000001, -99, 536, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-10-06 00:00:00', 0.86000001400000003, 13.009820940000001, -99, 619, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-10-07 00:00:00', 0.74000001000000004, 10.519436839999999, -99, 317, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-10-08 00:00:00', 6.0999999049999998, 10.5369463, -99, 680, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-10-09 00:00:00', 12.47000027, 12.8535223, -99, 655, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-10-10 00:00:00', 8.8699998860000004, 9.4258136750000006, -99, 580, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-10-11 00:00:00', 0.28999999199999998, 9.0081195829999992, -99, 623, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-10-12 00:00:00', 1.8500000240000001, 2.7381012440000001, -99, 709, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-10-13 00:00:00', 0.40000000600000002, 6.1458826069999999, -99, 666, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-10-14 00:00:00', 0.47999998900000002, 1.2980892660000001, -99, 760, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-10-15 00:00:00', 0, 2.5954871179999999, -99, 889, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-10-16 00:00:00', 0.37999999499999998, -1.6936279540000001, -99, 785, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-10-17 00:00:00', 0.68000000699999996, 4.3380069729999997, -99, 266, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-10-18 00:00:00', 0, 8.7509737009999995, -99, 475, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-10-19 00:00:00', 0.079999998000000003, 11.99689388, -99, 277, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-10-20 00:00:00', 0, 2.735161781, -99, 666, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-10-21 00:00:00', 0.689999998, -3.9919152260000001, -99, 576, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-10-22 00:00:00', 0.30000001199999998, 4.876492023, -99, 526, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-10-23 00:00:00', 0.47999998900000002, 3.2004003519999999, -99, 616, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-10-24 00:00:00', 5.4699997900000001, -2.1280565259999999, -99, 673, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-10-25 00:00:00', 0.01, 0.85271257199999995, -99, 562, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-10-26 00:00:00', 0, -2.9193761349999998, -99, 702, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-10-27 00:00:00', 0, -5.7816967960000003, -99, 738, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-10-28 00:00:00', 0.81999999300000004, -6.3738932610000001, -99, 292, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-10-29 00:00:00', 0, 6.336905003, -99, 418, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-10-30 00:00:00', 0, 3.6298592090000001, -99, 605, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-10-31 00:00:00', 0, -3.0111870770000002, -99, 583, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-11-01 00:00:00', 0.37999999499999998, -0.59282833300000004, -99, 245, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-11-02 00:00:00', 0, 7.8478727340000001, -99, 608, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-11-03 00:00:00', 0, 1.4416075939999999, -99, 623, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-11-04 00:00:00', 0, -1.9081199170000001, -99, 551, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-11-05 00:00:00', 2.4500000480000002, 1.4198616740000001, -99, 97, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-11-06 00:00:00', 4.1799998279999997, 4.1024384500000002, -99, 169, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-11-07 00:00:00', 0.670000017, 7.4828848839999997, -99, 122, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-11-08 00:00:00', 0.730000019, 7.3392233850000004, -99, 439, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-11-09 00:00:00', 0, 5.8273420329999999, -99, 270, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-11-10 00:00:00', 1.1699999569999999, 4.4081707000000003, -99, 238, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-11-11 00:00:00', 0.10000000100000001, 6.3518590929999998, -99, 216, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-11-12 00:00:00', 0.43000000700000002, 4.9572768209999998, -99, 216, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-11-13 00:00:00', 0.119999997, 5.103497505, -99, 310, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-11-14 00:00:00', 2.8199999330000001, 3.001868725, -99, 212, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-11-15 00:00:00', 0.01, 4.7765417100000001, -99, 338, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-11-16 00:00:00', 0, 5.7285118099999996, -99, 230, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-11-17 00:00:00', 0, 2.31273675, -99, 191, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-11-18 00:00:00', 0, 5.08142519, -99, 320, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-11-19 00:00:00', 0.10000000100000001, -0.496941507, -99, 400, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-11-20 00:00:00', 0, 1.846349239, -99, 162, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-11-21 00:00:00', 0.10000000100000001, 1.088993192, -99, 158, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-11-22 00:00:00', 0.5, 3.5563340189999999, -99, 184, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-11-23 00:00:00', 0, 2.467787027, -99, 180, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-11-24 00:00:00', 0, -0.415587068, -99, 180, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-11-25 00:00:00', 0, 0.18789346500000001, -99, 122, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-11-26 00:00:00', 0, 0.68029946100000005, -99, 205, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-11-27 00:00:00', 0, -0.52546066000000002, -99, 173, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-11-28 00:00:00', 0.52999997099999996, 1.0635625120000001, -99, 115, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-11-29 00:00:00', 1.9900000099999999, 1.3506531719999999, -99, 101, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-11-30 00:00:00', 2.0899999139999998, 3.5635876660000001, -99, 119, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-12-01 00:00:00', 0, -1.8967961069999999, -99, 317, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-12-02 00:00:00', 0.079999998000000003, -4.0271639820000003, -99, 295, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-12-03 00:00:00', 0, -2.6845767500000002, -99, 130, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-12-04 00:00:00', 0.039999999000000001, -1.347208738, -99, 274, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-12-05 00:00:00', 0.039999999000000001, -2.46557045, -99, 234, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-12-06 00:00:00', 3.9500000480000002, 2.8020901679999999, -99, 11, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-12-07 00:00:00', 0.01, 6.2879958150000004, -99, 137, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-12-08 00:00:00', 0.25, 1.2922741170000001, -99, 194, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-12-09 00:00:00', 4.5900001530000001, 4.248260975, -99, 212, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-12-10 00:00:00', 9.1800003050000001, 6.8781442640000003, -99, 104, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-12-11 00:00:00', 0.87999999500000003, 7.4630341529999997, -99, 212, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-12-12 00:00:00', 0.050000001000000002, 4.7769818309999996, -99, 108, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-12-13 00:00:00', 0.469999999, 3.9505298139999998, -99, 223, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-12-14 00:00:00', 0.079999998000000003, 2.0893936160000002, -99, 234, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-12-15 00:00:00', 0, 0.98748964100000003, -99, 148, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-12-16 00:00:00', 0, -1.5102406740000001, -99, 266, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-12-17 00:00:00', 0, -4.2227334980000002, -99, 263, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-12-18 00:00:00', 0, -4.029525757, -99, 234, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-12-19 00:00:00', 0.039999999000000001, -2.3686583040000002, -99, 104, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-12-20 00:00:00', 0, -0.48754408999999999, -99, 230, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-12-21 00:00:00', 0, 0.096478827000000003, -99, 104, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-12-22 00:00:00', 0.090000003999999995, -1.530630827, -99, 119, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-12-23 00:00:00', 2.5099999899999998, -0.25080344100000002, -99, 122, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-12-24 00:00:00', 3.3499999049999998, -0.0072992070000000003, -99, 151, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-12-25 00:00:00', 5.4499998090000004, 4.5906929969999997, -99, 223, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-12-26 00:00:00', 1.2000000479999999, 6.0226998329999999, -99, 108, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-12-27 00:00:00', 0.090000003999999995, 2.7297766210000001, -99, 151, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-12-28 00:00:00', 0.56999999300000004, -0.33035108400000002, -99, 169, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-12-29 00:00:00', 0.37999999499999998, 2.6673622130000001, -99, 238, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-12-30 00:00:00', 0.74000001000000004, 1.5234543089999999, -99, 151, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1997-12-31 00:00:00', 0.87999999500000003, 3.099927664, -99, 112, 'ask', 'ask_1997');
INSERT INTO public.cdy_cldat VALUES ('1998-01-01 00:00:00', 0.75999998999999996, 3.2226192949999999, -99, 191, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-01-02 00:00:00', 0.93000000699999996, 3.2217512130000001, -99, 184, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-01-03 00:00:00', 9.5200004580000002, 4.6557679179999996, -99, 115, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-01-04 00:00:00', 2.670000076, 3.884883404, -99, 227, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-01-05 00:00:00', 0.980000019, 2.4236056800000001, -99, 194, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-01-06 00:00:00', 4.3200001720000003, 1.2536958460000001, -99, 220, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-01-07 00:00:00', 6.2699999809999998, 1.503316522, -99, 151, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-01-08 00:00:00', 1.190000057, 3.7842619420000001, -99, 212, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-01-09 00:00:00', 2.6900000569999998, 1.654996395, -99, 94, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-01-10 00:00:00', 0.01, 6.5546307559999999, -99, 241, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-01-11 00:00:00', 0, 5.2975940699999997, -99, 137, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-01-12 00:00:00', 0, 2.498636007, -99, 169, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-01-13 00:00:00', 0, 3.7776911260000001, -99, 299, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-01-14 00:00:00', 4.8000001909999996, 1.6771718259999999, -99, 238, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-01-15 00:00:00', 1.730000019, 4.8104519840000002, -99, 191, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-01-16 00:00:00', 1.2400000099999999, 5.1182818409999999, -99, 173, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-01-17 00:00:00', 4.1300001139999996, 3.332829952, -99, 252, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-01-18 00:00:00', 1.9500000479999999, 1.6902496810000001, -99, 162, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-01-19 00:00:00', 2.460000038, 2.1292622090000002, -99, 133, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-01-20 00:00:00', 0, 0.62648391699999995, -99, 119, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-01-21 00:00:00', 0, -2.899950027, -99, 356, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-01-22 00:00:00', 0, -7.3093156810000002, -99, 223, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-01-23 00:00:00', 1.0299999710000001, -5.7992029189999998, -99, 220, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-01-24 00:00:00', 0, 0.52895969200000004, -99, 346, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-01-25 00:00:00', 0, -4.4243302350000002, -99, 443, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-01-26 00:00:00', 0, -4.1651339529999998, -99, 302, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-01-27 00:00:00', 0.079999998000000003, -1.522630572, -99, 238, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-01-28 00:00:00', 0, 0.20764470099999999, -99, 295, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-01-29 00:00:00', 0.40999999599999998, -4.7126793859999996, -99, 436, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-01-30 00:00:00', 0.119999997, -0.60081160099999997, -99, 443, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-01-31 00:00:00', 0, -6.3141670230000004, -99, 511, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-02-01 00:00:00', 0.280000001, -11.181654930000001, -99, 338, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-02-02 00:00:00', 2.5899999139999998, -5.9805707930000001, -99, 130, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-02-03 00:00:00', 0.730000019, -3.5938353539999999, -99, 439, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-02-04 00:00:00', 1.8400000329999999, 0.29992359899999999, -99, 155, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-02-05 00:00:00', 0, 1.911070466, -99, 284, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-02-06 00:00:00', 0.039999999000000001, 3.957118511, -99, 270, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-02-07 00:00:00', 1.4199999569999999, 3.619262457, -99, 115, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-02-08 00:00:00', 0.14000000100000001, 1.3165693279999999, -99, 324, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-02-09 00:00:00', 0.090000003999999995, 4.3642749790000002, -99, 364, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-02-10 00:00:00', 1.3300000430000001, 4.9799432750000001, -99, 457, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-02-11 00:00:00', 7.5700001720000003, 4.7949719430000002, -99, 187, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-02-12 00:00:00', 2.0599999430000002, 6.835859299, -99, 248, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-02-13 00:00:00', 0.64999997600000003, 6.6045055389999998, -99, 184, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-02-14 00:00:00', 3.6900000569999998, 6.7953391080000003, -99, 580, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-02-15 00:00:00', 0.219999999, 7.0500750539999997, -99, 349, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-02-16 00:00:00', 3.210000038, 5.3780961039999999, -99, 295, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-02-17 00:00:00', 0.18000000699999999, -1.9774214029999999, -99, 331, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-02-18 00:00:00', 0.01, 5.0690760609999996, -99, 544, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-02-19 00:00:00', 0, 4.1517486569999997, -99, 428, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-02-20 00:00:00', 0, 5.447612286, -99, 270, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-02-21 00:00:00', 6.7100000380000004, 5.3161940569999997, -99, 407, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-02-22 00:00:00', 0.01, 5.6096024509999998, -99, 518, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-02-23 00:00:00', 0.75999998999999996, 1.9271650309999999, -99, 428, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-02-24 00:00:00', 0.12999999500000001, 6.6701331140000004, -99, 518, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-02-25 00:00:00', 0, 6.1725540160000003, -99, 673, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-02-26 00:00:00', 0.14000000100000001, 5.7226071359999997, -99, 511, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-02-27 00:00:00', 1.440000057, 5.9137635230000001, -99, 342, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-02-28 00:00:00', 0.209999993, 1.7911448480000001, -99, 878, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-03-01 00:00:00', 3.380000114, -1.1042450669999999, -99, 558, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-03-02 00:00:00', 3.670000076, -3.6784193520000001, -99, 875, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-03-03 00:00:00', 7.7199997900000001, 3.7188005450000001, -99, 281, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-03-04 00:00:00', 2, 5.7513618470000001, -99, 562, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-03-05 00:00:00', 7.1500000950000002, 2.743800163, -99, 680, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-03-06 00:00:00', 4.1300001139999996, -1.093629956, -99, 1116, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-03-07 00:00:00', 5.5399999619999996, 3.8391461370000002, -99, 205, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-03-08 00:00:00', 0.029999998999999999, -1.361874461, -99, 1044, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-03-09 00:00:00', 0, -8.7363052369999998, -99, 1084, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-03-10 00:00:00', 0, -8.2651834490000002, -99, 796, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-03-11 00:00:00', 0.27000001099999998, 0.78606015399999996, -99, 655, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-03-12 00:00:00', 0.18000000699999999, -0.115282431, -99, 1426, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-03-13 00:00:00', 0, -2.8488438129999998, -99, 760, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-03-14 00:00:00', 0.36000001399999998, 0.51638764100000001, -99, 1008, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-03-15 00:00:00', 0.15000000599999999, 3.1220705510000002, -99, 868, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-03-16 00:00:00', 0.27000001099999998, 5.9603214260000001, -99, 788, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-03-17 00:00:00', 0.090000003999999995, 5.759428024, -99, 792, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-03-18 00:00:00', 0.27000001099999998, 5.0362639429999998, -99, 1206, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-03-19 00:00:00', 0.090000003999999995, 0.10398495200000001, -99, 1166, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-03-20 00:00:00', 0.12999999500000001, 0.52253234400000004, -99, 1206, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-03-21 00:00:00', 0.090000003999999995, -4.1112923620000004, -99, 1393, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-03-22 00:00:00', 0, 2.314864874, -99, 911, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-03-23 00:00:00', 0, 0.042154892999999999, -99, 1526, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-03-24 00:00:00', 0, -2.4339370730000001, -99, 1400, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-03-25 00:00:00', 0, 0.10043107699999999, -99, 1282, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-03-26 00:00:00', 1.4900000099999999, 1.3983396290000001, -99, 1382, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-03-27 00:00:00', 0.01, 4.5769424440000002, -99, 1346, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-03-28 00:00:00', 0.939999998, 2.9328076840000001, -99, 619, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-03-29 00:00:00', 0.01, 7.4426259989999997, -99, 1393, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-03-30 00:00:00', 0, 6.0902590749999996, -99, 1130, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-03-31 00:00:00', 0.039999999000000001, 7.849714756, -99, 932, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-04-01 00:00:00', 0.66000002599999996, 6.2081389429999998, -99, 709, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-04-02 00:00:00', 5.0999999049999998, 0.93904977999999995, -99, 569, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-04-03 00:00:00', 19.659999849999998, -0.16539785300000001, -99, 248, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-04-04 00:00:00', 4.1399998660000001, 4.640314579, -99, 857, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-04-05 00:00:00', 3.4500000480000002, 7.3121643069999998, -99, 835, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-04-06 00:00:00', 4.3800001139999996, 5.1669883729999997, -99, 1066, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-04-07 00:00:00', 1.2200000289999999, 4.4059743879999997, -99, 1235, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-04-08 00:00:00', 0.34000000400000002, 4.6110877989999999, -99, 781, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-04-09 00:00:00', 0.109999999, 3.4642083640000001, -99, 590, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-04-10 00:00:00', 0.079999998000000003, 3.5729882719999999, -99, 850, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-04-11 00:00:00', 3.039999962, 4.6983475690000001, -99, 821, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-04-12 00:00:00', 0.20000000300000001, 4.3881802560000001, -99, 914, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-04-13 00:00:00', 4.0399999619999996, 2.2856543060000001, -99, 1328, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-04-14 00:00:00', 4.5100002290000001, -0.057975322000000003, -99, 1400, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-04-15 00:00:00', 9.1599998469999999, -0.23827409699999999, -99, 1645, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-04-16 00:00:00', 0.090000003999999995, 5.3998441699999997, -99, 947, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-04-17 00:00:00', 0, 0.988635182, -99, 1739, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-04-18 00:00:00', 0, 1.389358163, -99, 1674, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-04-19 00:00:00', 0, 0.25489255799999999, -99, 1721, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-04-20 00:00:00', 4.5500001909999996, -1.016586065, -99, 1350, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-04-21 00:00:00', 8, 7.1766800880000003, -99, 1523, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-04-22 00:00:00', 0, 5.0229640010000001, -99, 1681, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-04-23 00:00:00', 0.119999997, 5.7933578490000004, -99, 1969, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-04-24 00:00:00', 0.87000000499999997, 7.7065529819999998, -99, 918, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-04-25 00:00:00', 3.4100000860000002, 7.9918155669999997, -99, 1102, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-04-26 00:00:00', 2.5, 7.7595601079999996, -99, 1822, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-04-27 00:00:00', 1.9299999480000001, 8.4320230479999996, -99, 1098, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-04-28 00:00:00', 3.4000000950000002, 7.5614590640000001, -99, 1534, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-04-29 00:00:00', 4.5300002099999999, 6.8430190089999998, -99, 842, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-04-30 00:00:00', 0.01, 8.3342084879999998, -99, 1670, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-05-01 00:00:00', 0, 10.05172443, -99, 2264, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-05-02 00:00:00', 0.34000000400000002, 7.7381720539999996, -99, 1976, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-05-03 00:00:00', 0.23000000400000001, 8.2276630399999995, -99, 2362, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-05-04 00:00:00', 0, 4.1553387639999997, -99, 2682, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-05-05 00:00:00', 3.7699999809999998, 6.5492806430000003, -99, 1562, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-05-06 00:00:00', 0.790000021, 6.1994714740000001, -99, 1343, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-05-07 00:00:00', 0.41999998700000002, 6.3080916399999998, -99, 947, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-05-08 00:00:00', 0, 10.99732399, -99, 2390, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-05-09 00:00:00', 0, 9.4316024780000003, -99, 2354, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-05-10 00:00:00', 0.039999999000000001, 10.344403270000001, -99, 2441, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-05-11 00:00:00', 1.190000057, 10.431242940000001, -99, 1872, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-05-12 00:00:00', 0.070000000000000007, 10.27657986, -99, 1814, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-05-13 00:00:00', 0.01, 8.0705385209999996, -99, 2819, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-05-14 00:00:00', 0, 6.1290464399999998, -99, 2848, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-05-15 00:00:00', 0, 5.3042197230000001, -99, 2869, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-05-16 00:00:00', 0, 5.0205073359999997, -99, 2725, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-05-17 00:00:00', 0, 6.1151037219999997, -99, 2862, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-05-18 00:00:00', 0, 6.2481179239999998, -99, 2783, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-05-19 00:00:00', 0, 6.8243107800000002, -99, 1836, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-05-20 00:00:00', 1.1200000050000001, 6.4533963200000004, -99, 2408, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-05-21 00:00:00', 0.28999999199999998, 4.5646862979999998, -99, 1944, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-05-22 00:00:00', 0, 2.8727316859999998, -99, 2524, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-05-23 00:00:00', 0, 2.13715601, -99, 1688, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-05-24 00:00:00', 0.079999998000000003, 8.8239936829999994, -99, 943, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-05-25 00:00:00', 0.31999999299999998, 8.5070447920000003, -99, 1404, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-05-26 00:00:00', 0.070000000000000007, 8.5238027570000003, -99, 1609, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-05-27 00:00:00', 0.059999998999999998, 8.8273525240000001, -99, 2027, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-05-28 00:00:00', 0.090000003999999995, 10.89438629, -99, 2084, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-05-29 00:00:00', 0, 12.651140209999999, -99, 2768, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-05-30 00:00:00', 0, 11.865592960000001, -99, 2614, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-05-31 00:00:00', 0, 11.03732872, -99, 1256, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-06-01 00:00:00', 0, 11.58726311, -99, 961, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-06-02 00:00:00', 0.23999999499999999, 10.929142000000001, -99, 2246, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-06-03 00:00:00', 0.25, 13.678621290000001, -99, 2279, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-06-04 00:00:00', 0, 11.19861126, -99, 2488, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-06-05 00:00:00', 0, 3.578739643, -99, 2567, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-06-06 00:00:00', 0.44999998800000002, 10.15295029, -99, 864, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-06-07 00:00:00', 3.7999999519999998, 14.110486979999999, -99, 846, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-06-08 00:00:00', 2.539999962, 9.6949281690000007, -99, 2023, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-06-09 00:00:00', 4.4600000380000004, 11.238379480000001, -99, 612, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-06-10 00:00:00', 0, 14.598093990000001, -99, 2095, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-06-11 00:00:00', 0.209999993, 9.5744266509999996, -99, 2358, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-06-12 00:00:00', 0.059999998999999998, 9.2077331539999996, -99, 1660, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-06-13 00:00:00', 0.059999998999999998, 6.4533467289999997, -99, 2718, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-06-14 00:00:00', 0, 4.3032989500000003, -99, 2560, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-06-15 00:00:00', 0, 10.610749240000001, -99, 2624, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-06-16 00:00:00', 0, 7.8908066750000003, -99, 2606, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-06-17 00:00:00', 0.5, 11.250435830000001, -99, 1591, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-06-18 00:00:00', 0.810000002, 9.5890350340000001, -99, 2833, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-06-19 00:00:00', 0, 7.8401889799999998, -99, 1969, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-06-20 00:00:00', 0, 9.940658569, -99, 1631, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-06-21 00:00:00', 0.25999999000000001, 13.919771190000001, -99, 2905, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-06-22 00:00:00', 0.23000000400000001, 15.13939476, -99, 1771, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-06-23 00:00:00', 0, 9.9240436550000002, -99, 1796, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-06-24 00:00:00', 0, 10.838321690000001, -99, 2020, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-06-25 00:00:00', 3.9100000860000002, 14.08953571, -99, 1879, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-06-26 00:00:00', 0.219999999, 11.72319412, -99, 2678, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-06-27 00:00:00', 3.5899999139999998, 14.493247029999999, -99, 1490, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-06-28 00:00:00', 0.920000017, 13.890882489999999, -99, 2182, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-06-29 00:00:00', 0.55000001200000004, 11.25168133, -99, 2009, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-06-30 00:00:00', 4.7399997709999999, 10.757176400000001, -99, 1404, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-07-01 00:00:00', 2.420000076, 10.857361790000001, -99, 1768, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-07-02 00:00:00', 0.039999999000000001, 10.309529299999999, -99, 1130, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-07-03 00:00:00', 0.14000000100000001, 11.64603138, -99, 1382, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-07-04 00:00:00', 1.4199999569999999, 12.438325880000001, -99, 763, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-07-05 00:00:00', 0.87999999500000003, 12.631837839999999, -99, 814, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-07-06 00:00:00', 0.939999998, 10.37765884, -99, 1973, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-07-07 00:00:00', 1.519999981, 9.4673805239999993, -99, 1915, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-07-08 00:00:00', 2.2599999899999998, 6.7717065810000001, -99, 2218, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-07-09 00:00:00', 1.8700000050000001, 11.03565502, -99, 734, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-07-10 00:00:00', 5, 9.9768667220000005, -99, 2387, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-07-11 00:00:00', 2.0099999899999998, 10.71334457, -99, 1152, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-07-12 00:00:00', 3.1800000669999999, 10.217556, -99, 2419, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-07-13 00:00:00', 2.4800000190000002, 14.94073105, -99, 2038, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-07-14 00:00:00', 2.630000114, 10.05623817, -99, 1163, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-07-15 00:00:00', 0.039999999000000001, 9.8879327769999996, -99, 2293, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-07-16 00:00:00', 0.23000000400000001, 7.1936416630000002, -99, 2480, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-07-17 00:00:00', 1.1599999670000001, 11.04551792, -99, 1829, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-07-18 00:00:00', 3.1099998950000001, 10.87129021, -99, 1861, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-07-19 00:00:00', 0.15000000599999999, 10.0789814, -99, 1580, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-07-20 00:00:00', 0, 9.6566715240000001, -99, 2732, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-07-21 00:00:00', 2.0999999049999998, 15.652759550000001, -99, 2023, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-07-22 00:00:00', 0, 13.47654438, -99, 2466, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-07-23 00:00:00', 0.66000002599999996, 10.85391521, -99, 1454, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-07-24 00:00:00', 0.189999998, 13.3596468, -99, 1652, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-07-25 00:00:00', 0.039999999000000001, 10.46188259, -99, 2354, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-07-26 00:00:00', 1.019999981, 8.2943058010000001, -99, 1994, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-07-27 00:00:00', 5.6500000950000002, 12.448132510000001, -99, 1508, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-07-28 00:00:00', 3.0099999899999998, 12.303055759999999, -99, 1206, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-07-29 00:00:00', 8.2299995419999998, 12.076401710000001, -99, 1523, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-07-30 00:00:00', 5.1100001339999999, 12.88236618, -99, 1829, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-07-31 00:00:00', 7.5100002290000001, 11.987876890000001, -99, 1908, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-08-01 00:00:00', 0, 13.50328159, -99, 1411, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-08-02 00:00:00', 0, 12.754383089999999, -99, 1202, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-08-03 00:00:00', 3.25, 11.037612920000001, -99, 1476, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-08-04 00:00:00', 1.440000057, 14.43253994, -99, 1930, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-08-05 00:00:00', 1.269999981, 13.123263359999999, -99, 1537, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-08-06 00:00:00', 0.579999983, 14.357740400000001, -99, 860, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-08-07 00:00:00', 2.3399999139999998, 14.67317104, -99, 1368, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-08-08 00:00:00', 0.25, 11.520932200000001, -99, 785, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-08-09 00:00:00', 0, 10.80978489, -99, 2365, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-08-10 00:00:00', 0, 12.39873886, -99, 2376, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-08-11 00:00:00', 0, 14.987827299999999, -99, 2160, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-08-12 00:00:00', 1.3600000139999999, 13.957220080000001, -99, 1976, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-08-13 00:00:00', 0.769999981, 14.03430176, -99, 1469, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-08-14 00:00:00', 1.0299999710000001, 11.631272320000001, -99, 994, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-08-15 00:00:00', 0.25999999000000001, 16.134609220000002, -99, 824, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-08-16 00:00:00', 0, 9.3937196729999997, -99, 1706, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-08-17 00:00:00', 0.090000003999999995, 13.7938242, -99, 1850, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-08-18 00:00:00', 0, 14.742736819999999, -99, 1753, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-08-19 00:00:00', 0, 7.7650938030000001, -99, 1523, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-08-20 00:00:00', 4.1199998860000004, 11.69946384, -99, 997, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-08-21 00:00:00', 1.5099999900000001, 13.094489100000001, -99, 1246, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-08-22 00:00:00', 0.49000000999999999, 10.942680360000001, -99, 1274, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-08-23 00:00:00', 0.090000003999999995, 10.110706329999999, -99, 1606, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-08-24 00:00:00', 0.219999999, 9.9489440919999996, -99, 1512, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-08-25 00:00:00', 0.75999998999999996, 9.3036117550000004, -99, 1595, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-08-26 00:00:00', 0.050000001000000002, 6.7024092670000002, -99, 1724, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-08-27 00:00:00', 0, 6.4660749439999998, -99, 1580, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-08-28 00:00:00', 0.709999979, 9.1803531649999996, -99, 1696, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-08-29 00:00:00', 0.810000002, 7.5767378809999997, -99, 1436, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-08-30 00:00:00', 3.3499999049999998, 7.0556201930000002, -99, 1728, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-08-31 00:00:00', 0.209999993, 9.0327672959999994, -99, 1804, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-09-01 00:00:00', 0, 8.0023460390000007, -99, 1555, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-09-02 00:00:00', 0, 12.86207104, -99, 1343, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-09-03 00:00:00', 0, 11.677412029999999, -99, 900, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-09-04 00:00:00', 0.56999999300000004, 13.16985607, -99, 922, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-09-05 00:00:00', 0.039999999000000001, 14.201954840000001, -99, 1282, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-09-06 00:00:00', 0, 13.694397929999999, -99, 752, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-09-07 00:00:00', 0, 13.96757698, -99, 1037, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-09-08 00:00:00', 4.1500000950000002, 13.182647709999999, -99, 594, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-09-09 00:00:00', 9.1300001139999996, 14.72394753, -99, 479, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-09-10 00:00:00', 5.7699999809999998, 15.23672867, -99, 1156, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-09-11 00:00:00', 0.829999983, 13.362328529999999, -99, 958, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-09-12 00:00:00', 0.77999997099999996, 9.2294893259999995, -99, 796, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-09-13 00:00:00', 5.0199999809999998, 10.70590878, -99, 706, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-09-14 00:00:00', 0.029999998999999999, 9.9511327739999995, -99, 785, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-09-15 00:00:00', 2.7400000100000002, 2.333101273, -99, 608, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-09-16 00:00:00', 4.9899997709999999, 7.6708254809999996, -99, 716, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-09-17 00:00:00', 0.01, 5.5588741300000004, -99, 1483, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-09-18 00:00:00', 0, 11.080421449999999, -99, 749, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-09-19 00:00:00', 0, 9.4448843, -99, 1112, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-09-20 00:00:00', 0, 7.4593501089999998, -99, 1292, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-09-21 00:00:00', 0.079999998000000003, 8.0397834780000004, -99, 724, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-09-22 00:00:00', 0, 9.3376531600000003, -99, 734, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-09-23 00:00:00', 0, 11.94646549, -99, 961, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-09-24 00:00:00', 0, 11.71386051, -99, 544, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-09-25 00:00:00', 0, 12.144795419999999, -99, 1015, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-09-26 00:00:00', 0, 10.816040989999999, -99, 713, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-09-27 00:00:00', 0.15999999600000001, 11.824337010000001, -99, 652, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-09-28 00:00:00', 1.269999981, 13.51282501, -99, 616, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-09-29 00:00:00', 1.25, 13.199976919999999, -99, 407, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-09-30 00:00:00', 0, 11.034545899999999, -99, 634, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-10-01 00:00:00', 0.60000002399999997, 9.3813390729999995, -99, 529, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-10-02 00:00:00', 0.090000003999999995, 7.4043846130000004, -99, 803, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-10-03 00:00:00', 0.49000000999999999, 7.1904735569999998, -99, 608, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-10-04 00:00:00', 0.52999997099999996, 5.0983672139999996, -99, 374, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-10-05 00:00:00', 0, 6.4232225420000004, -99, 432, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-10-06 00:00:00', 0.56999999300000004, 5.1331696510000002, -99, 785, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-10-07 00:00:00', 3.4100000860000002, 7.7251806260000002, -99, 234, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-10-08 00:00:00', 0.14000000100000001, 8.2917385100000001, -99, 205, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-10-09 00:00:00', 1.0900000329999999, 8.426136971, -99, 277, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-10-10 00:00:00', 1.7400000099999999, 9.9033164980000006, -99, 590, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-10-11 00:00:00', 3.75, 8.6346740719999993, -99, 461, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-10-12 00:00:00', 0.579999983, 5.3821334839999997, -99, 691, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-10-13 00:00:00', 4.4499998090000004, 5.3897304530000003, -99, 691, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-10-14 00:00:00', 2.7599999899999998, 9.5445623400000006, -99, 403, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-10-15 00:00:00', 0.15999999600000001, 8.4151144030000005, -99, 677, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-10-16 00:00:00', 12.02000046, 3.808918238, -99, 526, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-10-17 00:00:00', 5.7600002290000001, 8.2058191300000001, -99, 209, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-10-18 00:00:00', 0.050000001000000002, 4.5060195920000004, -99, 641, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-10-19 00:00:00', 5.3699998860000004, 4.3456201549999998, -99, 497, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-10-20 00:00:00', 2.8499999049999998, 2.708866596, -99, 616, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-10-21 00:00:00', 3.789999962, 3.1102740760000001, -99, 83, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-10-22 00:00:00', 4.7399997709999999, 11.94971848, -99, 263, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-10-23 00:00:00', 0.469999999, 13.158929820000001, -99, 270, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-10-24 00:00:00', 4.8099999430000002, 3.7905600069999998, -99, 544, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-10-25 00:00:00', 2.9800000190000002, 8.3053350449999996, -99, 392, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-10-26 00:00:00', 1.2799999710000001, 6.4549531939999998, -99, 536, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-10-27 00:00:00', 14.47999954, 3.5140478609999999, -99, 230, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-10-28 00:00:00', 2.920000076, 6.4452767370000004, -99, 230, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-10-29 00:00:00', 1.019999981, 5.7145943639999999, -99, 378, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-10-30 00:00:00', 2.2799999710000001, 5.5404124259999996, -99, 418, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-10-31 00:00:00', 1.1000000240000001, 4.2072062490000004, -99, 450, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-11-01 00:00:00', 0.37000000500000002, -0.35927474500000001, -99, 565, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-11-02 00:00:00', 1.190000057, 0.945938587, -99, 457, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-11-03 00:00:00', 2.5599999430000002, 4.0187382700000001, -99, 238, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-11-04 00:00:00', 1.8899999860000001, 2.1945264340000001, -99, 281, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-11-05 00:00:00', 4.079999924, -2.6956396100000002, -99, 436, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-11-06 00:00:00', 0.209999993, 3.356369972, -99, 353, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-11-07 00:00:00', 1.3400000329999999, 0.43292132, -99, 209, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-11-08 00:00:00', 0, 6.2998619079999996, -99, 205, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-11-09 00:00:00', 3.7799999710000001, 5.0082259179999999, -99, 104, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-11-10 00:00:00', 0.87999999500000003, 1.983488202, -99, 184, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-11-11 00:00:00', 0.27000001099999998, 2.9805743690000002, -99, 396, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-11-12 00:00:00', 0, 2.3652017120000002, -99, 374, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-11-13 00:00:00', 1.9099999670000001, 0.184220523, -99, 277, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-11-14 00:00:00', 4.5399999619999996, 2.9088168140000001, -99, 205, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-11-15 00:00:00', 0.059999998999999998, 3.2343230250000001, -99, 256, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-11-16 00:00:00', 0.01, -1.284366369, -99, 389, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-11-17 00:00:00', 0, -0.76422870200000004, -99, 281, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-11-18 00:00:00', 0.029999998999999999, -2.4045670029999999, -99, 346, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-11-19 00:00:00', 0, -4.6638479229999996, -99, 378, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-11-20 00:00:00', 0, -6.384949207, -99, 385, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-11-21 00:00:00', 0, -4.784007549, -99, 227, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-11-22 00:00:00', 0, -4.81227684, -99, 209, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-11-23 00:00:00', 0, -8.1641902920000007, -99, 180, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-11-24 00:00:00', 0.079999998000000003, -1.2561089990000001, -99, 162, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-11-25 00:00:00', 0.119999997, -1.2825475930000001, -99, 162, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-11-26 00:00:00', 0.15000000599999999, -2.274846792, -99, 284, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-11-27 00:00:00', 0, 0.46310037399999998, -99, 320, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-11-28 00:00:00', 0.15000000599999999, 0.30757883200000002, -99, 295, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-11-29 00:00:00', 0, 2.0240006450000001, -99, 191, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-11-30 00:00:00', 0.070000000000000007, 1.197283506, -99, 176, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-12-01 00:00:00', 0, -2.3384773729999999, -99, 295, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-12-02 00:00:00', 0, -3.9964368339999998, -99, 324, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-12-03 00:00:00', 0.52999997099999996, -4.9824790950000004, -99, 104, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-12-04 00:00:00', 0.280000001, -3.8015372749999998, -99, 227, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-12-05 00:00:00', 0.310000002, -1.026276827, -99, 216, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-12-06 00:00:00', 0, -2.276538849, -99, 162, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-12-07 00:00:00', 0, -4.5705704689999997, -99, 302, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-12-08 00:00:00', 0, -11.780371669999999, -99, 234, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-12-09 00:00:00', 0.15999999600000001, -7.172800541, -99, 112, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-12-10 00:00:00', 0, -3.652587891, -99, 252, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-12-11 00:00:00', 0, -4.9091010089999996, -99, 252, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-12-12 00:00:00', 2.829999924, -6.6482634540000003, -99, 112, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-12-13 00:00:00', 1.25, 1.4972321989999999, -99, 191, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-12-14 00:00:00', 0.090000003999999995, 2.999873161, -99, 119, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-12-15 00:00:00', 0, 7.4102368350000001, -99, 133, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-12-16 00:00:00', 0, 3.6175291540000001, -99, 173, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-12-17 00:00:00', 0.37000000500000002, 4.6033325200000004, -99, 169, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-12-18 00:00:00', 0.790000021, 3.05447793, -99, 220, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-12-19 00:00:00', 1.0800000430000001, 4.5010590549999998, -99, 104, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-12-20 00:00:00', 0, 0.045392223000000002, -99, 238, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-12-21 00:00:00', 0.20000000300000001, -3.8844583030000002, -99, 252, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-12-22 00:00:00', 0.039999999000000001, -5.3619122509999997, -99, 187, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-12-23 00:00:00', 3.1800000669999999, 0.59513461599999995, -99, 122, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-12-24 00:00:00', 4.3600001339999999, 2.1556875710000001, -99, 194, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-12-25 00:00:00', 6.6399998660000001, 1.323612094, -99, 104, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-12-26 00:00:00', 1.5099999900000001, 4.4619698520000002, -99, 216, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-12-27 00:00:00', 0.059999998999999998, 2.838331223, -99, 212, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-12-28 00:00:00', 0.540000021, 4.3644461630000002, -99, 108, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-12-29 00:00:00', 0, 2.572782278, -99, 220, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-12-30 00:00:00', 0, 1.2464240790000001, -99, 230, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1998-12-31 00:00:00', 0, 0.25442564499999998, -99, 245, 'ask', 'ask_1998');
INSERT INTO public.cdy_cldat VALUES ('1999-01-01 00:00:00', 0, -0.58082842800000001, -99, 122, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-01-02 00:00:00', 2.25, -0.31298032399999998, -99, 108, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-01-03 00:00:00', 0.85000002399999997, 2.8830800060000001, -99, 202, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-01-04 00:00:00', 8.1899995800000003, 0.39819818699999998, -99, 97, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-01-05 00:00:00', 9.5200004580000002, 5.6605024339999996, -99, 97, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-01-06 00:00:00', 9.25, 7.0486702919999997, -99, 112, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-01-07 00:00:00', 0.43000000700000002, 4.9816770549999996, -99, 302, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-01-08 00:00:00', 1.5800000430000001, 0.35687804200000001, -99, 130, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-01-09 00:00:00', 0, -2.3577101229999999, -99, 317, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-01-10 00:00:00', 0.44999998800000002, -6.158627987, -99, 187, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-01-11 00:00:00', 3.2300000190000002, -3.6169254780000002, -99, 245, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-01-12 00:00:00', 0.81999999300000004, -2.2317852970000001, -99, 137, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-01-13 00:00:00', 3.329999924, -4.8777632710000001, -99, 187, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-01-14 00:00:00', 5.6900000569999998, -3.0936408040000001, -99, 263, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-01-15 00:00:00', 9.6599998469999999, 0.66324162499999995, -99, 209, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-01-16 00:00:00', 2.4700000289999999, 5.7531833649999999, -99, 180, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-01-17 00:00:00', 0, 2.4574086670000002, -99, 187, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-01-18 00:00:00', 0.579999983, 3.345807314, -99, 356, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-01-19 00:00:00', 8.6199998860000004, 3.0764112469999998, -99, 158, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-01-20 00:00:00', 10.18000031, 6.5843958850000002, -99, 115, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-01-21 00:00:00', 0.27000001099999998, 6.5327095990000004, -99, 270, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-01-22 00:00:00', 0, 1.461886883, -99, 259, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-01-23 00:00:00', 3.5899999139999998, 1.368211627, -99, 148, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-01-24 00:00:00', 4.6900000569999998, 1.5063608879999999, -99, 166, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-01-25 00:00:00', 6.1399998660000001, 4.5168638229999996, -99, 194, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-01-26 00:00:00', 6.4000000950000002, 3.2908935549999998, -99, 256, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-01-27 00:00:00', 0.090000003999999995, 1.48345685, -99, 356, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-01-28 00:00:00', 0.109999999, -1.5064013000000001, -99, 277, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-01-29 00:00:00', 0, -8.6246337890000007, -99, 454, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-01-30 00:00:00', 0, -7.22205925, -99, 414, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-01-31 00:00:00', 1.6100000139999999, -2.414626122, -99, 169, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-02-01 00:00:00', 0.10000000100000001, 3.693707705, -99, 479, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-02-02 00:00:00', 0, -0.046562898999999998, -99, 266, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-02-03 00:00:00', 3.130000114, 3.6369814869999999, -99, 299, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-02-04 00:00:00', 3.5099999899999998, 5.3911957739999998, -99, 432, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-02-05 00:00:00', 0.40000000600000002, 0.88956183200000005, -99, 518, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-02-06 00:00:00', 0.34000000400000002, 1.6040068860000001, -99, 572, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-02-07 00:00:00', 0, -2.5168039800000002, -99, 450, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-02-08 00:00:00', 0.20000000300000001, -3.7172100540000002, -99, 454, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-02-09 00:00:00', 2.4400000569999998, -11.56763363, -99, 522, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-02-10 00:00:00', 0.28999999199999998, -5.609612942, -99, 374, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-02-11 00:00:00', 0, -6.384931087, -99, 526, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-02-12 00:00:00', 0, -10.509997370000001, -99, 612, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-02-13 00:00:00', 0.02, -10.68779945, -99, 727, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-02-14 00:00:00', 0.97000002900000004, -10.493604660000001, -99, 637, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-02-15 00:00:00', 9.6700000760000009, -3.033487558, -99, 468, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-02-16 00:00:00', 3.119999886, 1.078628302, -99, 425, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-02-17 00:00:00', 4.1500000950000002, -5.3208184239999996, -99, 432, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-02-18 00:00:00', 0.829999983, -2.333043575, -99, 436, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-02-19 00:00:00', 3.4500000480000002, 0.63041096900000004, -99, 295, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-02-20 00:00:00', 7.1599998469999999, 1.0582951309999999, -99, 572, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-02-21 00:00:00', 4.8600001339999999, 2.5389976500000002, -99, 749, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-02-22 00:00:00', 0.72000002900000004, -0.23065502900000001, -99, 626, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-02-23 00:00:00', 0.40000000600000002, -2.5558726790000001, -99, 727, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-02-24 00:00:00', 0, -2.9140954020000001, -99, 950, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-02-25 00:00:00', 4.1399998660000001, -2.7639701369999998, -99, 353, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-02-26 00:00:00', 6.0700001720000003, 2.150904417, -99, 691, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-02-27 00:00:00', 4.5900001530000001, 2.9894423479999999, -99, 324, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-02-28 00:00:00', 6.920000076, 2.9538288119999998, -99, 824, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-03-01 00:00:00', 0.97000002900000004, 3.138373375, -99, 407, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-03-02 00:00:00', 18.870000839999999, 2.5525844100000001, -99, 961, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-03-03 00:00:00', 1.7999999520000001, 2.7998595239999999, -99, 479, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-03-04 00:00:00', 2.4800000190000002, 3.145019531, -99, 486, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-03-05 00:00:00', 12.289999959999999, 4.2620353700000004, -99, 346, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-03-06 00:00:00', 15.31000042, 2.6242260929999999, -99, 277, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-03-07 00:00:00', 3.4800000190000002, 0.32472151500000002, -99, 335, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-03-08 00:00:00', 2.1400001049999999, 0.466423541, -99, 943, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-03-09 00:00:00', 3.1099998950000001, 1.3629462720000001, -99, 709, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-03-10 00:00:00', 2.960000038, 0.58432221399999995, -99, 688, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-03-11 00:00:00', 0, -0.030932806, -99, 562, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-03-12 00:00:00', 0, 2.0128464699999999, -99, 1080, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-03-13 00:00:00', 3.210000038, 0.012999767000000001, -99, 864, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-03-14 00:00:00', 0, 1.176251411, -99, 662, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-03-15 00:00:00', 0, 1.8443778749999999, -99, 1026, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-03-16 00:00:00', 2.039999962, 0.097368552999999997, -99, 515, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-03-17 00:00:00', 0.25999999000000001, 1.1877541540000001, -99, 662, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-03-18 00:00:00', 8.3900003430000005, 4.1270151139999998, -99, 461, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-03-19 00:00:00', 0.709999979, 3.2030718330000001, -99, 1091, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-03-20 00:00:00', 1.0299999710000001, 1.036159754, -99, 464, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-03-21 00:00:00', 1.9900000099999999, 2.6243512629999999, -99, 652, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-03-22 00:00:00', 3.130000114, 4.1895270350000002, -99, 1177, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-03-23 00:00:00', 1.9299999480000001, 0.47344753099999998, -99, 1429, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-03-24 00:00:00', 0.14000000100000001, -0.44313031400000003, -99, 572, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-03-25 00:00:00', 0.519999981, 3.91499424, -99, 990, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-03-26 00:00:00', 9.5600004199999997, 5.3056769370000003, -99, 500, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-03-27 00:00:00', 3.079999924, 1.9872094389999999, -99, 1213, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-03-28 00:00:00', 0, -1.7873311039999999, -99, 1746, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-03-29 00:00:00', 0, -0.71739304100000001, -99, 1796, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-03-30 00:00:00', 1.5499999520000001, 3.416712999, -99, 587, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-03-31 00:00:00', 0.10000000100000001, 7.5836386679999999, -99, 940, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-04-01 00:00:00', 0, 5.3906970019999996, -99, 1850, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-04-02 00:00:00', 0, 4.1014518740000003, -99, 1735, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-04-03 00:00:00', 0, 4.4632339480000001, -99, 1411, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-04-04 00:00:00', 0, 2.6934218410000001, -99, 1602, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-04-05 00:00:00', 4.3899998660000001, 3.3927347659999998, -99, 972, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-04-06 00:00:00', 1.7999999520000001, 8.0439481740000005, -99, 637, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-04-07 00:00:00', 1.6200000050000001, 7.0889797210000003, -99, 1084, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-04-08 00:00:00', 0.23999999499999999, 4.9655051229999998, -99, 1505, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-04-09 00:00:00', 0.119999997, 5.1699132920000004, -99, 907, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-04-10 00:00:00', 0.31999999299999998, 7.7309470180000002, -99, 1019, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-04-11 00:00:00', 1.2200000289999999, 5.3057031630000004, -99, 1433, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-04-12 00:00:00', 7.4499998090000004, 4.3654432300000003, -99, 450, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-04-13 00:00:00', 9.5500001910000005, 4.1163592339999999, -99, 652, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-04-14 00:00:00', 6.3899998660000001, 1.1682783370000001, -99, 1368, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-04-15 00:00:00', 0.670000017, 0.48821097600000002, -99, 1246, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-04-16 00:00:00', 0.58999997400000004, 0.078619778000000001, -99, 1336, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-04-17 00:00:00', 0.029999998999999999, -0.38395050200000003, -99, 1598, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-04-18 00:00:00', 0.56999999300000004, 2.7104082109999998, -99, 1728, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-04-19 00:00:00', 0.119999997, 2.233242035, -99, 1706, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-04-20 00:00:00', 0, -1.9006432289999999, -99, 2225, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-04-21 00:00:00', 2.3199999330000001, 2.8345906730000001, -99, 731, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-04-22 00:00:00', 0.75999998999999996, 6.1926879880000003, -99, 1307, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-04-23 00:00:00', 0, 5.7428622249999997, -99, 1987, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-04-24 00:00:00', 0, 4.9753475189999996, -99, 1800, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-04-25 00:00:00', 0, 5.8973021509999999, -99, 1814, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-04-26 00:00:00', 0, 7.8026313780000001, -99, 1980, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-04-27 00:00:00', 0, 7.4022612570000001, -99, 2264, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-04-28 00:00:00', 0, 3.9410288329999998, -99, 1721, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-04-29 00:00:00', 0, 3.6065874099999999, -99, 2416, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-04-30 00:00:00', 0, 1.5764887329999999, -99, 2207, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-05-01 00:00:00', 0, 1.862605691, -99, 2149, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-05-02 00:00:00', 0, 2.074735403, -99, 1717, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-05-03 00:00:00', 0, -0.38389590400000001, -99, 2646, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-05-04 00:00:00', 0, 1.8374845980000001, -99, 2171, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-05-05 00:00:00', 0, 4.3147263530000002, -99, 2336, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-05-06 00:00:00', 0, 6.076623917, -99, 2556, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-05-07 00:00:00', 0, 10.5392952, -99, 2128, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-05-08 00:00:00', 6.170000076, 7.159860611, -99, 781, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-05-09 00:00:00', 1.8999999759999999, 8.7232179639999998, -99, 734, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-05-10 00:00:00', 3.0899999139999998, 8.0680932999999992, -99, 1433, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-05-11 00:00:00', 3.079999924, 8.0622835160000008, -99, 2056, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-05-12 00:00:00', 14.02000046, 9.4742927550000005, -99, 572, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-05-13 00:00:00', 0.790000021, 9.2488193509999999, -99, 1368, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-05-14 00:00:00', 0.439999998, 5.9358263019999997, -99, 1865, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-05-15 00:00:00', 0, 4.4799122809999998, -99, 1544, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-05-16 00:00:00', 0.090000003999999995, 0.65607446400000002, -99, 1753, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-05-17 00:00:00', 0, 5.7261281009999996, -99, 2732, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-05-18 00:00:00', 0, 5.4512543679999999, -99, 2862, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-05-19 00:00:00', 0, 7.3524742129999998, -99, 2912, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-05-20 00:00:00', 0, 8.9767303470000002, -99, 2390, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-05-21 00:00:00', 4.3499999049999998, 8.9963674549999997, -99, 2171, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-05-22 00:00:00', 0.27000001099999998, 8.4055500030000001, -99, 2304, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-05-23 00:00:00', 2.6400001049999999, 7.3117985729999999, -99, 1087, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-05-24 00:00:00', 1.5499999520000001, 11.63665104, -99, 1192, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-05-25 00:00:00', 0.52999997099999996, 10.57441425, -99, 2642, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-05-26 00:00:00', 0.050000001000000002, 6.3754286770000004, -99, 1894, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-05-27 00:00:00', 0, 7.5119357109999996, -99, 2556, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-05-28 00:00:00', 0, 10.8514204, -99, 2444, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-05-29 00:00:00', 2.670000076, 11.85119343, -99, 2786, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-05-30 00:00:00', 0.62000000499999997, 10.86109924, -99, 2707, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-05-31 00:00:00', 0, 7.6308641430000002, -99, 2995, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-06-01 00:00:00', 0, 2.9883143900000002, -99, 1282, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-06-02 00:00:00', 5.5300002099999999, 3.2356870170000001, -99, 2628, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-06-03 00:00:00', 3.25, 13.50478172, -99, 810, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-06-04 00:00:00', 4.4899997709999999, 12.09596825, -99, 1048, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-06-05 00:00:00', 6.2300000190000002, 11.05142403, -99, 529, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-06-06 00:00:00', 8.7700004580000002, 6.3689036369999998, -99, 1454, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-06-07 00:00:00', 0.01, 9.2012243270000003, -99, 2869, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-06-08 00:00:00', 12.05000019, 12.54792404, -99, 806, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-06-09 00:00:00', 17.409999849999998, 8.943715096, -99, 1861, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-06-10 00:00:00', 7.4699997900000001, 9.650728226, -99, 1717, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-06-11 00:00:00', 7.1399998660000001, 10.08068085, -99, 842, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-06-12 00:00:00', 0.01, 7.5004382129999998, -99, 2570, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-06-13 00:00:00', 0, 5.8058519359999998, -99, 2790, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-06-14 00:00:00', 0, 6.3685383800000004, -99, 2578, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-06-15 00:00:00', 0, 8.0005817409999995, -99, 2459, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-06-16 00:00:00', 0, 10.40979576, -99, 2585, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-06-17 00:00:00', 3.2599999899999998, 10.196815490000001, -99, 1393, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-06-18 00:00:00', 0.01, 7.1116228100000001, -99, 3013, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-06-19 00:00:00', 0, 4.8915581699999997, -99, 3035, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-06-20 00:00:00', 15.05000019, 12.16003323, -99, 500, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-06-21 00:00:00', 0.18000000699999999, 5.420018196, -99, 2372, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-06-22 00:00:00', 0.58999997400000004, 5.4415440559999997, -99, 2574, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-06-23 00:00:00', 0, 4.8214683530000002, -99, 2678, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-06-24 00:00:00', 1.8500000240000001, 5.3983435630000001, -99, 1922, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-06-25 00:00:00', 2.3399999139999998, 9.3901815410000005, -99, 1991, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-06-26 00:00:00', 13.850000380000001, 8.0101270679999992, -99, 472, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-06-27 00:00:00', 0.090000003999999995, 8.3686075209999995, -99, 1832, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-06-28 00:00:00', 3.2799999710000001, 14.853457450000001, -99, 1634, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-06-29 00:00:00', 5.9400000569999998, 9.7656087879999998, -99, 868, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-06-30 00:00:00', 1.6200000050000001, 15.09829712, -99, 1598, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-07-01 00:00:00', 0.219999999, 8.5931978230000006, -99, 1390, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-07-02 00:00:00', 0.18000000699999999, 13.355296129999999, -99, 2257, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-07-03 00:00:00', 2.119999886, 11.62080383, -99, 670, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-07-04 00:00:00', 1.5, 16.062170030000001, -99, 2117, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-07-05 00:00:00', 12.619999890000001, 13.70397758, -99, 533, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-07-06 00:00:00', 0.01, 11.72747612, -99, 1757, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-07-07 00:00:00', 0, 13.381420139999999, -99, 2131, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-07-08 00:00:00', 0, 9.1068906779999992, -99, 2506, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-07-09 00:00:00', 0, 10.54439163, -99, 2830, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-07-10 00:00:00', 0, 12.78278351, -99, 2948, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-07-11 00:00:00', 0, 13.451129910000001, -99, 3002, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-07-12 00:00:00', 0, 13.39882851, -99, 2977, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-07-13 00:00:00', 1.6499999759999999, 15.114841459999999, -99, 1940, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-07-14 00:00:00', 3.579999924, 16.54879189, -99, 1814, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-07-15 00:00:00', 0.83999997400000004, 12.29484081, -99, 1753, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-07-16 00:00:00', 13.31000042, 10.54032707, -99, 1897, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-07-17 00:00:00', 1.3700000050000001, 13.93461132, -99, 1170, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-07-18 00:00:00', 0, 10.49862194, -99, 2124, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-07-19 00:00:00', 0.10000000100000001, 14.57468987, -99, 2178, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-07-20 00:00:00', 4.670000076, 16.819431300000002, -99, 1382, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-07-21 00:00:00', 10.289999959999999, 16.056457519999999, -99, 1818, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-07-22 00:00:00', 4.3000001909999996, 10.73075581, -99, 1588, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-07-23 00:00:00', 0.10000000100000001, 12.3684063, -99, 1246, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-07-24 00:00:00', 0, 13.71819496, -99, 2502, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-07-25 00:00:00', 0, 15.395824429999999, -99, 2560, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-07-26 00:00:00', 0, 9.0824356080000008, -99, 1310, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-07-27 00:00:00', 0, 10.290942190000001, -99, 2275, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-07-28 00:00:00', 0, 6.8808765410000001, -99, 2747, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-07-29 00:00:00', 0, 10.12899876, -99, 2412, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-07-30 00:00:00', 0, 11.534994129999999, -99, 2524, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-07-31 00:00:00', 0, 14.01241493, -99, 2455, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-08-01 00:00:00', 0, 14.72062397, -99, 2599, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-08-02 00:00:00', 0, 14.813948630000001, -99, 2700, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-08-03 00:00:00', 0, 14.754924770000001, -99, 2502, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-08-04 00:00:00', 0, 14.95909691, -99, 2405, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-08-05 00:00:00', 0, 14.958265300000001, -99, 2318, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-08-06 00:00:00', 4.1500000950000002, 14.69232845, -99, 2419, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-08-07 00:00:00', 3.4900000100000002, 11.68432999, -99, 1861, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-08-08 00:00:00', 1.6699999569999999, 16.979537959999998, -99, 904, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-08-09 00:00:00', 3.9900000100000002, 15.021232599999999, -99, 1364, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-08-10 00:00:00', 3.0499999519999998, 13.558373449999999, -99, 1526, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-08-11 00:00:00', 0.12999999500000001, 10.149027820000001, -99, 1008, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-08-12 00:00:00', 0, 10.90783405, -99, 1753, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-08-13 00:00:00', 0, 7.6383867260000002, -99, 2203, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-08-14 00:00:00', 8.7200002669999996, 9.1336269380000008, -99, 716, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-08-15 00:00:00', 1.190000057, 11.475195879999999, -99, 1084, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-08-16 00:00:00', 0.039999999000000001, 10.255916600000001, -99, 1829, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-08-17 00:00:00', 10.18000031, 8.4928178790000004, -99, 1901, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-08-18 00:00:00', 11.93000031, 9.0283861160000001, -99, 1026, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-08-19 00:00:00', 9.7100000380000004, 13.06615257, -99, 1008, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-08-20 00:00:00', 3.7699999809999998, 13.09727859, -99, 1814, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-08-21 00:00:00', 0.15999999600000001, 11.40371704, -99, 868, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-08-22 00:00:00', 0, 10.31899357, -99, 1649, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-08-23 00:00:00', 0, 8.5210065840000002, -99, 1429, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-08-24 00:00:00', 0, 9.9437093730000008, -99, 1930, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-08-25 00:00:00', 1.0800000430000001, 8.307526588, -99, 2052, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-08-26 00:00:00', 3.4300000669999999, 15.15718174, -99, 673, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-08-27 00:00:00', 0.02, 15.06378555, -99, 1379, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-08-28 00:00:00', 0, 11.85679436, -99, 1897, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-08-29 00:00:00', 0, 10.13459492, -99, 2009, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-08-30 00:00:00', 11.489999770000001, 10.498888020000001, -99, 634, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-08-31 00:00:00', 2.3499999049999998, 10.47390461, -99, 1336, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-09-01 00:00:00', 0.029999998999999999, 8.7685012820000008, -99, 1364, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-09-02 00:00:00', 0, 14.424184800000001, -99, 1228, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-09-03 00:00:00', 0, 11.86926937, -99, 1984, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-09-04 00:00:00', 0, 11.50030422, -99, 1858, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-09-05 00:00:00', 0, 13.86696815, -99, 1948, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-09-06 00:00:00', 0, 15.254627230000001, -99, 1789, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-09-07 00:00:00', 0, 12.277512550000001, -99, 1681, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-09-08 00:00:00', 0, 14.907574650000001, -99, 1660, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-09-09 00:00:00', 0, 13.752010350000001, -99, 986, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-09-10 00:00:00', 0, 7.2055287359999998, -99, 1753, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-09-11 00:00:00', 0, 14.25335503, -99, 1228, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-09-12 00:00:00', 0, 17.128599170000001, -99, 1429, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-09-13 00:00:00', 0, 15.68932152, -99, 1652, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-09-14 00:00:00', 0, 14.567424770000001, -99, 1073, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-09-15 00:00:00', 0, 13.803331379999999, -99, 1249, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-09-16 00:00:00', 0.58999997400000004, 12.697269439999999, -99, 382, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-09-17 00:00:00', 4.0900001530000001, 12.77589607, -99, 742, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-09-18 00:00:00', 1, 12.322196959999999, -99, 835, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-09-19 00:00:00', 0, 13.74762726, -99, 1289, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-09-20 00:00:00', 6.9699997900000001, 15.71990108, -99, 878, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-09-21 00:00:00', 11.369999890000001, 15.161502840000001, -99, 623, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-09-22 00:00:00', 0.87999999500000003, 12.45492363, -99, 1220, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-09-23 00:00:00', 7.3600001339999999, 13.53785038, -99, 140, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-09-24 00:00:00', 10.94999981, 14.10707474, -99, 1037, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-09-25 00:00:00', 9.7100000380000004, 13.331386569999999, -99, 875, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-09-26 00:00:00', 7.3000001909999996, 11.29600525, -99, 522, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-09-27 00:00:00', 15.260000229999999, 12.11088943, -99, 734, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-09-28 00:00:00', 20.36000061, 13.114186289999999, -99, 760, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-09-29 00:00:00', 7.3400001530000001, 9.2661361689999993, -99, 461, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-09-30 00:00:00', 8.1899995800000003, 11.33171463, -99, 770, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-10-01 00:00:00', 24.950000760000002, 10.960234639999999, -99, 745, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-10-02 00:00:00', 9.3500003809999992, 8.5333604810000008, -99, 220, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-10-03 00:00:00', 18.120000839999999, 7.198378086, -99, 371, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-10-04 00:00:00', 4.5900001530000001, 8.2605361940000002, -99, 684, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-10-05 00:00:00', 0.38999998600000002, 7.0700278279999997, -99, 785, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-10-06 00:00:00', 0.029999998999999999, 5.6449251169999997, -99, 1066, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-10-07 00:00:00', 5.8499999049999998, 1.9485999350000001, -99, 475, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-10-08 00:00:00', 10.25, 8.5878753660000005, -99, 637, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-10-09 00:00:00', 1.519999981, 7.5276741979999997, -99, 907, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-10-10 00:00:00', 2.9800000190000002, 7.7357635499999997, -99, 421, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-10-11 00:00:00', 1.440000057, 10.15419769, -99, 680, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-10-12 00:00:00', 0.769999981, 8.4880981450000004, -99, 691, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-10-13 00:00:00', 0.61000001400000003, 7.5227727890000002, -99, 385, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-10-14 00:00:00', 0.64999997600000003, 10.331864360000001, -99, 490, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-10-15 00:00:00', 0, 3.602524281, -99, 893, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-10-16 00:00:00', 0, 1.8783104420000001, -99, 698, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-10-17 00:00:00', 0, 1.8039131159999999, -99, 536, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-10-18 00:00:00', 0.40000000600000002, -0.110296167, -99, 752, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-10-19 00:00:00', 0.20000000300000001, 1.3211699720000001, -99, 328, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-10-20 00:00:00', 0.189999998, 3.6714599130000001, -99, 533, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-10-21 00:00:00', 0.52999997099999996, 3.659869671, -99, 598, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-10-22 00:00:00', 0.039999999000000001, 5.6190562249999996, -99, 450, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-10-23 00:00:00', 2.039999962, 7.0784802439999996, -99, 277, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-10-24 00:00:00', 3.7799999710000001, 8.5343914030000008, -99, 504, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-10-25 00:00:00', 5.6799998279999997, 9.3367815019999991, -99, 511, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-10-26 00:00:00', 2.2400000100000002, 10.802287099999999, -99, 234, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-10-27 00:00:00', 0.079999998000000003, 9.0838460919999999, -99, 389, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-10-28 00:00:00', 0.109999999, 10.85371685, -99, 392, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-10-29 00:00:00', 0, 3.966808796, -99, 601, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-10-30 00:00:00', 0.689999998, 4.085409641, -99, 529, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-10-31 00:00:00', 1.9700000289999999, 8.9951667789999998, -99, 324, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-11-01 00:00:00', 1.7999999520000001, 9.1985473629999994, -99, 288, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-11-02 00:00:00', 2.1900000569999998, 10.139545439999999, -99, 490, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-11-03 00:00:00', 0, 5.5157227520000003, -99, 504, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-11-04 00:00:00', 0, 9.7902355189999994, -99, 328, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-11-05 00:00:00', 0.18000000699999999, 3.4907040600000001, -99, 299, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-11-06 00:00:00', 1.519999981, 5.9672794339999999, -99, 126, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-11-07 00:00:00', 0.47999998900000002, 6.8041300769999999, -99, 180, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-11-08 00:00:00', 0.31999999299999998, 4.8868470190000002, -99, 418, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-11-09 00:00:00', 0.40999999599999998, 1.2559864519999999, -99, 482, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-11-10 00:00:00', 0.119999997, 1.4995609519999999, -99, 497, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-11-11 00:00:00', 0, -0.68554413300000006, -99, 277, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-11-12 00:00:00', 0.23000000400000001, -0.15549624000000001, -99, 464, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-11-13 00:00:00', 0, 5.9546661380000003, -99, 313, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-11-14 00:00:00', 0, 4.6042604450000004, -99, 187, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-11-15 00:00:00', 0, -4.1908645629999999, -99, 428, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-11-16 00:00:00', 0.15000000599999999, 0.198826849, -99, 230, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-11-17 00:00:00', 2.4100000860000002, -0.33831313299999999, -99, 176, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-11-18 00:00:00', 3.5699999330000001, -0.228173763, -99, 320, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-11-19 00:00:00', 2.6800000669999999, 0.44508600199999998, -99, 371, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-11-20 00:00:00', 0.079999998000000003, 0.45954510599999998, -99, 328, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-11-21 00:00:00', 0, -1.1204490659999999, -99, 133, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-11-22 00:00:00', 1.9299999480000001, -4.9386720659999996, -99, 140, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-11-23 00:00:00', 0, 0.33727136299999999, -99, 281, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-11-24 00:00:00', 1.4900000099999999, 1.4188421959999999, -99, 158, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-11-25 00:00:00', 2.9300000669999999, 6.5849604609999997, -99, 104, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-11-26 00:00:00', 1.039999962, 6.8384556769999998, -99, 101, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-11-27 00:00:00', 0.939999998, 6.2537598609999998, -99, 299, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-11-28 00:00:00', 0.079999998000000003, 3.552530527, -99, 169, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-11-29 00:00:00', 0.15999999600000001, 7.3709859849999999, -99, 166, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-11-30 00:00:00', 11.289999959999999, -0.291940272, -99, 184, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-12-01 00:00:00', 6.5399999619999996, 6.5487322810000004, -99, 122, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-12-02 00:00:00', 6.9899997709999999, 1.4207917450000001, -99, 47, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-12-03 00:00:00', 21.540000920000001, 1.553721905, -99, 79, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-12-04 00:00:00', 3.3099999430000002, 1.8312587739999999, -99, 108, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-12-05 00:00:00', 3.869999886, -0.39471584599999998, -99, 317, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-12-06 00:00:00', 9.6400003430000005, -3.6032931800000001, -99, 180, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-12-07 00:00:00', 3.6400001049999999, 7.3230147360000002, -99, 198, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-12-08 00:00:00', 7.4699997900000001, 3.6638324259999999, -99, 173, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-12-09 00:00:00', 6.2100000380000004, 5.9199957850000002, -99, 234, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-12-10 00:00:00', 2.9400000569999998, 4.6395497319999999, -99, 198, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-12-11 00:00:00', 20.940000529999999, 2.2048733230000002, -99, 112, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-12-12 00:00:00', 4.1599998469999999, 3.899248123, -99, 140, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-12-13 00:00:00', 2.0499999519999998, -1.4869977240000001, -99, 194, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-12-14 00:00:00', 1.2799999710000001, -0.87719589499999995, -99, 108, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-12-15 00:00:00', 0.01, -3.5135109419999999, -99, 166, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-12-16 00:00:00', 3.9800000190000002, -7.962959766, -99, 166, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-12-17 00:00:00', 14.65999985, 1.766954541, -99, 108, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-12-18 00:00:00', 0.55000001200000004, -0.14043913799999999, -99, 205, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-12-19 00:00:00', 1.9299999480000001, -2.1779081819999999, -99, 108, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-12-20 00:00:00', 0, -4.6975893969999998, -99, 245, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-12-21 00:00:00', 0, -9.0076417919999994, -99, 184, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-12-22 00:00:00', 3.710000038, -1.0544500349999999, -99, 137, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-12-23 00:00:00', 2.25, -1.3083635570000001, -99, 191, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-12-24 00:00:00', 21.440000529999999, 2.1318204399999998, -99, 137, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-12-25 00:00:00', 10.399999619999999, 5.1430129999999998, -99, 104, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-12-26 00:00:00', 5.5199999809999998, 0.489722461, -99, 130, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-12-27 00:00:00', 1.0299999710000001, 0.024306856000000002, -99, 184, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-12-28 00:00:00', 0.60000002399999997, -2.3969855309999999, -99, 220, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-12-29 00:00:00', 0, -2.5267963409999998, -99, 130, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-12-30 00:00:00', 1.0299999710000001, -2.8180904390000001, -99, 198, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('1999-12-31 00:00:00', 1.3899999860000001, -0.88663035599999995, -99, 205, 'ask', 'ask_1999');
INSERT INTO public.cdy_cldat VALUES ('2000-01-01 00:00:00', 2.9300000669999999, 1.2268962859999999, -99, 216, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-01-02 00:00:00', 0.12999999500000001, 0.55143117900000005, -99, 97, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-01-03 00:00:00', 3.119999886, 4.4077854160000003, -99, 198, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-01-04 00:00:00', 2.920000076, 4.1684317589999997, -99, 205, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-01-05 00:00:00', 0, 2.4867651460000002, -99, 241, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-01-06 00:00:00', 3.2300000190000002, 2.1121623519999999, -99, 130, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-01-07 00:00:00', 0.34000000400000002, 0.096689485000000006, -99, 137, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-01-08 00:00:00', 1.5099999900000001, 5.0290970799999997, -99, 238, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-01-09 00:00:00', 1.25, 2.3021492960000001, -99, 281, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-01-10 00:00:00', 0.37000000500000002, -0.59836935999999996, -99, 248, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-01-11 00:00:00', 4.0999999049999998, 1.6241773370000001, -99, 169, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-01-12 00:00:00', 1.8200000519999999, 3.3979024889999998, -99, 133, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-01-13 00:00:00', 0, 1.371922493, -99, 140, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-01-14 00:00:00', 0, -0.38253364000000001, -99, 144, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-01-15 00:00:00', 0.20000000300000001, -0.60819590099999998, -99, 194, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-01-16 00:00:00', 0.090000003999999995, 2.2009112829999999, -99, 184, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-01-17 00:00:00', 0, 6.0776739119999998, -99, 162, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-01-18 00:00:00', 0.039999999000000001, 4.6118569369999998, -99, 382, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-01-19 00:00:00', 0, -1.202479839, -99, 367, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-01-20 00:00:00', 1.0499999520000001, -0.046662426999999999, -99, 216, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-01-21 00:00:00', 0.89999997600000003, 0.75161778899999998, -99, 202, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-01-22 00:00:00', 0.50999998999999996, -1.8903501030000001, -99, 176, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-01-23 00:00:00', 0.039999999000000001, -3.2973318100000002, -99, 277, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-01-24 00:00:00', 0.14000000100000001, -11.480332369999999, -99, 220, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-01-25 00:00:00', 0.34000000400000002, -2.3965327740000002, -99, 295, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-01-26 00:00:00', 0.87999999500000003, 1.18300736, -99, 277, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-01-27 00:00:00', 2.2699999809999998, 4.1247105599999996, -99, 259, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-01-28 00:00:00', 12.25, 3.76509428, -99, 212, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-01-29 00:00:00', 9.8800001139999996, 3.792064667, -99, 306, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-01-30 00:00:00', 12.77000046, 2.8169944290000002, -99, 414, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-01-31 00:00:00', 4.9699997900000001, 0.781304836, -99, 392, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-02-01 00:00:00', 3.3499999049999998, 3.9468426700000001, -99, 133, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-02-02 00:00:00', 0.730000019, 3.1294100280000001, -99, 392, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-02-03 00:00:00', 0.070000000000000007, 2.7394943239999998, -99, 533, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-02-04 00:00:00', 6.7800002099999999, -0.36856567899999998, -99, 216, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-02-05 00:00:00', 0.050000001000000002, 6.8504867550000004, -99, 490, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-02-06 00:00:00', 3.7599999899999998, 5.1948132510000002, -99, 223, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-02-07 00:00:00', 4.5700001720000003, 5.9301629069999997, -99, 497, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-02-08 00:00:00', 4.079999924, 4.532407761, -99, 432, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-02-09 00:00:00', 7.5500001909999996, 3.2579872609999998, -99, 418, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-02-10 00:00:00', 7.7399997709999999, 3.6406810279999999, -99, 238, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-02-11 00:00:00', 0, 2.6886186599999999, -99, 374, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-02-12 00:00:00', 7.6999998090000004, 4.2511911390000003, -99, 407, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-02-13 00:00:00', 2.6500000950000002, 0.39544451200000003, -99, 554, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-02-14 00:00:00', 1.710000038, -0.21030367899999999, -99, 688, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-02-15 00:00:00', 0.090000003999999995, 1.8869060280000001, -99, 634, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-02-16 00:00:00', 9.3299999239999991, 1.2263079880000001, -99, 320, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-02-17 00:00:00', 0.280000001, -0.60185182100000001, -99, 637, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-02-18 00:00:00', 5.2800002099999999, -2.932635307, -99, 173, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-02-19 00:00:00', 1.6799999480000001, 0.220799416, -99, 234, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-02-20 00:00:00', 0, -2.5691142079999998, -99, 803, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-02-21 00:00:00', 0.34999999399999998, -6.9320006369999998, -99, 680, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-02-22 00:00:00', 1.8200000519999999, -0.75885003799999995, -99, 454, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-02-23 00:00:00', 2.5599999430000002, 1.1382056469999999, -99, 821, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-02-24 00:00:00', 2.5499999519999998, -0.19834871600000001, -99, 814, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-02-25 00:00:00', 0.689999998, 2.1554610730000001, -99, 846, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-02-26 00:00:00', 0, 2.769106388, -99, 662, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-02-27 00:00:00', 0.40000000600000002, 0.604405046, -99, 414, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-02-28 00:00:00', 4.5100002290000001, 6.9203643799999996, -99, 389, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-02-29 00:00:00', 5.7800002099999999, 3.0144939420000001, -99, 551, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-03-01 00:00:00', 0.560000002, 3.794622183, -99, 767, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-03-02 00:00:00', 21.799999239999998, 1.280926585, -99, 698, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-03-03 00:00:00', 0.939999998, 2.6023449900000002, -99, 1087, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-03-04 00:00:00', 0.40000000600000002, 0.133027703, -99, 882, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-03-05 00:00:00', 1.769999981, -1.840551257, -99, 792, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-03-06 00:00:00', 4.7399997709999999, 1.3188905719999999, -99, 356, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-03-07 00:00:00', 7.8400001530000001, 6.2516021730000002, -99, 295, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-03-08 00:00:00', 2.4300000669999999, 1.21423316, -99, 828, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-03-09 00:00:00', 0.18000000699999999, 5.9922757149999999, -99, 868, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-03-10 00:00:00', 5.7800002099999999, -2.296707869, -99, 691, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-03-11 00:00:00', 0.670000017, 0.69786006199999995, -99, 616, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-03-12 00:00:00', 1.1100000139999999, 1.5729213950000001, -99, 670, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-03-13 00:00:00', 2.789999962, 2.938814163, -99, 842, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-03-14 00:00:00', 2.7599999899999998, 5.2536859509999996, -99, 799, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-03-15 00:00:00', 0.89999997600000003, 0.85828751299999995, -99, 1062, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-03-16 00:00:00', 1.059999943, 1.092083573, -99, 749, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-03-17 00:00:00', 0.25999999000000001, 3.3717470170000001, -99, 1012, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-03-18 00:00:00', 0.709999979, 4.3398623470000004, -99, 511, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-03-19 00:00:00', 0, -2.1692142489999999, -99, 1102, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-03-20 00:00:00', 0, 3.4494025709999998, -99, 911, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-03-21 00:00:00', 0, 2.414470911, -99, 1231, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-03-22 00:00:00', 0.36000001399999998, 4.9631872179999998, -99, 641, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-03-23 00:00:00', 0, 2.2975180150000001, -99, 1552, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-03-24 00:00:00', 3.0499999519999998, -0.31401193100000002, -99, 1220, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-03-25 00:00:00', 1.8500000240000001, 3.0716197489999999, -99, 644, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-03-26 00:00:00', 6.0700001720000003, 4.3239722250000003, -99, 558, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-03-27 00:00:00', 0.44999998800000002, 1.2271814350000001, -99, 562, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-03-28 00:00:00', 0.090000003999999995, 0.93052959400000002, -99, 464, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-03-29 00:00:00', 0, 0.27784210399999998, -99, 1796, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-03-30 00:00:00', 0, 1.1493443249999999, -99, 1728, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-03-31 00:00:00', 0.12999999500000001, -1.7396010159999999, -99, 1544, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-04-01 00:00:00', 0, 1.852103949, -99, 1285, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-04-02 00:00:00', 0.090000003999999995, -1.543926597, -99, 918, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-04-03 00:00:00', 0.540000021, 3.3724689479999999, -99, 1310, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-04-04 00:00:00', 5.4600000380000004, 6.4147176740000003, -99, 392, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-04-05 00:00:00', 0, -1.105331659, -99, 1908, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-04-06 00:00:00', 0, -1.7896307709999999, -99, 1541, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-04-07 00:00:00', 0, 3.2188794610000002, -99, 1782, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-04-08 00:00:00', 0, 3.3958234790000001, -99, 1076, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-04-09 00:00:00', 0, 0.62861102800000002, -99, 1814, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-04-10 00:00:00', 0, -0.58398479199999997, -99, 1213, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-04-11 00:00:00', 0, 3.1927180289999999, -99, 1073, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-04-12 00:00:00', 1.980000019, 2.5030601020000001, -99, 1066, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-04-13 00:00:00', 0.36000001399999998, 2.8889217380000001, -99, 1026, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-04-14 00:00:00', 0.810000002, 3.2429540160000001, -99, 994, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-04-15 00:00:00', 0.560000002, 4.2953429219999997, -99, 1170, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-04-16 00:00:00', 0.469999999, 5.6859617230000001, -99, 601, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-04-17 00:00:00', 0.58999997400000004, 1.3993052239999999, -99, 670, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-04-18 00:00:00', 0, 4.4286766049999997, -99, 1681, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-04-19 00:00:00', 4.7899999619999996, 6.1067032809999997, -99, 558, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-04-20 00:00:00', 0.050000001000000002, 6.5581612590000002, -99, 1886, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-04-21 00:00:00', 0.050000001000000002, 7.9288439750000004, -99, 1235, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-04-22 00:00:00', 8.8400001530000001, 5.3462295529999997, -99, 1181, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-04-23 00:00:00', 3.7699999809999998, 9.6006240839999997, -99, 662, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-04-24 00:00:00', 10.899999619999999, 9.3597812650000005, -99, 749, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-04-25 00:00:00', 0, 4.6685209270000003, -99, 2120, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-04-26 00:00:00', 3.0599999430000002, 6.1764626500000004, -99, 1818, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-04-27 00:00:00', 0, 8.9439153670000007, -99, 1627, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-04-28 00:00:00', 0, 11.63673401, -99, 1948, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-04-29 00:00:00', 0, 12.284153939999999, -99, 2437, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-04-30 00:00:00', 0.029999998999999999, 9.8139982220000004, -99, 1505, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-05-01 00:00:00', 0, 10.474284170000001, -99, 961, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-05-02 00:00:00', 0, 7.9772357940000003, -99, 1840, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-05-03 00:00:00', 0, 9.1186790470000005, -99, 1753, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-05-04 00:00:00', 0, 10.28699589, -99, 2254, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-05-05 00:00:00', 0, 7.3364415169999999, -99, 2164, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-05-06 00:00:00', 0, 5.4138455390000004, -99, 2552, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-05-07 00:00:00', 0, 6.9946856500000001, -99, 2066, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-05-08 00:00:00', 0, 6.5196566579999997, -99, 2639, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-05-09 00:00:00', 0, 7.7426657680000002, -99, 2790, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-05-10 00:00:00', 0, 8.7866945269999999, -99, 2635, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-05-11 00:00:00', 0, 8.0311555860000006, -99, 2563, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-05-12 00:00:00', 0, 8.7660112380000008, -99, 2574, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-05-13 00:00:00', 0, 3.8561780450000001, -99, 2617, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-05-14 00:00:00', 0, 5.2984695430000004, -99, 2812, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-05-15 00:00:00', 0, 8.672760963, -99, 2851, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-05-16 00:00:00', 0.02, 10.521390909999999, -99, 2689, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-05-17 00:00:00', 3.329999924, 14.32375431, -99, 878, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-05-18 00:00:00', 1.809999943, 7.4196000099999999, -99, 1516, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-05-19 00:00:00', 4.3400001530000001, 4.3808736799999997, -99, 1930, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-05-20 00:00:00', 1.3999999759999999, 3.1834251880000002, -99, 2300, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-05-21 00:00:00', 2.5199999809999998, 4.7479600910000004, -99, 2419, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-05-22 00:00:00', 0.20000000300000001, 4.9454116819999996, -99, 2239, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-05-23 00:00:00', 9.2299995419999998, 6.4828262329999999, -99, 1382, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-05-24 00:00:00', 0.86000001400000003, 12.09406471, -99, 2117, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-05-25 00:00:00', 16.520000459999999, 8.441689491, -99, 605, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-05-26 00:00:00', 4.420000076, 7.5912737850000003, -99, 2372, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-05-27 00:00:00', 1.0099999900000001, 10.62356853, -99, 1066, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-05-28 00:00:00', 8.9899997710000008, 7.3379616739999998, -99, 1120, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-05-29 00:00:00', 2.9900000100000002, 8.1893281939999998, -99, 1224, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-05-30 00:00:00', 0.10000000100000001, 6.8178992269999998, -99, 2610, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-05-31 00:00:00', 0, 3.1154119969999998, -99, 2520, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-06-01 00:00:00', 5.8499999049999998, 6.8727474209999997, -99, 1228, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-06-02 00:00:00', 0.079999998000000003, 12.56932926, -99, 760, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-06-03 00:00:00', 0.28999999199999998, 4.6621732710000003, -99, 2520, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-06-04 00:00:00', 4.1399998660000001, 7.0583376879999999, -99, 634, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-06-05 00:00:00', 3.7799999710000001, 8.7242813110000004, -99, 1289, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-06-06 00:00:00', 4.5100002290000001, 9.5633697509999998, -99, 659, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-06-07 00:00:00', 0.25999999000000001, 7.5641050339999998, -99, 1537, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-06-08 00:00:00', 0, 6.057945728, -99, 2477, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-06-09 00:00:00', 3.3599998950000001, 7.7427201270000001, -99, 2851, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-06-10 00:00:00', 3.3599998950000001, 14.09934902, -99, 1440, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-06-11 00:00:00', 0, 11.083022120000001, -99, 2322, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-06-12 00:00:00', 0, 9.5531473160000004, -99, 2117, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-06-13 00:00:00', 0, 12.969371799999999, -99, 1177, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-06-14 00:00:00', 0, 7.0333848000000003, -99, 1829, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-06-15 00:00:00', 0.280000001, 5.43645668, -99, 2365, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-06-16 00:00:00', 0, 7.4554786679999996, -99, 1976, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-06-17 00:00:00', 0.039999999000000001, 5.2454953189999998, -99, 2657, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-06-18 00:00:00', 0, 7.950954437, -99, 1966, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-06-19 00:00:00', 0, 8.6788682940000008, -99, 2326, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-06-20 00:00:00', 0, 16.252695079999999, -99, 2750, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-06-21 00:00:00', 9.1400003430000005, 18.90758705, -99, 2365, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-06-22 00:00:00', 2.380000114, 15.170261379999999, -99, 2308, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-06-23 00:00:00', 6.0500001909999996, 12.36040401, -99, 1753, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-06-24 00:00:00', 2.6900000569999998, 10.57062912, -99, 2048, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-06-25 00:00:00', 5.4499998090000004, 9.9825534820000001, -99, 1325, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-06-26 00:00:00', 0.070000000000000007, 10.25049973, -99, 806, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-06-27 00:00:00', 1.2799999710000001, 8.9476833340000006, -99, 1217, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-06-28 00:00:00', 1.6200000050000001, 7.4310951230000004, -99, 1685, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-06-29 00:00:00', 0.14000000100000001, 9.1468896869999998, -99, 1742, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-06-30 00:00:00', 0.43000000700000002, 10.011925700000001, -99, 1372, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-07-01 00:00:00', 1, 10.94368362, -99, 1040, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-07-02 00:00:00', 0, 10.54304409, -99, 2250, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-07-03 00:00:00', 0, 7.9196324349999996, -99, 2966, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-07-04 00:00:00', 0.01, 10.1722374, -99, 2902, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-07-05 00:00:00', 0.810000002, 9.3220920560000007, -99, 2095, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-07-06 00:00:00', 0, 9.3922967909999997, -99, 1004, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-07-07 00:00:00', 0, 10.14720726, -99, 1411, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-07-08 00:00:00', 0.85000002399999997, 7.1675510410000003, -99, 2174, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-07-09 00:00:00', 8.3999996190000008, 9.7966070179999996, -99, 994, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-07-10 00:00:00', 11, 11.67246437, -99, 1030, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-07-11 00:00:00', 6.9800000190000002, 10.85550117, -99, 1577, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-07-12 00:00:00', 0.46000000800000002, 11.07860661, -99, 1411, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-07-13 00:00:00', 1.5099999900000001, 9.6300687790000001, -99, 2293, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-07-14 00:00:00', 2.2999999519999998, 11.686616900000001, -99, 1915, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-07-15 00:00:00', 0, 9.5935993190000008, -99, 2444, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-07-16 00:00:00', 0, 7.0845217700000003, -99, 2182, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-07-17 00:00:00', 0.310000002, 7.505886555, -99, 1321, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-07-18 00:00:00', 1.0499999520000001, 11.05852509, -99, 1199, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-07-19 00:00:00', 0, 11.058016780000001, -99, 842, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-07-20 00:00:00', 0, 12.040427210000001, -99, 1915, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-07-21 00:00:00', 0.029999998999999999, 11.903419489999999, -99, 2650, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-07-22 00:00:00', 8.1700000760000009, 13.01487637, -99, 1670, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-07-23 00:00:00', 0.14000000100000001, 8.9451942439999996, -99, 2009, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-07-24 00:00:00', 0.029999998999999999, 11.01599407, -99, 1566, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-07-25 00:00:00', 2.0699999330000001, 14.3000927, -99, 1426, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-07-26 00:00:00', 0, 9.8509292599999991, -99, 2174, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-07-27 00:00:00', 0.10000000100000001, 11.18757725, -99, 763, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-07-28 00:00:00', 0.070000000000000007, 13.408786770000001, -99, 1051, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-07-29 00:00:00', 0.039999999000000001, 10.94025517, -99, 1447, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-07-30 00:00:00', 0.18000000699999999, 13.85047722, -99, 878, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-07-31 00:00:00', 1.6000000240000001, 12.932122229999999, -99, 1444, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-08-01 00:00:00', 2.7000000480000002, 12.42336369, -99, 1127, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-08-02 00:00:00', 2.420000076, 13.48145008, -99, 2326, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-08-03 00:00:00', 16.520000459999999, 12.07709026, -99, 1462, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-08-04 00:00:00', 0.61000001400000003, 10.730696679999999, -99, 2099, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-08-05 00:00:00', 0.30000001199999998, 11.41664696, -99, 1076, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-08-06 00:00:00', 0.30000001199999998, 10.139973639999999, -99, 1246, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-08-07 00:00:00', 0, 10.645116809999999, -99, 1634, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-08-08 00:00:00', 0, 8.4106531140000005, -99, 1670, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-08-09 00:00:00', 0.050000001000000002, 8.954776764, -99, 2441, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-08-10 00:00:00', 3.210000038, 12.24982071, -99, 623, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-08-11 00:00:00', 0.070000000000000007, 14.836339000000001, -99, 994, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-08-12 00:00:00', 0.12999999500000001, 13.130040169999999, -99, 1742, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-08-13 00:00:00', 0, 8.3719949719999995, -99, 2124, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-08-14 00:00:00', 5.1799998279999997, 12.75590897, -99, 1332, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-08-15 00:00:00', 0, 16.77926064, -99, 1372, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-08-16 00:00:00', 5.1300001139999996, 12.69297409, -99, 1177, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-08-17 00:00:00', 6.9699997900000001, 11.00820255, -99, 1321, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-08-18 00:00:00', 0.63999998599999997, 11.69479847, -99, 1753, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-08-19 00:00:00', 0.439999998, 11.435954089999999, -99, 1454, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-08-20 00:00:00', 0, 14.00899124, -99, 1868, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-08-21 00:00:00', 0, 9.9032888410000002, -99, 1735, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-08-22 00:00:00', 0, 6.8383870120000001, -99, 2059, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-08-23 00:00:00', 0, 6.1842856409999998, -99, 1670, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-08-24 00:00:00', 1.789999962, 8.1477298739999995, -99, 760, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-08-25 00:00:00', 0, 11.466475490000001, -99, 1454, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-08-26 00:00:00', 0, 7.6854619980000001, -99, 2052, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-08-27 00:00:00', 0, 14.489501949999999, -99, 1444, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-08-28 00:00:00', 11.25, 13.44820786, -99, 1206, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-08-29 00:00:00', 1.7400000099999999, 11.047870639999999, -99, 1271, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-08-30 00:00:00', 1.1399999860000001, 7.75452137, -99, 1390, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-08-31 00:00:00', 0.10000000100000001, 8.2074508670000004, -99, 1256, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-09-01 00:00:00', 7.1199998860000004, 6.4761033059999997, -99, 1192, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-09-02 00:00:00', 4.8699998860000004, 11.87171459, -99, 1249, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-09-03 00:00:00', 0.15999999600000001, 12.520092010000001, -99, 1019, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-09-04 00:00:00', 0, 6.5032830239999999, -99, 1674, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-09-05 00:00:00', 0.25, 8.4683160780000009, -99, 918, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-09-06 00:00:00', 10.130000109999999, 9.1807479860000001, -99, 238, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-09-07 00:00:00', 3.8499999049999998, 9.6348276140000007, -99, 990, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-09-08 00:00:00', 0.36000001399999998, 11.902456279999999, -99, 1350, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-09-09 00:00:00', 0, 11.054805760000001, -99, 1364, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-09-10 00:00:00', 0, 8.2820978160000003, -99, 612, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-09-11 00:00:00', 4.7300000190000002, 5.9905457499999999, -99, 1447, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-09-12 00:00:00', 7.9499998090000004, 11.50488949, -99, 608, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-09-13 00:00:00', 6.4400000569999998, 13.628650670000001, -99, 997, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-09-14 00:00:00', 8.75, 13.41588116, -99, 493, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-09-15 00:00:00', 3.3499999049999998, 13.07214832, -99, 317, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-09-16 00:00:00', 0.810000002, 12.95309162, -99, 612, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-09-17 00:00:00', 0.790000021, 11.76812172, -99, 432, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-09-18 00:00:00', 0.36000001399999998, 11.1149168, -99, 374, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-09-19 00:00:00', 0, 9.7119922639999992, -99, 1285, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-09-20 00:00:00', 0, 10.04532433, -99, 958, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-09-21 00:00:00', 0, 10.74168205, -99, 997, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-09-22 00:00:00', 0, 9.5198516850000008, -99, 1249, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-09-23 00:00:00', 0, 9.8204116819999996, -99, 1364, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-09-24 00:00:00', 0, 7.4815068240000002, -99, 1422, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-09-25 00:00:00', 0, 7.8239717479999999, -99, 1217, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-09-26 00:00:00', 1.3700000050000001, 8.5866117479999993, -99, 619, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-09-27 00:00:00', 2, 11.66747475, -99, 623, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-09-28 00:00:00', 1.9099999670000001, 10.543597220000001, -99, 299, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-09-29 00:00:00', 0, 13.40808773, -99, 1084, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-09-30 00:00:00', 0, 11.989180559999999, -99, 1224, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-10-01 00:00:00', 0.41999998700000002, 10.482933040000001, -99, 1091, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-10-02 00:00:00', 5.4099998469999999, 12.08468914, -99, 421, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-10-03 00:00:00', 0, 9.4705076219999995, -99, 637, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-10-04 00:00:00', 0.790000021, 9.0785369869999997, -99, 540, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-10-05 00:00:00', 2.630000114, 11.783668520000001, -99, 425, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-10-06 00:00:00', 0.18000000699999999, 8.2341775889999997, -99, 734, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-10-07 00:00:00', 0.070000000000000007, 5.3610825540000002, -99, 673, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-10-08 00:00:00', 1.75, 7.5635943409999999, -99, 997, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-10-09 00:00:00', 1.3300000430000001, 8.8883132929999995, -99, 450, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-10-10 00:00:00', 4.7699999809999998, 6.7782921790000001, -99, 162, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-10-11 00:00:00', 6.5100002290000001, 5.8994545939999998, -99, 148, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-10-12 00:00:00', 0.01, 6.6036734580000003, -99, 673, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-10-13 00:00:00', 0.75, 7.4183416370000002, -99, 601, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-10-14 00:00:00', 0, 7.1834325789999998, -99, 544, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-10-15 00:00:00', 0, 5.9714431760000002, -99, 590, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-10-16 00:00:00', 0.37999999499999998, 11.43307877, -99, 310, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-10-17 00:00:00', 0, 11.076623919999999, -99, 468, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-10-18 00:00:00', 0, 5.438968182, -99, 691, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-10-19 00:00:00', 1.309999943, 7.2335257530000003, -99, 104, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-10-20 00:00:00', 0.039999999000000001, 8.9492568969999997, -99, 220, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-10-21 00:00:00', 0.60000002399999997, 10.57902241, -99, 284, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-10-22 00:00:00', 0.039999999000000001, 11.53772068, -99, 295, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-10-23 00:00:00', 8.8699998860000004, 11.491179470000001, -99, 342, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-10-24 00:00:00', 5.0599999430000002, 10.252151489999999, -99, 194, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-10-25 00:00:00', 9.7600002289999992, 9.8071575160000002, -99, 101, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-10-26 00:00:00', 5.4499998090000004, 9.2939577100000008, -99, 238, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-10-27 00:00:00', 1.2400000099999999, 7.3342938420000001, -99, 274, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-10-28 00:00:00', 4.8600001339999999, 9.1983585360000006, -99, 248, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-10-29 00:00:00', 20.61000061, 10.447781559999999, -99, 256, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-10-30 00:00:00', 18.530000690000001, 6.2494850160000004, -99, 119, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-10-31 00:00:00', 7.5599999430000002, 6.3807125090000003, -99, 68, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-11-01 00:00:00', 12.10999966, 7.1360177990000002, -99, 234, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-11-02 00:00:00', 4.4800000190000002, 6.0790915490000001, -99, 216, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-11-03 00:00:00', 0, 5.9287281040000002, -99, 378, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-11-04 00:00:00', 2.130000114, 3.7192282680000002, -99, 137, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-11-05 00:00:00', 3.9500000480000002, 4.2360124590000003, -99, 356, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-11-06 00:00:00', 2.1099998950000001, 3.627346277, -99, 234, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-11-07 00:00:00', 6.8400001530000001, 7.6429166789999998, -99, 162, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-11-08 00:00:00', 0.61000001400000003, 5.8910923000000004, -99, 187, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-11-09 00:00:00', 5, 7.2594804760000002, -99, 104, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-11-10 00:00:00', 4.2699999809999998, 7.5077323910000002, -99, 234, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-11-11 00:00:00', 6.3699998860000004, 4.7886776920000003, -99, 50, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-11-12 00:00:00', 4.6399998660000001, 5.5413494109999997, -99, 83, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-11-13 00:00:00', 0.119999997, 6.8328289990000002, -99, 317, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-11-14 00:00:00', 0, 3.9517555240000002, -99, 367, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-11-15 00:00:00', 4.9499998090000004, 1.817231297, -99, 151, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-11-16 00:00:00', 2.9500000480000002, 4.1327366830000001, -99, 119, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-11-17 00:00:00', 1.809999943, 5.6057205200000002, -99, 259, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-11-18 00:00:00', 12.47000027, 2.136292219, -99, 223, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-11-19 00:00:00', 4.9800000190000002, 5.1391167639999997, -99, 76, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-11-20 00:00:00', 0.23999999499999999, 6.0171585079999996, -99, 65, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-11-21 00:00:00', 0.20000000300000001, 3.5271747109999998, -99, 364, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-11-22 00:00:00', 1.7999999520000001, 3.1263303759999999, -99, 234, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-11-23 00:00:00', 0.209999993, 4.3659586910000003, -99, 230, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-11-24 00:00:00', 0.64999997600000003, 6.7390832899999999, -99, 94, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-11-25 00:00:00', 0, 3.6796815399999998, -99, 227, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-11-26 00:00:00', 0.079999998000000003, 3.4660351280000001, -99, 140, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-11-27 00:00:00', 2.2200000289999999, 4.8685507770000003, -99, 245, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-11-28 00:00:00', 10.10999966, 4.3476920129999996, -99, 79, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-11-29 00:00:00', 0.40999999599999998, 6.3914446829999996, -99, 166, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-11-30 00:00:00', 0, 8.3528852459999996, -99, 248, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-12-01 00:00:00', 3.0099999899999998, 4.3592367169999999, -99, 155, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-12-02 00:00:00', 0.02, 8.1877555849999997, -99, 230, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-12-03 00:00:00', 3.2599999899999998, 6.4592490199999997, -99, 50, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-12-04 00:00:00', 0.72000002900000004, 5.182641029, -99, 191, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-12-05 00:00:00', 0.01, 6.1426610950000002, -99, 220, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-12-06 00:00:00', 8.8699998860000004, 6.3028421400000001, -99, 144, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-12-07 00:00:00', 1.960000038, 6.4759874340000003, -99, 245, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-12-08 00:00:00', 3.6099998950000001, 5.8072099689999996, -99, 126, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-12-09 00:00:00', 0.039999999000000001, 6.2161297800000002, -99, 238, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-12-10 00:00:00', 2.3099999430000002, 7.3444280620000004, -99, 180, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-12-11 00:00:00', 5.1999998090000004, 6.4183220859999999, -99, 108, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-12-12 00:00:00', 8.7600002289999992, 9.1789436339999995, -99, 108, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-12-13 00:00:00', 11.77999973, 9.8379049300000005, -99, 166, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-12-14 00:00:00', 7.75, 5.7773003579999997, -99, 187, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-12-15 00:00:00', 2.960000038, 5.7718329429999997, -99, 166, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-12-16 00:00:00', 0.15000000599999999, 2.4081842899999999, -99, 212, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-12-17 00:00:00', 1.7200000289999999, 1.8742972609999999, -99, 162, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-12-18 00:00:00', 0.12999999500000001, 1.6210049390000001, -99, 176, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-12-19 00:00:00', 0.61000001400000003, 0.86663299800000004, -99, 194, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-12-20 00:00:00', 0, -0.16444265799999999, -99, 238, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-12-21 00:00:00', 0, -0.620138407, -99, 212, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-12-22 00:00:00', 0, -3.576861858, -99, 148, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-12-23 00:00:00', 0.02, -6.952329636, -99, 205, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-12-24 00:00:00', 0, -1.6010932920000001, -99, 112, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-12-25 00:00:00', 0.12999999500000001, -5.778968334, -99, 245, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-12-26 00:00:00', 0.01, -8.0712118149999998, -99, 245, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-12-27 00:00:00', 1.7400000099999999, -3.8024446959999998, -99, 108, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-12-28 00:00:00', 1.7799999710000001, 0.196650088, -99, 104, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-12-29 00:00:00', 6.1900000569999998, -0.12552060200000001, -99, 184, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-12-30 00:00:00', 0.810000002, -0.39177775399999998, -99, 122, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2000-12-31 00:00:00', 0.109999999, -7.7054605479999996, -99, 259, 'ask', 'ask_2000');
INSERT INTO public.cdy_cldat VALUES ('2001-01-01 00:00:00', 2.0899999139999998, -3.4910719389999998, -99, 97, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-01-02 00:00:00', 3.130000114, 0.64539104700000005, -99, 115, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-01-03 00:00:00', 2.2000000480000002, 3.6957342620000002, -99, 108, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-01-04 00:00:00', 2.75, 0.061638924999999997, -99, 119, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-01-05 00:00:00', 7.2899999619999996, 3.3084316249999999, -99, 130, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-01-06 00:00:00', 0.56999999300000004, 4.3197269440000001, -99, 155, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-01-07 00:00:00', 3.7200000289999999, 4.2884321209999996, -99, 187, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-01-08 00:00:00', 2.9400000569999998, 3.8977873330000001, -99, 104, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-01-09 00:00:00', 0.5, 3.4198234080000001, -99, 241, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-01-10 00:00:00', 0.119999997, -3.9940941329999999, -99, 248, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-01-11 00:00:00', 0.25, -6.8227205279999996, -99, 277, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-01-12 00:00:00', 0.12999999500000001, -5.6491527560000003, -99, 234, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-01-13 00:00:00', 0.12999999500000001, -6.3154358860000004, -99, 180, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-01-14 00:00:00', 0, -0.64985006999999995, -99, 209, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-01-15 00:00:00', 0, -3.2881054879999998, -99, 220, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-01-16 00:00:00', 0, -2.4598557950000002, -99, 245, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-01-17 00:00:00', 0, -3.5906705859999999, -99, 320, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-01-18 00:00:00', 0, -2.2996363639999999, -99, 209, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-01-19 00:00:00', 0.36000001399999998, -1.477151275, -99, 130, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-01-20 00:00:00', 0.5, -3.1192660330000002, -99, 126, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-01-21 00:00:00', 0, -0.67148423199999996, -99, 144, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-01-22 00:00:00', 0.02, 0.057202779000000002, -99, 140, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-01-23 00:00:00', 4.6399998660000001, -0.81883937100000004, -99, 101, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-01-24 00:00:00', 7.3699998860000004, 2.6368284229999999, -99, 187, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-01-25 00:00:00', 4.4000000950000002, 1.4256374839999999, -99, 151, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-01-26 00:00:00', 0.85000002399999997, 3.1572136880000001, -99, 227, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-01-27 00:00:00', 0, 1.242997766, -99, 356, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-01-28 00:00:00', 0.25, 0.58976388000000002, -99, 187, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-01-29 00:00:00', 0.14000000100000001, 0.678357184, -99, 227, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-01-30 00:00:00', 0.20000000300000001, -0.20691442500000001, -99, 382, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-01-31 00:00:00', 0.97000002900000004, 0.17992869, -99, 353, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-02-01 00:00:00', 0.079999998000000003, -0.78308999499999998, -99, 472, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-02-02 00:00:00', 0.079999998000000003, -5.2856187820000002, -99, 410, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-02-03 00:00:00', 0.10000000100000001, -8.3897705079999998, -99, 310, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-02-04 00:00:00', 0.219999999, -5.953317642, -99, 490, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-02-05 00:00:00', 0.64999997600000003, -5.7153191569999997, -99, 166, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-02-06 00:00:00', 10.34000015, -2.2876825329999999, -99, 256, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-02-07 00:00:00', 1.6299999949999999, 3.8188490869999998, -99, 396, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-02-08 00:00:00', 12.130000109999999, 3.5450639719999999, -99, 202, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-02-09 00:00:00', 0.27000001099999998, -2.3085668090000002, -99, 616, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-02-10 00:00:00', 5.1300001139999996, -4.5440912249999998, -99, 392, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-02-11 00:00:00', 20.549999239999998, -1.529691696, -99, 158, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-02-12 00:00:00', 5.4499998090000004, 6.2802920340000004, -99, 284, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-02-13 00:00:00', 0, 2.8205730920000001, -99, 551, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-02-14 00:00:00', 0, 0.55631625699999998, -99, 504, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-02-15 00:00:00', 0, -0.66227084400000003, -99, 457, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-02-16 00:00:00', 0, 1.6551764010000001, -99, 378, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-02-17 00:00:00', 0, -2.9424641130000002, -99, 281, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-02-18 00:00:00', 0, 2.2273468969999999, -99, 662, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-02-19 00:00:00', 0, 1.932029843, -99, 342, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-02-20 00:00:00', 0.039999999000000001, 1.9257770780000001, -99, 371, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-02-21 00:00:00', 1.1699999569999999, 3.516313314, -99, 619, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-02-22 00:00:00', 0.519999981, 0.65948802200000001, -99, 569, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-02-23 00:00:00', 0.14000000100000001, -4.0637512210000004, -99, 724, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-02-24 00:00:00', 0.310000002, -10.30002975, -99, 436, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-02-25 00:00:00', 0.52999997099999996, -5.919123173, -99, 544, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-02-26 00:00:00', 0.14000000100000001, -8.2725849149999995, -99, 673, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-02-27 00:00:00', 0, -5.1101937289999997, -99, 616, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-02-28 00:00:00', 0.25, -2.0472462180000002, -99, 540, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-03-01 00:00:00', 2.1600000860000002, -1.6483412980000001, -99, 461, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-03-02 00:00:00', 0.059999998999999998, -4.3519415859999997, -99, 612, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-03-03 00:00:00', 0.18000000699999999, -11.260625839999999, -99, 878, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-03-04 00:00:00', 0, -12.702854159999999, -99, 803, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-03-05 00:00:00', 0, -12.56194305, -99, 922, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-03-06 00:00:00', 0, -7.1235575679999998, -99, 1015, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-03-07 00:00:00', 0.20000000300000001, -4.4075684549999998, -99, 511, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-03-08 00:00:00', 4.5999999049999998, -0.022976656000000002, -99, 482, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-03-09 00:00:00', 2.670000076, 2.5279107089999999, -99, 500, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-03-10 00:00:00', 1.190000057, 5.5425839420000003, -99, 547, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-03-11 00:00:00', 9.8199996949999999, 6.3380441669999996, -99, 497, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-03-12 00:00:00', 0.38999998600000002, 5.3688616749999998, -99, 626, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-03-13 00:00:00', 7.079999924, 0.40618097800000003, -99, 500, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-03-14 00:00:00', 3.579999924, 1.4326251750000001, -99, 832, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-03-15 00:00:00', 3.5899999139999998, 2.3131506439999998, -99, 1116, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-03-16 00:00:00', 0.17000000200000001, -1.1226261850000001, -99, 1368, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-03-17 00:00:00', 0.94999998799999996, -4.7905464169999998, -99, 1037, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-03-18 00:00:00', 0.519999981, -0.079429761000000002, -99, 763, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-03-19 00:00:00', 1.4099999670000001, -2.0563597680000001, -99, 490, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-03-20 00:00:00', 0.219999999, -11.788381579999999, -99, 1030, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-03-21 00:00:00', 0, -10.94229412, -99, 1444, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-03-22 00:00:00', 0, -3.9291644099999998, -99, 1044, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-03-23 00:00:00', 0, -5.1185894010000004, -99, 875, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-03-24 00:00:00', 0, 0.54287701799999999, -99, 853, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-03-25 00:00:00', 0, 0.014509706000000001, -99, 1210, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-03-26 00:00:00', 0, -1.8470211030000001, -99, 1346, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-03-27 00:00:00', 0, -2.630623817, -99, 1645, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-03-28 00:00:00', 0.66000002599999996, -2.291026354, -99, 1145, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-03-29 00:00:00', 4.4000000950000002, 0.78003233699999996, -99, 425, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-03-30 00:00:00', 0, 2.446667433, -99, 774, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-03-31 00:00:00', 3.4100000860000002, 2.8136174679999999, -99, 716, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-04-01 00:00:00', 0, 5.7024550439999997, -99, 997, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-04-02 00:00:00', 0, 3.2571277620000001, -99, 1213, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-04-03 00:00:00', 0.46000000800000002, 5.5730953220000004, -99, 911, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-04-04 00:00:00', 6.170000076, 1.5082415339999999, -99, 893, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-04-05 00:00:00', 0.46000000800000002, 3.5732297900000001, -99, 1397, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-04-06 00:00:00', 0.72000002900000004, 3.8481810090000002, -99, 612, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-04-07 00:00:00', 7.170000076, 6.4773654939999998, -99, 522, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-04-08 00:00:00', 0.059999998999999998, 2.4845290179999999, -99, 806, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-04-09 00:00:00', 0, 1.9057899709999999, -99, 1674, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-04-10 00:00:00', 0.01, 4.9045195579999996, -99, 940, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-04-11 00:00:00', 0.01, 3.8659355639999999, -99, 1764, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-04-12 00:00:00', 0.01, 0.71823006899999997, -99, 1454, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-04-13 00:00:00', 0, -2.4905669690000001, -99, 1562, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-04-14 00:00:00', 0.46000000800000002, -5.4600467679999998, -99, 1138, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-04-15 00:00:00', 7.0199999809999998, -0.57739049200000003, -99, 745, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-04-16 00:00:00', 0, 2.1366012099999998, -99, 770, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-04-17 00:00:00', 3.079999924, 1.135472059, -99, 918, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-04-18 00:00:00', 0.27000001099999998, 2.114238024, -99, 1631, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-04-19 00:00:00', 0.25, -1.6057929989999999, -99, 1634, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-04-20 00:00:00', 0.43000000700000002, -1.505293131, -99, 1408, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-04-21 00:00:00', 0, -0.26758045000000003, -99, 2052, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-04-22 00:00:00', 0, -2.2004261020000002, -99, 2110, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-04-23 00:00:00', 0.27000001099999998, -0.75370997200000001, -99, 1127, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-04-24 00:00:00', 3.8199999330000001, 3.173944235, -99, 2200, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-04-25 00:00:00', 6.5599999430000002, 6.0167589189999999, -99, 742, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-04-26 00:00:00', 3.9100000860000002, 5.1689052579999997, -99, 886, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-04-27 00:00:00', 1.710000038, 6.1303596499999999, -99, 979, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-04-28 00:00:00', 6.8699998860000004, 2.5812718870000002, -99, 1174, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-04-29 00:00:00', 2.8599998950000001, 3.2261090280000002, -99, 2218, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-04-30 00:00:00', 0.15999999600000001, 7.1853394509999999, -99, 1213, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-05-01 00:00:00', 0.219999999, 6.6985998149999997, -99, 1645, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-05-02 00:00:00', 0, 1.03873086, -99, 2524, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-05-03 00:00:00', 0.939999998, 4.9583845139999996, -99, 1732, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-05-04 00:00:00', 0, 6.3305215840000004, -99, 1886, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-05-05 00:00:00', 0, -0.19366905100000001, -99, 1861, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-05-06 00:00:00', 0, 3.1377534869999999, -99, 2563, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-05-07 00:00:00', 0.01, 2.9980828759999998, -99, 1310, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-05-08 00:00:00', 0.94999998799999996, 7.2660379410000004, -99, 1422, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-05-09 00:00:00', 0, 5.3334560389999996, -99, 2725, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-05-10 00:00:00', 0, 6.5500345229999999, -99, 2434, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-05-11 00:00:00', 0, 7.53208828, -99, 2776, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-05-12 00:00:00', 0, 5.8664898870000002, -99, 2786, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-05-13 00:00:00', 0, 5.8504328729999999, -99, 2477, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-05-14 00:00:00', 0, 4.6249504090000002, -99, 2358, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-05-15 00:00:00', 1.539999962, 7.8763175009999999, -99, 860, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-05-16 00:00:00', 8.0299997330000004, 6.2346940039999996, -99, 943, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-05-17 00:00:00', 11.93000031, 10.487160680000001, -99, 1433, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-05-18 00:00:00', 2.119999886, 6.3779449460000004, -99, 1462, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-05-19 00:00:00', 0, 7.3308639529999997, -99, 2282, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-05-20 00:00:00', 0, 5.411069393, -99, 2419, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-05-21 00:00:00', 0, 5.9893431660000003, -99, 2070, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-05-22 00:00:00', 0, 3.1441333290000002, -99, 2606, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-05-23 00:00:00', 0, 3.246735573, -99, 2920, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-05-24 00:00:00', 0, 4.8878755570000001, -99, 1948, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-05-25 00:00:00', 0, 2.8033075329999999, -99, 2977, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-05-26 00:00:00', 0, 6.3577194209999996, -99, 1663, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-05-27 00:00:00', 1.7400000099999999, 8.4379739760000003, -99, 1080, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-05-28 00:00:00', 2.4900000100000002, 11.779992099999999, -99, 1624, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-05-29 00:00:00', 0.10000000100000001, 10.15567875, -99, 1692, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-05-30 00:00:00', 2.6400001049999999, 9.6782436369999996, -99, 2243, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-05-31 00:00:00', 1.7799999710000001, 8.6263818739999998, -99, 1310, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-06-01 00:00:00', 0.37000000500000002, 8.9239501949999998, -99, 1498, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-06-02 00:00:00', 10.989999770000001, 8.0431489939999992, -99, 792, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-06-03 00:00:00', 2.8199999330000001, 6.7866978649999998, -99, 742, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-06-04 00:00:00', 0.87999999500000003, 6.4159865380000003, -99, 1102, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-06-05 00:00:00', 0, 9.3791570659999994, -99, 1850, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-06-06 00:00:00', 12.44999981, 7.7039308550000003, -99, 1638, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-06-07 00:00:00', 1.8999999759999999, 10.74707031, -99, 1501, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-06-08 00:00:00', 0.61000001400000003, 4.7738652229999996, -99, 2470, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-06-09 00:00:00', 0.23999999499999999, 3.2555024619999999, -99, 2430, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-06-10 00:00:00', 0.050000001000000002, 4.1276164050000004, -99, 2027, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-06-11 00:00:00', 2.2300000190000002, 3.6726267340000001, -99, 1814, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-06-12 00:00:00', 0.40999999599999998, 7.9089264869999996, -99, 2023, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-06-13 00:00:00', 0, 6.1203117369999998, -99, 1606, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-06-14 00:00:00', 0, 3.7584555150000001, -99, 1962, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-06-15 00:00:00', 5.6199998860000004, 4.7788577080000003, -99, 1357, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-06-16 00:00:00', 2.2699999809999998, 11.28688622, -99, 1552, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-06-17 00:00:00', 0, 8.0620193479999998, -99, 1706, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-06-18 00:00:00', 0.02, 7.634021282, -99, 2747, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-06-19 00:00:00', 0, 9.8377275470000001, -99, 1656, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-06-20 00:00:00', 0.50999998999999996, 4.9420022960000001, -99, 1109, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-06-21 00:00:00', 3.1900000569999998, 9.2948455810000006, -99, 1627, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-06-22 00:00:00', 3.6600000860000002, 9.0304088589999996, -99, 1944, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-06-23 00:00:00', 0, 11.883788109999999, -99, 1951, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-06-24 00:00:00', 0, 10.79607105, -99, 1498, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-06-25 00:00:00', 0, 9.6301498409999997, -99, 2621, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-06-26 00:00:00', 0, 10.576345440000001, -99, 2470, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-06-27 00:00:00', 1.019999981, 10.0870142, -99, 2002, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-06-28 00:00:00', 0, 15.17260933, -99, 2009, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-06-29 00:00:00', 0, 10.080475809999999, -99, 2066, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-06-30 00:00:00', 4.5300002099999999, 13.02105618, -99, 1109, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-07-01 00:00:00', 0.01, 11.584563259999999, -99, 1732, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-07-02 00:00:00', 0, 11.865213389999999, -99, 2383, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-07-03 00:00:00', 0, 13.92487049, -99, 1408, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-07-04 00:00:00', 0, 13.57651615, -99, 3038, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-07-05 00:00:00', 0, 13.20833397, -99, 2869, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-07-06 00:00:00', 0.10000000100000001, 15.787502290000001, -99, 2596, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-07-07 00:00:00', 0, 17.460550309999999, -99, 2106, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-07-08 00:00:00', 27.209999079999999, 16.871305469999999, -99, 990, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-07-09 00:00:00', 0.039999999000000001, 16.250255580000001, -99, 590, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-07-10 00:00:00', 6.6900000569999998, 14.95662212, -99, 1519, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-07-11 00:00:00', 6.8899998660000001, 13.745376589999999, -99, 1685, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-07-12 00:00:00', 5.2199997900000001, 11.51035023, -99, 1847, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-07-13 00:00:00', 3.670000076, 9.8673877720000007, -99, 1552, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-07-14 00:00:00', 1.289999962, 9.4431467060000003, -99, 1616, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-07-15 00:00:00', 0, 13.94093704, -99, 2020, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-07-16 00:00:00', 0, 8.6487483980000004, -99, 1544, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-07-17 00:00:00', 0, 6.5242366790000004, -99, 2315, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-07-18 00:00:00', 0, 8.6620140079999999, -99, 1800, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-07-19 00:00:00', 1.440000057, 12.236331939999999, -99, 1868, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-07-20 00:00:00', 3, 10.962623600000001, -99, 1703, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-07-21 00:00:00', 0.219999999, 13.17232609, -99, 1584, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-07-22 00:00:00', 0.14000000100000001, 14.621368410000001, -99, 1598, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-07-23 00:00:00', 0.02, 10.36922264, -99, 2264, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-07-24 00:00:00', 0.029999998999999999, 13.69103336, -99, 1544, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-07-25 00:00:00', 0, 13.387977599999999, -99, 2153, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-07-26 00:00:00', 0, 10.161229130000001, -99, 2668, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-07-27 00:00:00', 0.310000002, 10.99982357, -99, 2498, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-07-28 00:00:00', 1.1100000139999999, 15.246917720000001, -99, 1692, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-07-29 00:00:00', 0, 10.43976307, -99, 2290, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-07-30 00:00:00', 0.01, 16.54359818, -99, 2074, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-07-31 00:00:00', 0.88999998599999997, 11.674471860000001, -99, 569, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-08-01 00:00:00', 0, 10.540441510000001, -99, 1868, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-08-02 00:00:00', 0.63999998599999997, 8.6221075060000008, -99, 2315, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-08-03 00:00:00', 3.5099999899999998, 16.19569778, -99, 799, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-08-04 00:00:00', 1.8300000430000001, 12.511337279999999, -99, 1480, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-08-05 00:00:00', 9.5299997330000004, 9.8201694489999998, -99, 1181, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-08-06 00:00:00', 17.129999160000001, 10.11368942, -99, 1397, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-08-07 00:00:00', 10.579999920000001, 12.45697689, -99, 2156, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-08-08 00:00:00', 10.079999920000001, 12.8311882, -99, 1238, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-08-09 00:00:00', 0.37000000500000002, 13.26121712, -99, 1782, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-08-10 00:00:00', 0.50999998999999996, 8.9975996019999993, -99, 1627, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-08-11 00:00:00', 7.8899998660000001, 8.9867334369999998, -99, 1775, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-08-12 00:00:00', 8.6099996569999995, 11.207705499999999, -99, 565, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-08-13 00:00:00', 0.439999998, 14.456183429999999, -99, 1152, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-08-14 00:00:00', 0, 16.92181969, -99, 1829, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-08-15 00:00:00', 0, 14.17131805, -99, 2347, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-08-16 00:00:00', 2.1500000950000002, 17.77727127, -99, 1289, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-08-17 00:00:00', 0, 11.621831889999999, -99, 1836, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-08-18 00:00:00', 0, 7.6676182749999997, -99, 2002, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-08-19 00:00:00', 2.1099998950000001, 14.71121407, -99, 1004, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-08-20 00:00:00', 0.029999998999999999, 14.32676792, -99, 1314, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-08-21 00:00:00', 0, 12.250782969999999, -99, 2048, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-08-22 00:00:00', 0, 10.655492779999999, -99, 1822, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-08-23 00:00:00', 0, 13.89043236, -99, 1260, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-08-24 00:00:00', 6.4000000950000002, 16.48920631, -99, 1703, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-08-25 00:00:00', 0, 17.308031079999999, -99, 1760, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-08-26 00:00:00', 8.5299997330000004, 17.11330032, -99, 1228, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-08-27 00:00:00', 0.219999999, 14.18899536, -99, 1584, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-08-28 00:00:00', 0, 11.95396614, -99, 1141, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-08-29 00:00:00', 0, 9.6735219959999998, -99, 1616, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-08-30 00:00:00', 0, 9.273967743, -99, 1382, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-08-31 00:00:00', 0.25, 15.44867897, -99, 626, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-09-01 00:00:00', 0.91000002599999996, 11.159073830000001, -99, 1055, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-09-02 00:00:00', 4.2199997900000001, 9.1066646579999997, -99, 461, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-09-03 00:00:00', 2.3900001049999999, 12.626464840000001, -99, 716, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-09-04 00:00:00', 0.68000000699999996, 11.287665369999999, -99, 1454, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-09-05 00:00:00', 0.23000000400000001, 10.26004696, -99, 1098, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-09-06 00:00:00', 5.9099998469999999, 11.396315570000001, -99, 817, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-09-07 00:00:00', 9.3699998860000004, 10.243873600000001, -99, 940, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-09-08 00:00:00', 1.3200000519999999, 8.9522504810000001, -99, 1073, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-09-09 00:00:00', 2.380000114, 7.9328002929999997, -99, 878, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-09-10 00:00:00', 2.289999962, 11.45971394, -99, 756, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-09-11 00:00:00', 4.1399998660000001, 7.9175195690000004, -99, 652, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-09-12 00:00:00', 5.9600000380000004, 4.4734177590000002, -99, 1073, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-09-13 00:00:00', 7.7800002099999999, 12.21024227, -99, 990, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-09-14 00:00:00', 0.37999999499999998, 6.847559929, -99, 918, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-09-15 00:00:00', 3.9100000860000002, 9.8610811229999999, -99, 835, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-09-16 00:00:00', 1.809999943, 5.8931541440000004, -99, 1274, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-09-17 00:00:00', 10.850000380000001, 8.4271755220000006, -99, 400, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-09-18 00:00:00', 32.209999080000003, 11.89662933, -99, 324, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-09-19 00:00:00', 0, 10.454648969999999, -99, 893, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-09-20 00:00:00', 10.18999958, 10.790092469999999, -99, 734, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-09-21 00:00:00', 6.0199999809999998, 10.62339783, -99, 500, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-09-22 00:00:00', 5.0100002290000001, 8.428692818, -99, 486, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-09-23 00:00:00', 0.83999997400000004, 8.5884828570000007, -99, 655, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-09-24 00:00:00', 9.0200004580000002, 9.1817378999999999, -99, 302, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-09-25 00:00:00', 3.329999924, 8.8935947419999994, -99, 360, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-09-26 00:00:00', 0.01, 9.7193260190000004, -99, 515, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-09-27 00:00:00', 4.0399999619999996, 7.4932618140000002, -99, 626, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-09-28 00:00:00', 3.0299999710000001, 5.9975504879999999, -99, 713, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-09-29 00:00:00', 3.119999886, 11.486416820000001, -99, 522, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-09-30 00:00:00', 3.8499999049999998, 12.120419500000001, -99, 392, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-10-01 00:00:00', 9.3199996949999999, 11.77266884, -99, 922, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-10-02 00:00:00', 1.940000057, 13.622039790000001, -99, 461, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-10-03 00:00:00', 0.709999979, 12.454306600000001, -99, 954, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-10-04 00:00:00', 7.6799998279999997, 11.22911072, -99, 781, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-10-05 00:00:00', 0.810000002, 9.9590635299999999, -99, 587, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-10-06 00:00:00', 0.15000000599999999, 8.8646030430000007, -99, 835, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-10-07 00:00:00', 0.46000000800000002, 12.255519870000001, -99, 464, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-10-08 00:00:00', 0.91000002599999996, 10.87617588, -99, 616, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-10-09 00:00:00', 14.850000380000001, 9.9432153700000008, -99, 320, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-10-10 00:00:00', 10.65999985, 11.42032433, -99, 356, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-10-11 00:00:00', 0, 10.006344800000001, -99, 900, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-10-12 00:00:00', 0.560000002, 13.699872020000001, -99, 324, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-10-13 00:00:00', 0.14000000100000001, 9.3015575409999993, -99, 562, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-10-14 00:00:00', 0.36000001399999998, 12.96554852, -99, 551, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-10-15 00:00:00', 0.15000000599999999, 12.703260419999999, -99, 576, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-10-16 00:00:00', 0, 12.676713940000001, -99, 716, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-10-17 00:00:00', 0, 4.8632049559999997, -99, 706, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-10-18 00:00:00', 0, 8.8989429470000001, -99, 562, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-10-19 00:00:00', 0.74000001000000004, 10.778423310000001, -99, 274, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-10-20 00:00:00', 0, 10.263384820000001, -99, 608, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-10-21 00:00:00', 0.31999999299999998, 9.1440296169999993, -99, 324, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-10-22 00:00:00', 0, 9.4897356029999997, -99, 425, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-10-23 00:00:00', 0.070000000000000007, 7.351121902, -99, 464, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-10-24 00:00:00', 1.3600000139999999, 8.5811786649999995, -99, 151, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-10-25 00:00:00', 0.94999998799999996, 7.6176648140000003, -99, 486, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-10-26 00:00:00', 2.3599998950000001, 8.5846080780000005, -99, 198, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-10-27 00:00:00', 3.0899999139999998, 11.18908405, -99, 418, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-10-28 00:00:00', 3.9900000100000002, 9.5359306339999996, -99, 425, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-10-29 00:00:00', 4.4699997900000001, 8.1066341400000006, -99, 205, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-10-30 00:00:00', 0.34999999399999998, 11.10660839, -99, 346, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-10-31 00:00:00', 5.2600002290000001, 12.61105633, -99, 270, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-11-01 00:00:00', 0.050000001000000002, 5.8264827730000004, -99, 490, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-11-02 00:00:00', 0, 3.9986577030000001, -99, 263, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-11-03 00:00:00', 1.730000019, 9.9136133189999995, -99, 184, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-11-04 00:00:00', 7.6199998860000004, 5.7226238250000003, -99, 245, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-11-05 00:00:00', 8.6999998089999995, 1.5707273479999999, -99, 479, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-11-06 00:00:00', 6.8000001909999996, 3.1014244560000002, -99, 288, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-11-07 00:00:00', 5.9600000380000004, 2.7255215640000001, -99, 331, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-11-08 00:00:00', 0.050000001000000002, -0.29567441300000002, -99, 468, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-11-09 00:00:00', 0, -0.94283848999999997, -99, 565, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-11-10 00:00:00', 0.560000002, -2.9108226300000002, -99, 230, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-11-11 00:00:00', 0.5, 7.6985669139999997, -99, 356, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-11-12 00:00:00', 5.2800002099999999, 5.8568577770000001, -99, 263, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-11-13 00:00:00', 0, -1.872676134, -99, 378, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-11-14 00:00:00', 0.15000000599999999, -2.0294075010000001, -99, 443, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-11-15 00:00:00', 0.37000000500000002, -4.5287337299999999, -99, 83, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-11-16 00:00:00', 0.40000000600000002, 3.0404524799999999, -99, 338, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-11-17 00:00:00', 0.050000001000000002, 4.490695477, -99, 292, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-11-18 00:00:00', 0.15999999600000001, 3.3790309430000001, -99, 205, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-11-19 00:00:00', 0, 6.6738395690000001, -99, 418, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-11-20 00:00:00', 0.38999998600000002, -4.1730399130000002, -99, 256, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-11-21 00:00:00', 9.6000003809999992, 4.9132595060000002, -99, 126, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-11-22 00:00:00', 0.99000001000000004, 4.4574990269999999, -99, 148, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-11-23 00:00:00', 0, -2.017262697, -99, 331, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-11-24 00:00:00', 0.959999979, -3.948204279, -99, 266, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-11-25 00:00:00', 5.0900001530000001, 3.4354045389999999, -99, 256, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-11-26 00:00:00', 0.15999999600000001, 5.3776841160000002, -99, 310, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-11-27 00:00:00', 3.960000038, -2.5069735049999999, -99, 198, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-11-28 00:00:00', 2.289999962, 0.49120971600000002, -99, 256, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-11-29 00:00:00', 3, -0.24041469400000001, -99, 144, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-11-30 00:00:00', 0.039999999000000001, 4.61020422, -99, 176, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-12-01 00:00:00', 9.5100002289999992, 3.5816147329999999, -99, 130, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-12-02 00:00:00', 0.27000001099999998, 2.345533133, -99, 270, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-12-03 00:00:00', 1.1699999569999999, 3.1349642279999999, -99, 14, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-12-04 00:00:00', 4.5599999430000002, 0.78636181400000005, -99, 119, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-12-05 00:00:00', 0.090000003999999995, 2.9578530789999999, -99, 270, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-12-06 00:00:00', 0, 3.0616731640000001, -99, 252, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-12-07 00:00:00', 0.20000000300000001, -3.704160452, -99, 248, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-12-08 00:00:00', 0.20000000300000001, -3.5041825769999999, -99, 148, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-12-09 00:00:00', 0.23000000400000001, -1.6864870789999999, -99, 122, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-12-10 00:00:00', 0, 1.7893192769999999, -99, 248, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-12-11 00:00:00', 0.27000001099999998, -1.86668396, -99, 263, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-12-12 00:00:00', 0.980000019, -3.63304019, -99, 230, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-12-13 00:00:00', 0, 1.886983037, -99, 126, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-12-14 00:00:00', 0.36000001399999998, -4.4459753040000001, -99, 126, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-12-15 00:00:00', 0, 0.17895702999999999, -99, 241, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-12-16 00:00:00', 0.5, -5.3756022449999996, -99, 252, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-12-17 00:00:00', 0.40000000600000002, -2.12838459, -99, 241, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-12-18 00:00:00', 0.209999993, -4.7536506650000003, -99, 238, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-12-19 00:00:00', 2.5, -0.41398179499999999, -99, 108, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-12-20 00:00:00', 9.8100004199999997, -5.0387673380000004, -99, 119, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-12-21 00:00:00', 2.7400000100000002, -0.62613218999999998, -99, 144, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-12-22 00:00:00', 0.01, -6.869643688, -99, 151, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-12-23 00:00:00', 7.6799998279999997, -9.5633001330000003, -99, 180, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-12-24 00:00:00', 8.9600000380000004, 1.123788953, -99, 112, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-12-25 00:00:00', 5.9000000950000002, 1.149708867, -99, 176, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-12-26 00:00:00', 0, -1.7494753599999999, -99, 198, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-12-27 00:00:00', 1.2999999520000001, -3.6098742490000002, -99, 112, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-12-28 00:00:00', 4.4400000569999998, -7.1671032910000001, -99, 112, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-12-29 00:00:00', 0.83999997400000004, -4.1144948010000002, -99, 151, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-12-30 00:00:00', 0.02, -8.3058977130000002, -99, 112, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2001-12-31 00:00:00', 0.050000001000000002, -15.51512527, -99, 173, 'ask', 'ask_2001');
INSERT INTO public.cdy_cldat VALUES ('2002-01-01 00:00:00', 2.210000038, -9.1480445859999993, -99, 97, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-01-02 00:00:00', 0, 1.600594163, -99, 266, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-01-03 00:00:00', 0, -6.4704732890000001, -99, 248, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-01-04 00:00:00', 0, -8.1059465409999998, -99, 306, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-01-05 00:00:00', 0.34999999399999998, -8.7863683699999999, -99, 230, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-01-06 00:00:00', 0, 1.924387455, -99, 292, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-01-07 00:00:00', 0, 0.99790620799999996, -99, 119, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-01-08 00:00:00', 0, 1.4451571700000001, -99, 176, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-01-09 00:00:00', 0.01, 0.96236586599999996, -99, 173, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-01-10 00:00:00', 0, 0.15490494699999999, -99, 284, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-01-11 00:00:00', 0.56999999300000004, -1.9587360620000001, -99, 191, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-01-12 00:00:00', 0.15999999600000001, -1.5280890460000001, -99, 234, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-01-13 00:00:00', 0.17000000200000001, 0.96880179600000005, -99, 317, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-01-14 00:00:00', 0, -0.22834452999999999, -99, 220, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-01-15 00:00:00', 0.17000000200000001, 0.45743572700000001, -99, 130, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-01-16 00:00:00', 0.189999998, 0.47844377199999999, -99, 252, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-01-17 00:00:00', 4.1100001339999999, 3.00114584, -99, 86, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-01-18 00:00:00', 0.039999999000000001, 2.84791398, -99, 317, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-01-19 00:00:00', 6.1799998279999997, 2.1961510180000001, -99, 220, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-01-20 00:00:00', 7.3400001530000001, 4.0791211130000002, -99, 36, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-01-21 00:00:00', 0.72000002900000004, 6.4105987549999996, -99, 101, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-01-22 00:00:00', 3.869999886, 5.5544466970000004, -99, 25, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-01-23 00:00:00', 5.4000000950000002, 4.9311275480000001, -99, 65, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-01-24 00:00:00', 9.2200002669999996, 5.3940591810000003, -99, 58, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-01-25 00:00:00', 12.100000380000001, 0.47725200699999998, -99, 263, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-01-26 00:00:00', 16.579999919999999, 0.24970862299999999, -99, 274, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-01-27 00:00:00', 5.6999998090000004, 6.0959577559999998, -99, 281, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-01-28 00:00:00', 5.170000076, 3.9954857829999999, -99, 292, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-01-29 00:00:00', 0.55000001200000004, 4.7349390979999999, -99, 212, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-01-30 00:00:00', 13.43000031, 4.7829871180000003, -99, 90, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-01-31 00:00:00', 10.89000034, 5.8189759250000002, -99, 392, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-02-01 00:00:00', 5.1500000950000002, 5.2141280170000002, -99, 245, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-02-02 00:00:00', 0, 9.1270904539999993, -99, 475, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-02-03 00:00:00', 0.58999997400000004, 5.5661029820000003, -99, 407, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-02-04 00:00:00', 14.15999985, 7.2160067559999996, -99, 382, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-02-05 00:00:00', 2.4100000860000002, 5.9836606979999996, -99, 209, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-02-06 00:00:00', 5.9400000569999998, 6.5146255489999998, -99, 227, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-02-07 00:00:00', 3.4400000569999998, 4.9064979549999999, -99, 248, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-02-08 00:00:00', 8.6700000760000009, 3.606755733, -99, 472, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-02-09 00:00:00', 1.539999962, 4.4623651500000001, -99, 252, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-02-10 00:00:00', 4.3099999430000002, 4.5223984719999999, -99, 378, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-02-11 00:00:00', 6.5, 4.8732051849999998, -99, 216, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-02-12 00:00:00', 2.8900001049999999, 7.1603155139999997, -99, 367, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-02-13 00:00:00', 0, 1.39816618, -99, 601, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-02-14 00:00:00', 0, -2.7882115839999999, -99, 688, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-02-15 00:00:00', 0.02, -3.0893061159999999, -99, 479, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-02-16 00:00:00', 0, 1.0529857869999999, -99, 450, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-02-17 00:00:00', 0.52999997099999996, 0.34884029599999999, -99, 684, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-02-18 00:00:00', 10.710000040000001, 2.0338845249999999, -99, 580, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-02-19 00:00:00', 5.9099998469999999, 0.772555828, -99, 576, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-02-20 00:00:00', 5.8000001909999996, -0.72647851699999999, -99, 504, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-02-21 00:00:00', 0, -5.0600972180000001, -99, 817, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-02-22 00:00:00', 7.7800002099999999, -0.45869967299999997, -99, 450, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-02-23 00:00:00', 1.8400000329999999, -0.180613041, -99, 605, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-02-24 00:00:00', 0.310000002, -0.136559293, -99, 691, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-02-25 00:00:00', 6.7600002290000001, -5.6581449509999997, -99, 720, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-02-26 00:00:00', 19.829999919999999, 0.24243825699999999, -99, 198, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-02-27 00:00:00', 9.9399995800000003, 2.4793808460000002, -99, 353, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-02-28 00:00:00', 5.7300000190000002, 1.2636767630000001, -99, 680, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-03-01 00:00:00', 0.01, -1.4754348989999999, -99, 936, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-03-02 00:00:00', 3.420000076, -2.742467403, -99, 529, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-03-03 00:00:00', 1.230000019, -5.6724863049999996, -99, 320, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-03-04 00:00:00', 0.02, 4.9219560619999996, -99, 526, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-03-05 00:00:00', 4.9499998090000004, 4.9769310950000003, -99, 893, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-03-06 00:00:00', 10.739999770000001, 3.4763951300000002, -99, 234, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-03-07 00:00:00', 1.9900000099999999, 3.9282829760000002, -99, 540, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-03-08 00:00:00', 4.3400001530000001, 1.045659304, -99, 605, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-03-09 00:00:00', 0.15999999600000001, 6.1019778249999996, -99, 918, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-03-10 00:00:00', 2.4700000289999999, -0.070267349000000007, -99, 680, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-03-11 00:00:00', 0.12999999500000001, 4.6120753289999996, -99, 626, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-03-12 00:00:00', 0, 5.4217438700000002, -99, 1224, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-03-13 00:00:00', 0.15999999600000001, 1.176267505, -99, 763, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-03-14 00:00:00', 0, 1.803793669, -99, 536, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-03-15 00:00:00', 0, -1.0319961310000001, -99, 1188, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-03-16 00:00:00', 0, 1.8143955469999999, -99, 547, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-03-17 00:00:00', 3.8599998950000001, 2.0651228430000002, -99, 536, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-03-18 00:00:00', 10.56000042, 3.2342159750000001, -99, 536, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-03-19 00:00:00', 0.790000021, 6.2065629959999997, -99, 392, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-03-20 00:00:00', 0, 2.3481330869999999, -99, 1390, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-03-21 00:00:00', 0.47999998900000002, -0.58547371599999998, -99, 907, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-03-22 00:00:00', 0, 0.66938245299999999, -99, 1292, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-03-23 00:00:00', 0, -0.42443889400000001, -99, 1148, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-03-24 00:00:00', 0, -1.6572608950000001, -99, 1642, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-03-25 00:00:00', 0, -4.5385484700000003, -99, 1548, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-03-26 00:00:00', 0.029999998999999999, -3.7039387229999998, -99, 677, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-03-27 00:00:00', 0.15999999600000001, 1.448058367, -99, 1256, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-03-28 00:00:00', 0, -1.9430156949999999, -99, 1660, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-03-29 00:00:00', 0, -2.1719019409999998, -99, 1678, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-03-30 00:00:00', 0, 1.6120544670000001, -99, 1346, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-03-31 00:00:00', 0.01, 0.389058083, -99, 1530, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-04-01 00:00:00', 0, 4.4204459189999996, -99, 893, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-04-02 00:00:00', 0, 6.7939376830000002, -99, 1364, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-04-03 00:00:00', 0, 6.0670890809999998, -99, 1544, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-04-04 00:00:00', 0, 1.3658362630000001, -99, 1937, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-04-05 00:00:00', 0, 3.1340761179999999, -99, 1318, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-04-06 00:00:00', 0, -2.59422636, -99, 1897, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-04-07 00:00:00', 0.119999997, 0.97636341999999998, -99, 1274, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-04-08 00:00:00', 0, 1.9722751380000001, -99, 1721, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-04-09 00:00:00', 0, -0.50109756000000005, -99, 1105, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-04-10 00:00:00', 0, 0.26880854399999998, -99, 2016, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-04-11 00:00:00', 0.310000002, 2.8610711100000001, -99, 1004, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-04-12 00:00:00', 0, 4.0500564580000002, -99, 1361, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-04-13 00:00:00', 0.34000000400000002, 3.6016693119999998, -99, 976, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-04-14 00:00:00', 0.55000001200000004, 6.0798397059999996, -99, 479, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-04-15 00:00:00', 0.02, 6.3747868539999999, -99, 569, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-04-16 00:00:00', 0.23999999499999999, 5.4117307659999998, -99, 1717, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-04-17 00:00:00', 1.5900000329999999, 4.0586276049999999, -99, 850, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-04-18 00:00:00', 0.01, 4.2198934560000003, -99, 1069, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-04-19 00:00:00', 0, 3.9323568340000001, -99, 806, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-04-20 00:00:00', 0, 2.7145760060000002, -99, 1818, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-04-21 00:00:00', 0, 0.84871876199999996, -99, 2045, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-04-22 00:00:00', 0.02, 5.0782780650000001, -99, 1368, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-04-23 00:00:00', 0.02, 8.3002042770000006, -99, 1476, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-04-24 00:00:00', 0, 8.7084817890000004, -99, 1526, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-04-25 00:00:00', 0.01, 6.0240082739999998, -99, 1310, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-04-26 00:00:00', 12.60999966, 7.1681666369999997, -99, 616, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-04-27 00:00:00', 1.4700000289999999, 5.088131905, -99, 1616, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-04-28 00:00:00', 7.6799998279999997, 0.55640166999999996, -99, 688, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-04-29 00:00:00', 3.9100000860000002, 5.9266052250000003, -99, 1544, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-04-30 00:00:00', 8.3599996569999995, 5.4914164540000003, -99, 1105, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-05-01 00:00:00', 4.5100002290000001, 8.3018598560000001, -99, 1184, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-05-02 00:00:00', 0.66000002599999996, 2.8133735660000001, -99, 1588, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-05-03 00:00:00', 0.050000001000000002, 6.4958314899999996, -99, 1300, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-05-04 00:00:00', 0.039999999000000001, 8.0425758359999993, -99, 1202, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-05-05 00:00:00', 1.3200000519999999, 9.4812250139999996, -99, 342, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-05-06 00:00:00', 0, 8.4690504069999992, -99, 1699, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-05-07 00:00:00', 0.02, 7.5553073880000001, -99, 1048, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-05-08 00:00:00', 0, 7.5406370159999998, -99, 1274, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-05-09 00:00:00', 0, 9.307472229, -99, 2513, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-05-10 00:00:00', 0, 9.898612022, -99, 2657, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-05-11 00:00:00', 0.050000001000000002, 9.8587779999999992, -99, 2135, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-05-12 00:00:00', 0, 11.12510204, -99, 770, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-05-13 00:00:00', 0, 4.7443113329999997, -99, 2837, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-05-14 00:00:00', 0.02, 8.8296508790000008, -99, 1199, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-05-15 00:00:00', 0.40000000600000002, 7.5092496869999996, -99, 2207, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-05-16 00:00:00', 0.059999998999999998, 11.009552960000001, -99, 1332, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-05-17 00:00:00', 0, 8.4807186130000005, -99, 2426, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-05-18 00:00:00', 3.8599998950000001, 3.9680511950000001, -99, 2801, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-05-19 00:00:00', 0.31999999299999998, 11.22437191, -99, 1523, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-05-20 00:00:00', 0.01, 9.1197814939999997, -99, 1955, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-05-21 00:00:00', 0, 10.64947128, -99, 2621, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-05-22 00:00:00', 24.309999470000001, 12.486753459999999, -99, 1969, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-05-23 00:00:00', 1.309999943, 13.99357414, -99, 1166, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-05-24 00:00:00', 4.329999924, 10.06163883, -99, 2340, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-05-25 00:00:00', 0.43000000700000002, 10.46430588, -99, 1570, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-05-26 00:00:00', 0.01, 6.8427090640000001, -99, 2164, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-05-27 00:00:00', 0.01, 10.274528500000001, -99, 2570, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-05-28 00:00:00', 0, 11.442701339999999, -99, 1184, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-05-29 00:00:00', 1.2200000289999999, 11.879060750000001, -99, 2088, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-05-30 00:00:00', 0.310000002, 9.3075313570000002, -99, 2477, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-05-31 00:00:00', 19.559999470000001, 7.9215722079999997, -99, 1735, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-06-01 00:00:00', 0, 6.8278565410000001, -99, 2837, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-06-02 00:00:00', 0, 7.8929715160000002, -99, 2830, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-06-03 00:00:00', 0.33000001299999998, 11.102856640000001, -99, 2488, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-06-04 00:00:00', 0.49000000999999999, 13.613737110000001, -99, 1714, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-06-05 00:00:00', 0, 13.81624794, -99, 2239, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-06-06 00:00:00', 0, 15.11886692, -99, 2963, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-06-07 00:00:00', 0, 13.676786419999999, -99, 2070, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-06-08 00:00:00', 0, 12.24905586, -99, 2552, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-06-09 00:00:00', 0.01, 9.7135791779999998, -99, 1440, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-06-10 00:00:00', 6.5700001720000003, 13.79849243, -99, 828, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-06-11 00:00:00', 9.3599996569999995, 9.2700214390000006, -99, 2336, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-06-12 00:00:00', 3.0199999809999998, 7.7185425759999999, -99, 1627, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-06-13 00:00:00', 6.3099999430000002, 9.4821481700000003, -99, 1476, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-06-14 00:00:00', 5.8899998660000001, 9.9383840560000003, -99, 2401, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-06-15 00:00:00', 2.4100000860000002, 12.012300489999999, -99, 1487, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-06-16 00:00:00', 0.58999997400000004, 11.76408195, -99, 1944, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-06-17 00:00:00', 0, 13.79976845, -99, 2574, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-06-18 00:00:00', 11.960000040000001, 17.039001460000001, -99, 2214, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-06-19 00:00:00', 0.18000000699999999, 10.85501766, -99, 2628, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-06-20 00:00:00', 35.950000760000002, 10.177755360000001, -99, 338, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-06-21 00:00:00', 0.469999999, 8.8439207080000006, -99, 2128, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-06-22 00:00:00', 0.23999999499999999, 10.015528679999999, -99, 1267, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-06-23 00:00:00', 0.34000000400000002, 13.06177044, -99, 2189, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-06-24 00:00:00', 0.059999998999999998, 9.6748237610000007, -99, 2340, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-06-25 00:00:00', 0, 10.02562904, -99, 1865, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-06-26 00:00:00', 4.8099999430000002, 9.5420942310000001, -99, 1660, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-06-27 00:00:00', 6.3200001720000003, 10.61167526, -99, 2146, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-06-28 00:00:00', 7.1199998860000004, 8.1501064299999992, -99, 1865, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-06-29 00:00:00', 6.579999924, 10.951354029999999, -99, 2408, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-06-30 00:00:00', 7.7800002099999999, 10.7867651, -99, 1274, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-07-01 00:00:00', 10.47000027, 10.243983269999999, -99, 1145, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-07-02 00:00:00', 3.1600000860000002, 11.40421677, -99, 1685, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-07-03 00:00:00', 5.6199998860000004, 9.8349380489999998, -99, 724, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-07-04 00:00:00', 9.7399997710000008, 13.10472775, -99, 950, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-07-05 00:00:00', 7.9899997709999999, 8.2052383419999995, -99, 1188, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-07-06 00:00:00', 1.730000019, 11.88898468, -99, 1462, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-07-07 00:00:00', 1.710000038, 11.141380310000001, -99, 1778, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-07-08 00:00:00', 0.02, 12.02324295, -99, 1393, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-07-09 00:00:00', 4.8800001139999996, 14.38829994, -99, 2437, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-07-10 00:00:00', 14.60999966, 16.662607189999999, -99, 1634, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-07-11 00:00:00', 0.34000000400000002, 11.301755910000001, -99, 2264, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-07-12 00:00:00', 0.01, 9.4111766820000007, -99, 2516, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-07-13 00:00:00', 0.059999998999999998, 11.988051410000001, -99, 1030, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-07-14 00:00:00', 0, 14.102875709999999, -99, 2016, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-07-15 00:00:00', 0, 10.744162559999999, -99, 2693, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-07-16 00:00:00', 0, 11.88409615, -99, 2743, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-07-17 00:00:00', 2.6500000950000002, 13.935720440000001, -99, 2066, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-07-18 00:00:00', 46.069999690000003, 13.92819214, -99, 536, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-07-19 00:00:00', 0.090000003999999995, 15.56904507, -99, 1364, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-07-20 00:00:00', 0, 13.282884599999999, -99, 2135, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-07-21 00:00:00', 7.670000076, 11.92063808, -99, 1022, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-07-22 00:00:00', 0.709999979, 11.935224529999999, -99, 929, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-07-23 00:00:00', 6.7699999809999998, 11.97816372, -99, 1613, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-07-24 00:00:00', 0.209999993, 12.12160969, -99, 1850, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-07-25 00:00:00', 0.709999979, 12.0733614, -99, 1858, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-07-26 00:00:00', 0.33000001299999998, 10.76519203, -99, 1015, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-07-27 00:00:00', 0.18000000699999999, 10.485631939999999, -99, 1570, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-07-28 00:00:00', 0, 14.577842710000001, -99, 2660, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-07-29 00:00:00', 0.17000000200000001, 15.729374890000001, -99, 2502, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-07-30 00:00:00', 0, 16.703195569999998, -99, 2250, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-07-31 00:00:00', 0.36000001399999998, 15.787250520000001, -99, 2455, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-08-01 00:00:00', 22.229999540000001, 19.005083079999999, -99, 1969, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-08-02 00:00:00', 5.829999924, 18.368618009999999, -99, 709, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-08-03 00:00:00', 0.28999999199999998, 13.396089549999999, -99, 2444, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-08-04 00:00:00', 0.209999993, 14.11843491, -99, 1418, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-08-05 00:00:00', 1.7999999520000001, 16.64748955, -99, 1073, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-08-06 00:00:00', 3.289999962, 14.86547947, -99, 1573, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-08-07 00:00:00', 0.61000001400000003, 15.072872159999999, -99, 1573, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-08-08 00:00:00', 0.039999999000000001, 12.789924620000001, -99, 1555, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-08-09 00:00:00', 17.36000061, 16.055570599999999, -99, 1242, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-08-10 00:00:00', 0, 15.079329489999999, -99, 1908, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-08-11 00:00:00', 4.7699999809999998, 14.918119430000001, -99, 1739, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-08-12 00:00:00', 2.9000000950000002, 16.494840620000002, -99, 1177, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-08-13 00:00:00', 0, 14.865878110000001, -99, 2131, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-08-14 00:00:00', 0, 17.091299060000001, -99, 2120, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-08-15 00:00:00', 0, 11.611714360000001, -99, 2149, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-08-16 00:00:00', 0, 12.005899429999999, -99, 2236, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-08-17 00:00:00', 0, 12.60948849, -99, 2351, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-08-18 00:00:00', 0, 16.99590302, -99, 2135, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-08-19 00:00:00', 2.5599999430000002, 16.909065250000001, -99, 1850, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-08-20 00:00:00', 0, 18.579395290000001, -99, 2131, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-08-21 00:00:00', 0, 16.665105820000001, -99, 2192, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-08-22 00:00:00', 0, 16.56341171, -99, 1912, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-08-23 00:00:00', 0.01, 15.136819839999999, -99, 2063, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-08-24 00:00:00', 0.01, 16.800802229999999, -99, 1213, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-08-25 00:00:00', 2.960000038, 16.626113889999999, -99, 1494, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-08-26 00:00:00', 25.989999770000001, 12.052613259999999, -99, 1613, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-08-27 00:00:00', 1.960000038, 15.607776640000001, -99, 1235, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-08-28 00:00:00', 0.18000000699999999, 12.628118519999999, -99, 1472, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-08-29 00:00:00', 0.280000001, 9.649504662, -99, 1483, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-08-30 00:00:00', 0, 15.14841461, -99, 1210, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-08-31 00:00:00', 0.37999999499999998, 16.813432689999999, -99, 979, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-09-01 00:00:00', 0, 9.5953063959999998, -99, 1588, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-09-02 00:00:00', 0, 7.2178778650000002, -99, 1840, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-09-03 00:00:00', 0, 9.0259075160000002, -99, 1919, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-09-04 00:00:00', 0.02, 15.13160038, -99, 824, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-09-05 00:00:00', 0, 9.4990882869999993, -99, 1660, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-09-06 00:00:00', 1.3500000240000001, 12.028346060000001, -99, 914, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-09-07 00:00:00', 0.37999999499999998, 13.505060200000001, -99, 1069, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-09-08 00:00:00', 0, 11.518968579999999, -99, 1627, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-09-09 00:00:00', 0.029999998999999999, 15.850480080000001, -99, 1732, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-09-10 00:00:00', 0, 16.372171399999999, -99, 1451, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-09-11 00:00:00', 0, 14.864877699999999, -99, 1717, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-09-12 00:00:00', 0, 9.3762578960000003, -99, 1660, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-09-13 00:00:00', 0, 7.562906742, -99, 1750, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-09-14 00:00:00', 0, 13.15302372, -99, 1735, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-09-15 00:00:00', 0, 8.284023285, -99, 1609, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-09-16 00:00:00', 0, 5.1650576590000004, -99, 900, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-09-17 00:00:00', 0.15999999600000001, 6.4709243770000002, -99, 889, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-09-18 00:00:00', 0.02, 10.571879389999999, -99, 1127, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-09-19 00:00:00', 0.44999998800000002, 5.3636612890000004, -99, 1048, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-09-20 00:00:00', 0.17000000200000001, 10.227819439999999, -99, 1084, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-09-21 00:00:00', 0.37000000500000002, 6.6013078690000002, -99, 616, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-09-22 00:00:00', 11.710000040000001, 4.3120865820000001, -99, 644, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-09-23 00:00:00', 0.62000000499999997, 6.3250951769999997, -99, 1328, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-09-24 00:00:00', 0.18000000699999999, -0.75874870999999999, -99, 587, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-09-25 00:00:00', 0.560000002, 10.90857315, -99, 529, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-09-26 00:00:00', 0.28999999199999998, 10.10595417, -99, 875, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-09-27 00:00:00', 0, 0.039380271000000001, -99, 691, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-09-28 00:00:00', 0.02, 5.6285972600000003, -99, 706, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-09-29 00:00:00', 0.14000000100000001, 11.035737040000001, -99, 652, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-09-30 00:00:00', 0.14000000100000001, 9.5517969130000004, -99, 1102, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-10-01 00:00:00', 0, 5.9646439549999997, -99, 896, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-10-02 00:00:00', 0.17000000200000001, 3.0101335050000002, -99, 756, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-10-03 00:00:00', 2.579999924, 6.14368391, -99, 626, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-10-04 00:00:00', 0.029999998999999999, 9.7597866060000005, -99, 1069, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-10-05 00:00:00', 15.899999619999999, 7.3899025920000003, -99, 324, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-10-06 00:00:00', 0.109999999, 6.2113194470000002, -99, 1048, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-10-07 00:00:00', 0, 2.2763221260000002, -99, 986, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-10-08 00:00:00', 0.189999998, -0.92824620000000002, -99, 799, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-10-09 00:00:00', 0.01, 6.4770607949999999, -99, 698, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-10-10 00:00:00', 0, 4.0283699039999998, -99, 871, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-10-11 00:00:00', 0.89999997600000003, 2.9644565580000002, -99, 914, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-10-12 00:00:00', 0.439999998, 4.761833191, -99, 493, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-10-13 00:00:00', 2.1800000669999999, 5.1662821770000003, -99, 86, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-10-14 00:00:00', 1.230000019, 2.8570744989999999, -99, 421, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-10-15 00:00:00', 0.01, 0.98105615400000001, -99, 407, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-10-16 00:00:00', 16.690000529999999, 0.25591835400000001, -99, 166, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-10-17 00:00:00', 6.9499998090000004, 7.3712735179999997, -99, 187, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-10-18 00:00:00', 0.15999999600000001, 2.5018284319999999, -99, 659, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-10-19 00:00:00', 1.9299999480000001, 0.902484179, -99, 835, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-10-20 00:00:00', 0.039999999000000001, -1.3253756759999999, -99, 695, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-10-21 00:00:00', 8.3800001139999996, -0.015283980000000001, -99, 184, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-10-22 00:00:00', 8.6499996190000008, 4.1302900310000004, -99, 97, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-10-23 00:00:00', 12.75, 10.5351181, -99, 508, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-10-24 00:00:00', 1.6599999670000001, 3.0912275309999999, -99, 565, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-10-25 00:00:00', 16.590000150000002, 3.6764109129999998, -99, 115, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-10-26 00:00:00', 1.4900000099999999, 8.6790418620000001, -99, 731, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-10-27 00:00:00', 16.370000839999999, 3.8663623330000001, -99, 158, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-10-28 00:00:00', 2.0299999710000001, 4.7125864030000004, -99, 418, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-10-29 00:00:00', 1.3899999860000001, 2.01827836, -99, 284, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-10-30 00:00:00', 0, 4.633415222, -99, 454, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-10-31 00:00:00', 1.5800000430000001, -1.9173673389999999, -99, 504, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-11-01 00:00:00', 13.829999920000001, 4.520226955, -99, 202, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-11-02 00:00:00', 0, 3.1926698679999999, -99, 576, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-11-03 00:00:00', 0, 1.6247324940000001, -99, 288, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-11-04 00:00:00', 0, 2.3715665339999998, -99, 493, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-11-05 00:00:00', 0, -1.2947851420000001, -99, 572, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-11-06 00:00:00', 2.329999924, -3.5500874520000001, -99, 281, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-11-07 00:00:00', 5.9600000380000004, 2.303440809, -99, 245, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-11-08 00:00:00', 18.559999470000001, 0.65727210000000003, -99, 162, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-11-09 00:00:00', 4.8800001139999996, 0.21335543700000001, -99, 277, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-11-10 00:00:00', 1.1100000139999999, -1.0050667520000001, -99, 428, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-11-11 00:00:00', 0.55000001200000004, 0.85893291199999999, -99, 248, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-11-12 00:00:00', 3.2200000289999999, 1.708412528, -99, 220, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-11-13 00:00:00', 6.5399999619999996, 6.838023186, -99, 245, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-11-14 00:00:00', 2.4700000289999999, 6.6907696720000001, -99, 133, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-11-15 00:00:00', 0.189999998, 2.2441277500000001, -99, 223, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-11-16 00:00:00', 3.619999886, 3.5446095469999999, -99, 194, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-11-17 00:00:00', 1.1399999860000001, 4.7955398560000004, -99, 194, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-11-18 00:00:00', 6.7399997709999999, 2.1014659400000002, -99, 108, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-11-19 00:00:00', 0, 0.17271234099999999, -99, 454, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-11-20 00:00:00', 0, -3.6579177380000001, -99, 270, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-11-21 00:00:00', 0.18000000699999999, -2.0318002700000002, -99, 209, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-11-22 00:00:00', 4.5, 2.103224516, -99, 65, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-11-23 00:00:00', 3.8900001049999999, 3.7426369190000002, -99, 58, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-11-24 00:00:00', 0.209999993, 3.7533421520000001, -99, 191, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-11-25 00:00:00', 6.670000076, 4.4618172649999996, -99, 176, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-11-26 00:00:00', 0.27000001099999998, 4.8178639409999997, -99, 263, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-11-27 00:00:00', 0, 2.1903109550000002, -99, 202, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-11-28 00:00:00', 1.4299999480000001, 2.7792422769999998, -99, 227, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-11-29 00:00:00', 2.5699999330000001, 5.0932488439999997, -99, 137, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-11-30 00:00:00', 0.23999999499999999, 4.7173991199999996, -99, 140, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-12-01 00:00:00', 0.029999998999999999, 1.890589595, -99, 241, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-12-02 00:00:00', 1.039999962, 3.350872517, -99, 140, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-12-03 00:00:00', 3.4100000860000002, 4.371488094, -99, 227, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-12-04 00:00:00', 0.25999999000000001, 3.6881954669999999, -99, 216, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-12-05 00:00:00', 0.02, 2.6183602810000002, -99, 119, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-12-06 00:00:00', 0.050000001000000002, 0.92128175499999998, -99, 14, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-12-07 00:00:00', 0, 0.38770580300000002, -99, 122, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-12-08 00:00:00', 0, -0.34633851100000002, -99, 248, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-12-09 00:00:00', 0, -0.34412842999999999, -99, 166, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-12-10 00:00:00', 0, -4.2549963000000002, -99, 284, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-12-11 00:00:00', 0, -3.5382883550000002, -99, 212, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-12-12 00:00:00', 0, -4.2514338489999997, -99, 266, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-12-13 00:00:00', 0, -4.2434678080000001, -99, 248, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-12-14 00:00:00', 0, -2.7215571399999998, -99, 256, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-12-15 00:00:00', 0, -2.1777143479999999, -99, 119, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-12-16 00:00:00', 0, -1.7551121709999999, -99, 108, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-12-17 00:00:00', 0.209999993, -0.28763350799999998, -99, 137, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-12-18 00:00:00', 0.83999997400000004, -6.9477038379999998, -99, 245, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-12-19 00:00:00', 0, -7.2632269860000003, -99, 227, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-12-20 00:00:00', 0.25, -2.627896786, -99, 119, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-12-21 00:00:00', 0, -0.32010343699999999, -99, 245, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-12-22 00:00:00', 0, -7.8735342030000002, -99, 108, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-12-23 00:00:00', 0, -2.0885455610000001, -99, 122, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-12-24 00:00:00', 0, -1.9813140629999999, -99, 104, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-12-25 00:00:00', 2.6600000860000002, -3.5229206089999998, -99, 162, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-12-26 00:00:00', 8.8500003809999992, -0.81423467400000005, -99, 133, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-12-27 00:00:00', 9.6499996190000008, 1.0981370210000001, -99, 101, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-12-28 00:00:00', 1.809999943, 2.2555587290000001, -99, 148, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-12-29 00:00:00', 0.540000021, 2.0608761310000001, -99, 119, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-12-30 00:00:00', 0, -2.6085760589999998, -99, 144, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2002-12-31 00:00:00', 0, -8.1383543009999997, -99, 281, 'ask', 'ask_2002');
INSERT INTO public.cdy_cldat VALUES ('2003-01-01 00:00:00', 0.85000002399999997, -10.17583656, -99, 108, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-01-02 00:00:00', 0.83999997400000004, -4.2700066569999997, -99, 130, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-01-03 00:00:00', 0.66000002599999996, -3.5954871179999999, -99, 137, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-01-04 00:00:00', 0.039999999000000001, -8.0116500849999994, -99, 212, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-01-05 00:00:00', 5.2399997709999999, -18.873271939999999, -99, 248, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-01-06 00:00:00', 0.01, -5.3376293180000003, -99, 270, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-01-07 00:00:00', 0.58999997400000004, -19.281206130000001, -99, 288, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-01-08 00:00:00', 0, -10.377841, -99, 248, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-01-09 00:00:00', 0, -5.862072468, -99, 288, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-01-10 00:00:00', 0, -8.6212167740000005, -99, 133, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-01-11 00:00:00', 0.41999998700000002, -10.23111248, -99, 76, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-01-12 00:00:00', 6.1599998469999999, 1.122681737, -99, 216, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-01-13 00:00:00', 0.50999998999999996, 2.49606657, -99, 126, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-01-14 00:00:00', 0.44999998800000002, 3.4799132350000002, -99, 205, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-01-15 00:00:00', 2, 5.2654519080000002, -99, 209, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-01-16 00:00:00', 0, 3.6604292389999999, -99, 313, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-01-17 00:00:00', 0.46000000800000002, 4.0785961149999999, -99, 292, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-01-18 00:00:00', 0, 1.65687871, -99, 288, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-01-19 00:00:00', 1.1000000240000001, 1.942827463, -99, 223, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-01-20 00:00:00', 14.22000027, 2.420982838, -99, 180, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-01-21 00:00:00', 7.4899997709999999, 4.8254575729999996, -99, 173, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-01-22 00:00:00', 0.059999998999999998, 3.1148881909999999, -99, 266, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-01-23 00:00:00', 0.01, 1.687052011, -99, 227, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-01-24 00:00:00', 0, 1.5384143589999999, -99, 245, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-01-25 00:00:00', 7.7899999619999996, 1.8582458500000001, -99, 234, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-01-26 00:00:00', 1.1799999480000001, 3.6372945310000002, -99, 277, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-01-27 00:00:00', 2.7999999519999998, 4.4680738450000002, -99, 274, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-01-28 00:00:00', 4.170000076, 3.3133130070000001, -99, 176, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-01-29 00:00:00', 0.93000000699999996, 1.700898767, -99, 346, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-01-30 00:00:00', 0.23999999499999999, -1.6226969959999999, -99, 284, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-01-31 00:00:00', 0, -9.1841526029999994, -99, 328, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-02-01 00:00:00', 0.050000001000000002, -16.626710889999998, -99, 180, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-02-02 00:00:00', 9.9700002669999996, -3.0746943949999999, -99, 58, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-02-03 00:00:00', 2.960000038, 0.45913222399999998, -99, 439, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-02-04 00:00:00', 0.01, -2.0066223139999999, -99, 220, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-02-05 00:00:00', 0.12999999500000001, -3.1964988710000002, -99, 281, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-02-06 00:00:00', 0, -9.3530302049999996, -99, 389, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-02-07 00:00:00', 1.1100000139999999, -3.177211523, -99, 108, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-02-08 00:00:00', 0.14000000100000001, 1.4835078719999999, -99, 104, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-02-09 00:00:00', 0, 1.3570097679999999, -99, 425, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-02-10 00:00:00', 0, -3.8127460480000002, -99, 587, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-02-11 00:00:00', 0, -3.1911251539999999, -99, 202, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-02-12 00:00:00', 0, -3.4601397509999998, -99, 702, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-02-13 00:00:00', 0, -6.3301067350000002, -99, 626, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-02-14 00:00:00', 0, -8.6450672149999992, -99, 540, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-02-15 00:00:00', 0, -1.3591558930000001, -99, 248, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-02-16 00:00:00', 0, -6.2647180560000004, -99, 742, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-02-17 00:00:00', 0.12999999500000001, -11.33360577, -99, 558, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-02-18 00:00:00', 0.02, -1.4029505250000001, -99, 353, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-02-19 00:00:00', 0, -3.4783177379999999, -99, 331, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-02-20 00:00:00', 0, -4.9183306690000004, -99, 900, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-02-21 00:00:00', 0, -2.8657171730000002, -99, 256, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-02-22 00:00:00', 0, -2.685672045, -99, 349, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-02-23 00:00:00', 0, -3.3385398390000001, -99, 871, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-02-24 00:00:00', 0, -3.4321956629999999, -99, 860, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-02-25 00:00:00', 0, -3.1938164229999999, -99, 972, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-02-26 00:00:00', 0, -3.6136538979999999, -99, 1015, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-02-27 00:00:00', 0, -2.8866584300000002, -99, 461, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-02-28 00:00:00', 0, -3.3914697170000001, -99, 756, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-03-01 00:00:00', 1.0800000430000001, -1.153923869, -99, 338, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-03-02 00:00:00', 0.20000000300000001, -0.26991817400000001, -99, 407, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-03-03 00:00:00', 0.090000003999999995, -1.103171825, -99, 227, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-03-04 00:00:00', 0.52999997099999996, -1.422749877, -99, 400, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-03-05 00:00:00', 0.61000001400000003, -0.023819628999999998, -99, 173, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-03-06 00:00:00', 3.6600000860000002, 0.73026233900000004, -99, 130, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-03-07 00:00:00', 4.1999998090000004, 0.66485589700000003, -99, 814, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-03-08 00:00:00', 3.380000114, 2.6583197119999999, -99, 454, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-03-09 00:00:00', 1.0499999520000001, 4.1752991679999996, -99, 284, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-03-10 00:00:00', 0, 4.9539847369999999, -99, 742, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-03-11 00:00:00', 5.9699997900000001, 5.795406818, -99, 306, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-03-12 00:00:00', 0.02, 4.8135437970000003, -99, 979, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-03-13 00:00:00', 0, -3.5706417560000001, -99, 1390, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-03-14 00:00:00', 0, -2.0950989720000002, -99, 1418, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-03-15 00:00:00', 0, -3.7050454620000002, -99, 1408, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-03-16 00:00:00', 0, -2.9362282749999999, -99, 1188, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-03-17 00:00:00', 0, 1.618663907, -99, 1400, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-03-18 00:00:00', 0, -2.3155732150000001, -99, 1339, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-03-19 00:00:00', 0, 3.780971766, -99, 788, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-03-20 00:00:00', 0, 1.9517359729999999, -99, 1145, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-03-21 00:00:00', 0, -1.7033902409999999, -99, 1314, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-03-22 00:00:00', 0, -3.8069179059999998, -99, 1516, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-03-23 00:00:00', 0, -2.6994972229999998, -99, 1634, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-03-24 00:00:00', 0, -3.847933292, -99, 1368, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-03-25 00:00:00', 0, 0.92436075200000001, -99, 1426, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-03-26 00:00:00', 0.17000000200000001, -1.6747827529999999, -99, 1634, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-03-27 00:00:00', 0, -0.38528248700000001, -99, 1577, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-03-28 00:00:00', 0.17000000200000001, -3.130460501, -99, 1721, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-03-29 00:00:00', 0, 1.023922682, -99, 1328, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-03-30 00:00:00', 0, 2.5413932799999999, -99, 1019, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-03-31 00:00:00', 0, 3.960337639, -99, 1660, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-04-01 00:00:00', 6.170000076, 0.48155665399999997, -99, 605, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-04-02 00:00:00', 0.41999998700000002, 3.514883041, -99, 1141, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-04-03 00:00:00', 0, 2.5116891859999999, -99, 1699, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-04-04 00:00:00', 0.87000000499999997, -2.3171083929999998, -99, 648, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-04-05 00:00:00', 0, 1.998364925, -99, 1670, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-04-06 00:00:00', 0, -1.8795162439999999, -99, 1976, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-04-07 00:00:00', 0, -4.3451938630000004, -99, 1994, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-04-08 00:00:00', 0, -6.9147367480000002, -99, 1606, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-04-09 00:00:00', 0.40999999599999998, -5.4473228450000004, -99, 1602, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-04-10 00:00:00', 1.9299999480000001, 0.61328566100000004, -99, 569, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-04-11 00:00:00', 0.69999998799999996, -1.9406992199999999, -99, 1404, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-04-12 00:00:00', 0.62000000499999997, 4.0645546909999997, -99, 896, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-04-13 00:00:00', 0, -1.198085308, -99, 1796, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-04-14 00:00:00', 0, 3.1518867020000001, -99, 2106, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-04-15 00:00:00', 0, 3.8818051819999999, -99, 2153, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-04-16 00:00:00', 0, 3.7683947089999998, -99, 2038, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-04-17 00:00:00', 0, 3.274813414, -99, 2012, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-04-18 00:00:00', 0, 3.6698610779999998, -99, 2048, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-04-19 00:00:00', 0, 3.2849266529999999, -99, 1886, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-04-20 00:00:00', 0, 5.8505129809999996, -99, 1588, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-04-21 00:00:00', 0, 6.5795707700000001, -99, 2264, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-04-22 00:00:00', 0, 4.8055691720000002, -99, 2290, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-04-23 00:00:00', 0, 0.39149600299999998, -99, 2322, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-04-24 00:00:00', 0, 4.0161614419999996, -99, 2347, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-04-25 00:00:00', 1.190000057, 5.1688332560000001, -99, 1516, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-04-26 00:00:00', 19.149999619999999, 7.5917639729999999, -99, 709, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-04-27 00:00:00', 1.25, 7.3324222560000001, -99, 1145, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-04-28 00:00:00', 16.879999160000001, 6.8269929889999998, -99, 857, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-04-29 00:00:00', 0, 11.19952202, -99, 1717, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-04-30 00:00:00', 5.25, 7.2619223589999997, -99, 1217, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-05-01 00:00:00', 2.3599998950000001, 8.0028009410000003, -99, 889, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-05-02 00:00:00', 4.829999924, 6.5541782380000004, -99, 1440, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-05-03 00:00:00', 5.920000076, 8.7714824680000003, -99, 1192, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-05-04 00:00:00', 0.15000000599999999, 5.0379247669999998, -99, 1642, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-05-05 00:00:00', 1.710000038, 9.2023096080000002, -99, 871, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-05-06 00:00:00', 0.43000000700000002, 9.9671287540000009, -99, 1958, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-05-07 00:00:00', 0, 6.0906276699999999, -99, 1915, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-05-08 00:00:00', 0, 4.7414746279999997, -99, 1681, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-05-09 00:00:00', 0, 5.7271299359999999, -99, 2423, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-05-10 00:00:00', 0.070000000000000007, 5.1522669790000002, -99, 2506, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-05-11 00:00:00', 0.769999981, 0.68251687299999997, -99, 1699, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-05-12 00:00:00', 2.1099998950000001, 8.9542436599999995, -99, 1768, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-05-13 00:00:00', 3.289999962, 8.2437477109999993, -99, 1116, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-05-14 00:00:00', 7.0599999430000002, 3.6393165590000001, -99, 1516, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-05-15 00:00:00', 0.17000000200000001, 6.4902958870000003, -99, 1944, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-05-16 00:00:00', 0, 2.8248817919999998, -99, 2027, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-05-17 00:00:00', 0.34000000400000002, 1.513786554, -99, 1087, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-05-18 00:00:00', 8, 8.8713140490000004, -99, 1577, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-05-19 00:00:00', 12.420000079999999, 9.2052402499999992, -99, 2084, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-05-20 00:00:00', 7.4800000190000002, 9.3678569790000008, -99, 1901, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-05-21 00:00:00', 0.15999999600000001, 8.1444320680000004, -99, 1591, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-05-22 00:00:00', 12.47999954, 9.7214307790000003, -99, 1256, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-05-23 00:00:00', 0.920000017, 11.388081550000001, -99, 918, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-05-24 00:00:00', 6.829999924, 9.6498756409999995, -99, 713, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-05-25 00:00:00', 0.37999999499999998, 12.07561302, -99, 900, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-05-26 00:00:00', 0, 7.3325653080000004, -99, 1544, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-05-27 00:00:00', 0, 3.014505148, -99, 2542, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-05-28 00:00:00', 0, 6.2036685939999998, -99, 2664, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-05-29 00:00:00', 0, 7.6136426930000001, -99, 2912, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-05-30 00:00:00', 0, 6.985077381, -99, 2412, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-05-31 00:00:00', 0, 9.4976387019999997, -99, 2815, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-06-01 00:00:00', 0, 6.3106241230000002, -99, 2945, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-06-02 00:00:00', 0.72000002900000004, 12.354660989999999, -99, 2880, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-06-03 00:00:00', 0.039999999000000001, 14.489767069999999, -99, 1210, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-06-04 00:00:00', 6.6100001339999999, 14.005808829999999, -99, 1786, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-06-05 00:00:00', 0, 16.2044487, -99, 1940, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-06-06 00:00:00', 0, 12.025622370000001, -99, 2146, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-06-07 00:00:00', 5.4600000380000004, 11.56879902, -99, 904, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-06-08 00:00:00', 19.290000920000001, 14.11359882, -99, 2027, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-06-09 00:00:00', 0.83999997400000004, 12.932618140000001, -99, 1346, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-06-10 00:00:00', 6.8200001720000003, 8.849693298, -99, 1346, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-06-11 00:00:00', 0, 14.24712849, -99, 2081, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-06-12 00:00:00', 0, 9.1772823330000008, -99, 2329, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-06-13 00:00:00', 0.02, 9.1618928910000008, -99, 2783, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-06-14 00:00:00', 0, 9.4285240170000009, -99, 1876, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-06-15 00:00:00', 1, 8.2589473719999997, -99, 1271, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-06-16 00:00:00', 0, 11.281486510000001, -99, 2668, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-06-17 00:00:00', 0.920000017, 7.5779900549999999, -99, 2261, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-06-18 00:00:00', 2.2200000289999999, 14.28149891, -99, 2369, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-06-19 00:00:00', 3.6600000860000002, 13.15632153, -99, 1958, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-06-20 00:00:00', 8.8000001910000005, 10.94165993, -99, 1674, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-06-21 00:00:00', 0.730000019, 11.541816710000001, -99, 1231, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-06-22 00:00:00', 1.440000057, 9.6429204940000002, -99, 1847, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-06-23 00:00:00', 18.229999540000001, 12.2196064, -99, 875, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-06-24 00:00:00', 0.75, 12.01630402, -99, 1102, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-06-25 00:00:00', 0.01, 11.895858759999999, -99, 1300, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-06-26 00:00:00', 0, 8.9785890580000007, -99, 2704, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-06-27 00:00:00', 0.029999998999999999, 10.789729120000001, -99, 2754, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-06-28 00:00:00', 0.039999999000000001, 10.67370796, -99, 2804, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-06-29 00:00:00', 2.0499999519999998, 13.8675642, -99, 781, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-06-30 00:00:00', 6.0999999049999998, 10.181695940000001, -99, 1901, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-07-01 00:00:00', 5.6799998279999997, 13.113290790000001, -99, 1739, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-07-02 00:00:00', 0.40999999599999998, 13.13537502, -99, 1818, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-07-03 00:00:00', 17.040000920000001, 12.95893764, -99, 1519, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-07-04 00:00:00', 2.130000114, 13.81098461, -99, 785, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-07-05 00:00:00', 0.17000000200000001, 14.119194029999999, -99, 2095, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-07-06 00:00:00', 0, 13.130183219999999, -99, 1462, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-07-07 00:00:00', 0, 11.515616420000001, -99, 2128, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-07-08 00:00:00', 0.050000001000000002, 10.74503803, -99, 1760, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-07-09 00:00:00', 0, 13.578404430000001, -99, 1991, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-07-10 00:00:00', 0, 11.013988489999999, -99, 2891, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-07-11 00:00:00', 3.0499999519999998, 11.76318932, -99, 893, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-07-12 00:00:00', 0, 11.431800839999999, -99, 1699, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-07-13 00:00:00', 0, 10.40767097, -99, 2833, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-07-14 00:00:00', 0, 11.299144739999999, -99, 2916, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-07-15 00:00:00', 0, 13.91521549, -99, 2830, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-07-16 00:00:00', 0, 16.897655489999998, -99, 2153, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-07-17 00:00:00', 1.0700000519999999, 17.612308500000001, -99, 1274, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-07-18 00:00:00', 2.130000114, 16.100444790000001, -99, 1105, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-07-19 00:00:00', 0, 11.76897335, -99, 2491, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-07-20 00:00:00', 0.12999999500000001, 15.9925909, -99, 2430, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-07-21 00:00:00', 2.0299999710000001, 16.654226300000001, -99, 2689, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-07-22 00:00:00', 0, 14.429678920000001, -99, 2484, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-07-23 00:00:00', 0.439999998, 11.93578243, -99, 2221, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-07-24 00:00:00', 9.25, 13.21756077, -99, 1278, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-07-25 00:00:00', 1.539999962, 15.75100422, -99, 2243, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-07-26 00:00:00', 3.9100000860000002, 16.016399379999999, -99, 1962, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-07-27 00:00:00', 13.89000034, 14.2654295, -99, 680, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-07-28 00:00:00', 0.25999999000000001, 14.553181650000001, -99, 2326, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-07-29 00:00:00', 0, 14.30638313, -99, 2470, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-07-30 00:00:00', 0, 14.40105438, -99, 1692, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-07-31 00:00:00', 5.4299998279999997, 17.688365940000001, -99, 2214, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-08-01 00:00:00', 10.630000109999999, 15.006673810000001, -99, 1753, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-08-02 00:00:00', 0.14000000100000001, 16.471565250000001, -99, 2326, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-08-03 00:00:00', 0, 10.123153690000001, -99, 2290, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-08-04 00:00:00', 0, 9.8741788859999993, -99, 2318, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-08-05 00:00:00', 0.44999998800000002, 16.30745125, -99, 2542, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-08-06 00:00:00', 0.12999999500000001, 9.7618474959999997, -99, 2513, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-08-07 00:00:00', 0, 15.259386060000001, -99, 2423, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-08-08 00:00:00', 0, 10.885178570000001, -99, 2488, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-08-09 00:00:00', 0, 14.65615749, -99, 2542, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-08-10 00:00:00', 0, 15.30364323, -99, 2552, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-08-11 00:00:00', 0.12999999500000001, 15.777422899999999, -99, 2308, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-08-12 00:00:00', 0, 15.8588562, -99, 1807, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-08-13 00:00:00', 1.5900000329999999, 13.79921532, -99, 1112, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-08-14 00:00:00', 6.2699999809999998, 12.82164669, -99, 1508, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-08-15 00:00:00', 0.18000000699999999, 14.00338554, -99, 1285, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-08-16 00:00:00', 0, 14.76299, -99, 1638, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-08-17 00:00:00', 0, 11.511912349999999, -99, 2009, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-08-18 00:00:00', 0.189999998, 12.21457195, -99, 925, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-08-19 00:00:00', 0.039999999000000001, 14.0349226, -99, 2020, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-08-20 00:00:00', 0.66000002599999996, 12.78774357, -99, 1451, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-08-21 00:00:00', 1.269999981, 12.4462595, -99, 623, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-08-22 00:00:00', 1.6499999759999999, 15.76039982, -99, 1595, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-08-23 00:00:00', 0.49000000999999999, 12.825367930000001, -99, 1591, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-08-24 00:00:00', 0, 13.745781900000001, -99, 1472, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-08-25 00:00:00', 0, 9.8066072460000004, -99, 2110, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-08-26 00:00:00', 0, 11.92670345, -99, 1508, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-08-27 00:00:00', 0.28999999199999998, 12.80133152, -99, 1577, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-08-28 00:00:00', 0.219999999, 4.4282417299999999, -99, 1483, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-08-29 00:00:00', 18.100000380000001, 8.5657987589999998, -99, 641, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-08-30 00:00:00', 7.5300002099999999, 11.54732418, -99, 796, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-08-31 00:00:00', 1.5900000329999999, 6.7808966640000001, -99, 1372, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-09-01 00:00:00', 2.25, 6.4699978829999996, -99, 1692, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-09-02 00:00:00', 1.690000057, 4.4470663070000001, -99, 1609, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-09-03 00:00:00', 0.10000000100000001, 12.26775932, -99, 886, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-09-04 00:00:00', 0, 10.15635872, -99, 1552, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-09-05 00:00:00', 0, 5.8854398730000002, -99, 1656, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-09-06 00:00:00', 2.2200000289999999, 13.03405476, -99, 1264, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-09-07 00:00:00', 2.789999962, 14.68480778, -99, 1303, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-09-08 00:00:00', 0.88999998599999997, 11.189082150000001, -99, 450, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-09-09 00:00:00', 0.89999997600000003, 13.551836010000001, -99, 709, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-09-10 00:00:00', 11.27000046, 10.41581345, -99, 1328, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-09-11 00:00:00', 0.20000000300000001, 10.502097129999999, -99, 1519, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-09-12 00:00:00', 0.14000000100000001, 5.9539184570000003, -99, 623, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-09-13 00:00:00', 0, 7.1542177200000001, -99, 1638, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-09-14 00:00:00', 0, 4.3288226129999998, -99, 1631, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-09-15 00:00:00', 0, 8.2791395189999992, -99, 1296, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-09-16 00:00:00', 0, 11.51077366, -99, 1328, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-09-17 00:00:00', 0, 10.748852729999999, -99, 1476, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-09-18 00:00:00', 0, 12.35009861, -99, 1418, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-09-19 00:00:00', 0, 14.1342783, -99, 918, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-09-20 00:00:00', 3.6800000669999999, 12.454682350000001, -99, 1073, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-09-21 00:00:00', 0.730000019, 13.235993390000001, -99, 1148, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-09-22 00:00:00', 5.7800002099999999, 10.279118540000001, -99, 1310, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-09-23 00:00:00', 0.769999981, 8.9370727540000008, -99, 1127, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-09-24 00:00:00', 0.050000001000000002, 5.5175213809999999, -99, 1145, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-09-25 00:00:00', 0, 8.2761363980000002, -99, 569, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-09-26 00:00:00', 0.97000002900000004, 7.6753683089999996, -99, 842, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-09-27 00:00:00', 0.050000001000000002, 7.6643166540000003, -99, 1012, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-09-28 00:00:00', 0.15000000599999999, 2.9589586259999998, -99, 896, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-09-29 00:00:00', 0.40000000600000002, 6.6648387910000002, -99, 990, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-09-30 00:00:00', 0, 0.95779711000000001, -99, 1156, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-10-01 00:00:00', 0, 3.1869056219999998, -99, 1246, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-10-02 00:00:00', 0.10000000100000001, 3.5434765819999998, -99, 997, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-10-03 00:00:00', 0.560000002, 4.2706637379999997, -99, 626, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-10-04 00:00:00', 1.5900000329999999, 6.0574059489999996, -99, 911, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-10-05 00:00:00', 0.829999983, 1.9526053670000001, -99, 839, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-10-06 00:00:00', 12.72000027, 3.7073576450000001, -99, 335, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-10-07 00:00:00', 8.3500003809999992, 5.2470245359999996, -99, 565, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-10-08 00:00:00', 10.27000046, 3.2827348710000002, -99, 133, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-10-09 00:00:00', 8.2399997710000008, 7.0902223590000002, -99, 817, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-10-10 00:00:00', 2.4400000569999998, 9.9523248669999997, -99, 727, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-10-11 00:00:00', 1.6000000240000001, 9.1869888310000007, -99, 850, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-10-12 00:00:00', 0, 6.2024807930000003, -99, 1004, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-10-13 00:00:00', 0, 1.8963607549999999, -99, 904, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-10-14 00:00:00', 0, 0.17506967500000001, -99, 972, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-10-15 00:00:00', 0, -1.6028263570000001, -99, 925, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-10-16 00:00:00', 0, -1.6294261219999999, -99, 889, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-10-17 00:00:00', 0, -3.4996259209999998, -99, 796, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-10-18 00:00:00', 0, -0.21084445700000001, -99, 259, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-10-19 00:00:00', 2.920000076, 2.874291897, -99, 479, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-10-20 00:00:00', 0, 3.1192700860000002, -99, 767, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-10-21 00:00:00', 4.5900001530000001, -0.38607102599999998, -99, 508, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-10-22 00:00:00', 0, 2.9919035429999998, -99, 536, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-10-23 00:00:00', 0, -2.6595780850000001, -99, 785, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-10-24 00:00:00', 1.6499999759999999, -3.6394419669999998, -99, 472, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-10-25 00:00:00', 1.3799999949999999, -0.73591768700000004, -99, 407, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-10-26 00:00:00', 0, 0.58697372699999995, -99, 767, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-10-27 00:00:00', 0, -6.4783020020000004, -99, 342, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-10-28 00:00:00', 0, 7.6152315140000004, -99, 187, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-10-29 00:00:00', 0.31999999299999998, 0.74985581599999995, -99, 443, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-10-30 00:00:00', 0.050000001000000002, 0.383285135, -99, 324, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-10-31 00:00:00', 12.55000019, 5.2287635799999999, -99, 248, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-11-01 00:00:00', 1.440000057, 6.4809956550000001, -99, 144, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-11-02 00:00:00', 5.3099999430000002, 6.9418897629999998, -99, 338, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-11-03 00:00:00', 2.7799999710000001, 8.1632871629999997, -99, 425, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-11-04 00:00:00', 0, 8.3625497820000003, -99, 583, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-11-05 00:00:00', 0, 4.4539179799999999, -99, 158, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-11-06 00:00:00', 0, 4.7251615520000003, -99, 594, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-11-07 00:00:00', 0, 3.5076508519999998, -99, 518, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-11-08 00:00:00', 0, 5.3149151799999999, -99, 176, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-11-09 00:00:00', 0, 6.9702997209999999, -99, 151, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-11-10 00:00:00', 0, 4.1659297940000002, -99, 112, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-11-11 00:00:00', 0, 3.3264770509999999, -99, 176, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-11-12 00:00:00', 0, 2.5103151800000001, -99, 529, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-11-13 00:00:00', 0.18000000699999999, -1.2180740830000001, -99, 155, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-11-14 00:00:00', 0.30000001199999998, 3.1897416110000001, -99, 97, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-11-15 00:00:00', 4.2699999809999998, 3.8747515680000002, -99, 65, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-11-16 00:00:00', 1.519999981, 7.8841934199999999, -99, 176, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-11-17 00:00:00', 0.83999997400000004, 3.809458733, -99, 382, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-11-18 00:00:00', 3.460000038, 4.5235943790000004, -99, 104, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-11-19 00:00:00', 2.460000038, 10.93802357, -99, 76, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-11-20 00:00:00', 9.2299995419999998, 6.8088908200000002, -99, 7, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-11-21 00:00:00', 5.170000076, 8.7319746019999993, -99, 83, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-11-22 00:00:00', 6.1399998660000001, 7.2067308429999999, -99, 40, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-11-23 00:00:00', 2.6099998950000001, 8.6050386430000003, -99, 133, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-11-24 00:00:00', 0.77999997099999996, 2.8661923410000001, -99, 331, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-11-25 00:00:00', 0.920000017, 1.8317866330000001, -99, 245, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-11-26 00:00:00', 0, 2.513497353, -99, 198, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-11-27 00:00:00', 0.23999999499999999, 6.7095074649999997, -99, 144, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-11-28 00:00:00', 0, 2.0347599980000002, -99, 306, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-11-29 00:00:00', 0, -0.36905452599999999, -99, 220, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-11-30 00:00:00', 0.560000002, 3.7976722719999998, -99, 32, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-12-01 00:00:00', 0, 6.3606457709999997, -99, 133, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-12-02 00:00:00', 0, 5.5520429609999997, -99, 144, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-12-03 00:00:00', 0.23000000400000001, 6.1193432809999999, -99, 227, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-12-04 00:00:00', 0.12999999500000001, 5.0328001980000003, -99, 223, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-12-05 00:00:00', 0.85000002399999997, 2.4440460210000001, -99, 162, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-12-06 00:00:00', 0, 2.4683952329999999, -99, 198, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-12-07 00:00:00', 0.059999998999999998, -6.416754246, -99, 162, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-12-08 00:00:00', 0, 3.669619322, -99, 245, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-12-09 00:00:00', 0, -1.017640114, -99, 274, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-12-10 00:00:00', 0, -5.3617939950000002, -99, 270, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-12-11 00:00:00', 9.0100002289999992, -3.3137164119999998, -99, 108, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-12-12 00:00:00', 7.0300002099999999, -0.94141340299999998, -99, 133, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-12-13 00:00:00', 11.52999973, 2.4042496679999998, -99, 104, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-12-14 00:00:00', 0.72000002900000004, 5.6643633839999996, -99, 151, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-12-15 00:00:00', 0.10000000100000001, 0.133845091, -99, 216, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-12-16 00:00:00', 2.2200000289999999, -0.99243146199999999, -99, 108, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-12-17 00:00:00', 0.20000000300000001, 2.1619744299999999, -99, 194, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-12-18 00:00:00', 0, 5.2598271370000003, -99, 234, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-12-19 00:00:00', 0.14000000100000001, 1.273366928, -99, 166, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-12-20 00:00:00', 9.9499998089999995, -0.36652895800000002, -99, 104, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-12-21 00:00:00', 1.789999962, 4.452112198, -99, 184, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-12-22 00:00:00', 0, -0.65207564799999995, -99, 238, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-12-23 00:00:00', 0.090000003999999995, -6.0226287840000001, -99, 158, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-12-24 00:00:00', 3.0099999899999998, 0.58738386600000003, -99, 101, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-12-25 00:00:00', 1.7200000289999999, 5.759386063, -99, 169, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-12-26 00:00:00', 3.0899999139999998, 7.6208500859999999, -99, 101, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-12-27 00:00:00', 6.9600000380000004, 5.3826193809999996, -99, 209, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-12-28 00:00:00', 18.5, 4.1005058290000003, -99, 104, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-12-29 00:00:00', 3.0599999430000002, 0.65193837899999996, -99, 216, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-12-30 00:00:00', 0, -0.99576324199999999, -99, 205, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2003-12-31 00:00:00', 0, -3.3854806420000001, -99, 256, 'ask', 'ask_2003');
INSERT INTO public.cdy_cldat VALUES ('2004-01-01 00:00:00', 0, -7.3564195630000002, -99, 101, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-01-02 00:00:00', 0, -2.1524558069999999, -99, 115, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-01-03 00:00:00', 0, -7.5019660000000004, -99, 101, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-01-04 00:00:00', 0.920000017, -3.5866603850000001, -99, 137, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-01-05 00:00:00', 0.52999997099999996, -3.514288664, -99, 176, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-01-06 00:00:00', 5.2699999809999998, -5.338981628, -99, 112, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-01-07 00:00:00', 0, 1.8220221999999999, -99, 256, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-01-08 00:00:00', 3.2799999710000001, 0.96140217800000005, -99, 169, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-01-09 00:00:00', 1.3500000240000001, 0.59174805900000005, -99, 130, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-01-10 00:00:00', 1.519999981, 1.3346905710000001, -99, 245, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-01-11 00:00:00', 14.22999954, 2.5046961310000002, -99, 7, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-01-12 00:00:00', 1.480000019, 2.259708405, -99, 277, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-01-13 00:00:00', 14.10999966, 3.697459936, -99, 169, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-01-14 00:00:00', 0.25, 1.619530439, -99, 277, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-01-15 00:00:00', 4.75, -0.59922468699999998, -99, 194, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-01-16 00:00:00', 14.77999973, 2.2003138070000001, -99, 7, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-01-17 00:00:00', 0, 0.84579825399999997, -99, 198, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-01-18 00:00:00', 9.5100002289999992, -4.6250972749999999, -99, 234, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-01-19 00:00:00', 0.10000000100000001, 1.3147783280000001, -99, 137, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-01-20 00:00:00', 0.01, -1.446380496, -99, 248, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-01-21 00:00:00', 0.039999999000000001, -2.8625915050000001, -99, 270, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-01-22 00:00:00', 0.75, -3.1050064559999999, -99, 101, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-01-23 00:00:00', 0.059999998999999998, -1.781472325, -99, 180, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-01-24 00:00:00', 1.230000019, 0.335487217, -99, 97, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-01-25 00:00:00', 0.17000000200000001, -1.163873076, -99, 274, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-01-26 00:00:00', 0.15000000599999999, -2.3467588419999998, -99, 288, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-01-27 00:00:00', 0.37000000500000002, -11.18512726, -99, 284, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-01-28 00:00:00', 4.8699998860000004, -3.9182765480000001, -99, 284, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-01-29 00:00:00', 0.94999998799999996, -9.1136274339999996, -99, 288, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-01-30 00:00:00', 4.0100002290000001, -12.15551376, -99, 76, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-01-31 00:00:00', 27.600000380000001, 0.061176016999999999, -99, 40, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-02-01 00:00:00', 6.9800000190000002, 1.6557562349999999, -99, 292, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-02-02 00:00:00', 2.369999886, 2.5449593070000001, -99, 382, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-02-03 00:00:00', 13.81999969, 4.0801463130000002, -99, 302, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-02-04 00:00:00', 4.579999924, 8.5247650149999998, -99, 144, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-02-05 00:00:00', 0.119999997, 7.6186165810000004, -99, 508, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-02-06 00:00:00', 2.380000114, 6.6284627909999996, -99, 338, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-02-07 00:00:00', 2.7300000190000002, 3.234314919, -99, 277, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-02-08 00:00:00', 2.5999999049999998, 0.87720632600000004, -99, 338, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-02-09 00:00:00', 0.039999999000000001, -0.53990739600000004, -99, 659, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-02-10 00:00:00', 6.6799998279999997, -1.4011517760000001, -99, 43, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-02-11 00:00:00', 0.209999993, 0.84872764300000003, -99, 446, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-02-12 00:00:00', 0.219999999, -2.1513459680000002, -99, 277, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-02-13 00:00:00', 0, 2.9891164300000002, -99, 511, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-02-14 00:00:00', 0, -0.33107689000000001, -99, 198, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-02-15 00:00:00', 0, -1.5661356449999999, -99, 569, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-02-16 00:00:00', 0.14000000100000001, 1.168663502, -99, 306, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-02-17 00:00:00', 0, 3.769543171, -99, 554, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-02-18 00:00:00', 0, -1.568638325, -99, 760, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-02-19 00:00:00', 0, 1.2598756550000001, -99, 878, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-02-20 00:00:00', 0, -5.4550976750000002, -99, 824, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-02-21 00:00:00', 0, -2.6232752800000001, -99, 850, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-02-22 00:00:00', 0.090000003999999995, -4.068669796, -99, 745, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-02-23 00:00:00', 0.12999999500000001, -1.7589395050000001, -99, 925, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-02-24 00:00:00', 6.3800001139999996, -4.7447710040000004, -99, 241, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-02-25 00:00:00', 0.939999998, -2.0187435150000002, -99, 684, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-02-26 00:00:00', 0.469999999, -0.510847092, -99, 281, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-02-27 00:00:00', 0, -5.7624506950000001, -99, 482, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-02-28 00:00:00', 0, -4.8190631870000002, -99, 904, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-02-29 00:00:00', 0, -3.5142993929999999, -99, 947, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-03-01 00:00:00', 0, -4.7733588219999996, -99, 720, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-03-02 00:00:00', 0, 2.1467971800000001, -99, 659, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-03-03 00:00:00', 0, -0.14011563399999999, -99, 1076, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-03-04 00:00:00', 0, -4.7931652070000004, -99, 1152, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-03-05 00:00:00', 0, -2.092195034, -99, 1138, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-03-06 00:00:00', 0, -3.2571697240000002, -99, 770, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-03-07 00:00:00', 0, -2.8772656919999999, -99, 1123, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-03-08 00:00:00', 0, -4.676233292, -99, 1314, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-03-09 00:00:00', 0, -1.9559907910000001, -99, 814, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-03-10 00:00:00', 0.10000000100000001, -0.032349708999999997, -99, 648, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-03-11 00:00:00', 0, 1.067213655, -99, 605, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-03-12 00:00:00', 1.1499999759999999, 1.32200706, -99, 414, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-03-13 00:00:00', 5.9600000380000004, 1.9091147180000001, -99, 180, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-03-14 00:00:00', 8.1599998469999999, 2.517927647, -99, 508, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-03-15 00:00:00', 2.0599999430000002, 7.0226778980000004, -99, 1289, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-03-16 00:00:00', 0.62000000499999997, 7.5348811150000001, -99, 382, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-03-17 00:00:00', 0, 7.0942678450000001, -99, 1361, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-03-18 00:00:00', 2.079999924, 1.6995043750000001, -99, 1030, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-03-19 00:00:00', 13.380000109999999, 5.5175004010000004, -99, 623, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-03-20 00:00:00', 10.60999966, 3.9770557879999999, -99, 608, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-03-21 00:00:00', 8.9200000760000009, 5.4974570270000003, -99, 482, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-03-22 00:00:00', 0.72000002900000004, 2.9184284210000002, -99, 1105, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-03-23 00:00:00', 0.34999999399999998, 3.6244640349999999, -99, 1004, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-03-24 00:00:00', 0, -0.72970700300000002, -99, 781, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-03-25 00:00:00', 0.039999999000000001, -2.521623135, -99, 1573, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-03-26 00:00:00', 0, -3.3848116400000001, -99, 1314, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-03-27 00:00:00', 0.56999999300000004, -1.636839151, -99, 446, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-03-28 00:00:00', 2.0699999330000001, 3.0438148979999999, -99, 731, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-03-29 00:00:00', 0, 5.4860458369999998, -99, 1148, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-03-30 00:00:00', 0, 2.1933467389999999, -99, 1264, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-03-31 00:00:00', 0, 1.9087088109999999, -99, 1879, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-04-01 00:00:00', 0, 4.0166811940000002, -99, 1804, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-04-02 00:00:00', 0, 2.1030757430000002, -99, 1768, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-04-03 00:00:00', 2.6800000669999999, 4.37543726, -99, 504, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-04-04 00:00:00', 6.2699999809999998, 8.0689401630000006, -99, 457, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-04-05 00:00:00', 5.920000076, 3.6608467099999999, -99, 997, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-04-06 00:00:00', 2.7599999899999998, 2.6028139590000001, -99, 720, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-04-07 00:00:00', 0.66000002599999996, 0.95087641499999997, -99, 734, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-04-08 00:00:00', 0, 2.7903099060000001, -99, 817, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-04-09 00:00:00', 0.090000003999999995, 0.83548277599999998, -99, 1937, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-04-10 00:00:00', 0, 1.991165042, -99, 2146, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-04-11 00:00:00', 0.15000000599999999, 0.99538242799999999, -99, 1706, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-04-12 00:00:00', 0, 4.7088270190000001, -99, 1814, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-04-13 00:00:00', 0, 1.764311075, -99, 1703, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-04-14 00:00:00', 0, 1.6686183210000001, -99, 1436, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-04-15 00:00:00', 0, 3.1244337560000002, -99, 2218, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-04-16 00:00:00', 0, 5.2377672200000003, -99, 1685, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-04-17 00:00:00', 0, 5.768627167, -99, 1436, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-04-18 00:00:00', 1.2599999900000001, 8.1117925639999999, -99, 1026, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-04-19 00:00:00', 7.1599998469999999, 9.0767717359999995, -99, 824, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-04-20 00:00:00', 5.3800001139999996, 0.75666338200000005, -99, 1296, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-04-21 00:00:00', 0, 0.66214782000000005, -99, 1732, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-04-22 00:00:00', 0.039999999000000001, 9.0570926669999992, -99, 706, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-04-23 00:00:00', 0, 6.555058002, -99, 2124, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-04-24 00:00:00', 0, 4.8593902590000004, -99, 1724, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-04-25 00:00:00', 0.83999997400000004, 2.8256053919999999, -99, 1336, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-04-26 00:00:00', 9.0900001530000001, 9.2231359479999995, -99, 760, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-04-27 00:00:00', 0.039999999000000001, 8.0938043589999999, -99, 1098, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-04-28 00:00:00', 0, 6.5180158620000004, -99, 2333, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-04-29 00:00:00', 0, 5.9831838609999997, -99, 792, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-04-30 00:00:00', 0, 7.3148927690000001, -99, 2095, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-05-01 00:00:00', 0.109999999, 6.8691420560000003, -99, 1861, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-05-02 00:00:00', 1.210000038, 9.0609121320000003, -99, 1850, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-05-03 00:00:00', 9.9300003050000001, 5.4632492069999996, -99, 1328, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-05-04 00:00:00', 1.6699999569999999, 9.6930646899999999, -99, 1091, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-05-05 00:00:00', 4.6799998279999997, 8.9806718829999994, -99, 911, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-05-06 00:00:00', 2.329999924, 7.5193142890000004, -99, 493, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-05-07 00:00:00', 0.62000000499999997, 10.85442924, -99, 1069, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-05-08 00:00:00', 2.960000038, 11.18921185, -99, 529, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-05-09 00:00:00', 0, 10.927542689999999, -99, 2549, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-05-10 00:00:00', 0.050000001000000002, 8.301594734, -99, 1897, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-05-11 00:00:00', 0, 8.9431095119999995, -99, 1184, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-05-12 00:00:00', 0.87000000499999997, 9.5227851870000002, -99, 1188, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-05-13 00:00:00', 0, 7.8141536709999997, -99, 1278, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-05-14 00:00:00', 0, 3.1710464950000001, -99, 1494, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-05-15 00:00:00', 0.69999998799999996, 7.8073377610000003, -99, 1224, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-05-16 00:00:00', 0, 6.1237721440000001, -99, 2185, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-05-17 00:00:00', 0, 9.2185955049999997, -99, 1897, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-05-18 00:00:00', 0, 9.6623830799999997, -99, 2513, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-05-19 00:00:00', 0, 8.2219390870000009, -99, 1778, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-05-20 00:00:00', 0, 7.8690328599999999, -99, 2300, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-05-21 00:00:00', 0, 2.2867259980000001, -99, 2239, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-05-22 00:00:00', 2.7300000190000002, 2.3433671, -99, 1771, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-05-23 00:00:00', 0, 4.2291522029999999, -99, 2902, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-05-24 00:00:00', 0.02, 6.563027859, -99, 2268, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-05-25 00:00:00', 0.579999983, 7.9443559649999997, -99, 1897, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-05-26 00:00:00', 2.6600000860000002, 5.0895872119999996, -99, 1627, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-05-27 00:00:00', 0, 6.0477685929999998, -99, 2653, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-05-28 00:00:00', 0, 4.3319082260000004, -99, 1213, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-05-29 00:00:00', 0, 7.9988069529999999, -99, 2977, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-05-30 00:00:00', 0, 7.8048763279999998, -99, 2020, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-05-31 00:00:00', 0, 12.0942297, -99, 2347, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-06-01 00:00:00', 0, 9.4436502460000007, -99, 2624, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-06-02 00:00:00', 0, 7.9075002669999996, -99, 2808, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-06-03 00:00:00', 0.560000002, 6.4205746650000002, -99, 2869, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-06-04 00:00:00', 1.1699999569999999, 9.6230516430000002, -99, 1051, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-06-05 00:00:00', 0, 9.6847000120000004, -99, 2786, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-06-06 00:00:00', 0, 8.4468507769999999, -99, 1480, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-06-07 00:00:00', 1.0700000519999999, 12.747728349999999, -99, 1325, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-06-08 00:00:00', 4.5100002290000001, 9.7779693600000002, -99, 2045, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-06-09 00:00:00', 0.97000002900000004, 12.21107769, -99, 842, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-06-10 00:00:00', 0, 12.163478850000001, -99, 2657, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-06-11 00:00:00', 0.059999998999999998, 13.499837879999999, -99, 2016, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-06-12 00:00:00', 3.0999999049999998, 11.024415019999999, -99, 1840, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-06-13 00:00:00', 0, 11.026404380000001, -99, 2063, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-06-14 00:00:00', 0.15999999600000001, 10.336462020000001, -99, 1944, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-06-15 00:00:00', 0.37999999499999998, 14.11006641, -99, 1818, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-06-16 00:00:00', 1.6299999949999999, 8.8057012560000008, -99, 1782, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-06-17 00:00:00', 13.460000040000001, 9.1102170939999993, -99, 536, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-06-18 00:00:00', 0.55000001200000004, 11.729481699999999, -99, 1782, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-06-19 00:00:00', 4.0100002290000001, 7.8418445590000001, -99, 2372, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-06-20 00:00:00', 2.1099998950000001, 6.3698391909999996, -99, 2156, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-06-21 00:00:00', 1.9700000289999999, 7.7564482689999998, -99, 2221, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-06-22 00:00:00', 0.050000001000000002, 8.4847545619999991, -99, 2606, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-06-23 00:00:00', 19.209999079999999, 8.4446783070000002, -99, 389, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-06-24 00:00:00', 20.420000080000001, 12.886214259999999, -99, 731, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-06-25 00:00:00', 6.0700001720000003, 11.4137764, -99, 666, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-06-26 00:00:00', 0, 11.46538353, -99, 1292, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-06-27 00:00:00', 0.75999998999999996, 6.6411027909999998, -99, 662, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-06-28 00:00:00', 0.85000002399999997, 12.872130390000001, -99, 1670, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-06-29 00:00:00', 0, 10.96164894, -99, 2660, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-06-30 00:00:00', 1.809999943, 11.413231850000001, -99, 1386, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-07-01 00:00:00', 0.61000001400000003, 13.809455870000001, -99, 2005, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-07-02 00:00:00', 8.2899999619999996, 7.9469132419999999, -99, 2531, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-07-03 00:00:00', 10.84000015, 12.19388771, -99, 1685, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-07-04 00:00:00', 3.9300000669999999, 10.66609955, -99, 2135, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-07-05 00:00:00', 2.5699999330000001, 8.9239635469999996, -99, 2128, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-07-06 00:00:00', 0.039999999000000001, 10.102535250000001, -99, 2099, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-07-07 00:00:00', 0, 6.8659477229999997, -99, 2826, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-07-08 00:00:00', 7.5, 10.838929179999999, -99, 626, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-07-09 00:00:00', 1.309999943, 10.972199440000001, -99, 2250, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-07-10 00:00:00', 1.6499999759999999, 13.03283596, -99, 1120, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-07-11 00:00:00', 0.37000000500000002, 12.11354446, -99, 724, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-07-12 00:00:00', 0.10000000100000001, 12.46184444, -99, 1033, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-07-13 00:00:00', 0.10000000100000001, 11.817569730000001, -99, 1472, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-07-14 00:00:00', 3.329999924, 11.3018074, -99, 976, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-07-15 00:00:00', 0.119999997, 12.808981899999999, -99, 2225, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-07-16 00:00:00', 0, 9.2139654160000006, -99, 2502, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-07-17 00:00:00', 3.539999962, 8.1973552699999992, -99, 1768, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-07-18 00:00:00', 5.2300000190000002, 16.41613388, -99, 1127, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-07-19 00:00:00', 0.090000003999999995, 12.6836853, -99, 2264, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-07-20 00:00:00', 0.540000021, 10.16634846, -99, 1818, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-07-21 00:00:00', 0, 12.206058499999999, -99, 1138, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-07-22 00:00:00', 0, 12.245793340000001, -99, 2236, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-07-23 00:00:00', 3.329999924, 13.58293724, -99, 990, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-07-24 00:00:00', 0.66000002599999996, 14.50817204, -99, 2390, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-07-25 00:00:00', 4.6300001139999996, 12.05396461, -99, 958, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-07-26 00:00:00', 2.5999999049999998, 11.03255081, -99, 2365, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-07-27 00:00:00', 0, 9.2798013689999994, -99, 2066, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-07-28 00:00:00', 2.5, 8.5127925869999999, -99, 1318, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-07-29 00:00:00', 0.039999999000000001, 9.6200304029999995, -99, 2246, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-07-30 00:00:00', 6.6799998279999997, 12.794963839999999, -99, 2441, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-07-31 00:00:00', 1.309999943, 15.917511940000001, -99, 1789, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-08-01 00:00:00', 0.12999999500000001, 11.3058815, -99, 2138, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-08-02 00:00:00', 0, 12.19588375, -99, 2333, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-08-03 00:00:00', 0.670000017, 12.96722698, -99, 2246, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-08-04 00:00:00', 0, 12.29077339, -99, 2279, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-08-05 00:00:00', 0, 15.621585850000001, -99, 2171, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-08-06 00:00:00', 0, 16.937082289999999, -99, 2182, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-08-07 00:00:00', 0, 17.500026699999999, -99, 2567, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-08-08 00:00:00', 0, 17.130802150000001, -99, 2459, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-08-09 00:00:00', 0, 16.861824039999998, -99, 2470, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-08-10 00:00:00', 0, 16.325286869999999, -99, 2462, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-08-11 00:00:00', 1.4299999480000001, 17.323165889999999, -99, 1184, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-08-12 00:00:00', 0, 15.042033200000001, -99, 1944, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-08-13 00:00:00', 14.34000015, 16.35908508, -99, 763, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-08-14 00:00:00', 0, 13.04040432, -99, 2347, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-08-15 00:00:00', 0.12999999500000001, 14.38366508, -99, 1318, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-08-16 00:00:00', 17.459999079999999, 13.93079185, -99, 526, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-08-17 00:00:00', 5.920000076, 14.73423672, -99, 1861, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-08-18 00:00:00', 11.40999985, 13.0110817, -99, 806, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-08-19 00:00:00', 13.65999985, 17.378446579999999, -99, 1091, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-08-20 00:00:00', 3.0699999330000001, 15.64184189, -99, 1710, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-08-21 00:00:00', 0.66000002599999996, 12.38951683, -99, 1530, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-08-22 00:00:00', 0.40999999599999998, 8.7719421390000001, -99, 1710, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-08-23 00:00:00', 4.0999999049999998, 6.2120513920000002, -99, 1310, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-08-24 00:00:00', 4.2300000190000002, 13.224982260000001, -99, 590, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-08-25 00:00:00', 7.920000076, 11.541550640000001, -99, 1130, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-08-26 00:00:00', 1.5900000329999999, 11.81819153, -99, 1148, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-08-27 00:00:00', 5.4699997900000001, 11.894700050000001, -99, 598, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-08-28 00:00:00', 2.2200000289999999, 10.962339399999999, -99, 1588, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-08-29 00:00:00', 10.289999959999999, 9.5980701449999994, -99, 832, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-08-30 00:00:00', 8.2299995419999998, 12.7545023, -99, 1112, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-08-31 00:00:00', 15.619999890000001, 6.8768362999999999, -99, 774, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-09-01 00:00:00', 1.7799999710000001, 12.732434270000001, -99, 1116, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-09-02 00:00:00', 0, 8.6993179319999996, -99, 1919, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-09-03 00:00:00', 0, 10.99637222, -99, 1890, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-09-04 00:00:00', 0, 10.97372532, -99, 1782, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-09-05 00:00:00', 0, 11.726662640000001, -99, 1296, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-09-06 00:00:00', 0, 12.118681909999999, -99, 1555, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-09-07 00:00:00', 0, 6.144193649, -99, 1933, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-09-08 00:00:00', 0, 9.152608871, -99, 1865, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-09-09 00:00:00', 0, 4.9095940589999998, -99, 1811, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-09-10 00:00:00', 0, 7.6677350999999998, -99, 1872, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-09-11 00:00:00', 2.6400001049999999, 12.95205498, -99, 641, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-09-12 00:00:00', 5.4800000190000002, 13.28811932, -99, 886, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-09-13 00:00:00', 14.27999973, 11.79763412, -99, 457, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-09-14 00:00:00', 10.369999890000001, 10.51548386, -99, 896, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-09-15 00:00:00', 2.579999924, 12.03830147, -99, 1256, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-09-16 00:00:00', 0.039999999000000001, 6.6173362730000003, -99, 1368, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-09-17 00:00:00', 0.23999999499999999, 9.784462929, -99, 781, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-09-18 00:00:00', 2.3099999430000002, 13.15077209, -99, 698, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-09-19 00:00:00', 0.40000000600000002, 12.8006115, -99, 1253, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-09-20 00:00:00', 30.43000031, 9.6606016159999992, -99, 248, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-09-21 00:00:00', 7.1999998090000004, 9.8015556339999996, -99, 1055, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-09-22 00:00:00', 8.3000001910000005, 10.77617455, -99, 835, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-09-23 00:00:00', 4.0900001530000001, 7.9067540169999999, -99, 796, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-09-24 00:00:00', 0.20000000300000001, 9.5848684310000003, -99, 662, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-09-25 00:00:00', 1.2999999520000001, 8.3500080109999999, -99, 428, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-09-26 00:00:00', 1.2599999900000001, 8.8604907990000008, -99, 932, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-09-27 00:00:00', 0.119999997, 11.16414833, -99, 698, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-09-28 00:00:00', 7.170000076, 9.8629541399999994, -99, 500, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-09-29 00:00:00', 0.209999993, 9.1943569180000004, -99, 1282, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-09-30 00:00:00', 0.02, 3.926216841, -99, 1271, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-10-01 00:00:00', 1.2599999900000001, 4.1099667550000003, -99, 1037, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-10-02 00:00:00', 7.9000000950000002, 9.5033006669999995, -99, 292, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-10-03 00:00:00', 2.7200000289999999, 8.7990217210000008, -99, 936, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-10-04 00:00:00', 3.1800000669999999, 10.49158096, -99, 115, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-10-05 00:00:00', 1.059999943, 6.3994355199999999, -99, 749, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-10-06 00:00:00', 9.3699998860000004, 9.4435863490000003, -99, 763, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-10-07 00:00:00', 2.630000114, 8.9652910230000007, -99, 684, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-10-08 00:00:00', 0.97000002900000004, 7.0358228680000003, -99, 821, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-10-09 00:00:00', 0, 1.0596739049999999, -99, 846, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-10-10 00:00:00', 0, -0.582513273, -99, 1044, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-10-11 00:00:00', 0, 3.0219995979999998, -99, 785, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-10-12 00:00:00', 0, 3.5211684700000001, -99, 1015, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-10-13 00:00:00', 0.02, 5.619721889, -99, 839, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-10-14 00:00:00', 0.209999993, 7.8180418009999997, -99, 475, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-10-15 00:00:00', 2.7999999519999998, 7.7070260050000003, -99, 122, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-10-16 00:00:00', 3.6500000950000002, 7.4522099490000002, -99, 234, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-10-17 00:00:00', 15.239999770000001, 5.5033640860000004, -99, 112, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-10-18 00:00:00', 0.94999998799999996, 7.8493671420000002, -99, 230, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-10-19 00:00:00', 0, 2.0629749300000002, -99, 774, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-10-20 00:00:00', 7.8800001139999996, 5.0410046580000003, -99, 328, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-10-21 00:00:00', 2.6600000860000002, 9.0583591460000008, -99, 756, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-10-22 00:00:00', 7.6300001139999996, 9.3527173999999995, -99, 292, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-10-23 00:00:00', 13.600000380000001, 12.03872967, -99, 256, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-10-24 00:00:00', 1.3899999860000001, 11.745319370000001, -99, 166, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-10-25 00:00:00', 7.420000076, 12.91619873, -99, 367, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-10-26 00:00:00', 0.17000000200000001, 10.4742918, -99, 644, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-10-27 00:00:00', 0, 2.710693359, -99, 594, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-10-28 00:00:00', 1.4199999569999999, 7.3482828140000001, -99, 25, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-10-29 00:00:00', 14.69999981, 8.723596573, -99, 162, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-10-30 00:00:00', 0.94999998799999996, 9.3281679149999999, -99, 97, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-10-31 00:00:00', 0, 7.3725824360000001, -99, 317, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-11-01 00:00:00', 0, 3.749273777, -99, 392, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-11-02 00:00:00', 0.050000001000000002, 6.0731058119999997, -99, 202, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-11-03 00:00:00', 0.310000002, 7.5391402239999996, -99, 227, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-11-04 00:00:00', 4.9600000380000004, 8.4061908719999998, -99, 151, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-11-05 00:00:00', 4.4600000380000004, 6.3309683799999998, -99, 392, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-11-06 00:00:00', 0, 3.9267156120000002, -99, 590, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-11-07 00:00:00', 0.99000001000000004, 0.87163537700000004, -99, 554, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-11-08 00:00:00', 1.289999962, 2.2889218329999999, -99, 223, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-11-09 00:00:00', 7.5, -0.30336526000000003, -99, 425, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-11-10 00:00:00', 3.210000038, 5.1367726329999996, -99, 11, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-11-11 00:00:00', 0.050000001000000002, 1.809553027, -99, 238, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-11-12 00:00:00', 9.9399995800000003, 4.1231403350000004, -99, 126, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-11-13 00:00:00', 0.02, 2.2771232129999999, -99, 346, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-11-14 00:00:00', 0.15000000599999999, -1.8381241559999999, -99, 371, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-11-15 00:00:00', 1.309999943, 7.5699763300000003, -99, 14, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-11-16 00:00:00', 0, 2.9029417039999998, -99, 338, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-11-17 00:00:00', 4.6900000569999998, 2.2930026049999999, -99, 54, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-11-18 00:00:00', 0.50999998999999996, 4.9144396779999999, -99, 306, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-11-19 00:00:00', 1.2799999710000001, -2.4125401970000002, -99, 317, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-11-20 00:00:00', 1.190000057, -2.6304154400000002, -99, 241, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-11-21 00:00:00', 5.4000000950000002, -8.7299003600000002, -99, 238, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-11-22 00:00:00', 5.420000076, 0.47826507699999998, -99, 198, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-11-23 00:00:00', 0, 3.596615076, -99, 317, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-11-24 00:00:00', 0.090000003999999995, -5.5894513129999996, -99, 198, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-11-25 00:00:00', 0.10000000100000001, 3.3130669589999999, -99, 176, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-11-26 00:00:00', 3.789999962, 1.6256433729999999, -99, 151, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-11-27 00:00:00', 0.34000000400000002, 5.371928692, -99, 220, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-11-28 00:00:00', 2.2599999899999998, 3.8320026399999998, -99, 144, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-11-29 00:00:00', 0.27000001099999998, 4.4095373149999997, -99, 205, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-11-30 00:00:00', 0, 3.4158351420000002, -99, 137, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-12-01 00:00:00', 6, 1.908057213, -99, 173, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-12-02 00:00:00', 0.34000000400000002, 0.48970764900000002, -99, 198, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-12-03 00:00:00', 2.8499999049999998, 0.87472772600000004, -99, 256, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-12-04 00:00:00', 0.310000002, 0.768336833, -99, 202, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-12-05 00:00:00', 0.17000000200000001, 6.308283329, -99, 284, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-12-06 00:00:00', 0.039999999000000001, 5.8484501839999998, -99, 148, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-12-07 00:00:00', 0.10000000100000001, 7.8871693609999998, -99, 162, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-12-08 00:00:00', 0, 3.635168314, -99, 284, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-12-09 00:00:00', 0, 0.15322640500000001, -99, 148, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-12-10 00:00:00', 0.039999999000000001, -1.3669642209999999, -99, 245, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-12-11 00:00:00', 0.039999999000000001, -1.847125173, -99, 191, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-12-12 00:00:00', 0.23999999499999999, 4.2792091369999996, -99, 223, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-12-13 00:00:00', 0.25, 7.0388731959999999, -99, 227, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-12-14 00:00:00', 0.810000002, 1.9157036540000001, -99, 133, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-12-15 00:00:00', 6.5700001720000003, 0.438133508, -99, 104, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-12-16 00:00:00', 4.0900001530000001, 1.838845372, -99, 205, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-12-17 00:00:00', 6.0999999049999998, 4.9043974879999999, -99, 202, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-12-18 00:00:00', 1.4900000099999999, 0.88294100799999997, -99, 191, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-12-19 00:00:00', 0, -1.0797842740000001, -99, 248, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-12-20 00:00:00', 0.62000000499999997, -2.742078781, -99, 133, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-12-21 00:00:00', 1.3999999759999999, -0.038777816999999999, -99, 194, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-12-22 00:00:00', 11, 1.1876600980000001, -99, 119, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-12-23 00:00:00', 19.149999619999999, 5.6631975170000004, -99, 144, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-12-24 00:00:00', 8.1499996190000008, 5.1653552060000001, -99, 220, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-12-25 00:00:00', 1.6699999569999999, 2.2395305630000002, -99, 176, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-12-26 00:00:00', 0.15000000599999999, -0.068340175000000003, -99, 234, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-12-27 00:00:00', 0, -3.409348965, -99, 205, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-12-28 00:00:00', 2.0699999330000001, -1.9394108059999999, -99, 104, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-12-29 00:00:00', 1.1200000050000001, -4.3332409859999999, -99, 223, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-12-30 00:00:00', 7, -1.6087359189999999, -99, 108, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2004-12-31 00:00:00', 1.7999999520000001, 5.2444229130000002, -99, 212, 'ask', 'ask_2004');
INSERT INTO public.cdy_cldat VALUES ('2005-01-01 00:00:00', 6.4600000380000004, -1.6415753360000001, -99, 194, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-01-02 00:00:00', 6.0999999049999998, 3.7573447230000001, -99, 115, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-01-03 00:00:00', 2.210000038, 0.76722073599999996, -99, 108, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-01-04 00:00:00', 0.280000001, 6.7207713130000002, -99, 101, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-01-05 00:00:00', 3.0199999809999998, 3.9463920589999999, -99, 119, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-01-06 00:00:00', 0.28999999199999998, 4.4826254839999997, -99, 256, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-01-07 00:00:00', 9.3599996569999995, 5.6506533619999999, -99, 112, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-01-08 00:00:00', 4.7300000190000002, 8.5458202360000008, -99, 119, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-01-09 00:00:00', 8.9700002669999996, 5.5363187790000001, -99, 277, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-01-10 00:00:00', 0.14000000100000001, 6.4369597430000001, -99, 202, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-01-11 00:00:00', 2.6099998950000001, 5.1610813139999996, -99, 169, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-01-12 00:00:00', 2.880000114, 6.6098999980000004, -99, 202, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-01-13 00:00:00', 0.81999999300000004, 3.6000089649999998, -99, 234, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-01-14 00:00:00', 0, 1.966262698, -99, 194, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-01-15 00:00:00', 0, -1.8507393599999999, -99, 277, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-01-16 00:00:00', 0.029999998999999999, -0.90858012399999999, -99, 248, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-01-17 00:00:00', 8.5699996949999999, 0.83771330099999997, -99, 169, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-01-18 00:00:00', 4.9299998279999997, 5.2149190900000004, -99, 252, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-01-19 00:00:00', 13.30000019, -0.25594592100000002, -99, 299, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-01-20 00:00:00', 3.210000038, 0.33961287099999998, -99, 284, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-01-21 00:00:00', 2.079999924, 3.1929166320000002, -99, 274, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-01-22 00:00:00', 0, -2.0891811850000002, -99, 346, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-01-23 00:00:00', 0.730000019, -3.8567538259999998, -99, 349, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-01-24 00:00:00', 0, -2.3081119060000002, -99, 421, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-01-25 00:00:00', 0.119999997, -3.252897978, -99, 396, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-01-26 00:00:00', 0.34000000400000002, -4.2042708400000004, -99, 176, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-01-27 00:00:00', 0.119999997, -2.0569450859999998, -99, 187, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-01-28 00:00:00', 0.050000001000000002, -2.2896180149999998, -99, 205, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-01-29 00:00:00', 0.27000001099999998, -4.7440142630000004, -99, 90, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-01-30 00:00:00', 0.64999997600000003, 0.97676295000000002, -99, 292, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-01-31 00:00:00', 0.119999997, 5.0364222529999996, -99, 367, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-02-01 00:00:00', 0, 0.032667096999999999, -99, 565, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-02-02 00:00:00', 0, -2.057337999, -99, 490, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-02-03 00:00:00', 0.070000000000000007, -1.8981459140000001, -99, 367, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-02-04 00:00:00', 0.25999999000000001, 3.8679280280000001, -99, 187, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-02-05 00:00:00', 0, 3.9911091330000001, -99, 428, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-02-06 00:00:00', 0, -2.9083325860000002, -99, 482, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-02-07 00:00:00', 0, -4.3247952459999999, -99, 688, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-02-08 00:00:00', 0, -5.81187582, -99, 587, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-02-09 00:00:00', 4.3200001720000003, -6.8395533559999997, -99, 295, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-02-10 00:00:00', 6.75, 0.97222536800000003, -99, 533, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-02-11 00:00:00', 0, 0.82492655500000001, -99, 666, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-02-12 00:00:00', 19.25, 0.41611036699999998, -99, 54, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-02-13 00:00:00', 0.46000000800000002, -0.54240948, -99, 320, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-02-14 00:00:00', 0.070000000000000007, -2.2366287709999999, -99, 594, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-02-15 00:00:00', 0.119999997, -0.92500537599999999, -99, 461, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-02-16 00:00:00', 0.119999997, -2.3914721010000002, -99, 324, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-02-17 00:00:00', 0.310000002, -3.9054610730000001, -99, 436, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-02-18 00:00:00', 5.7399997709999999, -1.491715312, -99, 220, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-02-19 00:00:00', 2.170000076, -1.5408580300000001, -99, 720, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-02-20 00:00:00', 3.0499999519999998, -1.8293013570000001, -99, 500, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-02-21 00:00:00', 0.439999998, -0.028930557999999999, -99, 583, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-02-22 00:00:00', 1.6100000139999999, -1.6054340600000001, -99, 598, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-02-23 00:00:00', 3.6600000860000002, -2.704374552, -99, 439, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-02-24 00:00:00', 0.87000000499999997, -1.2975418569999999, -99, 410, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-02-25 00:00:00', 0.070000000000000007, 0.015656471000000002, -99, 680, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-02-26 00:00:00', 0.87999999500000003, -5.5819911959999997, -99, 738, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-02-27 00:00:00', 0, -8.6329555510000002, -99, 1120, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-02-28 00:00:00', 5.9299998279999997, -12.18464565, -99, 630, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-03-01 00:00:00', 1.6499999759999999, -1.1499687430000001, -99, 709, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-03-02 00:00:00', 0.28999999199999998, -2.5814497470000002, -99, 410, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-03-03 00:00:00', 0, -8.0783414839999992, -99, 1037, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-03-04 00:00:00', 0, -15.37478542, -99, 814, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-03-05 00:00:00', 0, -7.3943834300000004, -99, 1015, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-03-06 00:00:00', 0, -9.8930835720000001, -99, 835, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-03-07 00:00:00', 0, -7.9159049990000003, -99, 828, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-03-08 00:00:00', 0.17000000200000001, -3.4965879919999998, -99, 950, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-03-09 00:00:00', 0, -0.25597414400000001, -99, 1141, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-03-10 00:00:00', 6.5399999619999996, -8.9550361630000008, -99, 950, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-03-11 00:00:00', 2.7300000190000002, 1.310360432, -99, 979, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-03-12 00:00:00', 0.23000000400000001, 0.68797802900000005, -99, 403, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-03-13 00:00:00', 0.689999998, -5.9943938259999996, -99, 810, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-03-14 00:00:00', 0.94999998799999996, -2.9006986619999999, -99, 1188, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-03-15 00:00:00', 11.02000046, 0.30330443400000001, -99, 259, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-03-16 00:00:00', 6.6100001339999999, 4.4854278560000003, -99, 479, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-03-17 00:00:00', 0.85000002399999997, 6.8048467639999997, -99, 518, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-03-18 00:00:00', 4.579999924, 4.916992188, -99, 410, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-03-19 00:00:00', 0, 0.189019293, -99, 1458, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-03-20 00:00:00', 0, -3.734377861, -99, 1249, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-03-21 00:00:00', 0, -1.4534885879999999, -99, 1577, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-03-22 00:00:00', 0.56999999300000004, -0.836772501, -99, 1242, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-03-23 00:00:00', 0, 3.7990243430000001, -99, 1087, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-03-24 00:00:00', 0, 2.3615300659999998, -99, 1274, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-03-25 00:00:00', 6.2300000190000002, 3.5697791579999998, -99, 313, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-03-26 00:00:00', 6.9600000380000004, 6.0376935009999997, -99, 443, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-03-27 00:00:00', 0, 3.2727811340000001, -99, 1073, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-03-28 00:00:00', 0, 0.53319948900000003, -99, 1544, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-03-29 00:00:00', 0, 0.89071160599999999, -99, 1577, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-03-30 00:00:00', 0, 0.294253141, -99, 1890, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-03-31 00:00:00', 0, -1.0109609369999999, -99, 1948, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-04-01 00:00:00', 0, -1.126104116, -99, 1930, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-04-02 00:00:00', 0, 0.33803522600000002, -99, 1894, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-04-03 00:00:00', 0, 2.2204470629999999, -99, 1865, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-04-04 00:00:00', 3.0999999049999998, 4.7856836319999996, -99, 1732, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-04-05 00:00:00', 1.4700000289999999, 3.4049684999999998, -99, 1256, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-04-06 00:00:00', 6.670000076, 4.2791328430000002, -99, 900, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-04-07 00:00:00', 2.630000114, 6.6759343150000001, -99, 1375, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-04-08 00:00:00', 0.37999999499999998, 2.9532723430000001, -99, 1285, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-04-09 00:00:00', 0.89999997600000003, 0.67743861699999997, -99, 1634, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-04-10 00:00:00', 3.9800000190000002, -0.13781617600000001, -99, 1343, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-04-11 00:00:00', 0, 4.7797188759999996, -99, 1926, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-04-12 00:00:00', 0.039999999000000001, 3.4038965700000001, -99, 997, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-04-13 00:00:00', 8.9200000760000009, 4.4887676240000003, -99, 637, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-04-14 00:00:00', 2.3499999049999998, 6.2703437810000002, -99, 421, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-04-15 00:00:00', 0.14000000100000001, 8.9904012679999994, -99, 1937, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-04-16 00:00:00', 0, 6.5926804539999999, -99, 1987, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-04-17 00:00:00', 0, 7.1954841610000004, -99, 2034, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-04-18 00:00:00', 0, 5.9444036479999998, -99, 1469, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-04-19 00:00:00', 0, 5.4932551380000003, -99, 1922, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-04-20 00:00:00', 0, 1.040831923, -99, 2088, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-04-21 00:00:00', 0, -1.2709735630000001, -99, 2178, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-04-22 00:00:00', 0, 4.5158038139999999, -99, 1483, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-04-23 00:00:00', 0, -0.16064831600000001, -99, 1418, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-04-24 00:00:00', 0, 0.77699464600000001, -99, 2459, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-04-25 00:00:00', 0, 2.4533410070000001, -99, 2534, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-04-26 00:00:00', 0, 2.4289245610000001, -99, 1915, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-04-27 00:00:00', 6.7800002099999999, 4.0575470920000001, -99, 490, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-04-28 00:00:00', 0, 6.6120653149999997, -99, 1415, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-04-29 00:00:00', 0.039999999000000001, 7.8912787440000001, -99, 785, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-04-30 00:00:00', 5.3699998860000004, 8.7007932659999998, -99, 1022, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-05-01 00:00:00', 5.2100000380000004, 8.2058506009999999, -99, 785, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-05-02 00:00:00', 3.9300000669999999, 10.55107594, -99, 1123, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-05-03 00:00:00', 9.7799997330000004, 7.5802397729999997, -99, 1591, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-05-04 00:00:00', 1.3700000050000001, 10.85650826, -99, 1084, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-05-05 00:00:00', 2.9500000480000002, 4.0179963110000001, -99, 1804, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-05-06 00:00:00', 2.579999924, 7.4895987509999999, -99, 2002, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-05-07 00:00:00', 6.579999924, 2.8705234530000001, -99, 1724, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-05-08 00:00:00', 3.420000076, 1.6808794739999999, -99, 2041, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-05-09 00:00:00', 4.1500000950000002, 3.8643527029999998, -99, 1782, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-05-10 00:00:00', 5.670000076, 3.358942747, -99, 1674, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-05-11 00:00:00', 0.61000001400000003, 2.2501182559999999, -99, 1951, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-05-12 00:00:00', 0, 4.3909459110000002, -99, 2502, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-05-13 00:00:00', 0, -0.035051449999999998, -99, 2484, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-05-14 00:00:00', 0, 1.5291299819999999, -99, 2203, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-05-15 00:00:00', 0.18000000699999999, 5.6308355329999999, -99, 2444, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-05-16 00:00:00', 0.20000000300000001, 4.4308338169999999, -99, 1386, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-05-17 00:00:00', 1.019999981, 1.61760664, -99, 2171, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-05-18 00:00:00', 0.30000001199999998, 1.502897382, -99, 2358, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-05-19 00:00:00', 1.6100000139999999, 0.71249282400000002, -99, 1732, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-05-20 00:00:00', 6.6300001139999996, 9.2916603089999992, -99, 410, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-05-21 00:00:00', 4.3899998660000001, 11.167355540000001, -99, 1710, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-05-22 00:00:00', 1.9700000289999999, 9.717682838, -99, 2657, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-05-23 00:00:00', 0.15000000599999999, 9.5102767939999993, -99, 2394, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-05-24 00:00:00', 1.4700000289999999, 4.6482439040000001, -99, 2228, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-05-25 00:00:00', 0, 10.77613068, -99, 1854, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-05-26 00:00:00', 0, 9.0789184570000003, -99, 1958, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-05-27 00:00:00', 0, 9.1842889789999997, -99, 2664, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-05-28 00:00:00', 0, 12.946233749999999, -99, 2250, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-05-29 00:00:00', 0.01, 10.05579758, -99, 2743, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-05-30 00:00:00', 4.0700001720000003, 9.4328031540000001, -99, 2095, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-05-31 00:00:00', 1.210000038, 7.9789724350000002, -99, 1044, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-06-01 00:00:00', 3.630000114, 7.9061551090000002, -99, 1159, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-06-02 00:00:00', 5.4600000380000004, 3.7467901709999998, -99, 547, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-06-03 00:00:00', 15.829999920000001, 12.242231370000001, -99, 1278, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-06-04 00:00:00', 4.8800001139999996, 12.35844994, -99, 655, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-06-05 00:00:00', 0, 10.604226110000001, -99, 929, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-06-06 00:00:00', 0, 7.4641089440000004, -99, 1570, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-06-07 00:00:00', 0, 6.0933465959999999, -99, 2599, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-06-08 00:00:00', 0, 3.4291398530000001, -99, 2336, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-06-09 00:00:00', 0, 3.9167664050000002, -99, 1915, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-06-10 00:00:00', 0, 11.04939461, -99, 2642, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-06-11 00:00:00', 2.8399999139999998, 7.1946420670000002, -99, 1973, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-06-12 00:00:00', 5.5399999619999996, 8.2117128370000003, -99, 1426, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-06-13 00:00:00', 7.7199997900000001, 6.5658044819999999, -99, 1004, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-06-14 00:00:00', 0.25999999000000001, 7.8363075259999997, -99, 2275, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-06-15 00:00:00', 1.7599999900000001, 6.093641281, -99, 3082, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-06-16 00:00:00', 2.8099999430000002, 12.775019650000001, -99, 1354, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-06-17 00:00:00', 0.15000000599999999, 13.14009285, -99, 1123, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-06-18 00:00:00', 0, 8.7136430740000002, -99, 3136, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-06-19 00:00:00', 0, 8.7506284710000006, -99, 2862, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-06-20 00:00:00', 0, 13.811655999999999, -99, 2563, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-06-21 00:00:00', 0, 16.259346010000002, -99, 1890, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-06-22 00:00:00', 0, 11.90014744, -99, 2743, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-06-23 00:00:00', 0, 12.11661148, -99, 2999, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-06-24 00:00:00', 0.18000000699999999, 12.981444359999999, -99, 2650, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-06-25 00:00:00', 0.15999999600000001, 14.357030869999999, -99, 2200, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-06-26 00:00:00', 0, 7.5499658580000002, -99, 2653, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-06-27 00:00:00', 0, 8.0198316569999992, -99, 2570, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-06-28 00:00:00', 0, 9.3891553880000007, -99, 2387, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-06-29 00:00:00', 0, 8.268946648, -99, 2488, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-06-30 00:00:00', 0, 9.0696907039999992, -99, 2095, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-07-01 00:00:00', 0, 13.97478008, -99, 1649, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-07-02 00:00:00', 0, 11.82858467, -99, 2732, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-07-03 00:00:00', 4.3200001720000003, 12.290701869999999, -99, 814, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-07-04 00:00:00', 5.420000076, 16.972618099999998, -99, 2380, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-07-05 00:00:00', 3.7799999710000001, 13.731251719999999, -99, 1202, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-07-06 00:00:00', 3.7799999710000001, 12.30424404, -99, 1976, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-07-07 00:00:00', 0.97000002900000004, 12.81365871, -99, 1976, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-07-08 00:00:00', 0, 13.45707226, -99, 2304, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-07-09 00:00:00', 0, 13.311651230000001, -99, 2851, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-07-10 00:00:00', 0, 13.294598580000001, -99, 2239, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-07-11 00:00:00', 0, 12.205220219999999, -99, 2596, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-07-12 00:00:00', 0.070000000000000007, 11.23203468, -99, 2927, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-07-13 00:00:00', 0, 13.094244, -99, 1483, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-07-14 00:00:00', 6.6100001339999999, 11.87201595, -99, 1386, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-07-15 00:00:00', 8.1300001139999996, 13.495918270000001, -99, 1375, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-07-16 00:00:00', 0.83999997400000004, 10.504899979999999, -99, 1278, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-07-17 00:00:00', 0.119999997, 13.31364059, -99, 824, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-07-18 00:00:00', 3.9800000190000002, 15.9860878, -99, 1843, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-07-19 00:00:00', 10.89000034, 16.1030941, -99, 1832, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-07-20 00:00:00', 16.86000061, 11.522643090000001, -99, 1181, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-07-21 00:00:00', 12.510000229999999, 11.6453352, -99, 882, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-07-22 00:00:00', 1.1499999759999999, 11.27316093, -99, 1962, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-07-23 00:00:00', 0.189999998, 12.35909843, -99, 803, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-07-24 00:00:00', 0.62999999500000003, 12.50050545, -99, 767, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-07-25 00:00:00', 1.3999999759999999, 9.4878416059999999, -99, 943, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-07-26 00:00:00', 0.15999999600000001, 9.6916246410000007, -99, 1224, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-07-27 00:00:00', 1.440000057, 8.7246112819999997, -99, 2117, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-07-28 00:00:00', 1.9700000289999999, 12.11511612, -99, 698, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-07-29 00:00:00', 11.539999959999999, 14.170004840000001, -99, 500, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-07-30 00:00:00', 6.4600000380000004, 17.613424299999998, -99, 529, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-07-31 00:00:00', 9.9099998469999999, 12.215080260000001, -99, 1289, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-08-01 00:00:00', 2.130000114, 12.35749435, -99, 1670, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-08-02 00:00:00', 0, 13.38405418, -99, 835, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-08-03 00:00:00', 6.9600000380000004, 11.260710720000001, -99, 526, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-08-04 00:00:00', 3.0299999710000001, 10.2395134, -99, 1807, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-08-05 00:00:00', 17.43000031, 9.4853553769999994, -99, 562, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-08-06 00:00:00', 6.8699998860000004, 8.0311803820000005, -99, 1840, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-08-07 00:00:00', 0.670000017, 9.0434122089999995, -99, 2192, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-08-08 00:00:00', 2.8499999049999998, 5.7835421560000002, -99, 799, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-08-09 00:00:00', 0.88999998599999997, 10.85233498, -99, 1696, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-08-10 00:00:00', 0.37000000500000002, 10.889810560000001, -99, 745, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-08-11 00:00:00', 0.25999999000000001, 12.984667780000001, -99, 544, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-08-12 00:00:00', 0, 11.971665379999999, -99, 853, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-08-13 00:00:00', 0.31999999299999998, 9.2559633259999998, -99, 1397, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-08-14 00:00:00', 0.15000000599999999, 11.49405479, -99, 623, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-08-15 00:00:00', 0, 8.7128658290000001, -99, 2164, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-08-16 00:00:00', 0.12999999500000001, 9.0734558110000005, -99, 1105, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-08-17 00:00:00', 0, 8.1251373289999993, -99, 742, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-08-18 00:00:00', 0, 9.9926605219999995, -99, 2329, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-08-19 00:00:00', 0, 13.890131950000001, -99, 2196, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-08-20 00:00:00', 0, 15.77010918, -99, 1631, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-08-21 00:00:00', 0, 13.45268536, -99, 1332, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-08-22 00:00:00', 0, 13.90830517, -99, 1710, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-08-23 00:00:00', 0, 13.838294980000001, -99, 796, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-08-24 00:00:00', 3.420000076, 6.4759459499999998, -99, 1717, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-08-25 00:00:00', 5.7600002290000001, 13.18206215, -99, 1091, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-08-26 00:00:00', 2.2400000100000002, 7.9863400459999996, -99, 1332, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-08-27 00:00:00', 2.1099998950000001, 8.1721830369999999, -99, 1066, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-08-28 00:00:00', 0, 11.12287617, -99, 943, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-08-29 00:00:00', 0.519999981, 14.36054611, -99, 1433, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-08-30 00:00:00', 0.519999981, 7.080539227, -99, 2092, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-08-31 00:00:00', 0, 7.6694736480000003, -99, 1926, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-09-01 00:00:00', 0.189999998, 14.0621109, -99, 1796, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-09-02 00:00:00', 0.15999999600000001, 15.47896671, -99, 1400, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-09-03 00:00:00', 0, 6.7019042969999996, -99, 2070, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-09-04 00:00:00', 0, 5.9625005719999997, -99, 1836, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-09-05 00:00:00', 0, 9.1785459520000003, -99, 1969, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-09-06 00:00:00', 0, 15.119955060000001, -99, 1987, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-09-07 00:00:00', 0, 13.310559270000001, -99, 954, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-09-08 00:00:00', 0.090000003999999995, 14.73861694, -99, 1069, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-09-09 00:00:00', 0, 13.163606639999999, -99, 1357, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-09-10 00:00:00', 0, 12.779798509999999, -99, 1498, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-09-11 00:00:00', 0, 11.798704150000001, -99, 1408, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-09-12 00:00:00', 0, 7.2602186199999998, -99, 1192, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-09-13 00:00:00', 0, 6.7186956410000001, -99, 1505, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-09-14 00:00:00', 3.6600000860000002, 12.346219059999999, -99, 1307, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-09-15 00:00:00', 1.5299999710000001, 11.59877586, -99, 641, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-09-16 00:00:00', 0, 3.991773367, -99, 1303, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-09-17 00:00:00', 0, -0.45712971699999999, -99, 1364, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-09-18 00:00:00', 0.97000002900000004, 4.2248153689999999, -99, 648, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-09-19 00:00:00', 0, 11.038913730000001, -99, 673, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-09-20 00:00:00', 0, 9.5517635349999992, -99, 1037, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-09-21 00:00:00', 0, 9.6295289989999997, -99, 1058, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-09-22 00:00:00', 0, 8.7158813479999999, -99, 1314, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-09-23 00:00:00', 0, 9.4116220469999998, -99, 1487, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-09-24 00:00:00', 0.039999999000000001, 10.15087986, -99, 900, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-09-25 00:00:00', 1.9900000099999999, 12.491928100000001, -99, 860, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-09-26 00:00:00', 0, 11.595772739999999, -99, 1274, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-09-27 00:00:00', 6.7699999809999998, 10.371731759999999, -99, 43, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-09-28 00:00:00', 1.5299999710000001, 9.7644386290000007, -99, 763, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-09-29 00:00:00', 2.4800000190000002, 6.817101955, -99, 540, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-09-30 00:00:00', 4.829999924, 6.4644994740000001, -99, 781, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-10-01 00:00:00', 3.670000076, 10.75510502, -99, 781, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-10-02 00:00:00', 0, 6.4666490550000004, -99, 1001, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-10-03 00:00:00', 0.14000000100000001, 2.7691254619999999, -99, 767, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-10-04 00:00:00', 0.10000000100000001, 6.6024694439999996, -99, 1069, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-10-05 00:00:00', 0, 5.4601006510000003, -99, 1148, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-10-06 00:00:00', 0, 9.1755676269999995, -99, 760, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-10-07 00:00:00', 0, 10.656704899999999, -99, 1004, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-10-08 00:00:00', 0.119999997, 10.73160172, -99, 781, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-10-09 00:00:00', 2.1600000860000002, 11.429962160000001, -99, 839, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-10-10 00:00:00', 0, 7.2204761509999997, -99, 738, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-10-11 00:00:00', 0, 11.015397070000001, -99, 1051, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-10-12 00:00:00', 0, 9.3636426929999992, -99, 983, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-10-13 00:00:00', 0.10000000100000001, 8.3648929600000006, -99, 878, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-10-14 00:00:00', 0, 7.768901348, -99, 900, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-10-15 00:00:00', 0, 1.3020318749999999, -99, 983, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-10-16 00:00:00', 0, 1.419420004, -99, 940, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-10-17 00:00:00', 0, 3.167982817, -99, 749, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-10-18 00:00:00', 0, 3.1458666320000002, -99, 745, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-10-19 00:00:00', 0.43000000700000002, 4.4810967450000003, -99, 918, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-10-20 00:00:00', 3.8099999430000002, 5.8330693240000002, -99, 346, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-10-21 00:00:00', 11.52000046, 6.9622735980000003, -99, 468, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-10-22 00:00:00', 4.1399998660000001, 11.5150547, -99, 515, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-10-23 00:00:00', 0.10000000100000001, 5.9795684810000003, -99, 641, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-10-24 00:00:00', 16.459999079999999, 0.15940891200000001, -99, 500, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-10-25 00:00:00', 23.850000380000001, 6.8457641599999999, -99, 284, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-10-26 00:00:00', 0.12999999500000001, 10.12561131, -99, 479, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-10-27 00:00:00', 0.01, 8.3963413239999998, -99, 439, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-10-28 00:00:00', 0, 12.20292282, -99, 652, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-10-29 00:00:00', 0, 10.57430267, -99, 360, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-10-30 00:00:00', 0, 9.4514999389999996, -99, 598, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-10-31 00:00:00', 0, 9.1995162960000005, -99, 421, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-11-01 00:00:00', 2.130000114, 9.3329257969999997, -99, 281, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-11-02 00:00:00', 10.80000019, 5.216052532, -99, 353, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-11-03 00:00:00', 1.460000038, 10.54496861, -99, 252, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-11-04 00:00:00', 1.5499999520000001, 12.54962826, -99, 378, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-11-05 00:00:00', 3.829999924, 9.2835235600000008, -99, 191, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-11-06 00:00:00', 2.789999962, 8.2316665649999994, -99, 155, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-11-07 00:00:00', 3.8900001049999999, 9.0572729110000001, -99, 295, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-11-08 00:00:00', 0, 7.9889993669999999, -99, 227, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-11-09 00:00:00', 0.01, 6.5757126809999997, -99, 403, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-11-10 00:00:00', 0.730000019, 4.1974215509999997, -99, 223, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-11-11 00:00:00', 4.6500000950000002, 9.34767437, -99, 133, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-11-12 00:00:00', 2.25, 10.12289238, -99, 223, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-11-13 00:00:00', 0.23999999499999999, 6.8210563659999996, -99, 396, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-11-14 00:00:00', 11.880000109999999, 2.864547253, -99, 151, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-11-15 00:00:00', 0, 9.1122589109999996, -99, 421, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-11-16 00:00:00', 1.0299999710000001, 0.115092956, -99, 144, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-11-17 00:00:00', 0.10000000100000001, -4.7632637019999997, -99, 421, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-11-18 00:00:00', 0.01, -5.451536655, -99, 450, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-11-19 00:00:00', 0.23999999499999999, -5.5710277560000003, -99, 349, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-11-20 00:00:00', 3.8900001049999999, 1.305789471, -99, 176, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-11-21 00:00:00', 0, 1.053765297, -99, 274, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-11-22 00:00:00', 0, 1.1016398670000001, -99, 223, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-11-23 00:00:00', 0.109999999, 1.7047768830000001, -99, 90, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-11-24 00:00:00', 7.6799998279999997, 5.2926335330000001, -99, 83, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-11-25 00:00:00', 2.6099998950000001, 0.416204929, -99, 180, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-11-26 00:00:00', 0, 0.496171951, -99, 335, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-11-27 00:00:00', 0.10000000100000001, -0.40686336200000001, -99, 194, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-11-28 00:00:00', 5.7899999619999996, -1.2201287750000001, -99, 317, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-11-29 00:00:00', 10.510000229999999, -4.6816015240000004, -99, 241, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-11-30 00:00:00', 0.20000000300000001, -0.17276176800000001, -99, 227, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-12-01 00:00:00', 0, -0.76522821200000002, -99, 216, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-12-02 00:00:00', 0, -1.2517426009999999, -99, 198, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-12-03 00:00:00', 0, 0.95028919000000001, -99, 140, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-12-04 00:00:00', 3.1900000569999998, 2.1225142479999999, -99, 184, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-12-05 00:00:00', 19.120000839999999, 4.2301783559999997, -99, 166, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-12-06 00:00:00', 2.3399999139999998, 3.6679303650000001, -99, 115, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-12-07 00:00:00', 0.079999998000000003, 2.9959721570000002, -99, 241, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-12-08 00:00:00', 0.58999997400000004, 1.8636138440000001, -99, 180, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-12-09 00:00:00', 0, -0.37820661100000003, -99, 169, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-12-10 00:00:00', 0.15000000599999999, -2.9404773710000001, -99, 115, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-12-11 00:00:00', 0.280000001, 3.8180556299999999, -99, 227, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-12-12 00:00:00', 0, 6.1217260360000001, -99, 248, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-12-13 00:00:00', 2.210000038, 2.6136503219999998, -99, 126, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-12-14 00:00:00', 2.0899999139999998, 4.3822774889999998, -99, 241, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-12-15 00:00:00', 9.3800001139999996, 4.8076033589999998, -99, 220, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-12-16 00:00:00', 1.9099999670000001, 0.69286304700000001, -99, 212, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-12-17 00:00:00', 0, -3.6235148910000001, -99, 245, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-12-18 00:00:00', 0.62999999500000003, -6.5524301530000004, -99, 155, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-12-19 00:00:00', 0.83999997400000004, -6.3198075290000002, -99, 184, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-12-20 00:00:00', 0.99000001000000004, 2.1371569629999998, -99, 216, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-12-21 00:00:00', 1.9199999569999999, -3.1541187759999998, -99, 148, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-12-22 00:00:00', 0.12999999500000001, 3.2467367650000001, -99, 223, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-12-23 00:00:00', 2.9700000289999999, 1.2080591919999999, -99, 101, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-12-24 00:00:00', 0.769999981, 6.9031782149999996, -99, 173, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-12-25 00:00:00', 0, -3.7337682249999999, -99, 230, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-12-26 00:00:00', 1.1799999480000001, -3.6870481970000002, -99, 212, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-12-27 00:00:00', 0.75, -0.53857868900000005, -99, 112, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-12-28 00:00:00', 1.3799999949999999, -1.4215029480000001, -99, 140, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-12-29 00:00:00', 2.7000000480000002, -3.2692983149999999, -99, 115, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-12-30 00:00:00', 0, -3.2590825560000001, -99, 212, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2005-12-31 00:00:00', 4.579999924, -3.1291770940000001, -99, 130, 'ask', 'ask_2005');
INSERT INTO public.cdy_cldat VALUES ('2006-01-01 00:00:00', 3.2300000190000002, -0.35212179999999998, -99, 133, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-01-02 00:00:00', 0, -0.317813754, -99, 220, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-01-03 00:00:00', 0, -7.0841898920000004, -99, 220, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-01-04 00:00:00', 0.27000001099999998, -1.7658935790000001, -99, 234, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-01-05 00:00:00', 0.029999998999999999, -1.118036985, -99, 108, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-01-06 00:00:00', 0, 0.13168960800000001, -99, 227, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-01-07 00:00:00', 0.10000000100000001, 0.030926937000000002, -99, 166, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-01-08 00:00:00', 0, -1.8355765340000001, -99, 302, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-01-09 00:00:00', 0, -3.5979413990000002, -99, 292, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-01-10 00:00:00', 2.710000038, -5.5928859710000003, -99, 79, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-01-11 00:00:00', 5.6799998279999997, 1.9486399889999999, -99, 7, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-01-12 00:00:00', 0, 0.94973582000000001, -99, 277, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-01-13 00:00:00', 0, -0.80311638100000005, -99, 263, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-01-14 00:00:00', 0, -0.82788789299999999, -99, 292, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-01-15 00:00:00', 0, -3.6125535960000001, -99, 313, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-01-16 00:00:00', 0, -6.3565721509999999, -99, 371, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-01-17 00:00:00', 8.1300001139999996, -3.4988725189999998, -99, 40, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-01-18 00:00:00', 0.28999999199999998, -0.93845123100000005, -99, 209, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-01-19 00:00:00', 9.3299999239999991, -2.9976849560000001, -99, 50, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-01-20 00:00:00', 5.9699997900000001, -1.0566916470000001, -99, 50, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-01-21 00:00:00', 0.029999998999999999, 0.56866091500000004, -99, 220, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-01-22 00:00:00', 0.10000000100000001, -3.8370854849999998, -99, 317, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-01-23 00:00:00', 0.029999998999999999, -7.7765002250000004, -99, 320, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-01-24 00:00:00', 1.289999962, -9.80773735, -99, 155, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-01-25 00:00:00', 0.49000000999999999, -2.5239026550000001, -99, 220, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-01-26 00:00:00', 0, -1.6515284779999999, -99, 400, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-01-27 00:00:00', 0, -6.1313633919999999, -99, 382, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-01-28 00:00:00', 0, -9.3442840579999995, -99, 407, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-01-29 00:00:00', 0, -4.9875097269999999, -99, 443, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-01-30 00:00:00', 0, -2.4752748009999999, -99, 389, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-01-31 00:00:00', 0, 1.0297811029999999, -99, 400, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-02-01 00:00:00', 0, 1.2409422400000001, -99, 155, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-02-02 00:00:00', 0, 1.4261115790000001, -99, 353, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-02-03 00:00:00', 0, 0.96253621599999994, -99, 392, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-02-04 00:00:00', 1.1200000050000001, -1.2433385850000001, -99, 331, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-02-05 00:00:00', 2.539999962, -3.4305439, -99, 162, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-02-06 00:00:00', 11.52000046, -1.294945598, -99, 50, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-02-07 00:00:00', 4.5199999809999998, 4.3160758020000003, -99, 360, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-02-08 00:00:00', 5.7800002099999999, 4.1696634289999999, -99, 180, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-02-09 00:00:00', 0.560000002, 0.42624601699999998, -99, 191, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-02-10 00:00:00', 0, 0.55836737199999997, -99, 353, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-02-11 00:00:00', 0.070000000000000007, -3.369870186, -99, 688, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-02-12 00:00:00', 0, -5.932882309, -99, 230, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-02-13 00:00:00', 0, 0.44972229000000002, -99, 497, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-02-14 00:00:00', 0.090000003999999995, -4.993323803, -99, 619, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-02-15 00:00:00', 6.8400001530000001, -0.009679778, -99, 97, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-02-16 00:00:00', 10.94999981, 1.414509177, -99, 108, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-02-17 00:00:00', 3.289999962, 2.2342422009999998, -99, 241, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-02-18 00:00:00', 2.3399999139999998, 2.533833504, -99, 205, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-02-19 00:00:00', 0.12999999500000001, 0.44030493500000001, -99, 418, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-02-20 00:00:00', 0, 1.322800636, -99, 364, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-02-21 00:00:00', 0, 1.147874117, -99, 252, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-02-22 00:00:00', 0.730000019, -0.44415029900000003, -99, 518, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-02-23 00:00:00', 1.75, -1.2316298480000001, -99, 216, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-02-24 00:00:00', 0, -0.86751741199999999, -99, 990, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-02-25 00:00:00', 0, -2.64029026, -99, 407, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-02-26 00:00:00', 0, -4.9284305570000004, -99, 781, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-02-27 00:00:00', 1.230000019, -7.6357793809999999, -99, 598, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-02-28 00:00:00', 0.62000000499999997, -1.3433015349999999, -99, 824, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-03-01 00:00:00', 3.2799999710000001, -4.9483280179999998, -99, 709, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-03-02 00:00:00', 0.61000001400000003, -5.3460488320000001, -99, 886, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-03-03 00:00:00', 0, -5.8458814620000004, -99, 716, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-03-04 00:00:00', 0.86000001400000003, -10.17104816, -99, 706, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-03-05 00:00:00', 0.209999993, -9.9915952679999993, -99, 1148, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-03-06 00:00:00', 0.709999979, -10.41553116, -99, 799, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-03-07 00:00:00', 0, -4.3200478550000003, -99, 1148, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-03-08 00:00:00', 0, -6.1458296780000001, -99, 850, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-03-09 00:00:00', 0, -2.5775563720000001, -99, 997, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-03-10 00:00:00', 0, -2.1861441140000002, -99, 583, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-03-11 00:00:00', 0, -6.1047773359999997, -99, 1145, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-03-12 00:00:00', 0, -10.08629227, -99, 1440, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-03-13 00:00:00', 0, -9.9788589479999992, -99, 925, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-03-14 00:00:00', 0, -4.6542978289999999, -99, 1177, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-03-15 00:00:00', 0.119999997, -5.3137650489999997, -99, 544, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-03-16 00:00:00', 0, -0.58061814300000003, -99, 328, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-03-17 00:00:00', 0, -3.8191814420000001, -99, 857, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-03-18 00:00:00', 0, -7.1439080239999999, -99, 1145, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-03-19 00:00:00', 0, 0.80933481500000004, -99, 810, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-03-20 00:00:00', 0, -0.30150228699999998, -99, 1584, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-03-21 00:00:00', 0.28999999199999998, -6.4940724369999998, -99, 1505, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-03-22 00:00:00', 0.74000001000000004, -4.4416456220000002, -99, 1462, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-03-23 00:00:00', 0, -5.7086310390000001, -99, 1073, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-03-24 00:00:00', 0, -3.2188391689999998, -99, 1091, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-03-25 00:00:00', 2.4500000480000002, 0.86110234299999999, -99, 551, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-03-26 00:00:00', 11.170000079999999, 0.26966237999999998, -99, 425, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-03-27 00:00:00', 13.47999954, 5.8460063929999997, -99, 436, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-03-28 00:00:00', 1.210000038, 6.7805085180000004, -99, 878, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-03-29 00:00:00', 0.38999998600000002, 5.2506546969999999, -99, 824, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-03-30 00:00:00', 8.6000003809999992, 0.065255001000000007, -99, 173, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-03-31 00:00:00', 0.25, 6.5114631650000003, -99, 446, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-04-01 00:00:00', 2.6800000669999999, 3.7953372000000001, -99, 536, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-04-02 00:00:00', 1.7000000479999999, 3.339399099, -99, 828, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-04-03 00:00:00', 1.6599999670000001, 4.9054899220000001, -99, 1328, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-04-04 00:00:00', 1.289999962, 0.87400460199999996, -99, 1163, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-04-05 00:00:00', 1.3899999860000001, 1.3296650649999999, -99, 1285, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-04-06 00:00:00', 6.0300002099999999, -1.8315830230000001, -99, 497, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-04-07 00:00:00', 1.019999981, 2.2228229050000001, -99, 1649, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-04-08 00:00:00', 9.8800001139999996, 2.2832269670000001, -99, 608, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-04-09 00:00:00', 2.4100000860000002, 1.328986287, -99, 1217, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-04-10 00:00:00', 0, 3.460556746, -99, 1285, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-04-11 00:00:00', 3.420000076, -1.047612429, -99, 850, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-04-12 00:00:00', 3.8199999330000001, 2.5666456219999998, -99, 536, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-04-13 00:00:00', 2.7799999710000001, 3.8415348530000002, -99, 950, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-04-14 00:00:00', 0, 3.896241426, -99, 1696, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-04-15 00:00:00', 0, 3.5364971160000001, -99, 1850, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-04-16 00:00:00', 0, 5.2215661999999998, -99, 1418, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-04-17 00:00:00', 0.87000000499999997, 3.064749956, -99, 1048, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-04-18 00:00:00', 0.15000000599999999, 2.7910494799999999, -99, 1681, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-04-19 00:00:00', 4.8499999049999998, 2.2579479220000001, -99, 958, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-04-20 00:00:00', 1.940000057, 4.5778436659999997, -99, 1141, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-04-21 00:00:00', 6.579999924, 5.1963896749999998, -99, 454, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-04-22 00:00:00', 0.37999999499999998, 5.3047318460000001, -99, 1325, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-04-23 00:00:00', 0, 2.4899973869999998, -99, 1055, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-04-24 00:00:00', 0, 5.6612138749999996, -99, 2232, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-04-25 00:00:00', 0, 1.692869425, -99, 1397, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-04-26 00:00:00', 0.109999999, 9.3298616410000008, -99, 889, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-04-27 00:00:00', 0, 3.5496134760000002, -99, 1782, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-04-28 00:00:00', 2.869999886, 1.641069651, -99, 1566, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-04-29 00:00:00', 2.170000076, 3.1011562349999999, -99, 1454, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-04-30 00:00:00', 1.3600000139999999, 3.4856414789999999, -99, 799, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-05-01 00:00:00', 1.5900000329999999, 1.99348104, -99, 2027, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-05-02 00:00:00', 1.5800000430000001, 7.5168647770000003, -99, 2182, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-05-03 00:00:00', 0, 7.903247833, -99, 2286, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-05-04 00:00:00', 0, 9.5128917689999994, -99, 2524, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-05-05 00:00:00', 0, 8.5783491129999998, -99, 2520, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-05-06 00:00:00', 0, 8.3383312230000008, -99, 2203, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-05-07 00:00:00', 0, 8.6132888790000006, -99, 2376, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-05-08 00:00:00', 0, 8.8261156080000003, -99, 2542, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-05-09 00:00:00', 0, 7.7871203419999997, -99, 2797, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-05-10 00:00:00', 0, 4.4320502279999996, -99, 2682, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-05-11 00:00:00', 0, 7.3832683560000003, -99, 2740, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-05-12 00:00:00', 0, 3.616085768, -99, 2635, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-05-13 00:00:00', 0.31999999299999998, 6.0016827580000003, -99, 932, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-05-14 00:00:00', 0.039999999000000001, 2.2614986899999998, -99, 1984, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-05-15 00:00:00', 9.6999998089999995, 1.5660061839999999, -99, 1040, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-05-16 00:00:00', 4.2399997709999999, 7.5854320529999999, -99, 371, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-05-17 00:00:00', 1.6299999949999999, 9.0264463419999998, -99, 806, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-05-18 00:00:00', 10.18000031, 9.875090599, -99, 817, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-05-19 00:00:00', 4.6799998279999997, 10.240341190000001, -99, 1040, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-05-20 00:00:00', 12.40999985, 10.25583363, -99, 407, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-05-21 00:00:00', 0.980000019, 9.4253473280000009, -99, 1404, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-05-22 00:00:00', 7.4699997900000001, 9.4861116410000008, -99, 1483, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-05-23 00:00:00', 1.1399999860000001, 11.06778622, -99, 1372, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-05-24 00:00:00', 12.31000042, 4.6589102750000002, -99, 1213, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-05-25 00:00:00', 3.369999886, 4.8198804859999997, -99, 2311, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-05-26 00:00:00', 0.25999999000000001, 4.8169240950000001, -99, 2214, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-05-27 00:00:00', 8.6000003809999992, 7.0184659959999998, -99, 871, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-05-28 00:00:00', 2.6400001049999999, 9.1474924089999998, -99, 1476, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-05-29 00:00:00', 1.2999999520000001, 6.2959699630000001, -99, 1728, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-05-30 00:00:00', 1.9900000099999999, 7.8917498589999999, -99, 1843, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-05-31 00:00:00', 1.2400000099999999, 8.4566688540000001, -99, 2387, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-06-01 00:00:00', 0.219999999, 6.9197702410000002, -99, 2041, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-06-02 00:00:00', 0.44999998800000002, 5.3206453319999998, -99, 778, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-06-03 00:00:00', 0.050000001000000002, 9.8001174930000001, -99, 1321, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-06-04 00:00:00', 0, 7.0321402549999998, -99, 2434, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-06-05 00:00:00', 0, 4.8404965400000002, -99, 2120, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-06-06 00:00:00', 0, 4.0737171170000002, -99, 2790, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-06-07 00:00:00', 0, 3.7048053740000002, -99, 2527, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-06-08 00:00:00', 0, 6.1164093020000001, -99, 2927, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-06-09 00:00:00', 0, 6.2334175109999999, -99, 2020, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-06-10 00:00:00', 0, 9.1079912190000005, -99, 2405, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-06-11 00:00:00', 0, 12.552248000000001, -99, 3002, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-06-12 00:00:00', 0, 13.03479385, -99, 3074, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-06-13 00:00:00', 0, 15.380804059999999, -99, 2808, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-06-14 00:00:00', 1.7799999710000001, 12.794907569999999, -99, 1026, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-06-15 00:00:00', 1.25, 6.1186518669999996, -99, 1912, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-06-16 00:00:00', 0.090000003999999995, 14.69400978, -99, 1040, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-06-17 00:00:00', 0, 9.6010494229999992, -99, 1912, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-06-18 00:00:00', 0, 10.557507510000001, -99, 1753, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-06-19 00:00:00', 0.01, 15.635688780000001, -99, 1681, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-06-20 00:00:00', 0, 11.364072800000001, -99, 1282, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-06-21 00:00:00', 4.9299998279999997, 13.52784538, -99, 835, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-06-22 00:00:00', 2.4100000860000002, 10.732743259999999, -99, 1292, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-06-23 00:00:00', 0, 11.017470360000001, -99, 2678, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-06-24 00:00:00', 0.039999999000000001, 7.7355179789999999, -99, 1811, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-06-25 00:00:00', 4.7100000380000004, 14.47731209, -99, 2228, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-06-26 00:00:00', 1.6799999480000001, 14.730742449999999, -99, 403, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-06-27 00:00:00', 0.209999993, 13.747053149999999, -99, 1602, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-06-28 00:00:00', 0, 10.463157649999999, -99, 1595, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-06-29 00:00:00', 0, 5.8267159460000002, -99, 2498, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-06-30 00:00:00', 0, 9.7334012990000005, -99, 2268, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-07-01 00:00:00', 0, 10.25121689, -99, 2480, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-07-02 00:00:00', 0, 13.98752975, -99, 2790, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-07-03 00:00:00', 0, 15.60557556, -99, 2905, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-07-04 00:00:00', 0, 14.7059145, -99, 3010, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-07-05 00:00:00', 0, 15.109509470000001, -99, 2689, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-07-06 00:00:00', 1.0299999710000001, 15.87255287, -99, 1901, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-07-07 00:00:00', 0, 17.729339599999999, -99, 2408, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-07-08 00:00:00', 0.23000000400000001, 15.6416626, -99, 1944, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-07-09 00:00:00', 2.0699999330000001, 11.05579758, -99, 1159, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-07-10 00:00:00', 0.20000000300000001, 16.426305769999999, -99, 1544, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-07-11 00:00:00', 8.0399999619999996, 12.615593909999999, -99, 1058, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-07-12 00:00:00', 0.109999999, 7.2198605540000003, -99, 2725, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-07-13 00:00:00', 0, 8.4361925129999999, -99, 1400, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-07-14 00:00:00', 0, 7.6869320869999997, -99, 2743, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-07-15 00:00:00', 0, 6.9741439820000002, -99, 2891, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-07-16 00:00:00', 0, 8.7694816590000002, -99, 2941, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-07-17 00:00:00', 0, 10.50183678, -99, 2830, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-07-18 00:00:00', 0, 11.332522389999999, -99, 2657, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-07-19 00:00:00', 0, 11.957003589999999, -99, 2819, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-07-20 00:00:00', 0.189999998, 20.369123460000001, -99, 2333, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-07-21 00:00:00', 0, 17.881746289999999, -99, 1768, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-07-22 00:00:00', 1.0700000519999999, 16.444198610000001, -99, 994, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-07-23 00:00:00', 0, 17.053827290000001, -99, 990, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-07-24 00:00:00', 0, 15.321691510000001, -99, 2282, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-07-25 00:00:00', 0, 11.481060980000001, -99, 2732, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-07-26 00:00:00', 0, 10.83217621, -99, 2671, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-07-27 00:00:00', 0.20000000300000001, 14.52097225, -99, 2347, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-07-28 00:00:00', 13.899999619999999, 19.695411679999999, -99, 1742, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-07-29 00:00:00', 0.27000001099999998, 17.89161301, -99, 2171, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-07-30 00:00:00', 8.4300003050000001, 11.75654984, -99, 1872, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-07-31 00:00:00', 0, 17.284397129999999, -99, 1940, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-08-01 00:00:00', 13.64000034, 14.25827694, -99, 979, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-08-02 00:00:00', 2.9900000100000002, 13.758590699999999, -99, 1678, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-08-03 00:00:00', 1.4900000099999999, 11.450721740000001, -99, 842, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-08-04 00:00:00', 1.6399999860000001, 14.521988869999999, -99, 1832, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-08-05 00:00:00', 0, 14.195732120000001, -99, 2423, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-08-06 00:00:00', 0, 13.41209793, -99, 2592, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-08-07 00:00:00', 0, 13.351434709999999, -99, 1030, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-08-08 00:00:00', 0, 11.730389600000001, -99, 2052, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-08-09 00:00:00', 2.710000038, 12.09599495, -99, 868, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-08-10 00:00:00', 3.7200000289999999, 9.8553266530000005, -99, 1692, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-08-11 00:00:00', 12.81000042, 10.671133040000001, -99, 1771, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-08-12 00:00:00', 8.9099998469999999, 13.418101310000001, -99, 475, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-08-13 00:00:00', 26.030000690000001, 9.0794773099999997, -99, 1004, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-08-14 00:00:00', 0.20000000300000001, 15.40513515, -99, 1292, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-08-15 00:00:00', 16.920000080000001, 13.46966076, -99, 1228, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-08-16 00:00:00', 0.070000000000000007, 11.127378459999999, -99, 1598, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-08-17 00:00:00', 2.1600000860000002, 10.57356167, -99, 1573, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-08-18 00:00:00', 23.13999939, 14.678823469999999, -99, 1069, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-08-19 00:00:00', 1.8300000430000001, 15.298007009999999, -99, 1523, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-08-20 00:00:00', 4.4600000380000004, 15.06421375, -99, 1544, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-08-21 00:00:00', 2.880000114, 13.01334095, -99, 1278, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-08-22 00:00:00', 0.469999999, 10.053313259999999, -99, 1519, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-08-23 00:00:00', 0.059999998999999998, 13.67453671, -99, 1278, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-08-24 00:00:00', 0, 11.9011116, -99, 1483, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-08-25 00:00:00', 2.8900001049999999, 12.486490249999999, -99, 1253, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-08-26 00:00:00', 2.920000076, 13.79340172, -99, 1328, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-08-27 00:00:00', 3.4500000480000002, 13.373167990000001, -99, 1051, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-08-28 00:00:00', 2.210000038, 11.837519650000001, -99, 1415, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-08-29 00:00:00', 1.0700000519999999, 11.10844803, -99, 1318, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-08-30 00:00:00', 0.68000000699999996, 9.3026714320000004, -99, 1184, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-08-31 00:00:00', 4.3600001339999999, 12.98428822, -99, 1224, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-09-01 00:00:00', 3.460000038, 13.35572243, -99, 662, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-09-02 00:00:00', 6.2399997709999999, 12.84609032, -99, 1451, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-09-03 00:00:00', 3.0899999139999998, 15.56440735, -99, 986, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-09-04 00:00:00', 1.3200000519999999, 13.18960285, -99, 1058, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-09-05 00:00:00', 0.18000000699999999, 13.00749969, -99, 1570, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-09-06 00:00:00', 0.93000000699999996, 12.021442410000001, -99, 763, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-09-07 00:00:00', 0.579999983, 14.93366909, -99, 1152, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-09-08 00:00:00', 0, 11.6496973, -99, 1498, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-09-09 00:00:00', 0, 11.651873589999999, -99, 1084, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-09-10 00:00:00', 0, 8.5939598079999993, -99, 1512, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-09-11 00:00:00', 0.090000003999999995, 11.402482989999999, -99, 1786, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-09-12 00:00:00', 0, 13.849336620000001, -99, 1696, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-09-13 00:00:00', 0, 14.43475819, -99, 1660, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-09-14 00:00:00', 0, 14.543944359999999, -99, 1699, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-09-15 00:00:00', 0, 14.346236230000001, -99, 1724, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-09-16 00:00:00', 0, 15.133412359999999, -99, 1404, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-09-17 00:00:00', 0, 14.96891975, -99, 1195, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-09-18 00:00:00', 0, 14.73217773, -99, 508, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-09-19 00:00:00', 0.47999998900000002, 12.40495014, -99, 846, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-09-20 00:00:00', 0, 9.6068620679999999, -99, 997, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-09-21 00:00:00', 0, 9.9639568329999992, -99, 1566, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-09-22 00:00:00', 0, 13.28664684, -99, 1512, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-09-23 00:00:00', 0, 13.73954487, -99, 972, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-09-24 00:00:00', 0, 13.93031502, -99, 1379, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-09-25 00:00:00', 0.27000001099999998, 12.652173039999999, -99, 1415, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-09-26 00:00:00', 3.460000038, 14.78145409, -99, 360, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-09-27 00:00:00', 2.0599999430000002, 13.20403481, -99, 871, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-09-28 00:00:00', 0.68000000699999996, 12.929518699999999, -99, 313, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-09-29 00:00:00', 0.18000000699999999, 15.186707500000001, -99, 878, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-09-30 00:00:00', 0.980000019, 14.172254560000001, -99, 806, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-10-01 00:00:00', 18.190000529999999, 9.3853273389999998, -99, 760, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-10-02 00:00:00', 7.8400001530000001, 10.82962513, -99, 464, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-10-03 00:00:00', 2.170000076, 10.950611110000001, -99, 954, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-10-04 00:00:00', 2.4500000480000002, 8.6178560260000001, -99, 788, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-10-05 00:00:00', 6.4600000380000004, 7.354218006, -99, 871, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-10-06 00:00:00', 20.489999770000001, 11.068788530000001, -99, 572, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-10-07 00:00:00', 5.1799998279999997, 13.29187679, -99, 598, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-10-08 00:00:00', 0.68000000699999996, 11.102746959999999, -99, 256, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-10-09 00:00:00', 0, 10.608209609999999, -99, 763, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-10-10 00:00:00', 0, 11.84629917, -99, 846, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-10-11 00:00:00', 0, 11.222082139999999, -99, 695, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-10-12 00:00:00', 0, 12.239884379999999, -99, 461, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-10-13 00:00:00', 0, 12.268544199999999, -99, 817, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-10-14 00:00:00', 0, 6.5285058019999997, -99, 770, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-10-15 00:00:00', 0, 6.3349471089999998, -99, 756, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-10-16 00:00:00', 0, 9.0715293880000001, -99, 263, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-10-17 00:00:00', 0, 6.3064699170000003, -99, 796, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-10-18 00:00:00', 4.5999999049999998, 5.1058087350000001, -99, 194, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-10-19 00:00:00', 0.959999979, 12.30043888, -99, 292, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-10-20 00:00:00', 5.2699999809999998, 9.8930177690000001, -99, 155, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-10-21 00:00:00', 5.5199999809999998, 11.147928240000001, -99, 428, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-10-22 00:00:00', 10.829999920000001, 12.50784206, -99, 565, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-10-23 00:00:00', 5.1399998660000001, 12.267399790000001, -99, 410, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-10-24 00:00:00', 7.1300001139999996, 9.5395708080000006, -99, 230, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-10-25 00:00:00', 2.1500000950000002, 6.7999963760000002, -99, 623, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-10-26 00:00:00', 8.5600004199999997, 9.0392599110000003, -99, 407, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-10-27 00:00:00', 0.47999998900000002, 10.92494392, -99, 450, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-10-28 00:00:00', 4.6999998090000004, 8.0461578370000009, -99, 270, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-10-29 00:00:00', 0.87999999500000003, 11.13437366, -99, 274, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-10-30 00:00:00', 8.9499998089999995, 4.8679909710000002, -99, 65, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-10-31 00:00:00', 9.5299997330000004, 10.90674973, -99, 371, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-11-01 00:00:00', 0.439999998, 2.486186504, -99, 536, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-11-02 00:00:00', 0.01, -5.1133570669999999, -99, 558, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-11-03 00:00:00', 0, -4.7957429889999998, -99, 601, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-11-04 00:00:00', 2.2200000289999999, -0.25021907700000001, -99, 302, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-11-05 00:00:00', 1.8200000519999999, 8.6198167800000007, -99, 115, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-11-06 00:00:00', 0, 10.515005110000001, -99, 281, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-11-07 00:00:00', 1.7200000289999999, 8.6640176770000004, -99, 400, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-11-08 00:00:00', 10.47999954, 9.2568035129999995, -99, 83, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-11-09 00:00:00', 1.960000038, 6.9955687519999996, -99, 342, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-11-10 00:00:00', 5.9600000380000004, 0.94288313400000001, -99, 241, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-11-11 00:00:00', 8.3900003430000005, 6.7356066700000001, -99, 349, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-11-12 00:00:00', 1.6000000240000001, 3.5294058320000001, -99, 281, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-11-13 00:00:00', 9.25, 4.550973892, -99, 270, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-11-14 00:00:00', 2.4300000669999999, 7.9813704489999999, -99, 389, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-11-15 00:00:00', 1.539999962, 6.9630451200000003, -99, 94, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-11-16 00:00:00', 4.079999924, 9.4765224460000006, -99, 155, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-11-17 00:00:00', 0.41999998700000002, 10.724542619999999, -99, 180, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-11-18 00:00:00', 2.1900000569999998, 7.3358397479999997, -99, 313, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-11-19 00:00:00', 0.60000002399999997, 4.7955021860000002, -99, 133, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-11-20 00:00:00', 3.8199999330000001, 3.6024792190000001, -99, 7, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-11-21 00:00:00', 3.039999962, 6.3780646320000001, -99, 101, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-11-22 00:00:00', 5.8499999049999998, 3.2402164939999998, -99, 187, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-11-23 00:00:00', 7.579999924, 5.0952425000000003, -99, 36, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-11-24 00:00:00', 0.18000000699999999, 7.7644786830000001, -99, 302, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-11-25 00:00:00', 5.9299998279999997, 6.6852145199999997, -99, 119, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-11-26 00:00:00', 0.23999999499999999, 9.0067625049999993, -99, 270, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-11-27 00:00:00', 0, 6.3782024379999998, -99, 270, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-11-28 00:00:00', 0.560000002, 6.4728331570000002, -99, 284, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-11-29 00:00:00', 0.01, 8.8603105549999999, -99, 263, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-11-30 00:00:00', 0, 6.555422783, -99, 155, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-12-01 00:00:00', 3.619999886, 3.5438470839999998, -99, 4, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-12-02 00:00:00', 13.68999958, 7.5486812590000003, -99, 11, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-12-03 00:00:00', 4.75, 6.2248568530000004, -99, 173, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-12-04 00:00:00', 8.7299995419999998, 7.6348276139999998, -99, 252, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-12-05 00:00:00', 4.8099999430000002, 6.9256715770000001, -99, 133, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-12-06 00:00:00', 9.3199996949999999, 9.2664661410000004, -99, 205, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-12-07 00:00:00', 14.35999966, 6.5974869729999996, -99, 4, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-12-08 00:00:00', 7.3800001139999996, 6.5904002190000002, -99, 137, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-12-09 00:00:00', 1.0800000430000001, 7.2336354260000002, -99, 148, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-12-10 00:00:00', 2.5599999430000002, 2.3573699000000001, -99, 263, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-12-11 00:00:00', 12.619999890000001, 4.8088192940000001, -99, 112, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-12-12 00:00:00', 5.8600001339999999, 3.8230888840000001, -99, 245, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-12-13 00:00:00', 10.52000046, 6.2894501690000002, -99, 148, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-12-14 00:00:00', 1.309999943, 9.1758155820000002, -99, 108, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-12-15 00:00:00', 6, 10.180607800000001, -99, 104, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-12-16 00:00:00', 2.7000000480000002, 6.621177673, -99, 187, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-12-17 00:00:00', 4.5100002290000001, 1.9554158450000001, -99, 169, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-12-18 00:00:00', 0, -0.80034768599999995, -99, 151, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-12-19 00:00:00', 0.20000000300000001, 0.37156873899999998, -99, 104, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-12-20 00:00:00', 0, 5.818666458, -99, 209, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-12-21 00:00:00', 0, 7.394046307, -99, 223, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-12-22 00:00:00', 0, 6.050410748, -99, 216, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-12-23 00:00:00', 0.40999999599999998, 7.0065236090000003, -99, 234, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-12-24 00:00:00', 0, 6.5040483470000003, -99, 238, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-12-25 00:00:00', 0.28999999199999998, 6.5336942669999996, -99, 234, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-12-26 00:00:00', 0.029999998999999999, 5.4172883030000003, -99, 202, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-12-27 00:00:00', 0.61000001400000003, 5.3231134410000003, -99, 202, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-12-28 00:00:00', 1.539999962, 3.3368225100000002, -99, 112, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-12-29 00:00:00', 0, 2.7903521059999998, -99, 220, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-12-30 00:00:00', 13.829999920000001, 3.6664416790000001, -99, 151, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2006-12-31 00:00:00', 5.7199997900000001, 5.0948324200000004, -99, 230, 'ask', 'ask_2006');
INSERT INTO public.cdy_cldat VALUES ('2007-01-01 00:00:00', 5.2699999809999998, 7.5078477860000001, -99, 112, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-01-02 00:00:00', 1.690000057, 3.4445605279999998, -99, 169, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-01-03 00:00:00', 5.9600000380000004, 4.1472067829999997, -99, 104, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-01-04 00:00:00', 4.170000076, 7.083445072, -99, 155, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-01-05 00:00:00', 1.8500000240000001, 6.2608394619999999, -99, 101, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-01-06 00:00:00', 0, 3.9478073120000001, -99, 115, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-01-07 00:00:00', 2.9500000480000002, 0.034222413, -99, 151, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-01-08 00:00:00', 4.7300000190000002, -11.73180103, -99, 126, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-01-09 00:00:00', 5.1900000569999998, -19.940462109999999, -99, 126, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-01-10 00:00:00', 10.34000015, 7.8923759459999996, -99, 43, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-01-11 00:00:00', 19.489999770000001, 4.094334602, -99, 47, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-01-12 00:00:00', 4.0399999619999996, 5.2989363669999996, -99, 140, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-01-13 00:00:00', 4.6999998090000004, 8.1576757430000004, -99, 148, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-01-14 00:00:00', 1.5499999520000001, 5.2224988940000001, -99, 241, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-01-15 00:00:00', 0.219999999, 6.00041008, -99, 198, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-01-16 00:00:00', 3.3599998950000001, 5.1088514329999999, -99, 122, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-01-17 00:00:00', 8.6899995800000003, 4.7446894650000004, -99, 7, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-01-18 00:00:00', 10.93000031, 3.8881721499999999, -99, 11, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-01-19 00:00:00', 10.600000380000001, 2.2784078120000002, -99, 306, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-01-20 00:00:00', 15.93999958, 3.8171107769999999, -99, 263, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-01-21 00:00:00', 10.619999890000001, 2.4768173689999999, -99, 198, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-01-22 00:00:00', 1.230000019, 0.12892204500000001, -99, 364, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-01-23 00:00:00', 2.4500000480000002, -6.0928220749999999, -99, 209, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-01-24 00:00:00', 1.25, -11.56904507, -99, 306, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-01-25 00:00:00', 1.9199999569999999, -3.7258801460000002, -99, 335, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-01-26 00:00:00', 0.709999979, -6.5658192629999999, -99, 328, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-01-27 00:00:00', 1.4700000289999999, -0.10991699200000001, -99, 421, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-01-28 00:00:00', 4.3499999049999998, 0.46718195099999998, -99, 126, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-01-29 00:00:00', 1.1499999759999999, 3.630523443, -99, 414, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-01-30 00:00:00', 0.49000000999999999, 3.6476066110000001, -99, 270, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-01-31 00:00:00', 3.2000000480000002, 5.218599319, -99, 223, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-02-01 00:00:00', 1.4199999569999999, 1.265052319, -99, 205, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-02-02 00:00:00', 5.1799998279999997, 5.7343997959999999, -99, 230, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-02-03 00:00:00', 0, 5.1036744120000002, -99, 281, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-02-04 00:00:00', 0.38999998600000002, 4.0961818699999997, -99, 360, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-02-05 00:00:00', 0.31999999299999998, 2.307724237, -99, 601, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-02-06 00:00:00', 6.0500001909999996, -1.2201503520000001, -99, 436, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-02-07 00:00:00', 0.34999999399999998, 0.0095931139999999998, -99, 331, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-02-08 00:00:00', 0, -1.7834024429999999, -99, 479, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-02-09 00:00:00', 0.40000000600000002, 0.32763561600000002, -99, 353, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-02-10 00:00:00', 0.17000000200000001, -3.0374796389999998, -99, 562, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-02-11 00:00:00', 1.0499999520000001, -1.6685903070000001, -99, 173, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-02-12 00:00:00', 3.4000000950000002, -0.65168929099999995, -99, 184, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-02-13 00:00:00', 0.050000001000000002, 2.4582345490000002, -99, 227, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-02-14 00:00:00', 4.2100000380000004, 2.0756242280000001, -99, 266, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-02-15 00:00:00', 0.050000001000000002, 2.660851955, -99, 396, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-02-16 00:00:00', 0.17000000200000001, 1.828816652, -99, 425, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-02-17 00:00:00', 0.029999998999999999, 2.6541130540000002, -99, 500, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-02-18 00:00:00', 0, -2.5573534969999998, -99, 371, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-02-19 00:00:00', 0, 0.95241010199999998, -99, 338, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-02-20 00:00:00', 5.9400000569999998, 0.57096707800000002, -99, 302, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-02-21 00:00:00', 26.760000229999999, 2.4849829670000001, -99, 76, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-02-22 00:00:00', 3.380000114, 3.1560163499999998, -99, 180, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-02-23 00:00:00', 3.7000000480000002, -0.12340195499999999, -99, 86, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-02-24 00:00:00', 5.25, -0.45995107299999999, -99, 126, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-02-25 00:00:00', 4.8899998660000001, 0.87948757399999999, -99, 284, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-02-26 00:00:00', 6.0199999809999998, 3.3324036600000002, -99, 212, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-02-27 00:00:00', 7.3400001530000001, 1.203360915, -99, 745, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-02-28 00:00:00', 5.6199998860000004, 0.21396984199999999, -99, 414, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-03-01 00:00:00', 1.2799999710000001, 3.3101863859999998, -99, 511, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-03-02 00:00:00', 0.070000000000000007, 2.9651145940000001, -99, 540, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-03-03 00:00:00', 1.1000000240000001, -1.070820332, -99, 634, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-03-04 00:00:00', 0, -0.76102286600000002, -99, 515, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-03-05 00:00:00', 3.6800000669999999, 3.5101029869999998, -99, 288, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-03-06 00:00:00', 15.22000027, 3.7764930730000001, -99, 122, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-03-07 00:00:00', 1.440000057, 6.812798023, -99, 234, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-03-08 00:00:00', 0, 5.2798500060000002, -99, 900, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-03-09 00:00:00', 3, 4.3763871190000003, -99, 277, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-03-10 00:00:00', 0, 1.777422547, -99, 623, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-03-11 00:00:00', 0, 6.7527446749999998, -99, 1001, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-03-12 00:00:00', 0.079999998000000003, 4.6848611829999998, -99, 1379, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-03-13 00:00:00', 0, 1.974748969, -99, 1109, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-03-14 00:00:00', 0.050000001000000002, 2.9516913890000001, -99, 968, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-03-15 00:00:00', 0.30000001199999998, 4.4978795050000002, -99, 1015, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-03-16 00:00:00', 6.5900001530000001, 4.3772573469999996, -99, 1199, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-03-17 00:00:00', 12.010000229999999, 3.8395903109999998, -99, 1166, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-03-18 00:00:00', 5.8699998860000004, 6.6609320639999998, -99, 929, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-03-19 00:00:00', 2.7699999809999998, 2.0167808530000002, -99, 792, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-03-20 00:00:00', 0.20000000300000001, -0.25666746499999998, -99, 1505, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-03-21 00:00:00', 0, 0.18708615000000001, -99, 1253, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-03-22 00:00:00', 0.039999999000000001, 1.623411894, -99, 1512, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-03-23 00:00:00', 1.9199999569999999, 3.596215725, -99, 1465, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-03-24 00:00:00', 0, 5.0241241460000001, -99, 1408, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-03-25 00:00:00', 0, 3.9742922780000001, -99, 1732, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-03-26 00:00:00', 0, 2.6287577149999999, -99, 1692, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-03-27 00:00:00', 0, 2.2995264529999999, -99, 1728, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-03-28 00:00:00', 0, 2.3116273879999998, -99, 1742, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-03-29 00:00:00', 0, 3.8469395639999999, -99, 1670, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-03-30 00:00:00', 0, 4.1321020129999999, -99, 1717, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-03-31 00:00:00', 0, 1.4640794989999999, -99, 1800, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-04-01 00:00:00', 0, 1.2948087450000001, -99, 1800, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-04-02 00:00:00', 0, -1.2740077970000001, -99, 1595, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-04-03 00:00:00', 0, 3.4507496359999998, -99, 1739, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-04-04 00:00:00', 0.070000000000000007, -3.7777328489999999, -99, 551, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-04-05 00:00:00', 0, 5.9672665599999997, -99, 1040, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-04-06 00:00:00', 0.070000000000000007, 4.1381011010000002, -99, 1570, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-04-07 00:00:00', 0.219999999, -0.24347886399999999, -99, 842, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-04-08 00:00:00', 0.540000021, 1.590478778, -99, 612, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-04-09 00:00:00', 1.1000000240000001, 7.1471309659999998, -99, 817, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-04-10 00:00:00', 0, 7.5546269419999996, -99, 1253, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-04-11 00:00:00', 0, 7.5235524180000004, -99, 1872, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-04-12 00:00:00', 0, 6.3538498880000001, -99, 1948, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-04-13 00:00:00', 0, 4.0602288250000003, -99, 2034, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-04-14 00:00:00', 0, 5.9331932070000004, -99, 2030, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-04-15 00:00:00', 0, 6.4019637109999996, -99, 2059, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-04-16 00:00:00', 0, 7.6663675309999997, -99, 2200, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-04-17 00:00:00', 0.730000019, 4.4964280130000001, -99, 1710, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-04-18 00:00:00', 0, 4.1036577220000003, -99, 1523, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-04-19 00:00:00', 2.4500000480000002, 4.2259655, -99, 616, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-04-20 00:00:00', 0, 3.3371524809999999, -99, 1174, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-04-21 00:00:00', 0.560000002, -0.998180866, -99, 788, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-04-22 00:00:00', 0.090000003999999995, 5.6680488589999998, -99, 1458, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-04-23 00:00:00', 0.090000003999999995, 6.5158019070000002, -99, 1436, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-04-24 00:00:00', 0, 7.4070529939999998, -99, 814, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-04-25 00:00:00', 0, 9.4574928279999995, -99, 2088, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-04-26 00:00:00', 0, 9.5296125410000005, -99, 1804, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-04-27 00:00:00', 0, 7.7703428270000003, -99, 2138, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-04-28 00:00:00', 0, 9.4809513089999999, -99, 2218, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-04-29 00:00:00', 0, 5.0913271900000003, -99, 2509, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-04-30 00:00:00', 0, 1.5908620360000001, -99, 2466, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-05-01 00:00:00', 0, 0.98561447899999999, -99, 2074, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-05-02 00:00:00', 0, 5.6028609280000001, -99, 2063, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-05-03 00:00:00', 0.02, 3.1991503240000001, -99, 2390, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-05-04 00:00:00', 0.02, 0.86130398500000005, -99, 2171, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-05-05 00:00:00', 0, 3.480889082, -99, 2002, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-05-06 00:00:00', 6.170000076, 1.478435755, -99, 1584, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-05-07 00:00:00', 2.8499999049999998, 7.4118514060000003, -99, 1814, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-05-08 00:00:00', 8.1199998860000004, 6.869538307, -99, 1364, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-05-09 00:00:00', 0.38999998600000002, 7.9185934070000004, -99, 1840, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-05-10 00:00:00', 3.8399999139999998, 3.1559936999999998, -99, 914, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-05-11 00:00:00', 0.189999998, 9.4822702410000002, -99, 1390, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-05-12 00:00:00', 2.8199999330000001, 1.9098989959999999, -99, 1037, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-05-13 00:00:00', 0.730000019, 8.5985431670000008, -99, 1274, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-05-14 00:00:00', 4.4699997900000001, 11.713064190000001, -99, 778, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-05-15 00:00:00', 1.5299999710000001, 2.9628643989999999, -99, 1926, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-05-16 00:00:00', 17.88999939, 2.3764553070000001, -99, 648, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-05-17 00:00:00', 0.02, 1.6560484170000001, -99, 2682, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-05-18 00:00:00', 1.1699999569999999, 2.135278225, -99, 1246, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-05-19 00:00:00', 0.059999998999999998, 12.46561432, -99, 2344, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-05-20 00:00:00', 8.8800001139999996, 6.2530617709999996, -99, 2570, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-05-21 00:00:00', 0, 10.29927921, -99, 1645, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-05-22 00:00:00', 0, 7.8152399060000004, -99, 2099, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-05-23 00:00:00', 0, 6.0345196720000001, -99, 2902, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-05-24 00:00:00', 0, 8.1951827999999995, -99, 1192, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-05-25 00:00:00', 0, 10.28709984, -99, 1897, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-05-26 00:00:00', 0.55000001200000004, 9.5674581530000005, -99, 1890, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-05-27 00:00:00', 6.4600000380000004, 9.7874174119999999, -99, 403, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-05-28 00:00:00', 0.55000001200000004, 10.48148632, -99, 936, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-05-29 00:00:00', 19.690000529999999, 13.30284309, -99, 349, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-05-30 00:00:00', 0.02, 9.9767618179999999, -99, 2693, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-05-31 00:00:00', 0, 6.1665115359999998, -99, 2297, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-06-01 00:00:00', 0, 9.9327440259999999, -99, 2088, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-06-02 00:00:00', 0.039999999000000001, 9.7394599910000004, -99, 1037, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-06-03 00:00:00', 0, 10.891147610000001, -99, 2783, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-06-04 00:00:00', 0, 10.29881954, -99, 2326, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-06-05 00:00:00', 1.75, 13.9219408, -99, 1246, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-06-06 00:00:00', 0.469999999, 15.03130245, -99, 1998, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-06-07 00:00:00', 0, 13.980583190000001, -99, 2815, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-06-08 00:00:00', 0, 14.7560463, -99, 2650, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-06-09 00:00:00', 0, 14.690022470000001, -99, 2884, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-06-10 00:00:00', 0, 10.95052242, -99, 2894, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-06-11 00:00:00', 0, 11.271305079999999, -99, 3020, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-06-12 00:00:00', 1.559999943, 11.42459393, -99, 2221, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-06-13 00:00:00', 0.89999997600000003, 12.699835780000001, -99, 832, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-06-14 00:00:00', 0, 10.99966526, -99, 1778, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-06-15 00:00:00', 7.5, 9.2473974230000007, -99, 652, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-06-16 00:00:00', 11.489999770000001, 11.987289430000001, -99, 727, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-06-17 00:00:00', 9.4499998089999995, 10.834765429999999, -99, 1332, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-06-18 00:00:00', 0.519999981, 9.5009832379999999, -99, 1760, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-06-19 00:00:00', 0, 9.5300750730000008, -99, 2815, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-06-20 00:00:00', 2.789999962, 12.02226162, -99, 994, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-06-21 00:00:00', 1.0099999900000001, 11.40741062, -99, 2171, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-06-22 00:00:00', 1.309999943, 13.54516506, -99, 2264, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-06-23 00:00:00', 3.4000000950000002, 11.66186714, -99, 1966, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-06-24 00:00:00', 3.2799999710000001, 10.59337902, -99, 1681, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-06-25 00:00:00', 19.850000380000001, 13.64739037, -99, 806, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-06-26 00:00:00', 21.829999919999999, 11.08111954, -99, 1487, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-06-27 00:00:00', 20.25, 11.11646271, -99, 432, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-06-28 00:00:00', 0, 8.0135641100000008, -99, 2351, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-06-29 00:00:00', 6.0599999430000002, 7.4774551389999999, -99, 670, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-06-30 00:00:00', 9.4899997710000008, 7.9725794790000002, -99, 1400, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-07-01 00:00:00', 7.0700001720000003, 6.266628742, -99, 893, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-07-02 00:00:00', 3.75, 12.37400532, -99, 1033, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-07-03 00:00:00', 13.40999985, 12.426854130000001, -99, 1606, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-07-04 00:00:00', 0.89999997600000003, 11.826848030000001, -99, 2160, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-07-05 00:00:00', 0.27000001099999998, 9.2946977620000002, -99, 1966, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-07-06 00:00:00', 1.039999962, 11.70384312, -99, 1757, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-07-07 00:00:00', 1.6399999860000001, 11.893417360000001, -99, 1408, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-07-08 00:00:00', 0, 12.168089869999999, -99, 2210, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-07-09 00:00:00', 0, 9.5794200899999993, -99, 2466, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-07-10 00:00:00', 9.0900001530000001, 7.8426175120000003, -99, 2113, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-07-11 00:00:00', 11.94999981, 11.00721645, -99, 828, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-07-12 00:00:00', 1.5700000519999999, 12.18911552, -99, 1343, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-07-13 00:00:00', 1.0800000430000001, 13.090882300000001, -99, 1832, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-07-14 00:00:00', 0.10000000100000001, 15.17001247, -99, 1429, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-07-15 00:00:00', 4.829999924, 12.366753579999999, -99, 2088, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-07-16 00:00:00', 1.0700000519999999, 14.92836475, -99, 2297, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-07-17 00:00:00', 0.62999999500000003, 17.666889189999999, -99, 1775, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-07-18 00:00:00', 0, 13.59999466, -99, 2092, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-07-19 00:00:00', 0, 13.121973990000001, -99, 2372, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-07-20 00:00:00', 12.09000015, 6.8303790089999996, -99, 2621, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-07-21 00:00:00', 1.0299999710000001, 13.7681427, -99, 2149, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-07-22 00:00:00', 15.420000079999999, 12.387784, -99, 860, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-07-23 00:00:00', 8.0900001530000001, 10.321392060000001, -99, 2164, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-07-24 00:00:00', 18.879999160000001, 13.15634155, -99, 385, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-07-25 00:00:00', 0.039999999000000001, 11.687886239999999, -99, 2045, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-07-26 00:00:00', 7.8200001720000003, 13.9580822, -99, 832, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-07-27 00:00:00', 3.8900001049999999, 13.50079536, -99, 1771, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-07-28 00:00:00', 3.539999962, 12.802309989999999, -99, 1732, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-07-29 00:00:00', 5.2199997900000001, 11.884984019999999, -99, 2023, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-07-30 00:00:00', 3.0999999049999998, 9.1480531690000007, -99, 1073, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-07-31 00:00:00', 0.039999999000000001, 11.63809681, -99, 1534, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-08-01 00:00:00', 0, 9.6588096619999995, -99, 2527, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-08-02 00:00:00', 0.14000000100000001, 11.587912559999999, -99, 2027, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-08-03 00:00:00', 0.079999998000000003, 12.068983080000001, -99, 2466, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-08-04 00:00:00', 0, 9.8352584840000006, -99, 1944, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-08-05 00:00:00', 0, 13.64617348, -99, 2556, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-08-06 00:00:00', 0, 16.36797142, -99, 2621, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-08-07 00:00:00', 0, 16.318054199999999, -99, 1930, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-08-08 00:00:00', 14.15999985, 14.057713509999999, -99, 1760, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-08-09 00:00:00', 0.059999998999999998, 16.13110352, -99, 2106, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-08-10 00:00:00', 4.7600002290000001, 15.162640570000001, -99, 1854, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-08-11 00:00:00', 0.070000000000000007, 15.565061569999999, -99, 846, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-08-12 00:00:00', 0.15000000599999999, 11.25260353, -99, 2286, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-08-13 00:00:00', 0.10000000100000001, 12.02147388, -99, 1732, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-08-14 00:00:00', 1.6799999480000001, 11.44581032, -99, 1498, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-08-15 00:00:00', 4.5399999619999996, 16.608425140000001, -99, 1127, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-08-16 00:00:00', 6.8400001530000001, 15.67401695, -99, 1300, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-08-17 00:00:00', 3.1099998950000001, 10.67875767, -99, 1613, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-08-18 00:00:00', 0.17000000200000001, 9.3855466839999995, -99, 1386, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-08-19 00:00:00', 1.3400000329999999, 13.039310459999999, -99, 1548, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-08-20 00:00:00', 0.66000002599999996, 15.85775471, -99, 922, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-08-21 00:00:00', 3.0499999519999998, 16.36091614, -99, 558, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-08-22 00:00:00', 16.010000229999999, 18.233270650000001, -99, 580, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-08-23 00:00:00', 0.209999993, 15.075995450000001, -99, 1829, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-08-24 00:00:00', 0.47999998900000002, 14.98647785, -99, 1760, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-08-25 00:00:00', 1.789999962, 14.180852890000001, -99, 810, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-08-26 00:00:00', 0.30000001199999998, 15.31506634, -99, 1372, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-08-27 00:00:00', 3.1099998950000001, 10.88673973, -99, 907, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-08-28 00:00:00', 0.029999998999999999, 8.3096036909999995, -99, 1728, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-08-29 00:00:00', 1.2799999710000001, 6.6872143749999999, -99, 1310, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-08-30 00:00:00', 5.0399999619999996, 7.7596607210000004, -99, 724, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-08-31 00:00:00', 7.4000000950000002, 8.2277688980000008, -99, 911, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-09-01 00:00:00', 0.18000000699999999, 11.608263020000001, -99, 1084, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-09-02 00:00:00', 5.0700001720000003, 13.313951490000001, -99, 457, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-09-03 00:00:00', 0.039999999000000001, 8.3773050310000006, -99, 1386, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-09-04 00:00:00', 0, 7.9211378100000003, -99, 1973, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-09-05 00:00:00', 0.38999998600000002, 3.3172812459999999, -99, 760, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-09-06 00:00:00', 0.039999999000000001, 11.610092160000001, -99, 1624, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-09-07 00:00:00', 0.25999999000000001, 13.21367264, -99, 1202, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-09-08 00:00:00', 0.039999999000000001, 13.56724739, -99, 817, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-09-09 00:00:00', 10.510000229999999, 9.7684917450000004, -99, 1584, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-09-10 00:00:00', 3.3199999330000001, 11.73112106, -99, 1436, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-09-11 00:00:00', 0, 9.8431701660000002, -99, 1303, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-09-12 00:00:00', 0, 9.1023130420000005, -99, 936, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-09-13 00:00:00', 0.37000000500000002, 9.9602155690000007, -99, 932, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-09-14 00:00:00', 7.4899997709999999, 7.7121243479999997, -99, 677, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-09-15 00:00:00', 0.34999999399999998, 7.7727851870000002, -99, 1199, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-09-16 00:00:00', 0.30000001199999998, 9.6416053769999994, -99, 1253, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-09-17 00:00:00', 0.97000002900000004, 12.77629089, -99, 1040, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-09-18 00:00:00', 0.039999999000000001, 8.6618194580000001, -99, 1343, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-09-19 00:00:00', 22.93000031, 4.4654221529999996, -99, 403, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-09-20 00:00:00', 4.0500001909999996, 12.51409149, -99, 734, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-09-21 00:00:00', 12.52000046, 13.30431461, -99, 500, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-09-22 00:00:00', 0.039999999000000001, 10.3355484, -99, 1231, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-09-23 00:00:00', 0.029999998999999999, 9.1932716370000005, -99, 1120, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-09-24 00:00:00', 2.25, 12.60627079, -99, 882, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-09-25 00:00:00', 7.079999924, 10.76666069, -99, 752, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-09-26 00:00:00', 0, 7.5066733360000004, -99, 986, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-09-27 00:00:00', 0, 5.2198748589999999, -99, 1303, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-09-28 00:00:00', 7.7800002099999999, 11.54081249, -99, 209, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-09-29 00:00:00', 3.3499999049999998, 10.51049137, -99, 454, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-09-30 00:00:00', 1.7999999520000001, 9.8522939679999997, -99, 670, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-10-01 00:00:00', 0.519999981, 9.0039930340000005, -99, 666, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-10-02 00:00:00', 0.070000000000000007, 4.8470630650000004, -99, 1141, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-10-03 00:00:00', 0.37999999499999998, 3.8139734270000001, -99, 745, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-10-04 00:00:00', 14.35999966, 9.4188556670000008, -99, 158, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-10-05 00:00:00', 0, 9.9110689159999996, -99, 900, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-10-06 00:00:00', 0.070000000000000007, 3.0408260820000002, -99, 1008, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-10-07 00:00:00', 0.55000001200000004, 3.8505342009999999, -99, 565, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-10-08 00:00:00', 0, 7.8893432619999997, -99, 623, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-10-09 00:00:00', 0, 8.7780132290000008, -99, 414, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-10-10 00:00:00', 0.81999999300000004, 7.9775104519999998, -99, 616, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-10-11 00:00:00', 2.9000000950000002, 7.2902636530000002, -99, 263, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-10-12 00:00:00', 0.039999999000000001, 10.13605022, -99, 850, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-10-13 00:00:00', 0, 2.5328941349999998, -99, 864, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-10-14 00:00:00', 0, 3.3659203049999999, -99, 868, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-10-15 00:00:00', 0, 4.2528567309999996, -99, 918, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-10-16 00:00:00', 9.5500001910000005, 10.872138980000001, -99, 155, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-10-17 00:00:00', 1.4500000479999999, 10.193238259999999, -99, 569, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-10-18 00:00:00', 0, 5.0327138900000001, -99, 770, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-10-19 00:00:00', 0, 0.37446600200000002, -99, 954, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-10-20 00:00:00', 0.15000000599999999, -1.5561178920000001, -99, 457, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-10-21 00:00:00', 0.059999998999999998, 6.3086562160000001, -99, 522, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-10-22 00:00:00', 0, 0.50806647500000002, -99, 745, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-10-23 00:00:00', 0, -1.177310944, -99, 590, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-10-24 00:00:00', 0, 2.4295401569999999, -99, 522, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-10-25 00:00:00', 0, 5.6396131519999999, -99, 443, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-10-26 00:00:00', 0, 7.643623829, -99, 259, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-10-27 00:00:00', 0.070000000000000007, 5.8202247619999996, -99, 299, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-10-28 00:00:00', 3.4300000669999999, 5.4849076270000001, -99, 101, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-10-29 00:00:00', 0.38999998600000002, 8.3928050990000003, -99, 317, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-10-30 00:00:00', 1.1599999670000001, 1.8070874210000001, -99, 446, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-10-31 00:00:00', 1.039999962, 2.9840185639999999, -99, 216, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-11-01 00:00:00', 0, 11.65085697, -99, 270, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-11-02 00:00:00', 0.64999997600000003, 7.9302692410000004, -99, 655, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-11-03 00:00:00', 0, 5.1886167529999998, -99, 349, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-11-04 00:00:00', 0, 4.5228662489999998, -99, 558, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-11-05 00:00:00', 11.899999619999999, 1.7948280569999999, -99, 245, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-11-06 00:00:00', 7.2199997900000001, 4.0302305220000001, -99, 396, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-11-07 00:00:00', 2.6800000669999999, 3.4452877040000001, -99, 475, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-11-08 00:00:00', 7.6100001339999999, 5.1547188759999996, -99, 122, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-11-09 00:00:00', 0.61000001400000003, 3.609721661, -99, 292, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-11-10 00:00:00', 0.18000000699999999, 1.8166313169999999, -99, 515, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-11-11 00:00:00', 1.9299999480000001, 1.632753372, -99, 464, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-11-12 00:00:00', 0, -0.098709962999999998, -99, 432, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-11-13 00:00:00', 0.33000001299999998, -3.9134740830000001, -99, 461, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-11-14 00:00:00', 0, -1.5200198890000001, -99, 331, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-11-15 00:00:00', 0.44999998800000002, -3.839334011, -99, 356, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-11-16 00:00:00', 0.070000000000000007, -1.48748982, -99, 274, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-11-17 00:00:00', 0, 6.3792939190000002, -99, 212, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-11-18 00:00:00', 0, 3.6072731020000002, -99, 259, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-11-19 00:00:00', 0.14000000100000001, 4.2222599980000002, -99, 7, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-11-20 00:00:00', 0, 2.538113117, -99, 252, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-11-21 00:00:00', 0.68000000699999996, 2.9752693180000001, -99, 198, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-11-22 00:00:00', 1.0299999710000001, 4.8108053210000001, -99, 328, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-11-23 00:00:00', 0.52999997099999996, 6.4146857260000001, -99, 313, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-11-24 00:00:00', 9.1400003430000005, -4.0082592960000003, -99, 173, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-11-25 00:00:00', 1.690000057, 3.9760563370000002, -99, 180, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-11-26 00:00:00', 0.059999998999999998, -0.838986754, -99, 335, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-11-27 00:00:00', 0.050000001000000002, -3.4515247339999999, -99, 259, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-11-28 00:00:00', 2.630000114, -1.7602628469999999, -99, 151, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-11-29 00:00:00', 4.2300000190000002, 5.0251235960000002, -99, 263, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-11-30 00:00:00', 6.329999924, 3.0688331130000002, -99, 166, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-12-01 00:00:00', 7.0399999619999996, 6.0760345459999998, -99, 65, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-12-02 00:00:00', 17.18000031, 5.1390309329999999, -99, 162, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-12-03 00:00:00', 2.2699999809999998, 4.0568737979999998, -99, 248, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-12-04 00:00:00', 1.1200000050000001, 2.1353416439999999, -99, 166, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-12-05 00:00:00', 7.5, 5.2408866879999998, -99, 133, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-12-06 00:00:00', 12.52000046, 8.6840505599999993, -99, 252, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-12-07 00:00:00', 7.670000076, 7.6215686800000002, -99, 133, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-12-08 00:00:00', 2.9300000669999999, 5.780565739, -99, 220, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-12-09 00:00:00', 2.9300000669999999, 3.1095123290000002, -99, 216, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-12-10 00:00:00', 0.219999999, 1.759729028, -99, 234, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-12-11 00:00:00', 0.119999997, 3.2229352000000002, -99, 223, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-12-12 00:00:00', 0, 3.049771786, -99, 212, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-12-13 00:00:00', 0.31999999299999998, 2.4606449600000002, -99, 216, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-12-14 00:00:00', 0.18000000699999999, -2.8239481450000001, -99, 187, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-12-15 00:00:00', 0, 2.367412329, -99, 119, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-12-16 00:00:00', 0, -4.618525505, -99, 241, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-12-17 00:00:00', 0, -5.4387474060000001, -99, 205, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-12-18 00:00:00', 0, 0.48236855899999997, -99, 187, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-12-19 00:00:00', 0, -2.2512595649999998, -99, 223, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-12-20 00:00:00', 0, 1.290827513, -99, 241, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-12-21 00:00:00', 0, 0.894966602, -99, 209, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-12-22 00:00:00', 0.059999998999999998, -3.3182582859999998, -99, 133, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-12-23 00:00:00', 0.28999999199999998, -3.0082020759999999, -99, 227, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-12-24 00:00:00', 0, -2.4463045600000002, -99, 133, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-12-25 00:00:00', 2, 1.7165598870000001, -99, 104, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-12-26 00:00:00', 0.059999998999999998, 2.9225778579999999, -99, 191, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-12-27 00:00:00', 7.4499998090000004, 3.685930967, -99, 104, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-12-28 00:00:00', 4.7800002099999999, 5.3817496299999998, -99, 104, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-12-29 00:00:00', 10.89000034, 4.5053219799999997, -99, 148, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-12-30 00:00:00', 0.050000001000000002, 4.8365759849999996, -99, 205, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2007-12-31 00:00:00', 0, -1.168980718, -99, 259, 'ask', 'ask_2007');
INSERT INTO public.cdy_cldat VALUES ('2008-01-01 00:00:00', 0.10000000100000001, -2.4686036109999998, -99, 148, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-01-02 00:00:00', 1.0700000519999999, -0.012449361000000001, -99, 194, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-01-03 00:00:00', 0, -1.5400352479999999, -99, 104, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-01-04 00:00:00', 0.10000000100000001, -2.473338842, -99, 134, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-01-05 00:00:00', 9.1000003809999992, -2.800874233, -99, 70, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-01-06 00:00:00', 2.1500000950000002, 2.387038708, -99, 157, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-01-07 00:00:00', 6.5500001909999996, 2.2572634219999999, -99, 109, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-01-08 00:00:00', 2.7599999899999998, 4.1871070860000001, -99, 219, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-01-09 00:00:00', 4.2399997709999999, 4.3552746769999997, -99, 179, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-01-10 00:00:00', 9.4700002669999996, 1.686128378, -99, 82, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-01-11 00:00:00', 4.1300001139999996, 5.7767815589999998, -99, 166, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-01-12 00:00:00', 2.3499999049999998, 7.2020006179999996, -99, 127, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-01-13 00:00:00', 0.070000000000000007, 3.0745816229999998, -99, 122, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-01-14 00:00:00', 0.68000000699999996, 0.65604841700000005, -99, 180, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-01-15 00:00:00', 21.239999770000001, 4.3970694540000004, -99, 99, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-01-16 00:00:00', 2.2799999710000001, 6.3424940110000003, -99, 241, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-01-17 00:00:00', 2.329999924, 3.4915442470000002, -99, 148, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-01-18 00:00:00', 5.5, 4.9114646909999999, -99, 194, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-01-19 00:00:00', 0.109999999, 6.0803632739999998, -99, 337, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-01-20 00:00:00', 0.87999999500000003, 2.849093914, -99, 170, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-01-21 00:00:00', 0.17000000200000001, 4.1892251969999998, -99, 276, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-01-22 00:00:00', 0.039999999000000001, -0.69061863400000001, -99, 382, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-01-23 00:00:00', 5.7399997709999999, -0.087405995, -99, 92, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-01-24 00:00:00', 1.4700000289999999, 6.3454642300000001, -99, 190, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-01-25 00:00:00', 1.7999999520000001, 2.6753702160000001, -99, 135, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-01-26 00:00:00', 3.3399999139999998, 7.2410974499999998, -99, 132, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-01-27 00:00:00', 0.43000000700000002, 2.8858828540000001, -99, 402, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-01-28 00:00:00', 0.070000000000000007, 1.5059705969999999, -99, 251, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-01-29 00:00:00', 3.1400001049999999, 3.9804315570000002, -99, 203, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-01-30 00:00:00', 0.86000001400000003, 5.4625821109999997, -99, 391, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-01-31 00:00:00', 15.880000109999999, 1.4046810869999999, -99, 145, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-02-01 00:00:00', 9.75, 0.85330116700000003, -99, 251, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-02-02 00:00:00', 1.6000000240000001, 1.154949188, -99, 318, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-02-03 00:00:00', 0, -0.93664759399999997, -99, 437, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-02-04 00:00:00', 2.5299999710000001, -0.17143787399999999, -99, 333, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-02-05 00:00:00', 13.02999973, 2.1604635719999998, -99, 224, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-02-06 00:00:00', 0.46000000800000002, 4.9908289909999999, -99, 516, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-02-07 00:00:00', 0, 3.9878723620000001, -99, 482, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-02-08 00:00:00', 0, 4.6000766750000004, -99, 400, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-02-09 00:00:00', 0, 1.857762337, -99, 486, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-02-10 00:00:00', 0, 2.4836103920000001, -99, 609, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-02-11 00:00:00', 0.109999999, 0.062509633999999994, -99, 260, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-02-12 00:00:00', 0, 2.9731822010000002, -99, 264, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-02-13 00:00:00', 0, 1.885047436, -99, 272, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-02-14 00:00:00', 0.10000000100000001, 1.9887406830000001, -99, 680, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-02-15 00:00:00', 0, -3.435549736, -99, 743, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-02-16 00:00:00', 0, -5.5861401559999999, -99, 296, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-02-17 00:00:00', 0.079999998000000003, -2.2054207319999999, -99, 222, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-02-18 00:00:00', 0, 4.5446538929999996, -99, 333, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-02-19 00:00:00', 0.47999998900000002, 4.6787939070000002, -99, 312, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-02-20 00:00:00', 0.070000000000000007, 1.663174272, -99, 576, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-02-21 00:00:00', 2.7999999519999998, 1.0114874840000001, -99, 241, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-02-22 00:00:00', 5.25, 6.313461781, -99, 194, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-02-23 00:00:00', 2.4900000100000002, 3.7103946209999998, -99, 521, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-02-24 00:00:00', 0.959999979, 6.7047762869999996, -99, 467, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-02-25 00:00:00', 1.8899999860000001, 3.9319839480000001, -99, 835, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-02-26 00:00:00', 11.52999973, 3.665374994, -99, 280, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-02-27 00:00:00', 1.3799999949999999, 5.7989902500000001, -99, 679, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-02-28 00:00:00', 0, 2.923318386, -99, 988, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-02-29 00:00:00', 16.079999919999999, 3.9360105989999998, -99, 517, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-03-01 00:00:00', 3.8599998950000001, 3.4114248749999998, -99, 461, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-03-02 00:00:00', 0.27000001099999998, 3.0210175509999999, -99, 835, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-03-03 00:00:00', 4.1599998469999999, 1.915987968, -99, 450, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-03-04 00:00:00', 0.920000017, -0.314724326, -99, 946, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-03-05 00:00:00', 5.3099999430000002, -4.111545563, -99, 775, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-03-06 00:00:00', 1.25, 3.288999081, -99, 761, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-03-07 00:00:00', 0.58999997400000004, 4.9389152530000002, -99, 361, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-03-08 00:00:00', 6.3899998660000001, 2.1506099700000001, -99, 717, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-03-09 00:00:00', 11.43000031, 5.5640406609999999, -99, 353, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-03-10 00:00:00', 0.079999998000000003, 4.7821683879999997, -99, 935, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-03-11 00:00:00', 9.6199998860000004, 5.4690461160000003, -99, 467, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-03-12 00:00:00', 10.10999966, 3.5870718959999999, -99, 899, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-03-13 00:00:00', 3.3499999049999998, 4.7191677089999997, -99, 706, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-03-14 00:00:00', 7.5100002290000001, 2.779224396, -99, 744, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-03-15 00:00:00', 0, 1.742659092, -99, 897, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-03-16 00:00:00', 0, 2.8329679969999999, -99, 989, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-03-17 00:00:00', 0, 0.071012028000000005, -99, 1331, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-03-18 00:00:00', 0, -1.444086075, -99, 1359, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-03-19 00:00:00', 0, -2.522081375, -99, 1318, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-03-20 00:00:00', 11.289999959999999, -4.1646547319999998, -99, 951, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-03-21 00:00:00', 3.3399999139999998, 0.98282373000000001, -99, 1078, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-03-22 00:00:00', 0, -0.97713947300000004, -99, 1302, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-03-23 00:00:00', 3.25, -7.9679079059999998, -99, 1054, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-03-24 00:00:00', 1.6799999480000001, -2.7131040099999999, -99, 1047, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-03-25 00:00:00', 2.9500000480000002, -4.766842842, -99, 1280, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-03-26 00:00:00', 0.10000000100000001, -4.1064777369999996, -99, 1468, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-03-27 00:00:00', 0, -3.9976222520000002, -99, 1580, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-03-28 00:00:00', 1.8200000519999999, -0.72164952800000004, -99, 1002, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-03-29 00:00:00', 1.769999981, 5.1038727760000002, -99, 1302, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-03-30 00:00:00', 8.4099998469999999, 3.1939599510000001, -99, 1109, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-03-31 00:00:00', 1.7200000289999999, 6.8965644839999998, -99, 555, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-04-01 00:00:00', 4.0599999430000002, -0.37096315600000002, -99, 1141, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-04-02 00:00:00', 1.5700000519999999, 4.7787060739999996, -99, 919, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-04-03 00:00:00', 0, 5.0936350819999996, -99, 973, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-04-04 00:00:00', 1.269999981, 0.68656837900000001, -99, 643, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-04-05 00:00:00', 1.8700000050000001, 1.5597298150000001, -99, 1320, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-04-06 00:00:00', 0, -0.32735484799999998, -99, 1408, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-04-07 00:00:00', 0, -2.4642732139999999, -99, 1570, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-04-08 00:00:00', 0.01, 0.051480979000000003, -99, 1035, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-04-09 00:00:00', 0, -2.0854966639999999, -99, 1650, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-04-10 00:00:00', 0, -1.213934302, -99, 1600, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-04-11 00:00:00', 9.75, -0.46080675700000001, -99, 976, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-04-12 00:00:00', 0.30000001199999998, 1.9363862279999999, -99, 1629, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-04-13 00:00:00', 0.039999999000000001, 1.6431136129999999, -99, 1730, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-04-14 00:00:00', 0, 1.4633187059999999, -99, 1538, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-04-15 00:00:00', 0, -1.517820001, -99, 1621, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-04-16 00:00:00', 2.4800000190000002, -2.1330409050000001, -99, 1567, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-04-17 00:00:00', 3.2200000289999999, 4.0211100579999997, -99, 884, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-04-18 00:00:00', 0, 3.4970245360000001, -99, 1987, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-04-19 00:00:00', 0, 1.744987369, -99, 2023, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-04-20 00:00:00', 0, 0.47859948899999999, -99, 2152, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-04-21 00:00:00', 0, 2.6632113460000002, -99, 2204, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-04-22 00:00:00', 0, 4.4438562389999996, -99, 2231, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-04-23 00:00:00', 0, 2.8108396529999999, -99, 2267, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-04-24 00:00:00', 0.80000001200000004, 4.7464885710000004, -99, 2016, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-04-25 00:00:00', 0.68000000699999996, 7.0805759430000004, -99, 1128, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-04-26 00:00:00', 0, 6.159920692, -99, 1083, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-04-27 00:00:00', 0, 10.78374672, -99, 1572, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-04-28 00:00:00', 12.260000229999999, 9.7594585420000008, -99, 1394, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-04-29 00:00:00', 5.2399997709999999, 8.0896539690000004, -99, 988, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-04-30 00:00:00', 1.460000038, 8.4211549760000004, -99, 2171, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-05-01 00:00:00', 0.63999998599999997, 9.7821846010000009, -99, 1735, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-05-02 00:00:00', 3.1099998950000001, 4.3879714009999997, -99, 1851, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-05-03 00:00:00', 0, 4.224377155, -99, 2362, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-05-04 00:00:00', 0, 2.9959762099999998, -99, 2359, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-05-05 00:00:00', 0, 3.4676179889999998, -99, 2443, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-05-06 00:00:00', 0, 5.3017911910000004, -99, 2286, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-05-07 00:00:00', 0, 4.8053007130000003, -99, 2441, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-05-08 00:00:00', 0, 5.6674089429999999, -99, 2529, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-05-09 00:00:00', 0, 7.5117759700000004, -99, 2515, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-05-10 00:00:00', 0, 8.5629491810000005, -99, 2606, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-05-11 00:00:00', 0, 7.6527190210000002, -99, 2529, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-05-12 00:00:00', 0, 7.5597381590000001, -99, 2481, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-05-13 00:00:00', 0, 8.8118667599999991, -99, 2340, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-05-14 00:00:00', 0, 3.2294201849999999, -99, 2568, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-05-15 00:00:00', 0, 3.2729482650000001, -99, 2311, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-05-16 00:00:00', 0, 4.5114917759999997, -99, 2146, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-05-17 00:00:00', 0.15000000599999999, 7.8479785919999996, -99, 1908, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-05-18 00:00:00', 0.66000002599999996, 2.4289109710000001, -99, 1955, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-05-19 00:00:00', 0.25999999000000001, 2.806823015, -99, 2397, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-05-20 00:00:00', 0.070000000000000007, 0.248227015, -99, 2104, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-05-21 00:00:00', 0, 0.56468188799999997, -99, 1787, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-05-22 00:00:00', 0, 2.9645462039999999, -99, 2383, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-05-23 00:00:00', 0, 4.1540627480000003, -99, 2468, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-05-24 00:00:00', 0, 7.5515604019999998, -99, 2517, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-05-25 00:00:00', 4.0300002099999999, 7.7727274890000002, -99, 2698, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-05-26 00:00:00', 0.64999997600000003, 8.8901195529999999, -99, 1476, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-05-27 00:00:00', 0, 4.784034729, -99, 1656, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-05-28 00:00:00', 0, 10.908309940000001, -99, 2411, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-05-29 00:00:00', 0, 12.25622272, -99, 2321, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-05-30 00:00:00', 0, 12.044206620000001, -99, 2659, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-05-31 00:00:00', 0, 12.150516509999999, -99, 2677, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-06-01 00:00:00', 0, 12.117218019999999, -99, 2744, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-06-02 00:00:00', 0, 12.924880979999999, -99, 2621, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-06-03 00:00:00', 0, 14.222646709999999, -99, 2747, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-06-04 00:00:00', 0, 12.754086490000001, -99, 2875, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-06-05 00:00:00', 0, 10.62238026, -99, 2819, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-06-06 00:00:00', 0, 11.39796162, -99, 2829, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-06-07 00:00:00', 0, 11.423362729999999, -99, 2712, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-06-08 00:00:00', 0, 9.4680662160000004, -99, 2738, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-06-09 00:00:00', 0, 10.46361256, -99, 2810, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-06-10 00:00:00', 1.0299999710000001, 10.726372720000001, -99, 2207, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-06-11 00:00:00', 2.1500000950000002, 10.792549129999999, -99, 2098, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-06-12 00:00:00', 0.27000001099999998, 8.586173058, -99, 2362, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-06-13 00:00:00', 1.75, 7.618607044, -99, 2218, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-06-14 00:00:00', 2.880000114, 6.0294647220000002, -99, 2174, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-06-15 00:00:00', 5.4000000950000002, 6.2481980320000003, -99, 1600, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-06-16 00:00:00', 2.8900001049999999, 7.0928435329999999, -99, 2058, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-06-17 00:00:00', 0, 6.3423242569999996, -99, 2564, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-06-18 00:00:00', 0.28999999199999998, 8.0292854309999999, -99, 2110, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-06-19 00:00:00', 1.1000000240000001, 12.38887405, -99, 1344, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-06-20 00:00:00', 1.190000057, 10.297780039999999, -99, 2465, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-06-21 00:00:00', 1.059999943, 8.8521595000000008, -99, 2724, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-06-22 00:00:00', 3.5299999710000001, 12.493228909999999, -99, 1644, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-06-23 00:00:00', 0.280000001, 13.26188183, -99, 1613, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-06-24 00:00:00', 0, 7.7343540190000004, -99, 2434, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-06-25 00:00:00', 0, 4.0157642359999999, -99, 2743, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-06-26 00:00:00', 0.85000002399999997, 12.16037846, -99, 2711, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-06-27 00:00:00', 2.8900001049999999, 10.091389660000001, -99, 2118, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-06-28 00:00:00', 0.310000002, 11.88521957, -99, 1311, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-06-29 00:00:00', 4.0500001909999996, 13.32657051, -99, 1662, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-06-30 00:00:00', 0, 10.243709559999999, -99, 2054, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-07-01 00:00:00', 0, 8.2927227020000007, -99, 2170, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-07-02 00:00:00', 0, 12.370354649999999, -99, 2793, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-07-03 00:00:00', 0, 14.54481792, -99, 2359, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-07-04 00:00:00', 0, 13.87711906, -99, 2445, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-07-05 00:00:00', 0, 11.14256859, -99, 2208, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-07-06 00:00:00', 2.7200000289999999, 12.21885681, -99, 2106, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-07-07 00:00:00', 5.920000076, 10.70482063, -99, 1431, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-07-08 00:00:00', 3.4300000669999999, 11.63837814, -99, 2151, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-07-09 00:00:00', 1.5299999710000001, 9.6670618059999995, -99, 2239, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-07-10 00:00:00', 4.1599998469999999, 9.0839414600000001, -99, 993, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-07-11 00:00:00', 1.289999962, 11.14130402, -99, 1823, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-07-12 00:00:00', 7.8899998660000001, 12.482297900000001, -99, 1204, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-07-13 00:00:00', 1.309999943, 9.9686098100000002, -99, 1922, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-07-14 00:00:00', 0.58999997400000004, 10.410642620000001, -99, 1471, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-07-15 00:00:00', 1.2599999900000001, 15.26876068, -99, 1440, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-07-16 00:00:00', 1.3500000240000001, 12.410061839999999, -99, 1354, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-07-17 00:00:00', 3.1900000569999998, 10.72307777, -99, 2133, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-07-18 00:00:00', 4.6900000569999998, 12.41716576, -99, 1628, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-07-19 00:00:00', 3.3900001049999999, 11.688518520000001, -99, 1126, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-07-20 00:00:00', 6.329999924, 11.69943142, -99, 1967, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-07-21 00:00:00', 5.920000076, 10.81497478, -99, 1379, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-07-22 00:00:00', 0, 7.8612804409999999, -99, 1135, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-07-23 00:00:00', 0, 9.6664342879999996, -99, 1893, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-07-24 00:00:00', 0, 9.1309185030000002, -99, 2657, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-07-25 00:00:00', 0, 14.61187363, -99, 2411, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-07-26 00:00:00', 0, 14.723742489999999, -99, 2528, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-07-27 00:00:00', 0, 15.05970001, -99, 2553, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-07-28 00:00:00', 0, 14.699883460000001, -99, 2489, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-07-29 00:00:00', 0, 15.536580089999999, -99, 2482, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-07-30 00:00:00', 0, 17.873134610000001, -99, 1559, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-07-31 00:00:00', 0, 14.497688289999999, -99, 2405, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-08-01 00:00:00', 3.4100000860000002, 17.201202389999999, -99, 1210, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-08-02 00:00:00', 6.7300000190000002, 12.535814289999999, -99, 1913, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-08-03 00:00:00', 17.829999919999999, 15.606706620000001, -99, 2146, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-08-04 00:00:00', 11.84000015, 14.196912770000001, -99, 1692, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-08-05 00:00:00', 0.25999999000000001, 13.354814530000001, -99, 1553, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-08-06 00:00:00', 3.4100000860000002, 10.15161705, -99, 603, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-08-07 00:00:00', 23.299999239999998, 17.357337950000002, -99, 1173, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-08-08 00:00:00', 0.469999999, 15.669691090000001, -99, 1696, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-08-09 00:00:00', 5.1999998090000004, 12.293117519999999, -99, 1762, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-08-10 00:00:00', 6.0999999049999998, 12.56289291, -99, 996, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-08-11 00:00:00', 2.460000038, 13.69195843, -99, 1649, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-08-12 00:00:00', 4.8800001139999996, 13.322790149999999, -99, 931, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-08-13 00:00:00', 29.129999160000001, 13.017455099999999, -99, 1540, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-08-14 00:00:00', 4.6100001339999999, 13.60850048, -99, 1632, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-08-15 00:00:00', 0, 9.8951148989999993, -99, 2074, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-08-16 00:00:00', 0, 7.0144739149999999, -99, 1926, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-08-17 00:00:00', 0.81999999300000004, 7.7758579250000004, -99, 1912, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-08-18 00:00:00', 1.9199999569999999, 12.22404289, -99, 1458, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-08-19 00:00:00', 14.260000229999999, 14.922903059999999, -99, 1102, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-08-20 00:00:00', 9.9600000380000004, 15.173915859999999, -99, 1376, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-08-21 00:00:00', 11, 13.30195236, -99, 1274, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-08-22 00:00:00', 3.0099999899999998, 12.13427639, -99, 1263, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-08-23 00:00:00', 4.4299998279999997, 13.41384506, -99, 1040, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-08-24 00:00:00', 0.63999998599999997, 10.203720089999999, -99, 1331, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-08-25 00:00:00', 1.2200000289999999, 13.350113869999999, -99, 1096, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-08-26 00:00:00', 4.0599999430000002, 13.94736958, -99, 1467, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-08-27 00:00:00', 2.3900001049999999, 16.459068299999998, -99, 502, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-08-28 00:00:00', 3.1900000569999998, 14.54144859, -99, 1000, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-08-29 00:00:00', 0.02, 14.56763744, -99, 1420, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-08-30 00:00:00', 0, 7.3491296769999996, -99, 1881, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-08-31 00:00:00', 0, 10.41063881, -99, 1770, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-09-01 00:00:00', 0.91000002599999996, 15.244653700000001, -99, 697, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-09-02 00:00:00', 10.460000040000001, 11.02934647, -99, 920, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-09-03 00:00:00', 12.920000079999999, 11.77038479, -99, 1128, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-09-04 00:00:00', 13.47999954, 10.449380870000001, -99, 807, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-09-05 00:00:00', 7.0199999809999998, 11.112091059999999, -99, 1159, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-09-06 00:00:00', 0.02, 13.96985722, -99, 1127, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-09-07 00:00:00', 4.6399998660000001, 10.886403079999999, -99, 1301, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-09-08 00:00:00', 7.2899999619999996, 13.362236019999999, -99, 932, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-09-09 00:00:00', 0, 11.71186829, -99, 1281, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-09-10 00:00:00', 0.91000002599999996, 12.99415398, -99, 1445, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-09-11 00:00:00', 0, 10.71646786, -99, 1498, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-09-12 00:00:00', 0, 12.825421329999999, -99, 959, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-09-13 00:00:00', 0, 10.097328190000001, -99, 1380, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-09-14 00:00:00', 0, 6.4548158649999996, -99, 1317, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-09-15 00:00:00', 0.01, 7.8270764350000004, -99, 1243, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-09-16 00:00:00', 0.25999999000000001, 7.695412159, -99, 809, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-09-17 00:00:00', 0, 6.5302653309999998, -99, 1134, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-09-18 00:00:00', 0, 2.9328558440000001, -99, 1219, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-09-19 00:00:00', 0, 2.0495975020000001, -99, 894, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-09-20 00:00:00', 0, 5.3723540310000004, -99, 1144, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-09-21 00:00:00', 0.090000003999999995, 7.1017112730000003, -99, 1075, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-09-22 00:00:00', 0.86000001400000003, 5.9951229100000001, -99, 798, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-09-23 00:00:00', 0, 11.071870799999999, -99, 514, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-09-24 00:00:00', 0, 10.554818149999999, -99, 1324, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-09-25 00:00:00', 0, 5.8316869740000001, -99, 1313, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-09-26 00:00:00', 0.090000003999999995, 3.0367381569999998, -99, 1009, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-09-27 00:00:00', 1.730000019, 8.3938312530000001, -99, 1190, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-09-28 00:00:00', 2.130000114, 11.241466519999999, -99, 905, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-09-29 00:00:00', 7.5199999809999998, 5.8568286900000004, -99, 1052, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-09-30 00:00:00', 7.2800002099999999, 8.1782436369999996, -99, 997, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-10-01 00:00:00', 11.35999966, 6.4946336750000002, -99, 480, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-10-02 00:00:00', 1.8799999949999999, 7.2036757470000001, -99, 825, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-10-03 00:00:00', 2.1500000950000002, 6.2554793359999996, -99, 860, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-10-04 00:00:00', 15.31000042, 5.4521226880000002, -99, 910, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-10-05 00:00:00', 8.5699996949999999, 6.8032665249999997, -99, 731, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-10-06 00:00:00', 0.109999999, 0.71658706699999997, -99, 1087, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-10-07 00:00:00', 0.039999999000000001, 2.6268057819999999, -99, 641, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-10-08 00:00:00', 1.559999943, 10.22350883, -99, 423, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-10-09 00:00:00', 0.63999998599999997, 8.1065788269999999, -99, 942, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-10-10 00:00:00', 0.070000000000000007, 7.4870886800000003, -99, 491, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-10-11 00:00:00', 1.789999962, 11.880978580000001, -99, 446, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-10-12 00:00:00', 0, 11.64440441, -99, 941, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-10-13 00:00:00', 0.52999997099999996, 9.8739385599999991, -99, 410, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-10-14 00:00:00', 1.5, 12.16046238, -99, 813, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-10-15 00:00:00', 19.520000459999999, 8.0465202330000007, -99, 353, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-10-16 00:00:00', 6.4600000380000004, 7.3849453929999997, -99, 303, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-10-17 00:00:00', 0.12999999500000001, 5.714626312, -99, 795, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-10-18 00:00:00', 9.9300003050000001, 4.9664077759999996, -99, 308, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-10-19 00:00:00', 0.15000000599999999, 8.0138788220000006, -99, 582, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-10-20 00:00:00', 3.5299999710000001, 10.66627216, -99, 373, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-10-21 00:00:00', 2.25, 9.8003778459999999, -99, 446, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-10-22 00:00:00', 4.3200001720000003, 4.3271217350000004, -99, 563, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-10-23 00:00:00', 0.63999998599999997, 3.3640995029999998, -99, 665, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-10-24 00:00:00', 5.0700001720000003, 8.7952117919999999, -99, 236, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-10-25 00:00:00', 10.02000046, 4.2997326850000004, -99, 655, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-10-26 00:00:00', 11.19999981, 8.8927574160000002, -99, 176, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-10-27 00:00:00', 4.6500000950000002, 5.9647855759999997, -99, 515, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-10-28 00:00:00', 1.3799999949999999, 4.0998163219999997, -99, 600, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-10-29 00:00:00', 0.43000000700000002, 1.502400398, -99, 563, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-10-30 00:00:00', 0, -0.41438907400000002, -99, 438, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-10-31 00:00:00', 0, -2.562933922, -99, 606, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-11-01 00:00:00', 0, -1.121094346, -99, 535, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-11-02 00:00:00', 0, 4.7459640500000004, -99, 348, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-11-03 00:00:00', 0, 8.1766786580000002, -99, 227, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-11-04 00:00:00', 0.62000000499999997, 7.6215629580000002, -99, 219, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-11-05 00:00:00', 0.55000001200000004, 8.0826253890000004, -99, 212, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-11-06 00:00:00', 2.0299999710000001, 7.5368089679999999, -99, 159, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-11-07 00:00:00', 1, 8.7338247300000003, -99, 101, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-11-08 00:00:00', 0.079999998000000003, 6.4402718539999997, -99, 324, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-11-09 00:00:00', 7.0999999049999998, 5.2353749279999997, -99, 253, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-11-10 00:00:00', 20.620000839999999, 6.8441820140000003, -99, 312, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-11-11 00:00:00', 13.94999981, 7.7624440190000001, -99, 239, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-11-12 00:00:00', 3.9100000860000002, 6.8705053329999997, -99, 227, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-11-13 00:00:00', 5.4600000380000004, 3.1497404580000001, -99, 398, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-11-14 00:00:00', 0.769999981, 6.9340486529999996, -99, 133, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-11-15 00:00:00', 0.28999999199999998, 10.29429054, -99, 217, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-11-16 00:00:00', 1.4299999480000001, 6.8569059369999996, -99, 278, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-11-17 00:00:00', 1.1499999759999999, -1.0267742870000001, -99, 325, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-11-18 00:00:00', 6.1799998279999997, 1.7387413979999999, -99, 242, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-11-19 00:00:00', 3.119999886, 4.2469577789999997, -99, 148, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-11-20 00:00:00', 2.5099999899999998, 8.1735172269999996, -99, 277, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-11-21 00:00:00', 0.070000000000000007, -0.084190383999999993, -99, 324, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-11-22 00:00:00', 0, -3.5143015379999998, -99, 343, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-11-23 00:00:00', 0, -3.5641386509999999, -99, 288, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-11-24 00:00:00', 0, -3.7601606849999998, -99, 239, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-11-25 00:00:00', 0.189999998, -2.1570484639999998, -99, 292, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-11-26 00:00:00', 0.60000002399999997, -4.2069625850000003, -99, 95, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-11-27 00:00:00', 6.6100001339999999, 7.4180841449999999, -99, 113, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-11-28 00:00:00', 0.920000017, 5.4653043749999997, -99, 89, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-11-29 00:00:00', 0.28999999199999998, 2.1696543689999999, -99, 92, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-11-30 00:00:00', 1.5700000519999999, -0.49432179300000001, -99, 139, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-12-01 00:00:00', 0.079999998000000003, 1.430243731, -99, 123, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-12-02 00:00:00', 0.40000000600000002, 2.348402262, -99, 133, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-12-03 00:00:00', 0.34000000400000002, -0.64485800299999996, -99, 219, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-12-04 00:00:00', 2.4300000669999999, -4.0467905999999996, -99, 162, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-12-05 00:00:00', 1.059999943, 1.526889205, -99, 117, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-12-06 00:00:00', 1.019999981, 3.5670156479999999, -99, 148, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-12-07 00:00:00', 1.1100000139999999, -0.091084205000000001, -99, 150, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-12-08 00:00:00', 4.3899998660000001, 3.211547613, -99, 60, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-12-09 00:00:00', 2.170000076, 3.6326634879999999, -99, 97, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-12-10 00:00:00', 0.070000000000000007, -2.6877925399999998, -99, 216, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-12-11 00:00:00', 0.62999999500000003, -1.3017463680000001, -99, 166, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-12-12 00:00:00', 0.36000001399999998, 0.126601145, -99, 167, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-12-13 00:00:00', 0.52999997099999996, -0.38146501799999999, -99, 129, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-12-14 00:00:00', 0, 3.0688242909999999, -99, 96, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-12-15 00:00:00', 0, 2.8127853869999999, -99, 69, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-12-16 00:00:00', 0, 3.1711571219999999, -99, 61, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-12-17 00:00:00', 0.25999999000000001, 1.7935756439999999, -99, 118, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-12-18 00:00:00', 6.2699999809999998, -1.7845108510000001, -99, 99, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-12-19 00:00:00', 2.5899999139999998, 4.1821746830000004, -99, 223, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-12-20 00:00:00', 0.039999999000000001, 1.9322191479999999, -99, 160, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-12-21 00:00:00', 0.36000001399999998, 3.6165070529999999, -99, 93, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-12-22 00:00:00', 0, 6.8287591929999998, -99, 182, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-12-23 00:00:00', 0.44999998800000002, 2.2125887870000001, -99, 145, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-12-24 00:00:00', 0, 5.4758028980000004, -99, 215, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-12-25 00:00:00', 0, 2.6824662689999998, -99, 126, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-12-26 00:00:00', 0.079999998000000003, -4.7055802350000002, -99, 207, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-12-27 00:00:00', 0.10000000100000001, -2.1048889160000002, -99, 134, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-12-28 00:00:00', 0.01, 0.15064617999999999, -99, 134, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-12-29 00:00:00', 0, 0.54633045199999997, -99, 135, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-12-30 00:00:00', 0, -3.6534185410000002, -99, 209, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2008-12-31 00:00:00', 0, -2.827666759, -99, 126, 'ask', 'ask_2008');
INSERT INTO public.cdy_cldat VALUES ('2009-01-01 00:00:00', 0.10000000100000001, -3.6228365899999999, -99, 210, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-01-02 00:00:00', 0, -4.730537891, -99, 264, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-01-03 00:00:00', 1.960000038, -6.8925366400000003, -99, 139, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-01-04 00:00:00', 0.31999999299999998, -1.641407847, -99, 154, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-01-05 00:00:00', 0.109999999, -6.7865390779999997, -99, 293, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-01-06 00:00:00', 2.130000114, -11.274123189999999, -99, 173, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-01-07 00:00:00', 0, -0.63960367399999996, -99, 279, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-01-08 00:00:00', 0.25999999000000001, -8.5788602829999991, -99, 136, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-01-09 00:00:00', 0, 2.3448841570000001, -99, 247, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-01-10 00:00:00', 0, 1.9766997100000001, -99, 120, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-01-11 00:00:00', 0, -2.2498655319999998, -99, 210, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-01-12 00:00:00', 7.6500000950000002, 2.5468270780000002, -99, 99, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-01-13 00:00:00', 2.4100000860000002, 2.3498899940000002, -99, 107, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-01-14 00:00:00', 0.50999998999999996, 1.1333284379999999, -99, 216, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-01-15 00:00:00', 0.039999999000000001, -0.48008331700000001, -99, 227, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-01-16 00:00:00', 0.039999999000000001, 1.0233109, -99, 174, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-01-17 00:00:00', 0.730000019, -0.069010839000000004, -99, 134, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-01-18 00:00:00', 11.960000040000001, 0.97400653400000003, -99, 104, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-01-19 00:00:00', 9.6999998089999995, 1.6074192519999999, -99, 179, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-01-20 00:00:00', 1.0800000430000001, 0.52195996, -99, 165, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-01-21 00:00:00', 0, -0.145170718, -99, 300, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-01-22 00:00:00', 3.2400000100000002, 0.77975219500000004, -99, 332, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-01-23 00:00:00', 3.0599999430000002, 0.70736312899999998, -99, 87, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-01-24 00:00:00', 1.1000000240000001, -0.061233278000000002, -99, 216, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-01-25 00:00:00', 0.10000000100000001, 0.38191303599999998, -99, 213, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-01-26 00:00:00', 0.10000000100000001, -0.37844410499999998, -99, 193, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-01-27 00:00:00', 0, -0.170738161, -99, 214, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-01-28 00:00:00', 0.189999998, -2.0422077179999998, -99, 179, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-01-29 00:00:00', 0, -2.4557273390000001, -99, 274, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-01-30 00:00:00', 0, -2.6430723669999998, -99, 265, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-01-31 00:00:00', 0, -2.1430127620000001, -99, 382, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-02-01 00:00:00', 0.189999998, -2.7382726669999999, -99, 287, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-02-02 00:00:00', 0, -0.77117276199999996, -99, 171, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-02-03 00:00:00', 0, 0.33536484799999999, -99, 188, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-02-04 00:00:00', 0.540000021, 0.079612710000000003, -99, 146, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-02-05 00:00:00', 2.579999924, -0.046182121999999999, -99, 283, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-02-06 00:00:00', 0.56999999300000004, 0.67368853100000003, -99, 239, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-02-07 00:00:00', 0.40999999599999998, 1.138031244, -99, 257, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-02-08 00:00:00', 1.3500000240000001, -1.738384843, -99, 459, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-02-09 00:00:00', 0.579999983, -1.660746455, -99, 330, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-02-10 00:00:00', 1.9900000099999999, 0.22951787700000001, -99, 240, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-02-11 00:00:00', 0, -1.170237422, -99, 573, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-02-12 00:00:00', 2.0099999899999998, -6.5493655200000003, -99, 677, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-02-13 00:00:00', 1.2200000289999999, -6.7002916340000001, -99, 385, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-02-14 00:00:00', 0.310000002, -10.82288074, -99, 658, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-02-15 00:00:00', 3.789999962, -2.8144941330000002, -99, 297, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-02-16 00:00:00', 1.5, 0.71593475299999998, -99, 340, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-02-17 00:00:00', 0, -1.558960557, -99, 662, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-02-18 00:00:00', 0.939999998, -4.9259090419999998, -99, 393, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-02-19 00:00:00', 0.670000017, -0.021543759999999999, -99, 313, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-02-20 00:00:00', 0.36000001399999998, 0.55264222600000001, -99, 333, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-02-21 00:00:00', 8.0399999619999996, -0.50778031300000004, -99, 405, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-02-22 00:00:00', 0.27000001099999998, 2.4786021709999999, -99, 596, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-02-23 00:00:00', 0, 4.2521023749999998, -99, 761, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-02-24 00:00:00', 0.44999998800000002, -3.9499425889999999, -99, 518, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-02-25 00:00:00', 1.2000000479999999, 3.4489455219999998, -99, 315, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-02-26 00:00:00', 2.2200000289999999, 3.3728704450000002, -99, 534, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-02-27 00:00:00', 0.039999999000000001, 3.6231906409999999, -99, 698, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-02-28 00:00:00', 0.44999998800000002, 1.422719955, -99, 423, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-03-01 00:00:00', 4.3200001720000003, 2.628992319, -99, 343, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-03-02 00:00:00', 1.3899999860000001, 4.0509457590000002, -99, 420, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-03-03 00:00:00', 0.55000001200000004, 2.9416902070000002, -99, 458, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-03-04 00:00:00', 0, 3.0431160930000001, -99, 1057, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-03-05 00:00:00', 0, 3.2397210599999999, -99, 424, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-03-06 00:00:00', 2.0699999330000001, 3.2243807320000002, -99, 315, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-03-07 00:00:00', 3.3199999330000001, 1.1344374420000001, -99, 542, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-03-08 00:00:00', 6.1799998279999997, 0.38216561100000002, -99, 797, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-03-09 00:00:00', 2.9000000950000002, 0.40997043300000002, -99, 647, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-03-10 00:00:00', 0.34000000400000002, 2.3946571350000001, -99, 1062, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-03-11 00:00:00', 0, 1.717716217, -99, 1220, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-03-12 00:00:00', 5.5999999049999998, 2.240615129, -99, 395, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-03-13 00:00:00', 0, 3.1292748449999999, -99, 831, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-03-14 00:00:00', 4.9600000380000004, 2.456009388, -99, 483, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-03-15 00:00:00', 0.079999998000000003, 5.2660961149999999, -99, 668, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-03-16 00:00:00', 2.2000000480000002, 4.3493852620000002, -99, 684, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-03-17 00:00:00', 0, 4.7350368500000002, -99, 1374, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-03-18 00:00:00', 0, 1.2253954410000001, -99, 1376, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-03-19 00:00:00', 0, 0.033177710999999999, -99, 1490, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-03-20 00:00:00', 0, -3.6413345339999998, -99, 1438, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-03-21 00:00:00', 0.039999999000000001, -2.1047687530000001, -99, 518, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-03-22 00:00:00', 1.7000000479999999, 4.0213594439999998, -99, 1097, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-03-23 00:00:00', 9.2399997710000008, 4.4531440729999998, -99, 789, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-03-24 00:00:00', 0.079999998000000003, -0.28007859000000002, -99, 1592, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-03-25 00:00:00', 0.079999998000000003, -2.3437287809999998, -99, 750, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-03-26 00:00:00', 6.9099998469999999, -0.34094840300000001, -99, 471, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-03-27 00:00:00', 1.2799999710000001, 2.8902044299999998, -99, 1070, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-03-28 00:00:00', 3.3199999330000001, 2.347891808, -99, 1059, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-03-29 00:00:00', 0.219999999, 0.96000760799999996, -99, 1235, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-03-30 00:00:00', 0.070000000000000007, -0.19234462099999999, -99, 1636, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-03-31 00:00:00', 0, 3.7747240070000001, -99, 857, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-04-01 00:00:00', 0, 5.1635646819999996, -99, 881, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-04-02 00:00:00', 0, 5.2408199309999999, -99, 1049, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-04-03 00:00:00', 0, -0.24881552200000001, -99, 1773, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-04-04 00:00:00', 0.090000003999999995, 3.5617785450000001, -99, 1625, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-04-05 00:00:00', 0, 3.6712899210000001, -99, 1616, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-04-06 00:00:00', 0, -0.68541866500000004, -99, 1664, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-04-07 00:00:00', 3.630000114, 6.4182529449999999, -99, 1463, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-04-08 00:00:00', 4.2800002099999999, 6.7925391199999998, -99, 1574, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-04-09 00:00:00', 0.02, 5.0650811200000003, -99, 1842, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-04-10 00:00:00', 0, 6.4204602240000002, -99, 1844, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-04-11 00:00:00', 0, 7.5818643569999997, -99, 1941, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-04-12 00:00:00', 0, 5.8005223270000004, -99, 1788, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-04-13 00:00:00', 0, 5.1996231079999999, -99, 1502, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-04-14 00:00:00', 0, 6.6936864849999997, -99, 1748, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-04-15 00:00:00', 0, 7.0102696419999999, -99, 1648, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-04-16 00:00:00', 0, 6.2222323419999999, -99, 1666, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-04-17 00:00:00', 0, 4.3799605369999997, -99, 2098, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-04-18 00:00:00', 0.029999998999999999, 1.347789288, -99, 2172, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-04-19 00:00:00', 0, 3.768604517, -99, 2142, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-04-20 00:00:00', 0, -0.25225937399999998, -99, 2168, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-04-21 00:00:00', 0.30000001199999998, 0.15108871500000001, -99, 2173, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-04-22 00:00:00', 1.3200000519999999, 3.4452147480000002, -99, 970, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-04-23 00:00:00', 0.039999999000000001, 2.6273927690000001, -99, 2147, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-04-24 00:00:00', 0, 2.0711252689999999, -99, 2252, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-04-25 00:00:00', 0, 6.7212901120000001, -99, 2160, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-04-26 00:00:00', 0, 8.7063837050000004, -99, 1603, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-04-27 00:00:00', 0.23999999499999999, 9.7218828199999994, -99, 1089, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-04-28 00:00:00', 0.23999999499999999, 5.60916996, -99, 1342, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-04-29 00:00:00', 0.37999999499999998, 9.0763301849999998, -99, 2095, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-04-30 00:00:00', 0, 8.7047147749999993, -99, 2266, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-05-01 00:00:00', 0, 6.2825665470000001, -99, 2378, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-05-02 00:00:00', 0, 4.7360315320000002, -99, 2276, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-05-03 00:00:00', 10.39000034, 3.46905756, -99, 958, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-05-04 00:00:00', 6.6399998660000001, 4.7928719519999996, -99, 2010, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-05-05 00:00:00', 5.829999924, 6.7498612400000004, -99, 1898, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-05-06 00:00:00', 0.55000001200000004, 8.2899360659999992, -99, 1862, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-05-07 00:00:00', 0.94999998799999996, 4.6458754539999996, -99, 1305, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-05-08 00:00:00', 8.1999998089999995, 5.9061789510000002, -99, 1818, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-05-09 00:00:00', 0.059999998999999998, 5.8174753189999997, -99, 2117, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-05-10 00:00:00', 0, 4.8202877040000001, -99, 2395, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-05-11 00:00:00', 0.059999998999999998, 4.0918908119999999, -99, 2405, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-05-12 00:00:00', 0.059999998999999998, 3.6609077449999998, -99, 2528, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-05-13 00:00:00', 0, 2.0267570020000001, -99, 2119, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-05-14 00:00:00', 0, 5.9379506109999998, -99, 2273, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-05-15 00:00:00', 0.93000000699999996, 6.9916605949999999, -99, 2249, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-05-16 00:00:00', 2.0699999330000001, 8.0751390460000003, -99, 1179, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-05-17 00:00:00', 6.4499998090000004, 9.6681842800000002, -99, 1072, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-05-18 00:00:00', 1.769999981, 7.4681830409999996, -99, 1865, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-05-19 00:00:00', 5.5100002290000001, 7.73063755, -99, 2113, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-05-20 00:00:00', 0, 7.5242557530000003, -99, 2421, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-05-21 00:00:00', 3.1600000860000002, 5.9137344360000004, -99, 2059, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-05-22 00:00:00', 1.3999999759999999, 8.9001760480000005, -99, 1988, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-05-23 00:00:00', 0, 8.1409835820000005, -99, 2636, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-05-24 00:00:00', 0, 5.9348793029999998, -99, 2629, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-05-25 00:00:00', 0, 6.2985353469999996, -99, 2694, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-05-26 00:00:00', 8.9200000760000009, 10.144711490000001, -99, 1835, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-05-27 00:00:00', 5.0500001909999996, 8.2369623179999998, -99, 2254, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-05-28 00:00:00', 0, 9.4719600679999996, -99, 2282, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-05-29 00:00:00', 0.12999999500000001, 6.0711588860000001, -99, 2763, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-05-30 00:00:00', 0, 7.6255631450000001, -99, 2702, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-05-31 00:00:00', 0, 10.29819202, -99, 2666, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-06-01 00:00:00', 0, 9.6982526779999993, -99, 2793, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-06-02 00:00:00', 0, 9.1966886520000006, -99, 2310, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-06-03 00:00:00', 1.269999981, 8.2724294660000002, -99, 2204, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-06-04 00:00:00', 1.8799999949999999, 4.5521569250000002, -99, 2186, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-06-05 00:00:00', 1.2799999710000001, 3.767951488, -99, 2144, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-06-06 00:00:00', 0.02, 3.3558869360000001, -99, 2148, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-06-07 00:00:00', 0.070000000000000007, 6.1622815129999999, -99, 2189, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-06-08 00:00:00', 0, 9.3778238300000005, -99, 2275, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-06-09 00:00:00', 5.670000076, 5.1256961820000004, -99, 926, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-06-10 00:00:00', 0.30000001199999998, 11.754564289999999, -99, 1236, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-06-11 00:00:00', 14.97000027, 6.2496814729999999, -99, 752, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-06-12 00:00:00', 0.079999998000000003, 8.2515954970000003, -99, 1768, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-06-13 00:00:00', 0, 8.2541027069999995, -99, 2660, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-06-14 00:00:00', 0, 6.36244297, -99, 2540, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-06-15 00:00:00', 0, 7.3581824300000003, -99, 2739, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-06-16 00:00:00', 0, 5.128782749, -99, 2142, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-06-17 00:00:00', 1.4299999480000001, 5.6351246829999999, -99, 2803, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-06-18 00:00:00', 0, 12.84796047, -99, 2485, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-06-19 00:00:00', 5.5599999430000002, 7.1331615450000001, -99, 2186, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-06-20 00:00:00', 0.560000002, 9.5618991849999997, -99, 2440, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-06-21 00:00:00', 3.0999999049999998, 6.5950136180000003, -99, 2283, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-06-22 00:00:00', 0, 5.2651686670000002, -99, 2563, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-06-23 00:00:00', 0, 8.3080825810000007, -99, 2888, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-06-24 00:00:00', 0, 10.31854343, -99, 2867, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-06-25 00:00:00', 0.109999999, 10.75931072, -99, 2561, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-06-26 00:00:00', 0, 16.909782409999998, -99, 2573, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-06-27 00:00:00', 0, 13.515968320000001, -99, 2179, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-06-28 00:00:00', 0, 11.28927326, -99, 2427, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-06-29 00:00:00', 0, 11.40738678, -99, 1872, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-06-30 00:00:00', 0, 15.37554169, -99, 1984, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-07-01 00:00:00', 0, 16.23820877, -99, 2601, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-07-02 00:00:00', 0, 11.40224838, -99, 2877, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-07-03 00:00:00', 0, 13.746479989999999, -99, 2618, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-07-04 00:00:00', 0.050000001000000002, 13.37471294, -99, 1789, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-07-05 00:00:00', 0, 16.668764110000001, -99, 2454, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-07-06 00:00:00', 8.7100000380000004, 12.749116900000001, -99, 939, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-07-07 00:00:00', 7.5, 12.39665413, -99, 1975, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-07-08 00:00:00', 7.3499999049999998, 12.023356440000001, -99, 1852, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-07-09 00:00:00', 3.0599999430000002, 11.4317627, -99, 2336, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-07-10 00:00:00', 2.4900000100000002, 10.163342480000001, -99, 1757, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-07-11 00:00:00', 1.8600000139999999, 10.858045580000001, -99, 2029, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-07-12 00:00:00', 8.7200002669999996, 11.97752571, -99, 1613, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-07-13 00:00:00', 0, 12.63559055, -99, 2316, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-07-14 00:00:00', 0, 10.68569565, -99, 2062, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-07-15 00:00:00', 0.66000002599999996, 12.234886169999999, -99, 1785, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-07-16 00:00:00', 0.039999999000000001, 14.20929718, -99, 2534, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-07-17 00:00:00', 2.1500000950000002, 11.50172997, -99, 1216, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-07-18 00:00:00', 4.0199999809999998, 14.93128967, -99, 979, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-07-19 00:00:00', 4.8000001909999996, 12.820016860000001, -99, 2138, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-07-20 00:00:00', 6.5700001720000003, 11.67553043, -99, 1634, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-07-21 00:00:00', 1.730000019, 11.175444600000001, -99, 2458, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-07-22 00:00:00', 15.39000034, 14.2648592, -99, 1017, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-07-23 00:00:00', 3.0499999519999998, 14.569090839999999, -99, 1296, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-07-24 00:00:00', 3.9500000480000002, 11.821014399999999, -99, 1699, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-07-25 00:00:00', 7.3400001530000001, 10.74637413, -99, 1694, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-07-26 00:00:00', 0.18000000699999999, 13.310759539999999, -99, 1997, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-07-27 00:00:00', 6.0199999809999998, 14.87502003, -99, 1375, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-07-28 00:00:00', 0.41999998700000002, 11.18472004, -99, 2290, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-07-29 00:00:00', 3.4500000480000002, 11.374298100000001, -99, 1042, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-07-30 00:00:00', 4.5, 15.266700739999999, -99, 1247, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-07-31 00:00:00', 0, 10.79358959, -99, 2053, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-08-01 00:00:00', 0, 7.6933016780000001, -99, 1376, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-08-02 00:00:00', 2.119999886, 16.119617460000001, -99, 738, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-08-03 00:00:00', 0, 13.661711690000001, -99, 2065, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-08-04 00:00:00', 0, 8.503731728, -99, 2280, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-08-05 00:00:00', 0, 8.5893640520000005, -99, 2318, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-08-06 00:00:00', 0, 13.486132619999999, -99, 2110, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-08-07 00:00:00', 0.31999999299999998, 15.93792629, -99, 2225, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-08-08 00:00:00', 16.579999919999999, 17.718833920000002, -99, 1513, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-08-09 00:00:00', 1.0499999520000001, 15.81210613, -99, 1145, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-08-10 00:00:00', 0.91000002599999996, 15.41648674, -99, 1660, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-08-11 00:00:00', 0.36000001399999998, 14.47707462, -99, 1618, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-08-12 00:00:00', 1.3799999949999999, 13.90114689, -99, 1550, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-08-13 00:00:00', 0.33000001299999998, 11.473854060000001, -99, 1944, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-08-14 00:00:00', 5.8899998660000001, 9.8730754849999993, -99, 1769, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-08-15 00:00:00', 0.959999979, 12.73078346, -99, 1115, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-08-16 00:00:00', 0.14000000100000001, 16.232343669999999, -99, 1811, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-08-17 00:00:00', 5.8699998860000004, 14.440275189999999, -99, 985, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-08-18 00:00:00', 0, 11.106136319999999, -99, 1902, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-08-19 00:00:00', 0, 11.07923126, -99, 2074, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-08-20 00:00:00', 10.260000229999999, 16.654262540000001, -99, 2035, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-08-21 00:00:00', 0, 17.266727450000001, -99, 1474, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-08-22 00:00:00', 0.029999998999999999, 10.32282543, -99, 1871, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-08-23 00:00:00', 0, 8.986153603, -99, 1752, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-08-24 00:00:00', 0, 13.52293777, -99, 2036, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-08-25 00:00:00', 8.3100004199999997, 15.94217587, -99, 850, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-08-26 00:00:00', 2.5999999049999998, 11.239399909999999, -99, 1517, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-08-27 00:00:00', 0.34999999399999998, 14.47853184, -99, 1141, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-08-28 00:00:00', 5.9400000569999998, 16.42759895, -99, 996, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-08-29 00:00:00', 6.5599999430000002, 9.6962699889999993, -99, 1158, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-08-30 00:00:00', 3.4300000669999999, 9.8427448270000006, -99, 1319, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-08-31 00:00:00', 0.77999997099999996, 10.73060894, -99, 656, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-09-01 00:00:00', 3.7400000100000002, 14.43791485, -99, 1811, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-09-02 00:00:00', 0.50999998999999996, 13.230746269999999, -99, 1411, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-09-03 00:00:00', 21.840000150000002, 13.234507560000001, -99, 909, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-09-04 00:00:00', 28.190000529999999, 11.701345440000001, -99, 692, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-09-05 00:00:00', 2.7200000289999999, 12.27427292, -99, 1077, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-09-06 00:00:00', 1.0800000430000001, 11.483961109999999, -99, 984, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-09-07 00:00:00', 0.070000000000000007, 12.36137486, -99, 997, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-09-08 00:00:00', 0, 13.61108303, -99, 1611, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-09-09 00:00:00', 0, 15.6125536, -99, 1390, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-09-10 00:00:00', 0, 10.366785050000001, -99, 1575, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-09-11 00:00:00', 0, 6.811954021, -99, 1557, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-09-12 00:00:00', 0.070000000000000007, 7.2699522969999997, -99, 1210, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-09-13 00:00:00', 0, 10.294937129999999, -99, 1455, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-09-14 00:00:00', 0, 10.20504379, -99, 1485, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-09-15 00:00:00', 0, 11.220275880000001, -99, 1481, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-09-16 00:00:00', 0, 6.9552216529999997, -99, 1460, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-09-17 00:00:00', 0, 5.7053003310000001, -99, 1347, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-09-18 00:00:00', 0, 3.9907853599999998, -99, 1521, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-09-19 00:00:00', 0, 10.1113596, -99, 1448, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-09-20 00:00:00', 0.310000002, 6.4312691690000001, -99, 693, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-09-21 00:00:00', 0, 4.6994953160000001, -99, 945, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-09-22 00:00:00', 0, 12.431641580000001, -99, 807, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-09-23 00:00:00', 1.019999981, 12.538569450000001, -99, 759, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-09-24 00:00:00', 0.10000000100000001, 8.9022560120000005, -99, 1072, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-09-25 00:00:00', 0.029999998999999999, 8.7510929110000006, -99, 990, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-09-26 00:00:00', 0, 12.480730060000001, -99, 557, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-09-27 00:00:00', 0.310000002, 12.9798317, -99, 723, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-09-28 00:00:00', 2.25, 13.547420499999999, -99, 700, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-09-29 00:00:00', 0, 9.7566337589999996, -99, 1159, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-09-30 00:00:00', 2.5099999899999998, 3.993821144, -99, 681, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-10-01 00:00:00', 2.7400000100000002, 7.985092163, -99, 1009, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-10-02 00:00:00', 11.630000109999999, 3.8359832759999999, -99, 1085, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-10-03 00:00:00', 14.18999958, 5.0860543250000001, -99, 439, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-10-04 00:00:00', 3.539999962, 9.4145984649999992, -99, 976, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-10-05 00:00:00', 1.3500000240000001, 4.6277670860000004, -99, 694, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-10-06 00:00:00', 6.7699999809999998, 5.5378932949999999, -99, 845, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-10-07 00:00:00', 0, 11.772906300000001, -99, 1000, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-10-08 00:00:00', 1.25, 2.833974123, -99, 659, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-10-09 00:00:00', 0, 3.1392877100000001, -99, 872, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-10-10 00:00:00', 0, 2.8728997710000002, -99, 619, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-10-11 00:00:00', 2.8599998950000001, 4.8030886649999998, -99, 712, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-10-12 00:00:00', 0.540000021, 4.6851997379999997, -99, 821, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-10-13 00:00:00', 0.079999998000000003, 0.75492292599999999, -99, 945, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-10-14 00:00:00', 0, -1.4486608510000001, -99, 965, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-10-15 00:00:00', 1.1000000240000001, -1.388507843, -99, 978, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-10-16 00:00:00', 2.8399999139999998, 0.13597811800000001, -99, 513, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-10-17 00:00:00', 0.050000001000000002, 5.3650932310000004, -99, 856, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-10-18 00:00:00', 0.119999997, -2.1647174360000001, -99, 796, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-10-19 00:00:00', 0.02, 5.3125829700000002, -99, 457, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-10-20 00:00:00', 0, 6.0298008919999999, -99, 798, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-10-21 00:00:00', 0, 5.322238445, -99, 496, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-10-22 00:00:00', 0, 6.5865530970000004, -99, 263, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-10-23 00:00:00', 0.039999999000000001, 7.5916934009999997, -99, 240, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-10-24 00:00:00', 4.5700001720000003, 7.2310671810000002, -99, 415, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-10-25 00:00:00', 3.4100000860000002, 7.7044553760000003, -99, 526, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-10-26 00:00:00', 10.47000027, 9.9691591259999992, -99, 350, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-10-27 00:00:00', 1.5299999710000001, 7.1186642649999996, -99, 334, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-10-28 00:00:00', 14.75, 7.6333694459999997, -99, 157, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-10-29 00:00:00', 1.9900000099999999, 9.1493577960000003, -99, 230, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-10-30 00:00:00', 0.029999998999999999, 6.5229387279999997, -99, 426, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-10-31 00:00:00', 0, 1.472141385, -99, 427, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-11-01 00:00:00', 15, 4.4557747839999999, -99, 180, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-11-02 00:00:00', 1.9900000099999999, 5.7590417860000001, -99, 299, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-11-03 00:00:00', 2.9900000100000002, 7.4066729550000003, -99, 244, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-11-04 00:00:00', 12.619999890000001, 4.0702505110000002, -99, 128, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-11-05 00:00:00', 1.7999999520000001, 2.6880249979999999, -99, 180, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-11-06 00:00:00', 0.72000002900000004, 6.2036986350000003, -99, 260, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-11-07 00:00:00', 3.0099999899999998, 7.1328210829999996, -99, 210, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-11-08 00:00:00', 0, 5.7952384950000004, -99, 179, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-11-09 00:00:00', 3.2200000289999999, 5.5028853419999999, -99, 221, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-11-10 00:00:00', 3.1800000669999999, 4.7076120379999997, -99, 160, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-11-11 00:00:00', 6.8000001909999996, 5.21501255, -99, 179, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-11-12 00:00:00', 0.37999999499999998, 5.0293550490000003, -99, 157, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-11-13 00:00:00', 7.75, 2.5990629200000002, -99, 102, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-11-14 00:00:00', 2.170000076, 9.4193964000000001, -99, 146, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-11-15 00:00:00', 2.9800000190000002, 8.8170309069999995, -99, 340, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-11-16 00:00:00', 5.0500001909999996, 7.6700758929999999, -99, 197, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-11-17 00:00:00', 2.6900000569999998, 8.3062286380000003, -99, 265, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-11-18 00:00:00', 18.100000380000001, 7.639575958, -99, 70, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-11-19 00:00:00', 0, 7.7233433720000004, -99, 119, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-11-20 00:00:00', 2.210000038, 8.0590610500000004, -99, 341, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-11-21 00:00:00', 1.5299999710000001, 7.1597814560000002, -99, 300, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-11-22 00:00:00', 8.1499996190000008, 8.4884166719999996, -99, 112, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-11-23 00:00:00', 7.2699999809999998, 7.885799885, -99, 174, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-11-24 00:00:00', 5.4099998469999999, 6.6793055529999998, -99, 258, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-11-25 00:00:00', 2.4900000100000002, 8.2059888839999999, -99, 93, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-11-26 00:00:00', 8.0900001530000001, 7.3020668029999998, -99, 116, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-11-27 00:00:00', 10.27000046, 6.0880017280000001, -99, 122, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-11-28 00:00:00', 8.6400003430000005, 4.4961137769999997, -99, 160, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-11-29 00:00:00', 1.0700000519999999, -1.0668069120000001, -99, 82, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-11-30 00:00:00', 0.109999999, 5.8209662440000001, -99, 180, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-12-01 00:00:00', 0, -2.1370272639999999, -99, 301, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-12-02 00:00:00', 0, -5.7519812579999998, -99, 305, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-12-03 00:00:00', 4.5999999049999998, -1.169397593, -99, 71, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-12-04 00:00:00', 6.5599999430000002, 4.6433086399999999, -99, 109, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-12-05 00:00:00', 2.4000000950000002, 1.819616318, -99, 116, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-12-06 00:00:00', 11.260000229999999, 3.0491354469999998, -99, 115, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-12-07 00:00:00', 0.119999997, 4.3038206099999998, -99, 197, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-12-08 00:00:00', 0, 3.413676739, -99, 147, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-12-09 00:00:00', 2.75, 5.0297889710000003, -99, 110, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-12-10 00:00:00', 8.6499996190000008, 4.8463978770000002, -99, 101, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-12-11 00:00:00', 0.27000001099999998, 4.2981147770000003, -99, 205, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-12-12 00:00:00', 0, 1.9297462700000001, -99, 221, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-12-13 00:00:00', 0.059999998999999998, -1.0437396759999999, -99, 196, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-12-14 00:00:00', 0, -0.045951486, -99, 232, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-12-15 00:00:00', 4.8899998660000001, -4.9553484919999997, -99, 141, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-12-16 00:00:00', 6.7800002099999999, -0.172590941, -99, 159, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-12-17 00:00:00', 2.1400001049999999, -2.8489651679999999, -99, 124, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-12-18 00:00:00', 0.070000000000000007, -5.0819129939999996, -99, 154, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-12-19 00:00:00', 0.059999998999999998, -8.9918012619999992, -99, 196, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-12-20 00:00:00', 0, -12.79919147, -99, 111, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-12-21 00:00:00', 0, -8.6695795059999998, -99, 130, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-12-22 00:00:00', 7.6799998279999997, -4.9631948469999996, -99, 58, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-12-23 00:00:00', 0.469999999, 0.032478567, -99, 157, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-12-24 00:00:00', 0.20000000300000001, -5.0825009349999997, -99, 97, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-12-25 00:00:00', 19.590000150000002, -0.25934058399999999, -99, 40, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-12-26 00:00:00', 4.1900000569999998, 0.110974349, -99, 121, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-12-27 00:00:00', 5.7800002099999999, 2.4780514239999998, -99, 99, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-12-28 00:00:00', 0, 0.86785590599999995, -99, 252, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-12-29 00:00:00', 1.210000038, -3.1838839050000001, -99, 255, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-12-30 00:00:00', 0, -2.53964591, -99, 183, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2009-12-31 00:00:00', 0, -2.7773935789999999, -99, 197, 'ask', 'ask_2009');
INSERT INTO public.cdy_cldat VALUES ('2010-01-01 00:00:00', 0.5, -6.2614011759999997, -99, 156, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-01-02 00:00:00', 0.519999981, -6.0262937550000002, -99, 171, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-01-03 00:00:00', 0.920000017, -10.204592699999999, -99, 229, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-01-04 00:00:00', 0.46000000800000002, -11.714294430000001, -99, 198, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-01-05 00:00:00', 1.539999962, -5.2190976139999998, -99, 110, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-01-06 00:00:00', 0.109999999, -2.0706377030000001, -99, 113, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-01-07 00:00:00', 0.14000000100000001, -7.2467541689999999, -99, 152, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-01-08 00:00:00', 0, -6.9483399390000002, -99, 240, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-01-09 00:00:00', 0, -7.5949344639999996, -99, 253, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-01-10 00:00:00', 0, -2.7026031019999999, -99, 119, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-01-11 00:00:00', 3.0299999710000001, -2.245505095, -99, 208, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-01-12 00:00:00', 0.090000003999999995, -2.8157660959999999, -99, 166, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-01-13 00:00:00', 0.10000000100000001, -2.4672973159999998, -99, 155, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-01-14 00:00:00', 0, -2.389513016, -99, 116, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-01-15 00:00:00', 0, -2.7525320049999999, -99, 136, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-01-16 00:00:00', 0, -1.622838378, -99, 133, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-01-17 00:00:00', 2.5, -2.564261675, -99, 111, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-01-18 00:00:00', 0.58999997400000004, -3.9054358009999999, -99, 171, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-01-19 00:00:00', 0.039999999000000001, -3.0651416779999998, -99, 153, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-01-20 00:00:00', 0.23000000400000001, -0.87967449399999997, -99, 154, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-01-21 00:00:00', 0, -3.2185485360000001, -99, 215, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-01-22 00:00:00', 0, -6.4340467449999998, -99, 281, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-01-23 00:00:00', 0, -5.4919185639999997, -99, 186, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-01-24 00:00:00', 0, -6.5359444619999998, -99, 208, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-01-25 00:00:00', 0, -6.5974788670000004, -99, 409, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-01-26 00:00:00', 0, -12.84374714, -99, 328, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-01-27 00:00:00', 11.09000015, -12.94480896, -99, 101, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-01-28 00:00:00', 1.230000019, -0.330272079, -99, 492, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-01-29 00:00:00', 1.019999981, -1.954844236, -99, 279, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-01-30 00:00:00', 0.86000001400000003, -4.8967919350000004, -99, 458, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-01-31 00:00:00', 0.94999998799999996, -9.7439327240000004, -99, 325, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-02-01 00:00:00', 0.43000000700000002, -2.8811075690000001, -99, 220, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-02-02 00:00:00', 10.19999981, -13.010108949999999, -99, 89, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-02-03 00:00:00', 0.62000000499999997, -3.0687246319999999, -99, 264, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-02-04 00:00:00', 0.14000000100000001, -7.4042730329999999, -99, 340, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-02-05 00:00:00', 0, -1.4444524050000001, -99, 255, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-02-06 00:00:00', 0, -1.119858265, -99, 206, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-02-07 00:00:00', 0, -2.6465454099999999, -99, 138, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-02-08 00:00:00', 0.059999998999999998, -4.5928840639999997, -99, 234, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-02-09 00:00:00', 0.40999999599999998, -5.2177085879999998, -99, 383, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-02-10 00:00:00', 0.059999998999999998, -7.7070655820000002, -99, 372, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-02-11 00:00:00', 0, -4.4093241689999996, -99, 530, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-02-12 00:00:00', 0, -10.117825509999999, -99, 284, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-02-13 00:00:00', 0.43000000700000002, -4.2150187490000004, -99, 437, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-02-14 00:00:00', 0.059999998999999998, -5.7279143330000002, -99, 389, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-02-15 00:00:00', 0.17000000200000001, -4.2898211479999997, -99, 303, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-02-16 00:00:00', 0, -3.8460049629999999, -99, 407, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-02-17 00:00:00', 0.119999997, -7.2971749309999998, -99, 381, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-02-18 00:00:00', 1.809999943, -2.4739043710000002, -99, 225, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-02-19 00:00:00', 4.2699999809999998, -0.78788047999999999, -99, 238, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-02-20 00:00:00', 1.6799999480000001, 0.44056293400000002, -99, 291, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-02-21 00:00:00', 1.9299999480000001, -6.3189544680000003, -99, 674, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-02-22 00:00:00', 0.579999983, -3.7774469850000001, -99, 413, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-02-23 00:00:00', 0, -1.730609179, -99, 720, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-02-24 00:00:00', 2.2200000289999999, -7.404483795, -99, 467, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-02-25 00:00:00', 2.079999924, -1.1487505440000001, -99, 359, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-02-26 00:00:00', 1.960000038, 1.23253572, -99, 466, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-02-27 00:00:00', 0.61000001400000003, 1.22460115, -99, 373, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-02-28 00:00:00', 10.97000027, 1.3991019730000001, -99, 517, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-03-01 00:00:00', 0.090000003999999995, 0.29307842299999998, -99, 900, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-03-02 00:00:00', 0.69999998799999996, 0.043781511000000002, -99, 902, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-03-03 00:00:00', 0.23000000400000001, -2.0123071669999999, -99, 1001, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-03-04 00:00:00', 0, -2.8300874230000002, -99, 1189, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-03-05 00:00:00', 5.4899997709999999, -7.2195191379999999, -99, 880, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-03-06 00:00:00', 0, -7.854926109, -99, 863, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-03-07 00:00:00', 0.23999999499999999, -17.748834609999999, -99, 465, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-03-08 00:00:00', 0, -7.6339478490000001, -99, 671, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-03-09 00:00:00', 0, -5.4992418289999998, -99, 571, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-03-10 00:00:00', 0, -0.85118174599999996, -99, 660, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-03-11 00:00:00', 0.039999999000000001, -0.77050662000000003, -99, 601, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-03-12 00:00:00', 0, 1.991458535, -99, 823, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-03-13 00:00:00', 0.28999999199999998, 0.079057574000000005, -99, 1202, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-03-14 00:00:00', 0.439999998, 2.7508964539999998, -99, 1060, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-03-15 00:00:00', 0.01, -0.41194918800000002, -99, 985, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-03-16 00:00:00', 0.12999999500000001, -1.5490610600000001, -99, 996, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-03-17 00:00:00', 0.689999998, 1.6265066859999999, -99, 1010, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-03-18 00:00:00', 1.190000057, 2.8512377739999999, -99, 1110, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-03-19 00:00:00', 0.66000002599999996, 6.4328269960000002, -99, 990, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-03-20 00:00:00', 13.350000380000001, 2.351811171, -99, 478, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-03-21 00:00:00', 0.18000000699999999, 3.7936761379999999, -99, 1141, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-03-22 00:00:00', 0.810000002, 3.1089370249999999, -99, 1373, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-03-23 00:00:00', 0, 4.8497385980000001, -99, 1363, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-03-24 00:00:00', 0, 0.27896186699999997, -99, 1230, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-03-25 00:00:00', 0.109999999, 4.187416077, -99, 1448, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-03-26 00:00:00', 5.8600001339999999, 7.3567962649999998, -99, 877, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-03-27 00:00:00', 0, 3.8999919890000001, -99, 1134, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-03-28 00:00:00', 0.439999998, 4.3085036280000004, -99, 895, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-03-29 00:00:00', 0.039999999000000001, 4.6983704570000002, -99, 1019, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-03-30 00:00:00', 12.52999973, -1.0667548179999999, -99, 784, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-03-31 00:00:00', 0.46000000800000002, 5.453586102, -99, 1488, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-04-01 00:00:00', 5.2699999809999998, 3.987457037, -99, 901, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-04-02 00:00:00', 0.689999998, 2.4797034259999999, -99, 1134, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-04-03 00:00:00', 5.9600000380000004, 3.1161017420000001, -99, 1054, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-04-04 00:00:00', 5.5399999619999996, 4.192720413, -99, 584, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-04-05 00:00:00', 1.480000019, 4.1775231359999996, -99, 1036, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-04-06 00:00:00', 0, 3.5698120590000002, -99, 1245, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-04-07 00:00:00', 0, 4.4729099269999999, -99, 1755, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-04-08 00:00:00', 0, 5.83267355, -99, 1154, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-04-09 00:00:00', 0, 4.3243565559999997, -99, 1166, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-04-10 00:00:00', 0, 1.8050042390000001, -99, 1914, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-04-11 00:00:00', 0, 4.8864769939999997, -99, 1536, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-04-12 00:00:00', 0, 1.6492570639999999, -99, 1941, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-04-13 00:00:00', 0, -1.4413369890000001, -99, 1919, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-04-14 00:00:00', 0, 2.2551021580000001, -99, 2078, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-04-15 00:00:00', 0, -1.4253441099999999, -99, 1874, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-04-16 00:00:00', 0, 4.8823561670000002, -99, 2072, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-04-17 00:00:00', 0, 2.211713552, -99, 1589, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-04-18 00:00:00', 0, 2.8426759239999999, -99, 1503, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-04-19 00:00:00', 0, -1.3304929729999999, -99, 1772, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-04-20 00:00:00', 4.9899997709999999, -2.5296325679999998, -99, 681, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-04-21 00:00:00', 2.2400000100000002, 2.4092557430000001, -99, 1546, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-04-22 00:00:00', 0.81999999300000004, 0.13609202200000001, -99, 1804, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-04-23 00:00:00', 0.079999998000000003, 1.0638152359999999, -99, 1487, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-04-24 00:00:00', 0, 1.461941481, -99, 2125, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-04-25 00:00:00', 0.40999999599999998, 4.4485912320000001, -99, 2250, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-04-26 00:00:00', 3.9400000569999998, 7.8860182759999997, -99, 949, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-04-27 00:00:00', 0, 7.16368866, -99, 1960, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-04-28 00:00:00', 0, 3.854128599, -99, 1481, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-04-29 00:00:00', 2.5299999710000001, 10.521253590000001, -99, 2051, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-04-30 00:00:00', 6.9099998469999999, 8.8179607390000001, -99, 886, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-05-01 00:00:00', 2.5499999519999998, 6.9697642330000003, -99, 1291, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-05-02 00:00:00', 0, 0.51366502000000003, -99, 2040, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-05-03 00:00:00', 0, 4.3618426320000001, -99, 1186, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-05-04 00:00:00', 0, 2.0552611349999999, -99, 1997, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-05-05 00:00:00', 0, 0.35461896700000001, -99, 1784, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-05-06 00:00:00', 2.0099999899999998, 0.86883181300000001, -99, 1844, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-05-07 00:00:00', 8.7600002289999992, 5.0321102140000002, -99, 634, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-05-08 00:00:00', 1.210000038, 5.0008773800000004, -99, 724, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-05-09 00:00:00', 0, 4.6770768169999997, -99, 1671, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-05-10 00:00:00', 0.039999999000000001, 1.311668992, -99, 2004, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-05-11 00:00:00', 0.27000001099999998, -2.1829755309999999, -99, 1917, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-05-12 00:00:00', 9.4799995419999998, 5.5072741509999998, -99, 573, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-05-13 00:00:00', 0, 5.5155963899999998, -99, 1090, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-05-14 00:00:00', 0, 3.680028439, -99, 1998, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-05-15 00:00:00', 21.799999239999998, 3.86972928, -99, 1200, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-05-16 00:00:00', 2.1800000669999999, 6.925666809, -99, 906, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-05-17 00:00:00', 0, 4.1135358809999998, -99, 2434, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-05-18 00:00:00', 0.02, 6.3807744980000001, -99, 2154, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-05-19 00:00:00', 0.12999999500000001, 6.9680562019999996, -99, 2278, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-05-20 00:00:00', 0, 8.686981201, -99, 2613, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-05-21 00:00:00', 0.38999998600000002, 6.0668187140000001, -99, 2620, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-05-22 00:00:00', 0, 10.44477463, -99, 2526, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-05-23 00:00:00', 0.86000001400000003, 9.6472654339999995, -99, 1816, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-05-24 00:00:00', 1.1299999949999999, 9.0480775829999995, -99, 1304, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-05-25 00:00:00', 0.519999981, 6.6921305660000003, -99, 2275, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-05-26 00:00:00', 0, 3.1268899440000002, -99, 2243, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-05-27 00:00:00', 1.3500000240000001, 3.1957807539999998, -99, 2669, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-05-28 00:00:00', 2.0199999809999998, 5.3934535979999998, -99, 1825, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-05-29 00:00:00', 0.959999979, 6.0907845500000004, -99, 2220, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-05-30 00:00:00', 9.3599996569999995, 10.134744639999999, -99, 818, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-05-31 00:00:00', 0, 9.9160022740000002, -99, 2289, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-06-01 00:00:00', 0, 7.474783897, -99, 2798, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-06-02 00:00:00', 0, 6.8233380319999997, -99, 2777, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-06-03 00:00:00', 0, 6.9619278910000002, -99, 2737, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-06-04 00:00:00', 0, 7.1842622760000001, -99, 2800, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-06-05 00:00:00', 0, 8.4059886929999994, -99, 2702, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-06-06 00:00:00', 9.8000001910000005, 7.7314052579999997, -99, 2390, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-06-07 00:00:00', 6.4000000950000002, 12.725412370000001, -99, 997, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-06-08 00:00:00', 0.939999998, 11.083319660000001, -99, 1805, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-06-09 00:00:00', 9.2299995419999998, 13.91490173, -99, 1463, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-06-10 00:00:00', 9.9099998469999999, 14.239839549999999, -99, 811, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-06-11 00:00:00', 13.920000079999999, 13.512353900000001, -99, 627, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-06-12 00:00:00', 3.5999999049999998, 10.03203201, -99, 2176, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-06-13 00:00:00', 0, 10.254956249999999, -99, 1991, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-06-14 00:00:00', 0, 7.1087307930000003, -99, 1698, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-06-15 00:00:00', 0.01, 5.3298869130000002, -99, 2517, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-06-16 00:00:00', 0, 5.535243511, -99, 2859, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-06-17 00:00:00', 0, 4.3934454919999997, -99, 1521, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-06-18 00:00:00', 0, 9.6340999600000004, -99, 2380, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-06-19 00:00:00', 9.3500003809999992, 8.2785348889999995, -99, 1305, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-06-20 00:00:00', 1.3799999949999999, 7.0376057620000001, -99, 2379, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-06-21 00:00:00', 0, 6.5071229930000003, -99, 2622, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-06-22 00:00:00', 0, 5.0291514399999997, -99, 2087, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-06-23 00:00:00', 0, 7.8616271019999999, -99, 2301, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-06-24 00:00:00', 0, 8.7912569049999991, -99, 2729, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-06-25 00:00:00', 0, 13.07125759, -99, 2498, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-06-26 00:00:00', 0, 8.5242404940000007, -99, 1670, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-06-27 00:00:00', 0, 7.1668314930000001, -99, 2812, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-06-28 00:00:00', 0, 11.2416296, -99, 2871, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-06-29 00:00:00', 0.88999998599999997, 12.37945938, -99, 2524, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-06-30 00:00:00', 0.55000001200000004, 14.52848625, -99, 1600, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-07-01 00:00:00', 0, 7.4306650159999998, -99, 2617, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-07-02 00:00:00', 0, 15.85029125, -99, 2364, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-07-03 00:00:00', 17.370000839999999, 17.619052889999999, -99, 2250, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-07-04 00:00:00', 0, 17.32271385, -99, 2729, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-07-05 00:00:00', 0.01, 12.09840679, -99, 1986, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-07-06 00:00:00', 0.18000000699999999, 10.1553278, -99, 2423, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-07-07 00:00:00', 0.02, 7.2478671070000003, -99, 2510, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-07-08 00:00:00', 0.33000001299999998, 16.185850139999999, -99, 1323, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-07-09 00:00:00', 0, 15.916852949999999, -99, 2526, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-07-10 00:00:00', 0.66000002599999996, 16.757556919999999, -99, 2651, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-07-11 00:00:00', 5.2600002290000001, 19.23102188, -99, 1828, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-07-12 00:00:00', 25.510000229999999, 16.072376250000001, -99, 1150, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-07-13 00:00:00', 0.670000017, 18.164924620000001, -99, 1452, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-07-14 00:00:00', 0, 12.948690409999999, -99, 2538, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-07-15 00:00:00', 0, 18.453660960000001, -99, 1988, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-07-16 00:00:00', 4.170000076, 13.42205143, -99, 2362, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-07-17 00:00:00', 1.1299999949999999, 14.81688595, -99, 1764, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-07-18 00:00:00', 0, 10.44147778, -99, 2247, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-07-19 00:00:00', 0, 11.33277893, -99, 2054, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-07-20 00:00:00', 0, 14.89552879, -99, 2059, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-07-21 00:00:00', 0.97000002900000004, 18.02216911, -99, 2267, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-07-22 00:00:00', 0.189999998, 17.05064964, -99, 1488, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-07-23 00:00:00', 5.420000076, 10.682126050000001, -99, 2200, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-07-24 00:00:00', 0, 11.251166339999999, -99, 2007, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-07-25 00:00:00', 0, 11.88065338, -99, 2298, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-07-26 00:00:00', 0, 9.1425123209999999, -99, 1771, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-07-27 00:00:00', 0, 9.6095142360000008, -99, 2381, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-07-28 00:00:00', 11.85999966, 12.00778103, -99, 833, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-07-29 00:00:00', 2.539999962, 13.46905518, -99, 1342, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-07-30 00:00:00', 0.83999997400000004, 14.144768709999999, -99, 796, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-07-31 00:00:00', 9.9799995419999998, 12.013888359999999, -99, 1315, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-08-01 00:00:00', 0.540000021, 13.847237590000001, -99, 1545, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-08-02 00:00:00', 0.74000001000000004, 10.89432907, -99, 1406, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-08-03 00:00:00', 0, 8.4323682790000003, -99, 1901, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-08-04 00:00:00', 4.420000076, 8.520471573, -99, 1421, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-08-05 00:00:00', 0.109999999, 12.2502327, -99, 1747, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-08-06 00:00:00', 0, 10.794442180000001, -99, 2169, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-08-07 00:00:00', 0.119999997, 7.0815758710000001, -99, 1966, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-08-08 00:00:00', 1.2599999900000001, 14.92433643, -99, 1021, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-08-09 00:00:00', 0, 12.71491718, -99, 1440, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-08-10 00:00:00', 6.920000076, 10.192646979999999, -99, 1981, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-08-11 00:00:00', 9.0100002289999992, 15.138582230000001, -99, 1332, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-08-12 00:00:00', 3.2300000190000002, 9.2066688540000001, -99, 1155, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-08-13 00:00:00', 0, 13.154157639999999, -99, 1978, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-08-14 00:00:00', 0, 12.671759610000001, -99, 1267, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-08-15 00:00:00', 5.4299998279999997, 13.14289284, -99, 2090, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-08-16 00:00:00', 1.4500000479999999, 18.444681169999999, -99, 746, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-08-17 00:00:00', 14.010000229999999, 12.59253788, -99, 741, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-08-18 00:00:00', 44.939998629999998, 14.88552189, -99, 432, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-08-19 00:00:00', 0.91000002599999996, 12.29114246, -99, 1846, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-08-20 00:00:00', 1, 10.490021710000001, -99, 909, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-08-21 00:00:00', 14.19999981, 16.212959290000001, -99, 859, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-08-22 00:00:00', 1, 17.76997948, -99, 1453, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-08-23 00:00:00', 11.52000046, 9.0602474209999997, -99, 605, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-08-24 00:00:00', 8.0600004199999997, 14.23897552, -99, 1324, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-08-25 00:00:00', 0.280000001, 11.758280750000001, -99, 1600, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-08-26 00:00:00', 0.059999998999999998, 7.8066892619999999, -99, 1725, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-08-27 00:00:00', 0, 8.0636968610000004, -99, 1521, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-08-28 00:00:00', 2.619999886, 9.9338035579999993, -99, 1540, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-08-29 00:00:00', 4.9800000190000002, 8.0246887210000004, -99, 1319, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-08-30 00:00:00', 0.029999998999999999, 10.93317699, -99, 1694, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-08-31 00:00:00', 0.579999983, 4.5240821840000001, -99, 1366, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-09-01 00:00:00', 0.109999999, 9.7204952240000004, -99, 1247, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-09-02 00:00:00', 0, 11.006340979999999, -99, 1648, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-09-03 00:00:00', 0.27000001099999998, 3.6237173079999998, -99, 1498, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-09-04 00:00:00', 0, 5.3252439499999999, -99, 1588, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-09-05 00:00:00', 0, 4.3317942619999998, -99, 1811, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-09-06 00:00:00', 0, 4.4318346980000003, -99, 1723, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-09-07 00:00:00', 0, 10.179823880000001, -99, 1027, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-09-08 00:00:00', 0, 12.9916544, -99, 835, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-09-09 00:00:00', 14.06999969, 14.196804999999999, -99, 657, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-09-10 00:00:00', 1.019999981, 12.11289215, -99, 755, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-09-11 00:00:00', 2.3099999430000002, 10.988552090000001, -99, 744, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-09-12 00:00:00', 8.4899997710000008, 15.59526157, -99, 867, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-09-13 00:00:00', 11.47000027, 7.7594780920000002, -99, 1284, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-09-14 00:00:00', 5.9800000190000002, 12.638100619999999, -99, 1005, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-09-15 00:00:00', 10.31999969, 8.6149625780000001, -99, 778, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-09-16 00:00:00', 6.6900000569999998, 9.2397871019999993, -99, 1096, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-09-17 00:00:00', 6.2699999809999998, 9.0776100159999995, -99, 1070, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-09-18 00:00:00', 1.269999981, 7.6917719839999998, -99, 1157, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-09-19 00:00:00', 5.2199997900000001, 6.8635163309999996, -99, 907, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-09-20 00:00:00', 8.6400003430000005, 11.671058650000001, -99, 510, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-09-21 00:00:00', 0, 10.653042790000001, -99, 1394, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-09-22 00:00:00', 0, 5.2027096750000004, -99, 1170, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-09-23 00:00:00', 0.090000003999999995, 10.25031471, -99, 925, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-09-24 00:00:00', 1.2799999710000001, 11.314844130000001, -99, 774, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-09-25 00:00:00', 2.8900001049999999, 6.397177696, -99, 1238, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-09-26 00:00:00', 1.6200000050000001, 10.73173332, -99, 345, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-09-27 00:00:00', 0, 12.24603462, -99, 455, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-09-28 00:00:00', 0, 8.0033569339999993, -99, 1236, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-09-29 00:00:00', 0, 4.4824633599999997, -99, 1067, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-09-30 00:00:00', 0, 3.3582561019999999, -99, 992, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-10-01 00:00:00', 0, 7.3794369700000004, -99, 1073, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-10-02 00:00:00', 2.3499999049999998, 8.5695791240000005, -99, 662, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-10-03 00:00:00', 0.23999999499999999, 11.263330460000001, -99, 918, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-10-04 00:00:00', 0, 11.074405670000001, -99, 709, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-10-05 00:00:00', 0, 11.35175896, -99, 744, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-10-06 00:00:00', 6.6399998660000001, 11.964889530000001, -99, 572, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-10-07 00:00:00', 0.090000003999999995, 8.8020572660000003, -99, 1066, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-10-08 00:00:00', 0, 11.878363609999999, -99, 692, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-10-09 00:00:00', 0, 8.1413879389999995, -99, 1048, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-10-10 00:00:00', 0.090000003999999995, 4.1525082590000002, -99, 1029, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-10-11 00:00:00', 0, 1.7005563969999999, -99, 638, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-10-12 00:00:00', 0, 0.91096025700000005, -99, 784, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-10-13 00:00:00', 0, 3.522957087, -99, 663, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-10-14 00:00:00', 0, 6.4469714160000002, -99, 567, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-10-15 00:00:00', 4.7199997900000001, 3.9577996729999998, -99, 381, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-10-16 00:00:00', 0, 3.1234529019999999, -99, 928, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-10-17 00:00:00', 0, -3.4218771459999999, -99, 847, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-10-18 00:00:00', 12.31000042, -0.316795677, -99, 259, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-10-19 00:00:00', 1.8999999759999999, 5.1109280589999999, -99, 647, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-10-20 00:00:00', 3.8099999430000002, 4.1461162570000001, -99, 343, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-10-21 00:00:00', 11.899999619999999, -1.012410998, -99, 601, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-10-22 00:00:00', 9.8000001910000005, 5.6358761790000003, -99, 503, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-10-23 00:00:00', 16.120000839999999, 6.2781562810000002, -99, 340, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-10-24 00:00:00', 0.86000001400000003, 5.5428318980000002, -99, 379, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-10-25 00:00:00', 6.1300001139999996, -1.222838402, -99, 387, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-10-26 00:00:00', 0.28999999199999998, -2.03619957, -99, 416, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-10-27 00:00:00', 6.1599998469999999, 6.4886927600000002, -99, 204, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-10-28 00:00:00', 5.3000001909999996, 9.7966909409999996, -99, 442, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-10-29 00:00:00', 0, 7.3880000109999999, -99, 313, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-10-30 00:00:00', 2.0699999330000001, 8.6183719639999996, -99, 353, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-10-31 00:00:00', 0.050000001000000002, 8.3806295389999992, -99, 303, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-11-01 00:00:00', 0, 6.8818316460000002, -99, 388, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-11-02 00:00:00', 14.44999981, 5.7130937580000003, -99, 119, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-11-03 00:00:00', 1.3500000240000001, 10.394627570000001, -99, 512, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-11-04 00:00:00', 9.8900003430000005, 7.767569065, -99, 312, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-11-05 00:00:00', 7.5100002290000001, 9.270435333, -99, 340, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-11-06 00:00:00', 0, 5.1293196679999999, -99, 510, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-11-07 00:00:00', 0, -3.000397682, -99, 542, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-11-08 00:00:00', 0.99000001000000004, -3.5416026120000001, -99, 393, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-11-09 00:00:00', 1.4299999480000001, 2.9233870510000002, -99, 235, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-11-10 00:00:00', 0.059999998999999998, 0.49115934999999999, -99, 301, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-11-11 00:00:00', 12.18000031, -2.7183237079999998, -99, 216, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-11-12 00:00:00', 8.1499996190000008, 2.678790808, -99, 341, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-11-13 00:00:00', 0.579999983, 7.3102803229999997, -99, 405, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-11-14 00:00:00', 9.8299999239999991, 3.9327976699999998, -99, 108, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-11-15 00:00:00', 0.579999983, 5.9114537240000002, -99, 380, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-11-16 00:00:00', 0, -3.255367041, -99, 355, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-11-17 00:00:00', 0.119999997, 1.5229853390000001, -99, 306, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-11-18 00:00:00', 3.4800000190000002, 4.0409870149999998, -99, 127, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-11-19 00:00:00', 9.2700004580000002, 2.2380027770000002, -99, 132, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-11-20 00:00:00', 0.99000001000000004, 0.98789691899999998, -99, 153, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-11-21 00:00:00', 1.2599999900000001, 2.0412993429999999, -99, 148, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-11-22 00:00:00', 1.7400000099999999, 3.7103745940000001, -99, 154, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-11-23 00:00:00', 3.4900000100000002, 0.32752341000000001, -99, 119, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-11-24 00:00:00', 0.119999997, -1.305123925, -99, 200, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-11-25 00:00:00', 0.01, -5.2214493749999997, -99, 248, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-11-26 00:00:00', 0.60000002399999997, -4.0221648219999997, -99, 266, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-11-27 00:00:00', 0.62000000499999997, -6.2654790880000002, -99, 163, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-11-28 00:00:00', 0.52999997099999996, -8.2560186390000005, -99, 174, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-11-29 00:00:00', 0.46000000800000002, -2.3216845990000001, -99, 187, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-11-30 00:00:00', 0.12999999500000001, -4.8306002619999999, -99, 243, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-12-01 00:00:00', 0.119999997, -5.837959766, -99, 238, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-12-02 00:00:00', 0.23000000400000001, -3.1504936219999999, -99, 187, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-12-03 00:00:00', 0, -6.4354767800000001, -99, 208, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-12-04 00:00:00', 1.5499999520000001, -9.9089584350000006, -99, 169, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-12-05 00:00:00', 2.420000076, -3.5563287730000002, -99, 107, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-12-06 00:00:00', 0.579999983, -6.8409852979999997, -99, 235, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-12-07 00:00:00', 0.109999999, -4.334325314, -99, 216, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-12-08 00:00:00', 0.17000000200000001, -5.4938225750000003, -99, 142, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-12-09 00:00:00', 0.059999998999999998, -4.3330512050000003, -99, 226, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-12-10 00:00:00', 8.6199998860000004, -11.93285275, -99, 99, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-12-11 00:00:00', 0.519999981, 2.1632735730000001, -99, 212, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-12-12 00:00:00', 0, 0.028685931000000001, -99, 251, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-12-13 00:00:00', 1.730000019, -7.5559625629999996, -99, 175, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-12-14 00:00:00', 0, -7.999165058, -99, 234, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-12-15 00:00:00', 1.480000019, -8.7314863200000001, -99, 249, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-12-16 00:00:00', 9.3500003809999992, -12.241696360000001, -99, 102, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-12-17 00:00:00', 0, -7.8583164219999997, -99, 221, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-12-18 00:00:00', 0.579999983, -6.2245483400000001, -99, 132, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-12-19 00:00:00', 0.109999999, -9.0567932130000006, -99, 198, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-12-20 00:00:00', 2.079999924, -8.1126985549999997, -99, 174, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-12-21 00:00:00', 0.109999999, -13.122886660000001, -99, 190, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-12-22 00:00:00', 1.8600000139999999, -17.646091460000001, -99, 200, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-12-23 00:00:00', 0.119999997, -3.4197928910000002, -99, 131, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-12-24 00:00:00', 0, -5.2253270150000004, -99, 185, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-12-25 00:00:00', 0, -14.142121319999999, -99, 201, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-12-26 00:00:00', 1.440000057, -17.84041023, -99, 134, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-12-27 00:00:00', 0, -14.654254910000001, -99, 173, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-12-28 00:00:00', 0, -17.476537700000002, -99, 158, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-12-29 00:00:00', 0, -8.0226221080000002, -99, 136, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-12-30 00:00:00', 0.17000000200000001, -8.3988943099999993, -99, 71, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2010-12-31 00:00:00', 0.23000000400000001, -0.48613682400000002, -99, 195, 'ask', 'ask_2010');
INSERT INTO public.cdy_cldat VALUES ('2011-01-01 00:00:00', 0, 1.6641165019999999, -99, 272, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-01-02 00:00:00', 0, -3.3872411250000001, -99, 250, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-01-03 00:00:00', 0, -9.5672731399999993, -99, 227, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-01-04 00:00:00', 2.9500000480000002, -4.3616905209999999, -99, 94, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-01-05 00:00:00', 0.959999979, -1.7285307649999999, -99, 92, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-01-06 00:00:00', 0.23999999499999999, -4.5438532829999998, -99, 174, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-01-07 00:00:00', 4.4000000950000002, -1.245961189, -99, 229, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-01-08 00:00:00', 3.2200000289999999, -0.90364253500000002, -99, 144, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-01-09 00:00:00', 0.60000002399999997, 0.52703398499999998, -99, 264, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-01-10 00:00:00', 0, 0.14618830399999999, -99, 254, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-01-11 00:00:00', 2.75, -2.9100387099999998, -99, 181, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-01-12 00:00:00', 0.709999979, -0.93620932099999998, -99, 198, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-01-13 00:00:00', 4.6399998660000001, 0.46052190700000001, -99, 75, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-01-14 00:00:00', 3.5699999330000001, 1.717573166, -99, 115, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-01-15 00:00:00', 13.65999985, 2.502798319, -99, 125, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-01-16 00:00:00', 1.1799999480000001, 5.420654774, -99, 199, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-01-17 00:00:00', 7.3800001139999996, 4.9254035949999997, -99, 214, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-01-18 00:00:00', 0.119999997, 1.481574774, -99, 233, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-01-19 00:00:00', 0, 0.25495275899999997, -99, 338, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-01-20 00:00:00', 0, -3.0642993449999998, -99, 355, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-01-21 00:00:00', 0.109999999, -5.3052439690000002, -99, 291, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-01-22 00:00:00', 0, -1.0130372050000001, -99, 248, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-01-23 00:00:00', 0, -0.88318908200000001, -99, 361, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-01-24 00:00:00', 2.6099998950000001, -2.5472617149999999, -99, 221, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-01-25 00:00:00', 0, 2.5777630810000001, -99, 267, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-01-26 00:00:00', 0.050000001000000002, -0.89515119799999998, -99, 283, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-01-27 00:00:00', 0, -6.5189528470000004, -99, 472, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-01-28 00:00:00', 0, -8.8015928270000003, -99, 418, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-01-29 00:00:00', 0, -7.8005623819999999, -99, 395, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-01-30 00:00:00', 0, -6.3942999839999999, -99, 480, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-01-31 00:00:00', 0, -4.5725302699999997, -99, 346, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-02-01 00:00:00', 2.039999962, 0.55290764599999997, -99, 175, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-02-02 00:00:00', 4.0999999049999998, 0.82162219299999995, -99, 206, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-02-03 00:00:00', 10.34000015, 2.7449796200000001, -99, 443, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-02-04 00:00:00', 7.6900000569999998, 1.468733788, -99, 270, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-02-05 00:00:00', 0.14000000100000001, 6.7123656269999996, -99, 263, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-02-06 00:00:00', 7.920000076, 2.4976208209999999, -99, 224, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-02-07 00:00:00', 0.50999998999999996, 3.987742662, -99, 154, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-02-08 00:00:00', 0.209999993, 3.6401705739999999, -99, 512, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-02-09 00:00:00', 0, 2.5241305829999998, -99, 359, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-02-10 00:00:00', 3.6900000569999998, 1.3333059549999999, -99, 188, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-02-11 00:00:00', 0, 3.5789713860000001, -99, 356, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-02-12 00:00:00', 0.72000002900000004, -3.542153597, -99, 650, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-02-13 00:00:00', 0.85000002399999997, -1.7147753240000001, -99, 208, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-02-14 00:00:00', 0.090000003999999995, -1.145767212, -99, 287, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-02-15 00:00:00', 1.5, -2.5361926559999999, -99, 249, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-02-16 00:00:00', 0.33000001299999998, -2.775943995, -99, 277, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-02-17 00:00:00', 0, -1.9570807219999999, -99, 507, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-02-18 00:00:00', 0, -1.863907099, -99, 329, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-02-19 00:00:00', 0, -5.7156686780000001, -99, 660, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-02-20 00:00:00', 0, -4.3214640620000004, -99, 605, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-02-21 00:00:00', 0, -6.3270263670000002, -99, 355, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-02-22 00:00:00', 0, -5.5022354130000002, -99, 456, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-02-23 00:00:00', 0, -6.889081955, -99, 563, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-02-24 00:00:00', 0, -4.1223044399999997, -99, 521, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-02-25 00:00:00', 0, -1.958393335, -99, 563, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-02-26 00:00:00', 0.209999993, 0.95482963300000001, -99, 409, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-02-27 00:00:00', 0, -2.4693381790000002, -99, 558, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-02-28 00:00:00', 0, -1.515206933, -99, 431, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-03-01 00:00:00', 0, -1.0888948439999999, -99, 443, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-03-02 00:00:00', 0, -1.899243832, -99, 480, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-03-03 00:00:00', 0, -2.6753113270000002, -99, 344, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-03-04 00:00:00', 0, -2.0039405819999998, -99, 721, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-03-05 00:00:00', 0, 0.60635298500000001, -99, 1120, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-03-06 00:00:00', 0, -3.527934551, -99, 1246, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-03-07 00:00:00', 0, -5.115427017, -99, 1235, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-03-08 00:00:00', 0, -3.1640689370000001, -99, 1185, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-03-09 00:00:00', 6.0199999809999998, -0.26628616500000002, -99, 502, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-03-10 00:00:00', 7.8899998660000001, 1.3554909230000001, -99, 549, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-03-11 00:00:00', 1.0900000329999999, 1.665621281, -99, 1100, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-03-12 00:00:00', 0.050000001000000002, 1.9466140270000001, -99, 705, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-03-13 00:00:00', 0.18000000699999999, 2.0871133799999999, -99, 548, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-03-14 00:00:00', 2.539999962, 5.1245141030000001, -99, 496, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-03-15 00:00:00', 0, 2.2619273660000001, -99, 796, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-03-16 00:00:00', 0, -1.2756552699999999, -99, 1353, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-03-17 00:00:00', 0, 0.44792488200000002, -99, 754, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-03-18 00:00:00', 0, 0.56879335600000003, -99, 754, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-03-19 00:00:00', 0, -0.92898541700000004, -99, 1264, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-03-20 00:00:00', 0, -0.24860465500000001, -99, 1267, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-03-21 00:00:00', 0, -0.204899266, -99, 1015, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-03-22 00:00:00', 0, 3.0191831589999998, -99, 1448, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-03-23 00:00:00', 0, 1.8359302280000001, -99, 1469, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-03-24 00:00:00', 0.050000001000000002, 3.865817308, -99, 1510, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-03-25 00:00:00', 0.15999999600000001, 4.2318115230000002, -99, 938, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-03-26 00:00:00', 0, -3.3528432850000001, -99, 1523, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-03-27 00:00:00', 0.49000000999999999, -5.5932598110000002, -99, 1676, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-03-28 00:00:00', 0, 0.83163750199999997, -99, 1648, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-03-29 00:00:00', 0, -0.38918581600000002, -99, 770, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-03-30 00:00:00', 4.4299998279999997, 3.6311182980000001, -99, 774, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-03-31 00:00:00', 8.2200002669999996, 5.2233748440000003, -99, 560, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-04-01 00:00:00', 1.2000000479999999, 5.8660917279999998, -99, 1423, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-04-02 00:00:00', 0.91000002599999996, 7.7423691750000003, -99, 1554, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-04-03 00:00:00', 0, 8.5156717299999993, -99, 1086, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-04-04 00:00:00', 0.829999983, 2.952006817, -99, 1669, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-04-05 00:00:00', 6.75, 4.5155301090000002, -99, 409, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-04-06 00:00:00', 0, 7.669843674, -99, 946, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-04-07 00:00:00', 0, 7.4755206110000003, -99, 1616, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-04-08 00:00:00', 0, 5.7710428240000002, -99, 1087, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-04-09 00:00:00', 0, 3.9523236750000001, -99, 1842, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-04-10 00:00:00', 0, 0.27887883800000002, -99, 1827, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-04-11 00:00:00', 4.0500001909999996, 3.6682424550000001, -99, 1880, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-04-12 00:00:00', 0.50999998999999996, 6.0407500269999996, -99, 1505, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-04-13 00:00:00', 0, 4.9228029250000001, -99, 1556, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-04-14 00:00:00', 0, -0.91868966799999996, -99, 1771, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-04-15 00:00:00', 0.01, 1.8943133350000001, -99, 1932, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-04-16 00:00:00', 0.079999998000000003, 2.870332479, -99, 1085, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-04-17 00:00:00', 0, 4.8438653949999999, -99, 1924, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-04-18 00:00:00', 0, 2.3917562960000001, -99, 2007, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-04-19 00:00:00', 0, 3.769360781, -99, 1911, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-04-20 00:00:00', 0, 4.1885046959999999, -99, 2017, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-04-21 00:00:00', 0, 6.2513976099999997, -99, 2045, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-04-22 00:00:00', 0, 7.6807770729999998, -99, 2157, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-04-23 00:00:00', 0, 9.0218725200000005, -99, 2166, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-04-24 00:00:00', 0, 7.0848813059999998, -99, 2273, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-04-25 00:00:00', 0, 4.8242497440000003, -99, 2256, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-04-26 00:00:00', 0, 4.8395109180000002, -99, 2209, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-04-27 00:00:00', 0, 5.8221516610000004, -99, 1917, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-04-28 00:00:00', 0, 8.6645584109999998, -99, 2003, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-04-29 00:00:00', 0, 7.984754562, -99, 2298, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-04-30 00:00:00', 0, 5.4853820799999999, -99, 2353, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-05-01 00:00:00', 0.15000000599999999, 1.8451894520000001, -99, 2246, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-05-02 00:00:00', 0, 4.0996904369999996, -99, 1803, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-05-03 00:00:00', 5.0100002290000001, -2.5101449489999998, -99, 1733, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-05-04 00:00:00', 0, -0.81985294799999997, -99, 2160, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-05-05 00:00:00', 0, -0.70073747600000003, -99, 2387, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-05-06 00:00:00', 0, -0.73624175800000002, -99, 2393, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-05-07 00:00:00', 0, 8.4767189030000001, -99, 2376, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-05-08 00:00:00', 0, 8.3722972870000003, -99, 2496, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-05-09 00:00:00', 0, 10.028882980000001, -99, 2374, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-05-10 00:00:00', 0, 9.5862998959999999, -99, 1908, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-05-11 00:00:00', 2.8900001049999999, 11.37618923, -99, 1848, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-05-12 00:00:00', 0, 6.5082163810000004, -99, 1862, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-05-13 00:00:00', 0, 6.6516385079999996, -99, 2110, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-05-14 00:00:00', 4.0100002290000001, 3.7782719139999998, -99, 1020, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-05-15 00:00:00', 0.88999998599999997, 5.9294147490000002, -99, 1750, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-05-16 00:00:00', 7.8600001339999999, 6.0757784839999998, -99, 988, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-05-17 00:00:00', 0.34000000400000002, 10.74903965, -99, 1690, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-05-18 00:00:00', 1.710000038, 8.3488321299999999, -99, 1255, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-05-19 00:00:00', 0, 9.8649063110000004, -99, 2527, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-05-20 00:00:00', 0, 2.8241183759999999, -99, 2521, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-05-21 00:00:00', 0, 4.6402721409999996, -99, 2516, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-05-22 00:00:00', 2.539999962, 10.1959362, -99, 856, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-05-23 00:00:00', 2.9700000289999999, 7.4104104040000003, -99, 2254, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-05-24 00:00:00', 2.5999999049999998, 9.2585096359999994, -99, 1939, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-05-25 00:00:00', 0, 8.0717973710000006, -99, 2137, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-05-26 00:00:00', 3.1800000669999999, 6.6071801189999997, -99, 1438, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-05-27 00:00:00', 2.380000114, 10.38472462, -99, 1178, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-05-28 00:00:00', 11.399999619999999, 6.8639545440000003, -99, 1015, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-05-29 00:00:00', 3.5099999899999998, 7.3072876930000001, -99, 1099, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-05-30 00:00:00', 0, 9.7182464599999996, -99, 1905, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-05-31 00:00:00', 1.2200000289999999, 12.111331939999999, -99, 1067, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-06-01 00:00:00', 0, 5.5318503379999999, -99, 2824, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-06-02 00:00:00', 0, 7.0124793050000003, -99, 2647, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-06-03 00:00:00', 0, 8.0452127460000007, -99, 2754, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-06-04 00:00:00', 0, 9.5869388579999999, -99, 2849, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-06-05 00:00:00', 0, 9.2939929960000001, -99, 2730, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-06-06 00:00:00', 0.66000002599999996, 16.60485649, -99, 2099, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-06-07 00:00:00', 0, 13.4466362, -99, 1392, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-06-08 00:00:00', 25.899999619999999, 12.20155621, -99, 1257, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-06-09 00:00:00', 0, 10.747530940000001, -99, 2761, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-06-10 00:00:00', 0, 7.0805463790000003, -99, 2766, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-06-11 00:00:00', 2.9300000669999999, 6.3469676970000002, -99, 1800, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-06-12 00:00:00', 0, 6.2823610309999998, -99, 2608, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-06-13 00:00:00', 5.6599998469999999, 8.4590177539999996, -99, 1665, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-06-14 00:00:00', 0.89999997600000003, 12.77206612, -99, 2287, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-06-15 00:00:00', 0, 7.2106094360000004, -99, 2776, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-06-16 00:00:00', 10.75, 10.379081729999999, -99, 1242, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-06-17 00:00:00', 1.7599999900000001, 10.79705334, -99, 2592, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-06-18 00:00:00', 6.1500000950000002, 11.01382351, -99, 896, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-06-19 00:00:00', 0.18000000699999999, 10.082089420000001, -99, 1603, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-06-20 00:00:00', 0.69999998799999996, 11.298813819999999, -99, 2156, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-06-21 00:00:00', 0.37999999499999998, 9.8501911159999995, -99, 2381, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-06-22 00:00:00', 3.3199999330000001, 14.360810280000001, -99, 2186, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-06-23 00:00:00', 2.1600000860000002, 11.183064460000001, -99, 1956, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-06-24 00:00:00', 0.38999998600000002, 9.7074937820000002, -99, 2004, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-06-25 00:00:00', 0.37999999499999998, 6.9027066230000003, -99, 2540, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-06-26 00:00:00', 0, 12.58944988, -99, 2119, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-06-27 00:00:00', 0, 12.12486649, -99, 2749, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-06-28 00:00:00', 0, 15.88352585, -99, 2750, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-06-29 00:00:00', 0.219999999, 15.18826294, -99, 1461, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-06-30 00:00:00', 0, 13.38777447, -99, 1436, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-07-01 00:00:00', 0, 8.6063957210000002, -99, 1551, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-07-02 00:00:00', 4.9899997709999999, 12.289623260000001, -99, 769, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-07-03 00:00:00', 0, 13.480680469999999, -99, 1054, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-07-04 00:00:00', 0, 13.17773914, -99, 1541, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-07-05 00:00:00', 0.15000000599999999, 13.59217548, -99, 1198, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-07-06 00:00:00', 4.4699997900000001, 14.007661819999999, -99, 2195, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-07-07 00:00:00', 0.01, 10.397924420000001, -99, 2576, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-07-08 00:00:00', 6.6599998469999999, 14.828543659999999, -99, 1678, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-07-09 00:00:00', 4.5999999049999998, 10.78923702, -99, 1322, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-07-10 00:00:00', 0, 9.9534931180000008, -99, 2387, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-07-11 00:00:00', 0, 10.13514805, -99, 2544, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-07-12 00:00:00', 0.959999979, 9.4068164830000001, -99, 2184, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-07-13 00:00:00', 25.709999079999999, 11.459581379999999, -99, 457, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-07-14 00:00:00', 21.329999919999999, 13.383300780000001, -99, 559, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-07-15 00:00:00', 0, 12.95178318, -99, 1323, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-07-16 00:00:00', 6.5500001909999996, 8.6689624789999993, -99, 2087, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-07-17 00:00:00', 5.3400001530000001, 14.77332592, -99, 1445, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-07-18 00:00:00', 10.880000109999999, 11.87209988, -99, 1519, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-07-19 00:00:00', 0.980000019, 12.843735690000001, -99, 1873, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-07-20 00:00:00', 0.980000019, 9.6814146040000004, -99, 2244, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-07-21 00:00:00', 0.01, 10.15726471, -99, 1760, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-07-22 00:00:00', 18.5, 12.82639694, -99, 695, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-07-23 00:00:00', 5.0999999049999998, 13.383925440000001, -99, 1142, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-07-24 00:00:00', 0.86000001400000003, 12.328080180000001, -99, 1089, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-07-25 00:00:00', 0.079999998000000003, 12.42853451, -99, 1545, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-07-26 00:00:00', 0, 9.0657091140000006, -99, 2099, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-07-27 00:00:00', 0, 10.325209620000001, -99, 2336, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-07-28 00:00:00', 0, 11.907775880000001, -99, 1408, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-07-29 00:00:00', 0.02, 13.46297169, -99, 2163, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-07-30 00:00:00', 0.10000000100000001, 14.52641582, -99, 2287, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-07-31 00:00:00', 9.1599998469999999, 15.18028355, -99, 2037, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-08-01 00:00:00', 0, 13.14478111, -99, 1615, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-08-02 00:00:00', 0, 11.99994469, -99, 2182, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-08-03 00:00:00', 0, 15.29756546, -99, 1791, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-08-04 00:00:00', 5.6199998860000004, 17.21743202, -99, 722, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-08-05 00:00:00', 0.790000021, 14.435532569999999, -99, 1096, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-08-06 00:00:00', 14.619999890000001, 12.74250507, -99, 1972, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-08-07 00:00:00', 2.6900000569999998, 14.89331245, -99, 2028, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-08-08 00:00:00', 25.090000150000002, 11.5704546, -99, 1313, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-08-09 00:00:00', 2.1500000950000002, 12.17256355, -99, 1692, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-08-10 00:00:00', 15.43000031, 11.75559807, -99, 1221, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-08-11 00:00:00', 11.619999890000001, 11.075439449999999, -99, 543, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-08-12 00:00:00', 0, 12.313421249999999, -99, 1570, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-08-13 00:00:00', 0.63999998599999997, 11.89651871, -99, 976, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-08-14 00:00:00', 4.920000076, 14.40170956, -99, 745, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-08-15 00:00:00', 0, 15.03504467, -99, 1763, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-08-16 00:00:00', 2.7000000480000002, 8.57507515, -99, 969, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-08-17 00:00:00', 0.01, 12.876048089999999, -99, 1765, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-08-18 00:00:00', 19.950000760000002, 10.70736599, -99, 1888, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-08-19 00:00:00', 1.2799999710000001, 12.93152714, -99, 1114, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-08-20 00:00:00', 0, 9.5529613490000003, -99, 1539, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-08-21 00:00:00', 9.4700002669999996, 12.45194244, -99, 1675, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-08-22 00:00:00', 0, 14.296525000000001, -99, 1926, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-08-23 00:00:00', 0.37000000500000002, 7.8061723709999997, -99, 1178, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-08-24 00:00:00', 0.75999998999999996, 15.915853500000001, -99, 1054, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-08-25 00:00:00', 6.4499998090000004, 11.53251171, -99, 1667, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-08-26 00:00:00', 11.60999966, 15.602350230000001, -99, 1473, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-08-27 00:00:00', 4.2399997709999999, 16.159736630000001, -99, 497, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-08-28 00:00:00', 8.6599998469999999, 11.305547710000001, -99, 1360, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-08-29 00:00:00', 9.5799999239999991, 10.823173519999999, -99, 1185, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-08-30 00:00:00', 1.9900000099999999, 11.11055088, -99, 1190, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-08-31 00:00:00', 0.20000000300000001, 9.9163913729999997, -99, 1417, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-09-01 00:00:00', 1.4099999670000001, 8.8137474059999992, -99, 1433, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-09-02 00:00:00', 0, 7.5865573880000001, -99, 1057, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-09-03 00:00:00', 0, 10.93628311, -99, 1646, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-09-04 00:00:00', 2.369999886, 15.86221218, -99, 1032, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-09-05 00:00:00', 1.460000038, 14.032295230000001, -99, 1137, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-09-06 00:00:00', 26.020000459999999, 12.06030178, -99, 638, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-09-07 00:00:00', 13.14000034, 11.08019352, -99, 1241, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-09-08 00:00:00', 4.5700001720000003, 10.54633999, -99, 1312, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-09-09 00:00:00', 0.079999998000000003, 6.0414748190000003, -99, 1429, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-09-10 00:00:00', 6.9800000190000002, 13.53050137, -99, 909, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-09-11 00:00:00', 2.7599999899999998, 16.000654220000001, -99, 1321, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-09-12 00:00:00', 8.8999996190000008, 13.735167499999999, -99, 519, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-09-13 00:00:00', 2.2699999809999998, 14.70346069, -99, 1002, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-09-14 00:00:00', 4.5500001909999996, 11.43105888, -99, 1088, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-09-15 00:00:00', 0, 10.074835780000001, -99, 1274, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-09-16 00:00:00', 0.119999997, 7.0923366550000004, -99, 979, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-09-17 00:00:00', 1.3400000329999999, 7.8101387019999997, -99, 571, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-09-18 00:00:00', 4.7100000380000004, 11.62667751, -99, 414, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-09-19 00:00:00', 4.0300002099999999, 8.7174510959999996, -99, 632, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-09-20 00:00:00', 9.9700002669999996, 10.582788470000001, -99, 436, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-09-21 00:00:00', 5.9800000190000002, 13.27536774, -99, 566, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-09-22 00:00:00', 1.519999981, 11.113146779999999, -99, 1229, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-09-23 00:00:00', 0.15000000599999999, 8.618200302, -99, 1146, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-09-24 00:00:00', 0.10000000100000001, 9.6712388990000004, -99, 902, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-09-25 00:00:00', 0, 8.0549917220000005, -99, 1260, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-09-26 00:00:00', 0.55000001200000004, 11.892048839999999, -99, 789, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-09-27 00:00:00', 0, 5.3460278509999997, -99, 1226, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-09-28 00:00:00', 0.02, 8.5736827850000008, -99, 829, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-09-29 00:00:00', 0.10000000100000001, 8.1932373050000002, -99, 1228, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-09-30 00:00:00', 0.10000000100000001, 7.3466372489999996, -99, 1226, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-10-01 00:00:00', 0, 7.4107604030000003, -99, 1193, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-10-02 00:00:00', 0, 7.9261393550000001, -99, 1148, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-10-03 00:00:00', 0, 14.04892349, -99, 734, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-10-04 00:00:00', 0.029999998999999999, 10.931908610000001, -99, 876, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-10-05 00:00:00', 7.8899998660000001, 12.04655361, -99, 449, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-10-06 00:00:00', 6.8899998660000001, 15.11076927, -99, 577, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-10-07 00:00:00', 1.769999981, 5.8780913349999997, -99, 821, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-10-08 00:00:00', 0, 7.6609435079999999, -99, 961, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-10-09 00:00:00', 4.3600001339999999, -0.015353893, -99, 598, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-10-10 00:00:00', 6.75, 8.2165584559999996, -99, 410, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-10-11 00:00:00', 3.2000000480000002, 9.3975896839999997, -99, 881, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-10-12 00:00:00', 0, 6.8243970870000004, -99, 903, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-10-13 00:00:00', 0, 1.632148385, -99, 973, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-10-14 00:00:00', 0, -1.4572471380000001, -99, 862, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-10-15 00:00:00', 0, 0.60586649199999998, -99, 937, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-10-16 00:00:00', 0, 1.4251652960000001, -99, 922, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-10-17 00:00:00', 6.4299998279999997, 1.921350718, -99, 588, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-10-18 00:00:00', 13.68000031, 10.471431730000001, -99, 558, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-10-19 00:00:00', 3.7300000190000002, 6.3479862210000002, -99, 482, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-10-20 00:00:00', 0.579999983, 1.377795339, -99, 689, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-10-21 00:00:00', 0.43000000700000002, 2.0497448440000001, -99, 365, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-10-22 00:00:00', 0, 7.2710647579999996, -99, 727, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-10-23 00:00:00', 0, 1.790623069, -99, 784, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-10-24 00:00:00', 0, 5.3295326230000004, -99, 562, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-10-25 00:00:00', 0, 8.0161867139999998, -99, 524, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-10-26 00:00:00', 0, 8.4203758240000006, -99, 221, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-10-27 00:00:00', 0.079999998000000003, 3.68402648, -99, 421, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-10-28 00:00:00', 0.119999997, 8.3808822630000002, -99, 358, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-10-29 00:00:00', 0.15999999600000001, 1.122582078, -99, 275, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-10-30 00:00:00', 0.91000002599999996, 10.87359524, -99, 337, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-10-31 00:00:00', 1.1699999569999999, 11.678904530000001, -99, 246, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-11-01 00:00:00', 0, 9.3477363590000007, -99, 218, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-11-02 00:00:00', 0.38999998600000002, 6.4539875980000003, -99, 290, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-11-03 00:00:00', 0.070000000000000007, 8.6834478379999993, -99, 279, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-11-04 00:00:00', 0.01, 9.6597414019999999, -99, 204, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-11-05 00:00:00', 0, 6.325117111, -99, 309, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-11-06 00:00:00', 0, 6.3853111269999996, -99, 197, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-11-07 00:00:00', 0.20000000300000001, 8.414189339, -99, 210, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-11-08 00:00:00', 0.070000000000000007, 7.0318551060000001, -99, 202, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-11-09 00:00:00', 0, 7.4078154559999998, -99, 208, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-11-10 00:00:00', 0, 7.2413129810000001, -99, 172, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-11-11 00:00:00', 0, 4.7160100939999996, -99, 422, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-11-12 00:00:00', 0, 0.95639538800000001, -99, 380, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-11-13 00:00:00', 0, -3.1926715369999998, -99, 399, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-11-14 00:00:00', 0.17000000200000001, 0.81839662800000001, -99, 173, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-11-15 00:00:00', 0, 4.5199847220000002, -99, 337, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-11-16 00:00:00', 0, 2.0464346409999998, -99, 201, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-11-17 00:00:00', 0.079999998000000003, 0.18226495400000001, -99, 147, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-11-18 00:00:00', 0.070000000000000007, 1.622641563, -99, 185, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-11-19 00:00:00', 0.10000000100000001, 6.5185079569999997, -99, 189, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-11-20 00:00:00', 0.209999993, 1.5316778419999999, -99, 277, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-11-21 00:00:00', 0, 0.222622976, -99, 290, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-11-22 00:00:00', 2.3199999330000001, -0.071588315, -99, 240, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-11-23 00:00:00', 0.30000001199999998, 1.6998388769999999, -99, 115, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-11-24 00:00:00', 0.070000000000000007, 5.9671630860000002, -99, 143, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-11-25 00:00:00', 8.5699996949999999, 7.6483783719999998, -99, 130, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-11-26 00:00:00', 3.0499999519999998, 4.1589918140000002, -99, 169, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-11-27 00:00:00', 5.5399999619999996, 9.4136362079999998, -99, 203, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-11-28 00:00:00', 0.079999998000000003, 4.3335371020000002, -99, 205, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-11-29 00:00:00', 0.730000019, 3.2136442660000002, -99, 74, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-11-30 00:00:00', 0.310000002, 5.5700931550000004, -99, 217, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-12-01 00:00:00', 3.7599999899999998, 5.0385723110000002, -99, 96, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-12-02 00:00:00', 2.789999962, 3.393021584, -99, 217, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-12-03 00:00:00', 18.309999470000001, 2.1680629250000001, -99, 110, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-12-04 00:00:00', 6.9600000380000004, 3.1317377089999998, -99, 128, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-12-05 00:00:00', 1.539999962, 0.90343159399999995, -99, 206, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-12-06 00:00:00', 4.0199999809999998, -1.8670151230000001, -99, 168, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-12-07 00:00:00', 3.2400000100000002, 0.79684960800000004, -99, 92, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-12-08 00:00:00', 17.709999079999999, -2.145227432, -99, 139, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-12-09 00:00:00', 0.55000001200000004, 5.0733332630000003, -99, 196, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-12-10 00:00:00', 0.91000002599999996, 1.0975996260000001, -99, 221, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-12-11 00:00:00', 0.50999998999999996, 0.74934643499999998, -99, 114, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-12-12 00:00:00', 3.5899999139999998, 1.0133996009999999, -99, 82, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-12-13 00:00:00', 9.5299997330000004, 2.6455962660000001, -99, 88, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-12-14 00:00:00', 4.7800002099999999, 3.85992384, -99, 159, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-12-15 00:00:00', 0.33000001299999998, 1.8316895959999999, -99, 147, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-12-16 00:00:00', 0.219999999, 3.0751707549999998, -99, 104, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-12-17 00:00:00', 0.77999997099999996, 1.4044425490000001, -99, 229, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-12-18 00:00:00', 0.310000002, -0.58658021699999996, -99, 217, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-12-19 00:00:00', 3.1600000860000002, 1.017503381, -99, 228, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-12-20 00:00:00', 0.27000001099999998, 0.804218769, -99, 98, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-12-21 00:00:00', 0.30000001199999998, -0.836590528, -99, 228, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-12-22 00:00:00', 2.0899999139999998, -3.0486586089999999, -99, 132, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-12-23 00:00:00', 8.8699998860000004, 6.5501112939999997, -99, 103, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-12-24 00:00:00', 1.940000057, 2.323397398, -99, 242, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-12-25 00:00:00', 0, 3.3021967409999999, -99, 91, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-12-26 00:00:00', 0, 8.3589258189999995, -99, 176, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-12-27 00:00:00', 0.790000021, 8.3218469620000004, -99, 209, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-12-28 00:00:00', 3.2200000289999999, 1.4022905830000001, -99, 52, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-12-29 00:00:00', 1.980000019, 5.5310840609999996, -99, 217, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-12-30 00:00:00', 0.49000000999999999, -1.3318753240000001, -99, 192, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2011-12-31 00:00:00', 5.2399997709999999, -1.6698240040000001, -99, 176, 'ask', 'ask_2011');
INSERT INTO public.cdy_cldat VALUES ('2012-01-01 00:00:00', 5.3499999049999998, 2.2585055829999998, -99, 140, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-01-02 00:00:00', 0.810000002, 6.0264849659999999, -99, 245, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-01-03 00:00:00', 16.950000760000002, 2.5171539780000001, -99, 49, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-01-04 00:00:00', 15.789999959999999, 4.9198317530000004, -99, 212, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-01-05 00:00:00', 3.4100000860000002, 4.67249918, -99, 179, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-01-06 00:00:00', 2.4400000569999998, -0.26092305799999999, -99, 264, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-01-07 00:00:00', 3.5999999049999998, 1.0399922130000001, -99, 135, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-01-08 00:00:00', 0.119999997, 4.4965558049999999, -99, 180, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-01-09 00:00:00', 3.5599999430000002, 0.104097754, -99, 126, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-01-10 00:00:00', 0, 1.585707784, -99, 161, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-01-11 00:00:00', 0, 5.2683057790000003, -99, 259, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-01-12 00:00:00', 2.579999924, 4.3511395449999997, -99, 197, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-01-13 00:00:00', 0.090000003999999995, 1.5923744440000001, -99, 302, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-01-14 00:00:00', 0, 0.042833156999999997, -99, 255, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-01-15 00:00:00', 0.18000000699999999, -5.2260150909999998, -99, 285, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-01-16 00:00:00', 0.189999998, 1.1273616550000001, -99, 112, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-01-17 00:00:00', 0, 3.3938179019999999, -99, 253, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-01-18 00:00:00', 7.0500001909999996, 0.44932839299999999, -99, 101, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-01-19 00:00:00', 6.1599998469999999, 1.5172888040000001, -99, 138, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-01-20 00:00:00', 3.4800000190000002, -0.59326034800000005, -99, 172, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-01-21 00:00:00', 9.6199998860000004, -0.51766532700000001, -99, 229, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-01-22 00:00:00', 0, 1.6837501530000001, -99, 291, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-01-23 00:00:00', 0, -4.7423100470000001, -99, 352, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-01-24 00:00:00', 0, -1.167382836, -99, 376, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-01-25 00:00:00', 0.090000003999999995, -6.0683135989999997, -99, 423, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-01-26 00:00:00', 0.25999999000000001, -2.2017107010000001, -99, 414, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-01-27 00:00:00', 0.079999998000000003, -2.0891342160000002, -99, 120, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-01-28 00:00:00', 0.10000000100000001, -0.59838324799999998, -99, 307, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-01-29 00:00:00', 0.33000001299999998, -3.0138759610000001, -99, 154, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-01-30 00:00:00', 0.109999999, -4.1527333259999999, -99, 425, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-01-31 00:00:00', 0, -3.8358092309999998, -99, 523, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-02-01 00:00:00', 0, -5.087607384, -99, 373, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-02-02 00:00:00', 0.119999997, -8.5947980879999992, -99, 393, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-02-03 00:00:00', 0.189999998, -12.271918299999999, -99, 358, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-02-04 00:00:00', 0.25, -18.851152419999998, -99, 423, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-02-05 00:00:00', 0, -17.116346360000001, -99, 403, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-02-06 00:00:00', 0.12999999500000001, -14.81087494, -99, 396, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-02-07 00:00:00', 0, -19.298942570000001, -99, 485, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-02-08 00:00:00', 0, -11.250454899999999, -99, 235, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-02-09 00:00:00', 0, -5.7810883520000003, -99, 410, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-02-10 00:00:00', 0, -13.62560081, -99, 466, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-02-11 00:00:00', 0.81999999300000004, -16.132324220000001, -99, 299, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-02-12 00:00:00', 0.10000000100000001, -4.4354691510000004, -99, 506, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-02-13 00:00:00', 0.33000001299999998, -9.7299175259999995, -99, 317, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-02-14 00:00:00', 0.89999997600000003, -0.52938860700000001, -99, 319, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-02-15 00:00:00', 0, 1.2232571839999999, -99, 773, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-02-16 00:00:00', 4.4899997709999999, -5.4905776980000001, -99, 269, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-02-17 00:00:00', 0.44999998800000002, 1.751472473, -99, 641, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-02-18 00:00:00', 8.4099998469999999, 1.0591579680000001, -99, 179, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-02-19 00:00:00', 0, 1.171268344, -99, 743, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-02-20 00:00:00', 5.5500001909999996, -2.2544436449999998, -99, 525, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-02-21 00:00:00', 0.64999997600000003, 1.6729187969999999, -99, 412, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-02-22 00:00:00', 9.9799995419999998, 4.327672958, -99, 261, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-02-23 00:00:00', 0, 4.0140800480000003, -99, 699, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-02-24 00:00:00', 0.039999999000000001, 6.3120765690000002, -99, 452, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-02-25 00:00:00', 0, 4.1734161380000003, -99, 567, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-02-26 00:00:00', 0, -1.0333236459999999, -99, 964, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-02-27 00:00:00', 1.2200000289999999, -0.95212447600000005, -99, 304, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-02-28 00:00:00', 0, 4.7270545960000003, -99, 529, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-02-29 00:00:00', 0.15999999600000001, 5.449240208, -99, 567, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-03-01 00:00:00', 0.02, 5.2798695560000004, -99, 972, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-03-02 00:00:00', 0, 3.3747568129999999, -99, 933, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-03-03 00:00:00', 0, 0.59492027800000002, -99, 934, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-03-04 00:00:00', 0.050000001000000002, 2.5631515980000001, -99, 386, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-03-05 00:00:00', 0, 0.73789238899999998, -99, 573, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-03-06 00:00:00', 0, -0.65083187799999997, -99, 962, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-03-07 00:00:00', 8.2899999619999996, -0.066164464000000006, -99, 308, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-03-08 00:00:00', 0.33000001299999998, 0.67291045199999999, -99, 1133, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-03-09 00:00:00', 0.83999997400000004, 0.116179094, -99, 550, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-03-10 00:00:00', 0.15999999600000001, 5.5912818910000004, -99, 592, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-03-11 00:00:00', 0, 5.4356350899999999, -99, 668, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-03-12 00:00:00', 0, 5.7330512999999996, -99, 920, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-03-13 00:00:00', 0, 5.9258284569999997, -99, 1237, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-03-14 00:00:00', 0, 5.0572476389999999, -99, 845, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-03-15 00:00:00', 0, 4.3548240659999999, -99, 450, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-03-16 00:00:00', 0, -0.166204244, -99, 1001, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-03-17 00:00:00', 1.2200000289999999, 4.7566237449999997, -99, 1136, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-03-18 00:00:00', 9.1000003809999992, 5.4529223440000001, -99, 250, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-03-19 00:00:00', 0.62000000499999997, 2.1917712690000002, -99, 1412, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-03-20 00:00:00', 0, 4.2863750459999999, -99, 757, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-03-21 00:00:00', 0.14000000100000001, 5.2818717959999999, -99, 1436, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-03-22 00:00:00', 0, 1.6193718909999999, -99, 1455, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-03-23 00:00:00', 0, 0.15593132400000001, -99, 1497, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-03-24 00:00:00', 0, 2.9843235020000001, -99, 1266, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-03-25 00:00:00', 0, 1.7803324460000001, -99, 1632, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-03-26 00:00:00', 0, 2.4502811430000002, -99, 1175, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-03-27 00:00:00', 0, 4.4355368610000001, -99, 1612, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-03-28 00:00:00', 0, 2.8255124089999999, -99, 1521, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-03-29 00:00:00', 0, 6.1276230810000003, -99, 1285, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-03-30 00:00:00', 0.280000001, 6.1674976350000001, -99, 1584, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-03-31 00:00:00', 0.23999999499999999, 3.2710075380000001, -99, 1639, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-04-01 00:00:00', 1.3999999759999999, -1.2480129, -99, 853, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-04-02 00:00:00', 0.070000000000000007, 1.2762007710000001, -99, 1349, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-04-03 00:00:00', 0, -3.1663312910000001, -99, 1279, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-04-04 00:00:00', 0, 1.1936492919999999, -99, 1782, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-04-05 00:00:00', 0.050000001000000002, -6.2424521449999997, -99, 1857, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-04-06 00:00:00', 5.4400000569999998, -3.3739936350000002, -99, 731, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-04-07 00:00:00', 0, -0.43515056400000002, -99, 1753, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-04-08 00:00:00', 0.88999998599999997, -6.5410485270000001, -99, 1863, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-04-09 00:00:00', 6.4400000569999998, 3.0206496719999998, -99, 580, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-04-10 00:00:00', 4.8099999430000002, 7.1849021909999999, -99, 1082, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-04-11 00:00:00', 0, 4.4922947879999997, -99, 1489, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-04-12 00:00:00', 6.1500000950000002, -1.02686882, -99, 1261, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-04-13 00:00:00', 0.109999999, 4.8682494160000003, -99, 1432, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-04-14 00:00:00', 0.10000000100000001, 0.18135246599999999, -99, 1859, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-04-15 00:00:00', 0, -1.5726146700000001, -99, 2051, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-04-16 00:00:00', 13.149999619999999, -0.84334331799999995, -99, 1829, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-04-17 00:00:00', 0, -0.802133918, -99, 1587, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-04-18 00:00:00', 0, 4.7304072379999997, -99, 1355, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-04-19 00:00:00', 0.280000001, 4.7901396749999998, -99, 1926, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-04-20 00:00:00', 0.17000000200000001, 5.7251172070000003, -99, 852, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-04-21 00:00:00', 13.72000027, 4.1386332509999999, -99, 1359, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-04-22 00:00:00', 2.4000000950000002, 1.996640682, -99, 1521, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-04-23 00:00:00', 1.8600000139999999, 2.546323299, -99, 1567, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-04-24 00:00:00', 2.579999924, 3.849534035, -99, 789, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-04-25 00:00:00', 0.66000002599999996, 4.2401242259999998, -99, 1585, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-04-26 00:00:00', 5.5999999049999998, 8.5550231930000002, -99, 1052, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-04-27 00:00:00', 0, 8.202907562, -99, 1735, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-04-28 00:00:00', 2.130000114, 6.7159333229999998, -99, 434, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-04-29 00:00:00', 1.019999981, 6.3419580460000002, -99, 1253, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-04-30 00:00:00', 0, 5.5379743579999996, -99, 2401, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-05-01 00:00:00', 0, 6.2593975070000001, -99, 2252, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-05-02 00:00:00', 0, 7.0416402820000004, -99, 2367, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-05-03 00:00:00', 0.039999999000000001, 3.2592408659999998, -99, 2371, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-05-04 00:00:00', 0, 7.8537058829999999, -99, 1177, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-05-05 00:00:00', 0, 2.3618059159999998, -99, 2274, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-05-06 00:00:00', 0, -0.368212074, -99, 1533, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-05-07 00:00:00', 0, 0.45219641900000002, -99, 2086, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-05-08 00:00:00', 3.2599999899999998, 1.756963968, -99, 1542, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-05-09 00:00:00', 2.9700000289999999, 10.421136860000001, -99, 1099, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-05-10 00:00:00', 10.710000040000001, 10.60719776, -99, 667, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-05-11 00:00:00', 0.25999999000000001, 12.75535679, -99, 1175, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-05-12 00:00:00', 0.209999993, 5.7708458900000004, -99, 1820, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-05-13 00:00:00', 0.029999998999999999, 2.1177406310000002, -99, 2187, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-05-14 00:00:00', 1.2799999710000001, 6.9759793280000002, -99, 1116, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-05-15 00:00:00', 3.119999886, 5.8417429920000004, -99, 1054, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-05-16 00:00:00', 2.579999924, 5.7439150809999999, -99, 1126, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-05-17 00:00:00', 0.23000000400000001, 3.7973463540000001, -99, 2284, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-05-18 00:00:00', 1.059999943, 3.0670194629999998, -99, 2501, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-05-19 00:00:00', 1.190000057, 9.1637268069999998, -99, 1407, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-05-20 00:00:00', 1.1799999480000001, 9.3090305329999996, -99, 2331, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-05-21 00:00:00', 0, 12.32135201, -99, 2576, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-05-22 00:00:00', 0, 14.21578598, -99, 2447, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-05-23 00:00:00', 0, 14.70256996, -99, 2566, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-05-24 00:00:00', 0, 10.192186359999999, -99, 2832, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-05-25 00:00:00', 0, 9.2504663469999997, -99, 2671, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-05-26 00:00:00', 0, 8.3610076899999992, -99, 2628, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-05-27 00:00:00', 0, 12.07546997, -99, 2528, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-05-28 00:00:00', 0.01, 9.6798830030000005, -99, 2818, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-05-29 00:00:00', 0, 8.8081531519999992, -99, 2285, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-05-30 00:00:00', 0, 7.4240074160000002, -99, 1590, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-05-31 00:00:00', 0, 6.7412171360000004, -99, 1666, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-06-01 00:00:00', 0.23999999499999999, 7.2242870330000004, -99, 2572, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-06-02 00:00:00', 0.43000000700000002, 3.5041577820000001, -99, 2464, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-06-03 00:00:00', 0, 2.6011848450000001, -99, 2288, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-06-04 00:00:00', 0.039999999000000001, 7.8106894489999998, -99, 1578, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-06-05 00:00:00', 0.039999999000000001, 4.6799697880000002, -99, 1955, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-06-06 00:00:00', 0.17000000200000001, 4.0963139530000001, -99, 1550, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-06-07 00:00:00', 2.5999999049999998, 10.050361629999999, -99, 1595, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-06-08 00:00:00', 9.9899997710000008, 11.96999168, -99, 1930, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-06-09 00:00:00', 6.8899998660000001, 10.27647018, -99, 902, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-06-10 00:00:00', 0.36000001399999998, 11.154205320000001, -99, 886, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-06-11 00:00:00', 0.40000000600000002, 10.49527264, -99, 1743, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-06-12 00:00:00', 3.4000000950000002, 7.4995455739999999, -99, 2299, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-06-13 00:00:00', 0.029999998999999999, 8.1384162900000003, -99, 1794, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-06-14 00:00:00', 0.029999998999999999, 8.2805070880000002, -99, 1481, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-06-15 00:00:00', 13.02999973, 2.829908133, -99, 1703, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-06-16 00:00:00', 0.689999998, 11.773982999999999, -99, 1927, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-06-17 00:00:00', 1.7999999520000001, 10.673786160000001, -99, 1528, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-06-18 00:00:00', 24.879999160000001, 8.4432430269999994, -99, 712, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-06-19 00:00:00', 0, 7.8514161109999998, -99, 2362, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-06-20 00:00:00', 0, 7.7939910890000004, -99, 2702, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-06-21 00:00:00', 4.5999999049999998, 9.9784326550000007, -99, 2862, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-06-22 00:00:00', 1.2799999710000001, 13.29189491, -99, 2386, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-06-23 00:00:00', 8.1000003809999992, 12.218984600000001, -99, 1946, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-06-24 00:00:00', 14.43000031, 11.96780682, -99, 670, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-06-25 00:00:00', 2.8900001049999999, 10.395522120000001, -99, 1783, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-06-26 00:00:00', 0, 11.620562550000001, -99, 1509, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-06-27 00:00:00', 0, 9.5422534940000006, -99, 2093, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-06-28 00:00:00', 2.2300000190000002, 7.2476830479999999, -99, 1888, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-06-29 00:00:00', 2.0099999899999998, 14.50361633, -99, 1364, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-06-30 00:00:00', 3.7699999809999998, 12.416184429999999, -99, 2291, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-07-01 00:00:00', 0.540000021, 12.87893772, -99, 2256, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-07-02 00:00:00', 0, 10.67959976, -99, 2055, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-07-03 00:00:00', 0, 10.49923611, -99, 2149, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-07-04 00:00:00', 0, 13.408954619999999, -99, 2638, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-07-05 00:00:00', 0, 13.576408389999999, -99, 2557, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-07-06 00:00:00', 0.730000019, 15.927857400000001, -99, 949, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-07-07 00:00:00', 0.34999999399999998, 15.15889645, -99, 1997, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-07-08 00:00:00', 10.34000015, 12.378560070000001, -99, 2665, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-07-09 00:00:00', 9.8100004199999997, 14.995179179999999, -99, 1117, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-07-10 00:00:00', 0.5, 12.833448410000001, -99, 1261, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-07-11 00:00:00', 11.880000109999999, 10.95022488, -99, 1493, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-07-12 00:00:00', 3.7300000190000002, 9.6185083389999999, -99, 1748, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-07-13 00:00:00', 2.5299999710000001, 10.068858150000001, -99, 2111, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-07-14 00:00:00', 3.6500000950000002, 13.18658924, -99, 1434, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-07-15 00:00:00', 3.420000076, 10.05181503, -99, 1910, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-07-16 00:00:00', 4.0199999809999998, 9.2752332689999992, -99, 1851, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-07-17 00:00:00', 0.50999998999999996, 9.5579738620000008, -99, 1861, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-07-18 00:00:00', 10.19999981, 10.19115925, -99, 1302, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-07-19 00:00:00', 5.6500000950000002, 13.49518299, -99, 1505, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-07-20 00:00:00', 0.039999999000000001, 11.878395080000001, -99, 1614, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-07-21 00:00:00', 0.02, 9.4447507860000002, -99, 2021, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-07-22 00:00:00', 0.02, 7.7389879229999998, -99, 1968, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-07-23 00:00:00', 0, 12.28488636, -99, 2509, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-07-24 00:00:00', 0, 12.337461469999999, -99, 2629, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-07-25 00:00:00', 0, 12.8461771, -99, 2521, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-07-26 00:00:00', 0, 12.77750492, -99, 2558, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-07-27 00:00:00', 0.60000002399999997, 8.7208824160000002, -99, 2475, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-07-28 00:00:00', 2.8099999430000002, 16.26849747, -99, 961, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-07-29 00:00:00', 3.9900000100000002, 8.3803262709999995, -99, 828, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-07-30 00:00:00', 11.34000015, 8.7587537770000008, -99, 1422, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-07-31 00:00:00', 1.1299999949999999, 10.03649139, -99, 1959, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-08-01 00:00:00', 0, 9.7423830030000005, -99, 1639, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-08-02 00:00:00', 12.02000046, 16.337938309999998, -99, 1269, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-08-03 00:00:00', 0.189999998, 12.614161490000001, -99, 1886, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-08-04 00:00:00', 2.4300000669999999, 10.65700245, -99, 1443, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-08-05 00:00:00', 6.3800001139999996, 11.96936226, -99, 2169, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-08-06 00:00:00', 7.75, 15.261065479999999, -99, 1657, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-08-07 00:00:00', 2.9300000669999999, 13.07530403, -99, 1594, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-08-08 00:00:00', 0.059999998999999998, 11.00941944, -99, 1795, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-08-09 00:00:00', 0.01, 10.72631359, -99, 1758, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-08-10 00:00:00', 0.029999998999999999, 10.87819767, -99, 1701, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-08-11 00:00:00', 0, 9.1121168140000002, -99, 2113, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-08-12 00:00:00', 0, 8.1847448350000001, -99, 2121, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-08-13 00:00:00', 0.01, 9.9230213169999999, -99, 2204, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-08-14 00:00:00', 0, 12.23799801, -99, 2186, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-08-15 00:00:00', 0, 10.791419980000001, -99, 2181, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-08-16 00:00:00', 8.1199998860000004, 14.82299042, -99, 783, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-08-17 00:00:00', 0.090000003999999995, 11.183212279999999, -99, 1892, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-08-18 00:00:00', 0, 17.334726329999999, -99, 1966, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-08-19 00:00:00', 0, 15.99873161, -99, 1957, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-08-20 00:00:00', 0, 17.663160319999999, -99, 2067, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-08-21 00:00:00', 12.85999966, 15.74675083, -99, 1215, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-08-22 00:00:00', 7.7899999619999996, 11.896059989999999, -99, 1598, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-08-23 00:00:00', 0.68000000699999996, 13.401497839999999, -99, 1506, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-08-24 00:00:00', 0.38999998600000002, 12.01166439, -99, 892, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-08-25 00:00:00', 21.11000061, 11.843630790000001, -99, 800, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-08-26 00:00:00', 4.2199997900000001, 14.44385338, -99, 1420, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-08-27 00:00:00', 1.8700000050000001, 11.04505634, -99, 1853, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-08-28 00:00:00', 1.460000038, 12.51594448, -99, 831, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-08-29 00:00:00', 0, 9.0650672910000001, -99, 1538, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-08-30 00:00:00', 1.1000000240000001, 13.79629707, -99, 1458, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-08-31 00:00:00', 0, 8.8123798369999999, -99, 1521, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-09-01 00:00:00', 1.3600000139999999, 11.06187534, -99, 1286, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-09-02 00:00:00', 0.280000001, 12.915960309999999, -99, 905, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-09-03 00:00:00', 0, 12.486900329999999, -99, 1638, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-09-04 00:00:00', 0.15999999600000001, 13.34446621, -99, 1058, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-09-05 00:00:00', 0.109999999, 9.1504793170000003, -99, 1180, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-09-06 00:00:00', 2.0199999809999998, 7.7740178110000002, -99, 1066, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-09-07 00:00:00', 0, 13.8938179, -99, 1348, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-09-08 00:00:00', 0.029999998999999999, 7.787045956, -99, 1408, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-09-09 00:00:00', 0, 11.72217178, -99, 1350, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-09-10 00:00:00', 0.33000001299999998, 14.82277393, -99, 1091, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-09-11 00:00:00', 4.4400000569999998, 14.505375859999999, -99, 837, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-09-12 00:00:00', 3.4700000289999999, 6.9762086869999997, -99, 1388, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-09-13 00:00:00', 1.2999999520000001, 4.344038963, -99, 1229, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-09-14 00:00:00', 9.4099998469999999, 10.656826969999999, -99, 862, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-09-15 00:00:00', 0.059999998999999998, 10.38765049, -99, 886, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-09-16 00:00:00', 0.62000000499999997, 11.397854799999999, -99, 882, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-09-17 00:00:00', 1.9299999480000001, 14.073073389999999, -99, 1382, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-09-18 00:00:00', 5.7600002290000001, 10.15365791, -99, 919, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-09-19 00:00:00', 6.420000076, 7.4025883669999999, -99, 915, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-09-20 00:00:00', 5.3000001909999996, 6.6901473999999999, -99, 922, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-09-21 00:00:00', 13.920000079999999, 9.2113046650000001, -99, 478, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-09-22 00:00:00', 0.30000001199999998, 6.6435470580000002, -99, 1193, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-09-23 00:00:00', 0.050000001000000002, 3.8502414229999999, -99, 1196, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-09-24 00:00:00', 22.590000150000002, 6.6795353889999998, -99, 280, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-09-25 00:00:00', 4.2800002099999999, 9.6518573760000006, -99, 551, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-09-26 00:00:00', 3.119999886, 7.2483034130000004, -99, 331, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-09-27 00:00:00', 8.3500003809999992, 8.5108194350000002, -99, 544, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-09-28 00:00:00', 8.0900001530000001, 6.9325399399999998, -99, 817, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-09-29 00:00:00', 7.0900001530000001, 10.37928677, -99, 893, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-09-30 00:00:00', 1.8700000050000001, 7.617193222, -99, 672, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-10-01 00:00:00', 2.7799999710000001, 11.700654979999999, -99, 384, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-10-02 00:00:00', 5.6500000950000002, 12.359602929999999, -99, 901, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-10-03 00:00:00', 6.5900001530000001, 11.69207668, -99, 371, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-10-04 00:00:00', 2.539999962, 6.9780101779999999, -99, 714, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-10-05 00:00:00', 7.2199997900000001, 5.3060631750000002, -99, 287, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-10-06 00:00:00', 3.1900000569999998, 7.4151048660000001, -99, 693, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-10-07 00:00:00', 2.710000038, 5.055902004, -99, 819, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-10-08 00:00:00', 1.2400000099999999, 6.3951745029999998, -99, 815, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-10-09 00:00:00', 1.6200000050000001, 4.6495056149999998, -99, 937, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-10-10 00:00:00', 0.980000019, 4.5978498459999999, -99, 870, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-10-11 00:00:00', 1.019999981, 4.8721776009999997, -99, 797, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-10-12 00:00:00', 13.920000079999999, 4.0431904789999997, -99, 815, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-10-13 00:00:00', 1.7799999710000001, 8.1916227339999992, -99, 798, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-10-14 00:00:00', 1.039999962, 6.5488548279999996, -99, 449, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-10-15 00:00:00', 3.4900000100000002, 2.797506571, -99, 566, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-10-16 00:00:00', 5.3200001720000003, 5.4678678510000003, -99, 377, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-10-17 00:00:00', 1.8300000430000001, 6.7729043960000004, -99, 561, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-10-18 00:00:00', 9.1199998860000004, 10.700266839999999, -99, 224, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-10-19 00:00:00', 3.1800000669999999, 11.78530407, -99, 329, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-10-20 00:00:00', 0.01, 11.97980022, -99, 380, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-10-21 00:00:00', 2.9300000669999999, 8.3186731340000009, -99, 321, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-10-22 00:00:00', 1.7999999520000001, 10.087658879999999, -99, 218, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-10-23 00:00:00', 0.079999998000000003, 10.030075070000001, -99, 284, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-10-24 00:00:00', 0.52999997099999996, 9.0462369920000008, -99, 325, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-10-25 00:00:00', 0.43000000700000002, 7.5976853369999997, -99, 498, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-10-26 00:00:00', 2.9300000669999999, -4.534869671, -99, 455, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-10-27 00:00:00', 0.12999999500000001, -4.0125069619999998, -99, 660, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-10-28 00:00:00', 0.62000000499999997, -4.5467000009999996, -99, 645, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-10-29 00:00:00', 14.30000019, 3.0974147319999998, -99, 236, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-10-30 00:00:00', 0.23000000400000001, -0.56501323000000003, -99, 544, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-10-31 00:00:00', 0, 1.8791638610000001, -99, 335, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-11-01 00:00:00', 11.56999969, 3.9195084570000001, -99, 234, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-11-02 00:00:00', 12.06999969, 5.6835236550000001, -99, 230, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-11-03 00:00:00', 7.8000001909999996, 4.1712760930000004, -99, 283, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-11-04 00:00:00', 0.60000002399999997, 4.4062781329999998, -99, 495, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-11-05 00:00:00', 2.460000038, 4.3996405599999999, -99, 377, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-11-06 00:00:00', 5.8699998860000004, -0.71298873399999996, -99, 276, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-11-07 00:00:00', 4.579999924, 6.745801449, -99, 271, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-11-08 00:00:00', 5.4000000950000002, 8.5649824139999993, -99, 340, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-11-09 00:00:00', 0.119999997, 7.2197661399999999, -99, 185, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-11-10 00:00:00', 1.5900000329999999, 6.1391253470000002, -99, 171, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-11-11 00:00:00', 2.0099999899999998, 8.0403871539999994, -99, 418, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-11-12 00:00:00', 0.980000019, 3.9076590539999998, -99, 407, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-11-13 00:00:00', 0.44999998800000002, 2.108069897, -99, 166, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-11-14 00:00:00', 0.10000000100000001, 6.9413633350000001, -99, 151, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-11-15 00:00:00', 0.029999998999999999, 8.1899700160000002, -99, 210, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-11-16 00:00:00', 0, 6.3128328319999998, -99, 204, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-11-17 00:00:00', 0.34999999399999998, -1.3240249159999999, -99, 206, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-11-18 00:00:00', 0.029999998999999999, 0.13680131700000001, -99, 223, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-11-19 00:00:00', 0.15000000599999999, -1.1059361700000001, -99, 354, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-11-20 00:00:00', 0.070000000000000007, 4.414710522, -99, 170, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-11-21 00:00:00', 0.439999998, 4.9163537030000004, -99, 100, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-11-22 00:00:00', 0.18000000699999999, 3.774802685, -99, 273, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-11-23 00:00:00', 4.1900000569999998, 4.348605633, -99, 95, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-11-24 00:00:00', 0.25, 2.1293392180000001, -99, 181, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-11-25 00:00:00', 20.450000760000002, 3.3993525509999998, -99, 73, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-11-26 00:00:00', 1.2000000479999999, 6.8320779800000002, -99, 177, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-11-27 00:00:00', 0.980000019, 4.7193350790000004, -99, 155, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-11-28 00:00:00', 0.17000000200000001, 3.1811499599999999, -99, 144, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-11-29 00:00:00', 0.109999999, 1.9076963659999999, -99, 238, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-11-30 00:00:00', 0, -2.3585729600000001, -99, 250, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-12-01 00:00:00', 2.5999999049999998, -6.1682415009999998, -99, 187, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-12-02 00:00:00', 1.3999999759999999, -0.238547221, -99, 220, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-12-03 00:00:00', 5.1399998660000001, -10.062847140000001, -99, 175, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-12-04 00:00:00', 0.55000001200000004, -0.034221288000000002, -99, 125, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-12-05 00:00:00', 0.310000002, -11.49236202, -99, 243, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-12-06 00:00:00', 0.61000001400000003, -8.5646076200000003, -99, 231, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-12-07 00:00:00', 0.14000000100000001, -7.3241591450000003, -99, 197, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-12-08 00:00:00', 3.5199999809999998, -11.482873919999999, -99, 189, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-12-09 00:00:00', 4.0500001909999996, -9.7812948229999996, -99, 179, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-12-10 00:00:00', 0.730000019, -0.59298354399999997, -99, 148, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-12-11 00:00:00', 0, -5.5755105020000002, -99, 205, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-12-12 00:00:00', 0, -14.528543470000001, -99, 230, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-12-13 00:00:00', 0.37999999499999998, -10.846990590000001, -99, 115, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-12-14 00:00:00', 6.3000001909999996, -2.4027020929999998, -99, 152, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-12-15 00:00:00', 2.6099998950000001, -1.0112982989999999, -99, 106, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-12-16 00:00:00', 2.7200000289999999, 2.5619201660000002, -99, 109, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-12-17 00:00:00', 1.1499999759999999, 2.5852098460000001, -99, 126, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-12-18 00:00:00', 0.079999998000000003, 2.5684428220000002, -99, 128, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-12-19 00:00:00', 0.039999999000000001, 1.4760287999999999, -99, 109, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-12-20 00:00:00', 0, 0.77320182299999995, -99, 160, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-12-21 00:00:00', 0, 0.43534576899999999, -99, 164, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-12-22 00:00:00', 2.0999999049999998, -0.73510444200000002, -99, 148, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-12-23 00:00:00', 7.3600001339999999, -1.7471930979999999, -99, 41, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-12-24 00:00:00', 10.010000229999999, 1.534446478, -99, 186, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-12-25 00:00:00', 4.4699997900000001, 3.953716993, -99, 108, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-12-26 00:00:00', 5.6799998279999997, 5.2870812420000002, -99, 186, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-12-27 00:00:00', 4.0500001909999996, 3.8857958319999999, -99, 155, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-12-28 00:00:00', 3.8099999430000002, -5.458173275, -99, 132, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-12-29 00:00:00', 0.66000002599999996, -0.17184709000000001, -99, 101, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-12-30 00:00:00', 10.15999985, 6.494056702, -99, 180, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2012-12-31 00:00:00', 10.739999770000001, 2.8784310820000001, -99, 101, 'ask', 'ask_2012');
INSERT INTO public.cdy_cldat VALUES ('2013-01-01 00:00:00', 1.3600000139999999, 6.5247597690000001, -99, 169, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-01-02 00:00:00', 4.4699997900000001, 2.3959753510000001, -99, 180, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-01-03 00:00:00', 0.37000000500000002, 5.0157909390000004, -99, 150, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-01-04 00:00:00', 6.0700001720000003, 5.2945671079999999, -99, 30, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-01-05 00:00:00', 0.50999998999999996, 7.0498027800000003, -99, 93, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-01-06 00:00:00', 0.30000001199999998, 4.9450960159999999, -99, 65, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-01-07 00:00:00', 3.4900000100000002, 3.5989048480000001, -99, 36, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-01-08 00:00:00', 2.6600000860000002, 5.0569071770000003, -99, 95, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-01-09 00:00:00', 6.0100002290000001, 5.5769562720000003, -99, 63, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-01-10 00:00:00', 0.01, 0.618689716, -99, 191, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-01-11 00:00:00', 0.15999999600000001, -1.5388513800000001, -99, 219, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-01-12 00:00:00', 0.469999999, -6.3032035830000002, -99, 112, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-01-13 00:00:00', 1.0900000329999999, -3.9785642619999999, -99, 234, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-01-14 00:00:00', 3.2699999809999998, -4.3242816929999996, -99, 154, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-01-15 00:00:00', 0.30000001199999998, -6.6867494580000004, -99, 155, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-01-16 00:00:00', 0.5, -11.490237240000001, -99, 207, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-01-17 00:00:00', 0.070000000000000007, -8.5528783799999992, -99, 156, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-01-18 00:00:00', 0.17000000200000001, -7.7170720099999999, -99, 188, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-01-19 00:00:00', 0.14000000100000001, -3.2890920640000001, -99, 144, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-01-20 00:00:00', 0.039999999000000001, -8.1229610440000002, -99, 261, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-01-21 00:00:00', 0.15999999600000001, -6.0151023859999997, -99, 231, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-01-22 00:00:00', 0.18000000699999999, -3.0550377370000001, -99, 172, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-01-23 00:00:00', 0, -3.5154118539999999, -99, 176, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-01-24 00:00:00', 0, -6.1384921070000003, -99, 244, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-01-25 00:00:00', 0.039999999000000001, -13.003184320000001, -99, 157, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-01-26 00:00:00', 1.8899999860000001, -7.3514871599999996, -99, 78, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-01-27 00:00:00', 5.0100002290000001, -3.886008978, -99, 66, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-01-28 00:00:00', 6.3200001720000003, 1.814760089, -99, 259, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-01-29 00:00:00', 8.4600000380000004, 0.40121135099999999, -99, 339, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-01-30 00:00:00', 4.1300001139999996, 2.8584342, -99, 222, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-01-31 00:00:00', 3.4300000669999999, 4.3826398849999997, -99, 169, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-02-01 00:00:00', 2.0899999139999998, 2.3466227050000001, -99, 239, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-02-02 00:00:00', 0, -1.292310834, -99, 396, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-02-03 00:00:00', 4.9299998279999997, -3.5476279260000001, -99, 156, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-02-04 00:00:00', 5.6100001339999999, 1.12271893, -99, 293, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-02-05 00:00:00', 4.6799998279999997, 0.80705416200000002, -99, 361, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-02-06 00:00:00', 1.1100000139999999, -0.058909471999999997, -99, 374, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-02-07 00:00:00', 0.050000001000000002, -3.2518780230000002, -99, 264, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-02-08 00:00:00', 0.02, -1.798434377, -99, 198, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-02-09 00:00:00', 0, -3.248387814, -99, 322, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-02-10 00:00:00', 0, -4.4296398159999999, -99, 453, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-02-11 00:00:00', 0.02, -4.4902696610000001, -99, 457, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-02-12 00:00:00', 0.079999998000000003, -2.5741953849999999, -99, 361, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-02-13 00:00:00', 0, -2.8211317060000001, -99, 226, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-02-14 00:00:00', 0, -4.5017004009999999, -99, 510, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-02-15 00:00:00', 0.119999997, -2.9204001430000002, -99, 268, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-02-16 00:00:00', 0, -0.325560719, -99, 281, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-02-17 00:00:00', 0, 0.109420769, -99, 286, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-02-18 00:00:00', 2.7000000480000002, -1.539963365, -99, 276, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-02-19 00:00:00', 0.050000001000000002, 1.203145385, -99, 314, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-02-20 00:00:00', 0.059999998999999998, -1.912497044, -99, 316, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-02-21 00:00:00', 0, -2.6510593889999998, -99, 425, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-02-22 00:00:00', 0, -4.2566847799999996, -99, 488, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-02-23 00:00:00', 0, -2.6376721860000001, -99, 422, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-02-24 00:00:00', 0.33000001299999998, -1.7077988390000001, -99, 237, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-02-25 00:00:00', 0.219999999, -0.063258468999999998, -99, 314, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-02-26 00:00:00', 0, -0.023705468, -99, 632, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-02-27 00:00:00', 0.059999998999999998, -7.1861720089999999, -99, 474, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-02-28 00:00:00', 0.219999999, -1.6019852160000001, -99, 401, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-03-01 00:00:00', 0.17000000200000001, -0.78367376300000002, -99, 969, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-03-02 00:00:00', 0.560000002, -3.2277891639999998, -99, 562, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-03-03 00:00:00', 0.050000001000000002, 1.387202501, -99, 993, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-03-04 00:00:00', 0.15999999600000001, -4.7621402740000001, -99, 958, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-03-05 00:00:00', 0, -2.9512243269999998, -99, 1047, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-03-06 00:00:00', 0, -3.0505843160000001, -99, 520, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-03-07 00:00:00', 0, 2.8934543129999999, -99, 1024, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-03-08 00:00:00', 0, 0.51165020500000002, -99, 671, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-03-09 00:00:00', 0.050000001000000002, -0.59771621200000002, -99, 873, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-03-10 00:00:00', 0.709999979, -3.6367344859999999, -99, 622, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-03-11 00:00:00', 0.01, -5.7678093910000001, -99, 1000, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-03-12 00:00:00', 0.94999998799999996, -12.8537035, -99, 1166, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-03-13 00:00:00', 0.68000000699999996, -2.7362208369999999, -99, 764, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-03-14 00:00:00', 0, -8.1415271760000003, -99, 1206, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-03-15 00:00:00', 0.02, -10.16401958, -99, 1312, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-03-16 00:00:00', 2.3399999139999998, -3.6282591819999999, -99, 314, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-03-17 00:00:00', 0, -1.2312865260000001, -99, 918, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-03-18 00:00:00', 0.50999998999999996, -0.95875185699999999, -99, 265, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-03-19 00:00:00', 0.730000019, -2.3622694019999999, -99, 736, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-03-20 00:00:00', 1.7200000289999999, -3.605391741, -99, 474, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-03-21 00:00:00', 0.75999998999999996, -5.8678269390000004, -99, 834, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-03-22 00:00:00', 0.37999999499999998, -6.6825270650000004, -99, 1054, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-03-23 00:00:00', 0.050000001000000002, -6.0021543499999996, -99, 1130, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-03-24 00:00:00', 0, -6.1921420100000004, -99, 1429, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-03-25 00:00:00', 0.050000001000000002, -3.4541347029999998, -99, 1093, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-03-26 00:00:00', 0.050000001000000002, -4.8419542309999999, -99, 1588, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-03-27 00:00:00', 0, -3.0727269650000002, -99, 1423, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-03-28 00:00:00', 0.469999999, -3.5584270949999999, -99, 1526, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-03-29 00:00:00', 0.27000001099999998, -1.354828358, -99, 585, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-03-30 00:00:00', 0.209999993, -3.782880306, -99, 771, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-03-31 00:00:00', 0, -6.3259496689999999, -99, 1708, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-04-01 00:00:00', 0, -6.0114488599999998, -99, 1664, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-04-02 00:00:00', 0.039999999000000001, -5.9984021189999996, -99, 1692, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-04-03 00:00:00', 0, -6.2187356950000003, -99, 1722, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-04-04 00:00:00', 0.039999999000000001, -3.5738973619999999, -99, 1552, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-04-05 00:00:00', 0.039999999000000001, -5.2288799289999996, -99, 1668, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-04-06 00:00:00', 0.5, -5.136402607, -99, 1479, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-04-07 00:00:00', 1.5099999900000001, -1.1629639860000001, -99, 734, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-04-08 00:00:00', 0, -4.9914908410000001, -99, 1832, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-04-09 00:00:00', 0, -0.90126514400000002, -99, 1725, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-04-10 00:00:00', 7.1500000950000002, 0.42168355000000002, -99, 437, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-04-11 00:00:00', 0.25999999000000001, 1.646896243, -99, 810, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-04-12 00:00:00', 0.89999997600000003, 2.584022284, -99, 529, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-04-13 00:00:00', 0.41999998700000002, 3.9132795329999999, -99, 867, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-04-14 00:00:00', 0.14000000100000001, 2.676762342, -99, 511, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-04-15 00:00:00', 0.079999998000000003, 10.77412605, -99, 1295, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-04-16 00:00:00', 0.939999998, 3.6135754590000002, -99, 1379, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-04-17 00:00:00', 1.980000019, 4.1227145199999997, -99, 1977, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-04-18 00:00:00', 0.079999998000000003, 11.817811969999999, -99, 1562, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-04-19 00:00:00', 0.119999997, 5.3166193960000001, -99, 1244, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-04-20 00:00:00', 0, 0.74582767500000002, -99, 2126, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-04-21 00:00:00', 0.090000003999999995, -1.305001259, -99, 1887, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-04-22 00:00:00', 0.49000000999999999, 5.3841013909999997, -99, 2113, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-04-23 00:00:00', 0, 6.0613226889999998, -99, 1892, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-04-24 00:00:00', 2.6099998950000001, 3.1046154499999998, -99, 1724, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-04-25 00:00:00', 9.5900001530000001, 1.895488858, -99, 1542, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-04-26 00:00:00', 0.119999997, 5.251305103, -99, 1201, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-04-27 00:00:00', 0, 1.314447403, -99, 1925, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-04-28 00:00:00', 0.039999999000000001, -1.40800035, -99, 2059, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-04-29 00:00:00', 0.66000002599999996, 2.067731142, -99, 1346, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-04-30 00:00:00', 0, 4.420464516, -99, 1949, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-05-01 00:00:00', 0, -3.6243484019999999, -99, 2432, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-05-02 00:00:00', 0, -3.4964849949999999, -99, 2364, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-05-03 00:00:00', 0, -0.10921318100000001, -99, 2397, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-05-04 00:00:00', 0, 3.350152493, -99, 2235, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-05-05 00:00:00', 0, 5.1961479190000004, -99, 2082, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-05-06 00:00:00', 0, 2.0223083499999999, -99, 2304, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-05-07 00:00:00', 3.1500000950000002, 8.3293561940000007, -99, 2366, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-05-08 00:00:00', 2.1600000860000002, 10.62535667, -99, 968, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-05-09 00:00:00', 0.050000001000000002, 10.95344734, -99, 1948, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-05-10 00:00:00', 0.63999998599999997, 5.1463446619999997, -99, 1251, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-05-11 00:00:00', 13.94999981, 9.3047456739999994, -99, 1131, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-05-12 00:00:00', 0.109999999, 4.1894025800000003, -99, 1108, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-05-13 00:00:00', 5.6900000569999998, 5.3961443899999999, -99, 803, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-05-14 00:00:00', 1.1799999480000001, 2.6523315909999998, -99, 2243, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-05-15 00:00:00', 17.219999309999999, 8.0811843870000004, -99, 1668, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-05-16 00:00:00', 2.4000000950000002, 9.4942655560000002, -99, 2126, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-05-17 00:00:00', 0.059999998999999998, 13.67506981, -99, 2476, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-05-18 00:00:00', 0.039999999000000001, 13.99955368, -99, 1891, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-05-19 00:00:00', 0.519999981, 9.9336500169999997, -99, 1094, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-05-20 00:00:00', 0.070000000000000007, 13.009789469999999, -99, 1137, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-05-21 00:00:00', 2.2699999809999998, 12.08768749, -99, 843, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-05-22 00:00:00', 2.920000076, 8.3497591020000002, -99, 1243, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-05-23 00:00:00', 0.12999999500000001, 3.9797649380000002, -99, 2148, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-05-24 00:00:00', 0.34999999399999998, 6.0924091340000004, -99, 2328, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-05-25 00:00:00', 1.7799999710000001, 5.814703465, -99, 1117, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-05-26 00:00:00', 4.7399997709999999, 10.01952839, -99, 2485, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-05-27 00:00:00', 0, 11.010353090000001, -99, 1573, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-05-28 00:00:00', 2.0199999809999998, 5.3050208090000002, -99, 1231, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-05-29 00:00:00', 2.170000076, 10.629059789999999, -99, 856, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-05-30 00:00:00', 0, 9.9297628400000004, -99, 2257, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-05-31 00:00:00', 0.15000000599999999, 10.9400835, -99, 2191, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-06-01 00:00:00', 0, 11.77744579, -99, 1940, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-06-02 00:00:00', 0, 9.8354244229999992, -99, 2759, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-06-03 00:00:00', 0, 6.6514863970000002, -99, 2852, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-06-04 00:00:00', 0, 7.6414074899999997, -99, 2773, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-06-05 00:00:00', 0, 7.5007743839999996, -99, 2753, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-06-06 00:00:00', 0, 7.0696635250000002, -99, 2585, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-06-07 00:00:00', 0, 7.3879508969999996, -99, 2781, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-06-08 00:00:00', 0, 6.2854795460000004, -99, 1487, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-06-09 00:00:00', 0.029999998999999999, 9.6745338440000008, -99, 2133, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-06-10 00:00:00', 0, 7.4348607060000003, -99, 2659, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-06-11 00:00:00', 0, 9.6971683500000001, -99, 1428, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-06-12 00:00:00', 13.130000109999999, 4.7014513019999997, -99, 1235, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-06-13 00:00:00', 3.5999999049999998, 14.55132008, -99, 2176, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-06-14 00:00:00', 0.029999998999999999, 11.01321411, -99, 2608, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-06-15 00:00:00', 6.8200001720000003, 7.9265284539999996, -99, 1355, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-06-16 00:00:00', 0.38999998600000002, 7.940251827, -99, 1491, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-06-17 00:00:00', 0, 9.9670505519999999, -99, 2689, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-06-18 00:00:00', 5.4800000190000002, 10.487262729999999, -99, 2705, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-06-19 00:00:00', 6.329999924, 15.501074790000001, -99, 744, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-06-20 00:00:00', 3.5099999899999998, 15.48599815, -99, 1689, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-06-21 00:00:00', 14.380000109999999, 15.701562880000001, -99, 670, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-06-22 00:00:00', 5.9899997709999999, 12.95840359, -99, 727, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-06-23 00:00:00', 8.1999998089999995, 12.698068620000001, -99, 1351, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-06-24 00:00:00', 0.219999999, 12.13869953, -99, 1292, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-06-25 00:00:00', 0.109999999, 11.83543873, -99, 1496, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-06-26 00:00:00', 2.630000114, 10.315752030000001, -99, 1421, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-06-27 00:00:00', 6.329999924, 10.93917751, -99, 852, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-06-28 00:00:00', 3.3199999330000001, 9.5201492309999995, -99, 784, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-06-29 00:00:00', 0.30000001199999998, 10.56696415, -99, 2278, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-06-30 00:00:00', 0, 8.6168994899999998, -99, 1365, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-07-01 00:00:00', 1.8400000329999999, 12.85416889, -99, 911, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-07-02 00:00:00', 0.02, 8.0184593199999998, -99, 2358, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-07-03 00:00:00', 0.14000000100000001, 12.109010700000001, -99, 789, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-07-04 00:00:00', 0.02, 12.746209139999999, -99, 1109, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-07-05 00:00:00', 0, 14.01751709, -99, 2644, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-07-06 00:00:00', 0, 6.1991529459999999, -99, 2635, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-07-07 00:00:00', 0, 8.1123456950000001, -99, 2691, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-07-08 00:00:00', 0, 10.85528946, -99, 2664, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-07-09 00:00:00', 0, 8.5899515149999992, -99, 2639, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-07-10 00:00:00', 0, 12.08778858, -99, 2594, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-07-11 00:00:00', 0, 9.0724725720000006, -99, 2548, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-07-12 00:00:00', 0, 6.5978369710000004, -99, 2568, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-07-13 00:00:00', 0, 10.93843174, -99, 1660, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-07-14 00:00:00', 0, 12.486612320000001, -99, 1623, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-07-15 00:00:00', 0, 10.45628357, -99, 1631, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-07-16 00:00:00', 0, 12.02705383, -99, 2313, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-07-17 00:00:00', 0, 12.80050087, -99, 2433, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-07-18 00:00:00', 0, 12.83070946, -99, 2484, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-07-19 00:00:00', 0, 14.540300370000001, -99, 1844, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-07-20 00:00:00', 0, 8.2416963580000004, -99, 2587, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-07-21 00:00:00', 0, 12.41712856, -99, 2477, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-07-22 00:00:00', 0.15999999600000001, 9.2736101150000003, -99, 2430, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-07-23 00:00:00', 0.02, 13.61212063, -99, 2415, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-07-24 00:00:00', 2.2400000100000002, 13.084869380000001, -99, 2339, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-07-25 00:00:00', 2.1500000950000002, 16.013494489999999, -99, 1601, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-07-26 00:00:00', 3.710000038, 13.67916775, -99, 1794, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-07-27 00:00:00', 6.9000000950000002, 17.95534134, -99, 1979, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-07-28 00:00:00', 0.17000000200000001, 18.192716600000001, -99, 1439, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-07-29 00:00:00', 0.25, 11.917425160000001, -99, 2229, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-07-30 00:00:00', 1.059999943, 13.867214199999999, -99, 2000, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-07-31 00:00:00', 1.7000000479999999, 12.29312706, -99, 1826, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-08-01 00:00:00', 2.2400000100000002, 10.748691559999999, -99, 897, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-08-02 00:00:00', 0.029999998999999999, 16.570972439999998, -99, 2341, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-08-03 00:00:00', 0.039999999000000001, 20.405956270000001, -99, 1744, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-08-04 00:00:00', 0, 11.140378950000001, -99, 2142, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-08-05 00:00:00', 8.0900001530000001, 12.390424729999999, -99, 1820, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-08-06 00:00:00', 0.30000001199999998, 16.690624239999998, -99, 1363, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-08-07 00:00:00', 10.93999958, 8.7866783139999995, -99, 1894, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-08-08 00:00:00', 1.460000038, 13.13060284, -99, 1144, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-08-09 00:00:00', 4.3000001909999996, 10.173825259999999, -99, 2033, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-08-10 00:00:00', 6.579999924, 12.433332439999999, -99, 1176, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-08-11 00:00:00', 3.1900000569999998, 10.96578693, -99, 1210, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-08-12 00:00:00', 4.8000001909999996, 11.0769701, -99, 1668, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-08-13 00:00:00', 3.3499999049999998, 8.1945085530000004, -99, 1569, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-08-14 00:00:00', 0, 11.434498789999999, -99, 1980, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-08-15 00:00:00', 1.4500000479999999, 8.7832765580000007, -99, 1623, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-08-16 00:00:00', 1.690000057, 14.92392826, -99, 901, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-08-17 00:00:00', 0.85000002399999997, 15.288965230000001, -99, 1837, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-08-18 00:00:00', 0.959999979, 16.03941536, -99, 1410, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-08-19 00:00:00', 0, 9.2442836760000002, -99, 1661, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-08-20 00:00:00', 0.039999999000000001, 7.5436701770000001, -99, 1186, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-08-21 00:00:00', 0, 9.4748258589999992, -99, 1276, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-08-22 00:00:00', 0, 11.740702629999999, -99, 1533, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-08-23 00:00:00', 0, 11.45606613, -99, 1855, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-08-24 00:00:00', 0, 14.12274933, -99, 1902, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-08-25 00:00:00', 0, 13.61408997, -99, 1826, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-08-26 00:00:00', 0, 9.8166341779999993, -99, 1769, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-08-27 00:00:00', 0, 11.600041389999999, -99, 1649, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-08-28 00:00:00', 0.039999999000000001, 9.3585004810000001, -99, 1662, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-08-29 00:00:00', 0.560000002, 8.2643089290000002, -99, 1211, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-08-30 00:00:00', 0.64999997600000003, 11.602440830000001, -99, 738, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-08-31 00:00:00', 1.7400000099999999, 13.765079500000001, -99, 1448, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-09-01 00:00:00', 11.25, 8.3151359560000007, -99, 813, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-09-02 00:00:00', 5.4499998090000004, 11.94230175, -99, 500, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-09-03 00:00:00', 0.039999999000000001, 14.812171940000001, -99, 739, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-09-04 00:00:00', 0, 9.5782394409999991, -99, 673, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-09-05 00:00:00', 0.039999999000000001, 15.031201360000001, -99, 1448, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-09-06 00:00:00', 0.280000001, 15.220412250000001, -99, 1690, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-09-07 00:00:00', 7.4800000190000002, 15.53580666, -99, 1191, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-09-08 00:00:00', 2.1500000950000002, 15.571831700000001, -99, 831, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-09-09 00:00:00', 17.459999079999999, 10.332098009999999, -99, 267, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-09-10 00:00:00', 7.8800001139999996, 6.9549326899999997, -99, 1402, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-09-11 00:00:00', 1.6599999670000001, 10.74121952, -99, 1200, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-09-12 00:00:00', 0.87000000499999997, 7.7438259120000001, -99, 848, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-09-13 00:00:00', 0.039999999000000001, 10.20185947, -99, 1291, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-09-14 00:00:00', 12.34000015, 10.38695049, -99, 564, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-09-15 00:00:00', 10.149999619999999, 12.31103706, -99, 874, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-09-16 00:00:00', 5.079999924, 10.506484029999999, -99, 1060, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-09-17 00:00:00', 10.539999959999999, 6.0647130010000003, -99, 858, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-09-18 00:00:00', 1.3999999759999999, 6.1677722929999996, -99, 1080, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-09-19 00:00:00', 1.7599999900000001, 3.5415103440000002, -99, 1117, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-09-20 00:00:00', 0.059999998999999998, 9.3822860719999994, -99, 829, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-09-21 00:00:00', 0.33000001299999998, 6.3500142100000003, -99, 696, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-09-22 00:00:00', 0, 11.865971569999999, -99, 1081, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-09-23 00:00:00', 0.25999999000000001, 13.56510448, -99, 607, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-09-24 00:00:00', 0.02, 10.47985458, -99, 786, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-09-25 00:00:00', 18.309999470000001, 4.165705204, -99, 624, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-09-26 00:00:00', 0.37000000500000002, 6.025496006, -99, 1190, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-09-27 00:00:00', 0, 4.2862443920000004, -99, 998, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-09-28 00:00:00', 0.059999998999999998, 1.8085114959999999, -99, 1119, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-09-29 00:00:00', 0, 5.1740760799999999, -99, 924, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-09-30 00:00:00', 0, 6.6979899410000003, -99, 1130, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-10-01 00:00:00', 0.090000003999999995, 6.6546931269999998, -99, 871, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-10-02 00:00:00', 0, 6.1820583339999997, -99, 936, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-10-03 00:00:00', 0, 4.1023659710000002, -99, 1135, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-10-04 00:00:00', 0.939999998, 6.2667655939999998, -99, 282, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-10-05 00:00:00', 0.28999999199999998, 9.2525024410000007, -99, 394, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-10-06 00:00:00', 0, 4.5480389600000004, -99, 863, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-10-07 00:00:00', 0.059999998999999998, 9.4199123379999996, -99, 898, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-10-08 00:00:00', 0.47999998900000002, 7.2639112470000002, -99, 580, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-10-09 00:00:00', 2.619999886, 12.739293099999999, -99, 320, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-10-10 00:00:00', 0.25999999000000001, 3.8764855859999998, -99, 692, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-10-11 00:00:00', 0, 9.4839124679999998, -99, 302, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-10-12 00:00:00', 1.4299999480000001, 11.56801319, -99, 317, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-10-13 00:00:00', 0.059999998999999998, 10.18584442, -99, 633, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-10-14 00:00:00', 0.090000003999999995, 2.8377747539999998, -99, 751, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-10-15 00:00:00', 2.75, 7.0311036109999998, -99, 254, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-10-16 00:00:00', 1, 9.3752460479999993, -99, 403, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-10-17 00:00:00', 5.0500001909999996, 8.7971963879999997, -99, 471, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-10-18 00:00:00', 0, 4.7373313899999996, -99, 788, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-10-19 00:00:00', 9.7600002289999992, 1.935074806, -99, 203, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-10-20 00:00:00', 11.40999985, 8.6692981719999995, -99, 435, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-10-21 00:00:00', 9.1800003050000001, 9.3274650569999995, -99, 457, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-10-22 00:00:00', 0.72000002900000004, 11.860821720000001, -99, 578, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-10-23 00:00:00', 1.8200000519999999, 13.633488659999999, -99, 322, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-10-24 00:00:00', 0.93000000699999996, 9.4937582020000004, -99, 322, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-10-25 00:00:00', 1.8300000430000001, 4.1367111210000003, -99, 285, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-10-26 00:00:00', 1.4900000099999999, 12.06903934, -99, 212, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-10-27 00:00:00', 20.549999239999998, 12.89756584, -99, 138, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-10-28 00:00:00', 14.25, 11.08484268, -99, 191, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-10-29 00:00:00', 11.600000380000001, 8.3320846559999993, -99, 316, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-10-30 00:00:00', 2.579999924, 6.0704073909999998, -99, 386, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-10-31 00:00:00', 7.0399999619999996, 6.7196364400000004, -99, 107, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-11-01 00:00:00', 9.3699998860000004, 9.2497510910000003, -99, 315, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-11-02 00:00:00', 5.4499998090000004, 7.9989957809999996, -99, 218, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-11-03 00:00:00', 9.5100002289999992, 7.9628658290000001, -99, 291, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-11-04 00:00:00', 3.7699999809999998, 4.571677685, -99, 223, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-11-05 00:00:00', 4.829999924, 2.0978209969999999, -99, 383, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-11-06 00:00:00', 2.2400000100000002, 4.1388106349999996, -99, 372, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-11-07 00:00:00', 2.1099998950000001, 2.9270157810000001, -99, 301, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-11-08 00:00:00', 11.739999770000001, 3.6675448419999999, -99, 334, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-11-09 00:00:00', 2.420000076, 3.6135852339999999, -99, 196, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-11-10 00:00:00', 0.37999999499999998, 1.7794502969999999, -99, 235, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-11-11 00:00:00', 1.7799999710000001, -2.5212666989999999, -99, 214, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-11-12 00:00:00', 6.9600000380000004, 6.5255851749999998, -99, 95, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-11-13 00:00:00', 0.37000000500000002, 3.8327102659999999, -99, 329, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-11-14 00:00:00', 0.40000000600000002, 3.1500737669999999, -99, 118, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-11-15 00:00:00', 0.109999999, 5.9160733219999999, -99, 176, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-11-16 00:00:00', 0.12999999500000001, 6.143545628, -99, 95, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-11-17 00:00:00', 0, 6.8037137989999996, -99, 287, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-11-18 00:00:00', 1.980000019, -0.75056850900000005, -99, 60, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-11-19 00:00:00', 2.210000038, 5.3779783249999999, -99, 112, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-11-20 00:00:00', 0.01, -3.8452484610000002, -99, 215, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-11-21 00:00:00', 0.560000002, -5.3832879069999997, -99, 159, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-11-22 00:00:00', 0.01, 1.2786456349999999, -99, 177, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-11-23 00:00:00', 0.61000001400000003, -3.5932536129999999, -99, 156, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-11-24 00:00:00', 0, 3.2315001489999999, -99, 242, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-11-25 00:00:00', 0, -4.9684815410000001, -99, 250, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-11-26 00:00:00', 1.809999943, -6.5895285609999998, -99, 105, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-11-27 00:00:00', 0.89999997600000003, 2.8245146270000001, -99, 84, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-11-28 00:00:00', 0, 6.9144840240000001, -99, 152, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-11-29 00:00:00', 14.5, 4.2372164730000001, -99, 27, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-11-30 00:00:00', 0.439999998, 4.200023174, -99, 125, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-12-01 00:00:00', 0.039999999000000001, 2.9328413009999998, -99, 198, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-12-02 00:00:00', 0, -2.9019835, -99, 185, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-12-03 00:00:00', 0.61000001400000003, 1.517009139, -99, 65, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-12-04 00:00:00', 2.3499999049999998, 6.7069144249999999, -99, 173, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-12-05 00:00:00', 16.690000529999999, 3.0392289159999999, -99, 22, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-12-06 00:00:00', 0.56999999300000004, -0.087781698000000005, -99, 122, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-12-07 00:00:00', 0.66000002599999996, -1.0559267999999999, -99, 137, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-12-08 00:00:00', 12.59000015, -1.737906218, -99, 31, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-12-09 00:00:00', 0.44999998800000002, 7.9449510569999999, -99, 73, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-12-10 00:00:00', 0, 7.5466194150000003, -99, 69, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-12-11 00:00:00', 0, 4.7770857810000003, -99, 72, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-12-12 00:00:00', 0.52999997099999996, 0.93220543899999997, -99, 111, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-12-13 00:00:00', 3.0099999899999998, 3.1418097020000002, -99, 37, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-12-14 00:00:00', 3.789999962, 2.3546328540000001, -99, 60, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-12-15 00:00:00', 3.8399999139999998, 3.232552767, -99, 151, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-12-16 00:00:00', 4.6100001339999999, 6.2484436040000002, -99, 49, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-12-17 00:00:00', 0.790000021, 4.2659273149999999, -99, 123, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-12-18 00:00:00', 1.6599999670000001, -0.27983769800000002, -99, 57, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-12-19 00:00:00', 4.9000000950000002, 3.968244791, -99, 57, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-12-20 00:00:00', 5.4699997900000001, 1.600241542, -99, 128, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-12-21 00:00:00', 6.6999998090000004, 4.3620686529999997, -99, 42, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-12-22 00:00:00', 6.5100002290000001, 5.5589332579999997, -99, 61, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-12-23 00:00:00', 11.31999969, 3.461067677, -99, 135, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-12-24 00:00:00', 13.93999958, 5.8498139379999996, -99, 14, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-12-25 00:00:00', 0.94999998799999996, 5.9506897929999996, -99, 120, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-12-26 00:00:00', 0.689999998, 0.107822798, -99, 110, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-12-27 00:00:00', 8.3599996569999995, 1.2701414820000001, -99, 37, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-12-28 00:00:00', 0.25, 7.1878290180000004, -99, 85, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-12-29 00:00:00', 0.730000019, 3.7394199370000001, -99, 139, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-12-30 00:00:00', 0.790000021, 3.7371678350000002, -99, 113, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2013-12-31 00:00:00', 0, 3.4858317379999999, -99, 120, 'ask', 'ask_2013');
INSERT INTO public.cdy_cldat VALUES ('2014-01-01 00:00:00', 0.91000002599999996, 2.2018117899999998, -99, 89, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-01-02 00:00:00', 4.1900000569999998, 2.2088282110000002, -99, 49, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-01-03 00:00:00', 5.1300001139999996, 4.4653811450000003, -99, 30, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-01-04 00:00:00', 0, 5.4399218559999998, -99, 132, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-01-05 00:00:00', 5, 3.692596912, -99, 110, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-01-06 00:00:00', 9.5600004199999997, 2.1800751690000002, -99, 91, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-01-07 00:00:00', 1.8999999759999999, 7.9208321570000004, -99, 97, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-01-08 00:00:00', 3.5599999430000002, 7.1878266330000002, -99, 99, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-01-09 00:00:00', 16.850000380000001, 6.1617202759999996, -99, 28, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-01-10 00:00:00', 1.9500000479999999, 4.8362073900000002, -99, 159, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-01-11 00:00:00', 6.6199998860000004, 4.97302103, -99, 65, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-01-12 00:00:00', 0.189999998, 2.9810225959999999, -99, 226, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-01-13 00:00:00', 3.1600000860000002, -1.175500035, -99, 43, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-01-14 00:00:00', 0.44999998800000002, 2.0250351430000002, -99, 142, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-01-15 00:00:00', 5.2199997900000001, 3.5944254400000002, -99, 93, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-01-16 00:00:00', 13.079999920000001, 1.9335759880000001, -99, 74, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-01-17 00:00:00', 5.420000076, 0.57162684200000002, -99, 53, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-01-18 00:00:00', 0.91000002599999996, 4.0765986439999997, -99, 87, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-01-19 00:00:00', 0.029999998999999999, 2.8953258989999999, -99, 59, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-01-20 00:00:00', 1.3600000139999999, 1.2809275389999999, -99, 54, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-01-21 00:00:00', 1.730000019, 0.42911565299999999, -99, 98, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-01-22 00:00:00', 0.090000003999999995, -0.29347199200000001, -99, 33, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-01-23 00:00:00', 0, -1.888320327, -99, 85, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-01-24 00:00:00', 0, -4.3273158069999997, -99, 327, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-01-25 00:00:00', 0, -5.3283877369999999, -99, 193, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-01-26 00:00:00', 0.5, -7.237651348, -99, 317, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-01-27 00:00:00', 1.7599999900000001, -7.1060376170000001, -99, 132, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-01-28 00:00:00', 0, -1.1731765270000001, -99, 154, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-01-29 00:00:00', 1.4199999569999999, -3.7054212089999998, -99, 100, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-01-30 00:00:00', 0.43000000700000002, -5.3129320140000003, -99, 158, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-01-31 00:00:00', 0, -3.6660435200000001, -99, 100, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-02-01 00:00:00', 2.0999999049999998, -4.6805138590000004, -99, 42, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-02-02 00:00:00', 0, 1.8823734519999999, -99, 285, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-02-03 00:00:00', 0.01, -1.5322091579999999, -99, 453, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-02-04 00:00:00', 0, 0.37821009799999999, -99, 413, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-02-05 00:00:00', 1.3999999759999999, -0.189755902, -99, 334, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-02-06 00:00:00', 6.0900001530000001, 0.46750956799999999, -99, 197, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-02-07 00:00:00', 5.079999924, 3.3621485230000001, -99, 139, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-02-08 00:00:00', 2.7599999899999998, 2.5175805090000001, -99, 137, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-02-09 00:00:00', 7.670000076, 3.264169216, -99, 226, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-02-10 00:00:00', 0.23999999499999999, 2.4614338870000001, -99, 236, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-02-11 00:00:00', 1.289999962, 1.320411325, -99, 497, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-02-12 00:00:00', 3.5699999330000001, 1.213630438, -99, 428, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-02-13 00:00:00', 0.709999979, 2.6023979189999999, -99, 454, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-02-14 00:00:00', 3.7000000480000002, 1.3028433319999999, -99, 417, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-02-15 00:00:00', 5.1399998660000001, 2.820183992, -99, 348, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-02-16 00:00:00', 2.1800000669999999, 4.4336614609999998, -99, 400, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-02-17 00:00:00', 0.109999999, 2.1421747209999999, -99, 628, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-02-18 00:00:00', 1.5, 0.84989601400000003, -99, 323, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-02-19 00:00:00', 2.289999962, 4.6445784569999997, -99, 301, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-02-20 00:00:00', 7.5100002290000001, 4.8388872149999997, -99, 293, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-02-21 00:00:00', 0.10000000100000001, 6.4774370189999999, -99, 513, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-02-22 00:00:00', 0.25, 3.4811882970000001, -99, 333, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-02-23 00:00:00', 0, 3.3342905040000002, -99, 567, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-02-24 00:00:00', 0, 3.2764422889999998, -99, 637, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-02-25 00:00:00', 0, 1.7993329760000001, -99, 707, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-02-26 00:00:00', 0, 2.6802349090000002, -99, 557, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-02-27 00:00:00', 0.5, 0.76059919600000003, -99, 823, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-02-28 00:00:00', 3.329999924, 3.509586096, -99, 394, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-03-01 00:00:00', 6.5599999430000002, 1.5962374210000001, -99, 567, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-03-02 00:00:00', 0.050000001000000002, 2.6295988559999999, -99, 414, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-03-03 00:00:00', 0, 1.491905451, -99, 915, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-03-04 00:00:00', 0.02, 2.863369703, -99, 732, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-03-05 00:00:00', 0, -1.736606002, -99, 644, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-03-06 00:00:00', 0.039999999000000001, 0.28486034300000002, -99, 530, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-03-07 00:00:00', 2.2699999809999998, 4.727891445, -99, 747, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-03-08 00:00:00', 0, -0.62692642200000004, -99, 1114, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-03-09 00:00:00', 0, 2.5391404629999998, -99, 1148, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-03-10 00:00:00', 0, 2.2779071329999998, -99, 1051, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-03-11 00:00:00', 0, -2.1881098749999999, -99, 1195, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-03-12 00:00:00', 0, -2.886319399, -99, 1199, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-03-13 00:00:00', 0, -3.1243143080000002, -99, 1252, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-03-14 00:00:00', 5.5100002290000001, 3.0294013020000001, -99, 932, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-03-15 00:00:00', 4.5999999049999998, 5.4610209469999997, -99, 1203, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-03-16 00:00:00', 0.730000019, 5.7685017590000003, -99, 757, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-03-17 00:00:00', 0.670000017, 7.1305017470000003, -99, 1131, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-03-18 00:00:00', 1.0900000329999999, 6.7283487319999997, -99, 589, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-03-19 00:00:00', 1.0700000519999999, 4.3351225849999997, -99, 467, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-03-20 00:00:00', 1.4900000099999999, 6.6883397100000002, -99, 1388, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-03-21 00:00:00', 0, 7.3040966989999996, -99, 516, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-03-22 00:00:00', 3.829999924, 2.2945404049999998, -99, 925, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-03-23 00:00:00', 0.47999998900000002, 1.248666644, -99, 1105, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-03-24 00:00:00', 0.070000000000000007, -1.890733242, -99, 1459, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-03-25 00:00:00', 1.6799999480000001, -3.2939887049999999, -99, 1470, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-03-26 00:00:00', 0.670000017, 1.958597779, -99, 660, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-03-27 00:00:00', 0, 0.96796554300000004, -99, 1230, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-03-28 00:00:00', 0, 2.7105004789999998, -99, 879, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-03-29 00:00:00', 0, 4.5843105319999999, -99, 1184, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-03-30 00:00:00', 0.01, 1.0362613199999999, -99, 1316, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-03-31 00:00:00', 0, 1.343578935, -99, 915, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-04-01 00:00:00', 0, 1.553449273, -99, 509, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-04-02 00:00:00', 0.17000000200000001, 3.6035695080000001, -99, 550, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-04-03 00:00:00', 0.02, 2.0653257370000002, -99, 1651, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-04-04 00:00:00', 2.7000000480000002, 2.950278044, -99, 1054, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-04-05 00:00:00', 0.31999999299999998, 3.7206206320000001, -99, 274, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-04-06 00:00:00', 4.9699997900000001, 6.1492886540000002, -99, 420, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-04-07 00:00:00', 7.75, 9.8808116909999999, -99, 642, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-04-08 00:00:00', 2.9400000569999998, 11.02409458, -99, 746, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-04-09 00:00:00', 0, 6.2826457019999999, -99, 1078, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-04-10 00:00:00', 1.1699999569999999, 3.035226583, -99, 861, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-04-11 00:00:00', 0, 6.8964509960000004, -99, 1526, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-04-12 00:00:00', 2.4100000860000002, 2.0720150469999998, -99, 1112, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-04-13 00:00:00', 4.6599998469999999, 6.2452945709999996, -99, 1527, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-04-14 00:00:00', 0.55000001200000004, 5.3814725880000003, -99, 1533, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-04-15 00:00:00', 0, 2.4219295980000002, -99, 1952, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-04-16 00:00:00', 0, -2.9993903639999999, -99, 1960, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-04-17 00:00:00', 9.1599998469999999, 2.3452384469999998, -99, 1093, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-04-18 00:00:00', 0, 2.835142136, -99, 1310, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-04-19 00:00:00', 0, 2.3035242560000002, -99, 2042, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-04-20 00:00:00', 0, 7.0927820209999997, -99, 2027, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-04-21 00:00:00', 0, 9.7917490009999995, -99, 1170, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-04-22 00:00:00', 2.7799999710000001, 8.3792495729999992, -99, 1623, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-04-23 00:00:00', 7.6100001339999999, 8.3673200609999991, -99, 437, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-04-24 00:00:00', 0, 5.6767053599999997, -99, 1012, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-04-25 00:00:00', 0, 5.2513961790000003, -99, 2130, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-04-26 00:00:00', 0, 6.2997455599999999, -99, 2206, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-04-27 00:00:00', 0, 8.0808162689999996, -99, 2214, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-04-28 00:00:00', 0, 5.7429943080000001, -99, 2276, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-04-29 00:00:00', 0, 3.038063765, -99, 2151, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-04-30 00:00:00', 0, 3.8436656, -99, 2198, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-05-01 00:00:00', 0, 2.6548037529999999, -99, 2307, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-05-02 00:00:00', 0.059999998999999998, 5.0803484919999997, -99, 1521, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-05-03 00:00:00', 0, -1.4982984070000001, -99, 1386, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-05-04 00:00:00', 0.119999997, 6.0354022980000002, -99, 1407, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-05-05 00:00:00', 0.80000001200000004, 3.0792193409999999, -99, 583, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-05-06 00:00:00', 0.790000021, 7.9214463229999996, -99, 1177, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-05-07 00:00:00', 5.1500000950000002, 7.5654640200000003, -99, 2044, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-05-08 00:00:00', 5.420000076, 8.1290006639999994, -99, 1653, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-05-09 00:00:00', 5.1100001339999999, 7.9427185060000003, -99, 818, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-05-10 00:00:00', 16.290000920000001, 8.5916252140000005, -99, 890, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-05-11 00:00:00', 8.8800001139999996, 7.5544743539999999, -99, 1400, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-05-12 00:00:00', 5.170000076, 8.4553928379999999, -99, 1329, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-05-13 00:00:00', 0.519999981, 6.051561832, -99, 969, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-05-14 00:00:00', 0, 5.978847504, -99, 1240, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-05-15 00:00:00', 0, 5.8297615049999996, -99, 2319, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-05-16 00:00:00', 0, 2.8147954940000002, -99, 1318, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-05-17 00:00:00', 0, 5.9578995700000004, -99, 2506, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-05-18 00:00:00', 2.0499999519999998, 5.4515542979999996, -99, 1973, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-05-19 00:00:00', 0.090000003999999995, 11.43526554, -99, 880, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-05-20 00:00:00', 0, 7.3199591640000001, -99, 2522, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-05-21 00:00:00', 0, 12.64062309, -99, 1751, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-05-22 00:00:00', 13.329999920000001, 14.96031189, -99, 2259, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-05-23 00:00:00', 10.52999973, 13.851036069999999, -99, 1146, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-05-24 00:00:00', 0, 7.6699738499999999, -99, 2318, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-05-25 00:00:00', 0, 10.41350746, -99, 2356, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-05-26 00:00:00', 0, 7.2746572489999997, -99, 2534, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-05-27 00:00:00', 0, 8.9503116610000006, -99, 2423, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-05-28 00:00:00', 0, 9.1604967120000005, -99, 1084, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-05-29 00:00:00', 0, 4.1983079910000001, -99, 2601, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-05-30 00:00:00', 0, 3.2985110280000001, -99, 2681, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-05-31 00:00:00', 0, 9.8183898930000009, -99, 2142, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-06-01 00:00:00', 0, 10.307836529999999, -99, 1519, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-06-02 00:00:00', 0, 6.1835942270000004, -99, 2502, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-06-03 00:00:00', 0.469999999, 7.2500925059999997, -99, 2529, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-06-04 00:00:00', 0.540000021, 9.2338876719999998, -99, 2284, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-06-05 00:00:00', 16.190000529999999, 13.27719879, -99, 756, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-06-06 00:00:00', 16.88999939, 9.9495782849999994, -99, 834, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-06-07 00:00:00', 1.559999943, 8.5190677640000008, -99, 2616, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-06-08 00:00:00', 3.960000038, 12.879793169999999, -99, 1853, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-06-09 00:00:00', 0, 10.26647949, -99, 2757, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-06-10 00:00:00', 0.059999998999999998, 14.981781010000001, -99, 2587, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-06-11 00:00:00', 0.02, 14.29823399, -99, 2321, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-06-12 00:00:00', 0, 11.010655399999999, -99, 2615, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-06-13 00:00:00', 0.61000001400000003, 12.141901020000001, -99, 1637, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-06-14 00:00:00', 0, 9.7074384689999995, -99, 2323, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-06-15 00:00:00', 0.059999998999999998, 7.1182203289999997, -99, 2528, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-06-16 00:00:00', 0.28999999199999998, 11.33659649, -99, 2663, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-06-17 00:00:00', 0, 9.7195358279999997, -99, 2511, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-06-18 00:00:00', 0.059999998999999998, 9.1422643659999991, -99, 2009, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-06-19 00:00:00', 0.25, 12.21703243, -99, 1508, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-06-20 00:00:00', 0, 10.586860659999999, -99, 2058, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-06-21 00:00:00', 0.090000003999999995, 9.0258998869999996, -99, 2066, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-06-22 00:00:00', 0, 7.5851583480000002, -99, 2624, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-06-23 00:00:00', 1.289999962, 10.03410339, -99, 2499, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-06-24 00:00:00', 0.219999999, 9.7421979899999993, -99, 2238, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-06-25 00:00:00', 0.27000001099999998, 5.8994336130000002, -99, 2094, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-06-26 00:00:00', 2.9700000289999999, 7.2691822049999999, -99, 2334, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-06-27 00:00:00', 9.9200000760000009, 7.8062162400000004, -99, 1177, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-06-28 00:00:00', 0.039999999000000001, 11.90857697, -99, 1790, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-06-29 00:00:00', 0.280000001, 6.979552269, -99, 2179, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-06-30 00:00:00', 0.46000000800000002, 6.9227018359999999, -99, 2399, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-07-01 00:00:00', 2.7000000480000002, 8.62025547, -99, 2116, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-07-02 00:00:00', 0, 9.0939683910000007, -99, 1018, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-07-03 00:00:00', 0.109999999, 10.90086365, -99, 1178, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-07-04 00:00:00', 0, 12.64657974, -99, 2686, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-07-05 00:00:00', 16.840000150000002, 16.407253269999998, -99, 1747, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-07-06 00:00:00', 18.260000229999999, 15.599061969999999, -99, 1437, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-07-07 00:00:00', 0, 16.078580859999999, -99, 2240, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-07-08 00:00:00', 1.5700000519999999, 11.84391117, -99, 759, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-07-09 00:00:00', 1.3899999860000001, 18.39578247, -99, 2471, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-07-10 00:00:00', 0, 16.82081032, -99, 2533, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-07-11 00:00:00', 0, 15.749062540000001, -99, 2498, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-07-12 00:00:00', 0.039999999000000001, 11.197511670000001, -99, 2278, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-07-13 00:00:00', 20.260000229999999, 14.33310795, -99, 596, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-07-14 00:00:00', 0.62000000499999997, 14.18019104, -99, 1478, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-07-15 00:00:00', 1.440000057, 13.252989769999999, -99, 1004, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-07-16 00:00:00', 0.050000001000000002, 9.390359879, -99, 2083, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-07-17 00:00:00', 0, 8.2387390140000001, -99, 1966, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-07-18 00:00:00', 0, 11.833234790000001, -99, 2441, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-07-19 00:00:00', 0, 16.826068880000001, -99, 2507, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-07-20 00:00:00', 0, 17.1932106, -99, 1743, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-07-21 00:00:00', 0, 17.661346439999999, -99, 2434, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-07-22 00:00:00', 0, 15.411643979999999, -99, 2287, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-07-23 00:00:00', 0, 13.21236229, -99, 2499, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-07-24 00:00:00', 0.059999998999999998, 14.6987381, -99, 2374, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-07-25 00:00:00', 0.01, 15.060600279999999, -99, 2245, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-07-26 00:00:00', 2.789999962, 17.026294709999998, -99, 1521, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-07-27 00:00:00', 1.6399999860000001, 15.631429669999999, -99, 1614, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-07-28 00:00:00', 0, 14.239655490000001, -99, 2213, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-07-29 00:00:00', 0, 14.93713284, -99, 2354, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-07-30 00:00:00', 0.10000000100000001, 14.00470352, -99, 1666, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-07-31 00:00:00', 1.1499999759999999, 12.24810314, -99, 1894, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-08-01 00:00:00', 0.769999981, 15.25053024, -99, 1869, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-08-02 00:00:00', 0, 17.267839429999999, -99, 2088, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-08-03 00:00:00', 7.1900000569999998, 19.95412254, -99, 1200, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-08-04 00:00:00', 0, 13.56399918, -99, 1853, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-08-05 00:00:00', 0.83999997400000004, 11.21568871, -99, 1225, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-08-06 00:00:00', 0, 9.9262142180000001, -99, 2080, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-08-07 00:00:00', 1.8300000430000001, 15.21721458, -99, 1011, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-08-08 00:00:00', 0.039999999000000001, 11.18739605, -99, 2157, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-08-09 00:00:00', 7.5, 15.99866199, -99, 1120, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-08-10 00:00:00', 10.90999985, 11.633268360000001, -99, 1292, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-08-11 00:00:00', 15.34000015, 14.32747269, -99, 1707, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-08-12 00:00:00', 6.1999998090000004, 11.098561289999999, -99, 1206, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-08-13 00:00:00', 7.329999924, 11.215546610000001, -99, 1281, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-08-14 00:00:00', 1.2599999900000001, 11.467975620000001, -99, 1586, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-08-15 00:00:00', 0.920000017, 10.72508144, -99, 1726, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-08-16 00:00:00', 1.8799999949999999, 9.4089603420000003, -99, 1332, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-08-17 00:00:00', 26.81999969, 12.790411949999999, -99, 403, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-08-18 00:00:00', 10.55000019, 10.49699974, -99, 1228, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-08-19 00:00:00', 3.170000076, 10.104257580000001, -99, 1617, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-08-20 00:00:00', 1.7799999710000001, 10.18148899, -99, 1697, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-08-21 00:00:00', 6.4000000950000002, 8.2913551329999997, -99, 1390, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-08-22 00:00:00', 5.1599998469999999, 10.541621210000001, -99, 808, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-08-23 00:00:00', 2.289999962, 8.9015274049999995, -99, 1436, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-08-24 00:00:00', 4.1900000569999998, 8.1218652729999992, -99, 1461, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-08-25 00:00:00', 0.56999999300000004, 8.5619449620000001, -99, 1559, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-08-26 00:00:00', 0.10000000100000001, 4.5674319270000003, -99, 1616, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-08-27 00:00:00', 0, 4.8735485079999998, -99, 1821, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-08-28 00:00:00', 1.2000000479999999, 5.1996049879999999, -99, 1784, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-08-29 00:00:00', 10.260000229999999, 13.589241980000001, -99, 1100, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-08-30 00:00:00', 7.1199998860000004, 11.624194149999999, -99, 845, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-08-31 00:00:00', 3.4800000190000002, 11.26105785, -99, 767, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-09-01 00:00:00', 0, 14.18339729, -99, 708, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-09-02 00:00:00', 0.059999998999999998, 11.21960545, -99, 1792, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-09-03 00:00:00', 0.059999998999999998, 9.0238342290000002, -99, 1787, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-09-04 00:00:00', 0.029999998999999999, 10.168766979999999, -99, 1759, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-09-05 00:00:00', 0.029999998999999999, 11.701363560000001, -99, 1370, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-09-06 00:00:00', 3.9700000289999999, 15.47700977, -99, 1219, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-09-07 00:00:00', 5.6999998090000004, 15.54942322, -99, 814, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-09-08 00:00:00', 6.0599999430000002, 8.4811210629999998, -99, 1177, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-09-09 00:00:00', 0.23000000400000001, 11.043391229999999, -99, 1075, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-09-10 00:00:00', 0, 11.71018887, -99, 1405, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-09-11 00:00:00', 0.039999999000000001, 10.086891169999999, -99, 1440, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-09-12 00:00:00', 0, 7.7584471700000002, -99, 1543, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-09-13 00:00:00', 0.56999999300000004, 9.4718532559999993, -99, 1483, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-09-14 00:00:00', 8.4200000760000009, 11.58724499, -99, 238, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-09-15 00:00:00', 0.02, 14.846510889999999, -99, 689, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-09-16 00:00:00', 0, 14.22986317, -99, 1421, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-09-17 00:00:00', 0, 13.53223419, -99, 1363, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-09-18 00:00:00', 0, 13.757772449999999, -99, 1374, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-09-19 00:00:00', 0.079999998000000003, 12.25414181, -99, 1359, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-09-20 00:00:00', 1.8899999860000001, 13.03404808, -99, 1039, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-09-21 00:00:00', 2.289999962, 12.694407460000001, -99, 1090, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-09-22 00:00:00', 0, 7.1194696430000004, -99, 988, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-09-23 00:00:00', 0.25999999000000001, 2.3470787999999998, -99, 1090, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-09-24 00:00:00', 5.7100000380000004, 10.079181670000001, -99, 414, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-09-25 00:00:00', 0.33000001299999998, 9.0846805570000004, -99, 479, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-09-26 00:00:00', 0.93000000699999996, 12.80154514, -99, 512, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-09-27 00:00:00', 0.029999998999999999, 7.51559782, -99, 994, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-09-28 00:00:00', 0.039999999000000001, 8.0816736220000003, -99, 878, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-09-29 00:00:00', 1.0299999710000001, 9.1007509229999997, -99, 1016, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-09-30 00:00:00', 21.379999160000001, 12.48895168, -99, 251, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-10-01 00:00:00', 0.77999997099999996, 14.0753231, -99, 676, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-10-02 00:00:00', 0.89999997600000003, 14.02672005, -99, 1054, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-10-03 00:00:00', 0.119999997, 8.4361028670000007, -99, 767, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-10-04 00:00:00', 0, 11.415540699999999, -99, 1052, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-10-05 00:00:00', 0, 10.42011452, -99, 627, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-10-06 00:00:00', 0, 12.42286301, -99, 753, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-10-07 00:00:00', 19.850000380000001, 12.39074516, -99, 172, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-10-08 00:00:00', 0.69999998799999996, 8.9533891679999993, -99, 729, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-10-09 00:00:00', 3.9300000669999999, 12.256726260000001, -99, 601, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-10-10 00:00:00', 1.1499999759999999, 11.58659649, -99, 747, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-10-11 00:00:00', 8.3299999239999991, 7.7290482520000001, -99, 734, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-10-12 00:00:00', 0.38999998600000002, 9.0724306109999997, -99, 790, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-10-13 00:00:00', 7.1100001339999999, 6.8548216819999999, -99, 194, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-10-14 00:00:00', 10.100000380000001, 10.74107742, -99, 150, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-10-15 00:00:00', 2.7799999710000001, 10.962980269999999, -99, 284, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-10-16 00:00:00', 3.5699999330000001, 10.23195553, -99, 522, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-10-17 00:00:00', 0.189999998, 11.232549669999999, -99, 372, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-10-18 00:00:00', 2.75, 6.8673858640000001, -99, 217, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-10-19 00:00:00', 22.770000459999999, 14.408452990000001, -99, 193, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-10-20 00:00:00', 2.869999886, 11.830314639999999, -99, 437, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-10-21 00:00:00', 9.4200000760000009, 9.3293991090000006, -99, 133, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-10-22 00:00:00', 1.1299999949999999, 3.9488995079999998, -99, 432, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-10-23 00:00:00', 2.1900000569999998, 6.7934923170000001, -99, 121, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-10-24 00:00:00', 8.1700000760000009, 10.959181790000001, -99, 156, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-10-25 00:00:00', 0.56999999300000004, 10.117820740000001, -99, 374, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-10-26 00:00:00', 0.920000017, 8.2796726229999997, -99, 320, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-10-27 00:00:00', 0.090000003999999995, 12.256112099999999, -99, 250, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-10-28 00:00:00', 1.6399999860000001, 10.064920430000001, -99, 483, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-10-29 00:00:00', 0.30000001199999998, 7.8997683529999998, -99, 401, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-10-30 00:00:00', 0.560000002, 0.17628307600000001, -99, 402, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-10-31 00:00:00', 0.34999999399999998, 7.6789607999999996, -99, 136, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-11-01 00:00:00', 0.109999999, 9.9445447920000003, -99, 486, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-11-02 00:00:00', 1.8700000050000001, 11.06441021, -99, 301, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-11-03 00:00:00', 4.2399997709999999, 11.23521614, -99, 226, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-11-04 00:00:00', 1.7599999900000001, 10.15450478, -99, 285, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-11-05 00:00:00', 0.40999999599999998, 5.0508489609999998, -99, 203, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-11-06 00:00:00', 0.219999999, 5.9551062579999998, -99, 157, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-11-07 00:00:00', 0.41999998700000002, 3.6822669509999999, -99, 298, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-11-08 00:00:00', 0.079999998000000003, 6.1394743920000003, -99, 188, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-11-09 00:00:00', 0.18000000699999999, 4.514995098, -99, 319, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-11-10 00:00:00', 3.0699999330000001, 5.0899696350000001, -99, 89, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-11-11 00:00:00', 0.039999999000000001, 4.2548308370000001, -99, 341, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-11-12 00:00:00', 1.9700000289999999, 8.3723812100000004, -99, 62, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-11-13 00:00:00', 1.1200000050000001, 10.16275501, -99, 48, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-11-14 00:00:00', 0.050000001000000002, 9.3964328770000005, -99, 115, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-11-15 00:00:00', 0.039999999000000001, 8.9250288009999998, -99, 36, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-11-16 00:00:00', 10.539999959999999, 9.3875942230000007, -99, 67, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-11-17 00:00:00', 0.83999997400000004, 8.1278228759999998, -99, 146, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-11-18 00:00:00', 0.810000002, 7.0301694870000002, -99, 49, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-11-19 00:00:00', 0.74000001000000004, 6.1343436240000004, -99, 80, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-11-20 00:00:00', 0.01, 0.48879334299999999, -99, 194, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-11-21 00:00:00', 0.15000000599999999, -1.9822231530000001, -99, 241, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-11-22 00:00:00', 7.2600002290000001, -0.672504663, -99, 73, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-11-23 00:00:00', 6.5599999430000002, 5.2848949430000003, -99, 121, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-11-24 00:00:00', 3.0999999049999998, 6.7740721700000002, -99, 198, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-11-25 00:00:00', 0, 0.29954820900000001, -99, 223, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-11-26 00:00:00', 0, 1.7265127899999999, -99, 133, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-11-27 00:00:00', 0, 3.4004640579999998, -99, 191, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-11-28 00:00:00', 0.070000000000000007, 2.776594877, -99, 139, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-11-29 00:00:00', 0.02, 1.072312951, -99, 35, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-11-30 00:00:00', 0, -0.34971037500000002, -99, 26, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-12-01 00:00:00', 0, -0.55348199600000003, -99, 225, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-12-02 00:00:00', 0, -0.829802394, -99, 54, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-12-03 00:00:00', 0, -1.2446738479999999, -99, 118, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-12-04 00:00:00', 2.2599999899999998, 0.62546718099999998, -99, 91, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-12-05 00:00:00', 1.8400000329999999, 2.2621326449999999, -99, 73, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-12-06 00:00:00', 0.34000000400000002, 3.4652769569999999, -99, 191, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-12-07 00:00:00', 13.31999969, -0.230042472, -99, 27, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-12-08 00:00:00', 1.4099999670000001, 1.0228124860000001, -99, 73, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-12-09 00:00:00', 6.3200001720000003, -1.426723242, -99, 160, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-12-10 00:00:00', 9.2100000380000004, 2.5520975589999999, -99, 143, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-12-11 00:00:00', 11.19999981, 2.5796806810000001, -99, 52, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-12-12 00:00:00', 12.02999973, 0.90517842800000003, -99, 47, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-12-13 00:00:00', 0.88999998599999997, 2.2117602829999998, -99, 162, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-12-14 00:00:00', 5.6100001339999999, 0.14081260600000001, -99, 102, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-12-15 00:00:00', 1.8700000050000001, 3.4308495520000002, -99, 116, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-12-16 00:00:00', 6.2399997709999999, 0.94307190200000002, -99, 105, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-12-17 00:00:00', 1.230000019, 2.4604144099999998, -99, 65, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-12-18 00:00:00', 7.1500000950000002, 2.8679809569999999, -99, 18, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-12-19 00:00:00', 4.920000076, 8.5665111540000005, -99, 133, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-12-20 00:00:00', 3.9500000480000002, 3.1188771719999999, -99, 66, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-12-21 00:00:00', 16.670000080000001, 3.4298994540000001, -99, 31, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-12-22 00:00:00', 9.8100004199999997, 7.1744422910000001, -99, 60, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-12-23 00:00:00', 9.0900001530000001, 7.9346475600000002, -99, 29, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-12-24 00:00:00', 11.68999958, 6.4090995790000003, -99, 113, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-12-25 00:00:00', 1.4299999480000001, 3.1167364119999998, -99, 78, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-12-26 00:00:00', 0.070000000000000007, -6.1317410470000002, -99, 147, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-12-27 00:00:00', 0, -2.685302734, -99, 100, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-12-28 00:00:00', 0.72000002900000004, -5.0494542119999997, -99, 163, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-12-29 00:00:00', 0.74000001000000004, -0.45999857799999999, -99, 114, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-12-30 00:00:00', 0.540000021, 2.216605425, -99, 95, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2014-12-31 00:00:00', 0.079999998000000003, 4.0815401080000004, -99, 144, 'ask', 'ask_2014');
INSERT INTO public.cdy_cldat VALUES ('2015-01-01 00:00:00', 10.649999619999999, 5.0103034969999998, -99, 22, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-01-02 00:00:00', 6.5599999430000002, 4.826231956, -99, 138, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-01-03 00:00:00', 5.9400000569999998, 3.057072163, -99, 128, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-01-04 00:00:00', 0.20000000300000001, 2.029768705, -99, 189, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-01-05 00:00:00', 0, 3.2450201509999999, -99, 74, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-01-06 00:00:00', 0.769999981, 3.5620880129999999, -99, 17, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-01-07 00:00:00', 4.0999999049999998, 1.4338303800000001, -99, 180, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-01-08 00:00:00', 3.210000038, 4.0919866559999996, -99, 97, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-01-09 00:00:00', 7.9899997709999999, 4.2316327100000004, -99, 126, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-01-10 00:00:00', 4.8200001720000003, 5.3681592939999998, -99, 129, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-01-11 00:00:00', 3.119999886, 2.1984663009999998, -99, 117, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-01-12 00:00:00', 3.8399999139999998, 3.840358019, -99, 56, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-01-13 00:00:00', 2.8399999139999998, 4.2374758720000001, -99, 90, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-01-14 00:00:00', 3.3199999330000001, 2.424536705, -99, 151, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-01-15 00:00:00', 9.6700000760000009, 1.0419111249999999, -99, 57, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-01-16 00:00:00', 1.940000057, 5.12474966, -99, 178, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-01-17 00:00:00', 5.5700001720000003, 0.84288358699999999, -99, 230, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-01-18 00:00:00', 2.4300000669999999, 1.3134775160000001, -99, 116, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-01-19 00:00:00', 0.62000000499999997, 1.0102695230000001, -99, 122, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-01-20 00:00:00', 0.89999997600000003, -0.17190867700000001, -99, 141, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-01-21 00:00:00', 0.070000000000000007, -1.0666340590000001, -99, 211, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-01-22 00:00:00', 0.02, -1.574905515, -99, 300, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-01-23 00:00:00', 0.579999983, -3.980033159, -99, 273, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-01-24 00:00:00', 2.0599999430000002, -3.3587067130000001, -99, 196, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-01-25 00:00:00', 0.74000001000000004, -1.9883254770000001, -99, 284, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-01-26 00:00:00', 4.25, 0.83759599900000004, -99, 65, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-01-27 00:00:00', 0.119999997, 2.2977344990000002, -99, 349, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-01-28 00:00:00', 14.15999985, 0.83747589600000005, -99, 63, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-01-29 00:00:00', 1.8999999759999999, 0.71192502999999996, -99, 291, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-01-30 00:00:00', 0.189999998, -0.59314751600000004, -99, 309, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-01-31 00:00:00', 0.10000000100000001, -7.9313001630000004, -99, 437, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-02-01 00:00:00', 0.560000002, -6.812807083, -99, 247, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-02-02 00:00:00', 0.34000000400000002, -4.0072889329999999, -99, 216, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-02-03 00:00:00', 0.219999999, -2.7261111740000001, -99, 260, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-02-04 00:00:00', 0.029999998999999999, -9.5209999080000003, -99, 341, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-02-05 00:00:00', 0.090000003999999995, -2.6824028489999998, -99, 339, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-02-06 00:00:00', 0.55000001200000004, -9.9311189649999996, -99, 401, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-02-07 00:00:00', 0.15000000599999999, 1.339167118, -99, 225, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-02-08 00:00:00', 0.94999998799999996, 0.27778133700000002, -99, 447, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-02-09 00:00:00', 0, 3.1115295889999999, -99, 355, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-02-10 00:00:00', 0, 4.0605912210000001, -99, 518, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-02-11 00:00:00', 0, 2.063449383, -99, 151, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-02-12 00:00:00', 0.15000000599999999, 1.773345232, -99, 145, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-02-13 00:00:00', 0, 0.42685690500000001, -99, 163, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-02-14 00:00:00', 0.02, -0.36157852400000001, -99, 248, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-02-15 00:00:00', 0, 1.4080239530000001, -99, 156, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-02-16 00:00:00', 0, 0.60088121900000002, -99, 130, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-02-17 00:00:00', 0.23000000400000001, -2.9620220659999998, -99, 296, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-02-18 00:00:00', 0.15999999600000001, 0.013418008, -99, 369, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-02-19 00:00:00', 3.920000076, 3.7233362200000002, -99, 209, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-02-20 00:00:00', 4.2300000190000002, 1.568775177, -99, 149, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-02-21 00:00:00', 3.9400000569999998, 1.6983734370000001, -99, 162, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-02-22 00:00:00', 0.790000021, -0.064359873999999997, -99, 628, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-02-23 00:00:00', 2.9700000289999999, 0.485810876, -99, 664, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-02-24 00:00:00', 0.829999983, 1.045543313, -99, 453, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-02-25 00:00:00', 2.2400000100000002, 1.9943087100000001, -99, 561, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-02-26 00:00:00', 6.9299998279999997, -0.21699780199999999, -99, 416, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-02-27 00:00:00', 4.6300001139999996, 3.959811449, -99, 639, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-02-28 00:00:00', 4.6100001339999999, -2.23139596, -99, 757, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-03-01 00:00:00', 3.0299999710000001, 2.2513375280000001, -99, 461, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-03-02 00:00:00', 4.5700001720000003, 2.1091041559999999, -99, 478, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-03-03 00:00:00', 2.460000038, 1.561211586, -99, 768, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-03-04 00:00:00', 3.630000114, -0.82340252400000002, -99, 401, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-03-05 00:00:00', 0.23000000400000001, -0.193740577, -99, 606, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-03-06 00:00:00', 0.97000002900000004, 4.4609799389999996, -99, 397, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-03-07 00:00:00', 0.039999999000000001, 4.5326390270000001, -99, 585, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-03-08 00:00:00', 0.18000000699999999, 5.2920532229999999, -99, 948, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-03-09 00:00:00', 3.2599999899999998, 4.560359955, -99, 1052, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-03-10 00:00:00', 0, 4.0528197290000003, -99, 1106, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-03-11 00:00:00', 0, 3.196893454, -99, 1193, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-03-12 00:00:00', 0, -2.1452600959999999, -99, 1207, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-03-13 00:00:00', 0, -1.696699381, -99, 947, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-03-14 00:00:00', 0, -0.55534726400000001, -99, 1011, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-03-15 00:00:00', 0, 3.108125925, -99, 890, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-03-16 00:00:00', 0, 4.8338928220000001, -99, 975, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-03-17 00:00:00', 0, 5.0249595640000004, -99, 1274, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-03-18 00:00:00', 0, 3.8794856069999999, -99, 1189, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-03-19 00:00:00', 0, 0.88844931100000002, -99, 1347, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-03-20 00:00:00', 7.6599998469999999, -0.069055341000000006, -99, 599, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-03-21 00:00:00', 2.2799999710000001, 3.7693145280000002, -99, 488, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-03-22 00:00:00', 0, -3.8681230549999999, -99, 1348, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-03-23 00:00:00', 0.83999997400000004, -1.1737300159999999, -99, 925, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-03-24 00:00:00', 2.5199999809999998, 4.1622381209999997, -99, 570, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-03-25 00:00:00', 9.7700004580000002, 2.0453021530000002, -99, 493, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-03-26 00:00:00', 0.079999998000000003, 3.630630493, -99, 881, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-03-27 00:00:00', 0.059999998999999998, 2.4816308020000002, -99, 464, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-03-28 00:00:00', 12.989999770000001, 1.380178452, -99, 1000, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-03-29 00:00:00', 3.7599999899999998, 5.6302504539999996, -99, 857, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-03-30 00:00:00', 5, 4.0467896459999997, -99, 1266, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-03-31 00:00:00', 12.14000034, 0.17111533900000001, -99, 667, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-04-01 00:00:00', 3.2599999899999998, 1.5406935209999999, -99, 1259, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-04-02 00:00:00', 0, -0.40962815299999999, -99, 1467, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-04-03 00:00:00', 0, 1.444597602, -99, 1547, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-04-04 00:00:00', 0, -2.3663091660000002, -99, 1528, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-04-05 00:00:00', 0.090000003999999995, -3.2823407649999998, -99, 1566, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-04-06 00:00:00', 0, 0.99280756699999995, -99, 1748, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-04-07 00:00:00', 0, 0.98616731199999996, -99, 602, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-04-08 00:00:00', 0, 5.9055752750000003, -99, 1468, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-04-09 00:00:00', 0, 4.8780031199999998, -99, 1732, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-04-10 00:00:00', 0, 0.31562823099999998, -99, 1615, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-04-11 00:00:00', 3.4100000860000002, 4.6959705349999998, -99, 1690, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-04-12 00:00:00', 13.65999985, 5.3358840939999999, -99, 1064, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-04-13 00:00:00', 0.23000000400000001, 3.5255467889999998, -99, 1655, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-04-14 00:00:00', 1.960000038, 1.7734425069999999, -99, 550, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-04-15 00:00:00', 0.34000000400000002, 7.5682039259999998, -99, 1481, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-04-16 00:00:00', 0, 4.1802382470000001, -99, 1677, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-04-17 00:00:00', 0, 2.405246258, -99, 1935, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-04-18 00:00:00', 0, 0.147043496, -99, 1978, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-04-19 00:00:00', 0, 5.035252571, -99, 2035, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-04-20 00:00:00', 0, 1.883121252, -99, 2064, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-04-21 00:00:00', 0, 4.3019304280000004, -99, 1806, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-04-22 00:00:00', 0, 4.6230754850000002, -99, 2120, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-04-23 00:00:00', 0, 4.4111428259999999, -99, 767, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-04-24 00:00:00', 0.01, 6.1603350639999999, -99, 1663, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-04-25 00:00:00', 1.9500000479999999, 3.9778423310000002, -99, 746, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-04-26 00:00:00', 0.28999999199999998, 6.216115952, -99, 1310, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-04-27 00:00:00', 0, -0.96569126800000005, -99, 1812, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-04-28 00:00:00', 1.190000057, -2.3245964049999999, -99, 1950, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-04-29 00:00:00', 4.329999924, 0.88530689500000004, -99, 1879, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-04-30 00:00:00', 4.7800002099999999, 4.1073336600000001, -99, 1420, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-05-01 00:00:00', 0.49000000999999999, 2.4506952759999998, -99, 1679, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-05-02 00:00:00', 0, 1.1334999800000001, -99, 2161, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-05-03 00:00:00', 11.52000046, -2.235182762, -99, 2262, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-05-04 00:00:00', 0.519999981, 8.1609191889999995, -99, 1077, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-05-05 00:00:00', 12.47000027, 7.5140757560000004, -99, 880, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-05-06 00:00:00', 6.8899998660000001, 8.2278785709999998, -99, 1835, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-05-07 00:00:00', 0.75999998999999996, 8.7686986919999992, -99, 1714, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-05-08 00:00:00', 0, 2.9950013160000002, -99, 1997, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-05-09 00:00:00', 5.2600002290000001, 6.8840975760000003, -99, 533, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-05-10 00:00:00', 0, 7.5032649039999999, -99, 2485, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-05-11 00:00:00', 1.789999962, 5.4498772620000002, -99, 2362, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-05-12 00:00:00', 1.730000019, 9.2409839629999997, -99, 715, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-05-13 00:00:00', 0.34000000400000002, 8.3841705320000006, -99, 1226, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-05-14 00:00:00', 0, 7.9480919840000004, -99, 1377, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-05-15 00:00:00', 0, 4.1432189939999997, -99, 2011, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-05-16 00:00:00', 2.079999924, 5.4431743619999997, -99, 472, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-05-17 00:00:00', 2.329999924, 5.4164376259999996, -99, 2009, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-05-18 00:00:00', 12.56000042, 5.5347270970000002, -99, 766, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-05-19 00:00:00', 4.4400000569999998, 6.9397168159999998, -99, 1818, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-05-20 00:00:00', 1.0099999900000001, 4.57526207, -99, 1884, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-05-21 00:00:00', 0, 4.9751110079999998, -99, 1453, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-05-22 00:00:00', 1.0499999520000001, 6.5397253040000001, -99, 2137, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-05-23 00:00:00', 0, 7.1144018170000001, -99, 1618, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-05-24 00:00:00', 0.36000001399999998, 3.3488459590000001, -99, 2245, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-05-25 00:00:00', 0.44999998800000002, 8.2539196009999998, -99, 1952, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-05-26 00:00:00', 0.30000001199999998, 4.7905826569999999, -99, 1482, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-05-27 00:00:00', 0.63999998599999997, 7.5056586269999999, -99, 1966, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-05-28 00:00:00', 1.1100000139999999, 8.3348646160000008, -99, 1956, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-05-29 00:00:00', 13.72000027, 4.8815951350000004, -99, 1142, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-05-30 00:00:00', 1.539999962, 6.9115252490000003, -99, 2125, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-05-31 00:00:00', 12.5, 8.0629196170000004, -99, 1297, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-06-01 00:00:00', 2.0599999430000002, 8.0864639280000006, -99, 2226, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-06-02 00:00:00', 9.3100004199999997, 7.3101077080000003, -99, 410, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-06-03 00:00:00', 0.039999999000000001, 11.452651019999999, -99, 1845, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-06-04 00:00:00', 0, 4.3846416469999996, -99, 2714, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-06-05 00:00:00', 0.059999998999999998, 6.6789221760000004, -99, 2700, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-06-06 00:00:00', 0, 14.42609787, -99, 2449, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-06-07 00:00:00', 0, 8.7086076739999996, -99, 1797, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-06-08 00:00:00', 0.119999997, 7.8284482960000004, -99, 1040, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-06-09 00:00:00', 0, 4.3849244120000002, -99, 2421, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-06-10 00:00:00', 0, 4.5332860950000002, -99, 2784, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-06-11 00:00:00', 0, 6.9854106900000001, -99, 2196, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-06-12 00:00:00', 0, 6.6763129230000002, -99, 2786, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-06-13 00:00:00', 7.8200001720000003, 9.31556797, -99, 997, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-06-14 00:00:00', 0, 10.42237663, -99, 1476, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-06-15 00:00:00', 0, 4.4258284569999997, -99, 1417, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-06-16 00:00:00', 0.02, 8.7282342909999997, -99, 1963, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-06-17 00:00:00', 8.6000003809999992, 3.665591955, -99, 465, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-06-18 00:00:00', 1.9900000099999999, 11.53426647, -99, 1482, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-06-19 00:00:00', 0.050000001000000002, 9.4402475359999993, -99, 1342, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-06-20 00:00:00', 0, 7.1031155589999999, -99, 2174, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-06-21 00:00:00', 17.780000690000001, 9.8050355909999993, -99, 1520, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-06-22 00:00:00', 1.1699999569999999, 9.0132827760000005, -99, 2032, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-06-23 00:00:00', 0, 5.4586057659999998, -99, 2473, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-06-24 00:00:00', 0.109999999, 9.7797756200000006, -99, 1084, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-06-25 00:00:00', 0.050000001000000002, 7.9067397120000003, -99, 2150, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-06-26 00:00:00', 0.30000001199999998, 8.6020832059999996, -99, 1597, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-06-27 00:00:00', 1.0499999520000001, 13.49023914, -99, 1019, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-06-28 00:00:00', 5.4099998469999999, 9.5765657419999997, -99, 2707, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-06-29 00:00:00', 0, 13.39064312, -99, 2620, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-06-30 00:00:00', 0, 9.6049613950000001, -99, 2647, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-07-01 00:00:00', 0, 11.03040886, -99, 2747, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-07-02 00:00:00', 0, 15.41390228, -99, 2742, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-07-03 00:00:00', 0, 15.89759731, -99, 2468, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-07-04 00:00:00', 0, 14.835707660000001, -99, 1783, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-07-05 00:00:00', 2.0099999899999998, 16.52423859, -99, 2187, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-07-06 00:00:00', 0, 15.59459972, -99, 2062, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-07-07 00:00:00', 1.1100000139999999, 11.808107379999999, -99, 2402, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-07-08 00:00:00', 4.9299998279999997, 13.601468089999999, -99, 1137, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-07-09 00:00:00', 0.769999981, 9.9161796570000007, -99, 1215, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-07-10 00:00:00', 0, 10.08862972, -99, 1946, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-07-11 00:00:00', 1.1499999759999999, 5.0340719219999999, -99, 1171, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-07-12 00:00:00', 1.730000019, 11.44332314, -99, 1489, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-07-13 00:00:00', 0, 13.62262726, -99, 1565, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-07-14 00:00:00', 0, 7.4769959449999996, -99, 2341, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-07-15 00:00:00', 0.02, 9.0058727259999998, -99, 2634, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-07-16 00:00:00', 0, 9.7133932109999996, -99, 2614, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-07-17 00:00:00', 0, 4.8524537089999997, -99, 1015, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-07-18 00:00:00', 0, 15.27547646, -99, 2429, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-07-19 00:00:00', 6.079999924, 9.9220809939999999, -99, 686, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-07-20 00:00:00', 1.539999962, 9.2530450819999999, -99, 1703, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-07-21 00:00:00', 0.109999999, 11.43314075, -99, 2224, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-07-22 00:00:00', 0, 12.97304916, -99, 1843, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-07-23 00:00:00', 0.15999999600000001, 10.131427759999999, -99, 1858, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-07-24 00:00:00', 21.770000459999999, 9.0835475920000004, -99, 1989, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-07-25 00:00:00', 27.450000760000002, 12.356158260000001, -99, 520, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-07-26 00:00:00', 1.7000000479999999, 11.697996140000001, -99, 1621, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-07-27 00:00:00', 9.5500001910000005, 11.618627549999999, -99, 678, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-07-28 00:00:00', 4.7399997709999999, 12.51027298, -99, 1268, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-07-29 00:00:00', 4.8400001530000001, 12.37714386, -99, 1650, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-07-30 00:00:00', 3.2699999809999998, 11.06514645, -99, 974, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-07-31 00:00:00', 0.81999999300000004, 11.04050732, -99, 1498, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-08-01 00:00:00', 0.15999999600000001, 6.1905040739999997, -99, 1905, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-08-02 00:00:00', 0.039999999000000001, 8.1757049560000006, -99, 1740, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-08-03 00:00:00', 0, 8.7842674259999995, -99, 2314, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-08-04 00:00:00', 5.1900000569999998, 15.964887620000001, -99, 855, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-08-05 00:00:00', 0.079999998000000003, 10.43309212, -99, 1787, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-08-06 00:00:00', 0, 11.10329342, -99, 2290, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-08-07 00:00:00', 0.38999998600000002, 13.03405476, -99, 1635, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-08-08 00:00:00', 0.090000003999999995, 14.503152849999999, -99, 2085, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-08-09 00:00:00', 0, 6.1977624889999996, -99, 2299, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-08-10 00:00:00', 0.810000002, 12.31536674, -99, 889, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-08-11 00:00:00', 0, 14.97822762, -99, 1583, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-08-12 00:00:00', 0.039999999000000001, 13.64391518, -99, 2073, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-08-13 00:00:00', 0, 7.127061844, -99, 2242, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-08-14 00:00:00', 5.6500000950000002, 15.870490070000001, -99, 1508, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-08-15 00:00:00', 1.8700000050000001, 16.7823925, -99, 763, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-08-16 00:00:00', 0.87000000499999997, 16.973613740000001, -99, 960, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-08-17 00:00:00', 1.210000038, 17.241212839999999, -99, 793, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-08-18 00:00:00', 0, 16.302764889999999, -99, 1214, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-08-19 00:00:00', 0, 13.567608829999999, -99, 1776, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-08-20 00:00:00', 0.039999999000000001, 12.445644379999999, -99, 1818, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-08-21 00:00:00', 0.039999999000000001, 12.91832447, -99, 1978, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-08-22 00:00:00', 0, 13.54175568, -99, 1978, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-08-23 00:00:00', 0.039999999000000001, 13.409987449999999, -99, 1960, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-08-24 00:00:00', 2.5099999899999998, 15.84512043, -99, 1436, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-08-25 00:00:00', 11.869999890000001, 15.910483360000001, -99, 853, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-08-26 00:00:00', 6.8200001720000003, 12.777113910000001, -99, 850, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-08-27 00:00:00', 7.2600002290000001, 15.70197201, -99, 1049, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-08-28 00:00:00', 0.58999997400000004, 10.026534079999999, -99, 1490, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-08-29 00:00:00', 0.23999999499999999, 9.7737770079999997, -99, 1658, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-08-30 00:00:00', 0.670000017, 11.607459070000001, -99, 727, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-08-31 00:00:00', 25.170000080000001, 14.542034149999999, -99, 424, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-09-01 00:00:00', 0.079999998000000003, 16.10170364, -99, 755, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-09-02 00:00:00', 1.539999962, 12.819534300000001, -99, 1472, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-09-03 00:00:00', 1.039999962, 10.450629230000001, -99, 1308, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-09-04 00:00:00', 20.540000920000001, 9.5690431589999996, -99, 600, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-09-05 00:00:00', 7.4099998469999999, 9.4119873050000002, -99, 1293, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-09-06 00:00:00', 0.28999999199999998, 10.14140415, -99, 1584, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-09-07 00:00:00', 0, 4.986063004, -99, 1698, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-09-08 00:00:00', 0.109999999, 5.9255290030000003, -99, 1675, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-09-09 00:00:00', 0.070000000000000007, 6.1494226459999997, -99, 1634, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-09-10 00:00:00', 0.070000000000000007, 8.0562925340000007, -99, 1139, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-09-11 00:00:00', 7.8499999049999998, 11.4717083, -99, 718, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-09-12 00:00:00', 8.1999998089999995, 12.71318722, -99, 1163, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-09-13 00:00:00', 2.0699999330000001, 14.796636579999999, -99, 581, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-09-14 00:00:00', 19.25, 15.67203522, -99, 409, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-09-15 00:00:00', 6.3099999430000002, 11.29836845, -99, 1032, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-09-16 00:00:00', 2.5599999430000002, 10.90079403, -99, 432, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-09-17 00:00:00', 3.539999962, 14.673511510000001, -99, 695, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-09-18 00:00:00', 1.0499999520000001, 12.71011925, -99, 1176, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-09-19 00:00:00', 0.50999998999999996, 9.6825971600000003, -99, 1062, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-09-20 00:00:00', 0.039999999000000001, 10.05766964, -99, 1253, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-09-21 00:00:00', 4.420000076, 5.5772652630000001, -99, 264, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-09-22 00:00:00', 6.0199999809999998, 11.813076969999999, -99, 440, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-09-23 00:00:00', 4.329999924, 11.377054210000001, -99, 686, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-09-24 00:00:00', 8.2799997330000004, 11.03798389, -99, 581, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-09-25 00:00:00', 1.5499999520000001, 7.991802216, -99, 865, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-09-26 00:00:00', 0.30000001199999998, 4.1038689609999999, -99, 1103, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-09-27 00:00:00', 0.25, 3.5979878900000002, -99, 964, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-09-28 00:00:00', 0.070000000000000007, 4.195430279, -99, 1010, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-09-29 00:00:00', 0, 3.5645203589999999, -99, 1114, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-09-30 00:00:00', 0.119999997, 2.7358214859999999, -99, 1111, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-10-01 00:00:00', 0.219999999, 3.2227027420000001, -99, 888, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-10-02 00:00:00', 0.050000001000000002, 7.1805343629999996, -99, 1146, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-10-03 00:00:00', 0, 5.0886244769999998, -99, 1052, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-10-04 00:00:00', 0.039999999000000001, 7.9799628260000004, -99, 614, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-10-05 00:00:00', 0.039999999000000001, 5.8071432109999996, -99, 824, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-10-06 00:00:00', 5.7600002290000001, 12.01118851, -99, 344, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-10-07 00:00:00', 14.369999890000001, 12.62730026, -99, 178, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-10-08 00:00:00', 3.7699999809999998, 10.93128681, -99, 287, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-10-09 00:00:00', 0.070000000000000007, 10.28600979, -99, 336, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-10-10 00:00:00', 0.209999993, 7.6780314450000002, -99, 747, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-10-11 00:00:00', 0.12999999500000001, 5.6460361480000003, -99, 631, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-10-12 00:00:00', 0.219999999, 5.6632313730000003, -99, 499, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-10-13 00:00:00', 4.6999998090000004, 4.3914718629999996, -99, 388, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-10-14 00:00:00', 1.0700000519999999, 7.130329132, -99, 285, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-10-15 00:00:00', 0.15999999600000001, 7.9489698410000003, -99, 517, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-10-16 00:00:00', 3.0299999710000001, 8.6994628909999996, -99, 262, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-10-17 00:00:00', 1.7400000099999999, 8.9516391750000004, -99, 190, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-10-18 00:00:00', 0.090000003999999995, 9.7614336010000002, -99, 263, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-10-19 00:00:00', 0.039999999000000001, 2.2207894330000002, -99, 478, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-10-20 00:00:00', 0.18000000699999999, 7.036943913, -99, 383, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-10-21 00:00:00', 2.1900000569999998, 6.4146227839999996, -99, 285, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-10-22 00:00:00', 0.83999997400000004, 10.643079759999999, -99, 334, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-10-23 00:00:00', 0, 10.764151569999999, -99, 669, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-10-24 00:00:00', 0.99000001000000004, 8.6323575970000004, -99, 121, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-10-25 00:00:00', 0, 6.4066901209999996, -99, 558, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-10-26 00:00:00', 0.050000001000000002, 2.221491098, -99, 553, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-10-27 00:00:00', 0.189999998, 4.2082748409999997, -99, 526, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-10-28 00:00:00', 0.059999998999999998, 7.5501923560000002, -99, 540, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-10-29 00:00:00', 0, 7.2330842019999997, -99, 316, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-10-30 00:00:00', 0, 8.9747095110000004, -99, 215, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-10-31 00:00:00', 0.15000000599999999, 6.2979679109999998, -99, 321, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-11-01 00:00:00', 0, 4.0184502599999998, -99, 225, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-11-02 00:00:00', 0.10000000100000001, 9.8766851429999996, -99, 167, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-11-03 00:00:00', 0, 5.6913394930000001, -99, 141, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-11-04 00:00:00', 0, 3.4285469059999998, -99, 325, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-11-05 00:00:00', 7.3000001909999996, 6.1674094200000003, -99, 173, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-11-06 00:00:00', 6.1300001139999996, 11.00030327, -99, 165, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-11-07 00:00:00', 13.539999959999999, 12.01209164, -99, 115, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-11-08 00:00:00', 6.2399997709999999, 10.16007233, -99, 383, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-11-09 00:00:00', 5.25, 9.9408597949999997, -99, 104, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-11-10 00:00:00', 0.12999999500000001, 11.706096649999999, -99, 204, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-11-11 00:00:00', 2.9400000569999998, 13.39053345, -99, 76, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-11-12 00:00:00', 0.20000000300000001, 11.24286652, -99, 339, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-11-13 00:00:00', 12.100000380000001, 7.9731397629999998, -99, 250, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-11-14 00:00:00', 4, 4.9607615469999997, -99, 238, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-11-15 00:00:00', 4.6199998860000004, 4.6096048359999999, -99, 228, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-11-16 00:00:00', 5.8000001909999996, 2.8543016909999999, -99, 161, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-11-17 00:00:00', 17.379999160000001, 5.5065002439999997, -99, 235, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-11-18 00:00:00', 9.1199998860000004, 8.1584987640000008, -99, 189, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-11-19 00:00:00', 12.149999619999999, 7.636167049, -99, 178, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-11-20 00:00:00', 0.980000019, 5.6591472630000004, -99, 166, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-11-21 00:00:00', 0.189999998, 3.0528297420000001, -99, 242, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-11-22 00:00:00', 1.1000000240000001, -1.8528454299999999, -99, 111, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-11-23 00:00:00', 3.7000000480000002, -6.8818478580000004, -99, 174, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-11-24 00:00:00', 7.7699999809999998, 2.7647142410000001, -99, 39, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-11-25 00:00:00', 0.33000001299999998, 3.088062286, -99, 208, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-11-26 00:00:00', 0.15999999600000001, -0.39809238899999999, -99, 234, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-11-27 00:00:00', 4.4699997900000001, 1.2874581810000001, -99, 94, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-11-28 00:00:00', 10.260000229999999, 4.8232021329999997, -99, 184, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-11-29 00:00:00', 10.35999966, 4.0004167559999999, -99, 133, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-11-30 00:00:00', 3.2599999899999998, 3.5188164710000001, -99, 163, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-12-01 00:00:00', 3.7400000100000002, 2.770903111, -99, 189, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-12-02 00:00:00', 1.710000038, 4.5870814319999997, -99, 73, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-12-03 00:00:00', 7.3499999049999998, 9.4759101870000002, -99, 35, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-12-04 00:00:00', 0.810000002, 6.5251936910000001, -99, 118, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-12-05 00:00:00', 6.3099999430000002, 8.1283750529999992, -99, 24, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-12-06 00:00:00', 0.93000000699999996, 8.665696144, -99, 22, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-12-07 00:00:00', 0.730000019, 3.188228369, -99, 128, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-12-08 00:00:00', 3.3399999139999998, 6.3270063399999996, -99, 172, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-12-09 00:00:00', 0.219999999, 6.9043521879999998, -99, 174, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-12-10 00:00:00', 10.100000380000001, 6.160608292, -99, 20, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-12-11 00:00:00', 6.5700001720000003, 5.1366600990000002, -99, 138, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-12-12 00:00:00', 7.4800000190000002, 2.840334892, -99, 145, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-12-13 00:00:00', 0.050000001000000002, 1.9257483479999999, -99, 166, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-12-14 00:00:00', 5.8899998660000001, -1.2973507639999999, -99, 61, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-12-15 00:00:00', 0.56999999300000004, 3.4173851009999998, -99, 68, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-12-16 00:00:00', 2.5499999519999998, 3.090478659, -99, 45, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-12-17 00:00:00', 1.4900000099999999, 6.6598749159999997, -99, 24, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-12-18 00:00:00', 0.01, 9.6203689580000002, -99, 89, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-12-19 00:00:00', 2.0899999139999998, 9.2727575299999998, -99, 15, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-12-20 00:00:00', 0.02, 11.04741001, -99, 55, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-12-21 00:00:00', 8.4899997710000008, 9.3167600630000003, -99, 121, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-12-22 00:00:00', 22.010000229999999, 7.7808709140000003, -99, 23, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-12-23 00:00:00', 0.280000001, 9.3406467440000007, -99, 98, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-12-24 00:00:00', 1.809999943, 5.5948367120000002, -99, 96, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-12-25 00:00:00', 11.19999981, 6.1092219349999999, -99, 141, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-12-26 00:00:00', 27.299999239999998, 5.4983153339999999, -99, 20, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-12-27 00:00:00', 3.8499999049999998, 5.8499169350000004, -99, 104, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-12-28 00:00:00', 0, 3.811449766, -99, 148, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-12-29 00:00:00', 0, 3.4004049300000001, -99, 36, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-12-30 00:00:00', 0, 4.7200059889999997, -99, 95, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2015-12-31 00:00:00', 2.289999962, 1.0705507990000001, -99, 23, 'ask', 'ask_2015');
INSERT INTO public.cdy_cldat VALUES ('2016-01-01 00:00:00', 0.55000001200000004, 1.3797181839999999, -99, 171, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-01-02 00:00:00', 0, 1.9238197800000001, -99, 60, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-01-03 00:00:00', 0.02, -4.0941324229999996, -99, 135, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-01-04 00:00:00', 0, -4.8218617439999996, -99, 202, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-01-05 00:00:00', 0, -3.2074134349999999, -99, 201, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-01-06 00:00:00', 0.039999999000000001, -3.774885893, -99, 167, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-01-07 00:00:00', 1.5800000430000001, -2.7250418660000002, -99, 162, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-01-08 00:00:00', 1.3799999949999999, -1.8514069319999999, -99, 80, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-01-09 00:00:00', 2.6600000860000002, -2.9775009159999999, -99, 43, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-01-10 00:00:00', 4.7600002290000001, 0.74952912299999996, -99, 50, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-01-11 00:00:00', 0.27000001099999998, 1.4443511959999999, -99, 76, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-01-12 00:00:00', 6.7300000190000002, 1.1367584470000001, -99, 69, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-01-13 00:00:00', 1.9700000289999999, 0.35248395799999999, -99, 130, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-01-14 00:00:00', 0.46000000800000002, 0.0036815099999999998, -99, 98, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-01-15 00:00:00', 0, 0.22559657699999999, -99, 129, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-01-16 00:00:00', 0, -1.2858346700000001, -99, 174, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-01-17 00:00:00', 0.30000001199999998, -5.332507133, -99, 280, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-01-18 00:00:00', 2.1800000669999999, -7.6539492610000002, -99, 234, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-01-19 00:00:00', 0.75999998999999996, -1.7940731050000001, -99, 244, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-01-20 00:00:00', 0.059999998999999998, -10.423542980000001, -99, 308, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-01-21 00:00:00', 0.12999999500000001, -13.85158253, -99, 215, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-01-22 00:00:00', 5.2100000380000004, -8.9590168000000006, -99, 175, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-01-23 00:00:00', 1.6799999480000001, -3.842791557, -99, 215, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-01-24 00:00:00', 5.3200001720000003, 1.2714310879999999, -99, 108, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-01-25 00:00:00', 0.86000001400000003, 3.7475039959999998, -99, 174, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-01-26 00:00:00', 5.25, 5.5583834650000004, -99, 166, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-01-27 00:00:00', 3.0599999430000002, 6.5231389999999996, -99, 112, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-01-28 00:00:00', 1.1000000240000001, 4.9645624159999997, -99, 343, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-01-29 00:00:00', 11.59000015, 4.9734349250000003, -99, 98, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-01-30 00:00:00', 4.8099999430000002, 6.6904201509999996, -99, 196, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-01-31 00:00:00', 6.9299998279999997, 1.382097363, -99, 206, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-02-01 00:00:00', 4.1100001339999999, 0.295527816, -99, 86, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-02-02 00:00:00', 3.5, 6.1990146639999999, -99, 189, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-02-03 00:00:00', 3.960000038, 4.3236417769999997, -99, 356, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-02-04 00:00:00', 0.37000000500000002, 1.2839165930000001, -99, 419, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-02-05 00:00:00', 2.079999924, -0.69370693000000005, -99, 97, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-02-06 00:00:00', 1.230000019, 6.5261659620000003, -99, 98, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-02-07 00:00:00', 2.4800000190000002, 6.3253159520000004, -99, 193, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-02-08 00:00:00', 11.02000046, 4.2632088660000003, -99, 225, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-02-09 00:00:00', 4.3800001139999996, 5.5010123249999996, -99, 421, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-02-10 00:00:00', 1.6599999670000001, 2.8727278709999999, -99, 362, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-02-11 00:00:00', 0.77999997099999996, 0.83860987399999998, -99, 367, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-02-12 00:00:00', 0.10000000100000001, -3.0529458520000001, -99, 496, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-02-13 00:00:00', 0, -1.4942197800000001, -99, 533, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-02-14 00:00:00', 0, -0.19430883199999999, -99, 456, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-02-15 00:00:00', 0, -3.5236494540000001, -99, 623, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-02-16 00:00:00', 0, -7.8438391689999998, -99, 692, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-02-17 00:00:00', 0, -4.5613803859999997, -99, 666, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-02-18 00:00:00', 0, -0.198036239, -99, 271, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-02-19 00:00:00', 2.579999924, -0.44256034500000002, -99, 545, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-02-20 00:00:00', 7.8899998660000001, 0.85908639399999998, -99, 423, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-02-21 00:00:00', 9.5399999619999996, 3.7415533070000002, -99, 335, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-02-22 00:00:00', 1.019999981, 1.7309138770000001, -99, 660, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-02-23 00:00:00', 1.190000057, 2.7846612930000001, -99, 612, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-02-24 00:00:00', 0.77999997099999996, 0.53806656600000002, -99, 742, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-02-25 00:00:00', 0.059999998999999998, -2.3612504009999999, -99, 642, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-02-26 00:00:00', 0, -1.886198759, -99, 847, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-02-27 00:00:00', 2.329999924, -4.2450032230000003, -99, 629, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-02-28 00:00:00', 0, -4.4465613370000003, -99, 907, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-02-29 00:00:00', 0, -3.342610359, -99, 661, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-03-01 00:00:00', 4.2100000380000004, -3.4366736410000001, -99, 361, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-03-02 00:00:00', 7.9600000380000004, -0.58837473399999995, -99, 287, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-03-03 00:00:00', 1.4199999569999999, -1.632949352, -99, 553, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-03-04 00:00:00', 1.3400000329999999, -0.039285023000000002, -99, 687, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-03-05 00:00:00', 2.9900000100000002, 1.0554285050000001, -99, 159, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-03-06 00:00:00', 0.17000000200000001, 0.82560241199999995, -99, 390, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-03-07 00:00:00', 0.56999999300000004, -0.57057762099999998, -99, 634, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-03-08 00:00:00', 0, -0.59377270900000001, -99, 625, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-03-09 00:00:00', 0.01, -0.65062087800000001, -99, 1057, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-03-10 00:00:00', 0, -0.83923625899999998, -99, 800, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-03-11 00:00:00', 0, 0.39060825100000002, -99, 819, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-03-12 00:00:00', 0, -3.0456702710000001, -99, 1057, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-03-13 00:00:00', 0, -1.5662126540000001, -99, 823, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-03-14 00:00:00', 0, 0.67076802300000005, -99, 451, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-03-15 00:00:00', 0, 1.9369776249999999, -99, 1029, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-03-16 00:00:00', 0, -1.2481764550000001, -99, 1303, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-03-17 00:00:00', 0.029999998999999999, -3.6782314779999998, -99, 799, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-03-18 00:00:00', 0, 3.15953207, -99, 891, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-03-19 00:00:00', 0, -2.2050852779999999, -99, 1288, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-03-20 00:00:00', 0, 4.1488966940000003, -99, 1383, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-03-21 00:00:00', 0.790000021, 4.7665791510000002, -99, 737, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-03-22 00:00:00', 0.14000000100000001, 4.8540754320000001, -99, 985, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-03-23 00:00:00', 0, 2.404237986, -99, 1495, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-03-24 00:00:00', 1.690000057, -3.9081671240000002, -99, 663, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-03-25 00:00:00', 0.62000000499999997, 4.6646738049999996, -99, 579, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-03-26 00:00:00', 0.40999999599999998, 0.232132688, -99, 1549, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-03-27 00:00:00', 4.9499998090000004, 7.0191788669999999, -99, 461, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-03-28 00:00:00', 3.8099999430000002, 4.778862953, -99, 527, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-03-29 00:00:00', 0.61000001400000003, 4.8801445960000001, -99, 1362, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-03-30 00:00:00', 4.8699998860000004, 3.4737453459999998, -99, 1007, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-03-31 00:00:00', 0, 3.9862282279999999, -99, 1518, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-04-01 00:00:00', 0, -3.536607504, -99, 1660, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-04-02 00:00:00', 0, 3.1844663620000002, -99, 1254, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-04-03 00:00:00', 0.52999997099999996, 4.6780219079999998, -99, 747, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-04-04 00:00:00', 6.1500000950000002, 3.1624529360000002, -99, 1048, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-04-05 00:00:00', 16.100000380000001, 4.4036717410000001, -99, 467, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-04-06 00:00:00', 9.2700004580000002, 6.3342695239999998, -99, 1088, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-04-07 00:00:00', 5.3499999049999998, 3.9967789649999999, -99, 720, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-04-08 00:00:00', 0.310000002, 3.996559381, -99, 1490, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-04-09 00:00:00', 0, 0.68733400099999997, -99, 1298, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-04-10 00:00:00', 0, 4.1597542760000001, -99, 1249, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-04-11 00:00:00', 1.4199999569999999, 2.081001997, -99, 1903, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-04-12 00:00:00', 2.9500000480000002, 4.7941532139999996, -99, 388, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-04-13 00:00:00', 0.059999998999999998, 2.7727661129999999, -99, 827, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-04-14 00:00:00', 4.7100000380000004, 4.4410672189999998, -99, 1493, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-04-15 00:00:00', 4.9400000569999998, 5.5338997839999999, -99, 1005, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-04-16 00:00:00', 3.9000000950000002, 5.7518606190000003, -99, 536, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-04-17 00:00:00', 0, 4.3972907069999998, -99, 1643, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-04-18 00:00:00', 2.9300000669999999, 2.4646718500000002, -99, 855, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-04-19 00:00:00', 0.119999997, 5.7074933049999999, -99, 1644, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-04-20 00:00:00', 0, 3.5592708590000002, -99, 2036, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-04-21 00:00:00', 0, 1.094602823, -99, 1355, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-04-22 00:00:00', 0, 2.5650777819999999, -99, 2095, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-04-23 00:00:00', 2.7000000480000002, 0.14767472400000001, -99, 1453, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-04-24 00:00:00', 1.940000057, -1.049264193, -99, 1607, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-04-25 00:00:00', 6.5500001909999996, -1.62307322, -99, 1122, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-04-26 00:00:00', 6.3699998860000004, 0.70181840699999998, -99, 1029, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-04-27 00:00:00', 3.5, 0.69112330700000002, -99, 1225, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-04-28 00:00:00', 0.30000001199999998, 2.2995698450000002, -99, 1542, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-04-29 00:00:00', 7.1199998860000004, 1.4435051679999999, -99, 627, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-04-30 00:00:00', 0.059999998999999998, 3.9243907930000002, -99, 1796, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-05-01 00:00:00', 0, -1.977812409, -99, 2394, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-05-02 00:00:00', 1.1799999480000001, 0.035494365, -99, 1983, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-05-03 00:00:00', 2.5599999430000002, 8.8841991419999999, -99, 1894, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-05-04 00:00:00', 0, 0.72020256500000002, -99, 2399, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-05-05 00:00:00', 0, 0.93083202799999998, -99, 2417, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-05-06 00:00:00', 0, 6.1401939390000004, -99, 2389, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-05-07 00:00:00', 0, 9.7174749370000004, -99, 2402, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-05-08 00:00:00', 0.050000001000000002, 10.539389610000001, -99, 2485, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-05-09 00:00:00', 0, 9.9931287770000008, -99, 2481, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-05-10 00:00:00', 0, 10.826168060000001, -99, 2452, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-05-11 00:00:00', 0, 11.52845097, -99, 2485, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-05-12 00:00:00', 0, 9.8556213380000006, -99, 2477, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-05-13 00:00:00', 0.02, 4.5718660350000002, -99, 2409, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-05-14 00:00:00', 1.75, 5.3891539570000004, -99, 1457, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-05-15 00:00:00', 2.829999924, 3.5243995190000001, -99, 1822, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-05-16 00:00:00', 0, 4.3951048850000003, -99, 1816, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-05-17 00:00:00', 0.070000000000000007, 7.14511919, -99, 1285, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-05-18 00:00:00', 0, 3.3387792109999999, -99, 1942, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-05-19 00:00:00', 1.230000019, 6.8985385890000002, -99, 1867, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-05-20 00:00:00', 0.91000002599999996, 10.74303055, -99, 768, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-05-21 00:00:00', 9.4399995800000003, 10.15323925, -99, 999, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-05-22 00:00:00', 8.3000001910000005, 13.043193820000001, -99, 1771, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-05-23 00:00:00', 2.5599999430000002, 12.1855402, -99, 921, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-05-24 00:00:00', 1.8999999759999999, 9.3266334529999995, -99, 702, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-05-25 00:00:00', 0.050000001000000002, 13.4600668, -99, 1206, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-05-26 00:00:00', 0, 11.716888429999999, -99, 994, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-05-27 00:00:00', 0.02, 7.1270928380000003, -99, 2545, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-05-28 00:00:00', 0.02, 8.8499994280000003, -99, 1891, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-05-29 00:00:00', 1.309999943, 10.31435776, -99, 2064, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-05-30 00:00:00', 0.25999999000000001, 15.67048645, -99, 2253, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-05-31 00:00:00', 0.310000002, 16.268526080000001, -99, 2075, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-06-01 00:00:00', 0, 16.35569572, -99, 2163, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-06-02 00:00:00', 0, 16.729194639999999, -99, 2327, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-06-03 00:00:00', 0, 17.8954792, -99, 2698, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-06-04 00:00:00', 0.62000000499999997, 11.968416210000001, -99, 2767, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-06-05 00:00:00', 0, 11.800365449999999, -99, 2720, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-06-06 00:00:00', 0, 12.896390909999999, -99, 2643, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-06-07 00:00:00', 0, 13.11376381, -99, 2651, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-06-08 00:00:00', 0.36000001399999998, 10.708178520000001, -99, 2402, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-06-09 00:00:00', 0, 6.9718961720000001, -99, 2653, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-06-10 00:00:00', 0, 8.9903659820000001, -99, 2237, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-06-11 00:00:00', 0, 6.3621058460000004, -99, 2393, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-06-12 00:00:00', 1.5299999710000001, 9.1208095549999992, -99, 2240, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-06-13 00:00:00', 4.329999924, 11.598665240000001, -99, 808, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-06-14 00:00:00', 0.090000003999999995, 13.41076565, -99, 860, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-06-15 00:00:00', 12.600000380000001, 13.68684959, -99, 1974, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-06-16 00:00:00', 0.64999997600000003, 12.8487711, -99, 1756, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-06-17 00:00:00', 0.34999999399999998, 8.5521717069999994, -99, 2317, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-06-18 00:00:00', 0, 10.19886494, -99, 1833, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-06-19 00:00:00', 0, 11.53579521, -99, 1774, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-06-20 00:00:00', 21.409999849999998, 7.7825374600000004, -99, 686, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-06-21 00:00:00', 2.329999924, 13.375812529999999, -99, 2348, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-06-22 00:00:00', 1.210000038, 10.82748318, -99, 1958, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-06-23 00:00:00', 3.3399999139999998, 12.822335239999999, -99, 756, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-06-24 00:00:00', 0.28999999199999998, 15.92155361, -99, 1895, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-06-25 00:00:00', 21.309999470000001, 15.028315539999999, -99, 556, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-06-26 00:00:00', 0.070000000000000007, 12.881288530000001, -99, 2173, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-06-27 00:00:00', 9.3500003809999992, 11.05124092, -99, 955, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-06-28 00:00:00', 0.939999998, 9.2033519740000003, -99, 2192, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-06-29 00:00:00', 4.3200001720000003, 10.94116402, -99, 1940, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-06-30 00:00:00', 7.920000076, 11.50000095, -99, 1897, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-07-01 00:00:00', 11.06999969, 12.291123389999999, -99, 1219, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-07-02 00:00:00', 2.1900000569999998, 14.61056995, -99, 2210, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-07-03 00:00:00', 2.9700000289999999, 9.8936986919999992, -99, 1980, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-07-04 00:00:00', 0.079999998000000003, 9.0892753600000002, -99, 2351, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-07-05 00:00:00', 9.6800003050000001, 9.3124675749999994, -99, 601, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-07-06 00:00:00', 0.050000001000000002, 11.188549999999999, -99, 2103, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-07-07 00:00:00', 0.28999999199999998, 9.4157352450000005, -99, 1096, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-07-08 00:00:00', 9.7799997330000004, 14.268157009999999, -99, 1005, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-07-09 00:00:00', 4.3499999049999998, 13.30438328, -99, 2191, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-07-10 00:00:00', 2.5299999710000001, 14.752076150000001, -99, 817, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-07-11 00:00:00', 5.1100001339999999, 15.236680979999999, -99, 1675, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-07-12 00:00:00', 0.31999999299999998, 15.300517080000001, -99, 1222, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-07-13 00:00:00', 0, 8.1946134570000009, -99, 2301, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-07-14 00:00:00', 0.689999998, 8.173490524, -99, 1048, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-07-15 00:00:00', 0, 13.44203854, -99, 1085, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-07-16 00:00:00', 3.4400000569999998, 9.6971426009999995, -99, 1191, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-07-17 00:00:00', 1.3799999949999999, 10.12480068, -99, 910, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-07-18 00:00:00', 0.059999998999999998, 12.6427145, -99, 1219, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-07-19 00:00:00', 0.34999999399999998, 15.068140980000001, -99, 1726, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-07-20 00:00:00', 0.029999998999999999, 11.81272411, -99, 2533, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-07-21 00:00:00', 0.029999998999999999, 17.423990249999999, -99, 2318, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-07-22 00:00:00', 3.1600000860000002, 15.48357391, -99, 2000, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-07-23 00:00:00', 0.050000001000000002, 16.94075394, -99, 2212, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-07-24 00:00:00', 0, 14.537288670000001, -99, 2345, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-07-25 00:00:00', 0.38999998600000002, 15.08317375, -99, 1338, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-07-26 00:00:00', 0, 13.58310509, -99, 1894, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-07-27 00:00:00', 16.209999079999999, 10.819577219999999, -99, 1082, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-07-28 00:00:00', 2.289999962, 11.402224540000001, -99, 2063, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-07-29 00:00:00', 3.380000114, 13.96329117, -99, 1473, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-07-30 00:00:00', 1.230000019, 14.512125019999999, -99, 1548, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-07-31 00:00:00', 2.2999999519999998, 9.0280513760000005, -99, 1791, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-08-01 00:00:00', 2.7999999519999998, 10.65360546, -99, 1804, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-08-02 00:00:00', 0, 11.374297139999999, -99, 2024, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-08-03 00:00:00', 9.3100004199999997, 10.00027657, -99, 563, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-08-04 00:00:00', 3.2000000480000002, 14.9012289, -99, 1575, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-08-05 00:00:00', 0.40000000600000002, 13.17678452, -99, 1850, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-08-06 00:00:00', 1.7200000289999999, 12.593576430000001, -99, 1878, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-08-07 00:00:00', 2.039999962, 9.5742053990000002, -99, 715, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-08-08 00:00:00', 1.4199999569999999, 14.81415176, -99, 1468, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-08-09 00:00:00', 1.25, 8.7962799070000006, -99, 1833, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-08-10 00:00:00', 1.1499999759999999, 6.7460322379999997, -99, 1678, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-08-11 00:00:00', 0.10000000100000001, 6.633924961, -99, 1445, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-08-12 00:00:00', 0.34999999399999998, 11.11044502, -99, 676, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-08-13 00:00:00', 1.3799999949999999, 15.603336329999999, -99, 1205, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-08-14 00:00:00', 1.980000019, 11.15728378, -99, 1315, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-08-15 00:00:00', 0.10000000100000001, 11.33547115, -99, 1437, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-08-16 00:00:00', 0, 7.0011119839999996, -99, 2011, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-08-17 00:00:00', 0, 6.3518209460000001, -99, 2116, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-08-18 00:00:00', 0, 9.9990577700000003, -99, 1747, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-08-19 00:00:00', 0.579999983, 8.8985128400000004, -99, 1499, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-08-20 00:00:00', 2.7400000100000002, 13.847229, -99, 908, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-08-21 00:00:00', 6.25, 11.56268406, -99, 1424, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-08-22 00:00:00', 7.8800001139999996, 11.67589283, -99, 1152, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-08-23 00:00:00', 0.01, 16.44575691, -99, 1039, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-08-24 00:00:00', 0, 11.43913841, -99, 1852, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-08-25 00:00:00', 0, 16.524759289999999, -99, 1839, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-08-26 00:00:00', 0.15000000599999999, 16.501510620000001, -99, 1545, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-08-27 00:00:00', 5.7199997900000001, 8.7189388280000006, -99, 1811, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-08-28 00:00:00', 4.170000076, 13.66097736, -99, 339, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-08-29 00:00:00', 0.039999999000000001, 15.155297279999999, -99, 1389, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-08-30 00:00:00', 0, 10.53223038, -99, 1595, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-08-31 00:00:00', 0.050000001000000002, 10.54481125, -99, 1447, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-09-01 00:00:00', 0.730000019, 11.3602457, -99, 1369, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-09-02 00:00:00', 4.0599999430000002, 10.162693020000001, -99, 806, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-09-03 00:00:00', 5.3000001909999996, 12.3463335, -99, 1139, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-09-04 00:00:00', 12.44999981, 12.68391037, -99, 448, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-09-05 00:00:00', 0, 11.22018147, -99, 1728, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-09-06 00:00:00', 0.280000001, 9.7933149339999996, -99, 1381, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-09-07 00:00:00', 0.059999998999999998, 17.04430962, -99, 871, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-09-08 00:00:00', 0, 12.599268909999999, -99, 1631, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-09-09 00:00:00', 0.039999999000000001, 14.540308, -99, 1537, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-09-10 00:00:00', 0.31999999299999998, 11.78713417, -99, 1556, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-09-11 00:00:00', 0.20000000300000001, 15.463142400000001, -99, 1363, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-09-12 00:00:00', 0.01, 9.0790882110000002, -99, 1488, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-09-13 00:00:00', 0, 17.185153960000001, -99, 1478, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-09-14 00:00:00', 0, 16.968334200000001, -99, 1485, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-09-15 00:00:00', 0, 15.57409668, -99, 1447, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-09-16 00:00:00', 0.17000000200000001, 14.70353317, -99, 1269, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-09-17 00:00:00', 0, 16.095623020000001, -99, 870, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-09-18 00:00:00', 0, 9.5350847240000007, -99, 1336, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-09-19 00:00:00', 0, 12.37892151, -99, 820, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-09-20 00:00:00', 0, 8.1642026899999998, -99, 1051, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-09-21 00:00:00', 0.070000000000000007, 9.2734432219999992, -99, 955, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-09-22 00:00:00', 1.6000000240000001, 8.5894660950000006, -99, 1054, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-09-23 00:00:00', 0.15999999600000001, 9.4858961110000006, -99, 928, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-09-24 00:00:00', 0, 6.9561657910000001, -99, 1134, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-09-25 00:00:00', 0, 10.11701012, -99, 1253, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-09-26 00:00:00', 0.37000000500000002, 11.199049, -99, 1143, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-09-27 00:00:00', 0.62000000499999997, 3.5418231489999998, -99, 1160, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-09-28 00:00:00', 0.15999999600000001, 15.17790604, -99, 714, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-09-29 00:00:00', 10.27000046, 15.469745639999999, -99, 271, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-09-30 00:00:00', 4.2300000190000002, 9.9030942920000005, -99, 865, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-10-01 00:00:00', 7.8499999049999998, 8.5895977020000007, -99, 620, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-10-02 00:00:00', 8.0799999239999991, 8.4195079800000006, -99, 404, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-10-03 00:00:00', 0.189999998, 7.908302784, -99, 734, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-10-04 00:00:00', 0, 7.7763576509999996, -99, 1087, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-10-05 00:00:00', 0, 3.8984348770000001, -99, 1063, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-10-06 00:00:00', 0, 6.170629978, -99, 377, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-10-07 00:00:00', 0.33000001299999998, 5.0385661129999999, -99, 444, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-10-08 00:00:00', 1.019999981, 3.4597818849999999, -99, 705, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-10-09 00:00:00', 2.0899999139999998, 6.153980732, -99, 485, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-10-10 00:00:00', 5.8600001339999999, 4.469563484, -99, 438, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-10-11 00:00:00', 0.20000000300000001, 8.4023170470000004, -99, 353, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-10-12 00:00:00', 1.7999999520000001, 7.7387890820000003, -99, 345, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-10-13 00:00:00', 0.280000001, 8.1399126049999992, -99, 354, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-10-14 00:00:00', 0, 7.5316762920000002, -99, 559, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-10-15 00:00:00', 2.3599998950000001, 9.2816200260000006, -99, 108, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-10-16 00:00:00', 0.01, 8.9523677829999997, -99, 264, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-10-17 00:00:00', 0.44999998800000002, 9.332296371, -99, 128, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-10-18 00:00:00', 5.3800001139999996, 9.6168689730000008, -99, 366, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-10-19 00:00:00', 12.60999966, 7.1136083599999997, -99, 248, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-10-20 00:00:00', 3.9000000950000002, 8.9490365979999993, -99, 497, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-10-21 00:00:00', 8.9200000760000009, 6.0108313559999997, -99, 197, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-10-22 00:00:00', 6.8499999049999998, 7.6194291109999996, -99, 175, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-10-23 00:00:00', 4.5599999430000002, 2.8351883889999998, -99, 289, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-10-24 00:00:00', 0.15999999600000001, 3.0453298090000001, -99, 520, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-10-25 00:00:00', 0, 0.76487302800000001, -99, 535, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-10-26 00:00:00', 3.630000114, 0.67443513899999996, -99, 235, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-10-27 00:00:00', 0.62999999500000003, 7.7805871959999999, -99, 458, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-10-28 00:00:00', 0.85000002399999997, 11.83662415, -99, 421, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-10-29 00:00:00', 0.090000003999999995, 7.6220965390000002, -99, 426, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-10-30 00:00:00', 0.02, 5.4643197060000004, -99, 390, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-10-31 00:00:00', 0.810000002, 6.9357204440000002, -99, 191, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-11-01 00:00:00', 1.3999999759999999, 10.773912429999999, -99, 443, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-11-02 00:00:00', 0.310000002, 5.3966684340000004, -99, 454, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-11-03 00:00:00', 2.7999999519999998, -4.5897574419999998, -99, 245, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-11-04 00:00:00', 4.7399997709999999, 3.802823305, -99, 272, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-11-05 00:00:00', 10.59000015, 5.2015929219999997, -99, 71, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-11-06 00:00:00', 2.369999886, 4.0130643839999998, -99, 121, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-11-07 00:00:00', 0.219999999, 0.44040775300000001, -99, 285, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-11-08 00:00:00', 0.560000002, -2.81946516, -99, 373, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-11-09 00:00:00', 1.1599999670000001, -3.7786021230000002, -99, 180, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-11-10 00:00:00', 0.99000001000000004, -2.80766654, -99, 296, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-11-11 00:00:00', 0.090000003999999995, -1.7903021569999999, -99, 369, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-11-12 00:00:00', 0.090000003999999995, -5.9766283040000001, -99, 310, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-11-13 00:00:00', 0, -0.73080068799999998, -99, 267, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-11-14 00:00:00', 9.4300003050000001, -4.6805119509999997, -99, 90, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-11-15 00:00:00', 1.1699999569999999, 2.0883235930000001, -99, 117, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-11-16 00:00:00', 4.1100001339999999, 1.9928081040000001, -99, 71, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-11-17 00:00:00', 6.6799998279999997, 3.2685043810000001, -99, 172, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-11-18 00:00:00', 17.020000459999999, 5.1660823819999999, -99, 158, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-11-19 00:00:00', 6.4499998090000004, 2.7318670749999998, -99, 79, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-11-20 00:00:00', 9.6400003430000005, 1.880621552, -99, 60, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-11-21 00:00:00', 0.769999981, 5.9607563020000001, -99, 46, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-11-22 00:00:00', 0, 7.3795328140000001, -99, 192, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-11-23 00:00:00', 0, 4.784248829, -99, 212, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-11-24 00:00:00', 0, -0.755495429, -99, 207, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-11-25 00:00:00', 0.02, -2.2629356380000001, -99, 222, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-11-26 00:00:00', 0.310000002, 1.791991353, -99, 60, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-11-27 00:00:00', 0, 2.0143008230000001, -99, 235, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-11-28 00:00:00', 0, -3.4311418530000002, -99, 224, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-11-29 00:00:00', 2.2999999519999998, -5.5471873279999997, -99, 133, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-11-30 00:00:00', 5.1300001139999996, 5.0054211620000002, -99, 53, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-12-01 00:00:00', 0.23000000400000001, 7.351050377, -99, 105, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-12-02 00:00:00', 0, 0.55788159400000004, -99, 222, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-12-03 00:00:00', 0.02, -6.5482730870000001, -99, 197, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-12-04 00:00:00', 0.64999997600000003, -1.6499491930000001, -99, 151, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-12-05 00:00:00', 0.27000001099999998, 1.8604542019999999, -99, 137, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-12-06 00:00:00', 0.5, 3.7470865249999998, -99, 129, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-12-07 00:00:00', 3.579999924, 2.4686057570000002, -99, 33, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-12-08 00:00:00', 0.5, 8.2790994639999997, -99, 116, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-12-09 00:00:00', 9.3999996190000008, 7.4063262940000003, -99, 69, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-12-10 00:00:00', 0.829999983, 9.1478281020000001, -99, 127, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-12-11 00:00:00', 5.3499999049999998, 6.4710602760000002, -99, 123, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-12-12 00:00:00', 0.50999998999999996, 2.8537311550000002, -99, 125, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-12-13 00:00:00', 0.219999999, 1.9869599339999999, -99, 100, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-12-14 00:00:00', 0, -0.23436221500000001, -99, 132, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-12-15 00:00:00', 0, -1.1643226149999999, -99, 99, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-12-16 00:00:00', 0, 0.13014954300000001, -99, 58, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-12-17 00:00:00', 1.0299999710000001, -0.910580575, -99, 64, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-12-18 00:00:00', 0, 4.8749570850000001, -99, 136, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-12-19 00:00:00', 0, 3.2276690010000002, -99, 115, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-12-20 00:00:00', 0, 2.7075126169999999, -99, 60, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-12-21 00:00:00', 1.980000019, -0.31481102100000002, -99, 42, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-12-22 00:00:00', 3.829999924, 5.3718090060000003, -99, 136, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-12-23 00:00:00', 5.0700001720000003, 4.0484790799999999, -99, 134, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-12-24 00:00:00', 7.0500001909999996, 5.7814669609999996, -99, 122, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-12-25 00:00:00', 4.6300001139999996, 1.9478950500000001, -99, 101, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-12-26 00:00:00', 2.5199999809999998, 7.1583623889999997, -99, 95, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-12-27 00:00:00', 0.15999999600000001, 3.9937133789999999, -99, 124, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-12-28 00:00:00', 0, 6.3862204550000001, -99, 104, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-12-29 00:00:00', 0.039999999000000001, 3.8215363029999998, -99, 89, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-12-30 00:00:00', 0.14000000100000001, 1.5598191020000001, -99, 105, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2016-12-31 00:00:00', 2.869999886, 6.8514680859999997, -99, 95, 'ask', 'ask_2016');
INSERT INTO public.cdy_cldat VALUES ('2017-01-01 00:00:00', 2.869999886, 7.3795137410000002, -99, 49, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-01-02 00:00:00', 2.5, -1.485603333, -99, 186, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-01-03 00:00:00', 7.6100001339999999, 0.29153800000000002, -99, 49, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-01-04 00:00:00', 0.46000000800000002, 2.6451358800000002, -99, 180, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-01-05 00:00:00', 0.01, -4.1094174389999996, -99, 206, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-01-06 00:00:00', 0.37999999499999998, -10.37624931, -99, 165, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-01-07 00:00:00', 2.3399999139999998, -4.8564357759999996, -99, 71, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-01-08 00:00:00', 0.40999999599999998, 1.0915402169999999, -99, 125, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-01-09 00:00:00', 1.1299999949999999, -0.890257835, -99, 111, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-01-10 00:00:00', 2.0199999809999998, 1.209370136, -99, 105, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-01-11 00:00:00', 14.539999959999999, 2.303566456, -99, 124, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-01-12 00:00:00', 2.5899999139999998, 2.4426536560000001, -99, 190, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-01-13 00:00:00', 0.079999998000000003, -1.9832416770000001, -99, 249, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-01-14 00:00:00', 0.31999999299999998, -0.52485191799999997, -99, 238, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-01-15 00:00:00', 0, -0.86651176200000002, -99, 268, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-01-16 00:00:00', 0.029999998999999999, -7.6806693079999997, -99, 281, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-01-17 00:00:00', 0.01, -7.8966822619999997, -99, 170, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-01-18 00:00:00', 1, 0.65099811600000002, -99, 169, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-01-19 00:00:00', 0.439999998, 2.553584576, -99, 185, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-01-20 00:00:00', 0, 4.3296899800000004, -99, 181, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-01-21 00:00:00', 0.039999999000000001, 1.6948131319999999, -99, 199, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-01-22 00:00:00', 0, 3.784929752, -99, 103, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-01-23 00:00:00', 0.119999997, 0.018706132, -99, 256, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-01-24 00:00:00', 0.079999998000000003, -1.399776578, -99, 185, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-01-25 00:00:00', 0, -0.059268340000000003, -99, 103, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-01-26 00:00:00', 0, -3.0446472170000001, -99, 265, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-01-27 00:00:00', 0, -1.5010174510000001, -99, 381, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-01-28 00:00:00', 0.189999998, -2.4613633159999999, -99, 366, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-01-29 00:00:00', 3.0599999430000002, -2.8075585369999998, -99, 125, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-01-30 00:00:00', 1.5099999900000001, 1.2262657880000001, -99, 226, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-01-31 00:00:00', 0, 2.2060544489999998, -99, 187, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-02-01 00:00:00', 0.02, 1.196454525, -99, 112, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-02-02 00:00:00', 0.30000001199999998, -0.12264625, -99, 100, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-02-03 00:00:00', 0.72000002900000004, 1.3361936809999999, -99, 114, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-02-04 00:00:00', 0.81999999300000004, 1.3048985, -99, 136, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-02-05 00:00:00', 4.1500000950000002, 1.9130504129999999, -99, 116, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-02-06 00:00:00', 0.119999997, 0.13936448100000001, -99, 299, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-02-07 00:00:00', 0.059999998999999998, -0.91103136500000004, -99, 179, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-02-08 00:00:00', 0.58999997400000004, -2.1676800250000001, -99, 204, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-02-09 00:00:00', 0.119999997, -2.487086535, -99, 235, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-02-10 00:00:00', 0, -2.7760684489999998, -99, 126, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-02-11 00:00:00', 0, -0.86948716599999998, -99, 410, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-02-12 00:00:00', 0, -1.00000453, -99, 248, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-02-13 00:00:00', 0, -1.1349996330000001, -99, 459, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-02-14 00:00:00', 0, -3.2468824390000002, -99, 666, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-02-15 00:00:00', 0.14000000100000001, -5.1256685260000001, -99, 674, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-02-16 00:00:00', 1.7200000289999999, -0.91232460699999995, -99, 229, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-02-17 00:00:00', 0.15000000599999999, 3.941583633, -99, 344, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-02-18 00:00:00', 5.4699997900000001, 3.0285663600000001, -99, 222, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-02-19 00:00:00', 1.7200000289999999, 2.6615257259999998, -99, 353, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-02-20 00:00:00', 3.4300000669999999, 3.6037199499999999, -99, 166, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-02-21 00:00:00', 10.81999969, 4.8406977649999998, -99, 655, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-02-22 00:00:00', 0.059999998999999998, 3.906077147, -99, 752, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-02-23 00:00:00', 11.35999966, 3.884521484, -99, 90, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-02-24 00:00:00', 0, 0.27053993900000001, -99, 815, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-02-25 00:00:00', 14.420000079999999, -1.606535316, -99, 151, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-02-26 00:00:00', 3, 4.1105422970000003, -99, 364, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-02-27 00:00:00', 7.2199997900000001, 5.9879364969999997, -99, 186, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-02-28 00:00:00', 4.5100002290000001, 4.4866223339999998, -99, 622, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-03-01 00:00:00', 1.6499999759999999, 2.3877143859999999, -99, 660, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-03-02 00:00:00', 1.940000057, 0.79267913099999998, -99, 898, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-03-03 00:00:00', 0.99000001000000004, 3.5480873580000001, -99, 598, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-03-04 00:00:00', 0.64999997600000003, 2.5228555199999998, -99, 512, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-03-05 00:00:00', 4.7300000190000002, 3.8200163840000001, -99, 228, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-03-06 00:00:00', 0.80000001200000004, 2.665195465, -99, 318, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-03-07 00:00:00', 0.10000000100000001, 0.106588379, -99, 401, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-03-08 00:00:00', 2.170000076, -0.80600357099999997, -99, 319, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-03-09 00:00:00', 3.0299999710000001, 1.8406558040000001, -99, 540, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-03-10 00:00:00', 0, 4.2890720370000004, -99, 1008, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-03-11 00:00:00', 0, 2.8826613430000001, -99, 844, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-03-12 00:00:00', 0, 0.94812458799999999, -99, 862, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-03-13 00:00:00', 0, 1.1365996599999999, -99, 663, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-03-14 00:00:00', 0.039999999000000001, 4.4026851650000003, -99, 776, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-03-15 00:00:00', 0, 4.2990651130000002, -99, 1279, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-03-16 00:00:00', 0.28999999199999998, 4.0545587540000003, -99, 1251, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-03-17 00:00:00', 13.989999770000001, 4.5357508659999999, -99, 741, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-03-18 00:00:00', 0.23999999499999999, 3.7217361929999999, -99, 1272, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-03-19 00:00:00', 7.6399998660000001, -1.8960525989999999, -99, 396, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-03-20 00:00:00', 13.27000046, 4.1660022740000002, -99, 515, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-03-21 00:00:00', 1.690000057, 4.0406575199999999, -99, 1107, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-03-22 00:00:00', 0, 2.3804171090000001, -99, 1291, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-03-23 00:00:00', 0, -2.0520868299999999, -99, 1488, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-03-24 00:00:00', 0, -3.4111709590000001, -99, 1522, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-03-25 00:00:00', 0, 2.4934101100000001, -99, 1062, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-03-26 00:00:00', 0, 1.568683386, -99, 853, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-03-27 00:00:00', 0, 3.131644487, -99, 1344, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-03-28 00:00:00', 0.97000002900000004, 0.27615979299999999, -99, 1470, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-03-29 00:00:00', 1.5299999710000001, 2.942373753, -99, 570, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-03-30 00:00:00', 3.039999962, 6.2311954500000004, -99, 610, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-03-31 00:00:00', 1.0900000329999999, 7.9768447880000002, -99, 1446, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-04-01 00:00:00', 0.039999999000000001, 6.9390697479999996, -99, 1226, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-04-02 00:00:00', 0, 7.0601878170000001, -99, 864, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-04-03 00:00:00', 0, 1.7951829429999999, -99, 1116, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-04-04 00:00:00', 0.059999998999999998, -1.2847830060000001, -99, 1615, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-04-05 00:00:00', 0.029999998999999999, 4.0683803559999996, -99, 1325, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-04-06 00:00:00', 0, 1.0581647160000001, -99, 1117, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-04-07 00:00:00', 0, 7.0446233749999996, -99, 1175, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-04-08 00:00:00', 0, 6.4192075729999996, -99, 832, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-04-09 00:00:00', 0, 0.99819958200000003, -99, 1848, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-04-10 00:00:00', 0.31999999299999998, 6.7538056370000001, -99, 1049, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-04-11 00:00:00', 7.3600001339999999, 2.9313552380000001, -99, 1490, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-04-12 00:00:00', 5.1500000950000002, 5.9320545200000003, -99, 658, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-04-13 00:00:00', 1.1799999480000001, 5.4903392789999996, -99, 1199, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-04-14 00:00:00', 5.2100000380000004, 4.749780178, -99, 1075, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-04-15 00:00:00', 3.0199999809999998, 5.1705412859999997, -99, 1141, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-04-16 00:00:00', 2.670000076, 2.833152294, -99, 1074, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-04-17 00:00:00', 7.4400000569999998, 0.0095000410000000007, -99, 1415, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-04-18 00:00:00', 0, 0.459721088, -99, 1404, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-04-19 00:00:00', 0, -2.4110255239999998, -99, 1543, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-04-20 00:00:00', 0, -2.1026792529999998, -99, 974, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-04-21 00:00:00', 2.5099999899999998, 7.0098829269999996, -99, 779, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-04-22 00:00:00', 0.40000000600000002, 2.9733555319999998, -99, 1559, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-04-23 00:00:00', 0.31999999299999998, 2.9922924040000001, -99, 1746, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-04-24 00:00:00', 1.7599999900000001, 4.2334303860000002, -99, 1539, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-04-25 00:00:00', 0.75999998999999996, -2.4976592059999998, -99, 1589, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-04-26 00:00:00', 4.920000076, -3.2097930909999999, -99, 1583, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-04-27 00:00:00', 2.9400000569999998, -1.3917325739999999, -99, 1304, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-04-28 00:00:00', 1.5700000519999999, 4.9659094809999997, -99, 1023, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-04-29 00:00:00', 0, 0.324769735, -99, 1397, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-04-30 00:00:00', 0, 2.154480457, -99, 2266, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-05-01 00:00:00', 0, 5.8455047609999999, -99, 2253, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-05-02 00:00:00', 0, 4.7544198040000003, -99, 2299, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-05-03 00:00:00', 0, 7.3346772189999996, -99, 2296, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-05-04 00:00:00', 0, 5.5555062289999997, -99, 2056, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-05-05 00:00:00', 0, 6.8743753429999996, -99, 1462, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-05-06 00:00:00', 0, 6.657359123, -99, 1774, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-05-07 00:00:00', 0, 2.1991503240000001, -99, 2134, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-05-08 00:00:00', 0, 7.0216975210000001, -99, 2458, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-05-09 00:00:00', 3.960000038, -1.767367125, -99, 1278, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-05-10 00:00:00', 2.9700000289999999, 5.4336557389999998, -99, 1156, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-05-11 00:00:00', 0.01, 5.9883074760000001, -99, 1723, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-05-12 00:00:00', 0.40999999599999998, 6.7130255700000001, -99, 1533, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-05-13 00:00:00', 3.0599999430000002, 8.3470869059999995, -99, 1600, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-05-14 00:00:00', 0.10000000100000001, 10.451327320000001, -99, 2207, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-05-15 00:00:00', 4.3099999430000002, 9.6505613330000006, -99, 2424, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-05-16 00:00:00', 6.9499998090000004, 11.022661210000001, -99, 608, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-05-17 00:00:00', 0.23000000400000001, 13.54604816, -99, 1259, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-05-18 00:00:00', 0.25, 14.56927872, -99, 1575, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-05-19 00:00:00', 4.0999999049999998, 11.384568209999999, -99, 1871, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-05-20 00:00:00', 0, 9.8941745759999993, -99, 2281, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-05-21 00:00:00', 0, 5.8042821880000002, -99, 2442, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-05-22 00:00:00', 1.6499999759999999, 4.4641871450000004, -99, 2612, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-05-23 00:00:00', 0.14000000100000001, 9.4025764469999995, -99, 1868, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-05-24 00:00:00', 0, 9.5890684129999997, -99, 2290, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-05-25 00:00:00', 0, 8.5872478490000006, -99, 2578, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-05-26 00:00:00', 0, 10.8904829, -99, 2504, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-05-27 00:00:00', 0, 9.8428945540000008, -99, 2707, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-05-28 00:00:00', 0.039999999000000001, 14.818360330000001, -99, 2402, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-05-29 00:00:00', 0.059999998999999998, 11.44213295, -99, 761, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-05-30 00:00:00', 0.55000001200000004, 10.66947556, -99, 957, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-05-31 00:00:00', 0, 11.468563079999999, -99, 1646, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-06-01 00:00:00', 0, 9.140323639, -99, 2748, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-06-02 00:00:00', 0, 5.1688456540000001, -99, 2694, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-06-03 00:00:00', 1.9500000479999999, 10.621534349999999, -99, 1145, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-06-04 00:00:00', 0, 12.12827587, -99, 1166, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-06-05 00:00:00', 2.3099999430000002, 7.501967907, -99, 2079, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-06-06 00:00:00', 7.1199998860000004, 10.844077110000001, -99, 2442, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-06-07 00:00:00', 17.280000690000001, 11.22058296, -99, 758, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-06-08 00:00:00', 5.4000000950000002, 10.67940044, -99, 1265, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-06-09 00:00:00', 17.88999939, 11.41914558, -99, 912, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-06-10 00:00:00', 0, 10.498029710000001, -99, 2513, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-06-11 00:00:00', 10.06000042, 13.88136196, -99, 1643, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-06-12 00:00:00', 0.30000001199999998, 13.13397312, -99, 1483, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-06-13 00:00:00', 0, 12.35743046, -99, 1865, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-06-14 00:00:00', 0, 9.3866004939999996, -99, 2319, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-06-15 00:00:00', 0.050000001000000002, 9.0065841669999998, -99, 1749, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-06-16 00:00:00', 0.02, 11.873612400000001, -99, 2016, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-06-17 00:00:00', 0, 11.47225094, -99, 2744, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-06-18 00:00:00', 0, 13.75419617, -99, 2762, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-06-19 00:00:00', 0, 13.007281300000001, -99, 2712, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-06-20 00:00:00', 0, 13.74388218, -99, 2681, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-06-21 00:00:00', 0.310000002, 7.725498676, -99, 2095, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-06-22 00:00:00', 6.4600000380000004, 9.7520065309999993, -99, 2288, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-06-23 00:00:00', 0.560000002, 15.463088040000001, -99, 1207, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-06-24 00:00:00', 2.579999924, 14.59962082, -99, 1265, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-06-25 00:00:00', 0.60000002399999997, 11.37146473, -99, 2289, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-06-26 00:00:00', 0, 10.32808781, -99, 1818, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-06-27 00:00:00', 0, 7.1856689449999998, -99, 2204, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-06-28 00:00:00', 13.18999958, 10.64256859, -99, 1234, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-06-29 00:00:00', 6.0700001720000003, 13.84683418, -99, 776, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-06-30 00:00:00', 7.670000076, 13.626131060000001, -99, 500, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-07-01 00:00:00', 0.090000003999999995, 13.77489662, -99, 2496, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-07-02 00:00:00', 0.310000002, 11.09285641, -99, 1693, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-07-03 00:00:00', 9.8599996569999995, 11.27243614, -99, 1279, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-07-04 00:00:00', 0, 9.6866769789999996, -99, 2128, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-07-05 00:00:00', 0, 10.353855129999999, -99, 2678, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-07-06 00:00:00', 0, 5.0158867840000001, -99, 2638, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-07-07 00:00:00', 0.77999997099999996, 11.404883379999999, -99, 1492, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-07-08 00:00:00', 0.18000000699999999, 13.997725490000001, -99, 1796, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-07-09 00:00:00', 0, 5.9808378219999998, -99, 2488, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-07-10 00:00:00', 0.34000000400000002, 7.1606597900000004, -99, 1184, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-07-11 00:00:00', 2.7300000190000002, 12.468047139999999, -99, 1691, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-07-12 00:00:00', 0.25999999000000001, 12.034585, -99, 1737, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-07-13 00:00:00', 0, 9.7884206769999995, -99, 1993, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-07-14 00:00:00', 0.74000001000000004, 8.393590927, -99, 2005, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-07-15 00:00:00', 1.7200000289999999, 7.9114718440000003, -99, 1963, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-07-16 00:00:00', 2.9900000100000002, 12.57868004, -99, 1199, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-07-17 00:00:00', 0, 9.4177885060000008, -99, 1923, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-07-18 00:00:00', 0, 9.9691572189999995, -99, 1651, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-07-19 00:00:00', 0, 6.4996809960000004, -99, 2479, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-07-20 00:00:00', 7.7699999809999998, 14.30362511, -99, 732, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-07-21 00:00:00', 0.01, 15.60525417, -99, 1672, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-07-22 00:00:00', 0.52999997099999996, 10.95235634, -99, 1086, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-07-23 00:00:00', 18.899999619999999, 15.27068996, -99, 735, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-07-24 00:00:00', 4.0500001909999996, 9.5857496260000001, -99, 1567, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-07-25 00:00:00', 0.579999983, 14.25339127, -99, 1265, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-07-26 00:00:00', 0, 13.945998189999999, -99, 2253, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-07-27 00:00:00', 1.2000000479999999, 12.541739460000001, -99, 1614, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-07-28 00:00:00', 10.90999985, 8.9445905690000007, -99, 1448, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-07-29 00:00:00', 2.9300000669999999, 11.5201292, -99, 1415, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-07-30 00:00:00', 10.31999969, 12.90838909, -99, 1369, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-07-31 00:00:00', 2.789999962, 11.41078568, -99, 1890, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-08-01 00:00:00', 3.380000114, 11.295392039999999, -99, 1566, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-08-02 00:00:00', 7.4400000569999998, 11.661097529999999, -99, 1555, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-08-03 00:00:00', 18.780000690000001, 13.65398502, -99, 957, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-08-04 00:00:00', 2.5499999519999998, 15.71396923, -99, 1496, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-08-05 00:00:00', 0.75999998999999996, 13.71852779, -99, 1596, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-08-06 00:00:00', 0.31999999299999998, 10.657742499999999, -99, 1808, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-08-07 00:00:00', 0, 8.7921943660000004, -99, 1978, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-08-08 00:00:00', 2.6900000569999998, 9.8156013489999996, -99, 1532, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-08-09 00:00:00', 0.66000002599999996, 13.64808369, -99, 1632, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-08-10 00:00:00', 0, 12.691987989999999, -99, 1790, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-08-11 00:00:00', 0, 8.0671482090000008, -99, 1033, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-08-12 00:00:00', 7.4800000190000002, 12.38255882, -99, 923, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-08-13 00:00:00', 0, 10.55914688, -99, 1595, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-08-14 00:00:00', 0.029999998999999999, 6.1056156159999997, -99, 2042, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-08-15 00:00:00', 3.3900001049999999, 13.034454350000001, -99, 1613, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-08-16 00:00:00', 0, 13.324439050000001, -99, 1962, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-08-17 00:00:00', 14.010000229999999, 10.38800526, -99, 702, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-08-18 00:00:00', 6.9299998279999997, 16.41244507, -99, 1045, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-08-19 00:00:00', 4.1399998660000001, 11.11148167, -99, 1503, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-08-20 00:00:00', 5.6900000569999998, 11.15870857, -99, 1426, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-08-21 00:00:00', 0.070000000000000007, 11.992942810000001, -99, 1362, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-08-22 00:00:00', 0, 9.8429737090000007, -99, 1487, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-08-23 00:00:00', 0, 8.1290693279999999, -99, 1823, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-08-24 00:00:00', 0.34999999399999998, 12.43095493, -99, 1205, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-08-25 00:00:00', 0, 12.28864098, -99, 1660, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-08-26 00:00:00', 3.2799999710000001, 10.529474260000001, -99, 1139, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-08-27 00:00:00', 0, 11.76819611, -99, 1344, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-08-28 00:00:00', 0, 8.4307956700000002, -99, 1544, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-08-29 00:00:00', 0.01, 12.26573372, -99, 1767, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-08-30 00:00:00', 11.59000015, 15.61252975, -99, 358, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-08-31 00:00:00', 0.38999998600000002, 11.81219673, -99, 1030, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-09-01 00:00:00', 0.77999997099999996, 7.1069016459999999, -99, 1658, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-09-02 00:00:00', 0, 5.1172552109999998, -99, 1513, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-09-03 00:00:00', 0.01, 6.3933691980000003, -99, 1356, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-09-04 00:00:00', 0.02, 4.4117112159999996, -99, 1728, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-09-05 00:00:00', 4.7899999619999996, 6.0492086409999999, -99, 1322, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-09-06 00:00:00', 20.989999770000001, 15.963299749999999, -99, 375, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-09-07 00:00:00', 3.6400001049999999, 12.279615400000001, -99, 1024, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-09-08 00:00:00', 8.6599998469999999, 12.19941807, -99, 961, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-09-09 00:00:00', 1.1599999670000001, 10.89269638, -99, 649, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-09-10 00:00:00', 6.5900001530000001, 8.9577589040000003, -99, 1139, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-09-11 00:00:00', 15.43999958, 12.348055840000001, -99, 972, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-09-12 00:00:00', 5.5999999049999998, 12.15894318, -99, 1228, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-09-13 00:00:00', 20.760000229999999, 10.301908490000001, -99, 529, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-09-14 00:00:00', 2.380000114, 10.80197716, -99, 1056, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-09-15 00:00:00', 2.4400000569999998, 9.3309984210000003, -99, 1225, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-09-16 00:00:00', 0.38999998600000002, 8.1246643069999998, -99, 867, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-09-17 00:00:00', 4.7100000380000004, 7.9104042049999999, -99, 931, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-09-18 00:00:00', 0.039999999000000001, 3.485160112, -99, 1311, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-09-19 00:00:00', 3.6099998950000001, 5.1429696079999996, -99, 853, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-09-20 00:00:00', 1.5800000430000001, 11.304858210000001, -99, 992, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-09-21 00:00:00', 0.44999998800000002, 11.239164349999999, -99, 642, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-09-22 00:00:00', 0, 10.709321020000001, -99, 805, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-09-23 00:00:00', 0.039999999000000001, 8.1782331470000003, -99, 1197, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-09-24 00:00:00', 0.14000000100000001, 9.7826948169999994, -99, 443, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-09-25 00:00:00', 1.0900000329999999, 12.908002850000001, -99, 873, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-09-26 00:00:00', 0.090000003999999995, 13.375946040000001, -99, 642, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-09-27 00:00:00', 0.109999999, 13.9265852, -99, 938, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-09-28 00:00:00', 0.959999979, 12.55165386, -99, 527, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-09-29 00:00:00', 1.5900000329999999, 12.85580826, -99, 650, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-09-30 00:00:00', 13.880000109999999, 12.977788929999999, -99, 150, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-10-01 00:00:00', 7.8000001909999996, 10.53325081, -99, 1111, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-10-02 00:00:00', 8.3999996190000008, 11.51867771, -99, 832, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-10-03 00:00:00', 4.0700001720000003, 9.3029727940000004, -99, 716, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-10-04 00:00:00', 11.5, 10.33291245, -99, 210, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-10-05 00:00:00', 7.8099999430000002, 8.157600403, -99, 481, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-10-06 00:00:00', 0.27000001099999998, 8.3620567319999992, -99, 1019, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-10-07 00:00:00', 6.7699999809999998, 9.0252151489999992, -99, 258, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-10-08 00:00:00', 0.059999998999999998, 3.6495957369999998, -99, 995, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-10-09 00:00:00', 0.059999998999999998, 1.606104255, -99, 844, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-10-10 00:00:00', 4.0900001530000001, 6.9827981000000001, -99, 280, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-10-11 00:00:00', 12.460000040000001, 11.25359154, -99, 297, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-10-12 00:00:00', 2.4000000950000002, 11.390950200000001, -99, 659, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-10-13 00:00:00', 0.689999998, 7.4442677499999999, -99, 320, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-10-14 00:00:00', 1.8799999949999999, 14.472256659999999, -99, 216, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-10-15 00:00:00', 0, 14.087015149999999, -99, 579, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-10-16 00:00:00', 0, 13.9016161, -99, 486, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-10-17 00:00:00', 0, 12.88088799, -99, 535, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-10-18 00:00:00', 4.8499999049999998, 11.775088309999999, -99, 200, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-10-19 00:00:00', 0.439999998, 10.89030075, -99, 229, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-10-20 00:00:00', 5.079999924, 12.10940742, -99, 203, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-10-21 00:00:00', 3.8399999139999998, 9.7812213900000007, -99, 307, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-10-22 00:00:00', 2.8599998950000001, 8.4229869839999996, -99, 372, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-10-23 00:00:00', 1.3600000139999999, 8.028458595, -99, 407, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-10-24 00:00:00', 5.4899997709999999, 9.1795520780000004, -99, 82, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-10-25 00:00:00', 3.8199999330000001, 13.340641979999999, -99, 396, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-10-26 00:00:00', 1.0499999520000001, 10.00729656, -99, 373, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-10-27 00:00:00', 0.41999998700000002, 9.6009855270000006, -99, 379, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-10-28 00:00:00', 5.3600001339999999, 9.5043945310000009, -99, 266, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-10-29 00:00:00', 0.109999999, 6.5175571440000004, -99, 550, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-10-30 00:00:00', 0.15000000599999999, 1.07762289, -99, 514, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-10-31 00:00:00', 3.1600000860000002, 3.4517374040000002, -99, 244, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-11-01 00:00:00', 6.3499999049999998, 9.0324106220000004, -99, 140, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-11-02 00:00:00', 0.039999999000000001, 9.2693901059999995, -99, 350, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-11-03 00:00:00', 2.2699999809999998, 3.8319442270000001, -99, 340, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-11-04 00:00:00', 1.6599999670000001, 8.1151580810000006, -99, 186, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-11-05 00:00:00', 0.469999999, 7.9505214689999999, -99, 187, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-11-06 00:00:00', 0.079999998000000003, 0.39854973599999999, -99, 442, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-11-07 00:00:00', 0, 0.79591774900000001, -99, 418, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-11-08 00:00:00', 0.039999999000000001, 1.2680881020000001, -99, 303, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-11-09 00:00:00', 2.4100000860000002, 4.2758979799999999, -99, 97, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-11-10 00:00:00', 6.1799998279999997, 4.3383622170000002, -99, 133, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-11-11 00:00:00', 2.289999962, 3.21471858, -99, 319, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-11-12 00:00:00', 0.039999999000000001, 1.7847845550000001, -99, 183, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-11-13 00:00:00', 0.540000021, -2.0853991509999998, -99, 331, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-11-14 00:00:00', 4.2800002099999999, 0.62118870000000004, -99, 260, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-11-15 00:00:00', 0.40000000600000002, 3.193039417, -99, 298, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-11-16 00:00:00', 3.7300000190000002, 0.89439904699999995, -99, 89, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-11-17 00:00:00', 4.3499999049999998, 1.647248864, -99, 295, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-11-18 00:00:00', 7.7800002099999999, 4.9381484990000004, -99, 198, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-11-19 00:00:00', 1.039999962, 4.33575964, -99, 274, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-11-20 00:00:00', 0.34000000400000002, -1.037791967, -99, 174, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-11-21 00:00:00', 8.4300003050000001, 3.015341759, -99, 162, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-11-22 00:00:00', 2.0499999519999998, 5.2865443230000002, -99, 55, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-11-23 00:00:00', 2.3900001049999999, 8.9431838989999992, -99, 63, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-11-24 00:00:00', 1.730000019, 6.1323103899999998, -99, 103, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-11-25 00:00:00', 5.2100000380000004, -0.229734883, -99, 167, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-11-26 00:00:00', 4.670000076, -0.44666138300000002, -99, 147, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-11-27 00:00:00', 11.920000079999999, 3.511628628, -99, 35, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-11-28 00:00:00', 2.9800000190000002, 2.7047429080000001, -99, 120, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-11-29 00:00:00', 0, -0.14417585699999999, -99, 180, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-11-30 00:00:00', 0.31999999299999998, -2.8281724449999999, -99, 110, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-12-01 00:00:00', 0.050000001000000002, -1.4166139360000001, -99, 199, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-12-02 00:00:00', 4.8499999049999998, -4.1426057820000004, -99, 161, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-12-03 00:00:00', 1.2799999710000001, 2.7776961330000001, -99, 174, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-12-04 00:00:00', 0.560000002, 2.4819841380000001, -99, 200, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-12-05 00:00:00', 0.66000002599999996, 3.9445104600000001, -99, 124, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-12-06 00:00:00', 0.920000017, 7.043960094, -99, 48, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-12-07 00:00:00', 9.5, 6.9220595359999999, -99, 9, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-12-08 00:00:00', 3.670000076, 3.2211253640000002, -99, 172, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-12-09 00:00:00', 1.960000038, 0.85307055700000001, -99, 138, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-12-10 00:00:00', 1.789999962, -1.05363524, -99, 65, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-12-11 00:00:00', 1.0700000519999999, -3.9722623829999999, -99, 100, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-12-12 00:00:00', 1.6299999949999999, -0.40655517600000002, -99, 134, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-12-13 00:00:00', 6.8899998660000001, -1.552262783, -99, 41, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-12-14 00:00:00', 2.369999886, 0.36147442499999999, -99, 97, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-12-15 00:00:00', 0.28999999199999998, 0.30750063100000002, -99, 130, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-12-16 00:00:00', 0.12999999500000001, -1.6664412019999999, -99, 163, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-12-17 00:00:00', 0.050000001000000002, -3.0587735180000002, -99, 163, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-12-18 00:00:00', 0.439999998, -0.43724545799999998, -99, 61, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-12-19 00:00:00', 0.20000000300000001, 1.6644123790000001, -99, 96, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-12-20 00:00:00', 0.43000000700000002, 4.5390381809999996, -99, 48, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-12-21 00:00:00', 0, 5.038969517, -99, 60, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-12-22 00:00:00', 0.33000001299999998, 4.363669872, -99, 95, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-12-23 00:00:00', 0.37000000500000002, 4.7753329280000001, -99, 65, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-12-24 00:00:00', 8.1700000760000009, 8.1441278459999999, -99, 28, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-12-25 00:00:00', 0.40999999599999998, 7.770489693, -99, 66, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-12-26 00:00:00', 9.0699996949999999, 5.0069575310000003, -99, 44, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-12-27 00:00:00', 4.2800002099999999, 2.6328296660000001, -99, 41, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-12-28 00:00:00', 2.170000076, 0.56073474899999998, -99, 154, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-12-29 00:00:00', 1.6599999670000001, 1.7157279249999999, -99, 163, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-12-30 00:00:00', 4.079999924, -0.228644863, -99, 46, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2017-12-31 00:00:00', 11.149999619999999, 0.88147234900000004, -99, 61, 'ask', 'ask_2017');
INSERT INTO public.cdy_cldat VALUES ('2018-01-01 00:00:00', 4.7600002290000001, 5.9471788410000004, -99, 99, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-01-02 00:00:00', 7.8000001909999996, 3.3202605250000001, -99, 178, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-01-03 00:00:00', 9.0699996949999999, 3.0447158810000001, -99, 98, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-01-04 00:00:00', 2.3599998950000001, 2.4926660059999999, -99, 189, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-01-05 00:00:00', 2.039999962, 1.424871325, -99, 148, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-01-06 00:00:00', 0.15000000599999999, 0.066116675999999999, -99, 198, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-01-07 00:00:00', 0.039999999000000001, -6.1724643710000002, -99, 219, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-01-08 00:00:00', 0.219999999, -7.2223157880000004, -99, 222, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-01-09 00:00:00', 0.02, -1.4825162890000001, -99, 208, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-01-10 00:00:00', 0.189999998, 1.7983008620000001, -99, 57, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-01-11 00:00:00', 1.1799999480000001, 1.611111403, -99, 85, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-01-12 00:00:00', 0.790000021, 1.461012602, -99, 48, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-01-13 00:00:00', 0.60000002399999997, 1.029359221, -99, 68, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-01-14 00:00:00', 0, -0.98515129099999998, -99, 124, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-01-15 00:00:00', 8.4399995800000003, -2.261067867, -99, 42, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-01-16 00:00:00', 5, 1.945715785, -99, 114, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-01-17 00:00:00', 2.9900000100000002, 0.151484907, -99, 175, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-01-18 00:00:00', 1.769999981, 0.018489650999999999, -99, 86, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-01-19 00:00:00', 1.440000057, -1.474922895, -99, 191, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-01-20 00:00:00', 1.3400000329999999, -0.11792913100000001, -99, 120, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-01-21 00:00:00', 0.28999999199999998, -0.81566000000000005, -99, 224, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-01-22 00:00:00', 0.810000002, -2.248641729, -99, 91, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-01-23 00:00:00', 5.3499999049999998, 0.34449404500000003, -99, 139, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-01-24 00:00:00', 6.8099999430000002, 5.1802158360000004, -99, 54, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-01-25 00:00:00', 0, 5.7153687480000004, -99, 218, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-01-26 00:00:00', 0.109999999, 3.066118956, -99, 213, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-01-27 00:00:00', 11.350000380000001, 2.9964933399999998, -99, 189, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-01-28 00:00:00', 2.0499999519999998, 3.1388320919999999, -99, 265, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-01-29 00:00:00', 3.6600000860000002, 5.7622642519999996, -99, 195, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-01-30 00:00:00', 0, 3.9449505810000001, -99, 359, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-01-31 00:00:00', 7.3600001339999999, 2.5952293869999998, -99, 112, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-02-01 00:00:00', 10.630000109999999, 1.3543611760000001, -99, 299, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-02-02 00:00:00', 0.52999997099999996, 2.1858937740000002, -99, 168, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-02-03 00:00:00', 0.47999998900000002, -3.024032831, -99, 148, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-02-04 00:00:00', 0, -1.6804441210000001, -99, 199, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-02-05 00:00:00', 0, -1.562036395, -99, 366, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-02-06 00:00:00', 0.039999999000000001, -5.6439232830000003, -99, 390, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-02-07 00:00:00', 0, -7.0100202559999998, -99, 415, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-02-08 00:00:00', 0, -4.5368218420000002, -99, 393, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-02-09 00:00:00', 0.02, -3.9304206370000001, -99, 371, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-02-10 00:00:00', 0.17000000200000001, -5.7916407589999999, -99, 223, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-02-11 00:00:00', 9.3999996190000008, 0.096281394000000006, -99, 204, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-02-12 00:00:00', 3.369999886, 1.1113934519999999, -99, 429, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-02-13 00:00:00', 0.090000003999999995, -0.094268828999999998, -99, 346, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-02-14 00:00:00', 0, -3.494518518, -99, 668, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-02-15 00:00:00', 2.4000000950000002, 0.50608426299999998, -99, 198, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-02-16 00:00:00', 0.62999999500000003, -0.024925019999999999, -99, 441, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-02-17 00:00:00', 0, 1.015037537, -99, 477, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-02-18 00:00:00', 0.050000001000000002, -2.843269587, -99, 423, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-02-19 00:00:00', 2.4400000569999998, 0.014614958000000001, -99, 290, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-02-20 00:00:00', 0.10000000100000001, 0.70748317199999999, -99, 451, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-02-21 00:00:00', 0.109999999, -3.4223113060000001, -99, 622, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-02-22 00:00:00', 0, 0.22982007300000001, -99, 367, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-02-23 00:00:00', 0, -5.119360447, -99, 815, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-02-24 00:00:00', 0, -3.1744384769999998, -99, 820, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-02-25 00:00:00', 0.029999998999999999, -4.3719682689999999, -99, 600, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-02-26 00:00:00', 0.670000017, -7.4168453220000004, -99, 730, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-02-27 00:00:00', 0.709999979, -6.3458304410000004, -99, 556, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-02-28 00:00:00', 0.070000000000000007, -8.7036390299999997, -99, 437, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-03-01 00:00:00', 0.029999998999999999, -7.1373100279999999, -99, 575, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-03-02 00:00:00', 0.20000000300000001, -5.5138797759999996, -99, 453, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-03-03 00:00:00', 0.01, -4.628987789, -99, 461, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-03-04 00:00:00', 1.2999999520000001, -5.1939945219999997, -99, 824, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-03-05 00:00:00', 3.380000114, -2.7085993290000001, -99, 200, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-03-06 00:00:00', 0, 0.56259590400000004, -99, 698, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-03-07 00:00:00', 2.2799999710000001, -0.56463307100000004, -99, 462, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-03-08 00:00:00', 4.6900000569999998, -0.137925833, -99, 318, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-03-09 00:00:00', 0.079999998000000003, 0.74126791999999997, -99, 586, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-03-10 00:00:00', 9.9600000380000004, -0.37337663799999998, -99, 530, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-03-11 00:00:00', 3.5299999710000001, 1.091533184, -99, 300, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-03-12 00:00:00', 0.34999999399999998, -0.379891545, -99, 532, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-03-13 00:00:00', 0, 2.5714733600000002, -99, 436, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-03-14 00:00:00', 0.34000000400000002, -1.373728871, -99, 648, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-03-15 00:00:00', 0.15999999600000001, 0.70379161800000001, -99, 640, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-03-16 00:00:00', 0.059999998999999998, -0.90860408500000001, -99, 581, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-03-17 00:00:00', 0.15999999600000001, -4.4321098330000002, -99, 1070, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-03-18 00:00:00', 0, -3.8373384480000001, -99, 1341, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-03-19 00:00:00', 0.050000001000000002, -7.9311237339999998, -99, 1402, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-03-20 00:00:00', 0.059999998999999998, -0.60241562100000001, -99, 1431, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-03-21 00:00:00', 6.7600002290000001, -4.5776371960000004, -99, 729, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-03-22 00:00:00', 0.050000001000000002, 0.871774614, -99, 628, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-03-23 00:00:00', 1.690000057, 0.631495535, -99, 533, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-03-24 00:00:00', 0.050000001000000002, 2.9119067190000001, -99, 626, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-03-25 00:00:00', 0.059999998999999998, 2.917831182, -99, 570, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-03-26 00:00:00', 0.68000000699999996, -0.36250689600000002, -99, 1055, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-03-27 00:00:00', 0.10000000100000001, 0.768410802, -99, 943, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-03-28 00:00:00', 0.94999998799999996, 0.19064690200000001, -99, 671, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-03-29 00:00:00', 0.43000000700000002, -0.51189702699999995, -99, 651, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-03-30 00:00:00', 0, -7.1355285640000004, -99, 1658, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-03-31 00:00:00', 0.039999999000000001, -0.33049458300000001, -99, 694, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-04-01 00:00:00', 0.02, -0.27540641999999999, -99, 1515, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-04-02 00:00:00', 6.9600000380000004, -2.888843536, -99, 1438, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-04-03 00:00:00', 7.3899998660000001, 0.95945161599999995, -99, 440, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-04-04 00:00:00', 7.079999924, 7.136517048, -99, 1030, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-04-05 00:00:00', 1.0700000519999999, 4.7276721000000004, -99, 589, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-04-06 00:00:00', 0, 1.7979522939999999, -99, 1749, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-04-07 00:00:00', 0, 3.736447096, -99, 1531, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-04-08 00:00:00', 0, 4.305444241, -99, 1710, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-04-09 00:00:00', 0, 7.7700757979999997, -99, 1183, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-04-10 00:00:00', 0, 5.131826878, -99, 1294, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-04-11 00:00:00', 0.050000001000000002, 3.521285534, -99, 1818, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-04-12 00:00:00', 0, 3.7540712360000001, -99, 1735, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-04-13 00:00:00', 1.0700000519999999, 7.6495876310000002, -99, 864, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-04-14 00:00:00', 0.31999999299999998, 7.5773372649999997, -99, 613, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-04-15 00:00:00', 0.25, 5.7545442580000001, -99, 595, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-04-16 00:00:00', 0.560000002, 5.7745413780000003, -99, 1079, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-04-17 00:00:00', 0, 5.2941632270000003, -99, 1556, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-04-18 00:00:00', 0, 8.7063102719999996, -99, 1820, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-04-19 00:00:00', 0, 6.5285453799999997, -99, 2006, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-04-20 00:00:00', 0, 7.8850655559999998, -99, 2050, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-04-21 00:00:00', 0, 5.2691721920000001, -99, 2079, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-04-22 00:00:00', 0.119999997, 0.99084776600000002, -99, 1872, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-04-23 00:00:00', 0.74000001000000004, 9.0183544159999993, -99, 2012, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-04-24 00:00:00', 7.75, 6.8377156259999996, -99, 1537, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-04-25 00:00:00', 2.6099998950000001, 5.696309566, -99, 1566, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-04-26 00:00:00', 0.560000002, 5.9647583959999997, -99, 1662, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-04-27 00:00:00', 1.8600000139999999, 6.0831198689999999, -99, 1853, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-04-28 00:00:00', 0.059999998999999998, 4.7376413350000002, -99, 588, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-04-29 00:00:00', 1, 4.331533909, -99, 1580, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-04-30 00:00:00', 15.06999969, 8.2475957869999998, -99, 370, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-05-01 00:00:00', 0.80000001200000004, 6.2806344029999996, -99, 804, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-05-02 00:00:00', 2.2699999809999998, 2.0461919310000001, -99, 2149, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-05-03 00:00:00', 0, 6.533929348, -99, 2149, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-05-04 00:00:00', 0, 0.11314977, -99, 2329, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-05-05 00:00:00', 0, 2.0130271909999999, -99, 2396, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-05-06 00:00:00', 0, 5.3980765340000003, -99, 2423, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-05-07 00:00:00', 0, 8.442473412, -99, 2448, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-05-08 00:00:00', 0, 9.9247102740000006, -99, 2468, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-05-09 00:00:00', 0, 10.9829998, -99, 2452, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-05-10 00:00:00', 4.6300001139999996, 11.6141758, -99, 1369, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-05-11 00:00:00', 0, 8.8745498660000006, -99, 2520, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-05-12 00:00:00', 0, 5.5267839429999999, -99, 1970, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-05-13 00:00:00', 0, 9.2447032930000006, -99, 2402, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-05-14 00:00:00', 0, 11.481507300000001, -99, 2520, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-05-15 00:00:00', 0, 10.81440639, -99, 2476, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-05-16 00:00:00', 0, 9.835443497, -99, 2366, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-05-17 00:00:00', 0, 7.2515926359999998, -99, 2555, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-05-18 00:00:00', 0, 6.4136457440000001, -99, 1818, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-05-19 00:00:00', 0.050000001000000002, 9.6915178300000004, -99, 1987, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-05-20 00:00:00', 0, 6.5783686640000001, -99, 2645, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-05-21 00:00:00', 0, 7.6832203870000004, -99, 2165, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-05-22 00:00:00', 0, 10.298815729999999, -99, 2513, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-05-23 00:00:00', 0.090000003999999995, 7.5393376349999999, -99, 2621, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-05-24 00:00:00', 0, 10.280389789999999, -99, 2711, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-05-25 00:00:00', 0, 11.98542595, -99, 2637, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-05-26 00:00:00', 0.050000001000000002, 9.5177688600000003, -99, 2631, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-05-27 00:00:00', 2.5499999519999998, 13.676518440000001, -99, 2164, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-05-28 00:00:00', 1.0700000519999999, 14.514318469999999, -99, 2465, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-05-29 00:00:00', 1.2000000479999999, 15.9217329, -99, 1409, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-05-30 00:00:00', 0, 15.398053170000001, -99, 2698, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-05-31 00:00:00', 0.039999999000000001, 15.917159079999999, -99, 2512, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-06-01 00:00:00', 0.02, 14.562655449999999, -99, 2682, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-06-02 00:00:00', 0, 11.92672443, -99, 2698, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-06-03 00:00:00', 0, 15.95513916, -99, 1747, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-06-04 00:00:00', 0, 15.413306240000001, -99, 1608, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-06-05 00:00:00', 0, 10.279458050000001, -99, 2696, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-06-06 00:00:00', 0, 10.65257072, -99, 2750, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-06-07 00:00:00', 0, 12.02717781, -99, 2825, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-06-08 00:00:00', 0.090000003999999995, 8.4926767349999999, -99, 2570, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-06-09 00:00:00', 1.4700000289999999, 14.20343018, -99, 1736, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-06-10 00:00:00', 7.3699998860000004, 15.121246340000001, -99, 537, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-06-11 00:00:00', 0.039999999000000001, 12.93157959, -99, 1486, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-06-12 00:00:00', 0, 12.751133919999999, -99, 1272, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-06-13 00:00:00', 0, 10.04047489, -99, 2059, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-06-14 00:00:00', 4.7199997900000001, 9.6379089360000005, -99, 1783, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-06-15 00:00:00', 0, 8.9298067089999993, -99, 2134, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-06-16 00:00:00', 6.9499998090000004, 9.7941761019999998, -99, 568, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-06-17 00:00:00', 1.3999999759999999, 12.42315292, -99, 2357, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-06-18 00:00:00', 1.7400000099999999, 9.9994421009999996, -99, 808, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-06-19 00:00:00', 0.34999999399999998, 12.84271431, -99, 2710, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-06-20 00:00:00', 0.99000001000000004, 9.8286457059999996, -99, 1532, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-06-21 00:00:00', 2.170000076, 10.59338093, -99, 1445, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-06-22 00:00:00', 0, 8.0362596509999999, -99, 1691, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-06-23 00:00:00', 1.1000000240000001, 10.316883089999999, -99, 1117, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-06-24 00:00:00', 0, 11.47329903, -99, 2022, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-06-25 00:00:00', 0, 11.79761791, -99, 2055, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-06-26 00:00:00', 0, 11.28361511, -99, 2732, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-06-27 00:00:00', 0, 9.4620723719999997, -99, 2711, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-06-28 00:00:00', 0, 9.3854818340000001, -99, 2828, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-06-29 00:00:00', 0, 11.07268524, -99, 2825, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-06-30 00:00:00', 0, 7.1955580709999998, -99, 2816, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-07-01 00:00:00', 0.02, 8.1960163119999994, -99, 2490, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-07-02 00:00:00', 0.039999999000000001, 6.8382411000000003, -99, 2813, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-07-03 00:00:00', 0, 8.6386947630000002, -99, 2606, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-07-04 00:00:00', 0.12999999500000001, 8.3640842440000007, -99, 1247, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-07-05 00:00:00', 0, 13.727281570000001, -99, 1338, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-07-06 00:00:00', 0, 13.37943935, -99, 2617, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-07-07 00:00:00', 0, 11.53859901, -99, 2639, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-07-08 00:00:00', 0, 9.0823793409999993, -99, 2657, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-07-09 00:00:00', 0.039999999000000001, 11.0771122, -99, 1703, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-07-10 00:00:00', 0.58999997400000004, 9.2378263470000004, -99, 1981, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-07-11 00:00:00', 0.01, 14.738663669999999, -99, 2149, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-07-12 00:00:00', 3.0599999430000002, 13.3560667, -99, 2085, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-07-13 00:00:00', 0, 12.75463676, -99, 2366, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-07-14 00:00:00', 0.059999998999999998, 12.84272575, -99, 1889, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-07-15 00:00:00', 0, 9.5215644840000007, -99, 2559, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-07-16 00:00:00', 0, 10.592296599999999, -99, 2435, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-07-17 00:00:00', 0.059999998999999998, 11.98829651, -99, 2471, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-07-18 00:00:00', 0.01, 16.258762359999999, -99, 2270, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-07-19 00:00:00', 0.02, 10.02950764, -99, 2504, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-07-20 00:00:00', 0, 7.6639280320000003, -99, 2455, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-07-21 00:00:00', 0, 8.1189517969999994, -99, 2532, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-07-22 00:00:00', 0, 12.368000029999999, -99, 2131, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-07-23 00:00:00', 0.039999999000000001, 13.9286499, -99, 2015, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-07-24 00:00:00', 0, 15.90015507, -99, 2425, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-07-25 00:00:00', 0, 14.97087479, -99, 2236, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-07-26 00:00:00', 0, 17.7419014, -99, 2397, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-07-27 00:00:00', 0, 19.094127660000002, -99, 2424, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-07-28 00:00:00', 19.25, 19.899877549999999, -99, 1672, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-07-29 00:00:00', 0, 13.49623203, -99, 2198, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-07-30 00:00:00', 0, 18.908344270000001, -99, 1700, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-07-31 00:00:00', 0.039999999000000001, 20.69088936, -99, 1267, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-08-01 00:00:00', 0, 12.68862152, -99, 2196, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-08-02 00:00:00', 0, 10.853552820000001, -99, 2316, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-08-03 00:00:00', 0.050000001000000002, 11.688310619999999, -99, 2311, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-08-04 00:00:00', 0.63999998599999997, 15.460886, -99, 1817, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-08-05 00:00:00', 0, 14.67064762, -99, 1602, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-08-06 00:00:00', 0.039999999000000001, 12.020558360000001, -99, 1863, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-08-07 00:00:00', 0, 12.983361240000001, -99, 2238, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-08-08 00:00:00', 0.25999999000000001, 19.440139769999998, -99, 1316, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-08-09 00:00:00', 9.8599996569999995, 11.605583190000001, -99, 1642, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-08-10 00:00:00', 7.1500000950000002, 16.78174782, -99, 1617, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-08-11 00:00:00', 4.2300000190000002, 12.41607189, -99, 1197, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-08-12 00:00:00', 23.469999309999999, 10.558857919999999, -99, 508, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-08-13 00:00:00', 7.5399999619999996, 14.40494537, -99, 558, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-08-14 00:00:00', 2.380000114, 15.85952663, -99, 1301, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-08-15 00:00:00', 0.68000000699999996, 13.70983887, -99, 1587, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-08-16 00:00:00', 0, 16.686632159999998, -99, 1119, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-08-17 00:00:00', 0.109999999, 14.148783679999999, -99, 1526, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-08-18 00:00:00', 0.090000003999999995, 10.894967080000001, -99, 960, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-08-19 00:00:00', 6.6799998279999997, 16.97328186, -99, 384, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-08-20 00:00:00', 0, 15.774266239999999, -99, 1663, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-08-21 00:00:00', 0, 7.4962158199999998, -99, 1755, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-08-22 00:00:00', 0, 13.93811607, -99, 1814, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-08-23 00:00:00', 7.6300001139999996, 15.974658010000001, -99, 931, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-08-24 00:00:00', 7.7199997900000001, 13.692444800000001, -99, 1351, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-08-25 00:00:00', 1.690000057, 9.0612525940000008, -99, 904, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-08-26 00:00:00', 2.2200000289999999, 7.854965687, -99, 1661, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-08-27 00:00:00', 8.0500001910000005, 11.819262500000001, -99, 936, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-08-28 00:00:00', 0.109999999, 11.290763849999999, -99, 1303, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-08-29 00:00:00', 2.7799999710000001, 11.43178844, -99, 1468, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-08-30 00:00:00', 3.3399999139999998, 14.92530346, -99, 1147, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-08-31 00:00:00', 0.050000001000000002, 9.5961503980000007, -99, 1512, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-09-01 00:00:00', 0, 7.543098927, -99, 1252, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-09-02 00:00:00', 0.12999999500000001, 7.2723927499999999, -99, 1657, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-09-03 00:00:00', 0, 14.30201435, -99, 965, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-09-04 00:00:00', 0.039999999000000001, 13.50069523, -99, 1708, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-09-05 00:00:00', 0.070000000000000007, 10.706606860000001, -99, 1582, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-09-06 00:00:00', 18.229999540000001, 12.20634079, -99, 1501, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-09-07 00:00:00', 10.69999981, 15.68826103, -99, 857, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-09-08 00:00:00', 18.530000690000001, 8.7926139830000007, -99, 1056, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-09-09 00:00:00', 0.87999999500000003, 12.85823536, -99, 1290, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-09-10 00:00:00', 1.9099999670000001, 14.417422289999999, -99, 1025, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-09-11 00:00:00', 12.47000027, 12.19754219, -99, 358, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-09-12 00:00:00', 1.0800000430000001, 11.887687680000001, -99, 857, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-09-13 00:00:00', 0.37999999499999998, 6.3262615200000001, -99, 1026, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-09-14 00:00:00', 5.5100002290000001, 9.2344045640000001, -99, 433, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-09-15 00:00:00', 0.34000000400000002, 10.505504609999999, -99, 1078, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-09-16 00:00:00', 1.5, 5.8883113859999998, -99, 926, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-09-17 00:00:00', 0.059999998999999998, 14.90916157, -99, 728, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-09-18 00:00:00', 0, 10.19217682, -99, 1410, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-09-19 00:00:00', 0.439999998, 15.359201430000001, -99, 895, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-09-20 00:00:00', 6.1599998469999999, 15.80768394, -99, 387, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-09-21 00:00:00', 4.8699998860000004, 15.10311508, -99, 692, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-09-22 00:00:00', 2.7599999899999998, 9.1392278670000007, -99, 1105, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-09-23 00:00:00', 0.469999999, 5.8922414779999999, -99, 971, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-09-24 00:00:00', 0.059999998999999998, 7.795157433, -99, 1088, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-09-25 00:00:00', 0.059999998999999998, 1.4931991099999999, -99, 1005, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-09-26 00:00:00', 2.0899999139999998, 8.7629709239999993, -99, 291, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-09-27 00:00:00', 0.050000001000000002, 13.93672752, -99, 727, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-09-28 00:00:00', 0.079999998000000003, 7.6943168640000001, -99, 1081, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-09-29 00:00:00', 0, 2.905511379, -99, 645, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-09-30 00:00:00', 0.959999979, 10.0422802, -99, 603, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-10-01 00:00:00', 2.4900000100000002, 4.7655129430000001, -99, 867, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-10-02 00:00:00', 10.52999973, 4.9214401250000002, -99, 710, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-10-03 00:00:00', 0.579999983, 8.0499944689999996, -99, 948, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-10-04 00:00:00', 0.790000021, 7.2941317559999996, -99, 517, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-10-05 00:00:00', 0.039999999000000001, 13.22943401, -99, 371, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-10-06 00:00:00', 4.7199997900000001, 8.3071784970000007, -99, 272, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-10-07 00:00:00', 0, 4.0065588950000004, -99, 879, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-10-08 00:00:00', 0, 6.2410125729999999, -99, 387, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-10-09 00:00:00', 0, 11.726608280000001, -99, 355, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-10-10 00:00:00', 0.029999998999999999, 5.5162644390000004, -99, 934, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-10-11 00:00:00', 0, 11.515584949999999, -99, 922, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-10-12 00:00:00', 0, 10.10517216, -99, 745, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-10-13 00:00:00', 0, 14.62450314, -99, 781, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-10-14 00:00:00', 0, 11.826139449999999, -99, 824, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-10-15 00:00:00', 0, 9.6583976749999998, -99, 729, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-10-16 00:00:00', 0.039999999000000001, 10.283242230000001, -99, 478, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-10-17 00:00:00', 0.090000003999999995, 10.01243401, -99, 605, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-10-18 00:00:00', 0, 10.394823069999999, -99, 747, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-10-19 00:00:00', 0.14000000100000001, 0.499991089, -99, 426, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-10-20 00:00:00', 0, 6.8281073570000004, -99, 681, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-10-21 00:00:00', 1.4199999569999999, 6.9337277410000002, -99, 311, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-10-22 00:00:00', 6.9800000190000002, 6.7280678749999998, -99, 586, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-10-23 00:00:00', 1.6499999759999999, 7.1472501749999999, -99, 291, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-10-24 00:00:00', 0.689999998, 7.2948784829999997, -99, 545, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-10-25 00:00:00', 0.769999981, 9.9980611800000005, -99, 396, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-10-26 00:00:00', 3.8499999049999998, 5.412082195, -99, 388, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-10-27 00:00:00', 0.14000000100000001, 4.3243679999999998, -99, 502, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-10-28 00:00:00', 0.86000001400000003, -2.7393732069999999, -99, 482, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-10-29 00:00:00', 2.4300000669999999, 0.991250038, -99, 174, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-10-30 00:00:00', 1.4099999670000001, 4.3403859139999996, -99, 91, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-10-31 00:00:00', 0.310000002, 3.8011803629999998, -99, 472, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-11-01 00:00:00', 0.14000000100000001, 4.9774122240000001, -99, 337, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-11-02 00:00:00', 1.519999981, 8.4303426740000003, -99, 251, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-11-03 00:00:00', 0, 1.7435522080000001, -99, 470, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-11-04 00:00:00', 0.61000001400000003, 1.820511341, -99, 220, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-11-05 00:00:00', 0.059999998999999998, 8.2956199650000002, -99, 114, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-11-06 00:00:00', 0.15000000599999999, 9.4128656389999996, -99, 161, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-11-07 00:00:00', 0.189999998, 7.4087090489999996, -99, 234, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-11-08 00:00:00', 0.039999999000000001, 5.8605723379999999, -99, 208, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-11-09 00:00:00', 2.2599999899999998, 0.62063115800000002, -99, 218, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-11-10 00:00:00', 3.619999886, 9.0044775010000002, -99, 86, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-11-11 00:00:00', 5.920000076, 10.181000709999999, -99, 159, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-11-12 00:00:00', 3.869999886, 7.7923712729999997, -99, 101, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-11-13 00:00:00', 3.329999924, 7.2910723690000001, -99, 137, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-11-14 00:00:00', 0.37000000500000002, 6.0349841120000001, -99, 78, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-11-15 00:00:00', 0.050000001000000002, 7.5510158540000001, -99, 282, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-11-16 00:00:00', 0.12999999500000001, 3.9465143679999999, -99, 319, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-11-17 00:00:00', 0, 1.892619133, -99, 273, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-11-18 00:00:00', 0.17000000200000001, 0.030666896999999999, -99, 102, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-11-19 00:00:00', 0.81999999300000004, 4.1851830479999999, -99, 170, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-11-20 00:00:00', 0.23000000400000001, 3.7591338159999999, -99, 157, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-11-21 00:00:00', 0.039999999000000001, 4.9197397230000002, -99, 188, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-11-22 00:00:00', 0, 4.3996706010000004, -99, 106, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-11-23 00:00:00', 0.93000000699999996, 0.82701110799999999, -99, 73, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-11-24 00:00:00', 0.790000021, 1.3656086919999999, -99, 97, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-11-25 00:00:00', 0.029999998999999999, 1.7507276540000001, -99, 121, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-11-26 00:00:00', 0, -0.722772419, -99, 233, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-11-27 00:00:00', 0, -3.2554638389999999, -99, 185, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-11-28 00:00:00', 5.0700001720000003, -2.7085537909999999, -99, 151, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-11-29 00:00:00', 6.1199998860000004, 1.187907338, -99, 35, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-11-30 00:00:00', 1.1100000139999999, 5.9132256510000003, -99, 95, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-12-01 00:00:00', 5.079999924, 5.7943320270000003, -99, 120, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-12-02 00:00:00', 8.3199996949999999, 5.8672442440000001, -99, 13, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-12-03 00:00:00', 0.85000002399999997, 8.8347244259999993, -99, 106, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-12-04 00:00:00', 0.58999997400000004, 4.3796882630000002, -99, 199, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-12-05 00:00:00', 2.210000038, -0.80164557700000005, -99, 175, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-12-06 00:00:00', 8.8500003809999992, 1.637366533, -99, 45, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-12-07 00:00:00', 14.600000380000001, 8.3359746930000007, -99, 33, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-12-08 00:00:00', 7.9899997709999999, 4.9898047449999998, -99, 99, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-12-09 00:00:00', 2.170000076, 5.6533970829999998, -99, 143, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-12-10 00:00:00', 0.36000001399999998, 3.996476173, -99, 137, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-12-11 00:00:00', 0, 1.801583409, -99, 167, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-12-12 00:00:00', 0, 3.1133291719999998, -99, 114, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-12-13 00:00:00', 0.109999999, 0.88861244900000003, -99, 112, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-12-14 00:00:00', 0.980000019, -1.792557001, -99, 84, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-12-15 00:00:00', 0, 0.33648568400000001, -99, 98, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-12-16 00:00:00', 0, -1.3905022140000001, -99, 73, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-12-17 00:00:00', 0, -2.9793095589999998, -99, 78, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-12-18 00:00:00', 0.17000000200000001, 1.440869808, -99, 52, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-12-19 00:00:00', 2.1400001049999999, 3.319204569, -99, 46, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-12-20 00:00:00', 2.2000000480000002, 2.8077249530000001, -99, 72, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-12-21 00:00:00', 11.010000229999999, 4.8263363840000002, -99, 15, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-12-22 00:00:00', 3.3199999330000001, 3.05043292, -99, 54, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-12-23 00:00:00', 2.5299999710000001, 2.455034494, -99, 101, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-12-24 00:00:00', 0.579999983, -0.87391084399999996, -99, 147, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-12-25 00:00:00', 0, 2.734452009, -99, 114, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-12-26 00:00:00', 0.310000002, 5.0783433909999998, -99, 59, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-12-27 00:00:00', 0.059999998999999998, 7.248106956, -99, 70, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-12-28 00:00:00', 0.47999998900000002, 6.246605873, -99, 93, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-12-29 00:00:00', 6.1500000950000002, 6.5600862500000003, -99, 18, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-12-30 00:00:00', 0.36000001399999998, 4.4228081699999997, -99, 155, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2018-12-31 00:00:00', 0.75, 2.2975316050000001, -99, 78, 'ask', 'ask_2018');
INSERT INTO public.cdy_cldat VALUES ('2019-01-01 00:00:00', 0.68000000699999996, 6.7202906609999999, -99, 151, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-01-02 00:00:00', 0, 2.5726222989999998, -99, 189, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-01-03 00:00:00', 0.30000001199999998, -6.4101991649999999, -99, 153, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-01-04 00:00:00', 0.15000000599999999, -1.5642578600000001, -99, 68, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-01-05 00:00:00', 0, 7.3156852719999996, -99, 157, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-01-06 00:00:00', 0.62999999500000003, 0.088087290999999998, -99, 126, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-01-07 00:00:00', 9.6899995800000003, 5.34435606, -99, 92, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-01-08 00:00:00', 0.540000021, 5.8933219909999996, -99, 155, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-01-09 00:00:00', 0, 2.1125886440000001, -99, 221, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-01-10 00:00:00', 1.3300000430000001, -2.4225134850000001, -99, 84, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-01-11 00:00:00', 0.039999999000000001, 1.9873685839999999, -99, 192, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-01-12 00:00:00', 6.6599998469999999, 3.2678322789999998, -99, 127, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-01-13 00:00:00', 2.5499999519999998, 4.9737806320000004, -99, 138, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-01-14 00:00:00', 1.3600000139999999, 0.332049072, -99, 256, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-01-15 00:00:00', 3.0699999330000001, 2.1671686170000002, -99, 65, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-01-16 00:00:00', 8.2299995419999998, 6.0446095470000003, -99, 64, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-01-17 00:00:00', 1.2599999900000001, 3.7153730390000002, -99, 129, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-01-18 00:00:00', 0, -5.4737734790000001, -99, 281, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-01-19 00:00:00', 0.15000000599999999, -4.4607672689999998, -99, 252, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-01-20 00:00:00', 1.269999981, -4.4311156269999996, -99, 251, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-01-21 00:00:00', 1.1100000139999999, -1.891312957, -99, 309, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-01-22 00:00:00', 0.189999998, -3.4219522480000002, -99, 198, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-01-23 00:00:00', 0, -5.5725908280000001, -99, 192, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-01-24 00:00:00', 0, -4.7118163109999998, -99, 61, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-01-25 00:00:00', 1.5900000329999999, -5.460505962, -99, 139, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-01-26 00:00:00', 7.8699998860000004, -4.290906906, -99, 255, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-01-27 00:00:00', 7.1799998279999997, 2.5771880149999999, -99, 116, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-01-28 00:00:00', 0.80000001200000004, 0.78554713700000001, -99, 181, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-01-29 00:00:00', 0.52999997099999996, -5.029682159, -99, 301, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-01-30 00:00:00', 0.119999997, -2.228385448, -99, 315, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-01-31 00:00:00', 0.18000000699999999, -0.168944135, -99, 161, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-02-01 00:00:00', 0, -1.7150518889999999, -99, 256, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-02-02 00:00:00', 0.01, 0.27916094699999999, -99, 156, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-02-03 00:00:00', 0.20000000300000001, 0.15698073800000001, -99, 429, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-02-04 00:00:00', 8.0100002289999992, -2.4301209450000001, -99, 123, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-02-05 00:00:00', 0.58999997400000004, 0.78329771800000003, -99, 344, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-02-06 00:00:00', 6.1500000950000002, 1.730027795, -99, 110, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-02-07 00:00:00', 7.9299998279999997, 3.6009004120000001, -99, 137, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-02-08 00:00:00', 22.010000229999999, 4.2602047919999997, -99, 147, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-02-09 00:00:00', 5.4299998279999997, 6.3345804210000001, -99, 164, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-02-10 00:00:00', 2.119999886, 4.5435810090000004, -99, 117, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-02-11 00:00:00', 0, 2.8428828720000001, -99, 592, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-02-12 00:00:00', 0.12999999500000001, 0.247561321, -99, 389, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-02-13 00:00:00', 0, 4.7266221049999997, -99, 282, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-02-14 00:00:00', 0, 5.1256270410000004, -99, 235, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-02-15 00:00:00', 0, -0.109351926, -99, 662, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-02-16 00:00:00', 0.02, 2.7447674270000002, -99, 587, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-02-17 00:00:00', 0, 5.4801716799999998, -99, 409, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-02-18 00:00:00', 1.480000019, 2.1762223239999998, -99, 530, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-02-19 00:00:00', 1.519999981, 5.1445078850000003, -99, 469, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-02-20 00:00:00', 3, 4.2386498450000003, -99, 276, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-02-21 00:00:00', 0.039999999000000001, 6.1875281329999998, -99, 242, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-02-22 00:00:00', 0, 3.2124519349999998, -99, 546, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-02-23 00:00:00', 0, -1.8552459480000001, -99, 585, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-02-24 00:00:00', 0.039999999000000001, -1.553394556, -99, 788, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-02-25 00:00:00', 0.059999998999999998, -0.252204806, -99, 626, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-02-26 00:00:00', 0.039999999000000001, -0.111926205, -99, 851, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-02-27 00:00:00', 0, -0.21969196199999999, -99, 902, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-02-28 00:00:00', 0, 3.074774981, -99, 893, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-03-01 00:00:00', 0, 2.2507698540000001, -99, 756, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-03-02 00:00:00', 4.5399999619999996, -2.96032691, -99, 371, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-03-03 00:00:00', 8.1400003430000005, 4.7032999990000004, -99, 752, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-03-04 00:00:00', 14, 5.418764114, -99, 352, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-03-05 00:00:00', 1.940000057, 4.9954123499999996, -99, 661, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-03-06 00:00:00', 12.600000380000001, 3.5648412700000001, -99, 174, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-03-07 00:00:00', 6.9899997709999999, 7.0743250849999999, -99, 242, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-03-08 00:00:00', 6.4699997900000001, 4.7003836630000002, -99, 1027, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-03-09 00:00:00', 2.2699999809999998, 3.3365342619999998, -99, 799, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-03-10 00:00:00', 0.37000000500000002, 2.5708663459999999, -99, 882, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-03-11 00:00:00', 0.050000001000000002, -1.610816002, -99, 1098, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-03-12 00:00:00', 18.510000229999999, -1.4524558780000001, -99, 242, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-03-13 00:00:00', 4.079999924, 3.395222902, -99, 574, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-03-14 00:00:00', 9.4099998469999999, 4.2363142969999998, -99, 331, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-03-15 00:00:00', 8.1300001139999996, 3.596451998, -99, 366, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-03-16 00:00:00', 20.600000380000001, 4.1157846449999997, -99, 452, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-03-17 00:00:00', 4.3099999430000002, 5.2570781709999999, -99, 1108, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-03-18 00:00:00', 0.14000000100000001, 3.5809786319999999, -99, 1166, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-03-19 00:00:00', 0.02, 0.50299972299999995, -99, 1393, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-03-20 00:00:00', 0.34999999399999998, 0.69555407800000002, -99, 548, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-03-21 00:00:00', 0.039999999000000001, 6.3846735949999998, -99, 792, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-03-22 00:00:00', 0, 5.9782552720000002, -99, 412, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-03-23 00:00:00', 0, 5.1218934059999999, -99, 1308, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-03-24 00:00:00', 3.0999999049999998, 0.71541941200000003, -99, 1405, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-03-25 00:00:00', 0.12999999500000001, 1.620403528, -99, 1242, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-03-26 00:00:00', 0.28999999199999998, 2.232507944, -99, 963, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-03-27 00:00:00', 0.12999999500000001, 5.6517276760000001, -99, 657, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-03-28 00:00:00', 0, 7.3384699820000003, -99, 1274, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-03-29 00:00:00', 0, 3.7924625870000002, -99, 1642, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-03-30 00:00:00', 0.090000003999999995, 2.7013156409999999, -99, 1632, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-03-31 00:00:00', 0, 2.8594906330000001, -99, 1704, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-04-01 00:00:00', 0, -4.8472752569999997, -99, 1498, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-04-02 00:00:00', 2.4800000190000002, 1.6376435760000001, -99, 1583, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-04-03 00:00:00', 0.689999998, 5.4146466259999997, -99, 684, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-04-04 00:00:00', 0.050000001000000002, 5.4939799310000001, -99, 1175, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-04-05 00:00:00', 0, 2.4692380429999998, -99, 1280, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-04-06 00:00:00', 0, 5.4102020260000003, -99, 1641, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-04-07 00:00:00', 0, 3.6006836889999998, -99, 1699, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-04-08 00:00:00', 0, 5.4306874279999997, -99, 1780, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-04-09 00:00:00', 0.050000001000000002, -0.24510127300000001, -99, 1887, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-04-10 00:00:00', 0, -2.8518595699999998, -99, 853, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-04-11 00:00:00', 0, -3.9766764640000001, -99, 698, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-04-12 00:00:00', 0.37999999499999998, -1.188818336, -99, 1334, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-04-13 00:00:00', 0, -2.044641972, -99, 1838, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-04-14 00:00:00', 0, 0.72432786199999999, -99, 1656, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-04-15 00:00:00', 0, 2.2738308909999998, -99, 1983, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-04-16 00:00:00', 0, 0.667788088, -99, 1988, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-04-17 00:00:00', 0, 3.6783289909999999, -99, 2039, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-04-18 00:00:00', 0, 4.2157306669999999, -99, 2061, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-04-19 00:00:00', 0, 3.577342749, -99, 2093, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-04-20 00:00:00', 0, 0.73176842900000005, -99, 2142, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-04-21 00:00:00', 0, 0.24258181500000001, -99, 2154, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-04-22 00:00:00', 0.02, 3.6708843710000001, -99, 2140, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-04-23 00:00:00', 1.6000000240000001, 8.6391229630000002, -99, 2175, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-04-24 00:00:00', 0.059999998999999998, 10.1801815, -99, 1285, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-04-25 00:00:00', 0, 10.0739336, -99, 1834, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-04-26 00:00:00', 5.6900000569999998, 11.15466881, -99, 362, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-04-27 00:00:00', 1.230000019, 8.4551830290000005, -99, 1823, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-04-28 00:00:00', 1.5499999520000001, 8.8034467700000008, -99, 919, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-04-29 00:00:00', 0.44999998800000002, 6.9212617869999997, -99, 2032, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-04-30 00:00:00', 0, 2.5836262699999999, -99, 1793, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-05-01 00:00:00', 0.050000001000000002, 7.7334446909999999, -99, 591, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-05-02 00:00:00', 0.039999999000000001, 7.3171048159999996, -99, 1235, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-05-03 00:00:00', 2.869999886, 3.222177029, -99, 1719, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-05-04 00:00:00', 0, -0.464959711, -99, 1875, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-05-05 00:00:00', 1.3899999860000001, -1.419487715, -99, 1947, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-05-06 00:00:00', 1.8400000329999999, 3.5230588909999998, -99, 1885, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-05-07 00:00:00', 2.960000038, 1.566627502, -99, 2001, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-05-08 00:00:00', 9.0100002289999992, 2.9150013920000002, -99, 1642, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-05-09 00:00:00', 3.1500000950000002, 8.6401119229999992, -99, 1534, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-05-10 00:00:00', 0, 8.4854812620000004, -99, 1162, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-05-11 00:00:00', 0, -0.27873724700000002, -99, 2508, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-05-12 00:00:00', 0, 3.4495265480000001, -99, 2560, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-05-13 00:00:00', 0, 2.6026375289999999, -99, 2286, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-05-14 00:00:00', 0, 0.70864141000000003, -99, 2230, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-05-15 00:00:00', 0.079999998000000003, 0.56537747400000005, -99, 2413, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-05-16 00:00:00', 0.18000000699999999, 3.980491877, -99, 1968, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-05-17 00:00:00', 2.079999924, 8.7362689969999998, -99, 525, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-05-18 00:00:00', 0.050000001000000002, 9.2386112209999993, -99, 2086, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-05-19 00:00:00', 0, 10.77819824, -99, 1686, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-05-20 00:00:00', 0, 11.11622906, -99, 2285, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-05-21 00:00:00', 1.769999981, 12.345804210000001, -99, 1176, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-05-22 00:00:00', 0.12999999500000001, 9.7039728160000003, -99, 1027, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-05-23 00:00:00', 0, 5.8731565479999999, -99, 2546, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-05-24 00:00:00', 0.87000000499999997, 6.4708104129999997, -99, 1032, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-05-25 00:00:00', 1.9099999670000001, 9.8694067000000008, -99, 1553, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-05-26 00:00:00', 10.649999619999999, 9.2704038620000002, -99, 913, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-05-27 00:00:00', 1.059999943, 11.08991528, -99, 1573, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-05-28 00:00:00', 0, 7.3571257589999997, -99, 2199, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-05-29 00:00:00', 0.769999981, 2.2870709900000001, -99, 2212, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-05-30 00:00:00', 8.7899999619999996, 6.0456204409999996, -99, 756, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-05-31 00:00:00', 0, 12.464017869999999, -99, 1604, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-06-01 00:00:00', 0, 11.458242419999999, -99, 1526, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-06-02 00:00:00', 0.209999993, 8.4866037369999994, -99, 2415, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-06-03 00:00:00', 0.059999998999999998, 14.43758869, -99, 1336, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-06-04 00:00:00', 1.25, 6.7092189790000001, -99, 2401, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-06-05 00:00:00', 0.109999999, 14.234349249999999, -99, 2449, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-06-06 00:00:00', 2.829999924, 16.482660289999998, -99, 1698, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-06-07 00:00:00', 0.070000000000000007, 8.6073341370000005, -99, 2655, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-06-08 00:00:00', 8.4899997710000008, 13.86725712, -99, 767, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-06-09 00:00:00', 0.070000000000000007, 11.60978603, -99, 2431, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-06-10 00:00:00', 0.34000000400000002, 9.2829113010000004, -99, 1044, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-06-11 00:00:00', 18.709999079999999, 13.362772939999999, -99, 352, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-06-12 00:00:00', 7.2800002099999999, 11.473801610000001, -99, 1019, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-06-13 00:00:00', 0.15999999600000001, 11.910292630000001, -99, 2605, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-06-14 00:00:00', 3.9300000669999999, 11.56540298, -99, 1910, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-06-15 00:00:00', 4.3699998860000004, 12.77158642, -99, 870, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-06-16 00:00:00', 0, 11.013160709999999, -99, 2012, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-06-17 00:00:00', 0, 10.145724299999999, -99, 2632, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-06-18 00:00:00', 0.83999997400000004, 14.822271349999999, -99, 2494, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-06-19 00:00:00', 2.130000114, 11.740765570000001, -99, 2598, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-06-20 00:00:00', 0.790000021, 15.20849991, -99, 1262, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-06-21 00:00:00', 0.36000001399999998, 8.9418506620000002, -99, 2307, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-06-22 00:00:00', 0, 5.9308571819999996, -99, 2702, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-06-23 00:00:00', 0, 7.2590184210000004, -99, 2775, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-06-24 00:00:00', 0, 12.93151188, -99, 2481, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-06-25 00:00:00', 0, 15.598697659999999, -99, 2530, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-06-26 00:00:00', 0, 17.744783399999999, -99, 1893, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-06-27 00:00:00', 0, 11.67743969, -99, 1729, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-06-28 00:00:00', 0, 11.14934635, -99, 2621, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-06-29 00:00:00', 0, 10.71816063, -99, 2814, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-06-30 00:00:00', 0, 10.334465979999999, -99, 2720, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-07-01 00:00:00', 4.079999924, 13.40387821, -99, 1724, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-07-02 00:00:00', 0.85000002399999997, 10.842657089999999, -99, 1631, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-07-03 00:00:00', 2.5599999430000002, 8.3106412889999994, -99, 2082, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-07-04 00:00:00', 7.1100001339999999, 7.8816833500000003, -99, 797, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-07-05 00:00:00', 3.1600000860000002, 12.085516930000001, -99, 2182, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-07-06 00:00:00', 3.960000038, 12.710216519999999, -99, 1813, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-07-07 00:00:00', 0.27000001099999998, 11.59075451, -99, 1594, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-07-08 00:00:00', 0, 8.1391448969999995, -99, 2047, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-07-09 00:00:00', 0, 9.3345165249999997, -99, 1984, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-07-10 00:00:00', 1.019999981, 7.5876097680000001, -99, 2530, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-07-11 00:00:00', 8.5200004580000002, 11.525733949999999, -99, 664, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-07-12 00:00:00', 1.7599999900000001, 15.272056579999999, -99, 1301, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-07-13 00:00:00', 0, 13.155201910000001, -99, 2053, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-07-14 00:00:00', 0, 12.67924404, -99, 886, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-07-15 00:00:00', 0, 12.10182762, -99, 1425, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-07-16 00:00:00', 0, 13.15128326, -99, 2170, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-07-17 00:00:00', 0, 12.19331837, -99, 2341, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-07-18 00:00:00', 2.0899999139999998, 8.1243410110000003, -99, 2038, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-07-19 00:00:00', 1.4299999480000001, 15.05629253, -99, 1742, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-07-20 00:00:00', 9.2899999619999996, 10.703756329999999, -99, 1201, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-07-21 00:00:00', 0.02, 15.305926319999999, -99, 873, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-07-22 00:00:00', 4.7600002290000001, 11.01365566, -99, 732, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-07-23 00:00:00', 0, 14.750252720000001, -99, 2537, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-07-24 00:00:00', 0, 13.43107605, -99, 2487, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-07-25 00:00:00', 0, 18.669097900000001, -99, 2297, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-07-26 00:00:00', 0, 16.746713639999999, -99, 2228, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-07-27 00:00:00', 0, 16.674631120000001, -99, 2129, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-07-28 00:00:00', 0.87000000499999997, 18.238714219999999, -99, 1465, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-07-29 00:00:00', 0, 17.786649700000002, -99, 1352, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-07-30 00:00:00', 2.9500000480000002, 15.70333767, -99, 1533, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-07-31 00:00:00', 6.2300000190000002, 12.7342186, -99, 1190, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-08-01 00:00:00', 8.3000001910000005, 12.14706898, -99, 1408, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-08-02 00:00:00', 0.059999998999999998, 15.338049890000001, -99, 1971, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-08-03 00:00:00', 0.01, 11.40337467, -99, 1951, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-08-04 00:00:00', 0.12999999500000001, 10.28414059, -99, 1134, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-08-05 00:00:00', 2.7699999809999998, 11.386921879999999, -99, 1139, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-08-06 00:00:00', 0, 16.431234360000001, -99, 1727, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-08-07 00:00:00', 4.4600000380000004, 11.97698784, -99, 1341, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-08-08 00:00:00', 3.7000000480000002, 13.446398739999999, -99, 1546, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-08-09 00:00:00', 5.9099998469999999, 11.186977389999999, -99, 953, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-08-10 00:00:00', 13.460000040000001, 17.505285260000001, -99, 1134, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-08-11 00:00:00', 2.8099999430000002, 16.656034470000002, -99, 1794, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-08-12 00:00:00', 0.959999979, 14.982101439999999, -99, 1861, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-08-13 00:00:00', 0.81999999300000004, 11.8433609, -99, 1233, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-08-14 00:00:00', 2.5599999430000002, 8.7970209120000007, -99, 1811, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-08-15 00:00:00', 8.8900003430000005, 13.016190529999999, -99, 408, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-08-16 00:00:00', 4.8600001339999999, 13.252597809999999, -99, 1542, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-08-17 00:00:00', 3.170000076, 14.64815712, -99, 851, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-08-18 00:00:00', 6.8000001909999996, 12.141697880000001, -99, 592, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-08-19 00:00:00', 9.1700000760000009, 12.67879868, -99, 1524, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-08-20 00:00:00', 1.9299999480000001, 12.0308609, -99, 1700, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-08-21 00:00:00', 0, 10.19917583, -99, 1587, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-08-22 00:00:00', 0, 11.083586690000001, -99, 1696, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-08-23 00:00:00', 0.059999998999999998, 12.987545969999999, -99, 1482, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-08-24 00:00:00', 0, 11.73861217, -99, 1932, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-08-25 00:00:00', 0, 14.888083460000001, -99, 1919, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-08-26 00:00:00', 0, 16.518873209999999, -99, 1796, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-08-27 00:00:00', 0.15999999600000001, 16.526123049999999, -99, 1718, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-08-28 00:00:00', 0.44999998800000002, 18.65166473, -99, 1728, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-08-29 00:00:00', 0.670000017, 18.458415989999999, -99, 1413, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-08-30 00:00:00', 0, 11.94841957, -99, 1210, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-08-31 00:00:00', 5.4899997709999999, 11.35163593, -99, 1750, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-09-01 00:00:00', 3.210000038, 15.44367695, -99, 1133, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-09-02 00:00:00', 10.22999954, 9.1702823640000002, -99, 1606, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-09-03 00:00:00', 3.130000114, 11.949229239999999, -99, 1478, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-09-04 00:00:00', 17.409999849999998, 13.03918457, -99, 496, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-09-05 00:00:00', 3.829999924, 9.9012298580000007, -99, 1279, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-09-06 00:00:00', 17.850000380000001, 8.0042600630000003, -99, 643, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-09-07 00:00:00', 1.539999962, 8.9270706180000001, -99, 1409, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-09-08 00:00:00', 0.91000002599999996, 5.4448766710000003, -99, 1340, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-09-09 00:00:00', 7.0199999809999998, 8.4914493560000004, -99, 1050, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-09-10 00:00:00', 1.019999981, 11.67137814, -99, 617, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-09-11 00:00:00', 15.44999981, 9.4073619839999996, -99, 235, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-09-12 00:00:00', 3.1800000669999999, 10.48997784, -99, 1146, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-09-13 00:00:00', 0.050000001000000002, 13.007462500000001, -99, 1413, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-09-14 00:00:00', 0.050000001000000002, 6.9252161980000002, -99, 1376, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-09-15 00:00:00', 0.44999998800000002, 11.86196232, -99, 918, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-09-16 00:00:00', 2.039999962, 10.50477695, -99, 1252, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-09-17 00:00:00', 2.1900000569999998, 8.6716175080000006, -99, 1185, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-09-18 00:00:00', 0.34999999399999998, 7.6728687290000002, -99, 1217, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-09-19 00:00:00', 0.30000001199999998, 5.1261491780000004, -99, 1249, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-09-20 00:00:00', 0.23999999499999999, 9.1129684449999999, -99, 726, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-09-21 00:00:00', 0.059999998999999998, 10.252760889999999, -99, 1340, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-09-22 00:00:00', 0.02, 6.9416389470000004, -99, 1346, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-09-23 00:00:00', 0.189999998, 13.35968971, -99, 1205, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-09-24 00:00:00', 0.23999999499999999, 13.200047489999999, -99, 816, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-09-25 00:00:00', 1.1100000139999999, 12.488479610000001, -99, 433, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-09-26 00:00:00', 10.77000046, 13.510601039999999, -99, 607, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-09-27 00:00:00', 3.0999999049999998, 13.603554730000001, -99, 799, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-09-28 00:00:00', 30.920000080000001, 12.400552749999999, -99, 470, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-09-29 00:00:00', 18.370000839999999, 11.03792763, -99, 296, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-09-30 00:00:00', 0.75, 11.660751339999999, -99, 854, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-10-01 00:00:00', 0.68000000699999996, 7.884114265, -99, 473, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-10-02 00:00:00', 2.0699999330000001, 3.152271271, -99, 758, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-10-03 00:00:00', 0.540000021, 4.6337504389999999, -99, 579, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-10-04 00:00:00', 10.93999958, 5.5882987980000003, -99, 360, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-10-05 00:00:00', 0, 5.8279361720000002, -99, 871, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-10-06 00:00:00', 0, 1.6767404079999999, -99, 814, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-10-07 00:00:00', 5.8200001720000003, 0.70467644900000004, -99, 815, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-10-08 00:00:00', 3.7400000100000002, 6.5694513319999999, -99, 880, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-10-09 00:00:00', 7.7800002099999999, 8.1782579420000001, -99, 578, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-10-10 00:00:00', 16.159999849999998, 6.6793394089999998, -99, 768, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-10-11 00:00:00', 31.030000690000001, 10.090415950000001, -99, 287, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-10-12 00:00:00', 0.43000000700000002, 11.30013561, -99, 626, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-10-13 00:00:00', 14.93999958, 9.4145593640000005, -99, 276, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-10-14 00:00:00', 1.3700000050000001, 11.60438347, -99, 484, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-10-15 00:00:00', 4.25, 10.54858589, -99, 566, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-10-16 00:00:00', 7.7600002290000001, 11.41802502, -99, 198, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-10-17 00:00:00', 1.9900000099999999, 8.5165815350000003, -99, 460, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-10-18 00:00:00', 10.350000380000001, 7.6027154919999997, -99, 323, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-10-19 00:00:00', 7.2600002290000001, 8.8557119370000006, -99, 351, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-10-20 00:00:00', 0.039999999000000001, 8.5725030899999997, -99, 422, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-10-21 00:00:00', 5.5700001720000003, 6.1437573429999999, -99, 121, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-10-22 00:00:00', 1.1799999480000001, 10.72974396, -99, 461, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-10-23 00:00:00', 0.27000001099999998, 8.7397832869999998, -99, 441, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-10-24 00:00:00', 0.25, 9.8585281370000004, -99, 190, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-10-25 00:00:00', 10.920000079999999, 10.79161358, -99, 461, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-10-26 00:00:00', 12.899999619999999, 11.08247471, -99, 72, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-10-27 00:00:00', 3.8199999330000001, 7.59680891, -99, 460, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-10-28 00:00:00', 0.109999999, 5.384150505, -99, 492, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-10-29 00:00:00', 0.119999997, 0.36512428499999999, -99, 587, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-10-30 00:00:00', 0.079999998000000003, -3.0881757740000002, -99, 476, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-10-31 00:00:00', 0, 2.1801853179999999, -99, 455, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-11-01 00:00:00', 1.7999999520000001, -1.3543901439999999, -99, 287, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-11-02 00:00:00', 7.4800000190000002, 3.4213395119999999, -99, 106, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-11-03 00:00:00', 3.0899999139999998, 6.2997236250000004, -99, 284, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-11-04 00:00:00', 13.72999954, 8.8369474409999995, -99, 109, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-11-05 00:00:00', 0.83999997400000004, 6.6063623429999998, -99, 156, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-11-06 00:00:00', 0.66000002599999996, 3.826842546, -99, 234, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-11-07 00:00:00', 7.4099998469999999, -0.025140941, -99, 366, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-11-08 00:00:00', 0, 4.8121728900000003, -99, 306, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-11-09 00:00:00', 0.050000001000000002, -0.60214853300000004, -99, 242, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-11-10 00:00:00', 1.730000019, 1.63679266, -99, 250, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-11-11 00:00:00', 0.25, 4.082401752, -99, 228, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-11-12 00:00:00', 1.480000019, 3.0163679120000002, -99, 88, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-11-13 00:00:00', 2.4900000100000002, 0.493174106, -99, 132, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-11-14 00:00:00', 0.059999998999999998, 2.985934496, -99, 190, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-11-15 00:00:00', 1.1599999670000001, 4.2896070479999997, -99, 58, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-11-16 00:00:00', 10.869999890000001, 7.4095821380000002, -99, 24, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-11-17 00:00:00', 0.829999983, 4.220218182, -99, 260, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-11-18 00:00:00', 7.6999998090000004, 3.9017829900000001, -99, 40, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-11-19 00:00:00', 0.46000000800000002, 5.0179481509999997, -99, 97, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-11-20 00:00:00', 4.920000076, 2.2956159110000001, -99, 168, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-11-21 00:00:00', 2.7200000289999999, 3.8762855530000002, -99, 95, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-11-22 00:00:00', 1.3500000240000001, 7.5586495400000002, -99, 158, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-11-23 00:00:00', 0.02, 6.6328010559999999, -99, 70, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-11-24 00:00:00', 0, 6.4869551660000004, -99, 41, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-11-25 00:00:00', 2.0899999139999998, 4.9217562680000002, -99, 14, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-11-26 00:00:00', 3.3900001049999999, 4.7317190169999996, -99, 45, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-11-27 00:00:00', 9.9099998469999999, 6.5538682939999999, -99, 32, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-11-28 00:00:00', 1.440000057, 7.1517810820000003, -99, 101, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-11-29 00:00:00', 0.14000000100000001, 2.6091301439999999, -99, 220, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-11-30 00:00:00', 0.189999998, -2.0128960610000002, -99, 201, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-12-01 00:00:00', 0.46000000800000002, -2.2458462720000001, -99, 124, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-12-02 00:00:00', 0.090000003999999995, 0.068375072999999995, -99, 200, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-12-03 00:00:00', 1.769999981, -2.1280355449999999, -99, 51, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-12-04 00:00:00', 0, 7.0536947249999997, -99, 134, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-12-05 00:00:00', 6.5, 4.9202399249999997, -99, 108, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-12-06 00:00:00', 3.8099999430000002, 6.2854123120000001, -99, 44, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-12-07 00:00:00', 2.2999999519999998, 7.4658989910000004, -99, 180, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-12-08 00:00:00', 11.850000380000001, 5.6380958559999996, -99, 89, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-12-09 00:00:00', 6.670000076, 5.189453125, -99, 131, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-12-10 00:00:00', 4.2300000190000002, 0.318696588, -99, 118, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-12-11 00:00:00', 0.34000000400000002, 3.4189813139999998, -99, 118, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-12-12 00:00:00', 1.3999999759999999, 3.6010274889999998, -99, 116, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-12-13 00:00:00', 1.6000000240000001, 1.331790805, -99, 140, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-12-14 00:00:00', 9.6400003430000005, 0.41790640400000001, -99, 66, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-12-15 00:00:00', 9.1999998089999995, 3.2080194949999998, -99, 60, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-12-16 00:00:00', 1.8799999949999999, 3.4659211640000001, -99, 37, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-12-17 00:00:00', 7.7699999809999998, 5.1809720989999999, -99, 31, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-12-18 00:00:00', 0.119999997, 5.044858456, -99, 138, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-12-19 00:00:00', 0.050000001000000002, 2.2056441310000001, -99, 132, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-12-20 00:00:00', 4.3400001530000001, 4.3439660069999997, -99, 83, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-12-21 00:00:00', 0.93000000699999996, 6.2276310920000002, -99, 133, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-12-22 00:00:00', 0.80000001200000004, 4.1691608430000002, -99, 41, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-12-23 00:00:00', 2.6900000569999998, 4.8602328300000002, -99, 67, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-12-24 00:00:00', 1.0099999900000001, 5.4362211230000002, -99, 107, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-12-25 00:00:00', 0.31999999299999998, 3.990954876, -99, 105, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-12-26 00:00:00', 0.039999999000000001, 2.8044271470000002, -99, 137, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-12-27 00:00:00', 0, -1.2818956379999999, -99, 118, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-12-28 00:00:00', 0, -4.3202838899999998, -99, 61, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-12-29 00:00:00', 0.38999998600000002, -0.87872409799999995, -99, 37, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-12-30 00:00:00', 0.12999999500000001, 4.2598667140000002, -99, 152, 'ask', 'ask_2019');
INSERT INTO public.cdy_cldat VALUES ('2019-12-31 00:00:00', 0, 6.0815443990000002, -99, 164, 'ask', 'ask_2019');


--
-- TOC entry 2407 (class 0 OID 72524)
-- Dependencies: 194
-- Data for Name: cdy_fxdat; Type: TABLE DATA; Schema: public; Owner: -
--

INSERT INTO public.cdy_fxdat VALUES ('demo1', 'Demo_Management', 1, 0, 49, 'Ls2', 'lud', NULL, 657, '1990-01-01 00:00:00', '1999-12-31 00:00:00', 50, 10, 500, 9, 3, 100, 1, 1, true);


--
-- TOC entry 2408 (class 0 OID 72532)
-- Dependencies: 195
-- Data for Name: cdy_gsdat; Type: TABLE DATA; Schema: public; Owner: -
--



--
-- TOC entry 2409 (class 0 OID 72535)
-- Dependencies: 196
-- Data for Name: cdy_hrzn; Type: TABLE DATA; Schema: public; Owner: -
--

INSERT INTO public.cdy_hrzn VALUES (NULL, 'Ls2_2', false, 44.44444444444445, 1, 1.5, 16.800000000000001, 36.399999999999999, 3000, 0.16, 21, 45, -99, 9.9999999999999995e-007, 0, NULL, 0, 315.69999999999999, false, 5, 10, 100);
INSERT INTO public.cdy_hrzn VALUES (NULL, 'Su4_2', false, 38.46153846153846, 1, 1.6000000000000001, 3.1000000000000001, 30.699999999999999, 3000, 0.16, 4, 45, -99, 9.9999999999999995e-007, NULL, 0.10000000000000001, NULL, 686.5, NULL, 5, 10, 100);
INSERT INTO public.cdy_hrzn VALUES (NULL, 'Tt_1', false, 64.285714285714278, 1, 1, 37.200000000000003, 48.899999999999999, 3000, 0.16, 76.599999999999994, 11.699999999999999, -99, 9.9999999999999995e-007, 0, 0.59999999999999998, NULL, 61.299999999999997, true, 5, 10, 100);
INSERT INTO public.cdy_hrzn VALUES (NULL, 'Lts_1', false, 48.148148148148152, 1, 1.3999999999999999, 21.199999999999999, 38, 3000, 0.16, 35, 22.5, -99, 9.9999999999999995e-007, 0, 0.40000000000000002, NULL, 306.19999999999999, true, 5, 10, 100);
INSERT INTO public.cdy_hrzn VALUES (NULL, 'Sl4_1', false, 42.307692307692314, 1, 1.5, 11.699999999999999, 32.700000000000003, 3000, 0.16, 14.5, 25, -99, 9.9999999999999995e-007, 0, 0.29999999999999999, NULL, 730.10000000000002, true, 5, 10, 100);
INSERT INTO public.cdy_hrzn VALUES (NULL, 'Sl3_1', false, 38.46153846153846, 1, 1.6000000000000001, 8.4000000000000004, 31.100000000000001, 3000, 0.16, 10, 25, -99, 9.9999999999999995e-007, 0, 0.20000000000000001, NULL, 896.79999999999995, true, 5, 10, 100);
INSERT INTO public.cdy_hrzn VALUES (NULL, 'Su3_1', false, 38.46153846153846, 1, 1.6000000000000001, 2.7000000000000002, 29, 3000, 0.16, 4, 32.5, -99, 9.9999999999999995e-007, 0, 0.10000000000000001, NULL, 962.89999999999998, true, 5, 10, 100);
INSERT INTO public.cdy_hrzn VALUES (NULL, 'Sl2_1', false, 38.46153846153846, 1, 1.6000000000000001, 4.5, 25.699999999999999, 3000, 0.16, 6.5, 17.5, -99, 9.9999999999999995e-007, 0, 0.10000000000000001, NULL, 1289.2, true, 5, 10, 100);
INSERT INTO public.cdy_hrzn VALUES (NULL, 'St2_1', false, 38.46153846153846, 1, 1.6000000000000001, 2.5, 21.5, 3000, 0.16, 11, 5, -99, 9.9999999999999995e-007, 0, 0.10000000000000001, NULL, 1472.2, true, 5, 10, 100);
INSERT INTO public.cdy_hrzn VALUES (NULL, 'Su2_1', false, 34.615384615384613, 1, 1.7, 2.2999999999999998, 23.800000000000001, 3000, 0.16, 2.5, 17.5, -99, 9.9999999999999995e-007, 0, 0.10000000000000001, NULL, 1547.8, true, 5, 10, 100);
INSERT INTO public.cdy_hrzn VALUES (NULL, 'Ss_1', false, 34.615384615384613, 1, 1.7, 0.5, 18.5, 3000, 0.16, 2.5, 5, -99, 9.9999999999999995e-007, 0, 0, NULL, 2171, true, 5, 10, 100);
INSERT INTO public.cdy_hrzn VALUES (NULL, 'Tu2_1', false, 55.555555555555557, 1, 1.2, 32, 45.200000000000003, 3000, 0.16, 55, 37.5, -99, 9.9999999999999995e-007, 0, 0.59999999999999998, NULL, 81.799999999999997, true, 5, 10, 100);
INSERT INTO public.cdy_hrzn VALUES (NULL, 'Tl_1', false, 55.555555555555557, 1, 1.2, 28.699999999999999, 43.100000000000001, 3000, 0.16, 55, 22.5, -99, 9.9999999999999995e-007, 0, 0.5, NULL, 122.8, true, 5, 10, 100);
INSERT INTO public.cdy_hrzn VALUES (NULL, 'Tu3_1', false, 48.148148148148152, 1, 1.3999999999999999, 25.699999999999999, 41.5, 3000, 0.16, 36.299999999999997, 56.299999999999997, -99, 9.9999999999999995e-007, 0, 0.5, NULL, 115.59999999999999, true, 5, 10, 100);
INSERT INTO public.cdy_hrzn VALUES (NULL, 'Tu4_1', false, 48.148148148148152, 1, 1.3999999999999999, 23.600000000000001, 40.299999999999997, 3000, 0.16, 28.399999999999999, 68.299999999999997, -99, 9.9999999999999995e-007, 0, 0.5, NULL, 119.8, true, 5, 10, 100);
INSERT INTO public.cdy_hrzn VALUES (NULL, 'Ts2_1', false, 55.555555555555557, 1, 1.2, 26.899999999999999, 41.600000000000001, 3000, 0.16, 55, 7.5, -99, 9.9999999999999995e-007, 0, 0.5, NULL, 184.30000000000001, true, 5, 10, 100);
INSERT INTO public.cdy_hrzn VALUES (NULL, 'Lt3_1', false, 51.851851851851862, 1, 1.3, 24.899999999999999, 40.899999999999999, 3000, 0.16, 40, 40, -99, 9.9999999999999995e-007, 0, 0.5, NULL, 151.69999999999999, true, 5, 10, 100);
INSERT INTO public.cdy_hrzn VALUES (NULL, 'Ut4_1', false, 44.44444444444445, 1, 1.5, 19.600000000000001, 38.399999999999999, 3000, 0.16, 21, 72, -99, 9.9999999999999995e-007, 0, 0.40000000000000002, NULL, 152, true, 5, 10, 100);
INSERT INTO public.cdy_hrzn VALUES (NULL, 'Lu_1', false, 44.44444444444445, 1, 1.5, 19.300000000000001, 38, 3000, 0.16, 23.5, 57.5, -99, 9.9999999999999995e-007, 0, 0.40000000000000002, NULL, 200.80000000000001, true, 5, 10, 100);
INSERT INTO public.cdy_hrzn VALUES (NULL, 'Uls_1', false, 38.46153846153846, 1, 1.6000000000000001, 12.4, 34.899999999999999, 3000, 0.16, 12.5, 57.5, -99, 9.9999999999999995e-007, 0, 0.29999999999999999, NULL, 331.89999999999998, true, 5, 10, 100);
INSERT INTO public.cdy_hrzn VALUES (NULL, 'Ls3_1', false, 44.44444444444445, 1, 1.5, 16.100000000000001, 35.5, 3000, 0.16, 21, 35, -99, 9.9999999999999995e-007, 0, 0.40000000000000002, NULL, 413.89999999999998, true, 5, 10, 100);
INSERT INTO public.cdy_hrzn VALUES (NULL, 'Ts4_1', false, 48.148148148148152, 1, 1.3999999999999999, 18.199999999999999, 35.399999999999999, 3000, 0.16, 30, 7.5, -99, 9.9999999999999995e-007, 0, 0.40000000000000002, NULL, 577.5, true, 5, 10, 100);
INSERT INTO public.cdy_hrzn VALUES (NULL, 'Us_1', false, 38.46153846153846, 1, 1.6000000000000001, 3.7999999999999998, 32.799999999999997, 3000, 0.16, 4, 65, -99, 9.9999999999999995e-007, 0, 0.10000000000000001, NULL, 399.5, true, 5, 10, 100);
INSERT INTO public.cdy_hrzn VALUES (NULL, 'Slu_1', false, 38.46153846153846, 1, 1.6000000000000001, 11.6, 33.899999999999999, 3000, 0.16, 12.5, 45, -99, 9.9999999999999995e-007, 0, 0.29999999999999999, NULL, 465.60000000000002, true, 5, 10, 100);
INSERT INTO public.cdy_hrzn VALUES (NULL, 'Ls4_1', false, 44.44444444444445, 1, 1.5, 15.199999999999999, 34.399999999999999, 3000, 0.16, 21, 22.5, -99, 9.9999999999999995e-007, 0, 0.29999999999999999, NULL, 580.5, true, 5, 10, 100);
INSERT INTO public.cdy_hrzn VALUES (NULL, 'Ut4_2', false, 44.44444444444445, 1, 1.5, 19.600000000000001, 38.399999999999999, 3000, 0.16, 21, 72, -99, 9.9999999999999995e-007, NULL, 0.40000000000000002, NULL, 152, NULL, 5, 10, 100);
INSERT INTO public.cdy_hrzn VALUES (NULL, 'St3_1', false, 44.44444444444445, 1, 1.5, 10.5, 28.899999999999999, 3000, 0.16, 21, 7.5, -99, 9.9999999999999995e-007, 0, 0.20000000000000001, NULL, 871.29999999999995, true, 5, 10, 100);
INSERT INTO public.cdy_hrzn VALUES (NULL, 'Su4_1', false, 38.46153846153846, 1, 1.6000000000000001, 3.1000000000000001, 30.699999999999999, 3000, 0.16, 4, 45, -99, 9.9999999999999995e-007, 0, 0.10000000000000001, NULL, 686.5, true, 5, 10, 100);
INSERT INTO public.cdy_hrzn VALUES (NULL, 'Ls2_1', false, 44.44444444444445, 1, 1.5, 16.800000000000001, 36.399999999999999, 3000, 0.16, 21, 45, -99, 9.9999999999999995e-007, 0, 0.40000000000000002, 0, 315.69999999999999, true, 5, 10, 100);
INSERT INTO public.cdy_hrzn VALUES (NULL, 'Sl3_2', false, 38.46153846153846, 1, 1.6000000000000001, 8.4000000000000004, 31.100000000000001, 3000, 0.16, 10, 25, -99, 9.9999999999999995e-007, NULL, 0.20000000000000001, NULL, 896.79999999999995, NULL, 5, 10, 100);
INSERT INTO public.cdy_hrzn VALUES (NULL, 'Tt_2', false, 64.285714285714278, 1, 1, 37.200000000000003, 48.899999999999999, 3000, 0.16, 76.599999999999994, 11.699999999999999, -99, 9.9999999999999995e-007, NULL, 0.59999999999999998, NULL, 61.299999999999997, NULL, 5, 10, 100);
INSERT INTO public.cdy_hrzn VALUES (NULL, 'Ut3_1', false, 38.46153846153846, 1, 1.6000000000000001, 15.4, 36.700000000000003, 3000, 0.16, 14.4, 75.299999999999997, -99, 9.9999999999999995e-007, 0, 0.40000000000000002, NULL, 188, true, 5, 10, 100);
INSERT INTO public.cdy_hrzn VALUES (NULL, 'Lt2_1', false, 48.148148148148152, 1, 1.3999999999999999, 20.699999999999999, 38.299999999999997, 3000, 0.16, 30, 40, -99, 9.9999999999999995e-007, 0, 0.40000000000000002, NULL, 239.59999999999999, true, 5, 10, 100);
INSERT INTO public.cdy_hrzn VALUES (NULL, 'Ut2_1', false, 38.46153846153846, 1, 1.6000000000000001, 11.9, 35.5, 3000, 0.16, 10, 77.5, -99, 9.9999999999999995e-007, 0, 0.29999999999999999, NULL, 216.5, true, 5, 10, 100);
INSERT INTO public.cdy_hrzn VALUES (NULL, 'Uu_1', false, 38.46153846153846, 1, 1.6000000000000001, 5, 34.299999999999997, 3000, 0.16, 4, 88, -99, 9.9999999999999995e-007, 0, 0.10000000000000001, NULL, 214.40000000000001, true, 5, 10, 100);
INSERT INTO public.cdy_hrzn VALUES (NULL, 'Ts3_1', false, 51.851851851851862, 1, 1.3, 21.899999999999999, 37.899999999999999, 3000, 0.16, 40, 7.5, -99, 9.9999999999999995e-007, 0, 0.40000000000000002, NULL, 365.69999999999999, true, 5, 10, 100);
INSERT INTO public.cdy_hrzn VALUES (NULL, 'Lts_2', false, 48.148148148148152, 1, 1.3999999999999999, 21.199999999999999, 38, 3000, 0.16, 35, 22.5, -99, 9.9999999999999995e-007, NULL, 0.40000000000000002, NULL, 306.19999999999999, NULL, 5, 10, 100);
INSERT INTO public.cdy_hrzn VALUES (NULL, 'Sl4_2', false, 42.307692307692314, 1, 1.5, 11.699999999999999, 32.700000000000003, 3000, 0.16, 14.5, 25, -99, 9.9999999999999995e-007, NULL, 0.29999999999999999, NULL, 730.10000000000002, NULL, 5, 10, 100);
INSERT INTO public.cdy_hrzn VALUES (NULL, 'St2_2', false, 38.46153846153846, 1, 1.6000000000000001, 2.5, 21.5, 3000, 0.16, 11, 5, -99, 9.9999999999999995e-007, NULL, 0.10000000000000001, NULL, 1472.2, NULL, 5, 10, 100);
INSERT INTO public.cdy_hrzn VALUES (NULL, 'Su2_2', false, 34.615384615384613, 1, 1.7, 2.2999999999999998, 23.800000000000001, 3000, 0.16, 2.5, 17.5, -99, 9.9999999999999995e-007, NULL, 0.10000000000000001, NULL, 1547.8, NULL, 5, 10, 100);
INSERT INTO public.cdy_hrzn VALUES (NULL, 'Ss_2', false, 34.615384615384613, 1, 1.7, 0.5, 18.5, 3000, 0.16, 2.5, 5, -99, 9.9999999999999995e-007, NULL, 0, NULL, 2171, NULL, 5, 10, 100);
INSERT INTO public.cdy_hrzn VALUES (NULL, 'Tu4_2', false, 48.148148148148152, 1, 1.3999999999999999, 23.600000000000001, 40.299999999999997, 3000, 0.16, 28.399999999999999, 68.299999999999997, -99, 9.9999999999999995e-007, NULL, 0.5, NULL, 119.8, NULL, 5, 10, 100);
INSERT INTO public.cdy_hrzn VALUES (NULL, 'Ts2_2', false, 55.555555555555557, 1, 1.2, 26.899999999999999, 41.600000000000001, 3000, 0.16, 55, 7.5, -99, 9.9999999999999995e-007, NULL, 0.5, NULL, 184.30000000000001, NULL, 5, 10, 100);
INSERT INTO public.cdy_hrzn VALUES (NULL, 'Lt3_2', false, 51.851851851851862, 1, 1.3, 24.899999999999999, 40.899999999999999, 3000, 0.16, 40, 40, -99, 9.9999999999999995e-007, NULL, 0.5, NULL, 151.69999999999999, NULL, 5, 10, 100);
INSERT INTO public.cdy_hrzn VALUES (NULL, 'Tu2_2', false, 55.555555555555557, 1, 1.2, 32, 45.200000000000003, 3000, 0.16, 55, 37.5, -99, 9.9999999999999995e-007, NULL, 0.59999999999999998, NULL, 81.799999999999997, NULL, 5, 10, 100);
INSERT INTO public.cdy_hrzn VALUES (NULL, 'Su3_2', false, 38.46153846153846, 1, 1.6000000000000001, 2.7000000000000002, 29, 3000, 0.16, 4, 32.5, -99, 9.9999999999999995e-007, NULL, 0.10000000000000001, NULL, 962.89999999999998, NULL, 5, 10, 100);
INSERT INTO public.cdy_hrzn VALUES (NULL, 'Tl_2', false, 55.555555555555557, 1, 1.2, 28.699999999999999, 43.100000000000001, 3000, 0.16, 55, 22.5, -99, 9.9999999999999995e-007, NULL, 0.5, NULL, 122.8, NULL, 5, 10, 100);
INSERT INTO public.cdy_hrzn VALUES (NULL, 'Lu_2', false, 44.44444444444445, 1, 1.5, 19.300000000000001, 38, 3000, 0.16, 23.5, 57.5, -99, 9.9999999999999995e-007, NULL, 0.40000000000000002, NULL, 200.80000000000001, NULL, 5, 10, 100);
INSERT INTO public.cdy_hrzn VALUES (NULL, 'Sl2_2', false, 38.46153846153846, 1, 1.6000000000000001, 4.5, 25.699999999999999, 3000, 0.16, 6.5, 17.5, -99, 9.9999999999999995e-007, NULL, 0.10000000000000001, NULL, 1289.2, NULL, 5, 10, 100);
INSERT INTO public.cdy_hrzn VALUES (NULL, 'Tu3_2', false, 48.148148148148152, 1, 1.3999999999999999, 25.699999999999999, 41.5, 3000, 0.16, 36.299999999999997, 56.299999999999997, -99, 9.9999999999999995e-007, NULL, 0.5, NULL, 115.59999999999999, NULL, 5, 10, 100);
INSERT INTO public.cdy_hrzn VALUES (NULL, 'Ut3_2', false, 38.46153846153846, 1, 1.6000000000000001, 15.4, 36.700000000000003, 3000, 0.16, 14.4, 75.299999999999997, -99, 9.9999999999999995e-007, NULL, 0.40000000000000002, NULL, 188, NULL, 5, 10, 100);
INSERT INTO public.cdy_hrzn VALUES (NULL, 'Lt2_2', false, 48.148148148148152, 1, 1.3999999999999999, 20.699999999999999, 38.299999999999997, 3000, 0.16, 30, 40, -99, 9.9999999999999995e-007, NULL, 0.40000000000000002, NULL, 239.59999999999999, NULL, 5, 10, 100);
INSERT INTO public.cdy_hrzn VALUES (NULL, 'Ut2_2', false, 38.46153846153846, 1, 1.6000000000000001, 11.9, 35.5, 3000, 0.16, 10, 77.5, -99, 9.9999999999999995e-007, NULL, 0.29999999999999999, NULL, 216.5, NULL, 5, 10, 100);
INSERT INTO public.cdy_hrzn VALUES (NULL, 'Uu_2', false, 38.46153846153846, 1, 1.6000000000000001, 5, 34.299999999999997, 3000, 0.16, 4, 88, -99, 9.9999999999999995e-007, NULL, 0.10000000000000001, NULL, 214.40000000000001, NULL, 5, 10, 100);
INSERT INTO public.cdy_hrzn VALUES (NULL, 'Ts3_2', false, 51.851851851851862, 1, 1.3, 21.899999999999999, 37.899999999999999, 3000, 0.16, 40, 7.5, -99, 9.9999999999999995e-007, NULL, 0.40000000000000002, NULL, 365.69999999999999, NULL, 5, 10, 100);
INSERT INTO public.cdy_hrzn VALUES (NULL, 'Uls_2', false, 38.46153846153846, 1, 1.6000000000000001, 12.4, 34.899999999999999, 3000, 0.16, 12.5, 57.5, -99, 9.9999999999999995e-007, NULL, 0.29999999999999999, NULL, 331.89999999999998, NULL, 5, 10, 100);
INSERT INTO public.cdy_hrzn VALUES (NULL, 'Ls3_2', false, 44.44444444444445, 1, 1.5, 16.100000000000001, 35.5, 3000, 0.16, 21, 35, -99, 9.9999999999999995e-007, NULL, 0.40000000000000002, NULL, 413.89999999999998, NULL, 5, 10, 100);
INSERT INTO public.cdy_hrzn VALUES (NULL, 'Ts4_2', false, 48.148148148148152, 1, 1.3999999999999999, 18.199999999999999, 35.399999999999999, 3000, 0.16, 30, 7.5, -99, 9.9999999999999995e-007, NULL, 0.40000000000000002, NULL, 577.5, NULL, 5, 10, 100);
INSERT INTO public.cdy_hrzn VALUES (NULL, 'Us_2', false, 38.46153846153846, 1, 1.6000000000000001, 3.7999999999999998, 32.799999999999997, 3000, 0.16, 4, 65, -99, 9.9999999999999995e-007, NULL, 0.10000000000000001, NULL, 399.5, NULL, 5, 10, 100);
INSERT INTO public.cdy_hrzn VALUES (NULL, 'Slu_2', false, 38.46153846153846, 1, 1.6000000000000001, 11.6, 33.899999999999999, 3000, 0.16, 12.5, 45, -99, 9.9999999999999995e-007, NULL, 0.29999999999999999, NULL, 465.60000000000002, NULL, 5, 10, 100);
INSERT INTO public.cdy_hrzn VALUES (NULL, 'Ls4_2', false, 44.44444444444445, 1, 1.5, 15.199999999999999, 34.399999999999999, 3000, 0.16, 21, 22.5, -99, 9.9999999999999995e-007, NULL, 0.29999999999999999, NULL, 580.5, NULL, 5, 10, 100);
INSERT INTO public.cdy_hrzn VALUES (NULL, 'St3_2', false, 44.44444444444445, 1, 1.5, 10.5, 28.899999999999999, 3000, 0.16, 21, 7.5, -99, 9.9999999999999995e-007, NULL, 0.20000000000000001, NULL, 871.29999999999995, NULL, 5, 10, 100);


--
-- TOC entry 2410 (class 0 OID 72538)
-- Dependencies: 197
-- Data for Name: cdy_madat; Type: TABLE DATA; Schema: public; Owner: -
--

INSERT INTO public.cdy_madat VALUES (307, 'demo1', 1, 0, '1990-01-01 00:00:00', 1, 12, 66.550000000000011, 121, 'N');
INSERT INTO public.cdy_madat VALUES (334, 'demo1', 1, 0, '1990-07-25 00:00:00', 6, 12, 0, 0, 'N');
INSERT INTO public.cdy_madat VALUES (308, 'demo1', 1, 0, '1992-04-01 00:00:00', 10, 10, 0, 1, 'N');
INSERT INTO public.cdy_madat VALUES (309, 'demo1', 1, 0, '1993-12-31 00:00:00', 11, 10, 0, 1, 'N');
INSERT INTO public.cdy_madat VALUES (335, 'demo1', 1, 0, '1994-05-01 00:00:00', 0, 0, 2, 20, 'N');
INSERT INTO public.cdy_madat VALUES (310, 'demo1', 1, 0, '1994-05-25 00:00:00', 1, 2, 170.3862, 417, 'N');
INSERT INTO public.cdy_madat VALUES (322, 'demo1', 1, 0, '1994-06-13 00:00:00', 4, 1, 50, 180, 'N');
INSERT INTO public.cdy_madat VALUES (311, 'demo1', 1, 0, '1994-10-15 00:00:00', 2, 2, 170.3862, 417, 'N');
INSERT INTO public.cdy_madat VALUES (336, 'demo1', 1, 0, '1994-10-25 00:00:00', 5, 2, 3, 30, 'N');
INSERT INTO public.cdy_madat VALUES (312, 'demo1', 1, 0, '1994-10-30 00:00:00', 1, 3, 309.39999999999998, 140, 'N');
INSERT INTO public.cdy_madat VALUES (323, 'demo1', 1, 0, '1995-03-20 00:00:00', 4, 7, 50, 80, 'N');
INSERT INTO public.cdy_madat VALUES (324, 'demo1', 1, 0, '1995-05-05 00:00:00', 3, 10, 500, 714, 'N');
INSERT INTO public.cdy_madat VALUES (325, 'demo1', 1, 0, '1995-05-26 00:00:00', 3, 10, 600, 857, 'N');
INSERT INTO public.cdy_madat VALUES (313, 'demo1', 1, 0, '1995-08-01 00:00:00', 2, 3, 309.39999999999998, 140, 'N');
INSERT INTO public.cdy_madat VALUES (314, 'demo1', 1, 0, '1995-10-30 00:00:00', 1, 3, 309.39999999999998, 140, 'N');
INSERT INTO public.cdy_madat VALUES (326, 'demo1', 1, 0, '1996-03-20 00:00:00', 4, 7, 50, 80, 'N');
INSERT INTO public.cdy_madat VALUES (327, 'demo1', 1, 0, '1996-05-05 00:00:00', 3, 10, 500, 714, 'N');
INSERT INTO public.cdy_madat VALUES (328, 'demo1', 1, 0, '1996-05-26 00:00:00', 3, 10, 600, 857, 'N');
INSERT INTO public.cdy_madat VALUES (315, 'demo1', 1, 0, '1996-08-01 00:00:00', 2, 3, 309.39999999999998, 140, 'N');
INSERT INTO public.cdy_madat VALUES (337, 'demo1', 1, 0, '1996-08-05 00:00:00', 5, 2, 3, 30, 'N');
INSERT INTO public.cdy_madat VALUES (316, 'demo1', 1, 0, '1997-04-01 00:00:00', 1, 13, 178.5, 35, 'N');
INSERT INTO public.cdy_madat VALUES (317, 'demo1', 1, 0, '1997-07-01 00:00:00', 9, 13, 178.5, 35, 'N');
INSERT INTO public.cdy_madat VALUES (338, 'demo1', 1, 0, '1997-07-15 00:00:00', 5, 2, 3, 30, 'N');
INSERT INTO public.cdy_madat VALUES (318, 'demo1', 1, 0, '1998-04-01 00:00:00', 1, 14, 125, 50, 'N');
INSERT INTO public.cdy_madat VALUES (329, 'demo1', 1, 0, '1998-04-20 00:00:00', 4, 2, 100, 60, 'N');
INSERT INTO public.cdy_madat VALUES (330, 'demo1', 1, 0, '1998-05-25 00:00:00', 4, 2, 100, 80, 'N');
INSERT INTO public.cdy_madat VALUES (340, 'demo1', 1, 0, '1998-06-15 00:00:00', 7, 1, 10, 10, 'N');
INSERT INTO public.cdy_madat VALUES (319, 'demo1', 1, 0, '1998-08-15 00:00:00', 2, 14, 125, 50, 'N');
INSERT INTO public.cdy_madat VALUES (339, 'demo1', 1, 0, '1999-03-15 00:00:00', 5, 2, 3, 30, 'N');
INSERT INTO public.cdy_madat VALUES (320, 'demo1', 1, 0, '1999-04-01 00:00:00', 1, 10, 19, 50, 'N');
INSERT INTO public.cdy_madat VALUES (331, 'demo1', 1, 0, '1999-04-01 00:00:00', 3, 10, 850, 1214, 'N');
INSERT INTO public.cdy_madat VALUES (332, 'demo1', 1, 0, '1999-04-05 00:00:00', 4, 4, 75, 65, 'N');
INSERT INTO public.cdy_madat VALUES (333, 'demo1', 1, 0, '1999-05-26 00:00:00', 4, 4, 75, 50, 'N');
INSERT INTO public.cdy_madat VALUES (321, 'demo1', 1, 0, '1999-10-05 00:00:00', 2, 10, 19, 50, 'N');
INSERT INTO public.cdy_madat VALUES (341, 'demo1', 1, 0, '1990-01-02 00:00:00', 4, 2, 100, 100, 'N');


--
-- TOC entry 2412 (class 0 OID 72543)
-- Dependencies: 199
-- Data for Name: cdy_mgdat; Type: TABLE DATA; Schema: public; Owner: -
--



--
-- TOC entry 2414 (class 0 OID 72549)
-- Dependencies: 201
-- Data for Name: cdy_mhdat; Type: TABLE DATA; Schema: public; Owner: -
--

INSERT INTO public.cdy_mhdat VALUES (728, 'demo1', 1, 0, '1990-01-01 00:00:00', 7, 0, 3, 2, 'Y', 'demo1 10 1990 001 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (729, 'demo1', 1, 0, '1990-01-01 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1990 001 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (730, 'demo1', 1, 0, '1990-01-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1990 031 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (731, 'demo1', 1, 0, '1990-02-28 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1990 059 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (732, 'demo1', 1, 0, '1990-03-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1990 090 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (733, 'demo1', 1, 0, '1990-04-30 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1990 120 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (734, 'demo1', 1, 0, '1990-05-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1990 151 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (735, 'demo1', 1, 0, '1990-06-30 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1990 181 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (736, 'demo1', 1, 0, '1990-07-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1990 212 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (737, 'demo1', 1, 0, '1990-08-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1990 243 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (738, 'demo1', 1, 0, '1990-09-30 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1990 273 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (739, 'demo1', 1, 0, '1990-10-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1990 304 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (740, 'demo1', 1, 0, '1990-11-30 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1990 334 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (741, 'demo1', 1, 0, '1990-12-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1990 365 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (742, 'demo1', 1, 0, '1991-01-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1991 031 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (743, 'demo1', 1, 0, '1991-02-28 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1991 059 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (744, 'demo1', 1, 0, '1991-03-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1991 090 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (745, 'demo1', 1, 0, '1991-04-30 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1991 120 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (746, 'demo1', 1, 0, '1991-05-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1991 151 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (747, 'demo1', 1, 0, '1991-06-30 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1991 181 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (748, 'demo1', 1, 0, '1991-07-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1991 212 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (749, 'demo1', 1, 0, '1991-08-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1991 243 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (750, 'demo1', 1, 0, '1991-09-30 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1991 273 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (751, 'demo1', 1, 0, '1991-10-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1991 304 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (752, 'demo1', 1, 0, '1991-11-30 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1991 334 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (753, 'demo1', 1, 0, '1991-12-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1991 365 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (754, 'demo1', 1, 0, '1992-01-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1992 031 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (755, 'demo1', 1, 0, '1992-02-29 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1992 060 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (756, 'demo1', 1, 0, '1992-03-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1992 091 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (757, 'demo1', 1, 0, '1992-04-30 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1992 121 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (758, 'demo1', 1, 0, '1992-05-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1992 152 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (759, 'demo1', 1, 0, '1992-06-30 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1992 182 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (760, 'demo1', 1, 0, '1992-07-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1992 213 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (761, 'demo1', 1, 0, '1992-08-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1992 244 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (762, 'demo1', 1, 0, '1992-09-30 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1992 274 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (763, 'demo1', 1, 0, '1992-10-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1992 305 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (764, 'demo1', 1, 0, '1992-11-30 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1992 335 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (765, 'demo1', 1, 0, '1992-12-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1992 366 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (766, 'demo1', 1, 0, '1993-01-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1993 031 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (767, 'demo1', 1, 0, '1993-02-28 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1993 059 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (768, 'demo1', 1, 0, '1993-03-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1993 090 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (769, 'demo1', 1, 0, '1993-04-30 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1993 120 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (770, 'demo1', 1, 0, '1993-05-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1993 151 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (771, 'demo1', 1, 0, '1993-06-30 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1993 181 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (772, 'demo1', 1, 0, '1993-07-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1993 212 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (773, 'demo1', 1, 0, '1993-08-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1993 243 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (774, 'demo1', 1, 0, '1993-09-30 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1993 273 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (775, 'demo1', 1, 0, '1993-10-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1993 304 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (776, 'demo1', 1, 0, '1993-11-30 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1993 334 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (777, 'demo1', 1, 0, '1993-12-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1993 365 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (778, 'demo1', 1, 0, '1994-01-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1994 031 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (779, 'demo1', 1, 0, '1994-02-28 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1994 059 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (780, 'demo1', 1, 0, '1994-03-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1994 090 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (781, 'demo1', 1, 0, '1994-04-30 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1994 120 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (782, 'demo1', 1, 0, '1994-05-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1994 151 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (783, 'demo1', 1, 0, '1994-06-30 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1994 181 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (784, 'demo1', 1, 0, '1994-07-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1994 212 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (785, 'demo1', 1, 0, '1994-08-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1994 243 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (786, 'demo1', 1, 0, '1994-09-30 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1994 273 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (787, 'demo1', 1, 0, '1994-10-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1994 304 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (788, 'demo1', 1, 0, '1994-11-30 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1994 334 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (789, 'demo1', 1, 0, '1994-12-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1994 365 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (790, 'demo1', 1, 0, '1995-01-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1995 031 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (791, 'demo1', 1, 0, '1995-02-28 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1995 059 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (792, 'demo1', 1, 0, '1995-03-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1995 090 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (793, 'demo1', 1, 0, '1995-04-30 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1995 120 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (794, 'demo1', 1, 0, '1995-05-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1995 151 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (795, 'demo1', 1, 0, '1995-06-30 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1995 181 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (796, 'demo1', 1, 0, '1995-07-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1995 212 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (797, 'demo1', 1, 0, '1995-08-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1995 243 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (798, 'demo1', 1, 0, '1995-09-30 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1995 273 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (799, 'demo1', 1, 0, '1995-10-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1995 304 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (800, 'demo1', 1, 0, '1995-11-30 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1995 334 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (801, 'demo1', 1, 0, '1995-12-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1995 365 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (802, 'demo1', 1, 0, '1996-01-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1996 031 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (803, 'demo1', 1, 0, '1996-02-29 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1996 060 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (804, 'demo1', 1, 0, '1996-03-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1996 091 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (805, 'demo1', 1, 0, '1996-04-30 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1996 121 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (806, 'demo1', 1, 0, '1996-05-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1996 152 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (807, 'demo1', 1, 0, '1996-06-30 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1996 182 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (808, 'demo1', 1, 0, '1996-07-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1996 213 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (809, 'demo1', 1, 0, '1996-08-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1996 244 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (810, 'demo1', 1, 0, '1996-09-30 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1996 274 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (811, 'demo1', 1, 0, '1996-10-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1996 305 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (812, 'demo1', 1, 0, '1996-11-30 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1996 335 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (813, 'demo1', 1, 0, '1996-12-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1996 366 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (814, 'demo1', 1, 0, '1997-01-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1997 031 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (815, 'demo1', 1, 0, '1997-02-28 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1997 059 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (816, 'demo1', 1, 0, '1997-03-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1997 090 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (817, 'demo1', 1, 0, '1997-04-30 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1997 120 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (818, 'demo1', 1, 0, '1997-05-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1997 151 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (819, 'demo1', 1, 0, '1997-06-30 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1997 181 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (820, 'demo1', 1, 0, '1997-07-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1997 212 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (821, 'demo1', 1, 0, '1997-08-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1997 243 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (822, 'demo1', 1, 0, '1997-09-30 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1997 273 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (823, 'demo1', 1, 0, '1997-10-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1997 304 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (824, 'demo1', 1, 0, '1997-11-30 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1997 334 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (825, 'demo1', 1, 0, '1997-12-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1997 365 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (826, 'demo1', 1, 0, '1998-01-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1998 031 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (827, 'demo1', 1, 0, '1998-02-28 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1998 059 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (828, 'demo1', 1, 0, '1998-03-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1998 090 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (829, 'demo1', 1, 0, '1998-04-30 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1998 120 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (830, 'demo1', 1, 0, '1998-05-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1998 151 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (831, 'demo1', 1, 0, '1998-06-30 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1998 181 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (832, 'demo1', 1, 0, '1998-07-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1998 212 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (833, 'demo1', 1, 0, '1998-08-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1998 243 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (834, 'demo1', 1, 0, '1998-09-30 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1998 273 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (835, 'demo1', 1, 0, '1998-10-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1998 304 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (836, 'demo1', 1, 0, '1998-11-30 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1998 334 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (837, 'demo1', 1, 0, '1998-12-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1998 365 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (838, 'demo1', 1, 0, '1999-01-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1999 031 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (839, 'demo1', 1, 0, '1999-02-28 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1999 059 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (840, 'demo1', 1, 0, '1999-03-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1999 090 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (841, 'demo1', 1, 0, '1999-04-30 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1999 120 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (842, 'demo1', 1, 0, '1999-05-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1999 151 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (843, 'demo1', 1, 0, '1999-06-30 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1999 181 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (844, 'demo1', 1, 0, '1999-07-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1999 212 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (845, 'demo1', 1, 0, '1999-08-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1999 243 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (846, 'demo1', 1, 0, '1999-09-30 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1999 273 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (847, 'demo1', 1, 0, '1999-10-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1999 304 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (848, 'demo1', 1, 0, '1999-11-30 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1999 334 7 0 3', 0);
INSERT INTO public.cdy_mhdat VALUES (849, 'demo1', 1, 0, '1999-12-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1999 365 7 0 3', 0);


--
-- TOC entry 2404 (class 0 OID 72508)
-- Dependencies: 190
-- Data for Name: cdy_msdat; Type: TABLE DATA; Schema: public; Owner: -
--

INSERT INTO public.cdy_msdat VALUES (729, 'demo1', 1, 0, '1990-01-01 00:00:00', 7, 0, 3, 2, 'Y', 'demo1 10 1990 001 7 0 3', 0);
INSERT INTO public.cdy_msdat VALUES (730, 'demo1', 1, 0, '1990-01-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1990 031 7 0 3', 2.0007437153416152);
INSERT INTO public.cdy_msdat VALUES (731, 'demo1', 1, 0, '1990-02-28 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1990 059 7 0 3', 2.0016851915175389);
INSERT INTO public.cdy_msdat VALUES (732, 'demo1', 1, 0, '1990-03-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1990 090 7 0 3', 2.0019104158905083);
INSERT INTO public.cdy_msdat VALUES (733, 'demo1', 1, 0, '1990-04-30 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1990 120 7 0 3', 2.0035910047823586);
INSERT INTO public.cdy_msdat VALUES (734, 'demo1', 1, 0, '1990-05-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1990 151 7 0 3', 2.0011349980919402);
INSERT INTO public.cdy_msdat VALUES (735, 'demo1', 1, 0, '1990-06-30 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1990 181 7 0 3', 1.9950505546282875);
INSERT INTO public.cdy_msdat VALUES (736, 'demo1', 1, 0, '1990-07-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1990 212 7 0 3', 1.9950505546282875);
INSERT INTO public.cdy_msdat VALUES (737, 'demo1', 1, 0, '1990-08-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1990 243 7 0 3', 1.9973917628074378);
INSERT INTO public.cdy_msdat VALUES (738, 'demo1', 1, 0, '1990-09-30 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1990 273 7 0 3', 1.9987846107660099);
INSERT INTO public.cdy_msdat VALUES (739, 'demo1', 1, 0, '1990-10-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1990 304 7 0 3', 2.0018794811995413);
INSERT INTO public.cdy_msdat VALUES (740, 'demo1', 1, 0, '1990-11-30 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1990 334 7 0 3', 2.0051874939541658);
INSERT INTO public.cdy_msdat VALUES (741, 'demo1', 1, 0, '1990-12-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1990 365 7 0 3', 2.0078148093547701);
INSERT INTO public.cdy_msdat VALUES (742, 'demo1', 1, 0, '1991-01-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1991 031 7 0 3', 2.0098512968828053);
INSERT INTO public.cdy_msdat VALUES (743, 'demo1', 1, 0, '1991-02-28 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1991 059 7 0 3', 2.0118598357392852);
INSERT INTO public.cdy_msdat VALUES (744, 'demo1', 1, 0, '1991-03-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1991 090 7 0 3', 2.012432501377075);
INSERT INTO public.cdy_msdat VALUES (745, 'demo1', 1, 0, '1991-04-30 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1991 120 7 0 3', 2.0110342974713702);
INSERT INTO public.cdy_msdat VALUES (746, 'demo1', 1, 0, '1991-05-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1991 151 7 0 3', 2.005409668941541);
INSERT INTO public.cdy_msdat VALUES (747, 'demo1', 1, 0, '1991-06-30 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1991 181 7 0 3', 2.0007811120311452);
INSERT INTO public.cdy_msdat VALUES (748, 'demo1', 1, 0, '1991-07-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1991 212 7 0 3', 1.9917846183716577);
INSERT INTO public.cdy_msdat VALUES (749, 'demo1', 1, 0, '1991-08-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1991 243 7 0 3', 1.9903048024006467);
INSERT INTO public.cdy_msdat VALUES (750, 'demo1', 1, 0, '1991-09-30 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1991 273 7 0 3', 1.9855277684422397);
INSERT INTO public.cdy_msdat VALUES (751, 'demo1', 1, 0, '1991-10-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1991 304 7 0 3', 1.9821924078556261);
INSERT INTO public.cdy_msdat VALUES (752, 'demo1', 1, 0, '1991-11-30 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1991 334 7 0 3', 1.9808428626675101);
INSERT INTO public.cdy_msdat VALUES (753, 'demo1', 1, 0, '1991-12-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1991 365 7 0 3', 1.980766456795797);
INSERT INTO public.cdy_msdat VALUES (754, 'demo1', 1, 0, '1992-01-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1992 031 7 0 3', 1.984045066832451);
INSERT INTO public.cdy_msdat VALUES (755, 'demo1', 1, 0, '1992-02-29 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1992 060 7 0 3', 1.9874396074642771);
INSERT INTO public.cdy_msdat VALUES (756, 'demo1', 1, 0, '1992-03-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1992 091 7 0 3', 1.9896718629310657);
INSERT INTO public.cdy_msdat VALUES (757, 'demo1', 1, 0, '1992-04-30 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1992 121 7 0 3', 1.9895233392087561);
INSERT INTO public.cdy_msdat VALUES (758, 'demo1', 1, 0, '1992-05-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1992 152 7 0 3', 1.9850463123048596);
INSERT INTO public.cdy_msdat VALUES (759, 'demo1', 1, 0, '1992-06-30 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1992 182 7 0 3', 1.9780646426969704);
INSERT INTO public.cdy_msdat VALUES (760, 'demo1', 1, 0, '1992-07-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1992 213 7 0 3', 1.9728578370794008);
INSERT INTO public.cdy_msdat VALUES (761, 'demo1', 1, 0, '1992-08-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1992 244 7 0 3', 1.9739099415942372);
INSERT INTO public.cdy_msdat VALUES (762, 'demo1', 1, 0, '1992-09-30 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1992 274 7 0 3', 1.9748143614293714);
INSERT INTO public.cdy_msdat VALUES (763, 'demo1', 1, 0, '1992-10-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1992 305 7 0 3', 1.9723687789325541);
INSERT INTO public.cdy_msdat VALUES (764, 'demo1', 1, 0, '1992-11-30 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1992 335 7 0 3', 1.9716659455928314);
INSERT INTO public.cdy_msdat VALUES (765, 'demo1', 1, 0, '1992-12-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1992 366 7 0 3', 1.9721442757792804);
INSERT INTO public.cdy_msdat VALUES (766, 'demo1', 1, 0, '1993-01-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1993 031 7 0 3', 1.9734347863297461);
INSERT INTO public.cdy_msdat VALUES (767, 'demo1', 1, 0, '1993-02-28 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1993 059 7 0 3', 1.9750425256542039);
INSERT INTO public.cdy_msdat VALUES (768, 'demo1', 1, 0, '1993-03-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1993 090 7 0 3', 1.9761317123583764);
INSERT INTO public.cdy_msdat VALUES (769, 'demo1', 1, 0, '1993-04-30 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1993 120 7 0 3', 1.9755651583304774);
INSERT INTO public.cdy_msdat VALUES (770, 'demo1', 1, 0, '1993-05-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1993 151 7 0 3', 1.9702621212557647);
INSERT INTO public.cdy_msdat VALUES (771, 'demo1', 1, 0, '1993-06-30 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1993 181 7 0 3', 1.9629450265605461);
INSERT INTO public.cdy_msdat VALUES (772, 'demo1', 1, 0, '1993-07-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1993 212 7 0 3', 1.962679160831545);
INSERT INTO public.cdy_msdat VALUES (773, 'demo1', 1, 0, '1993-08-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1993 243 7 0 3', 1.9605036324776617);
INSERT INTO public.cdy_msdat VALUES (774, 'demo1', 1, 0, '1993-09-30 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1993 273 7 0 3', 1.9610984986689133);
INSERT INTO public.cdy_msdat VALUES (775, 'demo1', 1, 0, '1993-10-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1993 304 7 0 3', 1.9599519848045368);
INSERT INTO public.cdy_msdat VALUES (776, 'demo1', 1, 0, '1993-11-30 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1993 334 7 0 3', 1.9596863517809613);
INSERT INTO public.cdy_msdat VALUES (777, 'demo1', 1, 0, '1993-12-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1993 365 7 0 3', 1.9605387438969721);
INSERT INTO public.cdy_msdat VALUES (778, 'demo1', 1, 0, '1994-01-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1994 031 7 0 3', 1.9622971114180086);
INSERT INTO public.cdy_msdat VALUES (779, 'demo1', 1, 0, '1994-02-28 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1994 059 7 0 3', 1.9643554737025226);
INSERT INTO public.cdy_msdat VALUES (780, 'demo1', 1, 0, '1994-03-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1994 090 7 0 3', 1.9652159626894443);
INSERT INTO public.cdy_msdat VALUES (781, 'demo1', 1, 0, '1994-04-30 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1994 120 7 0 3', 1.9635995852912502);
INSERT INTO public.cdy_msdat VALUES (782, 'demo1', 1, 0, '1994-05-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1994 151 7 0 3', 2.079066012357552);
INSERT INTO public.cdy_msdat VALUES (783, 'demo1', 1, 0, '1994-06-30 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1994 181 7 0 3', 2.1323205461727768);
INSERT INTO public.cdy_msdat VALUES (784, 'demo1', 1, 0, '1994-07-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1994 212 7 0 3', 2.1346895929977587);
INSERT INTO public.cdy_msdat VALUES (785, 'demo1', 1, 0, '1994-08-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1994 243 7 0 3', 2.1346895929977587);
INSERT INTO public.cdy_msdat VALUES (786, 'demo1', 1, 0, '1994-09-30 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1994 273 7 0 3', 2.1346895929977587);
INSERT INTO public.cdy_msdat VALUES (787, 'demo1', 1, 0, '1994-10-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1994 304 7 0 3', 2.1386925322707966);
INSERT INTO public.cdy_msdat VALUES (788, 'demo1', 1, 0, '1994-11-30 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1994 334 7 0 3', 2.1441315951523534);
INSERT INTO public.cdy_msdat VALUES (789, 'demo1', 1, 0, '1994-12-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1994 365 7 0 3', 2.1509220068461778);
INSERT INTO public.cdy_msdat VALUES (790, 'demo1', 1, 0, '1995-01-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1995 031 7 0 3', 2.1549323128133278);
INSERT INTO public.cdy_msdat VALUES (728, 'demo1', 1, 0, '1990-01-01 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1990 001 7 0 3', 1.9999999999999998);
INSERT INTO public.cdy_msdat VALUES (791, 'demo1', 1, 0, '1995-02-28 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1995 059 7 0 3', 2.1574594102025499);
INSERT INTO public.cdy_msdat VALUES (792, 'demo1', 1, 0, '1995-03-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1995 090 7 0 3', 2.157761868884323);
INSERT INTO public.cdy_msdat VALUES (793, 'demo1', 1, 0, '1995-04-30 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1995 120 7 0 3', 2.1577618688843234);
INSERT INTO public.cdy_msdat VALUES (794, 'demo1', 1, 0, '1995-05-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1995 151 7 0 3', 2.157761868884323);
INSERT INTO public.cdy_msdat VALUES (795, 'demo1', 1, 0, '1995-06-30 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1995 181 7 0 3', 2.157761868884323);
INSERT INTO public.cdy_msdat VALUES (796, 'demo1', 1, 0, '1995-07-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1995 212 7 0 3', 2.1620158910319827);
INSERT INTO public.cdy_msdat VALUES (797, 'demo1', 1, 0, '1995-08-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1995 243 7 0 3', 2.1635863218753353);
INSERT INTO public.cdy_msdat VALUES (798, 'demo1', 1, 0, '1995-09-30 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1995 273 7 0 3', 2.1699279574145041);
INSERT INTO public.cdy_msdat VALUES (799, 'demo1', 1, 0, '1995-10-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1995 304 7 0 3', 2.1694050371014804);
INSERT INTO public.cdy_msdat VALUES (800, 'demo1', 1, 0, '1995-11-30 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1995 334 7 0 3', 2.1647685487234773);
INSERT INTO public.cdy_msdat VALUES (801, 'demo1', 1, 0, '1995-12-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1995 365 7 0 3', 2.1582225900753729);
INSERT INTO public.cdy_msdat VALUES (802, 'demo1', 1, 0, '1996-01-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1996 031 7 0 3', 2.1532743309891447);
INSERT INTO public.cdy_msdat VALUES (803, 'demo1', 1, 0, '1996-02-29 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1996 060 7 0 3', 2.1504946644472405);
INSERT INTO public.cdy_msdat VALUES (804, 'demo1', 1, 0, '1996-03-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1996 091 7 0 3', 2.15049466444724);
INSERT INTO public.cdy_msdat VALUES (805, 'demo1', 1, 0, '1996-04-30 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1996 121 7 0 3', 2.1504946644472391);
INSERT INTO public.cdy_msdat VALUES (806, 'demo1', 1, 0, '1996-05-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1996 152 7 0 3', 2.1504946644472391);
INSERT INTO public.cdy_msdat VALUES (807, 'demo1', 1, 0, '1996-06-30 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1996 182 7 0 3', 2.1504946644472391);
INSERT INTO public.cdy_msdat VALUES (808, 'demo1', 1, 0, '1996-07-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1996 213 7 0 3', 2.1529911775833059);
INSERT INTO public.cdy_msdat VALUES (809, 'demo1', 1, 0, '1996-08-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1996 244 7 0 3', 2.1539429729340633);
INSERT INTO public.cdy_msdat VALUES (810, 'demo1', 1, 0, '1996-09-30 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1996 274 7 0 3', 2.1523356254757173);
INSERT INTO public.cdy_msdat VALUES (811, 'demo1', 1, 0, '1996-10-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1996 305 7 0 3', 2.1490737571947118);
INSERT INTO public.cdy_msdat VALUES (812, 'demo1', 1, 0, '1996-11-30 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1996 335 7 0 3', 2.1453557834475112);
INSERT INTO public.cdy_msdat VALUES (813, 'demo1', 1, 0, '1996-12-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1996 366 7 0 3', 2.1408852582408144);
INSERT INTO public.cdy_msdat VALUES (814, 'demo1', 1, 0, '1997-01-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1997 031 7 0 3', 2.1355468626142176);
INSERT INTO public.cdy_msdat VALUES (815, 'demo1', 1, 0, '1997-02-28 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1997 059 7 0 3', 2.1291746929849178);
INSERT INTO public.cdy_msdat VALUES (816, 'demo1', 1, 0, '1997-03-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1997 090 7 0 3', 2.1192598779086);
INSERT INTO public.cdy_msdat VALUES (817, 'demo1', 1, 0, '1997-04-30 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1997 120 7 0 3', 2.1079966177828076);
INSERT INTO public.cdy_msdat VALUES (818, 'demo1', 1, 0, '1997-05-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1997 151 7 0 3', 2.0921993954434357);
INSERT INTO public.cdy_msdat VALUES (819, 'demo1', 1, 0, '1997-06-30 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1997 181 7 0 3', 2.074387795598192);
INSERT INTO public.cdy_msdat VALUES (820, 'demo1', 1, 0, '1997-07-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1997 212 7 0 3', 2.0654224245331392);
INSERT INTO public.cdy_msdat VALUES (821, 'demo1', 1, 0, '1997-08-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1997 243 7 0 3', 2.0625532434647011);
INSERT INTO public.cdy_msdat VALUES (822, 'demo1', 1, 0, '1997-09-30 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1997 273 7 0 3', 2.054951341942191);
INSERT INTO public.cdy_msdat VALUES (823, 'demo1', 1, 0, '1997-10-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1997 304 7 0 3', 2.0484748173635681);
INSERT INTO public.cdy_msdat VALUES (824, 'demo1', 1, 0, '1997-11-30 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1997 334 7 0 3', 2.0420759159746686);
INSERT INTO public.cdy_msdat VALUES (825, 'demo1', 1, 0, '1997-12-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1997 365 7 0 3', 2.0381630515930911);
INSERT INTO public.cdy_msdat VALUES (826, 'demo1', 1, 0, '1998-01-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1998 031 7 0 3', 2.0333132665576592);
INSERT INTO public.cdy_msdat VALUES (827, 'demo1', 1, 0, '1998-02-28 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1998 059 7 0 3', 2.0288832578632419);
INSERT INTO public.cdy_msdat VALUES (828, 'demo1', 1, 0, '1998-03-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1998 090 7 0 3', 2.0238750599908779);
INSERT INTO public.cdy_msdat VALUES (829, 'demo1', 1, 0, '1998-04-30 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1998 120 7 0 3', 2.0143744306970035);
INSERT INTO public.cdy_msdat VALUES (830, 'demo1', 1, 0, '1998-05-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1998 151 7 0 3', 2.0013637540904443);
INSERT INTO public.cdy_msdat VALUES (831, 'demo1', 1, 0, '1998-06-30 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1998 181 7 0 3', 1.9882348864330777);
INSERT INTO public.cdy_msdat VALUES (832, 'demo1', 1, 0, '1998-07-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1998 212 7 0 3', 1.985712854603576);
INSERT INTO public.cdy_msdat VALUES (833, 'demo1', 1, 0, '1998-08-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1998 243 7 0 3', 1.9858740422153993);
INSERT INTO public.cdy_msdat VALUES (834, 'demo1', 1, 0, '1998-09-30 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1998 273 7 0 3', 1.9858582142005279);
INSERT INTO public.cdy_msdat VALUES (835, 'demo1', 1, 0, '1998-10-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1998 304 7 0 3', 1.9848145926870024);
INSERT INTO public.cdy_msdat VALUES (836, 'demo1', 1, 0, '1998-11-30 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1998 334 7 0 3', 1.9830560815935747);
INSERT INTO public.cdy_msdat VALUES (837, 'demo1', 1, 0, '1998-12-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1998 365 7 0 3', 1.9811166839606991);
INSERT INTO public.cdy_msdat VALUES (838, 'demo1', 1, 0, '1999-01-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1999 031 7 0 3', 1.979473799289752);
INSERT INTO public.cdy_msdat VALUES (839, 'demo1', 1, 0, '1999-02-28 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1999 059 7 0 3', 1.9765597155023853);
INSERT INTO public.cdy_msdat VALUES (840, 'demo1', 1, 0, '1999-03-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1999 090 7 0 3', 1.9717827064098199);
INSERT INTO public.cdy_msdat VALUES (841, 'demo1', 1, 0, '1999-04-30 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1999 120 7 0 3', 1.9716591747804337);
INSERT INTO public.cdy_msdat VALUES (842, 'demo1', 1, 0, '1999-05-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1999 151 7 0 3', 1.9668906751804707);
INSERT INTO public.cdy_msdat VALUES (843, 'demo1', 1, 0, '1999-06-30 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1999 181 7 0 3', 1.9668906751804702);
INSERT INTO public.cdy_msdat VALUES (844, 'demo1', 1, 0, '1999-07-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1999 212 7 0 3', 1.9668906751804702);
INSERT INTO public.cdy_msdat VALUES (845, 'demo1', 1, 0, '1999-08-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1999 243 7 0 3', 1.9668906751804702);
INSERT INTO public.cdy_msdat VALUES (846, 'demo1', 1, 0, '1999-09-30 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1999 273 7 0 3', 1.9668906751804702);
INSERT INTO public.cdy_msdat VALUES (847, 'demo1', 1, 0, '1999-10-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1999 304 7 0 3', 1.9689356698696063);
INSERT INTO public.cdy_msdat VALUES (848, 'demo1', 1, 0, '1999-11-30 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1999 334 7 0 3', 1.9683649238226621);
INSERT INTO public.cdy_msdat VALUES (849, 'demo1', 1, 0, '1999-12-31 00:00:00', 7, 0, 3, -99, 'N', 'demo1 10 1999 365 7 0 3', 1.9668265459978433);


--
-- TOC entry 2405 (class 0 OID 72513)
-- Dependencies: 191
-- Data for Name: cdy_mvdat; Type: TABLE DATA; Schema: public; Owner: -
--

INSERT INTO public.cdy_mvdat VALUES (1, 'demo1', 1, 0, '1990-01-01 00:00:00', 7, 0, 3, 2, 0, 0, NULL, 'Y');


--
-- TOC entry 2406 (class 0 OID 72516)
-- Dependencies: 192
-- Data for Name: cdy_prop; Type: TABLE DATA; Schema: public; Owner: -
--

INSERT INTO public.cdy_prop VALUES (1, 'nitrate N', 'NO3_N', 'nitrogen', 'profil', 'su', 'kg/ha', true);
INSERT INTO public.cdy_prop VALUES (2, 'decomposable SOC', 'SOC_dec', 'SOM', 'profil', 'su', 'kg/ha', false);
INSERT INTO public.cdy_prop VALUES (3, 'amonium N', 'AMN_N', 'nitrogen', 'profil', 'su', 'kg/ha', true);
INSERT INTO public.cdy_prop VALUES (4, 'mineralN', 'MIN_N', 'nitrogen', 'profil', 'su', 'kg/ha', false);
INSERT INTO public.cdy_prop VALUES (6, 'hotwater soluble C', 'C_HWS', 'SOM', 'saeule', 'su', 'mg/100g', false);
INSERT INTO public.cdy_prop VALUES (7, 'SoilOrganicCarbon', 'Corg_conc', 'SOM', 'saeule', '--', 'M%', true);
INSERT INTO public.cdy_prop VALUES (28, 'SOC_stock', 'SOC_stock', 'SOM', 'saeule', '--', 'kg/ha', true);
INSERT INTO public.cdy_prop VALUES (8, 'soil water', 'soil_w', 'environment', 'profil', 'su', 'mm', false);
INSERT INTO public.cdy_prop VALUES (9, 'soil temperature', 'soil_temp', 'environment', 'profil', 'av', 'C', true);
INSERT INTO public.cdy_prop VALUES (10, 'SoilMoisture(VOL)', 'soilmoistV', 'environment', 'profil', 'av', 'm/m', true);
INSERT INTO public.cdy_prop VALUES (11, 'SoilMoisture(M)', 'soilmoistM', 'environment', 'profil', 'av', 'M%', false);
INSERT INTO public.cdy_prop VALUES (23, 'CrepFlx', 'CrepFlx', 'SOM', 'single', '--', 'kg/ha/d', false);
INSERT INTO public.cdy_prop VALUES (25, 'transpiration', 'transp', 'environment', 'single', '--', 'mm', false);
INSERT INTO public.cdy_prop VALUES (24, 'seepage to groundw', 'GW_seep', 'environment', 'single', '--', 'mm', false);
INSERT INTO public.cdy_prop VALUES (45, 'ActRootDpth', 'actRtDpth', 'crop', 'single', '--', 'dm', false);
INSERT INTO public.cdy_prop VALUES (46, 'ActCropCover', 'actCover', 'crop', 'single', '--', '-', false);
INSERT INTO public.cdy_prop VALUES (47, 'PotEvapTransp', 'PET', 'environment', 'single', '--', 'mm', false);
INSERT INTO public.cdy_prop VALUES (48, 'corrected Rain', 'corRain', 'environment', 'single', '--', 'mm', false);
INSERT INTO public.cdy_prop VALUES (50, 'NinMulchLayer', 'NtMulch', 'nitrogen', 'single', '--', 'kg/ha', false);
INSERT INTO public.cdy_prop VALUES (51, 'CinMulchLayer', 'C_Mulch', 'SOM', 'single', '--', 'kg/ha', false);
INSERT INTO public.cdy_prop VALUES (52, 'BiolActTime', 'BAT', 'environment', 'saeule', 'av', 'd', false);
INSERT INTO public.cdy_prop VALUES (53, 'act.EvapoTransp', 'AET', 'environment', 'single', '--', 'mm', false);
INSERT INTO public.cdy_prop VALUES (54, 'water flux from laye', 'Wflux_Lay', 'environment', 'profil', 'fx', 'mm', false);
INSERT INTO public.cdy_prop VALUES (55, 'Nit.N.Conc', 'NO3N_Conc', 'nitrogen', 'profil', '--', 'mgN/L', false);
INSERT INTO public.cdy_prop VALUES (56, 'N upt from layer', 'Nupt_Lay', 'crop', 'profil', 'su', 'kg/ha', false);
INSERT INTO public.cdy_prop VALUES (57, 'W upt from layer', 'Wupt_Lay', 'crop', 'profil', 'su', 'mm', false);
INSERT INTO public.cdy_prop VALUES (58, 'N flux at layer', 'Nflux_Lay', 'nitrogen', 'profil', 'fx', 'kg/ha', false);
INSERT INTO public.cdy_prop VALUES (69, 'YldNofftake ', 'YldNoff', 'crop', 'single', '--', 'kg/ha', false);
INSERT INTO public.cdy_prop VALUES (70, 'DrainWaterFlow', 'drainW', 'environment', 'single', '--', 'mm', false);
INSERT INTO public.cdy_prop VALUES (72, 'DrainNitFlow', 'drainN', 'nitrogen', 'single', '--', 'kg/ha', false);
INSERT INTO public.cdy_prop VALUES (26, 'DM-Yld-Mp ', 'DMYldMp', 'crop', 'single', '--', 'kg/ha', false);
INSERT INTO public.cdy_prop VALUES (27, 'DM-Yld-byP ', 'DMYldbyP', 'crop', 'single', '--', 'kg/ha', false);
INSERT INTO public.cdy_prop VALUES (29, 'N-Yld-Mp ', 'NYldMp', 'crop', 'single', '--', 'kg/ha', false);
INSERT INTO public.cdy_prop VALUES (30, 'N-Yld-byP ', 'NYldbyP', 'crop', 'single', '--', 'kg/ha', false);
INSERT INTO public.cdy_prop VALUES (31, 'C-Yld-Mp ', 'CYldMp', 'crop', 'single', '--', 'kg/ha', false);
INSERT INTO public.cdy_prop VALUES (32, 'C-Yld-byP ', 'CYldbyP', 'crop', 'single', '--', 'kg/ha', false);
INSERT INTO public.cdy_prop VALUES (20, 'N_yield', 'N_yield', 'crop', 'single', '--', 'kg/ha', false);
INSERT INTO public.cdy_prop VALUES (21, 'NatYldByp', 'NatYldByp', 'crop', 'single', '--', 'dt/ha', false);
INSERT INTO public.cdy_prop VALUES (22, 'NatYldMP', 'NatYldMP', 'crop', 'single', '--', 'dt/ha', false);
INSERT INTO public.cdy_prop VALUES (35, 'crop DC state ', 'crop DC', 'crop', 'single', '--', '-', false);
INSERT INTO public.cdy_prop VALUES (49, 'LeafAreaIndex ', 'LAI', 'crop', 'single', '--', 'kg/ha', false);
INSERT INTO public.cdy_prop VALUES (36, 'actDM_MainProd ', 'aDM_MnPr', 'crop', 'single', '--', 'kg/ha', false);
INSERT INTO public.cdy_prop VALUES (37, 'actDM_ByProd ', 'aDM_ByPr', 'crop', 'single', '--', 'kg/ha', false);
INSERT INTO public.cdy_prop VALUES (59, 'actDMcrop ', 'aCropDM', 'crop', 'single', '--', 'kg/ha', false);
INSERT INTO public.cdy_prop VALUES (76, 'NGasLoss', 'NGasLoss', 'crop', 'single', '--', 'kg/ha/d', false);
INSERT INTO public.cdy_prop VALUES (61, 'field capacity', 'FieldCap', 'soil structure', 'profil', 'av', 'm/m', false);
INSERT INTO public.cdy_prop VALUES (62, 'perm. wilting point', 'PWP', 'soil structure', 'profil', 'av', 'Vm/m', false);
INSERT INTO public.cdy_prop VALUES (63, 'bulk density', 'BD', 'soil structure', 'profil', 'av', 'g/cm', false);
INSERT INTO public.cdy_prop VALUES (64, 'particle density', 'PD', 'soil structure', 'profil', 'av', 'g/cm', false);
INSERT INTO public.cdy_prop VALUES (65, 'pore volume', 'P_VOL', 'soil structure', 'profil', 'av', 'm/m', false);
INSERT INTO public.cdy_prop VALUES (99, 'el_resistivity', 'elRes', 'environment', 'profil', '--', 'S', false);


--
-- TOC entry 2423 (class 0 OID 72593)
-- Dependencies: 210
-- Data for Name: cdy_prop_lst; Type: TABLE DATA; Schema: public; Owner: -
--

INSERT INTO public.cdy_prop_lst VALUES (3, 'demo_obs1');


--
-- TOC entry 2425 (class 0 OID 72598)
-- Dependencies: 212
-- Data for Name: cdy_prop_sel; Type: TABLE DATA; Schema: public; Owner: -
--

INSERT INTO public.cdy_prop_sel VALUES (3, 3, 4, 7, 0, 3, '1990-01-01 00:00:00', '1999-12-31 00:00:00');


--
-- TOC entry 2427 (class 0 OID 72603)
-- Dependencies: 214
-- Data for Name: cdy_rslt; Type: TABLE DATA; Schema: public; Owner: -
--

INSERT INTO public.cdy_rslt VALUES (1, 139, 'C_MIN', '', NULL, NULL, 1, 'kg/ha', 'C_Mineralisierung');
INSERT INTO public.cdy_rslt VALUES (2, 145, 'N-deposition', '', NULL, NULL, 1, 'kg/ha', 'N-Deposition');
INSERT INTO public.cdy_rslt VALUES (3, 997, 'N2O', '', NULL, NULL, 1, 'kg/ha', 'N2O-emission');
INSERT INTO public.cdy_rslt VALUES (5, 707, 'PVOL_30 (SSD)', '', NULL, NULL, 2, 'm/m', 'PVOL_30 (SSD)');
INSERT INTO public.cdy_rslt VALUES (6, 706, 'PWP_30 (SSD)', '', NULL, NULL, 2, 'm/m', 'PWP_30 (SSD)');
INSERT INTO public.cdy_rslt VALUES (8, 704, 'TRD_30 (SSD)', '', NULL, NULL, 2, 'g/cm', 'TRD_30 (SSD)');
INSERT INTO public.cdy_rslt VALUES (9, 701, 'DD_AP_val (SSD)', '', NULL, NULL, 2, 'g/cm', 'DD_AP_val (SSD)');
INSERT INTO public.cdy_rslt VALUES (10, 103, 'GWB', '', NULL, NULL, 1, 'mm', 'Grundwasserneubildung');
INSERT INTO public.cdy_rslt VALUES (37, 135, 'C_REP_SUM', '', NULL, NULL, 1, 'kg/ha', 'C-REP-Fluss');
INSERT INTO public.cdy_rslt VALUES (38, 119, 'NI_MIN', '', NULL, NULL, 1, 'kg/ha', 'N Input mineralisch');
INSERT INTO public.cdy_rslt VALUES (39, 120, 'NI_ORG', '', NULL, NULL, 1, 'kg/ha', 'N Input organisch');
INSERT INTO public.cdy_rslt VALUES (4, 104, 'BAT', '*', NULL, NULL, 1, 'd', 'Biol.Act.Time');
INSERT INTO public.cdy_rslt VALUES (7, 705, 'FCAP_30 (SSD)', '*', NULL, NULL, 2, 'm/m', 'FCAP_30 (SSD)');
INSERT INTO public.cdy_rslt VALUES (11, 143, 'WDF', '', NULL, NULL, 1, 'mm', 'kum.WasserFlussDrainage');
INSERT INTO public.cdy_rslt VALUES (17, 102, 'N_leach', '', NULL, NULL, 1, 'kg/ha', 'N-Auswaschung');
INSERT INTO public.cdy_rslt VALUES (18, 106, 'N_gfv', '', NULL, NULL, 1, 'kg/ha', 'gasf. N-Verluste');
INSERT INTO public.cdy_rslt VALUES (19, 107, 'N_MIN_S', '', NULL, NULL, 1, 'kg/ha', 'N-Mineralisierung');
INSERT INTO public.cdy_rslt VALUES (20, 90, 'C_AOS', '', NULL, NULL, 0, 'dt/ha', 'C in AOS (0-30cm)');
INSERT INTO public.cdy_rslt VALUES (21, 91, 'C_SOS', '', NULL, NULL, 0, 'dt/ha', 'C in SOS (0-30cm)');
INSERT INTO public.cdy_rslt VALUES (22, 92, 'CDEC', '', NULL, NULL, 0, 'kg/ha', 'umsetzbarer Kohlenstoff (0-30cm)');
INSERT INTO public.cdy_rslt VALUES (23, 95, 'CLTS', '', NULL, NULL, 0, 'kg/ha', 'stabilisierter Kohlenstoff (0-30cm)');
INSERT INTO public.cdy_rslt VALUES (24, 93, 'COPS', '', NULL, NULL, 0, 'kg/ha', 'OPS Kohlenstoff');
INSERT INTO public.cdy_rslt VALUES (25, 109, 'BW_0_10', '', NULL, NULL, 0, 'mm', 'Bodenwasser 0-100cm');
INSERT INTO public.cdy_rslt VALUES (40, 121, 'NI_SYM', '', NULL, NULL, 1, 'kg/ha', 'N Input symbiontisch');
INSERT INTO public.cdy_rslt VALUES (41, 122, 'N_UPT', '', NULL, NULL, 1, 'kg/ha', 'N-Aufnahme in Bestand');
INSERT INTO public.cdy_rslt VALUES (42, 123, 'NH4VT', '', NULL, NULL, 1, 'kg/ha', 'NH4-Verlust gasfrmig');
INSERT INTO public.cdy_rslt VALUES (43, 124, 'NSUMSYS', '', NULL, NULL, 0, 'kg/ha', 'N-Summe im System');
INSERT INTO public.cdy_rslt VALUES (44, 125, 'N_M_SUMSYS', '', NULL, NULL, 0, 'kg/ha', 'Summe N-min im System');
INSERT INTO public.cdy_rslt VALUES (45, 127, 'M_BEDGRD', '', NULL, NULL, 2, 'd', 'plant cover degree');
INSERT INTO public.cdy_rslt VALUES (46, 100, 'NIED_K', '', NULL, NULL, 1, 'mm', 'Summe korr.Niederschlag');
INSERT INTO public.cdy_rslt VALUES (47, 129, 'PET_SUM', '', NULL, NULL, 1, 'mm', 'Summe Pot. Evapotr.');
INSERT INTO public.cdy_rslt VALUES (48, 142, 'AET_SUM', '', NULL, NULL, 1, 'mm', 'Summe akt. Evapotr.');
INSERT INTO public.cdy_rslt VALUES (49, 130, 'S_TRANSP', '', NULL, NULL, 1, 'mm', 'Summe Transpiration');
INSERT INTO public.cdy_rslt VALUES (50, 140, 'WSAS', '', NULL, NULL, 0, 'mm', 'Water storage above soil ');
INSERT INTO public.cdy_rslt VALUES (51, 201, 'N_off_crop', '', NULL, NULL, 1, 'kg/ha', 'N-Offtake by Crop');
INSERT INTO public.cdy_rslt VALUES (52, 202, 'N_upt_crop', '', NULL, NULL, 1, 'kg/ha', 'N-Uptake by Crop');
INSERT INTO public.cdy_rslt VALUES (53, 203, 'Nupt_BPR', '', NULL, NULL, 1, 'kg/ha', 'by-product: N-Uptake');
INSERT INTO public.cdy_rslt VALUES (54, 204, 'Nupt_CrRes', '', NULL, NULL, 1, 'kg/ha', 'crop residues: N-Uptake');
INSERT INTO public.cdy_rslt VALUES (55, 0, 'dummy', '', NULL, NULL, 1, '?', 'dummy');
INSERT INTO public.cdy_rslt VALUES (12, 144, 'NDF', '', NULL, NULL, 1, 'kg/ha', 'kum.StickstoffFlussDrainage');
INSERT INTO public.cdy_rslt VALUES (13, 101, 'WBIL', '', NULL, NULL, 1, 'mm', 'klim. Wasserbilanz');
INSERT INTO public.cdy_rslt VALUES (14, 146, 'GLOB', '', NULL, NULL, 2, '??', 'globRad');
INSERT INTO public.cdy_rslt VALUES (15, 141, 'LTEMP', '', NULL, NULL, 2, 'C', 'Lufttemp');
INSERT INTO public.cdy_rslt VALUES (16, 128, 'NIED', '', NULL, NULL, 1, 'mm', 'Niederschlag');
INSERT INTO public.cdy_rslt VALUES (26, 108, 'BW_0_3', '', NULL, NULL, 0, 'mm', 'Bodenwasser 0-30cm');
INSERT INTO public.cdy_rslt VALUES (27, 150, 'Auto_BW', '', NULL, NULL, 0, 'mm', 'Automatische Bewaesserung');
INSERT INTO public.cdy_rslt VALUES (28, 110, 'BT_0_3', '', NULL, NULL, 2, 'C', 'Bodentemperatur 0-30cm');
INSERT INTO public.cdy_rslt VALUES (29, 111, 'N_OBFL', '', NULL, NULL, 0, 'kg/ha', 'N auf Bodenoberflche');
INSERT INTO public.cdy_rslt VALUES (30, 112, 'NMIN_0_3', '', NULL, NULL, 0, 'kg/ha', 'Nmin 0-30cm');
INSERT INTO public.cdy_rslt VALUES (31, 113, 'NMIN_3_6', '', NULL, NULL, 0, 'kg/ha', 'Nmin 30-60cm');
INSERT INTO public.cdy_rslt VALUES (32, 114, 'NMIN_6_10', '', NULL, NULL, 0, 'kg/ha', 'Nmin 60-100cm');
INSERT INTO public.cdy_rslt VALUES (33, 115, 'BW_PRFL', '', NULL, NULL, 0, 'mm', 'Bodenwasser (0-smax)');
INSERT INTO public.cdy_rslt VALUES (34, 116, 'NMIN_PRFL', '', NULL, NULL, 0, 'kg/ha', 'min-N im Boden (0-smax)');
INSERT INTO public.cdy_rslt VALUES (35, 117, 'N_OPS', '', NULL, NULL, 0, 'kg/ha', 'N in OPS');
INSERT INTO public.cdy_rslt VALUES (36, 118, 'N_OBS', '', NULL, NULL, 0, 'kg/ha', 'N in OBS');


--
-- TOC entry 2441 (class 0 OID 72660)
-- Dependencies: 228
-- Data for Name: cdy_rslt_lst; Type: TABLE DATA; Schema: public; Owner: -
--

INSERT INTO public.cdy_rslt_lst VALUES (1, 'demo_res1', 4);


--
-- TOC entry 2443 (class 0 OID 72665)
-- Dependencies: 230
-- Data for Name: cdy_rslt_sel; Type: TABLE DATA; Schema: public; Owner: -
--

INSERT INTO public.cdy_rslt_sel VALUES (2, 1, 104);
INSERT INTO public.cdy_rslt_sel VALUES (3, 1, 705);


--
-- TOC entry 2429 (class 0 OID 72609)
-- Dependencies: 216
-- Data for Name: cdy_sldat; Type: TABLE DATA; Schema: public; Owner: -
--



--
-- TOC entry 2431 (class 0 OID 72617)
-- Dependencies: 218
-- Data for Name: cdyacrdp; Type: TABLE DATA; Schema: public; Owner: -
--



--
-- TOC entry 2432 (class 0 OID 72620)
-- Dependencies: 219
-- Data for Name: cdyacrdviprm; Type: TABLE DATA; Schema: public; Owner: -
--



--
-- TOC entry 2433 (class 0 OID 72623)
-- Dependencies: 220
-- Data for Name: cdyacrop; Type: TABLE DATA; Schema: public; Owner: -
--



--
-- TOC entry 2418 (class 0 OID 72559)
-- Dependencies: 205
-- Data for Name: cdyaktion; Type: TABLE DATA; Schema: public; Owner: -
--


INSERT INTO public.cdyaktion ("action",action_id,unit_intensity,def_intensity,def_addval) VALUES ('ploughing up (fallowing)      ',0,'cm','till. depth','dm');
INSERT INTO public.cdyaktion ("action",action_id,unit_intensity,def_intensity,def_addval) VALUES ('emergence                     ',1,'dt/ha','yield goal','N-uptake');
INSERT INTO public.cdyaktion ("action",action_id,unit_intensity,def_intensity,def_addval) VALUES ('harvest, crop res. removed    ',2,'dt/ha','yield (main)','N-uptake');
INSERT INTO public.cdyaktion ("action",action_id,unit_intensity,def_intensity,def_addval) VALUES ('organic manure                ',3,'dtFM/ha','OM-amount','C-input');
INSERT INTO public.cdyaktion ("action",action_id,unit_intensity,def_intensity,def_addval) VALUES ('mineral N fertilizer          ',4,'kg N/ha','N-Input','NH4-content');
INSERT INTO public.cdyaktion ("action",action_id,unit_intensity,def_intensity,def_addval) VALUES ('soil tillage                  ',5,'cm','till. depth','dm');
INSERT INTO public.cdyaktion ("action",action_id,unit_intensity,def_intensity,def_addval) VALUES ('cutting grassland             ',6,'dt/ha','yield','*');
INSERT INTO public.cdyaktion ("action",action_id,unit_intensity,def_intensity,def_addval) VALUES ('irrigation                    ',7,'mm','water amount','mm');
INSERT INTO public.cdyaktion ("action",action_id,unit_intensity,def_intensity,def_addval) VALUES ('pesticide app.                ',8,'kg/ha','amount','not used');
INSERT INTO public.cdyaktion ("action",action_id,unit_intensity,def_intensity,def_addval) VALUES ('harvest, crop res. ploughed   ',9,'dt/ha','yield (main)','N-uptake');
INSERT INTO public.cdyaktion ("action",action_id,unit_intensity,def_intensity,def_addval) VALUES ('start grazing (pasture)       ',10,'GV','cattle units','*');
INSERT INTO public.cdyaktion ("action",action_id,unit_intensity,def_intensity,def_addval) VALUES ('removal from pasture          ',11,'GV','cattle units','*');
INSERT INTO public.cdyaktion ("action",action_id,unit_intensity,def_intensity,def_addval) VALUES ('(sowing)                      ',12,'dt/ha','yield goal','N-uptake');



--
-- TOC entry 2434 (class 0 OID 72626)
-- Dependencies: 221
-- Data for Name: cdyaparm; Type: TABLE DATA; Schema: public; Owner: -
--

INSERT INTO public.cdyaparm VALUES (1, 'NORM', 'NORM', 0.025000000000000001, 0.65000000000000002, 4, 0.94999999999999996, 1, 40, 0, 0.56699997186660767, 0.0055599999999999998, 0.00032000000000000003, 0.00089999999999999998, 3.0000000000000001e-005, 0.040000000000000001, 8.5, 0, 1, 2, 0.70999997854232788, 0.17000000178813934);


--
-- TOC entry 2435 (class 0 OID 72634)
-- Dependencies: 222
-- Data for Name: cdybtprm; Type: TABLE DATA; Schema: public; Owner: -
--

INSERT INTO public.cdybtprm VALUES ('FK_0', 1, 0.50999999046325684, 'std');
INSERT INTO public.cdybtprm VALUES ('FK_1', 1, 0.23999999463558197, 'std');
INSERT INTO public.cdybtprm VALUES ('FK_2', 1, 0.31999999284744263, 'std');
INSERT INTO public.cdybtprm VALUES ('_CON', 1, 0.7839999794960022, 'std');
INSERT INTO public.cdybtprm VALUES ('_COS', 1, -0.43900001049041748, 'std');
INSERT INTO public.cdybtprm VALUES ('_SIN', 1, -0.14900000393390656, 'std');
INSERT INTO public.cdybtprm VALUES ('2COS', 1, -0.22100000083446503, 'std');
INSERT INTO public.cdybtprm VALUES ('2SIN', 1, -0.20000000298023224, 'std');
INSERT INTO public.cdybtprm VALUES ('F_BT', 2, 0.54100000858306885, 'high_1');
INSERT INTO public.cdybtprm VALUES ('F_LT', 2, 0.36000001430511475, 'high_1');
INSERT INTO public.cdybtprm VALUES ('F_GS', 2, 0.51700001955032349, 'high_1');
INSERT INTO public.cdybtprm VALUES ('E_GS', 2, 0.5559999942779541, 'high_1');
INSERT INTO public.cdybtprm VALUES ('F_BG', 2, -0.0017800000496208668, 'high_1');
INSERT INTO public.cdybtprm VALUES ('F_ET', 2, -0.23299999535083771, 'high_1');
INSERT INTO public.cdybtprm VALUES ('F_BT', 2, 0.61699998378753662, 'low_1');
INSERT INTO public.cdybtprm VALUES ('F_LT', 2, 0.18500000238418579, 'low_1');
INSERT INTO public.cdybtprm VALUES ('F_GS', 2, 0.13300000131130219, 'low_1');
INSERT INTO public.cdybtprm VALUES ('E_GS', 2, 0.5559999942779541, 'low_1');
INSERT INTO public.cdybtprm VALUES ('F_BG', 2, 0.4699999988079071, 'low_1');
INSERT INTO public.cdybtprm VALUES ('F_ET', 2, 0, 'low_1');
INSERT INTO public.cdybtprm VALUES ('F_BT', 3, 0.54100000858306885, 'high_1');
INSERT INTO public.cdybtprm VALUES ('F_LT', 3, 0.36000001430511475, 'high_1');
INSERT INTO public.cdybtprm VALUES ('F_GS', 3, 0.51700001955032349, 'high_1');
INSERT INTO public.cdybtprm VALUES ('E_GS', 3, 0.5559999942779541, 'high_1');
INSERT INTO public.cdybtprm VALUES ('F_BG', 3, -0.0017800000496208668, 'high_1');
INSERT INTO public.cdybtprm VALUES ('F_ET', 3, -0.23299999535083771, 'high_1');
INSERT INTO public.cdybtprm VALUES ('AMP', 1, 3.9000000953674316, 'std');
INSERT INTO public.cdybtprm VALUES ('PHA', 1, 240, 'std');


--
-- TOC entry 2436 (class 0 OID 72639)
-- Dependencies: 223
-- Data for Name: cdycl2pr; Type: TABLE DATA; Schema: public; Owner: -
--



--
-- TOC entry 2437 (class 0 OID 72642)
-- Dependencies: 224
-- Data for Name: cdydevpa; Type: TABLE DATA; Schema: public; Owner: -
--



--
-- TOC entry 2438 (class 0 OID 72652)
-- Dependencies: 225
-- Data for Name: cdyirrgdev; Type: TABLE DATA; Schema: public; Owner: -
--

INSERT INTO public.cdyirrgdev VALUES (1, 'duese               ', 1, NULL);


--
-- TOC entry 2419 (class 0 OID 72566)
-- Dependencies: 206
-- Data for Name: cdylives; Type: TABLE DATA; Schema: public; Owner: -
--

INSERT INTO public.cdylives VALUES (10, 'cattle', 1.7400000095367432, 47, 0.30799999833106995, NULL);


--
-- TOC entry 2420 (class 0 OID 72573)
-- Dependencies: 207
-- Data for Name: cdymindg; Type: TABLE DATA; Schema: public; Owner: -
--

INSERT INTO public.cdymindg VALUES (1, 'calcium ammonium nitrate', 50, NULL);
INSERT INTO public.cdymindg VALUES (2, 'ammonium phosphate', 100, NULL);
INSERT INTO public.cdymindg VALUES (3, 'AH.L', 100, NULL);
INSERT INTO public.cdymindg VALUES (4, 'ammonium sulfate', 75, NULL);
INSERT INTO public.cdymindg VALUES (5, 'urea', 100, NULL);
INSERT INTO public.cdymindg VALUES (6, 'calcium nitrate', 0, NULL);
INSERT INTO public.cdymindg VALUES (7, 'ammonium nitrate', 50, NULL);
INSERT INTO public.cdymindg VALUES (8, 'sulphur acid ammonia', 100, NULL);


--
-- TOC entry 2421 (class 0 OID 72576)
-- Dependencies: 208
-- Data for Name: cdyopspa; Type: TABLE DATA; Schema: public; Owner: -
--

INSERT INTO public.cdyopspa VALUES (6, NULL, 'sugar beet leaves', NULL, true, 0.20000000000000001, 0.5, 20.199999999999999, 20.199999999999999, 0.18099999999999999, 0.36899999999999999, 0, NULL);
INSERT INTO public.cdyopspa VALUES (9, NULL, 'green manuring(6%C)', NULL, true, 0.14999999999999999, 0.34999999999999998, 14.4, 12, 0.14000000000000001, 0.42899999999999999, 0.20000000000000001, NULL);
INSERT INTO public.cdyopspa VALUES (10, NULL, 'slurry(2%TM)', NULL, true, 0.10000000000000001, 0.59999999999999998, 10, 10, 0.02, 0.34999999999999998, 0, NULL);
INSERT INTO public.cdyopspa VALUES (11, NULL, 'straw (rape)', NULL, true, 0.20000000000000001, 0.40000000000000002, 35, 35, 0.84999999999999998, 0.33000000000000002, 0, NULL);
INSERT INTO public.cdyopspa VALUES (19, NULL, 'sugar beet', NULL, false, 0.40000000000000002, 0.34999999999999998, 20, 20, 1, 1, 0, NULL);
INSERT INTO public.cdyopspa VALUES (22, NULL, 'potato', NULL, false, 0.20000000000000001, 0.45000000000000001, 40, 40, 1, 1, 0, NULL);
INSERT INTO public.cdyopspa VALUES (26, NULL, 'spring barley', NULL, false, 0.10000000000000001, 0.55000000000000004, 60, 60, 1, 1, 0, NULL);
INSERT INTO public.cdyopspa VALUES (28, NULL, 'winter barley', NULL, false, 0.10000000000000001, 0.55000000000000004, 50, 50, 1, 1, 0, NULL);
INSERT INTO public.cdyopspa VALUES (29, NULL, 'winter rye', NULL, false, 0.10000000000000001, 0.55000000000000004, 50, 50, 1, 1, 0, NULL);
INSERT INTO public.cdyopspa VALUES (30, NULL, 'winter wheat', NULL, false, 0.10000000000000001, 0.55000000000000004, 50, 50, 1, 1, 0, NULL);
INSERT INTO public.cdyopspa VALUES (31, NULL, 'maize for silage', NULL, false, 0.10000000000000001, 0.57999999999999996, 45, 45, 1, 1, 0, NULL);
INSERT INTO public.cdyopspa VALUES (35, NULL, 'grass', NULL, false, 0.20000000000000001, 0.65000000000000002, 40, 40, 1, 1, 0, NULL);
INSERT INTO public.cdyopspa VALUES (37, NULL, 'carrot', NULL, false, 0.20000000000000001, 0.65000000000000002, 20, 30, 1, 1, 0, NULL);
INSERT INTO public.cdyopspa VALUES (38, NULL, 'leek', NULL, false, 0.20000000000000001, 0.65000000000000002, 12, 30, 1, 1, 0, NULL);
INSERT INTO public.cdyopspa VALUES (40, NULL, 'winter rape', NULL, false, 0.29999999999999999, 0.40000000000000002, 30, 30, 1, 1, 0, NULL);
INSERT INTO public.cdyopspa VALUES (42, NULL, 'grain maize', NULL, false, 0.10000000000000001, 0.62, 50, 50, 1, 1, 0, NULL);
INSERT INTO public.cdyopspa VALUES (44, NULL, 'durum wheat', NULL, false, 0.10000000000000001, 0.55000000000000004, 60, 60, 1, 1, 0, NULL);
INSERT INTO public.cdyopspa VALUES (45, NULL, 'pea old EWR', NULL, false, 0.14999999999999999, 0.55000000000000004, 50, 50, 1, 1, 0, NULL);
INSERT INTO public.cdyopspa VALUES (47, 92, 'Rind_Exkremente', NULL, true, 0.10000000000000001, 0.59999999999999998, 17.5, 7, 0.14000000000000001, 0.32000000000000001, 1.5, NULL);
INSERT INTO public.cdyopspa VALUES (49, NULL, 'straw (w. wheat)', NULL, true, 0.14999999999999999, 0.54000000000000004, 114, 114, 0.90100000000000002, 0.46300000000000002, 0, NULL);
INSERT INTO public.cdyopspa VALUES (50, NULL, 'straw (sp. barley)', NULL, true, 0.14999999999999999, 0.80000000000000004, 91, 91, 0.81799999999999995, 0.45700000000000002, 0, NULL);
INSERT INTO public.cdyopspa VALUES (55, NULL, 'Gras', NULL, false, 0.20000000000000001, 0.55000000000000004, 35, 35, 1, 0, 0, NULL);
INSERT INTO public.cdyopspa VALUES (56, NULL, 'straw (w. barley)', NULL, true, 0.14999999999999999, 0.69999999999999996, 93, 93, 0.56999999999999995, 0.42999999999999999, 0, NULL);
INSERT INTO public.cdyopspa VALUES (74, NULL, 'triticale', NULL, false, 0.14999999999999999, 0.55000000000000004, 50, 50, 1, 1, 0, NULL);
INSERT INTO public.cdyopspa VALUES (77, NULL, 'grass grown up', NULL, true, 0.14999999999999999, 0.5, 25.850000000000001, 23.5, 0.247, 0.45200000000000001, 0.10000000000000001, NULL);
INSERT INTO public.cdyopspa VALUES (84, NULL, 'winter barley', NULL, false, 0.14999999999999999, 0.59999999999999998, 65, 65, 1, 1, 0, NULL);
INSERT INTO public.cdyopspa VALUES (91, 0, 'gras/fallow', NULL, false, 0.20000000000000001, 0.55000000000000004, 35, 35, 1, 1, 0, NULL);
INSERT INTO public.cdyopspa VALUES (92, 0, 'stubble crop', NULL, false, 0.40000000000000002, 0.59999999999999998, 18, 18, 1, 0, 0, NULL);
INSERT INTO public.cdyopspa VALUES (101, NULL, 'pea', NULL, false, 0.40000000000000002, 0.59999999999999998, 30, 30, 1, 1, 0, NULL);
INSERT INTO public.cdyopspa VALUES (156, NULL, 'Schweineguelle', NULL, true, 0.10000000000000001, 0.59999999999999998, 12.857100000000001, 4.5, 0.050000000000000003, 0.40999999999999998, 1.8571, NULL);
INSERT INTO public.cdyopspa VALUES (157, NULL, 'Rinderguelle', NULL, true, 0.10000000000000001, 0.59999999999999998, 16, 8, 0.10000000000000001, 0.38, 1, NULL);
INSERT INTO public.cdyopspa VALUES (158, NULL, 'Mischguelle (Schwein+Rind)', NULL, true, 0.10000000000000001, 0.59999999999999998, 14.7059, 6.25, 0.074999999999999997, 0.39000000000000001, 1.3529, NULL);
INSERT INTO public.cdyopspa VALUES (161, NULL, 'Rindermist', NULL, true, 0.10000000000000001, 0.59999999999999998, 19.351900000000001, 15.4815, 0.22, 0.38, 0.25, NULL);
INSERT INTO public.cdyopspa VALUES (182, NULL, 'Mischmist (Schwein+Rind)', NULL, true, 0.10000000000000001, 0.59999999999999998, 15.8634, 12.2941, 0.22, 0.38, 0.2903, NULL);
INSERT INTO public.cdyopspa VALUES (183, NULL, 'Hhnchenmist', NULL, true, 0.10000000000000001, 0.59999999999999998, 11.483499999999999, 7.4642999999999997, 0.55000000000000004, 0.38, 0.53849999999999998, NULL);
INSERT INTO public.cdyopspa VALUES (184, NULL, 'Putenmist', NULL, true, 0.10000000000000001, 0.59999999999999998, 13.979900000000001, 9.0869999999999997, 0.55000000000000004, 0.38, 0.53849999999999998, NULL);
INSERT INTO public.cdyopspa VALUES (211, NULL, 'Huehnertrockenkot', NULL, true, 0.10000000000000001, 0.59999999999999998, 8.7410999999999994, 5.2446000000000002, 0.55000000000000004, 0.26700000000000002, 0.66669999999999996, NULL);
INSERT INTO public.cdyopspa VALUES (212, NULL, 'Kompost', NULL, true, 0.050000000000000003, 0.65000000000000002, 16.84210526, 16, 0.64000000000000001, 0.20999999999999999, 0.052631578999999998, NULL);
INSERT INTO public.cdyopspa VALUES (213, NULL, 'Nassklrschlamm', NULL, true, 0.20000000000000001, 0.40000000000000002, 5.3597000000000001, 4.8076999999999996, 0.050000000000000003, 0.25, 0.1148, NULL);
INSERT INTO public.cdyopspa VALUES (214, NULL, 'Kalklrschlamm', NULL, true, 0.20000000000000001, 0.40000000000000002, 7.8651, 7.5269000000000004, 0.34999999999999998, 0.20000000000000001, 0.044900000000000002, NULL);
INSERT INTO public.cdyopspa VALUES (218, NULL, 'Rinderjauche', NULL, true, 0.10000000000000001, 0.59999999999999998, 16.666699999999999, 1.6667000000000001, 0.02, 0.25, 9, NULL);
INSERT INTO public.cdyopspa VALUES (219, NULL, 'Kartoffelfruchtwasser', NULL, true, 0.20000000000000001, 0.45000000000000001, 10.0601, 8.048, 0.040000000000000001, 0.33500000000000002, 0.25, NULL);
INSERT INTO public.cdyopspa VALUES (222, NULL, 'Gruenroggen (plough. up)', NULL, true, 0.14999999999999999, 0.34999999999999998, 14, 14, 0.14000000000000001, 0.42899999999999999, 0.10000000000000001, NULL);
INSERT INTO public.cdyopspa VALUES (224, NULL, 'Gruenraps (plough. up)', NULL, true, 0.14999999999999999, 0.34999999999999998, 15, 15, 0.14000000000000001, 0.42899999999999999, 0.10000000000000001, NULL);
INSERT INTO public.cdyopspa VALUES (359, NULL, 'pea EWR roots', NULL, false, 0.34999999999999998, 0.5, 20, 20, 1, 1, 0, NULL);
INSERT INTO public.cdyopspa VALUES (362, NULL, 'straw grain maize', NULL, true, 0.10000000000000001, 0.62, 60, 60, 0.85999999999999999, 0.44, 0, NULL);
INSERT INTO public.cdyopspa VALUES (365, NULL, 'leaves sugar beet', NULL, true, 0.20000000000000001, 0.65000000000000002, 19.800000000000001, 18, 0.17999999999999999, 0.35999999999999999, 0.10000000000000001, NULL);
INSERT INTO public.cdyopspa VALUES (366, NULL, 'straw rape', NULL, true, 0.20000000000000001, 0.46000000000000002, 43, 43, 0.81000000000000005, 0.44, 0, NULL);
INSERT INTO public.cdyopspa VALUES (367, NULL, 'straw w. barley', NULL, true, 0.14999999999999999, 0.5, 85, 85, 0.80000000000000004, 0.42999999999999999, 0, NULL);
INSERT INTO public.cdyopspa VALUES (368, NULL, 'straw w. rye', NULL, true, 0.14999999999999999, 0.5, 85, 85, 0.80000000000000004, 0.44, 0, NULL);
INSERT INTO public.cdyopspa VALUES (369, NULL, 'straw triticale', NULL, true, 0.14999999999999999, 0.5, 90, 90, 0.85999999999999999, 0.44, 0, NULL);
INSERT INTO public.cdyopspa VALUES (377, NULL, 'alfalfa cut', NULL, true, 0.20000000000000001, 0.40000000000000002, 15.4, 14, 0.20000000000000001, 0.41999999999999998, 0.10000000000000001, NULL);
INSERT INTO public.cdyopspa VALUES (378, NULL, 'grass (Weidelgras)', NULL, true, 0.14999999999999999, 0.5, 20.899999999999999, 19, 0.22, 0.41499999999999998, 0.10000000000000001, NULL);
INSERT INTO public.cdyopspa VALUES (386, NULL, 'clover-grass', NULL, false, 0.25, 0.40000000000000002, 23.5, 23.5, 1, 1, 0, NULL);
INSERT INTO public.cdyopspa VALUES (407, NULL, 'grass-clover (75:25)', NULL, false, 0.26000000000000001, 0.51000000000000001, 30.800000000000001, 30.800000000000001, 1, 1, 0, NULL);
INSERT INTO public.cdyopspa VALUES (409, 0, 'straw pea', NULL, true, 0.29999999999999999, 0.45000000000000001, 38, 38, 0.85999999999999999, 0.46000000000000002, 0, NULL);
INSERT INTO public.cdyopspa VALUES (530, 0, 'straw (corn)', NULL, true, 0.14999999999999999, 0.45000000000000001, 60, 60, 0.85999999999999999, 0.39500000000000002, 0, NULL);


--
-- TOC entry 2422 (class 0 OID 72579)
-- Dependencies: 209
-- Data for Name: cdypflan; Type: TABLE DATA; Schema: public; Owner: -
--

INSERT INTO public.cdypflan VALUES (1, 0.538,  'Sugar Beet', 'Zuckerruebe', 'Sugar Beet', 'Beta vulgaris', 1, 'CANDY_S', 1.3899999999999999, 1, 2.3599999999999999, 195, 0, 0, 18, 8, 87, 70, 0, 37, 1, 54, 0.34000000000000002, 0.072700000000000001, 0.025000000000000001, 0, 19, 9, NULL, NULL, NULL, 174, 0.89999997615814198, 6, NULL, NULL);
INSERT INTO public.cdypflan VALUES (2, 0.4086, 'potato', 'Kartoffel', 'Potato', 'Solanum tuberosum', 1, 'CANDY_S', 1.25, 1, 2.0899999999999999, 179, 0, 0, 8, 6, 50, 50, 14, 14, 1, 38, 10.710000000000001, 0.091509999999999994, 0.025000000000000001, 0, 22, 9, NULL, NULL, NULL, 161, 0.30000001192092901, NULL, NULL, NULL);
INSERT INTO public.cdypflan VALUES (3, 2.21,  'winter wheat', 'Winterweizen', 'Winter Wheat', 'Triticum aestivum', 2, 'CANDY_S', 1.47, 2, 1.22, 165, 0, 0, 18, 6, 72, 90, 30, 14, 1, 119, 15.029999999999999, 0.077039999999999997, 0.025000000000000001, 1000, 30, 9, NULL, NULL, NULL, 163, 0.80000001192092896, 49, NULL, NULL);
INSERT INTO public.cdypflan VALUES (4, 0.32,  'onion (leek)', 'Zwiebel (Lauch)', 'Onion (Leek)', 'Allium cepa (All. Porrum)', 1, 'CANDY_S', 0.5, 1, 3.5, 180, 0, 0, 10, 10, 130, 50, 0, 30, 0.69999999999999996, 100, 5.1900000000000004, 0.41999999999999998, 0.025000000000000001, 0, 38, 9, NULL, NULL, NULL, NULL, 0.30000001192092901, NULL, NULL, NULL);
INSERT INTO public.cdypflan VALUES (5, 4.609,  'winter rape-seed', 'Winterraps', 'Winter Rape', 'Brassica napus', 2, 'CANDY_S', 0.80000000000000004, 2, 1.8, 140, 0, 0, 16, 6, 90, 160, 45, 21, 1, 100, 10.824, 0.055039999999999999, 0.025000000000000001, 0, 40, 9, NULL, NULL, NULL, 170, 1.79999995231628, 366, NULL, NULL);
INSERT INTO public.cdypflan VALUES (6, 2.28, 'grain-maize', 'Koernermais', 'Maize Grain', 'Zea mays', 1, 'CANDY_S', 1, 1, 3.0299999999999998, 185, 0, 0, 16, 5, 80, 200, 30, 28, 1, 50, 15.603999999999999, 0.031300000000000001, 0.025000000000000001, 0, 42, 9, NULL, NULL, NULL, 171, 1, 362, NULL, NULL);
INSERT INTO public.cdypflan VALUES (7, 2,  'winter barley', 'Wintergerste', 'Winter Barley', 'Hordeum vulgare', 2, 'CANDY_S', 0.80000000000000004, 2, 2.0899999999999999, 160, 0, 0, 16, 5.5, 103, 80, 30, 28, 1, 88, 15.029999999999999, 0.085139999999999993, 0.025000000000000001, 0, 28, 9, NULL, NULL, NULL, 166, 0.69999998807907104, 56, NULL, NULL);
INSERT INTO public.cdypflan VALUES (8, 2.1, 'winter triticale ', 'Tritikale', 'Triticale', 'Triticale', 2, 'CANDY_S', 0.80000000000000004, 2, 1.26, 165, 0, 0, 19, 5.5, 108, 100, 30, 21, 1, 85, 13.185, 0.081089999999999995, 0.025000000000000001, 0, 74, 9, NULL, NULL, NULL, 169, 0.89999997615814198, 369, NULL, NULL);
INSERT INTO public.cdypflan VALUES (9, 0.13, 'carrot', 'Moehre', 'Carrot', 'Daucus carota', 1, 'CANDY_S', 1, 1, 1, 60, 0, 0, 2, 30, 50, 30, 40, 13, 0.5, 60, 23, 0, 0.25, 0, 37, 9, NULL, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO public.cdypflan VALUES (10, 0.38,   'maize silo 0.38', 'Silomais', 'Maize Silo', 'Zea mays', 1, 'CANDY_S', 1, 1, 3.2000000000000002, 132, 0, 0, 16, 5, 72, 200, 0, 28, 1, 50, 23.100000000000001, 0.0292, 0.025000000000000001, 0, 31, 9, NULL, NULL, NULL, 172, 1, NULL, NULL, NULL);
INSERT INTO public.cdypflan VALUES (11, 2.51,  'spring wheat', 'Sommerweizen', 'Spring Wheat', '(Triticum durum)', 1, 'CANDY_S', 0.84999999999999998, 1, 3, 153, 0, 0, 12, 6, 66, 65, 30, 30, 1, 79, 10.26, 0.057299999999999997, 0.025000000000000001, 0, 44, 9, NULL, NULL, NULL, 164, 0.80000001192092896, 49, NULL, NULL);
INSERT INTO public.cdypflan VALUES (12, 0.55,  'permanent grassland', 'Grasland', 'Grassland', NULL, 5, 'CDYDGRN', 0.80000000000000004, 3, 1.5, 254, 1, 0, 4, 6, 65, 12, 0, 30, 0.69999999999999996, 57, 80, 0, 0.025000000000000001, 0, 35, 77, 0.20000000000000001, 600, 1500, 180, NULL, NULL, NULL, NULL);
INSERT INTO public.cdypflan VALUES (13, 5.1,   'pea', 'Erbse', 'Pea', 'Pisum sativum', 3, 'CANDY_S', 1, 1, 2.6600000000000001, 108, 0.40000000000000002, 0.20000000000000001, 12, 6, 65, 90, 30, 37, 1, 54, 15.1, 0.0349, 0.25, 0, 45, 9, NULL, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO public.cdypflan VALUES (14, 2.5,  'spring barley', 'Sommergerste', 'spring barley', 'Hordeum vulgare', 1, 'CANDY_S', 1.3500000000000001, 1, 3.0299999999999998, 153, 0, 0, 12, 6, 66, 65, 30, 40, 1, 79, 10.32, 0.069199999999999998, 0.25, 0, 26, 9, NULL, NULL, NULL, 168, 1, 50, NULL, NULL);
INSERT INTO public.cdypflan VALUES (15, 2.10,  'winter rye', 'Winterroggen', 'winter rye', 'Secale cereale', 2, 'CANDY_S', 0.80000000000000004, 2, 1.3, 165, 0, 0, 17, 5.5, 65, 100, 30, 16, 1, 84, 10.484999999999999, 0.086800000000000002, 0.25, 0, 29, 9, NULL, NULL, NULL, 165, 0, 368, NULL, NULL);
INSERT INTO public.cdypflan VALUES (16, 0.40,  'fallow (perennial)', 'Brache', 'Fallow', NULL, 5, 'CANDY_S', 1, 3, 1.5, 254, 0, 0, 13, 5, 65, 40, 0, 30, 0.59999999999999998, 54, 50, 0, 0.025000000000000001, 0, 35, 91, NULL, NULL, NULL, 178, NULL, NULL, NULL, NULL);
INSERT INTO public.cdypflan VALUES (17, 3.4,  'phacelia', 'Phacelia', 'phacelia', 'Phacelia tanacet', 2, 'ZALF_ZF', 0.80000000000000004, 1, 1.3, 120, 0, 0, 12, 6, 50, 50, 0, 1, 0.69999999999999996, 14, 20, 0, 0.014999999999999999, 0, 40, 9, 0, 0, 0, 0, NULL, 0, NULL, NULL);


--
-- TOC entry 2439 (class 0 OID 72655)
-- Dependencies: 226
-- Data for Name: cdyprclass; Type: TABLE DATA; Schema: public; Owner: -
--



--
-- TOC entry 2445 (class 0 OID 72670)
-- Dependencies: 232
-- Data for Name: cdyssdpa; Type: TABLE DATA; Schema: public; Owner: -
--



--
-- TOC entry 2446 (class 0 OID 72673)
-- Dependencies: 233
-- Data for Name: cdytilldev; Type: TABLE DATA; Schema: public; Owner: -
--

INSERT INTO public.cdytilldev VALUES (0, 'not defined', 0, NULL);
INSERT INTO public.cdytilldev VALUES (1, 'unspez', 1, NULL);
INSERT INTO public.cdytilldev VALUES (2, 'plough', 0.69999998807907104, NULL);
INSERT INTO public.cdytilldev VALUES (3, 'harrow/cultivator', 1, NULL);



--
-- TOC entry 2447 (class 0 OID 72723)
-- Dependencies: 242
-- Data for Name: parm_int; Type: TABLE DATA; Schema: public; Owner: -
--



--
-- TOC entry 2449 (class 0 OID 72728)
-- Dependencies: 244
-- Data for Name: profile; Type: TABLE DATA; Schema: public; Owner: -
--

INSERT INTO public.profile VALUES ('Ls2', 3, 'Ls2_1');
INSERT INTO public.profile VALUES ('Ls2', 20, 'Ls2_2');
INSERT INTO public.profile VALUES ('Ls3', 3, 'Ls3_1');
INSERT INTO public.profile VALUES ('Ls3', 20, 'Ls3_2');
INSERT INTO public.profile VALUES ('Ls4', 3, 'Ls4_1');
INSERT INTO public.profile VALUES ('Ls4', 20, 'Ls4_2');
INSERT INTO public.profile VALUES ('Lt2', 3, 'Lt2_1');
INSERT INTO public.profile VALUES ('Lt2', 20, 'Lt2_2');
INSERT INTO public.profile VALUES ('Lt3', 3, 'Lt3_1');
INSERT INTO public.profile VALUES ('Lt3', 20, 'Lt3_2');
INSERT INTO public.profile VALUES ('Lts', 3, 'Lts_1');
INSERT INTO public.profile VALUES ('Lts', 20, 'Lts_2');
INSERT INTO public.profile VALUES ('Lu', 3, 'Lu_1');
INSERT INTO public.profile VALUES ('Lu', 20, 'Lu_2');
INSERT INTO public.profile VALUES ('Sl2', 3, 'Sl2_1');
INSERT INTO public.profile VALUES ('Sl2', 20, 'Sl2_2');
INSERT INTO public.profile VALUES ('Sl3', 3, 'Sl3_1');
INSERT INTO public.profile VALUES ('Sl3', 20, 'Sl3_2');
INSERT INTO public.profile VALUES ('Sl4', 3, 'Sl4_1');
INSERT INTO public.profile VALUES ('Sl4', 20, 'Sl4_2');
INSERT INTO public.profile VALUES ('Slu', 3, 'Slu_1');
INSERT INTO public.profile VALUES ('Slu', 20, 'Slu_2');
INSERT INTO public.profile VALUES ('Ss', 3, 'Ss_1');
INSERT INTO public.profile VALUES ('Ss', 20, 'Ss_2');
INSERT INTO public.profile VALUES ('St2', 3, 'St2_1');
INSERT INTO public.profile VALUES ('St2', 20, 'St2_2');
INSERT INTO public.profile VALUES ('St3', 3, 'St3_1');
INSERT INTO public.profile VALUES ('St3', 20, 'St3_2');
INSERT INTO public.profile VALUES ('Su2', 3, 'Su2_1');
INSERT INTO public.profile VALUES ('Su2', 20, 'Su2_2');
INSERT INTO public.profile VALUES ('Su3', 3, 'Su3_1');
INSERT INTO public.profile VALUES ('Su3', 20, 'Su3_2');
INSERT INTO public.profile VALUES ('Su4', 3, 'Su4_1');
INSERT INTO public.profile VALUES ('Su4', 20, 'Su4_2');
INSERT INTO public.profile VALUES ('Tl', 3, 'Tl_1');
INSERT INTO public.profile VALUES ('Tl', 20, 'Tl_2');
INSERT INTO public.profile VALUES ('Ts2', 3, 'Ts2_1');
INSERT INTO public.profile VALUES ('Ts2', 20, 'Ts2_2');
INSERT INTO public.profile VALUES ('Ts3', 3, 'Ts3_1');
INSERT INTO public.profile VALUES ('Ts3', 20, 'Ts3_2');
INSERT INTO public.profile VALUES ('Ts4', 3, 'Ts4_1');
INSERT INTO public.profile VALUES ('Ts4', 20, 'Ts4_2');
INSERT INTO public.profile VALUES ('Tt', 3, 'Tt_1');
INSERT INTO public.profile VALUES ('Tt', 20, 'Tt_2');
INSERT INTO public.profile VALUES ('Tu2', 3, 'Tu2_1');
INSERT INTO public.profile VALUES ('Tu2', 20, 'Tu2_2');
INSERT INTO public.profile VALUES ('Tu3', 3, 'Tu3_1');
INSERT INTO public.profile VALUES ('Tu3', 20, 'Tu3_2');
INSERT INTO public.profile VALUES ('Tu4', 3, 'Tu4_1');
INSERT INTO public.profile VALUES ('Tu4', 20, 'Tu4_2');
INSERT INTO public.profile VALUES ('Uls', 3, 'Uls_1');
INSERT INTO public.profile VALUES ('Uls', 20, 'Uls_2');
INSERT INTO public.profile VALUES ('Us', 3, 'Us_1');
INSERT INTO public.profile VALUES ('Us', 20, 'Us_2');
INSERT INTO public.profile VALUES ('Ut2', 3, 'Ut2_1');
INSERT INTO public.profile VALUES ('Ut2', 20, 'Ut2_2');
INSERT INTO public.profile VALUES ('Ut3', 3, 'Ut3_1');
INSERT INTO public.profile VALUES ('Ut3', 20, 'Ut3_2');
INSERT INTO public.profile VALUES ('Ut4', 3, 'Ut4_1');
INSERT INTO public.profile VALUES ('Ut4', 20, 'Ut4_2');
INSERT INTO public.profile VALUES ('Uu', 3, 'Uu_1');
INSERT INTO public.profile VALUES ('Uu', 20, 'Uu_2');


--
-- TOC entry 2452 (class 0 OID 72753)
-- Dependencies: 247
-- Data for Name: rs_demo1; Type: TABLE DATA; Schema: public; Owner: -
--

INSERT INTO public.rs_demo1 VALUES (253, '1990-01-31 00:00:00', 104, 10, 0.61271281508224529);
INSERT INTO public.rs_demo1 VALUES (254, '1990-01-31 00:00:00', 705, 10, 0.40131021257655197);
INSERT INTO public.rs_demo1 VALUES (255, '1990-02-28 00:00:00', 104, 10, 0.63150196215275012);
INSERT INTO public.rs_demo1 VALUES (256, '1990-02-28 00:00:00', 705, 10, 0.40136655699782653);
INSERT INTO public.rs_demo1 VALUES (257, '1990-03-31 00:00:00', 104, 10, 0.15206611671673614);
INSERT INTO public.rs_demo1 VALUES (258, '1990-03-31 00:00:00', 705, 10, 0.40136500545083209);
INSERT INTO public.rs_demo1 VALUES (259, '1990-04-30 00:00:00', 104, 10, 2.689500646784075);
INSERT INTO public.rs_demo1 VALUES (260, '1990-04-30 00:00:00', 705, 10, 0.40136109625719996);
INSERT INTO public.rs_demo1 VALUES (261, '1990-05-31 00:00:00', 104, 10, 8.4920023249244281);
INSERT INTO public.rs_demo1 VALUES (262, '1990-05-31 00:00:00', 705, 10, 0.40135941625099397);
INSERT INTO public.rs_demo1 VALUES (263, '1990-06-30 00:00:00', 104, 10, 10.732027970004001);
INSERT INTO public.rs_demo1 VALUES (264, '1990-06-30 00:00:00', 705, 10, 0.40138188430429894);
INSERT INTO public.rs_demo1 VALUES (265, '1990-07-31 00:00:00', 104, 10, 0);
INSERT INTO public.rs_demo1 VALUES (266, '1990-07-31 00:00:00', 705, 10, 0.40139830038525415);
INSERT INTO public.rs_demo1 VALUES (267, '1990-08-31 00:00:00', 104, 10, 2.4934709162909203);
INSERT INTO public.rs_demo1 VALUES (268, '1990-08-31 00:00:00', 705, 10, 0.40139229811092569);
INSERT INTO public.rs_demo1 VALUES (269, '1990-09-30 00:00:00', 104, 10, 2.0325317952185635);
INSERT INTO public.rs_demo1 VALUES (270, '1990-09-30 00:00:00', 705, 10, 0.40138342075542999);
INSERT INTO public.rs_demo1 VALUES (271, '1990-10-31 00:00:00', 104, 10, 3.149490014995461);
INSERT INTO public.rs_demo1 VALUES (272, '1990-10-31 00:00:00', 705, 10, 0.40137290192309538);
INSERT INTO public.rs_demo1 VALUES (273, '1990-11-30 00:00:00', 104, 10, 3.9149924555281475);
INSERT INTO public.rs_demo1 VALUES (274, '1990-11-30 00:00:00', 705, 10, 0.40135719742299619);
INSERT INTO public.rs_demo1 VALUES (275, '1990-12-31 00:00:00', 104, 10, 3.2033663063612203);
INSERT INTO public.rs_demo1 VALUES (276, '1990-12-31 00:00:00', 705, 10, 0.40134202818592429);
INSERT INTO public.rs_demo1 VALUES (277, '1991-01-31 00:00:00', 104, 10, 3.8339644841265397);
INSERT INTO public.rs_demo1 VALUES (278, '1991-01-31 00:00:00', 705, 10, 0.40133034538818702);
INSERT INTO public.rs_demo1 VALUES (279, '1991-02-28 00:00:00', 104, 10, 4.449955979282727);
INSERT INTO public.rs_demo1 VALUES (280, '1991-02-28 00:00:00', 705, 10, 0.40132031841053079);
INSERT INTO public.rs_demo1 VALUES (281, '1991-03-31 00:00:00', 104, 10, 6.0357057294858034);
INSERT INTO public.rs_demo1 VALUES (282, '1991-03-31 00:00:00', 705, 10, 0.40131393355587519);
INSERT INTO public.rs_demo1 VALUES (283, '1991-04-30 00:00:00', 104, 10, 6.3278259089639164);
INSERT INTO public.rs_demo1 VALUES (284, '1991-04-30 00:00:00', 705, 10, 0.40131628021993215);
INSERT INTO public.rs_demo1 VALUES (285, '1991-05-31 00:00:00', 104, 10, 10.842826392050137);
INSERT INTO public.rs_demo1 VALUES (286, '1991-05-31 00:00:00', 705, 10, 0.40133311375931308);
INSERT INTO public.rs_demo1 VALUES (287, '1991-06-30 00:00:00', 104, 10, 8.6472269182523416);
INSERT INTO public.rs_demo1 VALUES (288, '1991-06-30 00:00:00', 705, 10, 0.40136456829187944);
INSERT INTO public.rs_demo1 VALUES (289, '1991-07-31 00:00:00', 104, 10, 13.467795883749677);
INSERT INTO public.rs_demo1 VALUES (290, '1991-07-31 00:00:00', 705, 10, 0.40139385022524676);
INSERT INTO public.rs_demo1 VALUES (291, '1991-08-31 00:00:00', 104, 10, 4.7943728241093844);
INSERT INTO public.rs_demo1 VALUES (292, '1991-08-31 00:00:00', 705, 10, 0.40141932142936859);
INSERT INTO public.rs_demo1 VALUES (293, '1991-09-30 00:00:00', 104, 10, 10.21797192157192);
INSERT INTO public.rs_demo1 VALUES (294, '1991-09-30 00:00:00', 705, 10, 0.40143353760014833);
INSERT INTO public.rs_demo1 VALUES (295, '1991-10-31 00:00:00', 104, 10, 7.9213566007070852);
INSERT INTO public.rs_demo1 VALUES (296, '1991-10-31 00:00:00', 705, 10, 0.4014554939038299);
INSERT INTO public.rs_demo1 VALUES (297, '1991-11-30 00:00:00', 104, 10, 5.5839111449561072);
INSERT INTO public.rs_demo1 VALUES (298, '1991-11-30 00:00:00', 705, 10, 0.40146689769596927);
INSERT INTO public.rs_demo1 VALUES (299, '1991-12-31 00:00:00', 104, 10, 3.019678986626162);
INSERT INTO public.rs_demo1 VALUES (300, '1991-12-31 00:00:00', 705, 10, 0.4014698192413485);
INSERT INTO public.rs_demo1 VALUES (301, '1992-01-31 00:00:00', 104, 10, 1.0217545986322947);
INSERT INTO public.rs_demo1 VALUES (302, '1992-01-31 00:00:00', 705, 10, 0.40146216304582999);
INSERT INTO public.rs_demo1 VALUES (303, '1992-02-29 00:00:00', 104, 10, 0.77215745612278774);
INSERT INTO public.rs_demo1 VALUES (304, '1992-02-29 00:00:00', 705, 10, 0.40144945711443719);
INSERT INTO public.rs_demo1 VALUES (305, '1992-03-31 00:00:00', 104, 10, 4.9715814009120933);
INSERT INTO public.rs_demo1 VALUES (306, '1992-03-31 00:00:00', 705, 10, 0.40142717891552937);
INSERT INTO public.rs_demo1 VALUES (307, '1992-04-30 00:00:00', 104, 10, 8.0050922486460134);
INSERT INTO public.rs_demo1 VALUES (308, '1992-04-30 00:00:00', 705, 10, 0.40142589073022644);
INSERT INTO public.rs_demo1 VALUES (309, '1992-05-31 00:00:00', 104, 10, 11.269314006486031);
INSERT INTO public.rs_demo1 VALUES (310, '1992-05-31 00:00:00', 705, 10, 0.40143665416486318);
INSERT INTO public.rs_demo1 VALUES (311, '1992-06-30 00:00:00', 104, 10, 12.917729064577149);
INSERT INTO public.rs_demo1 VALUES (312, '1992-06-30 00:00:00', 705, 10, 0.40146570862005204);
INSERT INTO public.rs_demo1 VALUES (313, '1992-07-31 00:00:00', 104, 10, 10.655573545591952);
INSERT INTO public.rs_demo1 VALUES (314, '1992-07-31 00:00:00', 705, 10, 0.40149835083349011);
INSERT INTO public.rs_demo1 VALUES (315, '1992-08-31 00:00:00', 104, 10, 3.1447546207016335);
INSERT INTO public.rs_demo1 VALUES (316, '1992-08-31 00:00:00', 705, 10, 0.40150897697889287);
INSERT INTO public.rs_demo1 VALUES (317, '1992-09-30 00:00:00', 104, 10, 3.9428788271945079);
INSERT INTO public.rs_demo1 VALUES (318, '1992-09-30 00:00:00', 705, 10, 0.40150090440312525);
INSERT INTO public.rs_demo1 VALUES (319, '1992-10-31 00:00:00', 104, 10, 8.4349415083879986);
INSERT INTO public.rs_demo1 VALUES (320, '1992-10-31 00:00:00', 705, 10, 0.4015064680589509);
INSERT INTO public.rs_demo1 VALUES (321, '1992-11-30 00:00:00', 104, 10, 6.001092235689879);
INSERT INTO public.rs_demo1 VALUES (322, '1992-11-30 00:00:00', 705, 10, 0.40151422724807656);
INSERT INTO public.rs_demo1 VALUES (323, '1992-12-31 00:00:00', 104, 10, 4.8713518391827204);
INSERT INTO public.rs_demo1 VALUES (324, '1992-12-31 00:00:00', 705, 10, 0.40151453574277202);
INSERT INTO public.rs_demo1 VALUES (325, '1993-01-31 00:00:00', 104, 10, 4.4523839022845628);
INSERT INTO public.rs_demo1 VALUES (326, '1993-01-31 00:00:00', 705, 10, 0.40151009088131145);
INSERT INTO public.rs_demo1 VALUES (327, '1993-02-28 00:00:00', 104, 10, 4.9290554844414753);
INSERT INTO public.rs_demo1 VALUES (328, '1993-02-28 00:00:00', 705, 10, 0.40150240065372927);
INSERT INTO public.rs_demo1 VALUES (329, '1993-03-31 00:00:00', 104, 10, 6.0879295016145898);
INSERT INTO public.rs_demo1 VALUES (330, '1993-03-31 00:00:00', 705, 10, 0.40149569714989103);
INSERT INTO public.rs_demo1 VALUES (331, '1993-04-30 00:00:00', 104, 10, 8.3792678663749882);
INSERT INTO public.rs_demo1 VALUES (332, '1993-04-30 00:00:00', 705, 10, 0.40149361283507939);
INSERT INTO public.rs_demo1 VALUES (333, '1993-05-31 00:00:00', 104, 10, 12.376274292727453);
INSERT INTO public.rs_demo1 VALUES (334, '1993-05-31 00:00:00', 705, 10, 0.40150892692804879);
INSERT INTO public.rs_demo1 VALUES (335, '1993-06-30 00:00:00', 104, 10, 13.617764709380555);
INSERT INTO public.rs_demo1 VALUES (336, '1993-06-30 00:00:00', 705, 10, 0.40154138017969226);
INSERT INTO public.rs_demo1 VALUES (337, '1993-07-31 00:00:00', 104, 10, 3.3157261196952272);
INSERT INTO public.rs_demo1 VALUES (338, '1993-07-31 00:00:00', 705, 10, 0.40156375517655835);
INSERT INTO public.rs_demo1 VALUES (339, '1993-08-31 00:00:00', 104, 10, 8.5780887378040465);
INSERT INTO public.rs_demo1 VALUES (340, '1993-08-31 00:00:00', 705, 10, 0.4015623963710328);
INSERT INTO public.rs_demo1 VALUES (341, '1993-09-30 00:00:00', 104, 10, 2.8223203239803443);
INSERT INTO public.rs_demo1 VALUES (342, '1993-09-30 00:00:00', 705, 10, 0.40157088789115242);
INSERT INTO public.rs_demo1 VALUES (343, '1993-10-31 00:00:00', 104, 10, 6.6977908525054453);
INSERT INTO public.rs_demo1 VALUES (344, '1993-10-31 00:00:00', 705, 10, 0.40157108796810415);
INSERT INTO public.rs_demo1 VALUES (345, '1993-11-30 00:00:00', 104, 10, 5.9404235903301643);
INSERT INTO public.rs_demo1 VALUES (346, '1993-11-30 00:00:00', 705, 10, 0.40157496212904209);
INSERT INTO public.rs_demo1 VALUES (347, '1993-12-31 00:00:00', 104, 10, 4.6100417256374886);
INSERT INTO public.rs_demo1 VALUES (348, '1993-12-31 00:00:00', 705, 10, 0.40157347500507706);
INSERT INTO public.rs_demo1 VALUES (349, '1994-01-31 00:00:00', 104, 10, 3.4775723483155234);
INSERT INTO public.rs_demo1 VALUES (350, '1994-01-31 00:00:00', 705, 10, 0.40156747149365402);
INSERT INTO public.rs_demo1 VALUES (351, '1994-02-28 00:00:00', 104, 10, 4.5805941257803511);
INSERT INTO public.rs_demo1 VALUES (352, '1994-02-28 00:00:00', 705, 10, 0.4015569884700278);
INSERT INTO public.rs_demo1 VALUES (353, '1994-03-31 00:00:00', 104, 10, 7.0958005877148178);
INSERT INTO public.rs_demo1 VALUES (354, '1994-03-31 00:00:00', 705, 10, 0.40154910741788941);
INSERT INTO public.rs_demo1 VALUES (355, '1994-04-30 00:00:00', 104, 10, 8.374729315356058);
INSERT INTO public.rs_demo1 VALUES (356, '1994-04-30 00:00:00', 705, 10, 0.40155158917688927);
INSERT INTO public.rs_demo1 VALUES (357, '1994-05-31 00:00:00', 104, 10, 12.106077107843506);
INSERT INTO public.rs_demo1 VALUES (358, '1994-05-31 00:00:00', 705, 10, 0.40106395140880108);
INSERT INTO public.rs_demo1 VALUES (359, '1994-06-30 00:00:00', 104, 10, 13.985839844092137);
INSERT INTO public.rs_demo1 VALUES (360, '1994-06-30 00:00:00', 705, 10, 0.40087463158360681);
INSERT INTO public.rs_demo1 VALUES (361, '1994-07-31 00:00:00', 104, 10, 2.5768689473894351);
INSERT INTO public.rs_demo1 VALUES (362, '1994-07-31 00:00:00', 705, 10, 0.40071916262292295);
INSERT INTO public.rs_demo1 VALUES (363, '1994-08-31 00:00:00', 104, 10, 0);
INSERT INTO public.rs_demo1 VALUES (364, '1994-08-31 00:00:00', 705, 10, 0.40071837831838925);
INSERT INTO public.rs_demo1 VALUES (365, '1994-09-30 00:00:00', 104, 10, 0);
INSERT INTO public.rs_demo1 VALUES (366, '1994-09-30 00:00:00', 705, 10, 0.40071831812301928);
INSERT INTO public.rs_demo1 VALUES (367, '1994-10-15 00:00:00', 104, 10, 0.75068775442770219);
INSERT INTO public.rs_demo1 VALUES (368, '1994-10-15 00:00:00', 705, 10, 0.40071881023528155);
INSERT INTO public.rs_demo1 VALUES (369, '1994-10-31 00:00:00', 104, 10, 2.6319951808197195);
INSERT INTO public.rs_demo1 VALUES (370, '1994-10-31 00:00:00', 705, 10, 0.40071081441754475);
INSERT INTO public.rs_demo1 VALUES (371, '1994-11-30 00:00:00', 104, 10, 5.7569169130876992);
INSERT INTO public.rs_demo1 VALUES (372, '1994-11-30 00:00:00', 705, 10, 0.4006851457475612);
INSERT INTO public.rs_demo1 VALUES (373, '1994-12-31 00:00:00', 104, 10, 5.0307148848520518);
INSERT INTO public.rs_demo1 VALUES (374, '1994-12-31 00:00:00', 705, 10, 0.40065921592594794);
INSERT INTO public.rs_demo1 VALUES (375, '1995-01-31 00:00:00', 104, 10, 2.6722704322006705);
INSERT INTO public.rs_demo1 VALUES (376, '1995-01-31 00:00:00', 705, 10, 0.40062954132864442);
INSERT INTO public.rs_demo1 VALUES (377, '1995-02-28 00:00:00', 104, 10, 1.8692820546009445);
INSERT INTO public.rs_demo1 VALUES (378, '1995-02-28 00:00:00', 705, 10, 0.40061142022361312);
INSERT INTO public.rs_demo1 VALUES (379, '1995-03-31 00:00:00', 104, 10, 0.4250898738494554);
INSERT INTO public.rs_demo1 VALUES (380, '1995-03-31 00:00:00', 705, 10, 0.40060831524963098);
INSERT INTO public.rs_demo1 VALUES (381, '1995-04-30 00:00:00', 104, 10, 0);
INSERT INTO public.rs_demo1 VALUES (382, '1995-04-30 00:00:00', 705, 10, 0.40060730975623488);
INSERT INTO public.rs_demo1 VALUES (383, '1995-05-31 00:00:00', 104, 10, 0);
INSERT INTO public.rs_demo1 VALUES (384, '1995-05-31 00:00:00', 705, 10, 0.40060724966386824);
INSERT INTO public.rs_demo1 VALUES (385, '1995-06-30 00:00:00', 104, 10, 0);
INSERT INTO public.rs_demo1 VALUES (386, '1995-06-30 00:00:00', 705, 10, 0.40060718957339869);
INSERT INTO public.rs_demo1 VALUES (387, '1995-07-31 00:00:00', 104, 10, 1.2617800410635045);
INSERT INTO public.rs_demo1 VALUES (388, '1995-07-31 00:00:00', 705, 10, 0.40059915882976138);
INSERT INTO public.rs_demo1 VALUES (389, '1995-08-01 00:00:00', 104, 10, 0.13271727963422902);
INSERT INTO public.rs_demo1 VALUES (390, '1995-08-01 00:00:00', 705, 10, 0.40058387331943374);
INSERT INTO public.rs_demo1 VALUES (391, '1995-08-31 00:00:00', 104, 10, 0.27467792609712716);
INSERT INTO public.rs_demo1 VALUES (392, '1995-08-31 00:00:00', 705, 10, 0.40058258783763884);
INSERT INTO public.rs_demo1 VALUES (393, '1995-09-30 00:00:00', 104, 10, 4.5920346316180982);
INSERT INTO public.rs_demo1 VALUES (394, '1995-09-30 00:00:00', 705, 10, 0.40056485070926445);
INSERT INTO public.rs_demo1 VALUES (395, '1995-10-31 00:00:00', 104, 10, 7.9656213754186096);
INSERT INTO public.rs_demo1 VALUES (396, '1995-10-31 00:00:00', 705, 10, 0.40054793586255855);
INSERT INTO public.rs_demo1 VALUES (397, '1995-11-30 00:00:00', 104, 10, 5.9077716687675048);
INSERT INTO public.rs_demo1 VALUES (398, '1995-11-30 00:00:00', 705, 10, 0.40056111855343812);
INSERT INTO public.rs_demo1 VALUES (399, '1995-12-31 00:00:00', 104, 10, 4.8064256386808619);
INSERT INTO public.rs_demo1 VALUES (400, '1995-12-31 00:00:00', 705, 10, 0.40058967577752524);
INSERT INTO public.rs_demo1 VALUES (401, '1996-01-31 00:00:00', 104, 10, 3.154202540861637);
INSERT INTO public.rs_demo1 VALUES (402, '1996-01-31 00:00:00', 705, 10, 0.40061855708410993);
INSERT INTO public.rs_demo1 VALUES (403, '1996-02-29 00:00:00', 104, 10, 1.6918447659083768);
INSERT INTO public.rs_demo1 VALUES (404, '1996-02-29 00:00:00', 705, 10, 0.40063861077002288);
INSERT INTO public.rs_demo1 VALUES (405, '1996-03-31 00:00:00', 104, 10, 0);
INSERT INTO public.rs_demo1 VALUES (406, '1996-03-31 00:00:00', 705, 10, 0.40064284095610531);
INSERT INTO public.rs_demo1 VALUES (407, '1996-04-30 00:00:00', 104, 10, 0);
INSERT INTO public.rs_demo1 VALUES (408, '1996-04-30 00:00:00', 705, 10, 0.40064278081302679);
INSERT INTO public.rs_demo1 VALUES (409, '1996-05-31 00:00:00', 104, 10, 0);
INSERT INTO public.rs_demo1 VALUES (410, '1996-05-31 00:00:00', 705, 10, 0.40064272067186801);
INSERT INTO public.rs_demo1 VALUES (411, '1996-06-30 00:00:00', 104, 10, 0);
INSERT INTO public.rs_demo1 VALUES (412, '1996-06-30 00:00:00', 705, 10, 0.40064266053260744);
INSERT INTO public.rs_demo1 VALUES (413, '1996-07-31 00:00:00', 104, 10, 3.3711118431031379);
INSERT INTO public.rs_demo1 VALUES (414, '1996-07-31 00:00:00', 705, 10, 0.4006356605197236);
INSERT INTO public.rs_demo1 VALUES (415, '1996-08-01 00:00:00', 104, 10, 0);
INSERT INTO public.rs_demo1 VALUES (416, '1996-08-01 00:00:00', 705, 10, 0.40063051990061876);
INSERT INTO public.rs_demo1 VALUES (417, '1996-08-31 00:00:00', 104, 10, 1.656031361969948);
INSERT INTO public.rs_demo1 VALUES (418, '1996-08-31 00:00:00', 705, 10, 0.40062769538141535);
INSERT INTO public.rs_demo1 VALUES (419, '1996-09-30 00:00:00', 104, 10, 3.3746263693822147);
INSERT INTO public.rs_demo1 VALUES (420, '1996-09-30 00:00:00', 705, 10, 0.40062887877751108);
INSERT INTO public.rs_demo1 VALUES (421, '1996-10-31 00:00:00', 104, 10, 5.5246471388608791);
INSERT INTO public.rs_demo1 VALUES (422, '1996-10-31 00:00:00', 705, 10, 0.40064077783632057);
INSERT INTO public.rs_demo1 VALUES (423, '1996-11-30 00:00:00', 104, 10, 5.3930226473193095);
INSERT INTO public.rs_demo1 VALUES (424, '1996-11-30 00:00:00', 705, 10, 0.40065867119064452);
INSERT INTO public.rs_demo1 VALUES (425, '1996-12-31 00:00:00', 104, 10, 4.1499619728697184);
INSERT INTO public.rs_demo1 VALUES (426, '1996-12-31 00:00:00', 705, 10, 0.40067848632558223);
INSERT INTO public.rs_demo1 VALUES (427, '1997-01-31 00:00:00', 104, 10, 4.1019727156925017);
INSERT INTO public.rs_demo1 VALUES (428, '1997-01-31 00:00:00', 705, 10, 0.40070275863873944);
INSERT INTO public.rs_demo1 VALUES (429, '1997-02-28 00:00:00', 104, 10, 4.4299289549907455);
INSERT INTO public.rs_demo1 VALUES (430, '1997-02-28 00:00:00', 705, 10, 0.40073079123436145);
INSERT INTO public.rs_demo1 VALUES (431, '1997-03-31 00:00:00', 104, 10, 6.5324595875795923);
INSERT INTO public.rs_demo1 VALUES (432, '1997-03-31 00:00:00', 705, 10, 0.40077068260814952);
INSERT INTO public.rs_demo1 VALUES (433, '1997-04-30 00:00:00', 104, 10, 7.3107634972974305);
INSERT INTO public.rs_demo1 VALUES (434, '1997-04-30 00:00:00', 705, 10, 0.40081876053886795);
INSERT INTO public.rs_demo1 VALUES (435, '1997-05-31 00:00:00', 104, 10, 10.469251153631475);
INSERT INTO public.rs_demo1 VALUES (436, '1997-05-31 00:00:00', 705, 10, 0.40088708288018787);
INSERT INTO public.rs_demo1 VALUES (437, '1997-06-30 00:00:00', 104, 10, 12.412862243510176);
INSERT INTO public.rs_demo1 VALUES (438, '1997-06-30 00:00:00', 705, 10, 0.40097051927330168);
INSERT INTO public.rs_demo1 VALUES (439, '1997-07-01 00:00:00', 104, 10, 0.41448306980402627);
INSERT INTO public.rs_demo1 VALUES (440, '1997-07-01 00:00:00', 705, 10, 0.40101371665782293);
INSERT INTO public.rs_demo1 VALUES (441, '1997-07-31 00:00:00', 104, 10, 12.524501995579156);
INSERT INTO public.rs_demo1 VALUES (442, '1997-07-31 00:00:00', 705, 10, 0.40103163651720025);
INSERT INTO public.rs_demo1 VALUES (443, '1997-08-31 00:00:00', 104, 10, 2.3519589051428578);
INSERT INTO public.rs_demo1 VALUES (444, '1997-08-31 00:00:00', 705, 10, 0.4010660236185779);
INSERT INTO public.rs_demo1 VALUES (445, '1997-09-30 00:00:00', 104, 10, 6.2172672292546327);
INSERT INTO public.rs_demo1 VALUES (446, '1997-09-30 00:00:00', 705, 10, 0.40108911200684411);
INSERT INTO public.rs_demo1 VALUES (447, '1997-10-31 00:00:00', 104, 10, 5.3603028011101905);
INSERT INTO public.rs_demo1 VALUES (448, '1997-10-31 00:00:00', 705, 10, 0.4011266375916081);
INSERT INTO public.rs_demo1 VALUES (449, '1997-11-30 00:00:00', 104, 10, 5.3830730946103671);
INSERT INTO public.rs_demo1 VALUES (450, '1997-11-30 00:00:00', 705, 10, 0.40115773520573855);
INSERT INTO public.rs_demo1 VALUES (451, '1997-12-31 00:00:00', 104, 10, 3.3016230625941252);
INSERT INTO public.rs_demo1 VALUES (452, '1997-12-31 00:00:00', 705, 10, 0.40118192174845818);
INSERT INTO public.rs_demo1 VALUES (453, '1998-01-31 00:00:00', 104, 10, 4.1299377939025774);
INSERT INTO public.rs_demo1 VALUES (454, '1998-01-31 00:00:00', 705, 10, 0.40120375423760485);
INSERT INTO public.rs_demo1 VALUES (455, '1998-02-28 00:00:00', 104, 10, 3.8330840998734739);
INSERT INTO public.rs_demo1 VALUES (456, '1998-02-28 00:00:00', 705, 10, 0.40122835854340494);
INSERT INTO public.rs_demo1 VALUES (457, '1998-03-31 00:00:00', 104, 10, 4.4980283601098812);
INSERT INTO public.rs_demo1 VALUES (458, '1998-03-31 00:00:00', 705, 10, 0.4012465837640925);
INSERT INTO public.rs_demo1 VALUES (459, '1998-04-30 00:00:00', 104, 10, 8.6974810666501607);
INSERT INTO public.rs_demo1 VALUES (460, '1998-04-30 00:00:00', 705, 10, 0.40128472543018712);
INSERT INTO public.rs_demo1 VALUES (461, '1998-05-31 00:00:00', 104, 10, 12.646825688314774);
INSERT INTO public.rs_demo1 VALUES (462, '1998-05-31 00:00:00', 705, 10, 0.4013391724274194);
INSERT INTO public.rs_demo1 VALUES (463, '1998-06-30 00:00:00', 104, 10, 13.692903899814052);
INSERT INTO public.rs_demo1 VALUES (464, '1998-06-30 00:00:00', 705, 10, 0.40140577114423476);
INSERT INTO public.rs_demo1 VALUES (465, '1998-07-31 00:00:00', 104, 10, 2.8191641723421577);
INSERT INTO public.rs_demo1 VALUES (466, '1998-07-31 00:00:00', 705, 10, 0.40144683994120445);
INSERT INTO public.rs_demo1 VALUES (467, '1998-08-15 00:00:00', 104, 10, 2.0878154533994131);
INSERT INTO public.rs_demo1 VALUES (468, '1998-08-15 00:00:00', 705, 10, 0.40145465822469634);
INSERT INTO public.rs_demo1 VALUES (469, '1998-08-31 00:00:00', 104, 10, 2.433610076994805);
INSERT INTO public.rs_demo1 VALUES (470, '1998-08-31 00:00:00', 705, 10, 0.40145144120432458);
INSERT INTO public.rs_demo1 VALUES (471, '1998-09-30 00:00:00', 104, 10, 2.0929447629376394);
INSERT INTO public.rs_demo1 VALUES (472, '1998-09-30 00:00:00', 705, 10, 0.40144871709787461);
INSERT INTO public.rs_demo1 VALUES (473, '1998-10-31 00:00:00', 104, 10, 3.0767347966354657);
INSERT INTO public.rs_demo1 VALUES (474, '1998-10-31 00:00:00', 705, 10, 0.40145154139158307);
INSERT INTO public.rs_demo1 VALUES (475, '1998-11-30 00:00:00', 104, 10, 3.7246858319083249);
INSERT INTO public.rs_demo1 VALUES (476, '1998-11-30 00:00:00', 705, 10, 0.40145826562330938);
INSERT INTO public.rs_demo1 VALUES (477, '1998-12-31 00:00:00', 104, 10, 3.6151721136503165);
INSERT INTO public.rs_demo1 VALUES (478, '1998-12-31 00:00:00', 705, 10, 0.40146767764145563);
INSERT INTO public.rs_demo1 VALUES (479, '1999-01-31 00:00:00', 104, 10, 3.034035191171085);
INSERT INTO public.rs_demo1 VALUES (480, '1999-01-31 00:00:00', 705, 10, 0.40147603418158345);
INSERT INTO public.rs_demo1 VALUES (481, '1999-02-28 00:00:00', 104, 10, 4.6260212476111198);
INSERT INTO public.rs_demo1 VALUES (482, '1999-02-28 00:00:00', 705, 10, 0.40148723440278922);
INSERT INTO public.rs_demo1 VALUES (483, '1999-03-31 00:00:00', 104, 10, 6.7221254678905797);
INSERT INTO public.rs_demo1 VALUES (484, '1999-03-31 00:00:00', 705, 10, 0.40150607631722635);
INSERT INTO public.rs_demo1 VALUES (485, '1999-04-30 00:00:00', 104, 10, 9.9824060090513953);
INSERT INTO public.rs_demo1 VALUES (486, '1999-04-30 00:00:00', 705, 10, 0.40151473573323493);
INSERT INTO public.rs_demo1 VALUES (487, '1999-05-31 00:00:00', 104, 10, 8.4998863465662584);
INSERT INTO public.rs_demo1 VALUES (488, '1999-05-31 00:00:00', 705, 10, 0.40153392039585828);
INSERT INTO public.rs_demo1 VALUES (489, '1999-06-30 00:00:00', 104, 10, 0);
INSERT INTO public.rs_demo1 VALUES (490, '1999-06-30 00:00:00', 705, 10, 0.40154258718893121);
INSERT INTO public.rs_demo1 VALUES (491, '1999-07-31 00:00:00', 104, 10, 0);
INSERT INTO public.rs_demo1 VALUES (492, '1999-07-31 00:00:00', 705, 10, 0.40154252597093681);
INSERT INTO public.rs_demo1 VALUES (493, '1999-08-31 00:00:00', 104, 10, 0);
INSERT INTO public.rs_demo1 VALUES (494, '1999-08-31 00:00:00', 705, 10, 0.40154246375135294);
INSERT INTO public.rs_demo1 VALUES (495, '1999-09-30 00:00:00', 104, 10, 0);
INSERT INTO public.rs_demo1 VALUES (496, '1999-09-30 00:00:00', 705, 10, 0.40154240253726309);
INSERT INTO public.rs_demo1 VALUES (497, '1999-10-05 00:00:00', 104, 10, 0);
INSERT INTO public.rs_demo1 VALUES (498, '1999-10-05 00:00:00', 705, 10, 0.40154236741522825);
INSERT INTO public.rs_demo1 VALUES (499, '1999-10-31 00:00:00', 104, 10, 3.5793169436863241);
INSERT INTO public.rs_demo1 VALUES (500, '1999-10-31 00:00:00', 705, 10, 0.40153603098620522);
INSERT INTO public.rs_demo1 VALUES (501, '1999-11-30 00:00:00', 104, 10, 4.7985067369479069);
INSERT INTO public.rs_demo1 VALUES (502, '1999-11-30 00:00:00', 705, 10, 0.40153325551561975);
INSERT INTO public.rs_demo1 VALUES (503, '1999-12-31 00:00:00', 104, 10, 4.5693501770272542);
INSERT INTO public.rs_demo1 VALUES (504, '1999-12-31 00:00:00', 705, 10, 0.40153882162930943);


--
-- TOC entry 2450 (class 0 OID 72731)
-- Dependencies: 245
-- Data for Name: tmphrzn; Type: TABLE DATA; Schema: public; Owner: -
--



--
-- TOC entry 2474 (class 0 OID 0)
-- Dependencies: 187
-- Name: parm_int_item_ix_seq; Type: SEQUENCE SET; Schema: opti; Owner: -
--

SELECT pg_catalog.setval('opti.parm_int_item_ix_seq', 1, false);


--
-- TOC entry 2475 (class 0 OID 0)
-- Dependencies: 198
-- Name: cdy_madat_key_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('public.cdy_madat_key_seq', 1, false);


--
-- TOC entry 2476 (class 0 OID 0)
-- Dependencies: 200
-- Name: cdy_mgdat_key_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('public.cdy_mgdat_key_seq', 1, false);


--
-- TOC entry 2477 (class 0 OID 0)
-- Dependencies: 202
-- Name: cdy_mhdat_key_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('public.cdy_mhdat_key_seq', 849, true);


--
-- TOC entry 2478 (class 0 OID 0)
-- Dependencies: 203
-- Name: cdy_msdat_key_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('public.cdy_msdat_key_seq', 849, true);


--
-- TOC entry 2479 (class 0 OID 0)
-- Dependencies: 204
-- Name: cdy_mvdat_key_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('public.cdy_mvdat_key_seq', 1, true);


--
-- TOC entry 2480 (class 0 OID 0)
-- Dependencies: 211
-- Name: cdy_prop_lst_item_ix_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('public.cdy_prop_lst_item_ix_seq', 3, true);


--
-- TOC entry 2481 (class 0 OID 0)
-- Dependencies: 213
-- Name: cdy_prop_sel_item_ix_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('public.cdy_prop_sel_item_ix_seq', 3, true);


--
-- TOC entry 2482 (class 0 OID 0)
-- Dependencies: 215
-- Name: cdy_rslt_item_ix_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('public.cdy_rslt_item_ix_seq', 55, true);


--
-- TOC entry 2483 (class 0 OID 0)
-- Dependencies: 229
-- Name: cdy_rslt_lst_item_ix_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('public.cdy_rslt_lst_item_ix_seq', 1, true);


--
-- TOC entry 2484 (class 0 OID 0)
-- Dependencies: 231
-- Name: cdy_rslt_sel_item_ix_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('public.cdy_rslt_sel_item_ix_seq', 3, true);


--
-- TOC entry 2485 (class 0 OID 0)
-- Dependencies: 217
-- Name: cdy_sldat_key_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('public.cdy_sldat_key_seq', 1, false);


--
-- TOC entry 2486 (class 0 OID 0)
-- Dependencies: 227
-- Name: cdyprclass_item_ix_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('public.cdyprclass_item_ix_seq', 1, false);


--
-- TOC entry 2487 (class 0 OID 0)
-- Dependencies: 243
-- Name: parm_int_item_ix_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('public.parm_int_item_ix_seq', 1, false);


--
-- TOC entry 2488 (class 0 OID 0)
-- Dependencies: 246
-- Name: rs_demo1_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('public.rs_demo1_id_seq', 504, true);


--
-- TOC entry 2273 (class 2606 OID 72531)
-- Name: cdy_fxdat cdy_fxdat_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.cdy_fxdat
    ADD CONSTRAINT cdy_fxdat_pkey PRIMARY KEY (fname, snr, utlg);


--
-- TOC entry 2271 (class 1259 OID 72512)
-- Name: cdysim; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX cdysim ON public.cdy_msdat USING btree (ix);


-- Completed on 2021-12-05 17:42:43

--
-- PostgreSQL database dump complete
--

